/**
  ******************************************************************************
  * @file    BSP/Inc/gyro_36x36.h
  * @author  MCD Application Team
  * @version V1.0.4
  * @date    06-May-2016
  * @brief   This file contains icon definition for animation control.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT(c) 2016 STMicroelectronics</center></h2>
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */

#ifndef __GYRO_36x36_H_
#define __GYRO_36x36_H_

#include "anime.h"

const uint32_t gyro_36x36_data[1296] = {
0xFFFEFEFE,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFEFEFE,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFDFEFD,
0xFFFDFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFD,
0xFFFDFDFC,
0xFFFDFDFC,
0xFFFDFDFD,
0xFFFDFDFC,
0xFFFDFDFC,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFEFD,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFDFC,
0xFFFEFEFC,
0xFFFEFEFC,
0xFFFEFEFC,
0xFFFEFEFC,
0xFFFEFEFC,
0xFFFEFEFC,
0xFFFDFEFD,
0xFFFDFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFC,
0xFFFEFDFC,
0xFFFDFDFC,
0xFFFBFDFD,
0xFFF9FDFC,
0xFFFBFEFC,
0xFFFDFEFD,
0xFFFDFDFD,
0xFFFDFDFC,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFEFD,
0xFFFDFEFC,
0xFFFDFEFC,
0xFFFDFEFD,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFEFD,
0xFFFDFDFD,
0xFFFDFDFB,
0xFFFDFEFB,
0xFFFEFEFD,
0xFFFDFEFE,
0xFFFDFEFD,
0xFFFDFEFC,
0xFFFCFEFC,
0xFFFCFEFD,
0xFFFDFEFD,
0xFFFDFDFD,
0xFFFEFDFC,
0xFFFDFEFD,
0xFFFDFEFD,
0xFFFEFEFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFC,
0xFFFCFEFD,
0xFFFCFCFD,
0xFFD7EEF4,
0xFFBADFEF,
0xFFD6ECF2,
0xFFFAFEFD,
0xFFFDFEFC,
0xFFFDFEFC,
0xFFFCFDFD,
0xFFFDFDFD,
0xFFFDFEFD,
0xFFFDFEFD,
0xFFFDFEFC,
0xFFFDFDFE,
0xFFFDFCFE,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFCFEFD,
0xFFFBFEF9,
0xFFF8FDFA,
0xFFF7FCFC,
0xFFF7FCFD,
0xFFF5FDFD,
0xFFF9FDFC,
0xFFFBFDFB,
0xFFFCFDFC,
0xFFFCFDFE,
0xFFFEFDFD,
0xFFFFFDFB,
0xFFFEFEFD,
0xFFFDFEFD,
0xFFFCFEFD,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFD,
0xFFFCFEFD,
0xFFF7FCFD,
0xFF98CAE4,
0xFFB2E0EE,
0xFFA6D4E5,
0xFFEBF8F9,
0xFFFDFDFC,
0xFFFCFCFC,
0xFFFDFDFC,
0xFFFDFEFE,
0xFFFCFEFD,
0xFFFEFEFC,
0xFFFEFEFD,
0xFFFEFDFD,
0xFFFDFCFD,
0xFFF8FCFD,
0xFFE2F4F6,
0xFFC4E4EC,
0xFFAAD7EA,
0xFF95CCEA,
0xFF8AC7E5,
0xFF8AC7E6,
0xFF8DC9E7,
0xFF9CD3EC,
0xFFB8E0ED,
0xFFE0F2F6,
0xFFF9FBFD,
0xFFFDFCFD,
0xFFFBFDFD,
0xFFFCFDFE,
0xFFFDFDFE,
0xFFFDFDFE,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFC,
0xFFFCFEFD,
0xFFF6FCFD,
0xFF8CC5DC,
0xFF99D2E6,
0xFF7BC1DF,
0xFFD7F0F3,
0xFFFCFDFD,
0xFFFDFDFC,
0xFFFDFEFC,
0xFFFAFCFA,
0xFFEDF8FA,
0xFFDEEEF3,
0xFFDBEFF5,
0xFFDFF3F5,
0xFFCAEAEF,
0xFF97CFE6,
0xFF81C3E4,
0xFF8DCCE0,
0xFF9FD3E3,
0xFFABD7EB,
0xFFB1DEEE,
0xFFB3DDEE,
0xFFAEDBED,
0xFF9ED2E6,
0xFF84C7DF,
0xFF75BEDB,
0xFFA7D5E7,
0xFFEDF7FA,
0xFFFBFDFD,
0xFFFCFDFE,
0xFFFDFDFE,
0xFFFDFDFD,
0xFFFEFEFC,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFAFEFE,
0xFFFBFDFD,
0xFFE3F1F5,
0xFFBDE1ED,
0xFF77C1E1,
0xFF83C5E4,
0xFFE3F2F8,
0xFFF3FAFB,
0xFFC0E2EB,
0xFF86C5E2,
0xFF87C4E1,
0xFF95D1DF,
0xFF7BC8E4,
0xFF59AFD9,
0xFF5BB1DF,
0xFF64B8DD,
0xFFA2D9EC,
0xFFD8F1F7,
0xFFEDF6F9,
0xFFF4FAFA,
0xFFF6FAFD,
0xFFF7FBFC,
0xFFF6FBFC,
0xFFEFF8FA,
0xFFE1F4F7,
0xFFBCE4ED,
0xFF74C1DB,
0xFF7FC5DE,
0xFFE7F6F9,
0xFFFDFDFD,
0xFFFEFDFE,
0xFFFDFCFD,
0xFFFDFEFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFDFE,
0xFFFEFDFE,
0xFFFCFDFD,
0xFFFDFDFB,
0xFFF8FCFC,
0xFFD8F1F7,
0xFF7CC3E3,
0xFF72BFDF,
0xFF74C2DF,
0xFF71BBDD,
0xFFBFE5ED,
0xFFE8F7FA,
0xFF9AD2E2,
0xFF79B9DB,
0xFFBBE0EB,
0xFFE0F6F8,
0xFFCAE9F1,
0xFF98D0E3,
0xFF8DC5DD,
0xFFCAE6EB,
0xFFF9FCFD,
0xFFFDFCFE,
0xFFFBFDFE,
0xFFFAFDFD,
0xFFFDFCFC,
0xFFFDFCFC,
0xFFFBFCFD,
0xFFE3F5F8,
0xFF78C4DA,
0xFF83C3DC,
0xFFF6FDFC,
0xFFFDFDF9,
0xFFFDFCFD,
0xFFFDFDFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFCFEFB,
0xFFFCFEFD,
0xFFFDFEFE,
0xFFFAFEFE,
0xFFF8FEFE,
0xFFCBECF4,
0xFF57B7E2,
0xFF4EB4E2,
0xFFC3EAF6,
0xFFD3F0F3,
0xFF83BED9,
0xFFA6D5E4,
0xFFF2FBFB,
0xFFFDFDFB,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFCFDFC,
0xFFE0F2F3,
0xFF99CFE3,
0xFF9ECCDF,
0xFFE6F6FA,
0xFFFAFCFC,
0xFFFEFCFC,
0xFFFDFCFD,
0xFFFDFCFD,
0xFFFBFDFD,
0xFFFCFDFC,
0xFFE6F7F9,
0xFF5CB0D8,
0xFFB0DFEC,
0xFFFBFDFE,
0xFFFEFCFD,
0xFFFEFCFC,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFDFE,
0xFFFCFEFD,
0xFFFBFEFA,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFF8FCFB,
0xFFB8DEEF,
0xFF6FBDE0,
0xFF5CB4DE,
0xFF6ABEDF,
0xFF72BDDD,
0xFFC7EAEF,
0xFFFDFBFB,
0xFFFDFDFC,
0xFFFDFDFB,
0xFFFEFDFE,
0xFFFDFDFD,
0xFFFCFDFD,
0xFFFCFDFD,
0xFFF8FDFD,
0xFFCBE9F1,
0xFF9ACADE,
0xFFCDEBF1,
0xFFF6FAFA,
0xFFFEFCFD,
0xFFFDFCFE,
0xFFFDFDFD,
0xFFFEFDFE,
0xFFFCFDFC,
0xFFB3DCE5,
0xFF62B4DB,
0xFFF0FBFC,
0xFFFEFDFC,
0xFFFDFEFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFEFEFC,
0xFFFDFEFC,
0xFFFDFEFE,
0xFFFDFEFD,
0xFFE7F4F5,
0xFF90CDE2,
0xFF9CD4E9,
0xFFA2D8E7,
0xFF5AB7DC,
0xFF6EBFE0,
0xFFD5EFF5,
0xFFF8FDFA,
0xFFFCFDFC,
0xFFFAFDFA,
0xFFFCFEFC,
0xFFFDFDFB,
0xFFFCFDFB,
0xFFFCFDFC,
0xFFFCFDFB,
0xFFF8FDFD,
0xFFE6F5F6,
0xFFA9D4E5,
0xFFC6E3EC,
0xFFF3F9F8,
0xFFFDFDFF,
0xFFFBFDFD,
0xFFFDFDFD,
0xFFFEFEFC,
0xFFE4F9FA,
0xFF47A4DA,
0xFFD2EDF1,
0xFFFEFDFC,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFEFEFC,
0xFFFDFEFC,
0xFFFDFEFE,
0xFFFCFEFD,
0xFFD6ECF4,
0xFF7CC6E2,
0xFF93D0E5,
0xFF9CD0E3,
0xFFC0E2EE,
0xFF81C5E3,
0xFF7AC1E0,
0xFFD1EBF5,
0xFFF9FDFC,
0xFFFDFDF9,
0xFFFAFDFB,
0xFFF6FCFC,
0xFFF5FCFB,
0xFFF7FDFD,
0xFFF9FCFB,
0xFFFAFDFC,
0xFFF9FCFC,
0xFFE9F5F8,
0xFFB4D8E8,
0xFFC9E5EE,
0xFFF6FAFB,
0xFFFCFDFC,
0xFFFDFDFC,
0xFFFEFDFD,
0xFFF4FEFB,
0xFF4EAEE6,
0xFFB9DDE6,
0xFFFDFDFD,
0xFFFEFDFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFCFEFC,
0xFFFBFDFC,
0xFFCCE8F4,
0xFF60B8E1,
0xFF83C9E5,
0xFFCEE9F3,
0xFFF9FBFD,
0xFFE4F3F7,
0xFF8BCAE4,
0xFF6FBBE2,
0xFFC8E6F2,
0xFFF7FBFC,
0xFFD1EAF5,
0xFF98D0EB,
0xFF94CFEC,
0xFF9AD4EE,
0xFFA4D8EF,
0xFFACDBEF,
0xFFB3DFEF,
0xFFC4E5EF,
0xFFD4EDF4,
0xFFB2DAEA,
0xFFD0E9F1,
0xFFF9FCFA,
0xFFFDFDFD,
0xFFFEFDFE,
0xFFF4FDFC,
0xFF49ADE8,
0xFFB0D9E4,
0xFFFDFDFD,
0xFFFEFDFC,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFEFB,
0xFFFBFDFB,
0xFFC5E6F3,
0xFF62B6E2,
0xFFB6DEEE,
0xFFF6FAFC,
0xFFFDFDFC,
0xFFFDFDFC,
0xFFEAF5F9,
0xFF95CEE7,
0xFF72B9DE,
0xFFADDCEA,
0xFF7EC5E3,
0xFF2CA1DE,
0xFF26A1E1,
0xFF2BA4E0,
0xFF2EA9E2,
0xFF34A9E4,
0xFF3FADE2,
0xFF79C6E6,
0xFFBADDEC,
0xFFD4ECF4,
0xFFAFD9EA,
0xFFDCF0F5,
0xFFFBFDFE,
0xFFFEFDFF,
0xFFE7F9FA,
0xFF38A2E0,
0xFFB4DAE5,
0xFFFCFDFC,
0xFFFEFDFA,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFDFC,
0xFFF6FBFC,
0xFFA8D8EB,
0xFF64B8DE,
0xFFD5ECF2,
0xFFFDFEFD,
0xFFFEFCFE,
0xFFFDFDFE,
0xFFFDFDFE,
0xFFECF6F7,
0xFF9FD4E6,
0xFF5EB5DE,
0xFF60BDE3,
0xFF35AAE3,
0xFF1C9EE4,
0xFF1B9EE5,
0xFF1B9FE3,
0xFF1AA0E3,
0xFF41AFDE,
0xFF7FC7E7,
0xFFD0EBF1,
0xFFF3FAFB,
0xFFBADFEA,
0xFFB6E0EB,
0xFFF0F9FC,
0xFFFDFCFD,
0xFFBFE5EE,
0xFF359DDA,
0xFFCCE7EE,
0xFFFDFDFC,
0xFFFEFDFC,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFDFB,
0xFFFDFDFD,
0xFFFDFDFE,
0xFFE1F4F9,
0xFF74BEDD,
0xFF69BFDE,
0xFFCAE7EE,
0xFFFDFDFD,
0xFFFEFDFC,
0xFFFDFDFC,
0xFFFDFBFD,
0xFFFBFCF7,
0xFFC9EAEF,
0xFF82CBE6,
0xFF5DB6DF,
0xFF67BEE3,
0xFF36AAE4,
0xFF1BA0E4,
0xFF1B9FE3,
0xFF2BA1E3,
0xFF74C4E7,
0xFFB5DCEB,
0xFFF7FBFB,
0xFFFDFDFE,
0xFFE6F3F6,
0xFFA6D4E1,
0xFFD8EEF4,
0xFFF9FCFD,
0xFF8ACCE3,
0xFF47A6DC,
0xFFE8F7FA,
0xFFFEFDFB,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFD,
0xFFFEFEFB,
0xFFFDFDFC,
0xFFFBFAFE,
0xFFB7E0EB,
0xFF7FC3DC,
0xFF8ACCE1,
0xFFB0DCEE,
0xFFFCFDFE,
0xFFFCFEFE,
0xFFFDFCFC,
0xFFFEFCFD,
0xFFE9F8F9,
0xFF58B4DA,
0xFF4BB0E3,
0xFF7FCEEC,
0xFF5BBCE4,
0xFF26A3E3,
0xFF1B9EE5,
0xFF219DE1,
0xFF64C0ED,
0xFF8FC9E0,
0xFFF6FBFB,
0xFFFEFDFC,
0xFFFDFDFB,
0xFFFBFDFC,
0xFFB1D7E7,
0xFFB7E0E8,
0xFFDFF5F8,
0xFF4AA9DD,
0xFF78C3E0,
0xFFF9FDFC,
0xFFFFFDFC,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFBFEFD,
0xFFFDFDFD,
0xFFF6F8FC,
0xFF88C9DE,
0xFFC1E5EA,
0xFFA6D7EB,
0xFF90C9E5,
0xFFEDF8FA,
0xFFF9FEFE,
0xFFF9FEFE,
0xFFF3FCFA,
0xFF80C7E5,
0xFF1E9EE2,
0xFF1AA0E7,
0xFF239EE2,
0xFF229FE1,
0xFF1CA0E1,
0xFF1CA0DF,
0xFF4BB6E2,
0xFF75C1E3,
0xFFE5F6F8,
0xFFFCFEFD,
0xFFFDFEF9,
0xFFFCFDFC,
0xFFFBFDFB,
0xFFD3ECF0,
0xFF96CEDF,
0xFF90CEE1,
0xFF2CA2D5,
0xFFC3E6EE,
0xFFFDFDFD,
0xFFFEFCFC,
0xFFFEFCFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFCFEFB,
0xFFFCFEFE,
0xFFE3F2F8,
0xFF76B8DA,
0xFFEFFAFB,
0xFFCCE7F3,
0xFF86C6E1,
0xFFC9E6F0,
0xFFF9FCFE,
0xFFFBFBFD,
0xFFB4DEEB,
0xFF299FDC,
0xFF189DE5,
0xFF19A0E5,
0xFF1B9FE5,
0xFF1BA0E7,
0xFF1E9FE3,
0xFF39A7E2,
0xFF70BFE7,
0xFFBFE4EC,
0xFFFDFBFD,
0xFFFCFDFD,
0xFFFDFDFC,
0xFFFCFDFC,
0xFFFCFDFC,
0xFFF2FBFC,
0xFF80C5E7,
0xFF3AA7E0,
0xFF62BBDE,
0xFFF5FBFC,
0xFFFDFEFE,
0xFFFEFDFB,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFD,
0xFFFCFDFD,
0xFFC3E1EB,
0xFF87C5E2,
0xFFF8FCFB,
0xFFEFF8F7,
0xFF96CEE6,
0xFF9AD0E7,
0xFFEEF7F9,
0xFFDAEEF3,
0xFF4BADDE,
0xFF219FE2,
0xFF209DE2,
0xFF1D9EE1,
0xFF1C9EE2,
0xFF1BA0E5,
0xFF2BA4E2,
0xFF62BDE6,
0xFF80CAE5,
0xFFC7E8F2,
0xFFF9FDFD,
0xFFFCFDFC,
0xFFFDFCFA,
0xFFFDFDFA,
0xFFFDFDFC,
0xFFE9F6FA,
0xFF6DBFEA,
0xFF3BA6DF,
0xFFBFE4EE,
0xFFFEFEFA,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFFEFEFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFC,
0xFFFBFEFD,
0xFFA6D4E0,
0xFF99D3E5,
0xFFFCFDFB,
0xFFFCFCFC,
0xFFCDE7F3,
0xFF80C2E0,
0xFFBCE1ED,
0xFFB7DDEA,
0xFF64B9E4,
0xFF50B1E0,
0xFF4AABE0,
0xFF41ACE1,
0xFF3BADE3,
0xFF3AAEE2,
0xFF56B8E5,
0xFF89CBE6,
0xFFA6D8E8,
0xFF69BADD,
0xFFBEE2EF,
0xFFF6FCFB,
0xFFFBFDFB,
0xFFF9FDFE,
0xFFEEF8FA,
0xFFA2D5EB,
0xFF3DA8DF,
0xFF72C0DE,
0xFFF2F9FB,
0xFFFEFDFD,
0xFFFDFEFE,
0xFFFCFEFD,
0xFFFEFEFB,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFD,
0xFFFDFDFD,
0xFF9CD2DF,
0xFF9DD5E6,
0xFFFDFCFB,
0xFFFDFCFD,
0xFFF5FAFC,
0xFFA9D8EA,
0xFF7BC4E3,
0xFFBBE3EE,
0xFFCAE9F4,
0xFFBDE3F1,
0xFFB3DBEF,
0xFFA6D5EC,
0xFF97D1E5,
0xFF91D0E1,
0xFF9ED3E6,
0xFFCFEAF3,
0xFFEBF7FA,
0xFFA0D7EA,
0xFF68B7DB,
0xFFB6DFED,
0xFFF6FCFB,
0xFFF0F8F9,
0xFFACDBEF,
0xFF4EAFE0,
0xFF33A6DE,
0xFF97CFE1,
0xFFF8FAFC,
0xFFFEFCFE,
0xFFFDFEFD,
0xFFFDFEFC,
0xFFFEFEFC,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFA2D3E0,
0xFF92CFE6,
0xFFFBFCFC,
0xFFFDFDFD,
0xFFFCFDFE,
0xFFE8F6F7,
0xFF91CDE5,
0xFF82C4E1,
0xFFE2F4F5,
0xFFF5FCFD,
0xFFF4FBFC,
0xFFEDF4F7,
0xFFE4F0F2,
0xFFE1EFEF,
0xFFE8F1F4,
0xFFF7F9FB,
0xFFFEFCFD,
0xFFF3FAFA,
0xFFAAD8EA,
0xFF6EBDDC,
0xFFA9D9E9,
0xFFA7D9EC,
0xFF4EAFE1,
0xFF59B7E1,
0xFF5ABAE2,
0xFFACD8E6,
0xFFF9FAFA,
0xFFFDFEFD,
0xFFFDFEFD,
0xFFFEFDFD,
0xFFFEFDFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFC,
0xFFFEFDFD,
0xFFFEFEFE,
0xFFBDE1EC,
0xFF75BCDE,
0xFFF7FCFD,
0xFFFEFEFD,
0xFFFEFEFE,
0xFFFCFEFD,
0xFFE4F3F7,
0xFF8BC9E1,
0xFF7CC1DF,
0xFFE3F4F6,
0xFFFEFDFD,
0xFFFEFCFC,
0xFFFDFCFD,
0xFFFDFDFD,
0xFFFDFCFB,
0xFFFDFBFC,
0xFFFCFCFD,
0xFFFDFDFD,
0xFFF2F8FB,
0xFFA8DDEE,
0xFF4EB0E1,
0xFF3DA9E1,
0xFF5AB3E4,
0xFFADDFF0,
0xFF6CBBE0,
0xFFC4E6F1,
0xFFFCFCFC,
0xFFFCFFFD,
0xFFFAFEFE,
0xFFFEFDFD,
0xFFFEFDFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFB,
0xFFFDFEFD,
0xFFFDFEFE,
0xFFE1F3F9,
0xFF6BB3D4,
0xFFD7EEF2,
0xFFFCFEFD,
0xFFFDFEFF,
0xFFFCFEFD,
0xFFFBFDFC,
0xFFE4F5F8,
0xFF8EC8E2,
0xFF6AB7D9,
0xFFCFEDF1,
0xFFFCFDFC,
0xFFFCFCFD,
0xFFFCFDFD,
0xFFFDFCFC,
0xFFFDFDFC,
0xFFFCFEFB,
0xFFFCFEFA,
0xFFDFF3F7,
0xFF74C2E0,
0xFF269EE1,
0xFF2FA2E0,
0xFF8ECDE9,
0xFFB5DFEA,
0xFF7AC0DC,
0xFFDDF1F6,
0xFFFDFDFA,
0xFFFCFEFE,
0xFFFCFEFE,
0xFFFDFEFD,
0xFFFDFEFC,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFA,
0xFFFDFEFD,
0xFFFDFEFE,
0xFFF4FAFD,
0xFF95CCE0,
0xFF8DCBE3,
0xFFF4FCFD,
0xFFFCFDFF,
0xFFFCFDFD,
0xFFFDFEFC,
0xFFF9FDFB,
0xFFF4FBFB,
0xFFA1D6E6,
0xFF57AFD4,
0xFFABDAE9,
0xFFF2FBFC,
0xFFFCFDFC,
0xFFFBFDFC,
0xFFFCFEFA,
0xFFF9FCFA,
0xFFB5E0EA,
0xFF4DACDE,
0xFF29A1E0,
0xFF62BAE0,
0xFF92D2E9,
0xFF65B9DE,
0xFF4EACDE,
0xFF9ED4E9,
0xFFF1F9FB,
0xFFFDFDFE,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFC,
0xFFFFFDFC,
0xFFFCFDFB,
0xFFFDFDFD,
0xFFD5EEF7,
0xFF6BB9DD,
0xFFA9D8E7,
0xFFF2FAFC,
0xFFFAFCFC,
0xFFFBFCFB,
0xFFFCFDFD,
0xFFFDFDFE,
0xFFF9FDFC,
0xFFC5E6EF,
0xFF69B9DB,
0xFF75BDE0,
0xFFC1E4EF,
0xFFE7F6FA,
0xFFC5E6F0,
0xFF68BDDD,
0xFF25A2E1,
0xFF38A2DE,
0xFF95CDE6,
0xFFE7F7F9,
0xFFDAF2F7,
0xFF71C3E4,
0xFF3FA7DD,
0xFFAADDEE,
0xFFF0F9FB,
0xFFF8FBFD,
0xFFFDFEF9,
0xFFFEFDFC,
0xFFFDFCFE,
0xFFFDFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFD,
0xFFFDFEFC,
0xFFFCFDFE,
0xFFF7FBFC,
0xFFC0E2EE,
0xFF6BB9DB,
0xFF8CCAE2,
0xFFC5E7F3,
0xFFDFF2F8,
0xFFE8F4F7,
0xFFECF6F8,
0xFFEDF6F7,
0xFFEAF5F9,
0xFFCDEAF4,
0xFF7AC8E4,
0xFF41ABDD,
0xFF44AFDF,
0xFF32A6E1,
0xFF239FE4,
0xFF4BB0E2,
0xFFA5DBEB,
0xFFC7E7F1,
0xFFA5D6E7,
0xFF73BFDC,
0xFF83C6E1,
0xFF92CFE7,
0xFF64B6DE,
0xFF93CEE2,
0xFFB5DCE9,
0xFFF9FCFD,
0xFFFCFEFE,
0xFFFBFEFC,
0xFFFEFEFA,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFEFD,
0xFFFDFEFD,
0xFFFCFEFE,
0xFFFDFDFC,
0xFFF9FAFA,
0xFFCDE9F1,
0xFF7AC3E0,
0xFF58B4DE,
0xFF62BAE0,
0xFF75BFE0,
0xFF7CC4DE,
0xFF81C3DF,
0xFF75C1E0,
0xFF61B7E0,
0xFF47AEE1,
0xFF3DABE0,
0xFF53B4E0,
0xFF76BFE6,
0xFF6CBCE3,
0xFF6BBBE3,
0xFF6FBBDE,
0xFF72BADE,
0xFF8ECAE4,
0xFFC0E3EC,
0xFFF0F8F9,
0xFFF3FBFC,
0xFF91C8E7,
0xFFB6DDED,
0xFF7ABAD9,
0xFFECF9FB,
0xFFFBFEFB,
0xFFFAFEFB,
0xFFFCFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFD,
0xFFFDFEFD,
0xFFFDFEFE,
0xFFFCFEFE,
0xFFFBFDFC,
0xFFFCFCFD,
0xFFFBFDFC,
0xFFEBF7F7,
0xFFC2E5EE,
0xFF95D1EC,
0xFF79C2E8,
0xFF68BCE3,
0xFF66BCE3,
0xFF6ABDE3,
0xFF79C3E9,
0xFF92CEEB,
0xFFB4DEEC,
0xFFD9EEF3,
0xFFF2FBFB,
0xFFF2FDFD,
0xFFE9F7FA,
0xFFE8F8FB,
0xFFEEFAFA,
0xFFF7FDFA,
0xFFFDFEFB,
0xFFFCFDFE,
0xFFF8FDFD,
0xFFB8DCED,
0xFFAED9E8,
0xFF97CDE3,
0xFFF5FAFC,
0xFFFCFDFD,
0xFFFCFDFD,
0xFFFCFEFC,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFFFC,
0xFFFDFFFD,
0xFFFDFFFE,
0xFFFDFEFE,
0xFFFBFEFE,
0xFFFCFEFD,
0xFFFCFEFD,
0xFFFDFEFD,
0xFFFDFDFC,
0xFFFBFDFD,
0xFFF4FAFA,
0xFFE9F4F7,
0xFFE5F4F8,
0xFFE8F5F6,
0xFFF4FBFC,
0xFFFAFEFE,
0xFFFBFEFD,
0xFFFDFDFC,
0xFFFDFEFE,
0xFFFDFEFC,
0xFFFDFCFC,
0xFFFDFCFD,
0xFFFDFDFC,
0xFFFEFDFC,
0xFFFDFDFD,
0xFFFDFDFD,
0xFFFDFDFC,
0xFFEFF7F9,
0xFFD2E9EF,
0xFFE1F3F6,
0xFFFDFDFC,
0xFFFDFDFC,
0xFFFDFDFD,
0xFFFDFEFC,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFD,
0xFFFDFEFD,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFFCFEFE,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFCFDFD,
0xFFFDFCFC,
0xFFFDFCFE,
0xFFFEFDFE,
0xFFFDFCFD,
0xFFFDFDFC,
0xFFFEFEFE,
0xFFFEFEFC,
0xFFFEFDFD,
0xFFFEFDFD,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFFFDFD,
0xFFFEFDFD,
0xFFFCFDFE,
0xFFFCFDFE,
0xFFFDFDFE,
0xFFFCFDFE,
0xFFFEFDFD,
0xFFFEFEFE,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFF,
0xFFFDFEFE,
0xFFFDFDFE,
0xFFFDFDFD,
0xFFFEFDFD,
0xFFFEFDFE,
0xFFFDFEFC,
0xFFFEFEFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFCFEFE,
0xFFFCFEFE,
0xFFFDFDFE,
0xFFFEFCFF,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFDFD,
0xFFFEFEFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFEFEFF,
0xFFFEFEFD,
0xFFFEFEFD,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFFEFCFE,
0xFFFEFCFF,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFF,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFF,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFCFE,
0xFFFEFDFF,
0xFFFEFDFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFFFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFFFDFF,
0xFFFEFEFF,
0xFFFEFEFF,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFDFE,
0xFFFEFDFE,
0xFFFDFEFE,
0xFFFDFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE,
0xFFFEFEFE
};

anime_object_t gyro_36x36 =
{
  (uint32_t*)(&(gyro_36x36_data[0])),
  BPP_ARGB8888, // ARGB8888 format
  36,
  36,
  0x0000,
  0, // CLUT size
  0    // animation pointer
};

#endif /* __GYRO_36x36_H_ */

/*************************** End of file ****************************/
