/**
  ******************************************************************************
  * @file    LTDC/LTDC_Display_1Layer/Inc/RGB565_480x272.h 
  * @author  MCD Application Team
  * @version V1.3.4
  * @date    06-May-2016
  * @brief   This file contains image used for LTDC Validation.     
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT(c) 2016 STMicroelectronics</center></h2>
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __RGB565_480X272_H
#define __RGB565_480X272_H

const uint16_t RGB565_480x272[130560] = {
  0x7A33, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8232, 0x8A32, 0x8A33, 0x8233, 0x8233, 0x8233, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 
        0x8273, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A74, 
        0x8A74, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A74, 0x8A95, 0x92F6, 0x92F6, 0x8294, 0x61AF, 0x3949, 0x4A4A, 0xA535, 0xE75D, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 
        0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFF9C, 0xEE75, 0xD550, 0x93EA, 0x62E6, 0x4AC5, 0x6389, 0xC5D4, 0xD5B5, 0x7B2C, 0x62AA, 0x83CE, 0xDE9A, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDE, 0xFF9B, 0xFF58, 0xFF37, 0xF716, 0xF6D5, 
        0xEE94, 0xEE73, 0xEE94, 0xEED6, 0xF75A, 0xFF79, 0xFF58, 0xF737, 0xF6F6, 0xEEB5, 0xE673, 0xE692, 0xE6B2, 0xE693, 0xE693, 0xE673, 0xE633, 0xDDF2, 0xDDD1, 0xD5CF, 0xD60F, 0xDE50, 0xE6B2, 0xEED3, 0xE692, 0xDE4F, 0xDE4F, 0xDE90, 0xCE2F, 0x7B66, 
        0x6282, 0x7B24, 0x9C28, 0xACAB, 0xBD4E, 0xCD6F, 0xD5B1, 0xE6B5, 0xEF16, 0xEED6, 0xE676, 0xF77C, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xEF5D, 0xE71B, 0xE6D7, 0xDE93, 0xD670, 0xCE6E, 0xCE6E, 
        0xC60C, 0x9D06, 0x94A4, 0x94C5, 0xAD48, 0xBDAA, 0xCE0B, 0xDE8D, 0xD68C, 0xBDEA, 0xACE9, 0xCCF4, 0xDD38, 0xE5B6, 0xEE56, 0xF6D7, 0xF73A, 0xE678, 0xE678, 0xEF3B, 0xFFDE, 0xFFFF, 0xEF3B, 0xA4AE, 0x72E7, 0x3963, 0x18A1, 0x10C0, 0x2121, 0x20C0, 
        0x18A0, 0x18C1, 0x18E1, 0x10E1, 0x10C0, 0x18C2, 0x20C2, 0x2082, 0x1841, 0x1821, 0x1061, 0x2903, 0x41A5, 0x62A8, 0x732A, 0x7B29, 0x8328, 0xBCCD, 0xBD0D, 0x93C9, 0x8327, 0x8348, 0x9389, 0x7B09, 0x832A, 0xB48F, 0xD593, 0xE5D4, 0xEDD5, 0xF636, 
        0xF656, 0xF637, 0xF617, 0xEDF7, 0xE5D6, 0xE635, 0xE6B5, 0xEF38, 0xF79A, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFDB, 0xFFBB, 0xFFBC, 0xFFDC, 0xFFDD, 0xFFBC, 0xFF9B, 0xF799, 0xF797, 0xF796, 0xF755, 0xF714, 0xFF15, 0xFF16, 0xFF36, 0xFF56, 0xFF77, 0xFFBA, 
        0xFFDC, 0xFFDC, 0xFFFC, 0xFFFB, 0xF799, 0xEEB4, 0xE632, 0xE612, 0xEE33, 0xF674, 0xF6F6, 0xFF56, 0xFF76, 0xFF98, 0xFFBA, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFFC, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDC, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 
        0xFFDD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFBD, 0xFFBB, 0xFFBA, 0xFFDB, 0xFFDD, 0xF7DD, 0xE73A, 0xBDF0, 0xA54B, 0x9CA9, 0x9C69, 0x9C8A, 0x948B, 0x9429, 0x9C4A, 0xB4CC, 0xCD0E, 0xD50E, 0xD4AE, 0xDC6F, 0xDC2F, 0xD42E, 0xCBED, 0xCBCD, 0xD3CE, 0xDBCF, 
        0xDBEF, 0xE40E, 0xE42F, 0xE450, 0xE450, 0xDBEF, 0xDBCF, 0xDBAE, 0xDBCE, 0xE3EF, 0xE40F, 0xE3CF, 0xE3CF, 0xE40F, 0xE450, 0xEC51, 0xEC72, 0xF492, 0xF4B2, 0xF4B2, 0xF4B2, 0xF492, 0xEC72, 0xEC93, 0xEC93, 0xEC92, 0xECB2, 0xECB3, 0xECD4, 0xECF4, 
        0xED14, 0xF535, 0xF556, 0xF556, 0xED36, 0xDCF7, 0xD4D7, 0xC498, 0xBC59, 0xBC3A, 0xBBFB, 0xB3FC, 0xB3FC, 0xBC1D, 0xC41D, 0xBC1D, 0xBBFD, 0xBBFC, 0xBBFC, 0xBBFD, 0xC3DD, 0xBBDD, 0xBBDC, 0xBBFB, 0xBBFB, 0xBC1B, 0xBBFB, 0xB3DA, 0xB3BA,
  0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x8232, 0x8232, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A53, 0x7A53, 0x7A33, 0x7A32, 0x7A32, 0x8232, 0x8232, 0x8232, 0x8232, 0x8253, 0x8253, 0x8253, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8233, 0x8252, 0x8A52, 0x8A33, 0x8232, 0x8232, 0x8232, 0x8A52, 0x8A52, 0x8233, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8273, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x92D5, 0x8AB5, 0x69F2, 0x61B0, 0x69F1, 0x9354, 0xC5D9, 0xDEFB, 0xEF7D, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 
        0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFF, 
        0xFFDE, 0xFFDC, 0xFFBB, 0xFFBB, 0xF7DB, 0xF7BC, 0xDE98, 0x83CC, 0x39A4, 0x2942, 0x4225, 0xAC90, 0xCD13, 0xBC0F, 0xBC2F, 0xCD33, 0xEF5C, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xF79C, 0xEED6, 0xE632, 0xE5F1, 0xEDF1, 0xE5D0, 
        0xD58F, 0xC52D, 0xBCEC, 0xBCED, 0xCD50, 0xE6D7, 0xF779, 0xF758, 0xEEF6, 0xE694, 0xD632, 0xDDD0, 0xDDCF, 0xD5B0, 0xD5B1, 0xD5B2, 0xDDB2, 0xD58F, 0xCD6D, 0xC54D, 0xCDAF, 0xD672, 0xE6F4, 0xBD8C, 0xACC9, 0xB50A, 0xB50B, 0xB50A, 0xACA9, 0x9427, 
        0x8BC7, 0x8386, 0x7B66, 0x8386, 0x9428, 0xD632, 0xF6F5, 0xEE74, 0xEE74, 0xF6D7, 0xF77B, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xF77D, 0xEF3C, 0xD659, 0xAC93, 0xA452, 0xC5B3, 0xD693, 0xD6B1, 0xC62D, 0xAD4A, 
        0xA4E8, 0x9CC6, 0x9D26, 0xAD87, 0xBDEA, 0xBDAA, 0xAD49, 0xA4A6, 0xA4A6, 0xAD07, 0xBD8B, 0xB491, 0xB453, 0xC4F2, 0xD573, 0xDDB3, 0xDD92, 0xB4AF, 0xACD0, 0xD657, 0xEF7D, 0xF7DE, 0xF7BE, 0xE6F9, 0xBD93, 0x5AA9, 0x2103, 0x18E1, 0x2961, 0x28E1, 
        0x20A1, 0x1881, 0x10A1, 0x18E1, 0x2121, 0x1902, 0x18C2, 0x20A3, 0x2882, 0x2882, 0x28C1, 0x3143, 0x3143, 0x28E3, 0x28E2, 0x3122, 0x5204, 0xA3EA, 0xBC6C, 0x9BCA, 0x8328, 0x7B08, 0x8309, 0x93AB, 0x9BCC, 0x9BAB, 0xA3CC, 0xB40D, 0xC48F, 0xD4D1, 
        0xDCF2, 0xDD53, 0xE5D5, 0xEE37, 0xEE78, 0xCD52, 0xC50F, 0xD5B2, 0xE655, 0xEE97, 0xFEB8, 0xFEF6, 0xFF16, 0xFF38, 0xFF3A, 0xFF3A, 0xFF1A, 0xFF19, 0xF6D7, 0xEE73, 0xE631, 0xE610, 0xE631, 0xF6B3, 0xFEF5, 0xF716, 0xF6F6, 0xF6F6, 0xF6B4, 0xF6B5, 
        0xF6B5, 0xF6F7, 0xEF18, 0xEF38, 0xF739, 0xF79B, 0xFF9B, 0xFF37, 0xF6D4, 0xF693, 0xF673, 0xF714, 0xFF55, 0xFF57, 0xFF78, 0xFF98, 0xFFB8, 0xFFB7, 0xFF97, 0xFF98, 0xFF98, 0xFF79, 0xFF79, 0xFF79, 0xFF7A, 0xFF9A, 0xFF9A, 0xFF9A, 0xFF7A, 0xFF9A, 
        0xFF7A, 0xFF5A, 0xFF19, 0xFEFA, 0xFEB9, 0xF6B5, 0xF6F5, 0xF759, 0xEF3A, 0xD6B8, 0xA531, 0x6348, 0x6326, 0x9469, 0xAD0B, 0xA4EB, 0x8C2A, 0x7B87, 0x8BA7, 0xB48C, 0xCCEE, 0xD4AE, 0xCC2D, 0xDC0E, 0xE40F, 0xDC4F, 0xDC6F, 0xE470, 0xE471, 0xE471, 
        0xEC51, 0xEC70, 0xEC50, 0xE450, 0xE430, 0xEC32, 0xEC32, 0xEC30, 0xEC2F, 0xEC0F, 0xEC10, 0xEBD0, 0xEBD1, 0xE432, 0xE472, 0xE472, 0xEC71, 0xEC92, 0xEC92, 0xEC71, 0xEC51, 0xEC51, 0xE431, 0xE431, 0xE431, 0xDC32, 0xDC32, 0xDC31, 0xD431, 0xD430, 
        0xD431, 0xCC12, 0xC3D3, 0xC3B3, 0xC374, 0xB356, 0xAB38, 0xAB39, 0xAB3B, 0xAB5B, 0xAB7B, 0xAB5B, 0xAB5C, 0xB35C, 0xB35C, 0xAB5C, 0xAB7B, 0xAB7B, 0xAB7B, 0xB35C, 0xB35C, 0xB35C, 0xAB5B, 0xB35B, 0xB35B, 0xAB5B, 0xAB5A, 0xAB5A, 0xA35A,
  0x8212, 0x8212, 0x8232, 0x8232, 0x8232, 0x8233, 0x8232, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x8252, 0x8253, 0x8253, 0x8253, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x7A52, 0x7A32, 0x8252, 
        0x8273, 0x8253, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8232, 0x8232, 0x8232, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A73, 
        0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A54, 0x92B4, 0x8273, 0x6990, 0x7211, 0x9354, 0xCDDA, 0xF77E, 0xF7BE, 0xEF3C, 0xDEDB, 0xD6BA, 0xD6BA, 0xDEBB, 0xE6FC, 0xF77E, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFF, 
        0xFFFE, 0xFFDD, 0xFFDB, 0xFFD9, 0xFFD8, 0xF79B, 0xCE37, 0x6B6C, 0x3A05, 0x4A63, 0x6B85, 0x5265, 0x62A9, 0xACF3, 0xE6DA, 0xF77D, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF73A, 0xE613, 0xDD6F, 0xDD6F, 0xDDB0, 0xD5AF, 
        0xD58E, 0xD56F, 0xCD2D, 0xBCAC, 0xA44B, 0xBD30, 0xCDB2, 0xD5D3, 0xDE34, 0xE694, 0xE6D5, 0xDDF1, 0xD590, 0xD590, 0xD5B0, 0xDDB1, 0xD5B1, 0xC56E, 0xBD4D, 0xBD4D, 0xCDEF, 0xDE92, 0xDEB4, 0x9428, 0x7B44, 0x9448, 0xBD4C, 0xCDCE, 0xD5EF, 0xB4EB, 
        0xA44A, 0x9C4A, 0xA48C, 0xB4EE, 0xDDD1, 0xF6B5, 0xF6F5, 0xF6D4, 0xF6F5, 0xF738, 0xFFDD, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xDF1B, 0xD6BA, 0xD639, 0xBD35, 0x9C10, 0x7B2C, 0xACB1, 0xCDD4, 0xDEB6, 0xDF15, 0xD6D3, 0xBE0E, 0xA52A, 
        0x9CC8, 0x94C6, 0xA548, 0xBDEA, 0xD68E, 0xB569, 0xA4E7, 0x9CC7, 0xA4E9, 0xB52B, 0xC54F, 0xC4D5, 0xC4B6, 0xC534, 0xC552, 0xBD50, 0x9CAD, 0x7B46, 0x7B27, 0xA4AE, 0xCE15, 0xE6F9, 0xF7BE, 0xFFDD, 0xD698, 0x6B4C, 0x3144, 0x20A1, 0x1881, 0x1061, 
        0x1081, 0x10A2, 0x1903, 0x2123, 0x2923, 0x18C2, 0x10A2, 0x18E2, 0x2922, 0x2942, 0x2962, 0x2983, 0x2984, 0x39A4, 0x51E4, 0x6224, 0x7AE5, 0xA3CA, 0xAC0C, 0x9BAA, 0x8308, 0x72A7, 0x6A67, 0x9BAC, 0xAC0E, 0xAC0C, 0xAC0C, 0xAC4D, 0xBCD0, 0xBD11, 
        0xBCF1, 0xCCD1, 0xD512, 0xDD94, 0xDE58, 0xEEDA, 0xEED9, 0xEE96, 0xEE74, 0xF694, 0xFEF6, 0xFF39, 0xFF3A, 0xFF19, 0xFF18, 0xFF17, 0xF716, 0xFF18, 0xF6F8, 0xF695, 0xF673, 0xF673, 0xF6D4, 0xFF77, 0xFFB9, 0xFFBA, 0xFFBC, 0xFFBC, 0xFF7A, 0xF673, 
        0xEDD0, 0xD52F, 0xC4AE, 0xC46D, 0xC4AE, 0xDE56, 0xEF39, 0xF758, 0xFF76, 0xFF34, 0xFED2, 0xFF33, 0xFF74, 0xFF76, 0xFF78, 0xFF98, 0xFFB8, 0xFF96, 0xFF96, 0xFF78, 0xFF79, 0xFF9A, 0xFF9B, 0xFF9B, 0xFF9B, 0xFF7A, 0xFF59, 0xFF39, 0xF739, 0xFF7A, 
        0xF759, 0xEEF6, 0xEE95, 0xEE95, 0xF6D8, 0xFF7B, 0xFF9C, 0xEF39, 0xD633, 0xBD2E, 0x93E8, 0x9C4B, 0xA4AC, 0x9CAB, 0x8C49, 0x7BE8, 0x73A7, 0xACAA, 0xCD6C, 0xD5AE, 0xD56F, 0xCD0F, 0xC44E, 0xE470, 0xEC90, 0xE470, 0xDC70, 0xDC4F, 0xDC2F, 0xD3D0, 
        0xD3D0, 0xE40F, 0xEC2E, 0xEC4F, 0xEC30, 0xE452, 0xE453, 0xE491, 0xE491, 0xE491, 0xE451, 0xEC72, 0xF472, 0xF473, 0xF453, 0xF452, 0xEC31, 0xDC30, 0xD430, 0xC410, 0xC410, 0xCC30, 0xD430, 0xC3CF, 0xBBAF, 0xC3D0, 0xCBF0, 0xCBF0, 0xCBEF, 0xBBEF, 
        0xB3CF, 0xB391, 0xB372, 0xB373, 0xB375, 0xAB79, 0xAB7B, 0xA35B, 0xAB7B, 0xAB7B, 0xB3BA, 0xAB99, 0xAB79, 0xAB7A, 0xB37A, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B, 0xB37B, 0xB37B, 0xB37B, 0xB37B, 0xAB7B, 0xAB7B, 0xB37B, 0xB37B, 0xAB7B, 0xA35B,
  0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7212, 0x7211, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7212, 0x7212, 0x7A12, 0x7212, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A52, 0x7A53, 0x7A53, 0x7A52, 0x7A32, 0x7A32, 0x7A33, 0x8252, 0x8252, 0x8252, 0x8A32, 0x8A32, 
        0x8A32, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8252, 0x8232, 0x8232, 0x8212, 0x8232, 0x8233, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8272, 
        0x8252, 0x8253, 0x8253, 0x8253, 0x8A74, 0x8AB4, 0x8272, 0x594E, 0x592D, 0x69B0, 0xA3B6, 0xE6DD, 0xE6FC, 0xA432, 0x5A8A, 0x4A08, 0x4208, 0x520B, 0x7B0F, 0xC5B8, 0xF77E, 0xFFFF, 0xF7FE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFBE, 0xFFBF, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFBD, 0xFF7B, 0xFF7B, 0xFF5B, 0xFEDA, 0xFEDB, 0xFF5D, 0xF77D, 0xEF1C, 0xE6DB, 0xF79E, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFDE, 0xF79A, 0xF779, 0xF79A, 0xEF7A, 0xC5F3, 0x9C8D, 0x4AA6, 0x2162, 0x1921, 0x39C2, 0x7304, 0x9C29, 0xCE35, 0xF77C, 0xFFDE, 0xFFBD, 0xFFDE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDD, 0xF739, 0xF6B5, 0xE612, 0xDDD1, 0xD5B0, 0xD5AF, 0xD58D, 
        0xD58C, 0xD58E, 0xD590, 0xD5B1, 0xD5B1, 0xC52F, 0xC50E, 0xC52E, 0xCD6F, 0xD591, 0xDDF3, 0xEE94, 0xEE93, 0xDE13, 0xDDD2, 0xDDF1, 0xDDF0, 0xC54C, 0xB50B, 0xBD6C, 0xD60F, 0xDEB1, 0xDE91, 0x8BE6, 0x6AC2, 0x8385, 0xACEC, 0xCDF2, 0xE6D6, 0xCD6E, 
        0xB4A9, 0xAC48, 0xB4AA, 0xC54D, 0xE672, 0xF755, 0xFF97, 0xFF9A, 0xFFBC, 0xFFDD, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xDEFB, 0x6B6E, 0x4A28, 0x62AA, 0x838D, 0x9C4F, 0xBD92, 0xE6F7, 0xE717, 0xCE32, 0xBDCF, 0xBDCF, 0xBDEE, 0xA52A, 
        0x9D08, 0xAD68, 0xB5C9, 0xBDE9, 0xBDE9, 0xB5A9, 0xB5CA, 0xBDAB, 0x9CEA, 0x7BC8, 0x62E9, 0xBDB7, 0xE6BB, 0xDE16, 0xC50F, 0xAC6A, 0x83A5, 0x6322, 0x6341, 0x8425, 0xAD4B, 0xCE52, 0xEF7B, 0xF77B, 0xDE96, 0xACAD, 0x8B07, 0x7A25, 0x5923, 0x2841, 
        0x1020, 0x0841, 0x08A1, 0x08C1, 0x10E2, 0x2925, 0x3146, 0x3144, 0x2963, 0x2962, 0x2961, 0x20E1, 0x2902, 0x51C5, 0x7267, 0x72A6, 0x72C5, 0x7AE6, 0x8B28, 0x9389, 0x93A9, 0x8348, 0x72C6, 0x9329, 0x9B8A, 0x93AB, 0x9C0C, 0xAC4D, 0xBCEF, 0xC552, 
        0xC552, 0xBCD2, 0xAC10, 0x938E, 0x8B6D, 0xDD74, 0xFE77, 0xFED6, 0xF6B6, 0xF6B6, 0xF698, 0xF739, 0xF759, 0xF718, 0xF6F8, 0xF719, 0xFF39, 0xF6D8, 0xF6B7, 0xF6B7, 0xF6F7, 0xFF38, 0xFF99, 0xFFDB, 0xFFDB, 0xFFBB, 0xFF9A, 0xFF9A, 0xFF9A, 0xFF7A, 
        0xF75A, 0xEEF9, 0xE696, 0xDE33, 0xCD4F, 0xB40B, 0xB42B, 0xDDAF, 0xF6F2, 0xFF74, 0xFF74, 0xFEF4, 0xFEF4, 0xFF76, 0xFFB7, 0xFFB8, 0xFF78, 0xFF77, 0xFF77, 0xFF57, 0xFF58, 0xF758, 0xF737, 0xFEF7, 0xFED7, 0xF6D7, 0xF6D8, 0xEEB7, 0xEE96, 0xEE76, 
        0xF676, 0xF6F6, 0xF736, 0xF756, 0xF758, 0xFFDD, 0xF7BC, 0xCE95, 0xA54E, 0x8C89, 0x7BE5, 0xA529, 0xAD6A, 0x9467, 0x83A5, 0x7B85, 0x83E6, 0xA4A8, 0xB54B, 0xD632, 0xE656, 0xE5F5, 0xD4F2, 0xDC2F, 0xE40E, 0xDC4F, 0xDC6F, 0xDC6F, 0xDC4F, 0xE432, 
        0xE432, 0xE451, 0xE471, 0xE471, 0xE472, 0xDC93, 0xDCB3, 0xDCB1, 0xDC91, 0xDC71, 0xDC51, 0xDC10, 0xE410, 0xE431, 0xE432, 0xE432, 0xD411, 0xCC10, 0xC410, 0xBBEF, 0xBBCF, 0xBBAF, 0xBB8F, 0xC38E, 0xC38F, 0xBB92, 0xB374, 0xB355, 0xAB36, 0xAB56, 
        0xAB57, 0xAB58, 0xAB59, 0xAB5A, 0xAB5B, 0xB35C, 0xB35C, 0xAB7B, 0xAB7A, 0xAB7A, 0xAB5A, 0xAB5B, 0xAB5B, 0xAB7A, 0xB37A, 0xB37B, 0xB35B, 0xAB3B, 0xAB3A, 0xAB5A, 0xB379, 0xB379, 0xAB7A, 0xA379, 0xA379, 0xAB7A, 0xB37A, 0xAB7A, 0xAB5A,
  0x7211, 0x7212, 0x7212, 0x7212, 0x7211, 0x7211, 0x7A12, 0x7A12, 0x7A13, 0x7A13, 0x7A13, 0x7212, 0x7212, 0x7212, 0x71F2, 0x79F2, 0x79F2, 0x79F2, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7232, 0x7232, 0x7A32, 0x8233, 0x8232, 0x8252, 0x8252, 0x8253, 0x8A32, 
        0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8A32, 0x8A32, 0x8232, 0x8A32, 0x8232, 0x8233, 0x8233, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8252, 
        0x8252, 0x8253, 0x8233, 0x8253, 0x8274, 0x8AB3, 0x8271, 0x61AE, 0x592D, 0x614F, 0x8273, 0xB4F7, 0xACF5, 0x6A4D, 0x30C6, 0x28A5, 0x30E7, 0x30A8, 0x496B, 0x8BD3, 0xB577, 0xBDF7, 0xC638, 0xEF7C, 0xFFFF, 0xFFDE, 0xF7BE, 0xF7BE, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 
        0xFFDD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFBE, 0xFFBF, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFF9D, 0xF75B, 0xF71A, 0xFF3A, 0xF719, 0xF637, 0xF638, 0xF6FB, 0xF73C, 0xEEFB, 0xDE37, 0xC5F7, 0xC618, 0xD679, 0xE71B, 0xF77D, 0xFFDF, 0xFFFF, 
        0xFFDD, 0xF77A, 0xF77A, 0xF77B, 0xE71B, 0x946E, 0x6AE7, 0x3A03, 0x1901, 0x0880, 0x2102, 0x9409, 0xD5CF, 0xEEF7, 0xFFBD, 0xFFBE, 0xFFBD, 0xFFDE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFBD, 0xF6D7, 0xEE74, 0xEE53, 0xDE12, 0xD5F1, 0xCDAF, 0xD58C, 
        0xD56C, 0xCD6E, 0xD5B0, 0xDDF2, 0xE633, 0xD570, 0xC52E, 0xC54D, 0xC54E, 0xCD4F, 0xD572, 0xE652, 0xE692, 0xE633, 0xDE13, 0xE632, 0xDE30, 0xB4EA, 0xACA9, 0xC58D, 0xDE70, 0xE6D1, 0xDE70, 0x9C68, 0x83A5, 0x9428, 0xACED, 0xB571, 0xC5D5, 0xCDD1, 
        0xCD8E, 0xC54D, 0xCD6E, 0xD5F0, 0xE6D5, 0xF776, 0xF798, 0xF79B, 0xF79D, 0xFFBD, 0xFFDD, 0xF79D, 0xF75D, 0xEF3C, 0xEF1B, 0xEF3B, 0xCE17, 0x41E7, 0x18A2, 0x4A27, 0x8BED, 0xACF0, 0xCE33, 0xEF79, 0xEF79, 0xCE53, 0xBDAF, 0xBDAF, 0xBDCE, 0xAD4A, 
        0xA548, 0xB5A9, 0xBDE9, 0xB5C9, 0xAD88, 0xBDEA, 0xCE4C, 0xCE4D, 0xA50B, 0x6B47, 0x4207, 0xBDF7, 0xF77C, 0xDE15, 0xBCAD, 0x9BE8, 0x7B62, 0x6381, 0x63A0, 0x7C02, 0xA508, 0xC5EF, 0xE719, 0xCE15, 0xB52F, 0xAC4B, 0xA3A9, 0xA329, 0x9289, 0x59C7, 
        0x3965, 0x2103, 0x10C2, 0x10A1, 0x10A1, 0x2925, 0x3166, 0x2944, 0x2122, 0x2121, 0x1900, 0x1880, 0x2081, 0x4944, 0x6206, 0x6A66, 0x6AC6, 0x82E7, 0x8B28, 0x93A9, 0x93CA, 0x8BA9, 0x8327, 0x82E6, 0x8B07, 0x8B49, 0x93CB, 0xA42D, 0xBCCF, 0xCD71, 
        0xCD72, 0xBCD1, 0x9BEE, 0x832C, 0x7AAA, 0xC46F, 0xE593, 0xF696, 0xFF18, 0xFEF9, 0xF6B9, 0xF739, 0xF759, 0xF718, 0xF6F9, 0xF71A, 0xF71A, 0xF6D7, 0xEE96, 0xF6B7, 0xF6F8, 0xF738, 0xFF9A, 0xFFDC, 0xFFDC, 0xFF9A, 0xFF79, 0xFF79, 0xFF9A, 0xFFDC, 
        0xFFDE, 0xFFDD, 0xFFBC, 0xF779, 0xDE54, 0xB44C, 0xB40A, 0xD56E, 0xF6D1, 0xFF73, 0xFF95, 0xFF15, 0xFEF5, 0xFF76, 0xFF97, 0xFF97, 0xFF78, 0xFF78, 0xFF77, 0xFF58, 0xFF58, 0xF738, 0xF717, 0xFED6, 0xFEB6, 0xF6B6, 0xEE97, 0xEE97, 0xE676, 0xEE15, 
        0xEE35, 0xF6D6, 0xF737, 0xF777, 0xFF9A, 0xFFDD, 0xE75B, 0xB5B1, 0x8C8A, 0x7C48, 0x8467, 0x9D29, 0xA508, 0x8C06, 0x8385, 0x8385, 0x8C07, 0xA4C8, 0xB56C, 0xDE54, 0xEE98, 0xEE37, 0xDD13, 0xD40E, 0xDBED, 0xD42E, 0xD44F, 0xD44E, 0xDC4F, 0xE452, 
        0xE473, 0xE492, 0xE492, 0xDC92, 0xDC92, 0xDCB2, 0xDCD2, 0xDC91, 0xDC71, 0xDC71, 0xDC51, 0xDC30, 0xDC30, 0xE451, 0xE472, 0xDC72, 0xD451, 0xC451, 0xC430, 0xBBCF, 0xBB8F, 0xBB4E, 0xB32D, 0xBB6C, 0xBB6D, 0xB371, 0xAB54, 0xAB36, 0xAB17, 0xAB19, 
        0xAB3B, 0xAB3B, 0xAB5C, 0xAB5D, 0xAB3D, 0xB35C, 0xBB5C, 0xB35A, 0xAB59, 0xAB59, 0xAB5A, 0xAB5C, 0xAB5C, 0xAB5A, 0xB37A, 0xB35B, 0xB35C, 0xAB1B, 0xAB3A, 0xAB5A, 0xAB79, 0xAB79, 0xAB79, 0xAB79, 0xA379, 0xAB79, 0xAB79, 0xAB59, 0xAB59,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8253, 0x8253, 0x8252, 0x8252, 0x7A53, 0x7A32, 
        0x7A32, 0x8252, 0x8252, 0x8232, 0x8232, 0x8252, 0x8252, 0x8253, 0x8233, 0x8233, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8A53, 
        0x8A53, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8291, 0x82B0, 0x82B2, 0x8A93, 0x8273, 0x7212, 0x51AD, 0x416C, 0x412C, 0x596E, 0x7211, 0x92D4, 0x7213, 0x5991, 0x496E, 0x41AB, 0x41CA, 0x5A8B, 0xB575, 0xD699, 0xD678, 0xD679, 0xDEDA, 0xEF7D, 0xFFDF, 
        0xFFFF, 0xFFDE, 0xFFBE, 0xFFDE, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xF7BE, 0xF77D, 0xF73B, 0xF6DA, 0xF6BA, 0xF6DB, 0xF6FB, 0xE5F4, 0xE5D4, 0xEEB9, 0xF75B, 0xF73B, 0xD615, 0x734C, 0x528A, 0x83AE, 0xB534, 0xCDF7, 0xDEBA, 0xF7BE, 
        0xFFDE, 0xFFBD, 0xFFBC, 0xFFBD, 0xD6BA, 0x5289, 0x20E2, 0x3142, 0x3162, 0x3142, 0x4A06, 0xBDD5, 0xF79C, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBC, 0xF6F6, 0xEE94, 0xEE94, 0xEE73, 0xE632, 0xDDAF, 0xCD6E, 
        0xCD6E, 0xCD6F, 0xD590, 0xD590, 0xD5B0, 0xD591, 0xD590, 0xD590, 0xCD90, 0xCD90, 0xCD70, 0xC52D, 0xC52D, 0xD5B0, 0xE632, 0xE653, 0xD5F0, 0x9427, 0x9406, 0xC5CF, 0xE6F4, 0xEF13, 0xDE4F, 0xBD4B, 0xB52B, 0xBD6D, 0xACEC, 0x940B, 0x836B, 0xC5B4, 
        0xE6D8, 0xE6D8, 0xE6F9, 0xEF19, 0xEF1A, 0xE676, 0xDE14, 0xD615, 0xDE76, 0xE6F8, 0xF779, 0xEED8, 0xDE37, 0xCD94, 0xCD73, 0xCD92, 0xB50F, 0x39A5, 0x2964, 0x842D, 0xB590, 0xAD4E, 0x9CAB, 0xDED8, 0xF7BD, 0xEF7A, 0xE6F6, 0xDE93, 0xC5EE, 0xADAA, 
        0xAD89, 0xAD69, 0xAD89, 0xADA9, 0xB5E9, 0xC60C, 0xD66E, 0xDEB0, 0xB58E, 0x7BEA, 0x4227, 0xB575, 0xE698, 0xC531, 0x9C0A, 0x83A7, 0x6BC4, 0x7422, 0x7C42, 0x8423, 0x9CC8, 0xB58D, 0xCE33, 0x83EB, 0x62A6, 0x5A45, 0x7AA8, 0x9B6C, 0xC492, 0xB492, 
        0x9C31, 0x7B2D, 0x5A29, 0x49A6, 0x3103, 0x28C2, 0x20C2, 0x18C2, 0x10C2, 0x10A2, 0x18A2, 0x1861, 0x1841, 0x2081, 0x3122, 0x41C3, 0x6AE6, 0xA3EA, 0xAC2C, 0x9BCB, 0x938A, 0x93AA, 0x9389, 0x7AC6, 0x7285, 0x8B08, 0x9BCB, 0xA42C, 0xACCE, 0xCD71, 
        0xCD51, 0xBCCE, 0xAC6D, 0xAC2D, 0xAC0D, 0xABCD, 0xBC6F, 0xDE37, 0xF75C, 0xFF9D, 0xFF9C, 0xFF9B, 0xFF7B, 0xFF5B, 0xFF3A, 0xF719, 0xF6D8, 0xF6D6, 0xF6B6, 0xF696, 0xF696, 0xF676, 0xF6B6, 0xFF79, 0xFFBA, 0xFF99, 0xFF79, 0xFF99, 0xFFBA, 0xFF9B, 
        0xFF9B, 0xFFBC, 0xFFDD, 0xFFDD, 0xF79B, 0xEF18, 0xEEF6, 0xEEF5, 0xF714, 0xF734, 0xFF75, 0xFF96, 0xFF96, 0xFF76, 0xFF76, 0xFF77, 0xFF78, 0xFF78, 0xFF78, 0xFF58, 0xFF58, 0xFF58, 0xFF38, 0xF717, 0xF6F6, 0xEEB6, 0xEE76, 0xEE77, 0xE697, 0xEE56, 
        0xEE55, 0xEE75, 0xEEB6, 0xF718, 0xF77B, 0xE71A, 0xCE15, 0xA44C, 0x93A8, 0x9C29, 0xAD2D, 0x9449, 0x8BE7, 0x8BE8, 0x8BE8, 0x83E7, 0x8C47, 0xBDAC, 0xDE4F, 0xEE73, 0xEDF5, 0xDD74, 0xCC72, 0xCC2E, 0xCC0D, 0xCC2E, 0xCC0F, 0xCC0E, 0xD40E, 0xDC31, 
        0xDC32, 0xE451, 0xE450, 0xDC70, 0xDC91, 0xDC92, 0xDC92, 0xDC92, 0xDC92, 0xDC92, 0xDCB2, 0xDCF2, 0xE4F2, 0xE4D2, 0xDCB2, 0xDCB2, 0xD492, 0xC411, 0xBBB0, 0xB32E, 0xAACD, 0xAACC, 0xAACB, 0xAB2B, 0xAB4D, 0xB370, 0xB372, 0xB373, 0xB375, 0xB359, 
        0xAB5B, 0xAB5B, 0xAB5C, 0xAB7B, 0xAB7A, 0xB37B, 0xB37B, 0xB35A, 0xAB5A, 0xAB7A, 0xA37A, 0xAB7B, 0xAB7B, 0xAB5B, 0xAB5A, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xB37B, 0xB37B, 0xB37B, 0xAB7B, 0xAB5B, 0xAB5B, 0xAB5A, 0xAB5A,
  0x7A12, 0x7A32, 0x8232, 0x7A32, 0x7A32, 0x7A32, 0x8253, 0x8253, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x8252, 0x8232, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8232, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 0x8232, 0x8253, 
        0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8A53, 0x8253, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 
        0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A73, 0x8291, 0x82B1, 0x8AB3, 0x8AB5, 0x8A95, 0x8254, 0x6A12, 0x6A13, 0x7A76, 0x8AB7, 0x8A95, 0x9273, 0x92B5, 0x92B6, 0x8255, 0x8254, 0x8294, 0x82B1, 0x5A4A, 0x41E7, 0x4A07, 0x6B4B, 0x9CD1, 0xE73B, 0xFFBE, 
        0xFF9D, 0xFF9D, 0xFF9D, 0xFF9D, 0xFF9D, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFFD, 0xFFFD, 0xFFFE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFF9E, 0xF77D, 0xFF7D, 0xFF5C, 0xFF3B, 0xFF3A, 0xFF5A, 0xFF7B, 0xF6D9, 0xF6B9, 0xF73C, 0xF79D, 0xF7BC, 0xEF3A, 0xC5F8, 0xBDD7, 0xC618, 0xB554, 0x83EF, 0x5AAA, 0xAD55, 
        0xDEFB, 0xEF7D, 0xF7BD, 0xF79D, 0xC637, 0x41E7, 0x0841, 0x20E2, 0x4A05, 0x7B08, 0xC530, 0xF73B, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDC, 0xF756, 0xF6F3, 0xEEB3, 0xEE73, 0xEE53, 0xEDF2, 0xDDAF, 
        0xD58F, 0xD58F, 0xD590, 0xD590, 0xD590, 0xDDB2, 0xDDD3, 0xDDD2, 0xDDB1, 0xDD91, 0xDD71, 0xD54F, 0xCD4E, 0xC54F, 0xBD4F, 0xBD4E, 0xACEC, 0x9405, 0x9466, 0xCE2E, 0xEF32, 0xEF12, 0xCDCC, 0x93E5, 0x6AE3, 0x5245, 0x62E7, 0x8C0B, 0xC5B0, 0xB52D, 
        0xB4CD, 0xBD0E, 0xC551, 0xCD92, 0xC572, 0xAC4C, 0xA3E9, 0xA46A, 0xBD4F, 0xCE13, 0xEEF8, 0xEEB7, 0xEE96, 0xEEB6, 0xE695, 0xDE33, 0xA4AE, 0x3184, 0x2923, 0x7B89, 0xACEB, 0xACE9, 0x9CAA, 0xDED8, 0xFFDD, 0xFF9B, 0xF737, 0xE6D4, 0xD62F, 0xB5EB, 
        0xADAA, 0xAD89, 0xADA9, 0xB609, 0xC68B, 0xCE6E, 0xD66F, 0xD6B0, 0xB58D, 0x7BC9, 0x3963, 0x7227, 0x9B2A, 0xAC0C, 0xA44B, 0x9428, 0x7BE3, 0x8CC3, 0x9524, 0x9D04, 0x9CE5, 0x9CE5, 0xA528, 0xBDAD, 0xA4ED, 0x5A87, 0x3903, 0x48E3, 0x81A6, 0xAA8B, 
        0xBB2E, 0xC412, 0xC493, 0xB472, 0x936C, 0x8925, 0x7863, 0x60E5, 0x5187, 0x59E8, 0x7229, 0x7209, 0x71A8, 0x7147, 0x68E5, 0x58C3, 0x4943, 0x7308, 0x93EA, 0x9C0C, 0xA3EC, 0x9BAB, 0x8B49, 0x82E6, 0x82E7, 0x8B69, 0x93CA, 0x940B, 0xA46C, 0xC570, 
        0xC571, 0xB4AE, 0xA44D, 0xAC6D, 0xAC8D, 0xA3AB, 0xABCD, 0xD575, 0xEEDA, 0xFF7D, 0xFFBD, 0xFFBD, 0xFFBD, 0xFF9C, 0xFF7B, 0xF77A, 0xF739, 0xFED7, 0xFEB6, 0xF6B6, 0xF6B6, 0xF695, 0xF695, 0xFED6, 0xFF17, 0xFF37, 0xFF58, 0xFF79, 0xFF9A, 0xFF9A, 
        0xFF9A, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFBB, 0xFF9A, 0xFF77, 0xFFB7, 0xFFB6, 0xFF96, 0xFF96, 0xFFB7, 0xFFB8, 0xFF58, 0xF6F7, 0xEE95, 0xEE74, 0xEE95, 0xE6B6, 0xD5F4, 0xD594, 0xDDD4, 0xDDF4, 0xE5F5, 0xE5F5, 0xDE14, 
        0xE634, 0xEED6, 0xF758, 0xEF58, 0xD695, 0x8BC9, 0x7B06, 0x9C09, 0xB4CB, 0xB50C, 0xA4CA, 0x8408, 0x7BC7, 0x8C08, 0x9408, 0x8C08, 0x9469, 0xCDEF, 0xEE72, 0xE5D2, 0xD512, 0xCCB1, 0xBC30, 0xD3EF, 0xDC0E, 0xDC2F, 0xD450, 0xD42F, 0xD3EF, 0xD3AE, 
        0xCBAE, 0xC3AE, 0xC3CF, 0xC3EF, 0xCC30, 0xCC51, 0xCC71, 0xCC71, 0xCC71, 0xCC71, 0xCC71, 0xC44F, 0xBC0E, 0xB3AE, 0xA32D, 0xA2CD, 0x9A4B, 0x9189, 0x9169, 0x9209, 0x9A6A, 0x9AAB, 0xA2CE, 0xB336, 0xBB59, 0xBB7B, 0xBB9B, 0xBB9B, 0xB39B, 0xB37C, 
        0xAB7D, 0xA39C, 0xA39C, 0xA39B, 0xAB9A, 0xB37B, 0xB35C, 0xB35C, 0xAB7D, 0xAB7C, 0xA39B, 0xA3BB, 0xABBB, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB9C, 0xB35C, 0xB35C, 0xB37D, 0xAB7C, 0xAB5C, 0xAB5C,
  0x7A12, 0x7A12, 0x7A12, 0x7212, 0x7212, 0x7212, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7212, 0x7212, 0x7212, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8252, 0x8232, 0x8233, 0x8233, 0x7A33, 0x7A32, 
        0x7A52, 0x8232, 0x8232, 0x8232, 0x8212, 0x8232, 0x8252, 0x8252, 0x8233, 0x8233, 0x8233, 0x8232, 0x8232, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8254, 0x8274, 0x8273, 0x8273, 0x8A73, 0x8A93, 0x8A94, 0x8A94, 0x8273, 0x8293, 0x8AB4, 0x92D4, 0x8214, 0x79F4, 0x7A94, 0x7AD3, 0x72D1, 0x72CE, 0x83AE, 0x83AD, 0x72EB, 0x836D, 0xA492, 0xE6BA, 0xFEFA, 
        0xFEB8, 0xF677, 0xEE16, 0xEDD5, 0xEDF5, 0xE6DA, 0xE73C, 0xF77D, 0xF7BE, 0xFFDE, 0xFFFF, 0xFFBE, 0xFFBE, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBD, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFFBD, 0xFFBD, 0xF7BD, 0xF79D, 0xF79C, 0xF79B, 0xF7BB, 0xFFDC, 0xFFBB, 0xF6F7, 0xF6B6, 0xF739, 0xF758, 0xF716, 0xEEB4, 0xEF3A, 0xF79D, 0xEF5C, 0xCE17, 0x9C91, 0x5208, 0x41E7, 
        0x5ACB, 0x94B2, 0xBDB5, 0xB552, 0x7B4A, 0x20E2, 0x0821, 0x20E3, 0x4A69, 0x8C30, 0xE6FA, 0xFFBC, 0xFFBC, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFBD, 0xFFDD, 0xFFDD, 0xFFFC, 0xFFDB, 0xEF59, 0xEEF7, 0xF6D5, 0xF6B4, 0xEE94, 0xDE54, 0xD5F3, 
        0xD5D2, 0xD5D2, 0xD5D1, 0xD5B0, 0xD58F, 0xCD91, 0xCD71, 0xD591, 0xD591, 0xD591, 0xD590, 0xD591, 0xCD71, 0xCD70, 0xC54E, 0xBD4D, 0xACEA, 0x9466, 0x9CC8, 0xCE51, 0xDED4, 0xD651, 0x9C67, 0x5243, 0x4A24, 0x83A9, 0xBD6E, 0xDE73, 0xE6F7, 0xD613, 
        0xCD92, 0xCD92, 0xCD92, 0xCD72, 0xD592, 0xD5F4, 0xDE76, 0xE6D8, 0xE6D8, 0xDE96, 0xD5F3, 0xE656, 0xEED9, 0xF73A, 0xE6F7, 0xCE12, 0x8BC9, 0x2922, 0x20E2, 0x6B06, 0xACEC, 0xCDD1, 0xE6D8, 0xF7BD, 0xFFDE, 0xF75B, 0xDED7, 0xCE53, 0xB5ED, 0xBE4B, 
        0xC68B, 0xC66C, 0xC66C, 0xC66C, 0xC68D, 0xCEEF, 0xCECF, 0xADAC, 0x8408, 0x5AA5, 0x28A1, 0x2862, 0x4143, 0x7B46, 0x9487, 0x84C5, 0x6C82, 0x7C64, 0x8C86, 0x94A9, 0xA50B, 0xB56C, 0xC5EC, 0xBDE9, 0x9CC7, 0x5A43, 0x3881, 0x4020, 0x5841, 0x4882, 
        0x48A3, 0x60E4, 0x7965, 0x89A7, 0x91E8, 0x7925, 0x7925, 0x91A7, 0xAA09, 0xBA2A, 0xCA8C, 0xDBF4, 0xDCB8, 0xE4B7, 0xD414, 0xBB4F, 0x8A49, 0x5A87, 0x5AE7, 0x7B28, 0x8327, 0x7AE6, 0x6AA5, 0x82E7, 0x9347, 0x8B87, 0x8BA8, 0x8BAA, 0x9BCC, 0xB48E, 
        0xB4AE, 0xAC4D, 0xAC2E, 0xAC6F, 0xB490, 0xABAD, 0xABCD, 0xC554, 0xDE99, 0xEF3B, 0xFFBC, 0xFF9B, 0xFF9A, 0xFFBB, 0xFFBC, 0xFF9C, 0xFF7B, 0xFF7B, 0xFF7B, 0xFF5B, 0xF73A, 0xF739, 0xF717, 0xF695, 0xF675, 0xF6D7, 0xF718, 0xF718, 0xF717, 0xFF77, 
        0xFF98, 0xFF99, 0xFF79, 0xFF59, 0xFF5A, 0xFF79, 0xFF79, 0xFF9A, 0xFF9A, 0xFF79, 0xFF38, 0xFF16, 0xFF35, 0xFF75, 0xFFB6, 0xFFB7, 0xFF98, 0xF758, 0xF738, 0xF737, 0xE6B6, 0xD614, 0xC531, 0xC591, 0xD5D2, 0xDDD4, 0xDDD5, 0xDDF5, 0xDDF5, 0xEE36, 
        0xEE77, 0xEEB7, 0xE695, 0xCDF2, 0x9C6C, 0x52A5, 0x52A5, 0x9469, 0xAD0A, 0xA4A9, 0x7BC7, 0x8C8A, 0x9CEB, 0x9469, 0x8C06, 0x83E5, 0x8C27, 0xC590, 0xD5F3, 0xCD53, 0xC4D2, 0xBC6F, 0xB40D, 0xBBCE, 0xC3AE, 0xBB8E, 0xBBAE, 0xC3CE, 0xCBEE, 0xBB8D, 
        0xB36D, 0xBBAF, 0xC3F0, 0xCC10, 0xCBEF, 0xBB8D, 0xB34C, 0xAB0C, 0xA2CC, 0xA2AB, 0x9A4A, 0x81A8, 0x7167, 0x7146, 0x7105, 0x70E4, 0x78A4, 0x9125, 0xA187, 0xB209, 0xBA6B, 0xBACC, 0xBB2F, 0xAB34, 0xA336, 0xAB59, 0xB33B, 0xB33C, 0xB33C, 0xAB3C, 
        0xAB3B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5C, 0xB35C, 0xB33C, 0xAB5C, 0xAB5B, 0xAB7A, 0xAB79, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB5B, 0xAB5A, 0xAB5A, 0xAB5B, 0xAB5C, 0xAB7B, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB5B, 0xAB5A,
  0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7232, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A33, 0x7A33, 0x7A33, 0x7A33, 0x7A33, 0x8252, 
        0x8252, 0x8252, 0x8252, 0x7A52, 0x7A32, 0x8252, 0x8A52, 0x8252, 0x8253, 0x8253, 0x8233, 0x8233, 0x8233, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8254, 0x8254, 0x8253, 0x7A52, 0x7A52, 0x7272, 0x8A74, 0x8A95, 0x8A94, 0x8AB3, 0x92B2, 0x8A91, 0x7233, 0x6A33, 0x7A73, 0x8B13, 0x9394, 0xA454, 0x9450, 0x83CC, 0x72E9, 0x72C9, 0x8B8D, 0xC555, 0xEF1C, 
        0xFF7C, 0xF6D8, 0xEE35, 0xE5B3, 0xCD12, 0xAC71, 0xA471, 0xC533, 0xDE17, 0xEEB9, 0xF77D, 0xFFDE, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBD, 0xFF9D, 0xFF9D, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBD, 0xFFBD, 0xFFBC, 0xFFBB, 0xFFBB, 0xFFBB, 0xFF59, 0xF739, 0xF719, 0xF719, 0xF6F9, 0xE6D9, 0xE6F8, 0xEEF8, 0xEF18, 0xF739, 0xEF1A, 0xD699, 0xBD95, 
        0x9C90, 0x62EB, 0x4A28, 0x39A6, 0x28E3, 0x0841, 0x18C3, 0x5AEB, 0x9D13, 0xC638, 0xEF7D, 0xFF9E, 0xFF7D, 0xFF7D, 0xFF9D, 0xFFBD, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFFC, 0xFFFC, 0xFFDB, 0xF779, 0xF718, 0xF6F6, 0xF6B5, 0xF6B5, 0xEE75, 0xDDF4, 
        0xDDD3, 0xD5B2, 0xD5B1, 0xD5B0, 0xD5B0, 0xD5B2, 0xD592, 0xD592, 0xD591, 0xD591, 0xD591, 0xD590, 0xD591, 0xCD91, 0xC54F, 0xB4ED, 0xA489, 0x9CE7, 0xAD89, 0xD68E, 0xDED0, 0xCE4E, 0xAD2A, 0xC56C, 0xD5CF, 0xDE30, 0xDE51, 0xD610, 0xCDB0, 0xE674, 
        0xEED6, 0xEE96, 0xE635, 0xDDF3, 0xDDF3, 0xEF3A, 0xFFBD, 0xFFBC, 0xFF7A, 0xF738, 0xEEF7, 0xE6B7, 0xE6D9, 0xEF1A, 0xCE36, 0x9CD0, 0x4A04, 0x1880, 0x3122, 0x8BAA, 0xCDD1, 0xEED7, 0xFFBD, 0xFFFF, 0xFFDF, 0xF79D, 0xEF5A, 0xE716, 0xCE6F, 0xA589, 
        0xA588, 0xB62B, 0xC68D, 0xC6AD, 0xC6AC, 0xC68E, 0xC64F, 0xAD6C, 0x8409, 0x5AC6, 0x2923, 0x5967, 0x7A69, 0x9C09, 0xA4E7, 0x9CE5, 0x8483, 0x8CA5, 0x8CA7, 0x8C88, 0x94A9, 0xA529, 0xBDEA, 0xCE89, 0xB5A7, 0x6AE4, 0x3923, 0x3882, 0x5081, 0x58E4, 
        0x58E4, 0x5082, 0x5041, 0x5041, 0x4862, 0x48C3, 0x48E3, 0x60A3, 0x7082, 0x7882, 0x88A4, 0xB189, 0xC26E, 0xDBF4, 0xE538, 0xEDD9, 0xCD76, 0x6AEB, 0x39A5, 0x4163, 0x49A3, 0x5A24, 0x72A5, 0x72A5, 0x7AA5, 0x8326, 0x9389, 0x9BEA, 0xAC6D, 0xBCEF, 
        0xBCEF, 0xAC4E, 0xA3ED, 0xA3EE, 0xA40E, 0xA3AC, 0xAC0E, 0xCD95, 0xE6B9, 0xF719, 0xFF38, 0xFF3A, 0xFF3B, 0xFF5B, 0xFF7B, 0xFF7B, 0xFF9B, 0xFFDB, 0xFFDB, 0xFFBB, 0xFFBB, 0xFFBB, 0xFF9A, 0xF717, 0xF6D5, 0xF696, 0xF696, 0xEE97, 0xEED7, 0xF737, 
        0xFF77, 0xFF77, 0xFF58, 0xF759, 0xF719, 0xFF38, 0xFF38, 0xFF17, 0xF6F7, 0xF6F7, 0xF717, 0xF716, 0xF736, 0xFF96, 0xFFB6, 0xFF97, 0xFF77, 0xFF78, 0xFF98, 0xFF99, 0xF79A, 0xF77A, 0xEEF9, 0xE655, 0xDDF3, 0xD573, 0xD553, 0xD553, 0xD552, 0xBD32, 
        0xB4F1, 0x9C2E, 0x7B2A, 0x5A67, 0x5246, 0xACCC, 0xCDCE, 0xBD6A, 0x9CC7, 0x8446, 0x73E6, 0x946A, 0xA48B, 0x9429, 0x8C07, 0x8C06, 0x9C89, 0xC5B2, 0xD5F5, 0xCD53, 0xC4D2, 0xBC70, 0xBC0E, 0xBB8D, 0xBB6C, 0xBB8D, 0xBBAD, 0xBBAD, 0xC38E, 0xBB4D, 
        0xB30C, 0xAACA, 0xA2CA, 0xA2EA, 0xA2EB, 0x9269, 0x8A48, 0x9249, 0x9209, 0x8187, 0x70E4, 0x70C5, 0x78E6, 0x8125, 0x8924, 0x9125, 0x9947, 0xA9CA, 0xB22D, 0xB290, 0xB2D3, 0xB315, 0xB358, 0xAB78, 0xAB79, 0xAB59, 0xAB5A, 0xAB5A, 0xAB5B, 0xB35A, 
        0xB35B, 0xB35B, 0xAB5B, 0xB35C, 0xB35B, 0xAB5C, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB9A, 0xAB9A, 0xB35A, 0xB35A, 0xAB7A, 0xAB9A, 0xAB9A, 0xAB7B, 0xAB5B, 0xAB3B, 0xAB7A, 0xAB9A, 0xAB9A, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B,
  0x8232, 0x8232, 0x8232, 0x8233, 0x8232, 0x8252, 0x7A32, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8232, 0x8253, 0x8232, 0x8232, 0x8232, 0x8A72, 
        0x8A73, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8273, 0x8273, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8273, 0x8253, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8A53, 0x8252, 0x8252, 0x8253, 0x8273, 0x8273, 0x8273, 0x8273, 
        0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A52, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A93, 0x9B15, 0xA3B5, 0xAC14, 0xA410, 0x72CA, 0x6227, 0x6209, 0x7AED, 0x9C11, 0xCDF8, 0xF73D, 
        0xF73D, 0xEE58, 0xDDD4, 0xD593, 0xD574, 0xD554, 0xD553, 0xCD13, 0xCD12, 0xD533, 0xDDD6, 0xEEFB, 0xF77D, 0xF75C, 0xF75C, 0xF77C, 0xF79C, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBF, 0xFF9E, 0xFF9E, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBD, 0xFFBC, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFDD, 0xFFDB, 0xFFDB, 0xFFDC, 0xFF9C, 0xFF9C, 0xFF9C, 0xFF9C, 0xFF7C, 0xF75C, 0xF77B, 0xF75A, 0xF75B, 0xFF5C, 0xFF9D, 0xFFDE, 0xF7BE, 
        0xEF7D, 0xD6BA, 0xAD75, 0x8410, 0x39A7, 0x0861, 0x2924, 0x946F, 0xDED8, 0xF79C, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFFD, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFD, 0xFFFC, 0xFFDB, 0xFF7A, 0xFF59, 0xF718, 0xF6D7, 0xF6D6, 0xF695, 0xEE73, 
        0xE652, 0xDDD1, 0xDD91, 0xD591, 0xD5B1, 0xD5B1, 0xD5B1, 0xD5B1, 0xD5B2, 0xD5B2, 0xD591, 0xD56F, 0xD58E, 0xDDEF, 0xC56E, 0xACAB, 0x8C08, 0xCE0D, 0xEF10, 0xEF30, 0xE6D0, 0xDE2F, 0xCD8F, 0xE633, 0xEE94, 0xE652, 0xDE31, 0xDE32, 0xE653, 0xEE94, 
        0xEE94, 0xEE54, 0xEE75, 0xEEB6, 0xF73A, 0xFFBC, 0xFFBC, 0xFF59, 0xFF17, 0xFF18, 0xF739, 0xF757, 0xEF56, 0xDED5, 0xBD70, 0x940B, 0x5224, 0x5204, 0x7309, 0xBD93, 0xEF3A, 0xFFDC, 0xFFDD, 0xFFFE, 0xFFFF, 0xF77D, 0xD657, 0xB4F0, 0x8B89, 0xC5F0, 
        0xDF13, 0xDEF1, 0xDED0, 0xDED0, 0xDEB0, 0xC62E, 0xBE0E, 0xC62E, 0xA52B, 0x73A8, 0x4225, 0xA50E, 0xD631, 0xB54B, 0x9C86, 0x9464, 0x8C64, 0x8CA4, 0x94C5, 0x94C6, 0x9D08, 0xAD49, 0xBDEC, 0xCE4E, 0xCE2F, 0xBD4F, 0x9BED, 0x72A9, 0x4103, 0x60E4, 
        0x70E5, 0x68C4, 0x60A3, 0x6083, 0x6062, 0x7904, 0x8925, 0x8104, 0x78C3, 0x6882, 0x6042, 0x8884, 0x90C5, 0x98E5, 0xA9A7, 0xBA8B, 0xDC73, 0xDE19, 0xC596, 0x82EB, 0x5943, 0x4901, 0x5A03, 0x7B06, 0x8388, 0x83A9, 0x8BCB, 0x9BCC, 0xAC2E, 0xB4CF, 
        0xB4CF, 0xAC2E, 0xA3CD, 0xA3CD, 0x9BED, 0x9B6D, 0xA3AE, 0xBD13, 0xD637, 0xE6D9, 0xF73B, 0xFEFB, 0xFEFB, 0xFF3B, 0xFF9B, 0xFF9B, 0xFF9B, 0xFF9C, 0xFFBC, 0xFFDC, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFBA, 0xF779, 0xF6F8, 0xF697, 0xF676, 0xF696, 0xFF37, 
        0xFF77, 0xFF98, 0xFF99, 0xFF9A, 0xFF7A, 0xFF57, 0xFF56, 0xFF78, 0xFF7A, 0xFF7B, 0xF75B, 0xF737, 0xF736, 0xFF55, 0xFF74, 0xFF94, 0xFFB5, 0xF737, 0xF6F8, 0xFF3A, 0xFF7B, 0xFF9C, 0xFF9C, 0xF77B, 0xF75B, 0xF71A, 0xEE78, 0xE5D6, 0xBC90, 0x72CA, 
        0x5207, 0x4984, 0x4983, 0x5204, 0x7348, 0xB56D, 0xC5CD, 0x9CA7, 0x83E4, 0x8405, 0x8C47, 0x8C49, 0x8C29, 0x8C07, 0x8C27, 0x9449, 0xACEC, 0xCDB2, 0xD5D4, 0xC511, 0xB44F, 0xA3CD, 0x932B, 0x92AA, 0x92AA, 0xA30C, 0xAB2C, 0xB30B, 0xA289, 0x81A7, 
        0x7125, 0x68E4, 0x68E4, 0x68E4, 0x7945, 0x8229, 0x8A69, 0x9268, 0x8A46, 0x8205, 0x79A5, 0x89A6, 0x91A7, 0x9186, 0x9986, 0x9987, 0xA209, 0xBAEE, 0xC351, 0xBB33, 0xBB15, 0xBB18, 0xBB3B, 0xB35C, 0xB35B, 0xB37C, 0xB37C, 0xB37C, 0xAB7C, 0xAB7C, 
        0xAB5C, 0xAB5C, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xB37B, 0xB37B, 0xAB7B, 0xAB7B, 0xAB9B, 0xB37B, 0xB37A, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7C, 0xB37C, 0xB37C, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB9B, 0xAB9B, 0xB37B, 0xB39B, 0xB39B, 0xB39B,
  0x7A11, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x8233, 0x8233, 0x8232, 
        0x8232, 0x8232, 0x8232, 0x8232, 0x8253, 0x8253, 0x8253, 0x8252, 0x8232, 0x8232, 0x8233, 0x8232, 0x8232, 0x8253, 0x8253, 0x8253, 0x8252, 0x8232, 0x8232, 0x8252, 0x8253, 0x8253, 0x8253, 0x8A52, 0x8232, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8A53, 0x8A52, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8273, 0x8273, 0x8273, 0x8272, 0x8293, 0x8AB3, 0x9311, 0x9B6E, 0x9BAD, 0x93CB, 0x938E, 0x8B4F, 0x7AED, 0x6AAA, 0x6A89, 0x834B, 0xD658, 
        0xEF3B, 0xDE37, 0xCD72, 0xCD51, 0xCD51, 0xD5F5, 0xDE17, 0xDDF6, 0xE5D6, 0xE5B5, 0xDD94, 0xD554, 0xCD34, 0xD513, 0xD552, 0xDD91, 0xE632, 0xEF39, 0xF79C, 0xEF7C, 0xF77D, 0xF77D, 0xFF9D, 0xFFDD, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDD, 0xFF9C, 0xFF5B, 0xFF5C, 0xFF9D, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFBC, 0xFFBC, 0xFFDB, 0xF79A, 0xF779, 0xF739, 0xFFBB, 0xFFDC, 0xFFBD, 0xFFBE, 0xFFBE, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xF7BE, 0xEF5D, 0xBDF7, 0x52AA, 0x4A49, 0xA514, 0xE75C, 0xFFFE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFFC, 0xFFFD, 0xFFFD, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFBA, 0xFF99, 0xFF78, 0xFF38, 0xF717, 0xF6F6, 0xF6D5, 0xEEB4, 
        0xEE94, 0xE633, 0xDE12, 0xDDF2, 0xDDD2, 0xD5D2, 0xD5B2, 0xD5B2, 0xD5B2, 0xD5D2, 0xD5D1, 0xD5D0, 0xDDF0, 0xE630, 0xD5AF, 0xB4CC, 0x9BE9, 0xDE2E, 0xF751, 0xEF30, 0xE6D0, 0xDE91, 0xDE32, 0xEE54, 0xEE94, 0xEE94, 0xEEB4, 0xEEB5, 0xEEB5, 0xF695, 
        0xF695, 0xEE96, 0xEEF7, 0xF739, 0xF7BB, 0xFF7B, 0xFF3A, 0xF719, 0xF719, 0xF73A, 0xEF39, 0xDE31, 0xC54C, 0x9429, 0x7B26, 0x7AC6, 0x9348, 0xCDD5, 0xE71B, 0xF79B, 0xFFDC, 0xFFDC, 0xFFDE, 0xFFFF, 0xFFDF, 0xEF1C, 0xBD76, 0x83CF, 0x4A27, 0x8C6B, 
        0xAD6D, 0xA4EB, 0x9C69, 0x9C2A, 0xACAE, 0xDEB8, 0xD6B7, 0x8C6C, 0x4A84, 0x29E2, 0x2A42, 0x8CC9, 0xB5AB, 0xA508, 0x9465, 0x8C24, 0x8C24, 0x94A8, 0x950A, 0x9D4A, 0xA548, 0xA547, 0xAD48, 0xC5B0, 0xD614, 0xDE96, 0xD614, 0xBD30, 0x8AE9, 0x38E3, 
        0x2041, 0x4882, 0x58C3, 0x60C3, 0x60C2, 0x6882, 0x78A3, 0x90E5, 0x98E5, 0x98C5, 0x8884, 0x7084, 0x6884, 0x88A5, 0x90A5, 0x98A4, 0xA188, 0xDCB5, 0xE5B9, 0xBC51, 0x82AA, 0x59A5, 0x3923, 0x72E6, 0x8BA8, 0x7326, 0x7306, 0x8347, 0xA44A, 0xBD0F, 
        0xBD30, 0xACAE, 0x9C6D, 0xA44D, 0xA3EC, 0x82A8, 0x82C8, 0xACAF, 0xD615, 0xE6B7, 0xF6D8, 0xFE37, 0xFE37, 0xFED9, 0xFF3A, 0xFF39, 0xFF39, 0xFF5C, 0xFF7D, 0xFF9C, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFBC, 0xFFBC, 0xFFBB, 0xF79B, 0xF739, 0xF696, 
        0xF675, 0xF695, 0xFEF6, 0xFF37, 0xFF78, 0xFF59, 0xFF18, 0xF6D6, 0xF6D6, 0xF717, 0xFF9A, 0xFF7B, 0xFF5A, 0xF737, 0xF754, 0xF773, 0xFFB3, 0xFF35, 0xF6D6, 0xF696, 0xF676, 0xF676, 0xF697, 0xF6D6, 0xFF17, 0xFF78, 0xFF9A, 0xF77B, 0xEF3B, 0xDEDA, 
        0xBDD6, 0x6B4D, 0x41E6, 0x49C5, 0x6AC5, 0x83E7, 0x8C28, 0x8BE8, 0x8BE8, 0x9409, 0x9C8A, 0x9CEA, 0x9CC9, 0x9448, 0x9429, 0x9C29, 0xB4AD, 0xCD72, 0xD573, 0xBC90, 0x9B8C, 0x82A9, 0x6985, 0x7945, 0x8145, 0x7925, 0x7104, 0x68E4, 0x68C3, 0x68E5, 
        0x7106, 0x7967, 0x89C9, 0x99EA, 0xA22A, 0x9A86, 0x9285, 0x9247, 0x9208, 0x91E9, 0x99C9, 0xA1A9, 0x9969, 0x9109, 0x890A, 0x914B, 0xA1EE, 0xAA71, 0xAAB4, 0xB318, 0xB35B, 0xB35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB5B, 0xAB5B, 0xAB5B, 
        0xB37B, 0xB37A, 0xB37A, 0xAB7A, 0xAB7A, 0xB35A, 0xB35A, 0xB37A, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB5B, 0xB37B, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB5B,
  0x7212, 0x7212, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7212, 0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A33, 0x7A33, 0x7A32, 
        0x7A32, 0x8232, 0x8232, 0x8232, 0x8232, 0x8253, 0x8273, 0x8252, 0x8232, 0x8252, 0x8253, 0x8232, 0x8232, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 
        0x8253, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A53, 0x8A53, 0x8253, 0x8273, 0x8273, 0x8A53, 0x8A54, 0x8A94, 0x92D2, 0x8B2F, 0x8B4C, 0x8369, 0x93CD, 0x93AF, 0x7B0D, 0x72AD, 0x72AD, 0x938F, 0xCDB5, 
        0xE678, 0xDE36, 0xDDD4, 0xD592, 0xD572, 0xDDF5, 0xE616, 0xDDF6, 0xDDD6, 0xDDD5, 0xDDD5, 0xDDB4, 0xDDB4, 0xDDD5, 0xE5F5, 0xE5F5, 0xE5F4, 0xD5D3, 0xC592, 0xBD51, 0xBD51, 0xCDB2, 0xEEB6, 0xFF9C, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFE, 
        0xFFFD, 0xFFDD, 0xFFDD, 0xF7BD, 0xF79E, 0xFF9E, 0xFFBE, 0xFFDE, 0xFFDD, 0xFFBD, 0xFF7D, 0xFF9D, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBD, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDC, 0xFFBB, 0xF7BB, 0xF79A, 0xF77A, 0xF779, 0xFFDB, 0xFFFD, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DE, 0xDF1B, 0xDEFB, 0xEF7C, 0xFFDD, 0xFFDD, 0xFFBD, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFFC, 0xFFFD, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xF779, 0xF758, 0xF758, 0xF737, 0xF737, 0xF6F6, 0xF6D5, 
        0xF6B5, 0xEE74, 0xE653, 0xE653, 0xDE33, 0xDE13, 0xDE13, 0xDE13, 0xD5F2, 0xD5F2, 0xDDF2, 0xDDF1, 0xE651, 0xEE93, 0xD611, 0xB52D, 0x9C29, 0xD5EE, 0xF711, 0xF711, 0xEEF1, 0xEED2, 0xEE94, 0xEEB5, 0xEED6, 0xF6D6, 0xF6F6, 0xF6D6, 0xF6D5, 0xF6F7, 
        0xFF18, 0xFF7A, 0xFFBB, 0xFFBC, 0xF7BB, 0xFF9B, 0xFF7A, 0xF75A, 0xF718, 0xEEB6, 0xD5F3, 0xC52E, 0xBD0D, 0xC56F, 0xD5F2, 0xDE75, 0xEEF8, 0xF7BC, 0xFFDD, 0xFFBC, 0xFFBC, 0xFFDD, 0xFFDF, 0xFFFF, 0xFFFF, 0xEF7D, 0xBDD7, 0x83EF, 0x2924, 0x2102, 
        0x3983, 0x5A65, 0x72E7, 0x7AE8, 0x8B6B, 0xCE37, 0xD698, 0x8C6D, 0x4A66, 0x2963, 0x2982, 0x9488, 0xBD89, 0xACE7, 0x9465, 0x8C44, 0x8465, 0x94A7, 0x9CE9, 0xA54A, 0xADAA, 0xADCA, 0xADCA, 0xAD4C, 0xB56E, 0xD674, 0xEF18, 0xEF39, 0xCE15, 0x5269, 
        0x28C3, 0x30A2, 0x40A1, 0x50A1, 0x58A2, 0x6062, 0x6862, 0x78A3, 0x80C4, 0x88C4, 0x88A4, 0x90E5, 0xA126, 0xB189, 0xB18A, 0xA928, 0x98A6, 0xB0E8, 0xCA0D, 0xD453, 0xC4D3, 0x9BEF, 0x51C7, 0x3944, 0x41A3, 0x6265, 0x8327, 0x93A8, 0xAC6C, 0xBD2F, 
        0xBD4F, 0xB4EF, 0xA48D, 0x940D, 0x834A, 0x8286, 0x9328, 0xCD51, 0xEED8, 0xF71A, 0xF6B9, 0xF636, 0xF636, 0xF697, 0xFED9, 0xFED9, 0xFF19, 0xFF5A, 0xFF7B, 0xFF9B, 0xFF9B, 0xFFBB, 0xFFBB, 0xFFBC, 0xFFBC, 0xFFBC, 0xFFDC, 0xFFDC, 0xFFBB, 0xF739, 
        0xF6D7, 0xF696, 0xEE55, 0xEE34, 0xEE54, 0xF6D7, 0xF717, 0xF6D6, 0xF6D6, 0xF716, 0xFF78, 0xFF7A, 0xFF5A, 0xF717, 0xF715, 0xF733, 0xFF53, 0xFF35, 0xFF16, 0xF6F7, 0xF6F7, 0xF718, 0xF718, 0xF6D6, 0xF6D6, 0xF6F6, 0xF717, 0xF737, 0xFF79, 0xFFBC, 
        0xF79D, 0xE6FB, 0xD678, 0xC5D5, 0xA46F, 0x7B48, 0x6AA5, 0x6284, 0x72E5, 0x8BA8, 0xA4CC, 0x9C8A, 0x9448, 0x9428, 0x9C49, 0xA46B, 0xB4CE, 0xD593, 0xD573, 0xAC2D, 0x82E9, 0x6A26, 0x5963, 0x5923, 0x6103, 0x58C2, 0x5881, 0x6081, 0x68A3, 0x7927, 
        0x8168, 0x8167, 0x8147, 0x8147, 0x89A9, 0xAB0C, 0xB36C, 0x9AA9, 0x8A07, 0x81A6, 0x8166, 0x7926, 0x7907, 0x8107, 0x9148, 0xA18A, 0xBA2E, 0xCB18, 0xCB5C, 0xBB7C, 0xAB7B, 0xAB9B, 0xA39B, 0xA359, 0xAB39, 0xAB59, 0xAB79, 0xAB5A, 0xA35B, 0xB35B, 
        0xB37B, 0xB35B, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB7A, 0xB37A, 0xB37A, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB5A, 0xAB5A, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xB37B, 0xB37B, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB7B,
  0x7A12, 0x7A32, 0x7A32, 0x8232, 0x8232, 0x8232, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8232, 0x8232, 0x7A32, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8252, 0x8232, 0x7A52, 0x7A53, 0x8232, 0x8252, 0x7A52, 0x7A52, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8273, 0x8273, 0x8253, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8273, 0x8273, 0x8253, 0x8A73, 0x8A74, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8232, 0x8232, 0x8253, 0x8273, 0x8273, 0x8A53, 0x8A53, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8293, 0x8293, 0x8A73, 0x8A53, 0x8274, 0x82B3, 0x830E, 0x8B6B, 0x93AA, 0x93CB, 0x938F, 0x8B30, 0x82CE, 0x7ACD, 0x7B2D, 0x940F, 0xD573, 
        0xEDF5, 0xE614, 0xDE33, 0xE653, 0xE653, 0xD5D5, 0xCD96, 0xD595, 0xDD94, 0xDD94, 0xDDB4, 0xE5B6, 0xE5D6, 0xE5D6, 0xEDD6, 0xEDD7, 0xEDB8, 0xDDB6, 0xC553, 0xAC6E, 0xAC6C, 0xC52F, 0xEED5, 0xFFBA, 0xFFFB, 0xFFFC, 0xFFDC, 0xFFDD, 0xFFFF, 0xFFFF, 
        0xFFFE, 0xFFDE, 0xF79D, 0xF75D, 0xF6DC, 0xFEFD, 0xFF3E, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFBB, 0xFFBA, 0xFF9A, 0xFFDD, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBE, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFDD, 0xFFFD, 0xFFFC, 0xFFDC, 0xFFFD, 0xFFFE, 0xFFDB, 0xFFDA, 0xFFDA, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFBA, 0xFF99, 0xFF78, 0xFF77, 0xFF57, 0xFF37, 0xFF16, 
        0xFEF5, 0xF6D5, 0xF6B5, 0xF695, 0xF674, 0xEE94, 0xEE94, 0xEE74, 0xEE53, 0xEE33, 0xEE32, 0xEE51, 0xEEB2, 0xEF15, 0xD673, 0xB550, 0x942B, 0xD62E, 0xF72F, 0xF70F, 0xF6D0, 0xEEB2, 0xEEB5, 0xF6F6, 0xFF16, 0xFF16, 0xFEF6, 0xF6F5, 0xF6F5, 0xFF79, 
        0xFFBC, 0xFFDD, 0xFFDE, 0xFFBD, 0xF79B, 0xFFBC, 0xFFBB, 0xFF79, 0xEEB6, 0xDE13, 0xCD70, 0xDDF1, 0xEE93, 0xF738, 0xFF9B, 0xFFBC, 0xFFDC, 0xFF9A, 0xFF9A, 0xFFBC, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xF79D, 0xC616, 0x8C2F, 0x3963, 0x2900, 
        0x41A3, 0x6AA9, 0x7ACC, 0x726A, 0x61E7, 0x8BCC, 0xA511, 0xB594, 0x94B2, 0x632D, 0x39A6, 0xACAE, 0xDDD0, 0xBCEB, 0x9C46, 0x8C25, 0x8464, 0x8C84, 0x94A5, 0x9D09, 0xA58B, 0xB60D, 0xBE6D, 0xADCB, 0xAD6B, 0xBD6F, 0xD5F4, 0xE698, 0xEF1B, 0xBD34, 
        0x8B8D, 0x49C6, 0x28A2, 0x3081, 0x50C1, 0x68C3, 0x70C4, 0x70A3, 0x70A3, 0x70A3, 0x7883, 0x8883, 0x9884, 0xA8E5, 0xB147, 0xC188, 0xC189, 0xA886, 0xA8A7, 0xCA6C, 0xDC32, 0xDD15, 0xBCF3, 0x7208, 0x50C2, 0x4922, 0x5A04, 0x72E7, 0x9C0C, 0xB4EF, 
        0xB50F, 0xACAE, 0x944D, 0x8C0C, 0x7B8A, 0x92E6, 0xAB69, 0xD5B4, 0xF71A, 0xFF1B, 0xF678, 0xEE37, 0xEE57, 0xF677, 0xFEB8, 0xFED9, 0xFEFA, 0xFF5A, 0xFF9B, 0xFF9B, 0xFFBC, 0xFFBC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDD, 0xFFDD, 0xFFFE, 0xFFBD, 
        0xFF9B, 0xF718, 0xF674, 0xF5F2, 0xEDB1, 0xF6D7, 0xF77A, 0xFF9A, 0xFF9A, 0xFF99, 0xFF78, 0xFF59, 0xFF3A, 0xF718, 0xF716, 0xFF35, 0xFF73, 0xF774, 0xF775, 0xFF97, 0xFFB8, 0xFF99, 0xFF78, 0xF6F7, 0xF6D7, 0xF718, 0xF717, 0xF716, 0xFEF5, 0xFED6, 
        0xFF18, 0xFF7A, 0xFFBD, 0xF79D, 0xE6FB, 0xD678, 0xC5D4, 0xA46B, 0x7B24, 0x6AA3, 0x6285, 0x8386, 0x9407, 0x9C6A, 0xA4AD, 0xACCF, 0xBCF0, 0xBCF1, 0xAC6F, 0x8B29, 0x7286, 0x7286, 0x7AA7, 0x8A88, 0x8A07, 0x7944, 0x70E2, 0x70C2, 0x8104, 0x8146, 
        0x8168, 0x8167, 0x7105, 0x60C4, 0x6105, 0xB36E, 0xD4B2, 0xDCF3, 0xCC52, 0xB36E, 0x81C8, 0x5883, 0x60C5, 0x9A0D, 0xBAD2, 0xC2F4, 0xBAD6, 0xBB7C, 0xBBBE, 0xABBD, 0xA39B, 0xA39B, 0xABB9, 0xAB79, 0xAB79, 0xB399, 0xB399, 0xAB7A, 0xAB5B, 0xB37B, 
        0xB39B, 0xB37B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB9A, 0xAB9B, 0xB39B, 0xB39B, 0xB39B, 0xB37B, 0xB37B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB7B, 0xB37B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB9B, 0xB39B, 0xB39B, 0xB39B,
  0x7A12, 0x7A32, 0x8232, 0x8233, 0x8233, 0x8232, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 
        0x8253, 0x8253, 0x8273, 0x8273, 0x8253, 0x8273, 0x8273, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A73, 0x8232, 0x8232, 0x8253, 0x8273, 0x8273, 0x8A53, 0x8A53, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8274, 0x8292, 0x82EE, 0x8B6B, 0x93AA, 0x9BEC, 0x8B6E, 0x830F, 0x7AAE, 0x72AE, 0x72EE, 0x8BCF, 0xD554, 
        0xEDF6, 0xEE15, 0xE635, 0xE634, 0xE634, 0xD5B5, 0xCD76, 0xD595, 0xDD95, 0xE5B5, 0xE5D6, 0xE5F7, 0xE617, 0xEE17, 0xEE18, 0xF5F8, 0xF5F9, 0xE5F7, 0xD5B5, 0xBCF1, 0xBCEF, 0xCD90, 0xF6D4, 0xFF57, 0xFF58, 0xFF78, 0xFF79, 0xFF9A, 0xF79B, 0xFF9C, 
        0xFF9C, 0xFF7C, 0xF73A, 0xF6DA, 0xF679, 0xF659, 0xF679, 0xF6F9, 0xF739, 0xF739, 0xF73A, 0xF75C, 0xFF7D, 0xFF7D, 0xF77D, 0xF75C, 0xEF3C, 0xF75C, 0xEF3C, 0xE6DA, 0xE6DA, 0xEF1A, 0xF79C, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFBC, 0xFF9A, 0xFF79, 0xFFDD, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFBD, 0xFFBD, 0xFFDD, 0xFFFC, 0xFFFC, 0xFFDC, 0xFFFD, 0xFFFD, 0xFFFA, 0xFFD9, 0xFFBA, 0xFFBB, 0xFFBB, 0xFFDB, 0xFFBA, 0xFF99, 0xFF78, 0xFF77, 0xFF77, 0xFF57, 0xFF36, 
        0xFF16, 0xFEF6, 0xFED6, 0xFED6, 0xFED5, 0xF6D5, 0xF6D5, 0xF6B5, 0xF6B4, 0xF694, 0xF694, 0xF693, 0xF6D4, 0xF736, 0xDE94, 0xBD91, 0xA48D, 0xD64E, 0xF72F, 0xF6EF, 0xEEB0, 0xEEB2, 0xF6B5, 0xF6F7, 0xFF17, 0xFF37, 0xFF37, 0xFF16, 0xFF17, 0xFF9B, 
        0xFFFD, 0xFFFD, 0xFFDD, 0xFFBC, 0xF79B, 0xFFBB, 0xFF9A, 0xF718, 0xE675, 0xDE13, 0xD5D1, 0xEEB5, 0xFF58, 0xFFBB, 0xFFFD, 0xFFFD, 0xFFDC, 0xFF9A, 0xFF9A, 0xFFBD, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF79E, 0xCE78, 0xA4F2, 0x5A68, 0x3962, 
        0x41C3, 0x72CA, 0x7AEC, 0x6A4A, 0x4966, 0x83AB, 0xAD51, 0xD698, 0xC617, 0x9491, 0x6287, 0xAC6D, 0xCD4F, 0xB4CA, 0x9C47, 0x8C45, 0x8C64, 0x8C85, 0x8CA6, 0x9509, 0xA58B, 0xB60D, 0xBE6E, 0xADCB, 0xA54A, 0xACEC, 0xC551, 0xD616, 0xEF1B, 0xEE99, 
        0xBD34, 0x6269, 0x28A2, 0x2860, 0x48C1, 0x68E4, 0x78C4, 0x70A3, 0x68A2, 0x7082, 0x7882, 0x8883, 0x9083, 0xA0A4, 0xB106, 0xC168, 0xC9AA, 0xB0E7, 0xA8C7, 0xC189, 0xDB4F, 0xECB4, 0xEDD7, 0xAB6D, 0x8207, 0x69A5, 0x61E5, 0x6A87, 0x8B8B, 0x9C2D, 
        0xA46D, 0xA48D, 0x9C6D, 0x942C, 0x83A9, 0x9327, 0xB3CB, 0xDDD5, 0xF71B, 0xF6FA, 0xF637, 0xEE37, 0xEE57, 0xF697, 0xFEB8, 0xFED9, 0xFF1A, 0xFF7A, 0xFF9B, 0xFFBB, 0xFFBC, 0xFFBC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFFD, 
        0xFFDC, 0xFF79, 0xFED6, 0xF654, 0xF5F3, 0xF718, 0xF7BB, 0xFFFC, 0xFFFB, 0xFFDA, 0xFF99, 0xFF7A, 0xFF5A, 0xFF39, 0xF717, 0xF715, 0xF732, 0xF793, 0xF7B5, 0xFF97, 0xFF98, 0xFF99, 0xFF79, 0xFF38, 0xFF18, 0xF739, 0xF738, 0xFF17, 0xFEF5, 0xF6B5, 
        0xF6D6, 0xFF58, 0xFF9B, 0xFFBC, 0xFFBC, 0xFFDE, 0xF77B, 0xD613, 0xA48B, 0x83A8, 0x6AC6, 0x6AC5, 0x7B46, 0x942A, 0xA4CE, 0xB510, 0xBD11, 0xB4D0, 0x9C0D, 0x7AA7, 0x6A04, 0x6A25, 0x82A7, 0x9AA9, 0x9A49, 0x89E6, 0x8185, 0x8164, 0x8165, 0x8166, 
        0x7966, 0x7966, 0x7125, 0x60E4, 0x5925, 0x9ACB, 0xBBCF, 0xD492, 0xDC92, 0xCC11, 0x9ACD, 0x7188, 0x7988, 0xA26E, 0xBB14, 0xC356, 0xB338, 0xB37C, 0xAB7D, 0xA37C, 0xA39C, 0xA39B, 0xAB9A, 0xAB9A, 0xAB9A, 0xAB99, 0xAB9A, 0xAB7A, 0xAB5B, 0xB37B, 
        0xB39B, 0xB37B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xB39B, 0xB39B, 0xB39B, 0xB39B, 0xB37B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB9B,
  0x7A32, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A53, 0x7A33, 0x7A33, 0x8233, 0x8233, 0x7A32, 
        0x7A32, 0x7A32, 0x8252, 0x8253, 0x8233, 0x8232, 0x8232, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8232, 0x8233, 0x8233, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8A53, 0x8A53, 0x8AB2, 0x8B10, 0x8B8E, 0x940C, 0x836C, 0x7B0C, 0x728E, 0x6A2F, 0x6A10, 0x7A91, 0xB4B6, 
        0xD5B8, 0xE5F9, 0xEDF9, 0xEDB8, 0xDD76, 0xDDB6, 0xE5D6, 0xEDF8, 0xF619, 0xF639, 0xF679, 0xF698, 0xF6B8, 0xF6D9, 0xFEDA, 0xFEB9, 0xF698, 0xEE57, 0xEE37, 0xEE56, 0xEE76, 0xF655, 0xF634, 0xF612, 0xF612, 0xF634, 0xF654, 0xEE74, 0xEE94, 0xF6B5, 
        0xFEB6, 0xFE95, 0xF694, 0xF673, 0xEE51, 0xE5CF, 0xDD8E, 0xDDCD, 0xDDCD, 0xDDCD, 0xDDCF, 0xEE16, 0xF658, 0xF698, 0xEE77, 0xE615, 0xD594, 0xDDD5, 0xD593, 0xAC6F, 0xA44E, 0xBD10, 0xEEB7, 0xFFBD, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 
        0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 0xF7BC, 0xF77B, 0xF73A, 0xF719, 0xF79B, 0xFFDD, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFDA, 0xFFD9, 0xFFBA, 0xFF9A, 0xFF9A, 0xFF9A, 0xF79A, 0xF799, 0xF779, 0xF79A, 0xF79A, 0xFF99, 0xF758, 
        0xF737, 0xF757, 0xF756, 0xF756, 0xF756, 0xF757, 0xF757, 0xFF57, 0xFF57, 0xFF57, 0xF757, 0xF717, 0xFF17, 0xF717, 0xEED5, 0xE652, 0xD5CF, 0xD650, 0xDEB1, 0xE6B0, 0xEEB1, 0xEE92, 0xF6B5, 0xF717, 0xF758, 0xF779, 0xF77A, 0xF75A, 0xF75A, 0xFFBC, 
        0xFFFD, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFBB, 0xF758, 0xF6F6, 0xEE75, 0xEE55, 0xEE75, 0xF717, 0xFF9B, 0xFFBD, 0xFFBC, 0xFFBB, 0xFFDC, 0xFFDD, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xF7DF, 0xE73D, 0xCE7B, 0x8C93, 0x3186, 
        0x20E2, 0x5A47, 0x6A88, 0x5206, 0x39A5, 0xA4EF, 0xDED6, 0xEF3A, 0xE6D7, 0xCDB1, 0x9BE7, 0x8BC4, 0x8C24, 0x9485, 0x8CA5, 0x8C85, 0x8C85, 0x94C9, 0x9D0B, 0x9D4A, 0xAD8B, 0xB5EB, 0xBE0C, 0xA50A, 0x9489, 0xACEC, 0xBD4F, 0xC5B2, 0xD657, 0xEF3C, 
        0xD679, 0x834D, 0x4104, 0x3861, 0x4881, 0x68A3, 0x78A3, 0x6882, 0x6882, 0x7082, 0x80C4, 0x90E5, 0x98E6, 0xA0E6, 0xB0E7, 0xB108, 0xB928, 0xB969, 0xB96A, 0xC18A, 0xCA2C, 0xDACE, 0xEC32, 0xEDB6, 0xDDB5, 0xC46F, 0xAB6B, 0x9B0A, 0x8AC9, 0x7AA8, 
        0x8309, 0x9C2C, 0xA48D, 0xA44C, 0x9369, 0x9B8A, 0xAC6E, 0xD636, 0xEEFA, 0xF699, 0xEDD5, 0xEE36, 0xF677, 0xF6B8, 0xFED8, 0xFEF9, 0xFF1A, 0xFF7B, 0xFF9B, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFBB, 0xFFDB, 
        0xFFDB, 0xFFDC, 0xFF9B, 0xF77B, 0xF73A, 0xF79B, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDA, 0xFFDB, 0xFFBB, 0xFF79, 0xF6F6, 0xEE93, 0xE670, 0xF753, 0xFF95, 0xF715, 0xF6D6, 0xF6F8, 0xFF7A, 0xFFBA, 0xFF9A, 0xFF79, 0xFF59, 0xF759, 0xF759, 0xF759, 
        0xFF38, 0xF737, 0xF717, 0xF6F6, 0xF716, 0xFF9A, 0xFFBC, 0xF77B, 0xEF3A, 0xE719, 0xC615, 0x732A, 0x6266, 0x8B89, 0xA46B, 0xACCD, 0xACED, 0xAC8D, 0x93CB, 0x6A46, 0x5142, 0x5102, 0x6123, 0x7164, 0x79C5, 0x8267, 0x8AA8, 0x8A88, 0x81E7, 0x7164, 
        0x7124, 0x6945, 0x7186, 0x71A7, 0x79A8, 0x6945, 0x6924, 0x8166, 0xA249, 0xB30D, 0xCC13, 0xCC12, 0xC371, 0xAAAE, 0xA26E, 0xAAD0, 0xBB75, 0xAB18, 0xA2D9, 0xA2FA, 0xAB3B, 0xAB5B, 0xAB7B, 0xB39A, 0xB39A, 0xAB7B, 0xAB7B, 0xA37B, 0xAB7A, 0xAB5A, 
        0xB35A, 0xB37A, 0xB37A, 0xB37A, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B,
  0x7A12, 0x7A12, 0x7212, 0x7A12, 0x7A12, 0x7A32, 0x7212, 0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A33, 0x7A32, 0x7A33, 0x7A33, 0x7A33, 0x7A33, 0x7A32, 
        0x7A32, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8274, 0x8253, 0x8A52, 0x8A52, 0x7A75, 0x72B4, 0x8310, 0x8B8D, 0x93EC, 0x940B, 0x6A8C, 0x61EE, 0x7211, 0x69B0, 0x592E, 0x410A, 0x82CF, 
        0xB433, 0xDDD9, 0xF6BB, 0xF6BB, 0xF659, 0xF65A, 0xF65B, 0xF61A, 0xF619, 0xF639, 0xF678, 0xF6B8, 0xF6B7, 0xF676, 0xFE36, 0xFE17, 0xF5F8, 0xFDD6, 0xFDD6, 0xFDD5, 0xF5D5, 0xF5B6, 0xF5B6, 0xFDD6, 0xFDF6, 0xFDD5, 0xF5B4, 0xF592, 0xED71, 0xF633, 
        0xF694, 0xF6D4, 0xEED3, 0xEEF3, 0xF6F3, 0xF734, 0xF754, 0xF753, 0xF712, 0xF6F2, 0xF6B2, 0xFF14, 0xFF35, 0xF715, 0xEEF5, 0xEED5, 0xE694, 0xEE72, 0xDDD0, 0xACCD, 0xA4CE, 0xBD92, 0xEF5A, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFFC, 0xFFFD, 0xFFFE, 0xFFFE, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBD, 0xFFDD, 0xFFDD, 0xFFBC, 0xF77B, 0xF73A, 0xEEF9, 0xF77A, 0xFFBC, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDD, 0xFFDC, 0xFFDB, 0xFFFB, 0xFFFB, 0xFFFC, 0xFFDC, 0xFFDC, 0xFFBB, 0xFFB9, 0xFFB9, 0xFF99, 0xFF99, 0xFF9A, 0xFF99, 0xFF99, 0xF799, 0xF799, 0xF79A, 0xFFBA, 0xFFBA, 0xFF98, 
        0xFF98, 0xFF99, 0xFF99, 0xFF99, 0xFF99, 0xFFB9, 0xFFB9, 0xFFB9, 0xFFB9, 0xFFBA, 0xFFB9, 0xFF98, 0xFF77, 0xFF38, 0xF738, 0xF738, 0xF715, 0xE670, 0xDE2E, 0xDE6F, 0xE691, 0xEEB2, 0xF6D5, 0xFF58, 0xFF79, 0xF79A, 0xF79B, 0xFFBB, 0xFFDC, 0xFFFD, 
        0xFFDD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFBB, 0xF6F6, 0xEEB5, 0xEE96, 0xF6D7, 0xF719, 0xFF9A, 0xFFDD, 0xFFFD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF7DF, 0xD6BA, 0x630B, 
        0x3165, 0x3944, 0x3923, 0x28E2, 0x2903, 0x72A8, 0xA42D, 0xC5B4, 0xD636, 0xC5B2, 0xA469, 0x9403, 0x9422, 0x9484, 0x94A5, 0x8CA5, 0x8CA5, 0xA529, 0xAD6B, 0xAD6B, 0x9D4A, 0x952A, 0x94E9, 0x9CC9, 0xAD0A, 0xB56D, 0xAD0D, 0x9C4A, 0x8BCA, 0xD657, 
        0xE6FB, 0xB534, 0x834C, 0x59E7, 0x3882, 0x5883, 0x70A4, 0x70A3, 0x68A3, 0x68A3, 0x70A3, 0x90E4, 0x98E5, 0x98C5, 0x98C6, 0x98E6, 0xA907, 0xB149, 0xB149, 0xB0E8, 0xB087, 0xB886, 0xC9CA, 0xEDF8, 0xFF7D, 0xF6BA, 0xEDD6, 0xDD33, 0xBC0F, 0x92C9, 
        0x8287, 0x82C8, 0x8329, 0x8B4A, 0x938A, 0xA40B, 0xB4CF, 0xDE57, 0xF6FB, 0xF6BA, 0xF5F7, 0xF676, 0xF6B7, 0xF6B7, 0xF6B7, 0xFED7, 0xFF19, 0xFF9B, 0xFFBC, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFBB, 0xFFDA, 0xFFDA, 0xFFDB, 0xFFDB, 0xFFBB, 0xFFBA, 0xFFBB, 
        0xFFBB, 0xFFBC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFBB, 0xFFBA, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDA, 0xFFBA, 0xFF9A, 0xFF9A, 0xF737, 0xEED5, 0xEE71, 0xF732, 0xF753, 0xEEF4, 0xEEB5, 0xEEB6, 0xF717, 0xFF79, 0xFF99, 0xFF59, 0xFF59, 0xFF59, 0xFF5A, 0xFF9A, 
        0xFFBA, 0xFF99, 0xF779, 0xFF59, 0xFF59, 0xF758, 0xF758, 0xF758, 0xFF7A, 0xFFBB, 0xF79C, 0xE6FA, 0xD656, 0xC571, 0xB4CD, 0xA46B, 0x8BC9, 0x7285, 0x6A04, 0x69E5, 0x69C5, 0x69A5, 0x6164, 0x69A4, 0x69A5, 0x71C5, 0x71E5, 0x71E6, 0x79E7, 0x81E7, 
        0x89E7, 0x81C7, 0x89C8, 0x91E9, 0x9A09, 0x91E8, 0x91C7, 0x89C9, 0x81A9, 0x81CA, 0x924B, 0xC3B0, 0xDC53, 0xD455, 0xCC16, 0xC3D6, 0xB355, 0xAB35, 0xAB35, 0xAB37, 0xAB58, 0xAB59, 0xAB5A, 0xAB5A, 0xA33B, 0xAB5C, 0xAB5B, 0xAB7A, 0xAB78, 0xB379, 
        0xB37A, 0xB37A, 0xB37A, 0xB37A, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7B,
  0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8232, 0x7A52, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8252, 0x8253, 0x8253, 0x8253, 0x8252, 0x8232, 0x8232, 0x7A32, 0x7A53, 0x8252, 0x8232, 0x7A32, 0x7A32, 0x8252, 
        0x8253, 0x8253, 0x8A52, 0x8A52, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 
        0x8A73, 0x8A53, 0x8A53, 0x8A53, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A93, 0x8A93, 0x8273, 0x8273, 0x8A53, 0x8A53, 0x8A95, 0x8AD6, 0x9314, 0x82EF, 0x6AAC, 0x5248, 0x5A8A, 0x6A8C, 0x828F, 0x8A0E, 0x89AD, 0x922C, 0xCD36, 
        0xEE9B, 0xF6DC, 0xFEBC, 0xFE9B, 0xFE99, 0xFE9A, 0xFE7A, 0xFE38, 0xFDF7, 0xFDF6, 0xFE16, 0xF5F6, 0xF5F6, 0xFDD5, 0xFDD4, 0xFDF4, 0xFDF5, 0xFDD5, 0xFDD5, 0xFD95, 0xFD95, 0xFD75, 0xFD75, 0xFD95, 0xFD95, 0xFD74, 0xFD54, 0xFD13, 0xFCD2, 0xF513, 
        0xF532, 0xED32, 0xED52, 0xED92, 0xF615, 0xF676, 0xF6B7, 0xF6F8, 0xF717, 0xFF16, 0xFF35, 0xFFB6, 0xFFD6, 0xFFD6, 0xFFD6, 0xF7B7, 0xF7B7, 0xFF94, 0xF773, 0xEF56, 0xEF57, 0xEF77, 0xF7B7, 0xF7B5, 0xF7B5, 0xFFD7, 0xFFFA, 0xFFFC, 0xFFFE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBC, 0xFF9B, 0xF77A, 0xF759, 0xFF7A, 0xFF9C, 0xFFDD, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFFC, 0xFFFC, 0xFFFC, 0xFFFC, 0xFFDC, 0xFFDB, 0xFFDA, 0xFFBA, 0xFFBA, 0xFFBA, 0xFFBA, 0xFFBA, 0xFFBA, 0xFFDB, 0xFFBB, 0xFFBA, 0xFFBA, 0xFFDA, 0xFFFB, 0xFFDB, 
        0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFFB, 0xFFFC, 0xFFFC, 0xFFFC, 0xFFDB, 0xFFBA, 0xFFBA, 0xFFBA, 0xF798, 0xE6D2, 0xDE50, 0xDE30, 0xDE31, 0xE673, 0xF6F6, 0xFF9A, 0xFFDB, 0xFFDB, 0xFFFB, 0xFFFB, 0xFFFB, 0xFFFD, 
        0xFFDD, 0xFFBD, 0xF79C, 0xFF9C, 0xFF7B, 0xF739, 0xF739, 0xFF7A, 0xFFBB, 0xFFDC, 0xFFDD, 0xFFDE, 0xFFDF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DE, 0xDF1B, 
        0xB5B6, 0x62EB, 0x3144, 0x3144, 0x49E5, 0x4144, 0x4923, 0x6A46, 0x93CB, 0xB4F0, 0xD634, 0xC5CA, 0xAD45, 0x9484, 0x8C23, 0x8C23, 0x9485, 0xA54A, 0xADCD, 0xB5ED, 0x9D2B, 0x7408, 0x52A5, 0xA46A, 0xCD8E, 0xC5AF, 0xB54E, 0xA4CC, 0xA42A, 0xC532, 
        0xD5F6, 0xCE16, 0xA512, 0x736D, 0x3904, 0x60C3, 0x80E4, 0x78E4, 0x70C4, 0x68A3, 0x70A3, 0x90C4, 0x9905, 0xA106, 0xA108, 0xA109, 0xA929, 0xB16A, 0xB96A, 0xB929, 0xB0C8, 0xA886, 0xA968, 0xDD56, 0xF6FC, 0xFF1C, 0xFF1C, 0xFEFB, 0xF6BA, 0xE5F7, 
        0xDD54, 0xBC0F, 0x9B2A, 0x82A8, 0x6A66, 0x7A87, 0x9B6C, 0xCDB5, 0xEEDA, 0xF69A, 0xEDD6, 0xF636, 0xFE97, 0xFEB7, 0xFED7, 0xFED7, 0xFF18, 0xFF7C, 0xFFBD, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFBB, 0xFFBB, 0xFFDB, 0xFFBB, 0xFF9B, 0xFF7A, 0xFFBC, 
        0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFBB, 0xFFBA, 0xFFBB, 0xFFBB, 0xFF7A, 0xFF59, 0xFFBB, 0xFFDB, 0xFFBA, 0xFF98, 0xFF77, 0xF734, 0xE66F, 0xE64F, 0xEEB3, 0xF6D6, 0xF6F6, 0xF6F6, 0xFF38, 0xFF59, 0xFF39, 0xFF18, 0xFF38, 0xFF38, 0xFF38, 
        0xFF38, 0xFF59, 0xFF7A, 0xFF9B, 0xFF9B, 0xFF7A, 0xFF5A, 0xFF7A, 0xFF7A, 0xFF79, 0xFF79, 0xFFBC, 0xFFBD, 0xF77B, 0xEF39, 0xE6B6, 0xBD50, 0x6AA7, 0x59E5, 0x82C9, 0xAB8C, 0xBBEE, 0xC42F, 0xB40E, 0xABCD, 0xA34B, 0x9B0A, 0xA2EA, 0xAB0C, 0xB36D, 
        0xB3AE, 0xB38D, 0xBB6E, 0xBB8E, 0xC38F, 0xB32E, 0xB32E, 0xBB6F, 0xC3B0, 0xCBD1, 0xCBF2, 0xD3F2, 0xD412, 0xD433, 0xCC33, 0xCC33, 0xCC13, 0xDC53, 0xDC53, 0xCBF3, 0xBBB4, 0xB394, 0xAB75, 0xAB58, 0xAB59, 0xAB5A, 0xAB79, 0xAB78, 0xB397, 0xAB9A, 
        0xAB9B, 0xB39A, 0xAB9A, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7A, 0xAB7B, 0xB37B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB9C, 0xAB9C, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7231, 0x7231, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8252, 0x8253, 0x8253, 0x8233, 0x8232, 0x8232, 0x7A33, 0x7A53, 0x7A33, 0x7A33, 0x7A33, 0x7A33, 0x8A32, 
        0x8A32, 0x8A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8233, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A74, 0x8A74, 0x7A92, 0x7AB0, 0x82EE, 0x9BCE, 0xACB1, 0xCE15, 0xDE99, 0xDE9A, 0xE67A, 0xE639, 0xE639, 0xE5F8, 0xF555, 
        0xFD14, 0xFD55, 0xF575, 0xF575, 0xED73, 0xED71, 0xED51, 0xED52, 0xF553, 0xF554, 0xF574, 0xF594, 0xF594, 0xF5B4, 0xF5B4, 0xF5B3, 0xF593, 0xF532, 0xF4F2, 0xF512, 0xF512, 0xF512, 0xFCF2, 0xFCF3, 0xFCD2, 0xFCD2, 0xFCB2, 0xF4B2, 0xF4B2, 0xF4D1, 
        0xF4D1, 0xECD1, 0xECB0, 0xE46F, 0xD40D, 0xD3ED, 0xDC0D, 0xDC4E, 0xE531, 0xEDF5, 0xEEF9, 0xDED6, 0xD6B5, 0xD6B5, 0xD6B4, 0xDEF4, 0xEF54, 0xF7D5, 0xFFF6, 0xFFD6, 0xFFD6, 0xF7D6, 0xF7D5, 0xF7B4, 0xF7B3, 0xFFD4, 0xFFD6, 0xFFF8, 0xFFFC, 0xFFFE, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xF7DD, 0xF7BB, 0xF79A, 0xF759, 0xF739, 0xFF3A, 0xFF9D, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFFB, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFDA, 0xFFD9, 0xFFB9, 0xFFB9, 0xFFB9, 0xFFB9, 0xFFB9, 0xFFB9, 0xFF99, 0xFFD9, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFDB, 0xFFDB, 0xFFDB, 
        0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFFC, 0xFFFC, 0xFFBD, 0xF7BD, 0xFFDC, 0xF7BA, 0xE6D1, 0xDE4E, 0xDE50, 0xE672, 0xEEB5, 0xF737, 0xFF99, 0xFFBA, 0xFFDB, 0xF7DD, 0xF7BC, 0xE73B, 0xDEFA, 
        0xDEB9, 0xE657, 0xE657, 0xEEB8, 0xF79C, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 
        0xDEDA, 0x7BED, 0x3A05, 0x29C3, 0x3A04, 0x5205, 0x59E5, 0x61E5, 0x7A67, 0x932A, 0xB42D, 0xACAA, 0xA4A7, 0x9485, 0x9484, 0x9485, 0x9CC8, 0xA50A, 0xAD6B, 0xB60D, 0x9D8B, 0x7C48, 0x4243, 0x5A44, 0x7B26, 0xA4CC, 0xBDCF, 0xC5F0, 0xC590, 0xCD31, 
        0xBC4E, 0x7288, 0x4145, 0x30C3, 0x4061, 0x58C2, 0x68E3, 0x70E3, 0x68C3, 0x60C2, 0x60A2, 0x88E4, 0x9906, 0xA927, 0xB127, 0xB128, 0xB169, 0xD20D, 0xE24F, 0xE24F, 0xE22E, 0xE1ED, 0xD9ED, 0xE331, 0xE3F3, 0xEC53, 0xF493, 0xF4D3, 0xF576, 0xF6BA, 
        0xF71C, 0xEEBA, 0xD596, 0xB471, 0x9309, 0x9B8A, 0xB4AE, 0xDE36, 0xEEDA, 0xF6BA, 0xEDF6, 0xF676, 0xFEB6, 0xFEB7, 0xFEB8, 0xFEF9, 0xFF5A, 0xFFBC, 0xFFDC, 0xFFDB, 0xFFBB, 0xFFBB, 0xFFDB, 0xFFBB, 0xFFBB, 0xFF9B, 0xFF7A, 0xFF7A, 0xFF7A, 0xFFBC, 
        0xFFDD, 0xFFDC, 0xFFBB, 0xFF9B, 0xFF9B, 0xFFDC, 0xFFDC, 0xFFBB, 0xFF9A, 0xFF79, 0xF759, 0xFF9A, 0xFF9A, 0xF758, 0xF758, 0xF779, 0xF758, 0xDE0E, 0xD5CC, 0xE670, 0xEED3, 0xEED4, 0xEE94, 0xF6D8, 0xFEF9, 0xF6D7, 0xF6B6, 0xF6B6, 0xF6B6, 0xFEB7, 
        0xFEB7, 0xFED7, 0xF717, 0xFF37, 0xFF58, 0xFF7A, 0xFF7B, 0xFF7A, 0xFF7A, 0xFF7A, 0xFF5A, 0xFF39, 0xFF39, 0xFF9A, 0xFFDB, 0xFFBC, 0xF77B, 0xE6D7, 0xD5F4, 0xCC6F, 0xB36B, 0xAB0A, 0xA32B, 0xBC0F, 0xC471, 0xCCD1, 0xCCD0, 0xCC90, 0xCC50, 0xDC71, 
        0xDC71, 0xD430, 0xD3F0, 0xCBF0, 0xD3F0, 0xD431, 0xD451, 0xD451, 0xD431, 0xCC11, 0xD411, 0xDC53, 0xDC73, 0xE453, 0xE433, 0xE413, 0xDBF3, 0xE432, 0xE472, 0xECB3, 0xE4B3, 0xE493, 0xD432, 0xBBF4, 0xB3D4, 0xABB3, 0xAB94, 0xA375, 0xA378, 0xAB7A, 
        0xAB7B, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B, 0xB39B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B,
  0x7212, 0x7212, 0x7212, 0x7211, 0x7211, 0x7A11, 0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 
        0x7A32, 0x7A32, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8233, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 
        0x8273, 0x8273, 0x8253, 0x8253, 0x8253, 0x8272, 0x8272, 0x8273, 0x8273, 0x8273, 0x8253, 0x8A73, 0x8A74, 0x8274, 0x8A53, 0x8A53, 0x8A73, 0x8294, 0x7A92, 0x728F, 0x834E, 0xA470, 0xD5F5, 0xEE17, 0xEDB6, 0xE513, 0xDCD2, 0xE4D2, 0xED13, 0xECB3, 
        0xECB2, 0xECD2, 0xECF2, 0xECF2, 0xE4F2, 0xE4D1, 0xE4B0, 0xDC6F, 0xDC4F, 0xE470, 0xE4B0, 0xE470, 0xE44F, 0xDC2E, 0xDC2E, 0xD42E, 0xD42E, 0xDC2F, 0xE42F, 0xE470, 0xEC91, 0xECB1, 0xF4B1, 0xF491, 0xF491, 0xF450, 0xE3EE, 0xDBAD, 0xCB4B, 0xD3AC, 
        0xDBEC, 0xDC2D, 0xDC6F, 0xE4B0, 0xED12, 0xED73, 0xEDD5, 0xF678, 0xEE98, 0xDE38, 0xACD3, 0x4A48, 0x2964, 0x39E5, 0x5AA8, 0x840C, 0xD675, 0xF7BB, 0xFFFD, 0xFFDD, 0xFFBC, 0xFFBC, 0xFFDB, 0xFFDA, 0xFFFA, 0xFFDA, 0xFFDA, 0xFFDB, 0xFFDD, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFDD, 0xF7BC, 0xF79C, 0xF75B, 0xEF39, 0xF739, 0xF79C, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDD, 0xFFDB, 0xFFDB, 0xFFFB, 0xFFDC, 0xFFBB, 0xFFBA, 0xFF99, 0xFF99, 0xFF9A, 0xFF9A, 0xFF98, 0xFF98, 0xFF99, 0xFF99, 0xFF99, 0xFF99, 0xFFBA, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFDA, 
        0xFFDA, 0xFFDB, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDD, 0xFFDD, 0xFFBC, 0xFFBC, 0xFFDC, 0xF79A, 0xDE6E, 0xCE0A, 0xCE2B, 0xD68F, 0xDF12, 0xF7B7, 0xFFFC, 0xF7BD, 0xDF1B, 0xC658, 0xAD75, 0x7BCE, 0x72EA, 
        0x8B8B, 0xC5B4, 0xEF3B, 0xFFBD, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xF79D, 0xCE58, 0x9490, 0x62EA, 0x2943, 0x4A04, 0x5224, 0x3143, 0x20E2, 0x28C2, 0x49C6, 0xBD51, 0xDE53, 0xB54B, 0x9465, 0x8423, 0x8443, 0x8D06, 0x9DC9, 0xBE8E, 0xBE0E, 0x94CB, 0x4A44, 0x28E1, 0x3983, 0x8C29, 0xCE2F, 0xE712, 0xDED4, 0xACAE, 
        0x8329, 0x4164, 0x2881, 0x3061, 0x58A2, 0x6122, 0x6922, 0x68E2, 0x68A1, 0x6081, 0x6081, 0x78C4, 0x90C5, 0xA0C7, 0xA8C7, 0xB0E8, 0xB948, 0xC18A, 0xC18B, 0xB96B, 0xB96B, 0xB96B, 0xC1AC, 0xDA8E, 0xE2AD, 0xDA6C, 0xDA8D, 0xDB0F, 0xE3F3, 0xDC53, 
        0xDCB3, 0xED97, 0xEE1A, 0xEE1B, 0xE5F9, 0xE658, 0xE698, 0xF6FA, 0xFF1B, 0xFEDA, 0xF678, 0xF678, 0xF697, 0xF697, 0xFEB7, 0xFED8, 0xFF39, 0xFF9A, 0xFFBB, 0xFFBB, 0xFFBB, 0xFF9B, 0xFF9B, 0xFFDB, 0xFFBB, 0xFF79, 0xFF58, 0xFF59, 0xFF9A, 0xFFDC, 
        0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFBB, 0xFF9A, 0xFF9A, 0xFF9B, 0xF7BC, 0xEF59, 0xE6D6, 0xD5F3, 0xD5B3, 0xDDF4, 0xE676, 0xCDCF, 0xC5AC, 0xD64E, 0xDEB0, 0xE6B2, 0xEE95, 0xF6B7, 0xF6D7, 0xEEB6, 0xE696, 0xE656, 0xE636, 0xF697, 
        0xF6D7, 0xF6D7, 0xF6B6, 0xF6B6, 0xF6B7, 0xF6F8, 0xF738, 0xF758, 0xF759, 0xFF59, 0xFF39, 0xFF79, 0xFF79, 0xFF7A, 0xFF7A, 0xFF7A, 0xFF9B, 0xFFDD, 0xFFBD, 0xF73B, 0xEE99, 0xDDD6, 0xBC4F, 0x7AC8, 0x7267, 0x92C9, 0xB36D, 0xC3CE, 0xCC2F, 0xC3EF, 
        0xC3EF, 0xC40F, 0xD44F, 0xDC90, 0xDCB1, 0xD471, 0xCC70, 0xCC91, 0xD491, 0xD491, 0xD450, 0xCC50, 0xCC50, 0xD430, 0xD431, 0xDC52, 0xE473, 0xE453, 0xE433, 0xDC53, 0xDC53, 0xDC53, 0xDC53, 0xDC54, 0xD454, 0xCC33, 0xCC33, 0xCC54, 0xD435, 0xC3B5, 
        0xBB75, 0xB355, 0xAB55, 0xA335, 0xA316, 0xA2F9, 0xAAFA, 0xAB3B, 0xAB7B, 0xB39C, 0xB39C, 0xB39C, 0xB39B, 0xB37B, 0xB39B, 0xB39B, 0xB3BB, 0xB37B, 0xB37B, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB7A, 0xAB99, 0xAB9A, 0xAB9A, 0xAB9A, 0xAB7A, 0xAB7A,
  0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A31, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x8253, 0x8233, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 
        0x7A52, 0x8252, 0x8252, 0x8252, 0x7A52, 0x8253, 0x8A53, 0x8232, 0x7A52, 0x7A52, 0x7A52, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A73, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A93, 0x8A93, 0x8293, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8253, 0x8A53, 0x9AB4, 0x9AD3, 0x8B11, 0x93D1, 0xB493, 0xDD96, 0xC4F3, 0xC491, 0xD470, 0xE470, 0xE470, 0xE470, 0xE42F, 
        0xDC0E, 0xDC0E, 0xDC0E, 0xDC0E, 0xDC0E, 0xDBEE, 0xD3CD, 0xCBAC, 0xCBAB, 0xD3CC, 0xDC2E, 0xEC70, 0xF490, 0xF490, 0xEC70, 0xEC6F, 0xEC70, 0xECF3, 0xED34, 0xECF2, 0xE470, 0xDC2F, 0xD38D, 0xD36C, 0xDB4B, 0xD34B, 0xDB6B, 0xDBCC, 0xE44D, 0xECAF, 
        0xED10, 0xF5D3, 0xF676, 0xFEF8, 0xF73B, 0xE6BA, 0xDE17, 0xC512, 0x9B8C, 0x72A9, 0x39C5, 0x1081, 0x18E2, 0x6308, 0xA50F, 0xC634, 0xEF7B, 0xFFDD, 0xFFFD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFD, 0xFFFD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFBC, 0xF739, 0xF739, 0xFF7B, 0xFFBE, 0xFFDF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFD, 0xFFDC, 0xFFFC, 0xFFFB, 0xFFFB, 0xFFDC, 0xFFBB, 0xFF9A, 0xFF79, 0xFF58, 0xFF58, 0xFF58, 0xFF78, 0xFF78, 0xFF79, 0xFF9A, 0xFF9A, 0xFFBB, 0xFFDA, 0xFFDA, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFF9, 
        0xFFF9, 0xFFDA, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFFC, 0xFFFC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDB, 0xFFDB, 0xFFDC, 0xF7BC, 0xDED3, 0xCE6D, 0xC66A, 0xCECD, 0xDF32, 0xEF9B, 0xDF1B, 0xBDD7, 0x738E, 0x4A29, 0x4A28, 0x7B2B, 0xBD0F, 
        0xDE33, 0xEF3A, 0xFFDE, 0xFFFF, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 
        0xFFDE, 0xEF7D, 0xBDD7, 0x8C10, 0x41E6, 0x6324, 0x73A5, 0x62A5, 0x49A4, 0x3103, 0x4164, 0xBD10, 0xEE73, 0xCDAD, 0xACE8, 0x9466, 0x8444, 0x7D04, 0x8DC7, 0xB68D, 0xB5EF, 0x8C8B, 0x4204, 0x4161, 0x51A1, 0x7284, 0x93A9, 0xB4AD, 0xDE34, 0xE6F9, 
        0xD657, 0x9C0D, 0x6205, 0x4902, 0x3881, 0x6902, 0x7922, 0x70E2, 0x70C2, 0x6882, 0x6881, 0x70A2, 0x78C4, 0x8906, 0x9928, 0xA949, 0xB149, 0xB149, 0xB949, 0xC18B, 0xC9AD, 0xC1AD, 0xB9CD, 0xC22C, 0xC26C, 0xD2AE, 0xE2CF, 0xE2D0, 0xE2B0, 0xE24D, 
        0xDA0B, 0xDA4D, 0xE310, 0xEBF4, 0xF59A, 0xFE7C, 0xFEFC, 0xFF5D, 0xFF9E, 0xFF9E, 0xFF9D, 0xFF9D, 0xFF9D, 0xFF7B, 0xFF3A, 0xFF3A, 0xFF5A, 0xFFBB, 0xFFDB, 0xFFBB, 0xFFBC, 0xFFBC, 0xFFDC, 0xFFBB, 0xFF9A, 0xFF79, 0xFF79, 0xFF9A, 0xFFDB, 0xFFDC, 
        0xFFDC, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDC, 0xFF9A, 0xFF79, 0xFF9B, 0xF79C, 0xEF5C, 0xD678, 0xA4AE, 0x942A, 0xACED, 0xC571, 0xD5D3, 0xE5F4, 0xCD91, 0xC58E, 0xCDCD, 0xD60E, 0xDE4F, 0xE693, 0xF6F8, 0xF719, 0xEEB7, 0xE655, 0xE5F4, 0xE5F4, 0xEE95, 
        0xF6F6, 0xF6D6, 0xF6B6, 0xF6B6, 0xFED6, 0xF717, 0xF737, 0xF738, 0xF738, 0xFF38, 0xFF18, 0xFF38, 0xFF38, 0xFF38, 0xFF39, 0xFF39, 0xFF5A, 0xFF7B, 0xFF9B, 0xFF9B, 0xFF9B, 0xFF9B, 0xEF19, 0xC5F3, 0xACCE, 0x8AC9, 0x71E7, 0x6986, 0x71C7, 0xA32C, 
        0xB38E, 0xA30B, 0x9ACA, 0xAB0B, 0xBB8D, 0xB3CD, 0xB3CD, 0xB3CD, 0xBBEE, 0xC42F, 0xC450, 0xC3EF, 0xC3CF, 0xC40E, 0xCC2F, 0xD44F, 0xE471, 0xEC96, 0xEC97, 0xECB5, 0xECB4, 0xECB3, 0xECB3, 0xECD4, 0xECD5, 0xECF5, 0xF4F6, 0xF4F6, 0xF516, 0xED17, 
        0xE517, 0xDCB7, 0xCC57, 0xCBF8, 0xBB98, 0xB37A, 0xAB5A, 0xA339, 0x9B18, 0x9B17, 0xA317, 0xB35A, 0xB37C, 0xB39B, 0xAB9B, 0xABBB, 0xB3BC, 0xBBBC, 0xB39C, 0xAB9C, 0xAB7B, 0xAB7B, 0xAB9B, 0xB39C, 0xB39C, 0xAB7A, 0xAB7A, 0xAB9A, 0xAB9A,
  0x7211, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8252, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x7A32, 0x8232, 0x8252, 0x8253, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A52, 
        0x7A52, 0x8253, 0x8253, 0x8253, 0x8A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A53, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 
        0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A74, 0x8A93, 0x8293, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8293, 0x8273, 0x8233, 0x8A13, 0x92B5, 0x92D6, 0x82B4, 0x8B34, 0x9C16, 0xCD78, 0xDDB5, 0xDD31, 0xCBAC, 0xC2EA, 0xBAC9, 0xC32A, 0xB30A, 
        0xB30A, 0xC36C, 0xDBCD, 0xE40E, 0xE46F, 0xEC70, 0xEC70, 0xECAF, 0xECD0, 0xECD1, 0xF4D2, 0xFCD2, 0xFCD1, 0xF490, 0xEC4F, 0xE3ED, 0xD38C, 0xCB4D, 0xCB0D, 0xBAAA, 0xBAA9, 0xC30A, 0xDBCD, 0xEC4E, 0xEC6F, 0xECD1, 0xF512, 0xF531, 0xFD91, 0xFE33, 
        0xFE95, 0xFF3A, 0xFFBC, 0xFFDE, 0xE6FB, 0x9B8E, 0x69E7, 0x49A5, 0x39A4, 0x4A85, 0x5B67, 0x2182, 0x29A4, 0x94B0, 0xDED9, 0xF79C, 0xFFBE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFD, 0xFFFB, 0xFFDA, 0xFFF8, 0xFFF7, 0xFFD7, 0xFFD9, 0xFFFD, 
        0xFFFF, 0xFFFF, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFBD, 0xF75A, 0xF739, 0xFF9B, 0xFFDD, 0xFFFE, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDC, 0xFFDB, 0xFFFB, 0xFFFC, 0xFFFC, 0xFFDB, 0xFF9A, 0xFF79, 0xFF58, 0xFF57, 0xFF36, 0xFF36, 0xF758, 0xF778, 0xF759, 0xFF7A, 0xFF9A, 0xFFBA, 0xFFDA, 0xFFFB, 0xFFFB, 0xFFDA, 0xFFDA, 0xFFDB, 0xFFFC, 
        0xFFFD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDB, 0xFFFB, 0xFFFC, 0xF79B, 0xD670, 0xCE0C, 0xD66E, 0xDF13, 0xEF77, 0xDEFA, 0x738E, 0x39C7, 0x4187, 0x628B, 0x8BD0, 0xC5D6, 0xDE34, 
        0xE654, 0xF73A, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 
        0xFFDE, 0xF7BE, 0xE6BB, 0xCD76, 0x9B4D, 0x61C5, 0x6164, 0x7988, 0x7968, 0x6906, 0x6124, 0xC3EA, 0xE50D, 0xBCCB, 0x9C88, 0x8C45, 0x8484, 0xA5AA, 0xBE4E, 0xC62F, 0xACED, 0x7B69, 0x3982, 0x6281, 0x7B02, 0x7AC4, 0x82A7, 0x82E9, 0x944E, 0xDEFA, 
        0xF7BC, 0xD674, 0x9C8C, 0x62C7, 0x28C2, 0x5081, 0x68A1, 0x6882, 0x7063, 0x7042, 0x8063, 0xA0E7, 0xB96A, 0xD20C, 0xDA4D, 0xD22D, 0xB98B, 0x98A8, 0xA0C8, 0xC1AC, 0xD20E, 0xC9CE, 0xA90A, 0x88C6, 0x9106, 0xBA2C, 0xE311, 0xEB52, 0xF333, 0xF2D1, 
        0xF2B0, 0xEAD1, 0xEAF2, 0xEB32, 0xFBF4, 0xFE3B, 0xFF3E, 0xFF3E, 0xFF3D, 0xFF3D, 0xFF7E, 0xFFBF, 0xFFBE, 0xFFBD, 0xFF9C, 0xFF7B, 0xFF7B, 0xFFDB, 0xFFDB, 0xFFBB, 0xFFBC, 0xFFBC, 0xFFDC, 0xFF99, 0xFF78, 0xFF79, 0xFF9A, 0xFFBB, 0xFFDC, 0xFFFD, 
        0xFFFD, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFDC, 0xF79D, 0xDE79, 0xB513, 0x7B0B, 0x8BEA, 0xA4AC, 0xBD4F, 0xCDB2, 0xD5B3, 0xD5D4, 0xD612, 0xD630, 0xD5CD, 0xCDAC, 0xCDAC, 0xD631, 0xEF5A, 0xF77C, 0xEEB7, 0xDDF4, 0xDDB3, 0xE5B3, 0xEE94, 
        0xEED5, 0xEE95, 0xEE75, 0xF675, 0xFEB6, 0xFF18, 0xF738, 0xF717, 0xF6F7, 0xFED7, 0xFED7, 0xFED7, 0xF6D7, 0xF6D7, 0xEEB6, 0xF6B6, 0xFED6, 0xFF59, 0xFF7B, 0xFF5A, 0xFF5A, 0xFF7A, 0xFF9B, 0xF79B, 0xEF3A, 0xD637, 0xC533, 0xB42F, 0x9AAA, 0x89A6, 
        0x91C6, 0xA289, 0x9A8A, 0x8A28, 0x69A5, 0x8A88, 0xA32A, 0xAB4B, 0xA32B, 0x9AEB, 0x9AEA, 0xBBCE, 0xCC2F, 0xC40E, 0xC3EE, 0xC3EE, 0xCC30, 0xD453, 0xD454, 0xDC34, 0xDC54, 0xE495, 0xECD5, 0xF4F4, 0xFCF4, 0xFD35, 0xFD35, 0xFD15, 0xFD15, 0xFD76, 
        0xFD97, 0xF5B8, 0xF599, 0xED79, 0xED39, 0xE538, 0xE4F8, 0xDC78, 0xC3F8, 0xBB98, 0xA337, 0x9294, 0x8A74, 0x9297, 0x9ADA, 0xA2FC, 0xAB3E, 0xB39E, 0xBBBD, 0xBBDC, 0xB3DB, 0xB3BB, 0xB37B, 0xB39C, 0xB39C, 0xAB9D, 0xB39D, 0xB39C, 0xB37B,
  0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A12, 0x7A12, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 
        0x7A52, 0x7A52, 0x8252, 0x8A52, 0x8A32, 0x8252, 0x8252, 0x8252, 0x8252, 0x8A53, 0x8233, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A53, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8273, 
        0x8253, 0x8253, 0x8273, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A53, 0x8A73, 0x8293, 0x8273, 0x8232, 0x8A13, 0x9295, 0x8AB5, 0x7A93, 0x7AD2, 0x8B73, 0xB4F6, 0xEE56, 0xEDD3, 0xCBAC, 0xAA67, 0xAA26, 0xAA87, 0xAAC9, 
        0xB2EA, 0xC36B, 0xD3CD, 0xDC2E, 0xE46F, 0xEC6F, 0xEC6F, 0xEC8F, 0xECB0, 0xECB0, 0xEC91, 0xEC70, 0xEC4F, 0xEC2F, 0xE3ED, 0xDBCC, 0xCB6B, 0xCB0B, 0xC2CB, 0xBA89, 0xBAC9, 0xCB6B, 0xE48F, 0xFD52, 0xFD93, 0xFDD4, 0xFDF5, 0xFE15, 0xFE55, 0xFEF7, 
        0xFF59, 0xFFBC, 0xEF7C, 0xDEFB, 0xB554, 0x59A6, 0x3881, 0x2922, 0x31E4, 0x42A5, 0x63C8, 0x5307, 0x636A, 0xB5D6, 0xEF7D, 0xFFFF, 0xFFBF, 0xFFDE, 0xFFDE, 0xFFFD, 0xFFFC, 0xFFFB, 0xFFFB, 0xFFD9, 0xFFD7, 0xFFF5, 0xFFF4, 0xFFD5, 0xFFD7, 0xFFDC, 
        0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFBC, 0xF73A, 0xF739, 0xF79B, 0xFFDD, 0xFFFE, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFBA, 0xFF79, 0xFF58, 0xFF57, 0xF737, 0xF736, 0xF737, 0xF758, 0xF759, 0xF759, 0xFF59, 0xFF79, 0xFFB9, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFDB, 0xFFDD, 
        0xFFFE, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFFC, 0xFFFD, 0xF7BB, 0xDEB1, 0xD64D, 0xDE90, 0xE6D3, 0xDED6, 0xB574, 0x3986, 0x1821, 0x4906, 0x8B2E, 0xBCF5, 0xEEFB, 0xE635, 
        0xE5F3, 0xEEF9, 0xFFBD, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 
        0xFFDE, 0xFFBE, 0xF71B, 0xE638, 0xB410, 0x5125, 0x4042, 0x68C6, 0x7907, 0x68C6, 0x60E3, 0xB307, 0xCC29, 0xB429, 0x9427, 0x8425, 0x8484, 0xBE2D, 0xD691, 0xB54E, 0x838A, 0x5246, 0x3143, 0x7BA7, 0x9C68, 0x8307, 0x6206, 0x59E6, 0x6AE9, 0xCE35, 
        0xF779, 0xE737, 0xB591, 0x73AB, 0x28E2, 0x4040, 0x5861, 0x6862, 0x7063, 0x7863, 0x8884, 0xA908, 0xC18B, 0xDA6E, 0xEACF, 0xDA8E, 0xC1CC, 0xA10A, 0xA92A, 0xC9ED, 0xD20E, 0xC9AD, 0xA0C9, 0x90A6, 0x9927, 0xC26D, 0xE332, 0xF373, 0xF333, 0xFB54, 
        0xFB54, 0xF374, 0xF354, 0xF312, 0xF393, 0xFDFA, 0xFF1E, 0xFEFD, 0xFEDC, 0xFEFD, 0xFF3D, 0xFF7E, 0xFF9E, 0xFFBE, 0xFFBD, 0xFF9C, 0xFF9B, 0xFFDA, 0xFFDA, 0xFFBB, 0xFFBC, 0xFFBC, 0xFFDC, 0xFF79, 0xFF58, 0xFF79, 0xFFBA, 0xFFBB, 0xFFDD, 0xFFDE, 
        0xFFDE, 0xFFDD, 0xFFBC, 0xFFBB, 0xFFDC, 0xFFFD, 0xF7BD, 0xD699, 0xA4D2, 0x730C, 0x4144, 0x6B28, 0x944B, 0xA4AD, 0xACCE, 0xACCF, 0xACD0, 0xB52F, 0xBD6E, 0xC5AE, 0xC58D, 0xB52C, 0xAD0E, 0xCE57, 0xDEDA, 0xE6B8, 0xDE35, 0xDDD4, 0xDD93, 0xE633, 
        0xEE74, 0xEE74, 0xEE75, 0xEE75, 0xF6B6, 0xF718, 0xF718, 0xF6D7, 0xF6B6, 0xF696, 0xF697, 0xF6B7, 0xEEB7, 0xEE96, 0xEE75, 0xEE75, 0xF675, 0xFF18, 0xFF5A, 0xFF5A, 0xFF5A, 0xFF59, 0xFF7A, 0xFF9C, 0xFFBD, 0xFFBD, 0xEF1B, 0xDE37, 0xBC50, 0x89C6, 
        0x8185, 0xAAEA, 0xB38D, 0x9B2C, 0x7248, 0x7206, 0x8247, 0x9289, 0x92A9, 0x8A89, 0x8A69, 0xBB8D, 0xCC0E, 0xC3CD, 0xBB8D, 0xB38D, 0xB38D, 0xB38F, 0xBB90, 0xC390, 0xCBB1, 0xCBD2, 0xD432, 0xE451, 0xE471, 0xEC91, 0xECB2, 0xEC92, 0xEC92, 0xED14, 
        0xF556, 0xF597, 0xFDB8, 0xFDB8, 0xFD98, 0xFDB8, 0xFDB8, 0xF559, 0xE51A, 0xD4BA, 0xBC3A, 0x9B55, 0x9AF4, 0x9AF7, 0xA2F9, 0xA2DB, 0xAAFB, 0xAB3B, 0xAB5B, 0xB39B, 0xB3BB, 0xB39B, 0xB37B, 0xB39B, 0xB3BC, 0xAB9C, 0xB39D, 0xB39C, 0xB37C,
  0x7212, 0x7212, 0x7212, 0x7211, 0x7211, 0x7212, 0x7A31, 0x7A31, 0x7232, 0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 
        0x7A32, 0x7A32, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8233, 0x8253, 0x8233, 0x8233, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8253, 0x8A53, 0x8A74, 0x8274, 0x8273, 0x8A33, 0x8A12, 0x8A73, 0x8AB3, 0x7AB1, 0x7AAE, 0x7AED, 0x9BEF, 0xDE99, 0xEED9, 0xCC8F, 0xB2C8, 0xAA45, 0xAA67, 0xC34C, 
        0xD3AD, 0xCBAD, 0xCBCD, 0xD3ED, 0xD3ED, 0xD38B, 0xCB4A, 0xCB4A, 0xCB4A, 0xD36B, 0xD36C, 0xCB4B, 0xCB4B, 0xDB6C, 0xE3CD, 0xE40D, 0xEC6E, 0xE48F, 0xE490, 0xECD1, 0xED12, 0xF553, 0xF5B4, 0xFE76, 0xFEB6, 0xFE96, 0xFEB7, 0xFEF8, 0xFF7A, 0xFF9C, 
        0xF77B, 0xDEB9, 0xB554, 0x83EE, 0x4207, 0x3183, 0x3A03, 0x52E6, 0x52E7, 0x4A86, 0x4AA7, 0xAD92, 0xDF18, 0xEF9C, 0xFFDE, 0xFFFF, 0xFFBE, 0xFF9D, 0xFF9B, 0xFFB8, 0xF7B6, 0xF7B7, 0xFFB8, 0xFFB6, 0xFFD5, 0xFFD5, 0xFFD5, 0xFFD5, 0xFFD6, 0xF7BB, 
        0xF7BD, 0xF7BE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBC, 0xEF3A, 0xEF1A, 0xF77C, 0xFFBD, 0xFFDE, 0xFFFF, 0xFFDF, 
        0xFFDE, 0xFFDE, 0xF7BC, 0xF7BC, 0xFFBB, 0xFFDD, 0xFFFE, 0xFFDD, 0xFFBC, 0xF79B, 0xF778, 0xF777, 0xF777, 0xF758, 0xF758, 0xF758, 0xF778, 0xF759, 0xF759, 0xF759, 0xFF59, 0xFF7A, 0xFFBA, 0xFFBA, 0xFFBA, 0xFFDA, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDC, 
        0xFFBC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFFC, 0xFFDD, 0xFFDD, 0xFFBD, 0xFFBD, 0xFFDD, 0xFFDD, 0xF7BD, 0xEF7D, 0xDF1A, 0xEF35, 0xF753, 0xEF31, 0xCE4E, 0xA4EB, 0x5A46, 0x3082, 0x3041, 0x6146, 0x9B2E, 0xC4D4, 0xEEDA, 0xF635, 
        0xF5F4, 0xF6F9, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 
        0xFFDE, 0xFFBE, 0xEF5B, 0xDEB8, 0xA4F0, 0x3965, 0x1841, 0x38A3, 0x48C3, 0x48A3, 0x48A2, 0x7A24, 0x9B06, 0xA3A9, 0xA3E9, 0x9407, 0x8CA6, 0xC64D, 0xBDEE, 0x6B28, 0x2923, 0x1082, 0x2965, 0xB574, 0xCE36, 0x734C, 0x3124, 0x20A2, 0x39A4, 0x9C4A, 
        0xCDAF, 0xDE75, 0xBDB5, 0x8C50, 0x41C6, 0x3061, 0x4041, 0x60C2, 0x8124, 0x9105, 0x98C5, 0x88E4, 0x9146, 0xBA6B, 0xD2EE, 0xD2AE, 0xC22D, 0xCA4D, 0xCA6E, 0xD24E, 0xC9ED, 0xC16B, 0xB12A, 0xC22E, 0xDAD1, 0xE373, 0xEB93, 0xEB52, 0xEAF1, 0xF394, 
        0xFBD6, 0xF3B5, 0xF395, 0xEB74, 0xEBD5, 0xF599, 0xFE5B, 0xFE5B, 0xFE7C, 0xFEBC, 0xFEFE, 0xFF5E, 0xFF7E, 0xFF9E, 0xFFBE, 0xFFBD, 0xFFBC, 0xFFDB, 0xFFDA, 0xFFBB, 0xFFBB, 0xFFBC, 0xFFDB, 0xFF79, 0xFF78, 0xFF99, 0xFFDB, 0xFFDC, 0xFFDE, 0xFFBE, 
        0xFFBE, 0xFFBD, 0xFFDC, 0xFFDB, 0xFFFB, 0xFFFD, 0xDEDA, 0x8C0F, 0x49E7, 0x3104, 0x2902, 0x39C2, 0x4A43, 0x4A84, 0x5285, 0x5286, 0x5246, 0x49E4, 0x62A7, 0xA510, 0xB592, 0x948E, 0x5287, 0x6B2C, 0x8C51, 0xBDD7, 0xDE99, 0xDE57, 0xD5B3, 0xDDD2, 
        0xE613, 0xEE55, 0xEE75, 0xEE95, 0xEE95, 0xF6D6, 0xF6D7, 0xEE96, 0xE676, 0xE655, 0xE635, 0xDE56, 0xDE56, 0xE636, 0xE635, 0xE615, 0xE635, 0xF6D8, 0xFF19, 0xFF39, 0xFF59, 0xFF39, 0xF739, 0xFF39, 0xFF39, 0xFF9C, 0xFF9D, 0xF77D, 0xE69A, 0xAC30, 
        0x9B8E, 0xBCD1, 0xDDD5, 0xE657, 0xC5B5, 0x6AA9, 0x5165, 0x69C6, 0x8248, 0x9268, 0x9289, 0xA2EB, 0xAB0C, 0xAB0B, 0xAB0A, 0xA2EA, 0xA2AA, 0xA26A, 0xA28B, 0xB2CB, 0xB2EB, 0xAAEA, 0xAAA9, 0xB2EA, 0xBB2B, 0xBB4C, 0xBB4C, 0xBB4D, 0xC36D, 0xCBF0, 
        0xCC31, 0xDC52, 0xE472, 0xE472, 0xECB2, 0xECF6, 0xED38, 0xED9A, 0xEDDB, 0xE5FB, 0xE5FC, 0xE5BB, 0xDD7B, 0xCCFA, 0xC479, 0xBC18, 0xB377, 0x9AF6, 0x92D6, 0x9AD8, 0xA2FA, 0xAB1B, 0xB37B, 0xB39B, 0xB39A, 0xAB9A, 0xAB9A, 0xAB9A, 0xAB7B,
  0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A52, 
        0x7A52, 0x8252, 0x8252, 0x8252, 0x8233, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A33, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8273, 
        0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A93, 0x8273, 0x8273, 0x8273, 0x8253, 0x8A53, 0x8A73, 0x8A93, 0x8273, 0x8A53, 0x8A13, 0x8A74, 0x8AB4, 0x82D5, 0x82B4, 0x7A92, 0x9332, 0xDE5A, 0xEEFA, 0xDCF1, 0xCB6A, 0xC309, 0xC30A, 0xD36C, 
        0xD38D, 0xCB8C, 0xCBAC, 0xD3CC, 0xDC0D, 0xE3ED, 0xE3ED, 0xE40D, 0xEC2E, 0xEC6F, 0xECB1, 0xECD1, 0xECB1, 0xF4B0, 0xF4D1, 0xFCF2, 0xFD73, 0xFDD5, 0xFE16, 0xFE77, 0xFE97, 0xFE76, 0xFE35, 0xFE96, 0xFEF7, 0xFF59, 0xF77B, 0xEF3B, 0xDEB9, 0xD5F5, 
        0xBCF0, 0x6AE9, 0x39C6, 0x39A5, 0x4A65, 0x6BC8, 0x63C8, 0x3A45, 0x31A5, 0x4228, 0x8450, 0xDEFA, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFBD, 0xFF7B, 0xF758, 0xF776, 0xF794, 0xF7D3, 0xF7D4, 0xF7D6, 0xFFD6, 0xFFD6, 0xFFB6, 0xF7B6, 0xF797, 0xF798, 0xF77B, 
        0xF77C, 0xF7BE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFBC, 0xF759, 0xF739, 0xF759, 0xFF9B, 0xFFBC, 0xFFDE, 0xFFDF, 
        0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDD, 0xFFBB, 0xF779, 0xF758, 0xF758, 0xF759, 0xFF5A, 0xFF5A, 0xFF7A, 0xFFBA, 0xFFBA, 0xFFB9, 0xFFBA, 0xFFDA, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFBB, 
        0xFFBC, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDE, 0xF79C, 0xE73B, 0xDEFB, 0xDEDB, 0xEF5C, 0xF75C, 0xDEDA, 0xB5B6, 0x8472, 0x632D, 0xBDF4, 0xEF57, 0xE713, 0xB58D, 0x7BA9, 0x3102, 0x4882, 0x5082, 0x40C3, 0x5208, 0x83AE, 0xD637, 0xF6F9, 
        0xFF19, 0xF73B, 0xF77C, 0xFFBD, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFDF, 0xFFDE, 0xFFDD, 0xF7BD, 0xCE77, 0x4228, 0x20A2, 0x5186, 0x7208, 0x71E7, 0x6124, 0x58C2, 0x6983, 0x9B8A, 0xBD0D, 0xBD6D, 0xAD2A, 0x83E7, 0x6AC5, 0x3962, 0x1860, 0x1020, 0x3165, 0xBDD7, 0xD6B9, 0x83CD, 0x3983, 0x20A0, 0x1881, 0x20C1, 
        0x3984, 0x7B6A, 0xB532, 0xC616, 0xB595, 0x4A28, 0x30A2, 0x60E4, 0x8945, 0xA186, 0xA986, 0x9105, 0x9967, 0xCACF, 0xEB93, 0xEB73, 0xD28E, 0x9187, 0x8966, 0xB9EC, 0xDA70, 0xEA91, 0xE2D1, 0xDB12, 0xD312, 0xD290, 0xD2B0, 0xDB52, 0xF455, 0xFC15, 
        0xFC15, 0xFC77, 0xF497, 0xF497, 0xF496, 0xF518, 0xFD9A, 0xFE1C, 0xFE7D, 0xFEBE, 0xFF3F, 0xFF9F, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFFC, 0xFFFD, 0xFFFE, 0xFFFF, 0xFFDF, 
        0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xF7DD, 0xDF19, 0xB5B3, 0x62E9, 0x3984, 0x41A3, 0x62A4, 0x4A43, 0x3A02, 0x3A02, 0x41E2, 0x39A2, 0x3122, 0x1881, 0x3185, 0x9491, 0xB5B4, 0x9CD0, 0x4A26, 0x20E3, 0x2104, 0x424A, 0x73CF, 0x9CD2, 0xCE15, 0xEEF9, 
        0xF71A, 0xF6B6, 0xF654, 0xEE54, 0xEE95, 0xEE96, 0xEE96, 0xEE76, 0xE675, 0xDE35, 0xDE14, 0xDE15, 0xE615, 0xDDF4, 0xDDD4, 0xD5B4, 0xDDF5, 0xF6B7, 0xFF18, 0xFF18, 0xFF18, 0xF719, 0xF73A, 0xFF57, 0xFF57, 0xFF59, 0xFF5B, 0xFF5C, 0xF77C, 0xEF3B, 
        0xEF1B, 0xF75B, 0xF79C, 0xFF9D, 0xEF1A, 0xCDD4, 0xBD11, 0xC44F, 0xC3AD, 0xB32B, 0x92A9, 0x7A07, 0x7A07, 0x92AA, 0xAB4C, 0xB38D, 0xBBCE, 0xCC0F, 0xD410, 0xCBEF, 0xC3AE, 0xCB6D, 0xC32B, 0xB32B, 0xAB4B, 0xB32B, 0xB30B, 0xB30B, 0xB2EB, 0xB30A, 
        0xB30A, 0xB30B, 0xB2EC, 0xB2EC, 0xB30B, 0xBB4C, 0xC36D, 0xBB8F, 0xBBD0, 0xBC11, 0xC473, 0xDD36, 0xE577, 0xEDB8, 0xEDF9, 0xEDFA, 0xEDDB, 0xDD1B, 0xC47B, 0xB3BA, 0xA35A, 0xA339, 0xAB3A, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9A, 0xAB9A, 0xAB7A,
  0x7A11, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8232, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 
        0x7A52, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8273, 0x8273, 0x8273, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8253, 0x7A53, 0x8253, 0x8273, 0x8A73, 0x8A73, 0x8A73, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8293, 0x8273, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A94, 0x8A94, 0x8A71, 0x8250, 0x7A4F, 0x826F, 0x8A8F, 0xAB92, 0xE638, 0xFF1A, 0xF6B8, 0xEDD5, 0xE512, 0xDBED, 0xE40D, 
        0xE44E, 0xE46F, 0xE4B0, 0xE4D1, 0xED11, 0xF531, 0xFD30, 0xFD50, 0xFD50, 0xFD51, 0xFD72, 0xFDD4, 0xFDF5, 0xFE15, 0xFE15, 0xFE36, 0xFE57, 0xFE56, 0xFE56, 0xFE77, 0xFE77, 0xFE77, 0xFE97, 0xFF3A, 0xF75B, 0xDEB9, 0xB595, 0x8C30, 0x4207, 0x39A5, 
        0x4206, 0x5AA7, 0x6B89, 0x73EA, 0x73E9, 0x6367, 0x52C5, 0x4245, 0x5AEA, 0x8450, 0xD6DA, 0xF7DE, 0xFFDE, 0xFF9C, 0xF758, 0xF715, 0xEEF2, 0xF795, 0xF7D6, 0xF7D6, 0xFFD5, 0xFFB5, 0xFFB6, 0xFF9A, 0xF79C, 0xF7BD, 0xFFBD, 0xFF9C, 0xF79C, 0xF7BE, 
        0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFE, 0xFFFE, 0xFFDD, 0xFF9C, 0xF739, 0xF718, 0xF73A, 0xF77C, 0xFF9D, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFBD, 0xFF9C, 0xF75A, 0xF77A, 0xFF9B, 0xFFBC, 0xFFBC, 0xFFDC, 0xFFDC, 0xFFFB, 0xFFFB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDC, 0xFFDD, 0xFFDE, 0xFFDD, 0xFFFD, 
        0xFFFD, 0xFFFE, 0xFFFE, 0xFFFE, 0xF7BD, 0xE71B, 0xD658, 0xA4D2, 0x732B, 0x5248, 0x5228, 0x9C10, 0xA451, 0x6A8A, 0x3945, 0x20C3, 0x3104, 0xA3AD, 0xDD53, 0xDE57, 0xB594, 0x7BEE, 0x3965, 0x6A29, 0x7A49, 0x4945, 0x38C3, 0x5143, 0x9309, 0xDE77, 
        0xFF9C, 0xF73B, 0xF71A, 0xF73B, 0xFFBE, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xFFBE, 0xFF9F, 0xFF9F, 0xFFBE, 0xD699, 0x4A48, 0x20C3, 0x5987, 0x822A, 0x822B, 0x71A9, 0x4083, 0x48E3, 0x9B4A, 0xCD4F, 0xD5EF, 0xAD6B, 0x4204, 0x2881, 0x38A1, 0x40A1, 0x3081, 0x3985, 0xBDD6, 0xD679, 0x734C, 0x3903, 0x2880, 0x30A1, 0x1860, 
        0x1041, 0x20E3, 0x5269, 0x8430, 0xCE37, 0xACCE, 0x8348, 0x61C4, 0x58A2, 0x6061, 0x8904, 0xCACD, 0xE391, 0xE392, 0xE332, 0xE2D1, 0xCA0E, 0x9948, 0x9947, 0xC24C, 0xE311, 0xEB52, 0xE313, 0xD26E, 0xB9EC, 0xA9CB, 0xB26D, 0xCB51, 0xECB6, 0xFC34, 
        0xF3F4, 0xF456, 0xFC98, 0xFCB9, 0xFCFA, 0xFE1C, 0xFEBD, 0xFF1E, 0xFF7F, 0xFF9F, 0xFFBF, 0xFFBE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDD, 0xFFDD, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFDE, 0xF79D, 0xEF5C, 0xC5F7, 0x52AA, 0x2944, 0x3163, 0x39C3, 0x41E4, 0x4224, 0x4243, 0x4263, 0x4243, 0x4A44, 0x4A45, 0x4204, 0x2102, 0x39A4, 0x9C8C, 0xD650, 0xD650, 0x9CAB, 0x2983, 0x0861, 0x1082, 0x18E3, 0x2924, 0x49E6, 0x9C4E, 
        0xC5B3, 0xDE96, 0xEF19, 0xF75B, 0xF73A, 0xDE16, 0xD593, 0xD5B4, 0xDDD4, 0xDDB4, 0xDD94, 0xDDB4, 0xDDB4, 0xD593, 0xD573, 0xCD73, 0xD5B4, 0xEE76, 0xFED7, 0xFEF8, 0xFEF8, 0xFEF8, 0xFED8, 0xFEF7, 0xFF37, 0xFF58, 0xFF58, 0xF759, 0xF739, 0xFF39, 
        0xFF59, 0xFF39, 0xFF59, 0xFF5A, 0xFF5B, 0xF77B, 0xF77B, 0xF73B, 0xE6D9, 0xD677, 0xBD74, 0xB490, 0xB3ED, 0xAB4C, 0x9AC9, 0x8A68, 0x8226, 0x8A26, 0x8A26, 0x8A06, 0x9248, 0xA2CA, 0xBB8D, 0xC3CD, 0xC3CC, 0xC3AD, 0xC38D, 0xC38D, 0xC36D, 0xBB6D, 
        0xBB6C, 0xBB8C, 0xCBAD, 0xCBAD, 0xD3AE, 0xD3EF, 0xD40F, 0xDC2F, 0xDC2F, 0xD42F, 0xD42F, 0xDC51, 0xDC72, 0xE4D2, 0xE513, 0xE533, 0xE555, 0xEDB9, 0xEE1B, 0xE65B, 0xE63B, 0xDDBA, 0xC458, 0xA37A, 0xA33C, 0xAB5C, 0xB39C, 0xAB9B, 0xAB9A,
  0x7212, 0x7212, 0x7232, 0x7212, 0x7212, 0x7212, 0x7232, 0x7232, 0x7232, 0x7232, 0x7A32, 0x7A32, 0x7232, 0x7232, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 
        0x7A32, 0x7A52, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8233, 0x8233, 0x8233, 0x8253, 0x8253, 0x8253, 0x7A52, 0x7A52, 0x7253, 0x8252, 0x8A72, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8273, 
        0x8273, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A74, 0x8274, 0x8273, 0x8A73, 0x8A73, 0x9273, 0x8A32, 0x69D0, 0x69EE, 0x7A4E, 0xABD1, 0xE618, 0xFEFB, 0xFE98, 0xF5D5, 0xED32, 0xEC8F, 0xF532, 
        0xF594, 0xF593, 0xF593, 0xF593, 0xF5D4, 0xFE34, 0xFE54, 0xFE53, 0xFE33, 0xFE13, 0xFDF3, 0xFE14, 0xFE35, 0xFE76, 0xFE96, 0xFE96, 0xFE76, 0xFE97, 0xFEB8, 0xFED9, 0xFF1A, 0xF71B, 0xE6B9, 0xD5D4, 0xACAF, 0x6AA9, 0x39A6, 0x3164, 0x39C4, 0x6B69, 
        0x7C2C, 0x844C, 0x7C2B, 0x73EA, 0x5307, 0x31C5, 0x4227, 0x94B1, 0xD699, 0xEF5C, 0xF7DE, 0xFFDE, 0xF77C, 0xEEF6, 0xE6B2, 0xE6F2, 0xEF94, 0xF796, 0xF797, 0xF778, 0xF778, 0xF779, 0xF779, 0xF77A, 0xF77B, 0xF79C, 0xF79D, 0xF7BD, 0xF7BD, 0xFFDC, 
        0xFFFC, 0xFFDC, 0xFFDC, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDD, 0xFFDC, 0xF79B, 0xEEF9, 0xE6B8, 0xE6D7, 0xEF18, 0xF75A, 0xFFDE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xF7BD, 0xEF9D, 0xE71B, 0xDEFB, 0xDEFB, 0xE73C, 0xE73C, 
        0xE73C, 0xE75C, 0xE73C, 0xE73C, 0xCE38, 0x72AB, 0x4945, 0x3924, 0x38E4, 0x48E4, 0x58E5, 0x5125, 0x5125, 0x50C4, 0x4863, 0x4842, 0x50E3, 0xABCD, 0xDD72, 0xE695, 0xCE13, 0x9CCE, 0x6266, 0x69C7, 0x6187, 0x3904, 0x3944, 0x5A26, 0xA42C, 0xC5D2, 
        0xD675, 0xE71A, 0xF77D, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFBE, 
        0xFF9E, 0xFFBE, 0xFFDE, 0xFFDD, 0xD698, 0x4A28, 0x1861, 0x38A2, 0x5904, 0x6145, 0x5926, 0x3862, 0x48E3, 0x8B09, 0xB48D, 0xB4EC, 0x8C08, 0x4942, 0x3861, 0x5103, 0x5124, 0x4103, 0x4185, 0xA511, 0xBDB2, 0x7B8A, 0x4A04, 0x41A4, 0x49A5, 0x4143, 
        0x38E1, 0x28A1, 0x3124, 0x5A27, 0xA44F, 0xD637, 0xD616, 0x9BCC, 0x69E6, 0x4924, 0x5186, 0xBB4F, 0xD391, 0xA20A, 0x9948, 0xA98B, 0xDA91, 0xDB31, 0xD30F, 0xBA4D, 0xBA2D, 0xCAB0, 0xEB53, 0xDB51, 0xD330, 0xD351, 0xDBB2, 0xE3F3, 0xEC34, 0xEBD4, 
        0xF3D4, 0xF456, 0xF4B8, 0xFCD9, 0xFD7B, 0xFF1D, 0xFFBF, 0xFFBF, 0xFF9E, 0xFF9E, 0xFF5D, 0xFF1C, 0xFF3C, 0xFF9E, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xF79D, 0xCE58, 0xA4F2, 0x5249, 0x1082, 0x1081, 0x31A4, 0x4A45, 0x4204, 0x2962, 0x31A2, 0x31E3, 0x39E3, 0x39E4, 0x4204, 0x39C3, 0x18A1, 0x2922, 0x8BE9, 0xCE0E, 0xDEB0, 0xB5AE, 0x39E5, 0x1081, 0x2942, 0x31C3, 0x29A3, 0x2122, 0x2103, 
        0x3185, 0x62CA, 0x942F, 0xB512, 0xCE15, 0xDE99, 0xDEBA, 0xE698, 0xDE36, 0xD5D4, 0xCD73, 0xD573, 0xD573, 0xCD53, 0xCD52, 0xC532, 0xCD73, 0xEE15, 0xF696, 0xF6B7, 0xF6D7, 0xF6B7, 0xF6B7, 0xF6B7, 0xF6D7, 0xF717, 0xF737, 0xF717, 0xF718, 0xF739, 
        0xF739, 0xF739, 0xF738, 0xF718, 0xF718, 0xF717, 0xFF38, 0xFF9B, 0xFFBC, 0xF7BD, 0xF77C, 0xF75B, 0xEEFA, 0xDE37, 0xCD74, 0xBCF2, 0xB470, 0xB42E, 0xB40D, 0xB38C, 0xA30A, 0x9AA9, 0x8A69, 0x9AA9, 0xA2AA, 0x9289, 0x9268, 0x9288, 0x9AA9, 0x9ACB, 
        0xA2CC, 0xA2CB, 0xAAC9, 0xAAE8, 0xAAE8, 0xA2EC, 0xA2EE, 0xB32D, 0xB34C, 0xB36C, 0xB38B, 0xB38B, 0xB38C, 0xB3AD, 0xBBCD, 0xBBCD, 0xBBCE, 0xBBEE, 0xC40F, 0xCC71, 0xD513, 0xDD74, 0xDDB6, 0xC4F6, 0xBC56, 0xABD5, 0xA375, 0xA377, 0xAB79,
  0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7232, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A52, 
        0x7A52, 0x8252, 0x8252, 0x8252, 0x8233, 0x8252, 0x8252, 0x8252, 0x8253, 0x8A53, 0x8233, 0x8253, 0x8253, 0x8253, 0x8273, 0x7A73, 0x7A73, 0x8273, 0x8A52, 0x8A52, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8273, 
        0x8273, 0x8273, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8253, 0x7A33, 0x8253, 0x92B4, 0xA315, 0x92B3, 0x7A30, 0x61AE, 0x61AD, 0x722E, 0xA392, 0xE596, 0xFE37, 0xFDF6, 0xFDD5, 0xF5D6, 0xFE17, 0xFE98, 
        0xFED9, 0xFEFA, 0xFF1B, 0xFF1B, 0xFF1B, 0xFEFA, 0xFEF9, 0xFED8, 0xFEB7, 0xFEB6, 0xFE96, 0xFE98, 0xFEB9, 0xFEFA, 0xFF1A, 0xFF1A, 0xFF1B, 0xFF5C, 0xF75C, 0xE6FA, 0xD678, 0xBD94, 0x8BCC, 0x5247, 0x41C5, 0x5226, 0x6AE8, 0x7B6A, 0x8BEC, 0x8C8D, 
        0x846C, 0x6B68, 0x4A65, 0x3A05, 0x4247, 0x738E, 0x9CD3, 0xD69A, 0xF7BE, 0xFFFF, 0xFFBE, 0xEED8, 0xEE94, 0xE6D1, 0xE731, 0xEF72, 0xF7B6, 0xF777, 0xF738, 0xF73B, 0xF71C, 0xF71B, 0xF75A, 0xF79B, 0xF7BB, 0xF7BB, 0xFFBB, 0xFFDB, 0xFFDA, 0xFFD8, 
        0xFFD8, 0xFFD9, 0xFFDA, 0xFFBA, 0xFF9A, 0xF77A, 0xFF9B, 0xFFDD, 0xFFDE, 0xFFFF, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBD, 0xF7BC, 0xF77B, 0xF77B, 0xF77A, 0xF758, 0xF758, 0xF77A, 0xF7BD, 0xFFDF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xD6BA, 0x83EE, 0x5248, 0x5269, 0x6B6E, 0x6BAF, 
        0x6BAF, 0x6BAE, 0x6B8E, 0x6B6D, 0x52CA, 0x28E4, 0x2862, 0x5124, 0x71A7, 0x81C7, 0x89C8, 0x81C7, 0x81C7, 0x81C8, 0x8168, 0x7907, 0x68A4, 0x5923, 0x6A88, 0xB552, 0xE6F8, 0xE717, 0xB54F, 0x41C5, 0x1882, 0x2944, 0x5A89, 0x8BEE, 0xAD32, 0x5AA9, 
        0x4A68, 0xA534, 0xE75C, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDD, 0xFFDE, 
        0xFFBE, 0xF77D, 0xF77C, 0xF79D, 0xDEDA, 0x7BAC, 0x49E5, 0x28E2, 0x3082, 0x40A3, 0x6905, 0x60A2, 0x6904, 0x8AE9, 0x9C2B, 0x9C6A, 0x7B85, 0x4942, 0x48A3, 0x6966, 0x81C7, 0x7985, 0x6102, 0x3923, 0x39C5, 0x5AE7, 0x73A9, 0x7389, 0x5A67, 0x48E3, 
        0x4861, 0x4081, 0x3881, 0x30A2, 0x4165, 0x83AD, 0xB4F1, 0xCDB2, 0xD5F3, 0xC5B4, 0xACB2, 0xBAED, 0xB209, 0x9167, 0x9188, 0xAA0A, 0xD2CF, 0xC26D, 0xA9EA, 0x9147, 0x99A9, 0xB26D, 0xEBD4, 0xF455, 0xF475, 0xF495, 0xF475, 0xEC55, 0xEC34, 0xF4D7, 
        0xFD59, 0xFE3C, 0xF6DC, 0xF6FC, 0xEEDC, 0xE6DB, 0xEEFB, 0xF71C, 0xFF1C, 0xFF1C, 0xFF3D, 0xFF7D, 0xFF9D, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xF7BE, 0xDEFB, 0xBE18, 0x7C10, 0x31A6, 0x18E2, 0x1902, 0x2983, 0x31C4, 0x39E5, 0x2963, 0x2923, 0x2944, 0x31A5, 0x4205, 0x4225, 0x20E2, 0x20E2, 0x62E6, 0xA4EC, 0xCE10, 0xC612, 0x4226, 0x1081, 0x2162, 0x3A64, 0x4AE6, 0x4AC6, 0x2142, 
        0x1081, 0x18C2, 0x2103, 0x2923, 0x31A5, 0x5AED, 0x8411, 0xB574, 0xD657, 0xD698, 0xDEB8, 0xE6D8, 0xE6B7, 0xDDD4, 0xCD52, 0xCD31, 0xCD52, 0xEE35, 0xF696, 0xF6D7, 0xFED7, 0xFEF7, 0xFEF8, 0xFED8, 0xFEB7, 0xF6D6, 0xF6D6, 0xF6F6, 0xFF17, 0xFF17, 
        0xFF38, 0xFF58, 0xFF79, 0xFF7A, 0xF75A, 0xFF37, 0xFF36, 0xFF37, 0xFF38, 0xFF59, 0xFF59, 0xFF59, 0xFF5A, 0xF77B, 0xEF1A, 0xE657, 0xD573, 0xD616, 0xDE98, 0xE6BA, 0xEE9A, 0xE618, 0xCC92, 0xA32C, 0x9AEB, 0xAB4D, 0xB3AF, 0xBBAF, 0xB3AF, 0xB34D, 
        0xB32D, 0xBB2C, 0xBB2B, 0xB32B, 0xAB2C, 0xAAEC, 0xA2EC, 0xA2CB, 0xAAEB, 0xAAEB, 0xAB0B, 0xAB2B, 0xAB4C, 0xB38D, 0xB38D, 0xBB8D, 0xC36D, 0xCBEF, 0xCC2F, 0xD44F, 0xDC91, 0xDCF3, 0xDD56, 0xC4D6, 0xB477, 0xABD8, 0xAB79, 0xAB5A, 0xAB5B,
  0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A31, 0x7A31, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x8232, 0x8252, 0x8252, 0x7A52, 0x7A32, 0x8252, 0x8252, 0x8233, 0x8233, 0x7A52, 0x7A52, 0x7A53, 
        0x8253, 0x8252, 0x8A52, 0x8A52, 0x8252, 0x8253, 0x8253, 0x8253, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 
        0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A73, 0x8A93, 0x8A93, 0x8272, 0x7A52, 0x8292, 0x8AD4, 0x92F5, 0x92D5, 0x51AD, 0x414B, 0x724F, 0xA3D4, 0xC518, 0xE6BC, 0xF77D, 0xFF9D, 0xFF7D, 0xFF7D, 0xFF9D, 0xFF7D, 0xFEFB, 
        0xF6DA, 0xF6FB, 0xFF1C, 0xFF1D, 0xFEFC, 0xFEBA, 0xFE99, 0xFE9A, 0xFE9B, 0xFEBB, 0xFEDC, 0xFF3C, 0xFF5D, 0xF75C, 0xF75C, 0xEF3B, 0xE6DA, 0xD617, 0xBD53, 0x83ED, 0x62C8, 0x4A46, 0x4A25, 0x6349, 0x73CB, 0x7C0B, 0x842C, 0x8C4D, 0x7BCC, 0x39C6, 
        0x2124, 0x39A6, 0x52AA, 0x7BEF, 0xC638, 0xE73C, 0xEF7D, 0xF7BE, 0xFFDE, 0xFFDE, 0xEF5A, 0xCE0E, 0xCDEC, 0xE6D2, 0xF777, 0xF799, 0xF75A, 0xFF5B, 0xFF5B, 0xFF3C, 0xF73C, 0xFF3C, 0xFF5B, 0xF77A, 0xF77A, 0xF7BB, 0xFFDB, 0xFFFA, 0xFFD8, 0xFFD8, 
        0xFFF9, 0xFFFA, 0xFFFA, 0xFFF9, 0xFFD9, 0xF7DC, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDF, 0xFFDE, 0xFFBD, 0xFFBC, 0xFFBC, 0xFFBC, 0xFF9B, 0xFF9C, 0xFFBD, 0xFFDE, 0xFFDE, 0xF7BD, 0xE71B, 0xDE98, 0xD635, 0xD634, 0xDE97, 0xF79D, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFDD, 0xFFDD, 0xFFDE, 0xD6DB, 0x7BEF, 0x39C7, 0x2104, 0x18A3, 0x20C3, 
        0x20C3, 0x20A3, 0x20A3, 0x28A2, 0x30A2, 0x40A3, 0x48A4, 0x50A4, 0x50A4, 0x48A3, 0x40C2, 0x50A3, 0x50A3, 0x50E4, 0x5906, 0x6107, 0x60C8, 0x2863, 0x3165, 0x9CF1, 0xE71A, 0xF79C, 0xCE36, 0x5248, 0x39A6, 0x8C4E, 0xBD70, 0xB4CE, 0x72C7, 0x2944, 
        0x3A08, 0x9D34, 0xE75D, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFFD, 
        0xFFDC, 0xF77A, 0xF75A, 0xFF7B, 0xF7BD, 0xE71A, 0xBDB4, 0x6ACA, 0x38E3, 0x3882, 0x6124, 0x7985, 0x81C7, 0x8A29, 0x928A, 0x8AA9, 0x7A87, 0x71A5, 0x7165, 0x7165, 0x7165, 0x7165, 0x6104, 0x2841, 0x2062, 0x51A6, 0x72C9, 0x7B49, 0x6B08, 0x2903, 
        0x2061, 0x40E3, 0x6124, 0x60E4, 0x5082, 0x38C3, 0x4985, 0x934B, 0xD4D1, 0xDD74, 0xD574, 0xC3ED, 0xC34A, 0xCBEC, 0xD48E, 0xE50F, 0xE4F0, 0xD34F, 0xD2B0, 0xDB52, 0xE415, 0xEC76, 0xFD18, 0xFDBA, 0xFDFB, 0xFE1B, 0xF63B, 0xEE3B, 0xE63A, 0xEE9B, 
        0xEE7B, 0xDDD8, 0xC535, 0xB4B4, 0x93F0, 0x8AAA, 0x9B2B, 0xCD95, 0xF73C, 0xFF9E, 0xFF9D, 0xFFBE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFDE, 0xFF5B, 0xF73B, 0xF73B, 0xDEFA, 0xA532, 0x7BCC, 0x4206, 0x20E2, 0x18A2, 0x2904, 0x49E5, 0x4A25, 0x31C4, 0x2163, 0x1942, 0x2162, 0x39A1, 0x49E1, 0x5AA5, 0x840C, 0xAD52, 0xBE16, 0x4228, 0x1081, 0x2121, 0x29C2, 0x31E2, 0x29C2, 0x2141, 
        0x2121, 0x2981, 0x31A2, 0x2982, 0x2122, 0x18E3, 0x20E3, 0x3164, 0x4205, 0x5286, 0x7349, 0x942D, 0xACD0, 0xBD52, 0xD5F4, 0xDE56, 0xE6D8, 0xEF39, 0xF739, 0xF719, 0xF719, 0xF718, 0xF6D7, 0xEE36, 0xEE36, 0xF696, 0xF6D6, 0xF6D6, 0xF695, 0xF696, 
        0xF6B7, 0xF718, 0xF759, 0xFF59, 0xFF59, 0xFF37, 0xFF16, 0xFEF5, 0xFF16, 0xFF37, 0xFF78, 0xEF58, 0xEF58, 0xEF39, 0xDEB6, 0xCDD2, 0xA42B, 0x8B89, 0x93EB, 0xC573, 0xE6B9, 0xEF3C, 0xDE59, 0x8A69, 0x7966, 0xA32E, 0xC432, 0xC452, 0xBBD0, 0xC430, 
        0xCC31, 0xC3F1, 0xBBB2, 0xBBB2, 0xC3B3, 0xCBB0, 0xCBAF, 0xCBAF, 0xC3AF, 0xC3B0, 0xBBB0, 0xC3EF, 0xCC0F, 0xC42F, 0xCC30, 0xCC30, 0xDC32, 0xE474, 0xE494, 0xDC73, 0xCC72, 0xC473, 0xBC93, 0xC4D3, 0xCCB4, 0xBC56, 0xB3FA, 0xABBB, 0xAB5E,
  0x7212, 0x7212, 0x7212, 0x7212, 0x7212, 0x7212, 0x7A32, 0x7A32, 0x7232, 0x7232, 0x7212, 0x7A12, 0x7232, 0x7232, 0x7232, 0x7232, 0x7232, 0x7232, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7232, 0x7232, 0x7A32, 0x8A32, 
        0x8A52, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x8253, 0x8233, 0x8253, 0x8273, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8252, 0x8253, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A54, 0x8234, 0x8232, 0x8272, 0x8AD4, 0x7A92, 0x620F, 0x498C, 0x8B12, 0xB477, 0xD5FB, 0xEEFD, 0xF75E, 0xFF9E, 0xFFDE, 0xFFDE, 0xFFBF, 0xFF9F, 0xFF9F, 0xFF3E, 0xF63B, 
        0xEDBA, 0xED99, 0xF5B9, 0xF5D9, 0xF5FA, 0xF5D9, 0xF5D9, 0xF5B8, 0xF5D8, 0xF5F8, 0xFE19, 0xFDF7, 0xF5D6, 0xDD74, 0xC512, 0xAC8F, 0x8BAB, 0x6AE9, 0x5AA8, 0x5AC8, 0x6308, 0x5B29, 0x6349, 0x6BA9, 0x73EA, 0x7BCA, 0x6B49, 0x5287, 0x31A5, 0x3186, 
        0x528A, 0xA514, 0xD69A, 0xE75C, 0xFFBE, 0xFFDD, 0xFFDC, 0xFFBC, 0xF75B, 0xEED7, 0xDE52, 0xDED0, 0xE731, 0xEF76, 0xF77A, 0xF77B, 0xF73B, 0xF71B, 0xF71B, 0xF71B, 0xF73C, 0xF73D, 0xF77C, 0xFFB8, 0xFFD6, 0xF7D6, 0xF7D6, 0xF7D7, 0xF7D9, 0xEF7B, 
        0xEF5B, 0xE75B, 0xE73A, 0xDF1A, 0xDED9, 0xCE98, 0xCE99, 0xDEFB, 0xDEFB, 0xDF1B, 0xE75C, 0xF7BE, 0xFFDE, 0xF79C, 0xF75A, 0xF759, 0xF758, 0xF75A, 0xEF3A, 0xE6D9, 0xE6B8, 0xE6F9, 0xCE76, 0x73AB, 0x62E8, 0xA48D, 0xD614, 0xEEF8, 0xFFBE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFDC, 0xFFDC, 0xFFBD, 0xFF9D, 0xFF7C, 0xF77C, 0xFFBE, 0xEF7D, 0xC637, 0x8C50, 0x5AAA, 0x28C3, 0x48E2, 
        0x5922, 0x40C2, 0x38A2, 0x38A2, 0x40C2, 0x4083, 0x4083, 0x4084, 0x38A3, 0x30C2, 0x28C1, 0x4082, 0x4842, 0x4041, 0x3842, 0x4063, 0x3864, 0x1842, 0x2965, 0x9490, 0xD656, 0xDE56, 0xBCD0, 0x9B4B, 0x9B8A, 0xBD0D, 0xACEC, 0x8388, 0x2902, 0x20C3, 
        0x4A08, 0xA4F3, 0xE71B, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDD, 0xFFBB, 0xFFBB, 
        0xFFBB, 0xFFBB, 0xFFBC, 0xFFDC, 0xFFDD, 0xFFDE, 0xD699, 0x6B2C, 0x3924, 0x38C2, 0x5923, 0x58A2, 0x60C3, 0x81A7, 0x9A6B, 0xA2CD, 0xA2AC, 0x7126, 0x60A3, 0x6103, 0x6943, 0x6944, 0x60E4, 0x4863, 0x4883, 0x6145, 0x7247, 0x7AA8, 0x62A6, 0x2102, 
        0x1061, 0x38A2, 0x50A2, 0x5882, 0x6062, 0x60E5, 0x6946, 0x7145, 0x7945, 0x7945, 0x7165, 0x7207, 0x82E9, 0xBC6E, 0xD530, 0xD52F, 0xCCAE, 0xDCB6, 0xE4D9, 0xE519, 0xE559, 0xE559, 0xE558, 0xDD17, 0xDCF6, 0xD4D6, 0xC495, 0xAC33, 0x8B8F, 0x938F, 
        0x8B4E, 0x6A2A, 0x4946, 0x3905, 0x3904, 0x6984, 0x92C8, 0xCD74, 0xF73C, 0xFFBE, 0xFF7D, 0xFF7D, 0xFF9D, 0xFFBE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DE, 
        0xF77C, 0xF6D8, 0xF6B7, 0xF6F9, 0xF75B, 0xEE78, 0xC533, 0x6AA9, 0x2903, 0x1081, 0x18A1, 0x31A4, 0x41E5, 0x39C3, 0x39C3, 0x39E4, 0x4225, 0x4A23, 0x5223, 0x5266, 0x7BAC, 0xA512, 0xBDF6, 0x4228, 0x1081, 0x2141, 0x31E1, 0x31E1, 0x29A1, 0x31C2, 
        0x31C3, 0x29A2, 0x2982, 0x29A3, 0x31E4, 0x31A3, 0x2962, 0x20E1, 0x18A1, 0x18A1, 0x20E2, 0x3963, 0x49E4, 0x62C8, 0x7B8C, 0x8C0E, 0x9C8F, 0xACCF, 0xB510, 0xC552, 0xC573, 0xBD52, 0xB511, 0xACD0, 0xBD31, 0xDE35, 0xEE97, 0xE636, 0xDD93, 0xDDD4, 
        0xDDF4, 0xDDF4, 0xE614, 0xEE35, 0xF676, 0xE6D9, 0xE71B, 0xE71A, 0xEEF9, 0xE6B6, 0xD5B2, 0x9CAE, 0x948E, 0xA4AE, 0xACEE, 0xACEE, 0xA4CD, 0xAD0D, 0xACAC, 0xA3CA, 0xAC2D, 0xC533, 0xD617, 0x92A9, 0x6924, 0x7187, 0x824B, 0x9AEC, 0xBBAE, 0xC38D, 
        0xBB4E, 0xB32F, 0xB2EF, 0xB2EF, 0xB2EE, 0xB36E, 0xB38E, 0xB38F, 0xAB50, 0xAB31, 0xAB12, 0xC373, 0xC393, 0xBB92, 0xB371, 0xAB71, 0xB392, 0xC3B5, 0xC3B6, 0xC376, 0xBB57, 0xBB37, 0xBB58, 0xAB96, 0xABB6, 0xABB8, 0xABBA, 0xAB9B, 0xAB9C,
  0x7212, 0x7212, 0x7232, 0x7A31, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x8232, 0x8252, 
        0x8252, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x8253, 0x8252, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A73, 0x8A53, 
        0x8253, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A74, 0x92B5, 0x92B4, 0x7211, 0x594E, 0x50EC, 0x61CE, 0xC578, 0xEF1E, 0xF75F, 0xFF5F, 0xF73E, 0xF71C, 0xF75C, 0xFF5C, 0xFF3D, 0xFF3E, 0xFF3F, 0xF73F, 0xF6DE, 
        0xF67D, 0xF65D, 0xFE3C, 0xF65C, 0xF65C, 0xFDFC, 0xFDDC, 0xFDDA, 0xFDD8, 0xFDB7, 0xFD96, 0xF555, 0xE514, 0xBC71, 0x9BCD, 0x8B8C, 0x7B4A, 0x73CB, 0x740B, 0x73AB, 0x6B4A, 0x6309, 0x6329, 0x8CAD, 0x8C8D, 0x52A8, 0x3184, 0x3184, 0x62C9, 0xA534, 
        0xCE79, 0xEF5D, 0xFFDE, 0xFFDF, 0xFFBE, 0xFFDE, 0xFFDD, 0xF77A, 0xE6F5, 0xDE92, 0xDE6F, 0xEF54, 0xF7B7, 0xF75A, 0xF73B, 0xF73A, 0xF73A, 0xF73C, 0xF73C, 0xF73C, 0xFF5C, 0xFF7C, 0xFFB9, 0xFFD2, 0xFFD1, 0xFFF6, 0xFFFB, 0xFFFC, 0xEF7B, 0xB5D4, 
        0x9D10, 0x94AE, 0x844D, 0x73CB, 0x5B09, 0x6308, 0x6B29, 0x632B, 0x634D, 0x6BAF, 0x94D3, 0xDF1C, 0xFFFE, 0xFFDC, 0xF77A, 0xF758, 0xEF17, 0xCE34, 0xBD92, 0xA4F0, 0x9C8F, 0xA4AF, 0x9CAE, 0x7327, 0x7348, 0xB573, 0xE71A, 0xF7BD, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBD, 0xFFBC, 0xFFBC, 0xFFBC, 0xFFBD, 0xFF7C, 0xF73B, 0xFF7C, 0xFFBC, 0xE73B, 0xB596, 0x73AE, 0x3104, 0x6142, 
        0x7183, 0x5103, 0x40C3, 0x38C3, 0x40C2, 0x48C3, 0x48A3, 0x40A4, 0x38A3, 0x30C2, 0x30C1, 0x48A3, 0x5883, 0x5041, 0x4841, 0x4861, 0x3882, 0x1041, 0x2903, 0x938C, 0xD552, 0xE5B3, 0xD552, 0xBC6E, 0xAC0C, 0x9BC9, 0x6AE5, 0x41E3, 0x28E3, 0x72AA, 
        0xAC0F, 0xC553, 0xDE77, 0xEF1A, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDD, 0xFFDB, 0xFFDB, 
        0xFFDC, 0xFFDD, 0xFFDD, 0xFFFD, 0xFFFC, 0xFFFE, 0xDEBA, 0x836C, 0x5163, 0x5101, 0x5902, 0x4861, 0x4862, 0x7967, 0xAA8C, 0xC34F, 0xC36F, 0x6945, 0x4841, 0x50A1, 0x60E2, 0x6102, 0x60E4, 0x68E6, 0x70E7, 0x7146, 0x71C6, 0x7246, 0x6266, 0x2942, 
        0x18C1, 0x38E2, 0x50C2, 0x5882, 0x6862, 0x91A9, 0x91EA, 0x7126, 0x5863, 0x5042, 0x4842, 0x2883, 0x3104, 0x51E7, 0x7268, 0x7A67, 0x8267, 0x932F, 0x9B92, 0x9B92, 0x9370, 0x932F, 0x82CC, 0x724A, 0x6A09, 0x5188, 0x4146, 0x3925, 0x28E4, 0x28E4, 
        0x28C3, 0x2082, 0x2862, 0x38A3, 0x4904, 0x30C2, 0x49A5, 0xA491, 0xE6B9, 0xFF7C, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFF5C, 
        0xFEDA, 0xF615, 0xF5D3, 0xF614, 0xFEB8, 0xFF3B, 0xDE99, 0x944E, 0x5246, 0x2943, 0x2123, 0x63A9, 0x7C6C, 0x73AB, 0x730A, 0x72EA, 0x72E9, 0x59E3, 0x4141, 0x3123, 0x5247, 0x83ED, 0xB571, 0x4A06, 0x0860, 0x0880, 0x10A0, 0x10A0, 0x18E1, 0x4223, 
        0x4263, 0x29A2, 0x2142, 0x2142, 0x2982, 0x3A02, 0x3A02, 0x39C3, 0x3984, 0x3985, 0x3984, 0x2122, 0x2101, 0x2943, 0x3984, 0x41C5, 0x49E4, 0x3984, 0x3164, 0x3985, 0x3985, 0x41A5, 0x6267, 0x9C6E, 0xBD52, 0xD5B4, 0xDDD5, 0xD593, 0xCD10, 0xBC8E, 
        0xC4AF, 0xDDB4, 0xEED8, 0xF73A, 0xE6DA, 0x9CD4, 0x8C52, 0x9CD2, 0xA4F0, 0x942D, 0x6AA6, 0x3984, 0x3184, 0x5A46, 0x6AC8, 0x6AE8, 0x6B09, 0x9C8D, 0xACCD, 0xA3EA, 0xAC2C, 0xC532, 0xE6B9, 0xCCD0, 0xA30A, 0x69A7, 0x5987, 0x7249, 0xA38D, 0x9B0C, 
        0x9ACB, 0xAB6D, 0xABCC, 0xAC09, 0xA3E7, 0x9BCE, 0x9BB2, 0x9BB3, 0xA3B4, 0xABB3, 0xB393, 0xBB94, 0xC395, 0xBB75, 0xB375, 0xB375, 0xB375, 0xBB95, 0xBB96, 0xB358, 0xB35A, 0xB33B, 0xB33C, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB9B, 0xAB9A, 0xABB9,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A11, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x8232, 0x8252, 0x8A52, 0x8252, 
        0x8252, 0x8252, 0x7A52, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x8273, 0x8273, 0x8273, 0x8253, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8A73, 0x8A73, 
        0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x92B4, 0x9AF5, 0x8A94, 0x6990, 0x592E, 0x618F, 0x9353, 0xDEBC, 0xFFDE, 0xF73D, 0xF6BB, 0xF69A, 0xEEB9, 0xF73B, 0xFF5C, 0xFF3D, 0xFF1E, 0xFF1F, 0xF6FE, 0xFE9E, 
        0xFE5D, 0xF61C, 0xF5DB, 0xEDDA, 0xEDBA, 0xED7A, 0xF55A, 0xF579, 0xF598, 0xED76, 0xE514, 0xD4B3, 0xC472, 0xA40E, 0x8BAC, 0x7BAC, 0x7BCC, 0x7C6C, 0x7C6C, 0x7BEB, 0x736A, 0x6B4A, 0x6B6A, 0x7C2D, 0x73CC, 0x4206, 0x3185, 0x4A47, 0x9490, 0xE71B, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFF9D, 0xEF38, 0xE6D2, 0xE6B0, 0xE6EF, 0xF797, 0xFFBB, 0xF75C, 0xF71B, 0xF71B, 0xF75A, 0xF75B, 0xF75C, 0xFF7B, 0xFF9A, 0xFFB9, 0xFFD6, 0xFFD2, 0xFFD3, 0xFFD9, 0xEF9C, 0xE71B, 0xBDD6, 0x7C0D, 
        0x6B68, 0x6367, 0x5B25, 0x4AC4, 0x4243, 0x4A22, 0x4A22, 0x3A04, 0x3206, 0x3A27, 0x5B2B, 0xB5B4, 0xD6D7, 0xDEF8, 0xDED7, 0xDEB6, 0xCE54, 0xB550, 0x9CAE, 0x8C0C, 0x83CB, 0x83CB, 0x83EA, 0x7B88, 0x8C2B, 0xCE36, 0xF79D, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFBD, 0xFF9C, 0xF79C, 0xFFBC, 0xFF9C, 0xFF7C, 0xFF1B, 0xFF5B, 0xFF9B, 0xEF7C, 0xC617, 0x8C30, 0x3965, 0x5122, 
        0x6142, 0x5123, 0x4904, 0x48E4, 0x48C3, 0x50C3, 0x48C3, 0x48C3, 0x40C3, 0x38C3, 0x38A2, 0x50A3, 0x58A3, 0x58A2, 0x58C2, 0x58C2, 0x40A2, 0x1841, 0x2903, 0x938C, 0xDD74, 0xEE36, 0xE615, 0xB48E, 0x9BA9, 0x7B05, 0x5A63, 0x4A03, 0x5226, 0xAC0E, 
        0xCCD1, 0xBCB0, 0xBD32, 0xCE16, 0xF79D, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFD, 0xFFDC, 0xFFDC, 
        0xFFDD, 0xFFDE, 0xFFFE, 0xFFFD, 0xFFFD, 0xFFFE, 0xDEBA, 0x93AD, 0x69A4, 0x6122, 0x6902, 0x4841, 0x5041, 0x7926, 0xAA6B, 0xCB6F, 0xCBD0, 0x6945, 0x4840, 0x5081, 0x60C2, 0x68E2, 0x68E4, 0x8127, 0x8928, 0x8146, 0x7985, 0x71C5, 0x5A04, 0x2962, 
        0x2121, 0x4122, 0x5903, 0x68C3, 0x80C4, 0x8988, 0x81A9, 0x68E5, 0x5063, 0x4843, 0x4043, 0x2822, 0x2042, 0x38C4, 0x4905, 0x5104, 0x5923, 0x59C9, 0x5A2B, 0x5A0A, 0x51E9, 0x51A8, 0x4145, 0x38E4, 0x28A3, 0x2022, 0x1001, 0x1020, 0x1041, 0x1041, 
        0x1041, 0x1861, 0x2882, 0x40E3, 0x4904, 0x1862, 0x2904, 0x93EE, 0xDE37, 0xF73B, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFF9E, 0xF658, 
        0xEDB5, 0xF593, 0xF593, 0xF5D4, 0xFE77, 0xFF9D, 0xEF7C, 0xBDB4, 0x7BAB, 0x5246, 0x3164, 0x5BA9, 0x746C, 0x738B, 0x6ACA, 0x6A8A, 0x6268, 0x4962, 0x30C0, 0x28C2, 0x4A26, 0x83EB, 0xBDB1, 0x6B4A, 0x41E6, 0x39C6, 0x3164, 0x2923, 0x20E1, 0x39E2, 
        0x4243, 0x31A2, 0x2141, 0x2141, 0x2981, 0x31E1, 0x3202, 0x3A03, 0x3A04, 0x4205, 0x4205, 0x2183, 0x1942, 0x1902, 0x20E2, 0x20E1, 0x28E1, 0x20E2, 0x20E3, 0x2924, 0x3145, 0x4185, 0x6A67, 0xA48F, 0xBD52, 0xCD53, 0xCD53, 0xCD32, 0xC4F0, 0xC4D0, 
        0xCD11, 0xDDF5, 0xEEB8, 0xE6D9, 0xC5D6, 0x632D, 0x4A4A, 0x5AEA, 0x62E9, 0x5A86, 0x41A3, 0x41A5, 0x49E6, 0x5A46, 0x5A66, 0x5246, 0x4A26, 0x7349, 0x8BCB, 0xA42B, 0xBCEF, 0xD5D3, 0xEEF9, 0xEE16, 0xCCB1, 0x826B, 0x5967, 0x61C8, 0x72CA, 0x7A88, 
        0x8AA9, 0x9B6B, 0xAC2C, 0xAC6A, 0xAC6A, 0xAC12, 0xABD6, 0xABD8, 0xABD7, 0xB3F6, 0xBBF5, 0xBBB7, 0xBB78, 0xBB78, 0xBB97, 0xB397, 0xB396, 0xB397, 0xB378, 0xB378, 0xAB79, 0xAB7B, 0xAB7D, 0xB37C, 0xB37C, 0xB37C, 0xB39C, 0xB3BB, 0xABB9,
  0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8252, 0x8252, 0x7A52, 0x7A32, 0x7A31, 0x7A31, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x8232, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 
        0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x7A53, 0x7A53, 0x8253, 0x7A52, 0x7A52, 0x8252, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 
        0x8A73, 0x8273, 0x8A74, 0x8A74, 0x8A74, 0x8A73, 0x8272, 0x8A73, 0x8A73, 0x8A93, 0x92B3, 0x8A93, 0x7A32, 0x6170, 0x7232, 0x93B5, 0xD65B, 0xF7BE, 0xFF9D, 0xF678, 0xEDD4, 0xEDD3, 0xEE14, 0xEE98, 0xEEDA, 0xF6FB, 0xFEDD, 0xFEBD, 0xFE5C, 0xFD79, 
        0xF4F7, 0xECB5, 0xE473, 0xDC52, 0xDC32, 0xDC32, 0xD453, 0xD473, 0xCC73, 0xCC52, 0xB410, 0x936D, 0x836C, 0x83AB, 0x7BEB, 0x7C0C, 0x742C, 0x73CA, 0x6B89, 0x6B6A, 0x73AB, 0x83EC, 0x7BEC, 0x4206, 0x2964, 0x4A47, 0x7BCD, 0xA513, 0xDEFA, 0xF7DE, 
        0xFFFF, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFBE, 0xFF5C, 0xF719, 0xEED4, 0xE6F1, 0xEF31, 0xF794, 0xFFBB, 0xFF9E, 0xFF7D, 0xFF3D, 0xFF3C, 0xF75B, 0xF799, 0xF7B7, 0xFFD7, 0xFFB5, 0xFFB2, 0xFFD1, 0xFFF8, 0xF7BC, 0xDEFA, 0xB5B5, 0x9470, 0x5287, 0x4244, 
        0x4283, 0x5323, 0x6384, 0x6BC4, 0x6BE3, 0x6383, 0x6363, 0x5B63, 0x5303, 0x42A3, 0x3223, 0x5B25, 0x73C6, 0x844A, 0x94AD, 0x94CE, 0x94CE, 0x94AC, 0x948B, 0x8C4B, 0x840A, 0x7BE9, 0x7BC8, 0x7BE8, 0x94AB, 0xCE55, 0xEF7C, 0xF7BE, 0xF7BE, 0xFFDF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDD, 0xF77B, 0xF75B, 0xFF7B, 0xFF7C, 0xFF5B, 0xFF3B, 0xFEFA, 0xFF1A, 0xF73B, 0xD679, 0xAD33, 0x62A9, 0x28C2, 
        0x2081, 0x4103, 0x5965, 0x6145, 0x58E5, 0x50A2, 0x48A1, 0x48C2, 0x50E3, 0x50E4, 0x58C4, 0x50A2, 0x50E2, 0x6144, 0x6145, 0x6104, 0x48A3, 0x28A2, 0x39C6, 0x9CD1, 0xDEB9, 0xEEFB, 0xCDF6, 0x8B69, 0x7284, 0x72C4, 0x8367, 0x93E9, 0xAC8C, 0xBC8C, 
        0xA3CA, 0x6267, 0x5AA9, 0x7BEF, 0xD679, 0xF7BE, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDD, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDD, 0xFFDD, 
        0xFFDD, 0xFFDD, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xE6DA, 0xA3EE, 0x79E6, 0x7944, 0x8104, 0x7041, 0x7021, 0x80E5, 0xA20A, 0xC30E, 0xCBB0, 0x7146, 0x5041, 0x5862, 0x68C3, 0x7104, 0x8145, 0x9947, 0xA147, 0x9145, 0x7924, 0x6923, 0x4942, 0x31A2, 
        0x31C2, 0x4163, 0x6124, 0x8145, 0x9967, 0x60C4, 0x4882, 0x5083, 0x5884, 0x5884, 0x5083, 0x4822, 0x4843, 0x50A5, 0x50C6, 0x50A4, 0x3862, 0x2062, 0x1862, 0x1882, 0x1882, 0x1882, 0x1061, 0x1041, 0x1041, 0x1020, 0x1841, 0x1861, 0x20C2, 0x2903, 
        0x2904, 0x28E3, 0x28C2, 0x28A2, 0x2081, 0x1041, 0x3144, 0x9BEE, 0xE636, 0xFF1A, 0xFF9D, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xF79D, 0xEEB9, 0xDC90, 
        0xDC2E, 0xED54, 0xF618, 0xFE59, 0xFE9A, 0xFF7D, 0xF7BE, 0xE6FB, 0xBD74, 0x93CE, 0x4965, 0x2944, 0x2165, 0x3124, 0x3903, 0x30E3, 0x28E3, 0x18A2, 0x20E2, 0x5205, 0x8BCB, 0xB550, 0xE6F6, 0xCE77, 0xBDD6, 0xB552, 0x944D, 0x7329, 0x41A2, 0x3181, 
        0x39A1, 0x39C2, 0x39E2, 0x39E3, 0x29E3, 0x29A2, 0x2181, 0x29C1, 0x29E1, 0x29E2, 0x29C3, 0x29A4, 0x21A4, 0x1963, 0x1922, 0x18E1, 0x2903, 0x5A88, 0x7B4C, 0x9BEE, 0xB450, 0xBC91, 0xC4F2, 0xC533, 0xC553, 0xBD12, 0xBCF1, 0xBCD1, 0xCD33, 0xDE98, 
        0xE6D9, 0xCDD4, 0xB4D0, 0x940D, 0x62A9, 0x2944, 0x18C3, 0x20E3, 0x2903, 0x3964, 0x62C7, 0xB531, 0xBD53, 0x8BAB, 0x6AA6, 0x6244, 0x5203, 0x2923, 0x39C5, 0x9C4D, 0xDE13, 0xF695, 0xF697, 0xFF3B, 0xE69A, 0xB3F2, 0x81EB, 0x6148, 0x4146, 0x51A3, 
        0x6A24, 0x7AC9, 0x936D, 0xA3AF, 0xB3F2, 0xCBD8, 0xCB9B, 0xC37B, 0xBB9A, 0xBBDA, 0xBC3A, 0xB3BC, 0xB37D, 0xB35B, 0xB37A, 0xB399, 0xABB9, 0xA37B, 0xAB5B, 0xAB98, 0xB3B7, 0xABB8, 0xAB9B, 0xB37C, 0xB37B, 0xB39B, 0xB39B, 0xB39B, 0xABBC,
  0x7212, 0x7212, 0x7212, 0x7212, 0x7212, 0x7212, 0x7A12, 0x7232, 0x7212, 0x7212, 0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A33, 0x7A33, 0x8233, 0x8A32, 
        0x8A32, 0x8232, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8273, 0x8273, 0x8253, 0x8272, 0x8272, 0x8273, 0x8A73, 0x8A72, 0x8A52, 0x8252, 0x79F2, 0x6991, 0x7A93, 0xA437, 0xE6FD, 0xF77D, 0xF73C, 0xEEB8, 0xE615, 0xD572, 0xBC6E, 0x9B29, 0xA329, 0xD48F, 0xF554, 0xFD77, 0xFD38, 0xF536, 
        0xED35, 0xF514, 0xF513, 0xF513, 0xF533, 0xED53, 0xDCF2, 0xB3EE, 0xA32C, 0x9AEB, 0x9AEB, 0x934B, 0x936B, 0x938C, 0x8BAC, 0x838C, 0x736B, 0x7329, 0x7B29, 0x836B, 0x732A, 0x5A88, 0x3985, 0x4A26, 0x6B4A, 0xAD74, 0xDEFB, 0xEF9D, 0xFFDE, 0xFFFE, 
        0xFFDE, 0xFFFF, 0xFFDF, 0xFFDE, 0xF79C, 0xEEF4, 0xE6D1, 0xE6F2, 0xEF34, 0xEF56, 0xF77A, 0xF71D, 0xF71D, 0xF73C, 0xF75C, 0xF77C, 0xF77B, 0xF7B8, 0xF7B4, 0xF791, 0xF7B0, 0xF7B2, 0xF7B6, 0xE719, 0xBDD6, 0x738D, 0x4226, 0x4244, 0x6343, 0x7445, 
        0x7CA6, 0x7CA6, 0x7C85, 0x7C64, 0x7462, 0x7423, 0x7423, 0x7463, 0x7463, 0x7464, 0x6404, 0x5B42, 0x52E1, 0x4AA2, 0x4AC3, 0x52E4, 0x6B86, 0x94EB, 0xA56D, 0xA54D, 0x9D0C, 0x94CA, 0x8428, 0x7345, 0x83C8, 0xC5F4, 0xEF7C, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFDD, 0xFF9B, 0xFF5A, 0xF75A, 0xF73A, 0xF719, 0xF6F9, 0xEED8, 0xF6F9, 0xF75B, 0xF73B, 0xE699, 0xB4B0, 0x3965, 
        0x1861, 0x4924, 0x6165, 0x6145, 0x50A4, 0x4862, 0x4862, 0x50C3, 0x60E4, 0x68E4, 0x68C4, 0x58A2, 0x50A2, 0x48C3, 0x40C4, 0x38E4, 0x3986, 0x736C, 0x94D0, 0xBDB5, 0xB555, 0x9430, 0x5A07, 0x5A45, 0x7B27, 0xACAC, 0xBD4E, 0xB4CD, 0x8B49, 0x4984, 
        0x28C2, 0x1861, 0x20A2, 0x3943, 0x7B29, 0xD678, 0xFFDE, 0xFFFF, 0xFFDE, 0xFFBE, 0xFF9E, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFBC, 
        0xFF9C, 0xFFBC, 0xFFBC, 0xFFDD, 0xFFFE, 0xFFDF, 0xDE9A, 0x836D, 0x6165, 0x6904, 0x9166, 0x90C3, 0x90A3, 0x9926, 0xBA4B, 0xD32F, 0xCBD0, 0x5966, 0x3061, 0x58C3, 0x7945, 0x8986, 0x8966, 0x80E6, 0x80E5, 0x8125, 0x7124, 0x60E3, 0x4102, 0x4A04, 
        0x4A45, 0x5185, 0x5904, 0x60C4, 0x70C3, 0x6882, 0x70C3, 0x8167, 0x81A9, 0x7188, 0x50E5, 0x3082, 0x3082, 0x4124, 0x5184, 0x4964, 0x3902, 0x2061, 0x1041, 0x1041, 0x1061, 0x1081, 0x1081, 0x1880, 0x1880, 0x1881, 0x20A1, 0x20C2, 0x28E3, 0x3923, 
        0x3103, 0x2082, 0x1041, 0x1041, 0x1861, 0x38E3, 0x6227, 0xACF2, 0xE6B9, 0xF73C, 0xFF3C, 0xFF1D, 0xFF3D, 0xFF9E, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xE6BA, 0xCD95, 0xBC0F, 0xDCD3, 
        0xF5B7, 0xFE9B, 0xFEFC, 0xFEBC, 0xFE3B, 0xFEDC, 0xF6FC, 0xDE39, 0xC535, 0xAC31, 0x828A, 0x4965, 0x4144, 0x69C5, 0x8248, 0x8289, 0x72CB, 0x5AEC, 0x6B8E, 0xAD53, 0xDEB7, 0xF75A, 0xFFBC, 0xFFDD, 0xEF7B, 0xCE34, 0xA4AC, 0x7B87, 0x4222, 0x4222, 
        0x4A63, 0x5AC6, 0x5AC7, 0x5286, 0x39E3, 0x39A2, 0x39A2, 0x3162, 0x2922, 0x2102, 0x20E3, 0x3123, 0x3964, 0x41A4, 0x5205, 0x5A47, 0x7AE9, 0xA3ED, 0xBC8F, 0xD512, 0xDD74, 0xDD94, 0xD5B4, 0xDDB5, 0xDD94, 0xCD73, 0xCDD5, 0xD637, 0xD679, 0xBDF6, 
        0x9CF1, 0x52A9, 0x3144, 0x20E2, 0x20E2, 0x3184, 0x3184, 0x2943, 0x4A26, 0x7B8B, 0xCE34, 0xF739, 0xDE36, 0x7B4B, 0x4163, 0x3101, 0x3141, 0x1080, 0x2923, 0x83AA, 0xCD4F, 0xE5D2, 0xEDF6, 0xFF5C, 0xEF3B, 0xCD53, 0xABCF, 0x9B10, 0x8272, 0x4928, 
        0x38E4, 0x51A6, 0x6207, 0x6206, 0x61C6, 0x6A4D, 0x7AB1, 0x9354, 0xAB96, 0xB398, 0xBB7B, 0xBB9D, 0xB39D, 0xAB5B, 0xAB5B, 0xAB7B, 0xABBB, 0xA37C, 0xA37C, 0xAB9B, 0xABBA, 0xABBA, 0xAB9B, 0xAB7C, 0xB35C, 0xB37A, 0xB399, 0xB39A, 0xAB7C,
  0x7212, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7212, 0x7212, 0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A53, 0x7A53, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8232, 
        0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x8273, 0x8273, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8273, 
        0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A72, 0x8272, 0x8272, 0x8293, 0x8A73, 0x8A73, 0x8272, 0x8252, 0x8232, 0x81F3, 0x9AD6, 0xBC58, 0xE65B, 0xDDF6, 0xCD52, 0xB48D, 0x9B89, 0x82C7, 0x7226, 0xAB4A, 0xD44D, 0xED11, 0xFD95, 0xFDD6, 0xFDF7, 0xF5F7, 
        0xF5D6, 0xF554, 0xF533, 0xF553, 0xF574, 0xDC92, 0xD411, 0xCC10, 0xCC71, 0xD4D2, 0xE595, 0xE657, 0xE677, 0xE656, 0xDE16, 0xD5F5, 0xCDD4, 0xC5B3, 0xBD52, 0x9C2E, 0x7B0A, 0x6A47, 0x6289, 0xBD95, 0xE73B, 0xF79D, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDF, 
        0xFFDF, 0xFFDE, 0xFF9D, 0xF75B, 0xF6F7, 0xEF34, 0xEF53, 0xF774, 0xF796, 0xF778, 0xF73B, 0xF71D, 0xF73D, 0xFF7C, 0xFF9B, 0xFFB9, 0xFF97, 0xF7B5, 0xF7B3, 0xF7B0, 0xFFD2, 0xF7D5, 0xD6B6, 0x630B, 0x39C4, 0x5283, 0x6B84, 0x7C25, 0x84A6, 0x7465, 
        0x6C24, 0x6C44, 0x7445, 0x7464, 0x7C64, 0x7464, 0x7444, 0x6BE3, 0x63E2, 0x63E2, 0x6C23, 0x6BE3, 0x6BC4, 0x63A4, 0x5B43, 0x5303, 0x4AC2, 0x5344, 0x5BA5, 0x7C48, 0x8CE9, 0x952A, 0x952B, 0x946A, 0x9CCD, 0xD656, 0xF79C, 0xFFDE, 0xFFDF, 0xFFDF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBB, 0xFF9B, 0xF75A, 0xF73A, 0xF719, 0xF6F9, 0xF6D8, 0xEED9, 0xF71B, 0xFF7D, 0xFF7D, 0xD658, 0x4208, 
        0x1862, 0x4903, 0x6145, 0x5924, 0x48A3, 0x5084, 0x5884, 0x58A4, 0x68E4, 0x70E5, 0x78E5, 0x68A3, 0x50A2, 0x4104, 0x41E8, 0x5B0C, 0x94F3, 0xBDB4, 0xAD31, 0x730A, 0x3985, 0x2903, 0x41C6, 0xB574, 0xD677, 0xAD0F, 0x7348, 0x5224, 0x3102, 0x30A1, 
        0x3081, 0x2061, 0x28A1, 0x4143, 0x8B2A, 0xDE99, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBD, 0xFFBD, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDD, 
        0xFFBC, 0xFFBB, 0xFFBB, 0xFFBC, 0xFFDE, 0xFFDE, 0xDEDA, 0x9C0F, 0x69C7, 0x60E4, 0x80E4, 0xC249, 0xDB4E, 0xE473, 0xED56, 0xF577, 0xCCB3, 0x4186, 0x1861, 0x50C3, 0x7925, 0x8145, 0x7905, 0x7064, 0x7064, 0x70C5, 0x7125, 0x6944, 0x5983, 0x5245, 
        0x4A45, 0x51A5, 0x6124, 0x60E4, 0x70C4, 0x78C3, 0x8105, 0x99EA, 0xB2CF, 0xC351, 0xC3B2, 0x8AEB, 0x6A68, 0x5A05, 0x51E3, 0x51C2, 0x51C3, 0x49A6, 0x4186, 0x3125, 0x20E3, 0x20A2, 0x1882, 0x20A1, 0x20A1, 0x28E2, 0x28E2, 0x30E2, 0x38C2, 0x30A2, 
        0x3082, 0x2082, 0x2882, 0x38C3, 0x5145, 0x61A5, 0x61E5, 0x82C9, 0xA40E, 0xBD53, 0xE69A, 0xF619, 0xF619, 0xFEFC, 0xFFBE, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF77D, 0xDE58, 0xCD13, 0xB38E, 0xE557, 
        0xFE5C, 0xFE3C, 0xFE1C, 0xFDDB, 0xFD79, 0xF557, 0xF556, 0xF5B8, 0xF5D9, 0xED98, 0xE536, 0xCD53, 0xCD52, 0xDD53, 0xE594, 0xEDD5, 0xE657, 0xDE99, 0xE6DA, 0xF71A, 0xFF1A, 0xFF1A, 0xFF3A, 0xFFBC, 0xFFDC, 0xF77A, 0xDE75, 0xBD70, 0x8B88, 0x4A43, 
        0x3A02, 0x4A64, 0x4A85, 0x4A44, 0x4A04, 0x5AA6, 0x6AE7, 0x6AE8, 0x6AE9, 0x6AEA, 0x730B, 0x8BCD, 0x9C0D, 0x9C0D, 0xAC0D, 0xB42E, 0xBC2E, 0xA36B, 0xA329, 0xA34A, 0xA38B, 0x9B8B, 0x8B8B, 0xABCD, 0xBC6F, 0xCD93, 0xCDF6, 0xB595, 0x8431, 0x4228, 
        0x2944, 0x2902, 0x2942, 0x3162, 0x3983, 0x29A3, 0x2163, 0x2123, 0x4248, 0x7BCE, 0xD698, 0xF7BB, 0xD697, 0x734B, 0x3143, 0x28C1, 0x2901, 0x1080, 0x10C1, 0x4A26, 0x8BAB, 0xB48F, 0xEDF6, 0xFF5C, 0xF75B, 0xD614, 0xBCD2, 0xB3F5, 0x9ADA, 0x7233, 
        0x622E, 0x5A68, 0x5284, 0x5283, 0x4A23, 0x51C4, 0x59E7, 0x728E, 0x8B15, 0x9B58, 0xAB9A, 0xABBB, 0xB3BB, 0xBBBC, 0xC3BD, 0xC39E, 0xC37E, 0xB37E, 0xAB7D, 0xAB9C, 0xAB9C, 0xABBC, 0xB39C, 0xAB7B, 0xAB7A, 0xAB9A, 0xAB9A, 0xAB9B, 0xAB9B,
  0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x8232, 0x7A52, 0x8252, 0x8252, 0x8252, 0x7A52, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 
        0x7A53, 0x7A53, 0x8253, 0x8252, 0x7A52, 0x7A53, 0x7A53, 0x8252, 0x8252, 0x8252, 0x7A53, 0x7A52, 0x8253, 0x8273, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8273, 0x8273, 
        0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A74, 0x8AB4, 0x8A93, 0x7A12, 0x8254, 0x9B36, 0xC498, 0xC4B3, 0xC471, 0xC470, 0xC44F, 0xCC4E, 0xCC6D, 0xCCAC, 0xD50D, 0xE5D2, 0xF6B6, 0xFF39, 0xF6DA, 0xDC91, 
        0xDBCD, 0xE4B1, 0xF594, 0xF616, 0xFE58, 0xF597, 0xF556, 0xF556, 0xF5B7, 0xF619, 0xFEBB, 0xFEDB, 0xFEDB, 0xFEFB, 0xFEFB, 0xFEFB, 0xF6FC, 0xF6FD, 0xEEDC, 0xE67B, 0xDE7A, 0xDE9A, 0xE6DB, 0xF7BE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDF, 0xFFFF, 0xFFFF, 
        0xFFDE, 0xFF7C, 0xF739, 0xF6F7, 0xF6F5, 0xF777, 0xF7B9, 0xF79A, 0xF77A, 0xF75B, 0xF77B, 0xFFBD, 0xFFBD, 0xFF9B, 0xFF99, 0xFFB7, 0xF7B5, 0xF72F, 0xF70F, 0xF776, 0xEF78, 0xDF16, 0xAD6E, 0x4A46, 0x39C3, 0x73C5, 0x9507, 0x9507, 0x7C66, 0x6C45, 
        0x6C44, 0x7445, 0x7C46, 0x7C46, 0x7C46, 0x6BE4, 0x63A3, 0x6383, 0x6BA3, 0x6C04, 0x7466, 0x63C4, 0x5B83, 0x5B43, 0x5B43, 0x5B23, 0x4B03, 0x42C1, 0x42C1, 0x4AC2, 0x4282, 0x3A42, 0x4285, 0xAD4F, 0xDEB5, 0xEF5A, 0xFFBD, 0xFFDF, 0xF7DF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDD, 0xFFBB, 0xFF9A, 0xFF79, 0xFF59, 0xFF59, 0xF738, 0xEED8, 0xEE97, 0xEE77, 0xF6D8, 0xF71A, 0xD679, 0x4A28, 
        0x1841, 0x3082, 0x50C3, 0x58E4, 0x5904, 0x58E5, 0x58E5, 0x60C4, 0x60A3, 0x5882, 0x5082, 0x5104, 0x6A07, 0xA3ED, 0xBD51, 0xC592, 0xB48F, 0x5A48, 0x3124, 0x20C2, 0x3123, 0x5225, 0xA44C, 0xCE36, 0xB5B6, 0x630B, 0x2923, 0x20A0, 0x38C1, 0x48A3, 
        0x4083, 0x3082, 0x3963, 0x6286, 0xACCE, 0xEF1A, 0xFFDF, 0xF7BE, 0xF79E, 0xF77E, 0xFF9E, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBD, 0xFF9D, 0xFFDD, 0xFFDD, 0xFFFE, 0xFFFE, 0xFFFE, 
        0xFFDD, 0xFFBB, 0xFF9B, 0xFFBB, 0xFFDD, 0xFFFF, 0xEF5C, 0xB574, 0x8B6C, 0x7A27, 0x8945, 0xD32F, 0xF454, 0xF4D5, 0xECF5, 0xE4D4, 0xBBAF, 0x4125, 0x1841, 0x4882, 0x60A3, 0x68A3, 0x5883, 0x5063, 0x5043, 0x5062, 0x58E2, 0x6984, 0x6A45, 0x41A3, 
        0x3142, 0x40E2, 0x50A2, 0x58A2, 0x68A3, 0x60C3, 0x60E3, 0x60E4, 0x7186, 0x928B, 0xCC72, 0xE5B6, 0xD574, 0xAC2E, 0x932A, 0x8AE8, 0x82C9, 0x7ACB, 0x72CB, 0x72AA, 0x7289, 0x6A68, 0x6207, 0x5164, 0x4903, 0x4903, 0x4923, 0x4943, 0x5164, 0x69C6, 
        0x71E8, 0x7208, 0x8249, 0x8A8A, 0x9B0C, 0x9B8D, 0x8B2C, 0x61E7, 0x61E7, 0x7ACA, 0xC513, 0xEEDB, 0xFF5D, 0xFF3E, 0xFF5E, 0xFF7E, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xEF7D, 0xD618, 0xC4B3, 0xCBF1, 0xE371, 0xF4F8, 
        0xFD7B, 0xFD3A, 0xFCF8, 0xFCB8, 0xFCB7, 0xFD38, 0xFD59, 0xFD38, 0xFCF7, 0xFC96, 0xFC95, 0xF5F6, 0xF677, 0xFDB6, 0xFD35, 0xFD14, 0xFD34, 0xFD95, 0xFD95, 0xF553, 0xFD53, 0xFD74, 0xFE57, 0xFF7C, 0xFFDE, 0xFFDE, 0xF79D, 0xEF5B, 0xC5D5, 0x4207, 
        0x20E3, 0x5A66, 0x8369, 0x8BCA, 0x7B49, 0x5226, 0x51E5, 0x6AA6, 0x8348, 0x8BA9, 0x940A, 0x9C0A, 0x9BCA, 0x936A, 0x9B0A, 0x9B0A, 0x9AE9, 0x8A47, 0x8206, 0x8A67, 0x8AA8, 0x82A8, 0x82A8, 0x92E9, 0x9309, 0x6AE8, 0x4A66, 0x31E5, 0x2944, 0x39A4, 
        0x41E4, 0x41C3, 0x39C3, 0x39C3, 0x31A3, 0x1982, 0x1141, 0x1101, 0x2942, 0x41E5, 0x7BAC, 0xD699, 0xD699, 0x6B6D, 0x3185, 0x3163, 0x4A05, 0x2162, 0x08E1, 0x1902, 0x4A48, 0x840F, 0xE6D9, 0xF71B, 0xF6D9, 0xDE75, 0xCDB4, 0xBCF5, 0xB3F8, 0xB439, 
        0xAC17, 0x8312, 0x626E, 0x5A0E, 0x51AD, 0x40E9, 0x30A6, 0x3105, 0x3966, 0x49E7, 0x6A8C, 0x8334, 0x93B8, 0xAC38, 0xBC99, 0xC47A, 0xC43B, 0xBC1B, 0xB3FC, 0xB3BD, 0xAB7D, 0xAB7C, 0xAB9A, 0xABF8, 0xABF8, 0xAB9B, 0xAB5C, 0xAB5B, 0xAB99,
  0x7212, 0x7212, 0x7212, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7232, 0x7212, 0x7212, 0x7212, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A33, 0x7A53, 0x7A53, 0x7A52, 0x7A32, 
        0x8232, 0x8252, 0x8252, 0x7A52, 0x7A32, 0x7A52, 0x7A52, 0x8252, 0x8253, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x7A53, 0x8253, 0x8253, 0x8A52, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A73, 0x8A73, 0x8273, 0x8253, 
        0x8253, 0x8273, 0x8273, 0x8273, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8A74, 0x8A73, 0x8A73, 0x8AB5, 0x7252, 0x61CE, 0x4989, 0x92EC, 0xBC51, 0xDDF7, 0xF71B, 0xF75C, 0xF6F8, 0xDD4F, 0xDCAC, 0xE52F, 0xEDF3, 0xF698, 0xFF3B, 0xF617, 
        0xF595, 0xF637, 0xFEDA, 0xFF3C, 0xFF9D, 0xFF5D, 0xFEFC, 0xFE7B, 0xF63A, 0xF63A, 0xF67A, 0xFEBB, 0xFEFC, 0xFF1D, 0xFF3E, 0xFF5E, 0xFF5E, 0xFEBE, 0xFEBE, 0xFF5E, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 
        0xFFBC, 0xF739, 0xEEF7, 0xEF17, 0xF778, 0xF7BB, 0xF7BB, 0xF77B, 0xF75B, 0xF75B, 0xF79B, 0xEF79, 0xEF78, 0xF777, 0xF797, 0xF796, 0xF775, 0xF773, 0xF794, 0xE738, 0xB5F5, 0x8C6F, 0x52C7, 0x844A, 0xA52C, 0x94E9, 0x8486, 0x7C65, 0x7444, 0x7C84, 
        0x7CA5, 0x7465, 0x6C04, 0x63C3, 0x6363, 0x6BC4, 0x7424, 0x7445, 0x6C25, 0x6405, 0x5383, 0x4B02, 0x4AE1, 0x5302, 0x5324, 0x5B44, 0x5345, 0x5303, 0x5302, 0x5B63, 0x52E3, 0x3A02, 0x39C5, 0xBDD4, 0xF7BB, 0xFFDD, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDD, 0xFFDD, 0xFFDB, 0xF79A, 0xF779, 0xF738, 0xF718, 0xF718, 0xEEF7, 0xDE96, 0xDE55, 0xDE35, 0xE677, 0xEEF9, 0xD678, 0x6248, 
        0x2841, 0x2841, 0x3882, 0x48E3, 0x6165, 0x6104, 0x50C3, 0x38A3, 0x30E3, 0x3924, 0x5A47, 0xACB0, 0xC572, 0xAC6E, 0x7B2A, 0x5A67, 0x4164, 0x48E3, 0x48C2, 0x38E3, 0x5249, 0x840F, 0xBDB6, 0x5ACB, 0x2124, 0x18A2, 0x1881, 0x28C0, 0x4121, 0x2881, 
        0x2062, 0x30E2, 0x51E4, 0x7AE7, 0xB50E, 0xEF3A, 0xF77E, 0xDE7B, 0xD599, 0xD557, 0xE598, 0xF73D, 0xFFBE, 0xFF7D, 0xFF5D, 0xFF7D, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBD, 0xFF9D, 0xFF9C, 0xFFBC, 0xFFBD, 0xFFDE, 0xFFFD, 
        0xFFDC, 0xFFBB, 0xFF9A, 0xFF9B, 0xFF9C, 0xFFDE, 0xEF7D, 0xCDF6, 0xB450, 0xA32B, 0xAA28, 0xDB0D, 0xF3F2, 0xECB4, 0xD452, 0xAB2E, 0x6925, 0x4041, 0x4021, 0x4062, 0x4862, 0x4861, 0x4062, 0x40A4, 0x48A4, 0x5082, 0x60E2, 0x6984, 0x6A26, 0x3965, 
        0x2103, 0x28C3, 0x3082, 0x3861, 0x4041, 0x4861, 0x4882, 0x48A2, 0x48A1, 0x48A2, 0x69E7, 0xCD94, 0xE697, 0xC4F0, 0xAB8A, 0x9AE8, 0x8AA9, 0x72AB, 0x6AAB, 0x6A89, 0x7268, 0x7268, 0x7228, 0x61C6, 0x6185, 0x5964, 0x5944, 0x5924, 0x6965, 0x8269, 
        0x92EB, 0xA30C, 0xAB4D, 0xB36D, 0xC3EF, 0xDCF3, 0xD4B3, 0xAB6D, 0x9B2B, 0xB3CD, 0xDD74, 0xF6DB, 0xF73D, 0xFF1D, 0xFF1D, 0xFF5D, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xE6BA, 0xAC0F, 0x9AAB, 0xB2CD, 0xEBF3, 0xFC35, 
        0xFC16, 0xFBF6, 0xFC17, 0xFC36, 0xFC56, 0xFC76, 0xFC96, 0xF476, 0xF455, 0xF476, 0xF495, 0xF4D3, 0xF4F2, 0xF4F2, 0xF4D2, 0xEC91, 0xEC90, 0xF533, 0xF554, 0xECF1, 0xE4B0, 0xECB1, 0xF534, 0xF677, 0xF719, 0xF77B, 0xEF3B, 0xDEB8, 0xA4AF, 0x3164, 
        0x18A1, 0x4A24, 0x62E6, 0x62E6, 0x52A6, 0x7328, 0x7B28, 0x5A65, 0x49C3, 0x4982, 0x49A2, 0x5222, 0x5A63, 0x6A44, 0x7226, 0x8227, 0x9227, 0x8A06, 0x81E5, 0x79C5, 0x79E6, 0x8226, 0x8AA8, 0x8B29, 0x7B09, 0x41E4, 0x1921, 0x10E0, 0x1901, 0x31C4, 
        0x41E4, 0x39C3, 0x39A2, 0x2982, 0x2141, 0x1902, 0x18E2, 0x18E2, 0x18C2, 0x18A2, 0x39A6, 0xBDD6, 0xDEBA, 0x9470, 0x5248, 0x3164, 0x2102, 0x31C3, 0x31E3, 0x2943, 0x4228, 0x7BCF, 0xD679, 0xE679, 0xE657, 0xE695, 0xBDB1, 0x942E, 0x624C, 0xA3B6, 
        0xBC7A, 0xAC58, 0x9416, 0x8BD5, 0x7B31, 0x39A8, 0x2103, 0x2101, 0x2901, 0x2921, 0x2942, 0x2964, 0x3164, 0x3985, 0x49C6, 0x5209, 0x726E, 0x9A97, 0xA2DB, 0xA31B, 0xA35B, 0xA37A, 0xABB6, 0xB46F, 0xAC6E, 0xA3B4, 0xA359, 0xA35A, 0xA37A,
  0x7A12, 0x7A12, 0x7A32, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7212, 0x7A12, 0x7A12, 0x7A33, 0x7A33, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A33, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A53, 
        0x7A53, 0x7A52, 0x8252, 0x8252, 0x8253, 0x8232, 0x8232, 0x8232, 0x8232, 0x8233, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8273, 
        0x8A73, 0x8273, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8274, 0x8A94, 0x8A94, 0x7A31, 0x61AE, 0x6A0C, 0xC597, 0xF73C, 0xF77C, 0xFF9D, 0xFF9C, 0xF71A, 0xE5B1, 0xDD2F, 0xE551, 0xEDD5, 0xF638, 0xF69A, 0xF638, 
        0xEE37, 0xF699, 0xF71B, 0xF77D, 0xFFDF, 0xFFDF, 0xFF9F, 0xFF3E, 0xFEDD, 0xFEBC, 0xF67A, 0xF6BA, 0xF6BA, 0xEE9A, 0xEE9B, 0xEE9C, 0xF69D, 0xF65C, 0xF69D, 0xFF5E, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFDE, 0xF79B, 
        0xF75A, 0xF738, 0xF738, 0xF779, 0xFFDC, 0xF7BC, 0xF79C, 0xF77B, 0xF77C, 0xFF9D, 0xF77C, 0xDE15, 0xDDF4, 0xEED8, 0xF759, 0xEF56, 0xEF13, 0xF79A, 0xE75B, 0xB5B4, 0x844C, 0x63A8, 0x5B84, 0x94A8, 0xA509, 0x94A7, 0x8465, 0x7C65, 0x7C86, 0x7444, 
        0x6C23, 0x6403, 0x63E3, 0x6BE4, 0x7425, 0x7C86, 0x7C86, 0x6C04, 0x5B82, 0x5342, 0x4B01, 0x5343, 0x5B43, 0x5343, 0x5343, 0x5B44, 0x5B44, 0x5342, 0x5362, 0x63A3, 0x5303, 0x3A22, 0x39C6, 0xBDD7, 0xF7DE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDD, 0xFFDC, 0xFFDA, 0xF79A, 0xF75A, 0xF719, 0xF6F8, 0xF6F7, 0xEEF6, 0xE6B6, 0xDE55, 0xD614, 0xD656, 0xE6B9, 0xDEBA, 0x93AE, 
        0x59E7, 0x38E3, 0x3061, 0x3882, 0x58C3, 0x60C3, 0x6144, 0x6ACA, 0x8C2F, 0x9CB1, 0xACD0, 0x8BAC, 0x62A9, 0x3965, 0x28C2, 0x30C2, 0x48E3, 0x5082, 0x58A3, 0x8229, 0xAC10, 0xC554, 0xB5B5, 0x3A07, 0x1061, 0x20A1, 0x28C1, 0x28C0, 0x28C1, 0x40C2, 
        0x40A3, 0x30C3, 0x49C6, 0x834C, 0xDE16, 0xFF3C, 0xF6DC, 0xDD57, 0xCC13, 0xBB71, 0xB391, 0xD597, 0xEE9B, 0xF73D, 0xFF7D, 0xFF5D, 0xFF3C, 0xFF9D, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFBF, 0xFFBE, 0xFFDD, 0xFFDD, 0xFF9D, 0xFF9D, 0xFF9D, 0xFF9D, 0xFFDC, 
        0xFFDC, 0xF7BB, 0xF79B, 0xF77B, 0xFF7B, 0xFFDE, 0xFFBE, 0xEEFB, 0xC554, 0x9B8D, 0x81A7, 0xD370, 0xF4F6, 0xEDD9, 0xBD55, 0x83AF, 0x30E4, 0x4861, 0x5081, 0x4882, 0x3882, 0x3082, 0x30A2, 0x48E4, 0x50E4, 0x4082, 0x3061, 0x3081, 0x4165, 0x7B8E, 
        0x9451, 0x93CF, 0x82EB, 0x6228, 0x3124, 0x2061, 0x1840, 0x2881, 0x40C3, 0x5104, 0x71E7, 0xA3CD, 0xC4D0, 0xD573, 0xC4D1, 0x9BAD, 0x6A28, 0x724A, 0x82AB, 0x82AB, 0x82AA, 0x82AA, 0x8289, 0x7A89, 0x7A69, 0x7A28, 0x71C6, 0x6965, 0x6965, 0xA30C, 
        0xC3CF, 0xD451, 0xDCB3, 0xDCF3, 0xDD14, 0xE555, 0xE555, 0xED55, 0xED54, 0xED33, 0xED74, 0xF6BA, 0xFF3C, 0xFF1D, 0xFF1D, 0xFF5E, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xF7BE, 0xD659, 0x8B2C, 0x7167, 0x8968, 0xD26E, 0xEAF2, 
        0xF313, 0xFB14, 0xFB14, 0xFB34, 0xFB93, 0xFBF4, 0xF414, 0xF414, 0xF414, 0xF415, 0xF456, 0xF4F7, 0xED57, 0xF5D7, 0xEDF6, 0xEDF6, 0xEDD6, 0xF657, 0xF678, 0xEE58, 0xE5D6, 0xE573, 0xED11, 0xF553, 0xF5F6, 0xF6D9, 0xF75A, 0xEF39, 0xBD94, 0x4A27, 
        0x2123, 0x3A04, 0x4A85, 0x4A84, 0x4203, 0x4A25, 0x4A25, 0x41E4, 0x41A3, 0x39A3, 0x41A2, 0x41C2, 0x5203, 0x6AA6, 0x7AC8, 0x7A87, 0x71E4, 0x71C4, 0x71E4, 0x7225, 0x7245, 0x6A45, 0x6224, 0x5244, 0x4A23, 0x31E2, 0x29A2, 0x2982, 0x2982, 0x2962, 
        0x2963, 0x2943, 0x2923, 0x2942, 0x39C4, 0x634A, 0x73CC, 0x6B4B, 0x5268, 0x41A5, 0x3985, 0x8C2F, 0xB5B4, 0xC616, 0xA533, 0x7BCD, 0x3184, 0x2981, 0x2981, 0x2121, 0x3164, 0x5248, 0x9C70, 0xDEDA, 0xF79C, 0xF778, 0xD653, 0xB50F, 0x830A, 0x7AAC, 
        0x82ED, 0x836E, 0x8BAE, 0x8BAE, 0x7B6C, 0x5AC6, 0x4A64, 0x4A04, 0x41A4, 0x3963, 0x2942, 0x29A2, 0x29A2, 0x2962, 0x3162, 0x3183, 0x41E6, 0x59CC, 0x69EF, 0x7A90, 0x9330, 0x9BB0, 0xAC4D, 0xA4A8, 0xA489, 0xA432, 0xA3D8, 0xA39A, 0xA37B,
  0x7A31, 0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8252, 0x8252, 0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x8252, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 
        0x7A52, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A53, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8252, 0x8252, 0x8253, 0x8273, 0x8273, 0x8273, 0x7A72, 0x7A52, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8A73, 
        0x8A73, 0x8A73, 0x8A93, 0x8A94, 0x8A94, 0x8A73, 0x8A53, 0x8A73, 0x8273, 0x8273, 0x8273, 0x92D4, 0x8A94, 0x71B2, 0x69D1, 0x8293, 0xB4D7, 0xEF3D, 0xFFBD, 0xFEF9, 0xF655, 0xEDF3, 0xE591, 0xD4EF, 0xD4D0, 0xE533, 0xED34, 0xE4F4, 0xDC51, 0xCBCD, 
        0xCC4F, 0xE5D6, 0xF71C, 0xFFBF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBF, 0xFF5E, 0xFEFC, 0xFE7B, 0xFF1C, 0xF73C, 0xF69B, 0xF61B, 0xF5DB, 0xF61C, 0xFF1E, 0xFF9E, 0xFFBF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF7BB, 
        0xF799, 0xFF9A, 0xFFBB, 0xFFDC, 0xFFFE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFF9D, 0xF6DA, 0xEEBA, 0xF75B, 0xF7B9, 0xF794, 0xF74F, 0xF7B9, 0xDF1A, 0x94CE, 0x6B86, 0x6385, 0x7C46, 0x8CA6, 0x8CA6, 0x8CA6, 0x8486, 0x7C66, 0x7426, 0x63A3, 
        0x63A2, 0x7404, 0x7C65, 0x7C85, 0x7C65, 0x6BC3, 0x6B83, 0x6BA2, 0x63A2, 0x63A2, 0x5B62, 0x5B63, 0x6383, 0x6383, 0x5B63, 0x5322, 0x52E2, 0x63A4, 0x6BE4, 0x63A3, 0x4AA1, 0x31C1, 0x39C5, 0xBDF7, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFFD, 0xFFFC, 0xFFFB, 0xFFBB, 0xFF9B, 0xFF39, 0xF718, 0xF6F7, 0xEED7, 0xEE96, 0xE655, 0xDE14, 0xDE36, 0xE6B9, 0xEF3B, 0xC5B6, 
        0x9410, 0x49E7, 0x2882, 0x3020, 0x5882, 0x89A7, 0xA30B, 0xC4F2, 0xC552, 0xAC6F, 0x6A27, 0x3903, 0x28A2, 0x3041, 0x4061, 0x50A3, 0x60E4, 0x4862, 0x5125, 0x9BEF, 0xBD74, 0xAD71, 0x6BE9, 0x21A2, 0x1121, 0x39C2, 0x4203, 0x31A2, 0x10E1, 0x1861, 
        0x2041, 0x3082, 0x61C7, 0x938E, 0xE679, 0xFDF9, 0xFD37, 0xF4B6, 0xE454, 0xDBF3, 0xC350, 0x9A4C, 0xA2CE, 0xD537, 0xF6FD, 0xFF5E, 0xFF5E, 0xFFBE, 0xFFDE, 0xFFBE, 0xFF9E, 0xFF7E, 0xFF9F, 0xFFDF, 0xFFDE, 0xFFBE, 0xFF9D, 0xFF7D, 0xFF9D, 0xFFBD, 
        0xFFBD, 0xFFBC, 0xFF9B, 0xF79B, 0xF77B, 0xFFBD, 0xFFDE, 0xEF5D, 0xBDB6, 0x83CF, 0x51A7, 0xBB6F, 0xF4D5, 0xED37, 0xBC53, 0x82ED, 0x28C3, 0x4081, 0x50A2, 0x48A1, 0x3861, 0x3041, 0x2041, 0x2041, 0x2041, 0x1841, 0x1882, 0x2903, 0x5AA9, 0xA4F1, 
        0xCE16, 0xDE99, 0xDE99, 0xC638, 0x94D1, 0x49C5, 0x38E1, 0x59E5, 0x8B4B, 0xAC50, 0xBCD3, 0x7A89, 0x7248, 0xBC91, 0xDDB7, 0xDDB6, 0xB471, 0x82AA, 0x7228, 0x828A, 0x92EC, 0x9B2D, 0xA36D, 0x9B2B, 0x92E9, 0x8A68, 0x7A28, 0x8228, 0x92CA, 0xC3CE, 
        0xD430, 0xD452, 0xD4B4, 0xDD15, 0xEDB7, 0xED75, 0xED54, 0xE534, 0xE4F4, 0xE4D3, 0xECF3, 0xF677, 0xFEFA, 0xFEFB, 0xFF1D, 0xFF5E, 0xFFBF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF79D, 0xCE58, 0x6B0C, 0x40C4, 0x4862, 0x90C6, 0xC1CC, 
        0xDA4E, 0xEA90, 0xFAD2, 0xFAF3, 0xFB34, 0xF3D4, 0xF435, 0xFCD8, 0xFD5A, 0xFD9B, 0xFE3C, 0xFEDD, 0xFF3D, 0xFF5D, 0xFF7D, 0xF77D, 0xF77D, 0xFF9D, 0xFF9D, 0xF77D, 0xF75B, 0xF71A, 0xEEB8, 0xF658, 0xF658, 0xF6B8, 0xFF19, 0xF75A, 0xDEFA, 0x94B1, 
        0x736B, 0x6B09, 0x6AE7, 0x6B27, 0x7388, 0x7BCB, 0x736A, 0x5AA7, 0x5265, 0x52A6, 0x5AA7, 0x3143, 0x30E2, 0x6205, 0x82A7, 0x82A7, 0x7265, 0x6A44, 0x6A65, 0x6AA5, 0x6AE5, 0x6AE5, 0x5AC5, 0x5263, 0x4A63, 0x4A63, 0x4A63, 0x4A43, 0x5243, 0x5AA7, 
        0x6309, 0x736A, 0x838A, 0x838A, 0x93EB, 0xAD90, 0xADB1, 0x7BEB, 0x5AA6, 0x5265, 0x4A24, 0x39C5, 0x4227, 0x6BAA, 0x8C8C, 0x8C6B, 0x6B27, 0x2982, 0x1920, 0x31A1, 0x39C2, 0x3182, 0x4A48, 0xCE38, 0xFFFE, 0xF77A, 0xE655, 0xCD52, 0xABEE, 0x934A, 
        0x82C8, 0x6206, 0x59E6, 0x6248, 0x834D, 0x9C0F, 0x9C0F, 0x836D, 0x6ACB, 0x5A69, 0x41E7, 0x41C8, 0x49E9, 0x5228, 0x5A68, 0x5A89, 0x6AED, 0x8BD3, 0x9C14, 0x9BF1, 0x9BEE, 0x9C2C, 0x9CA9, 0x9CA7, 0x9CA9, 0xAC90, 0xB457, 0xB3FA, 0xB37D,
  0x7A31, 0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8252, 0x8252, 0x7A51, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 
        0x7A52, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A73, 
        0x8A73, 0x8A73, 0x8A93, 0x8A94, 0x8A94, 0x8A53, 0x8A52, 0x8A53, 0x8273, 0x8273, 0x8A93, 0x92D4, 0x8A94, 0x6971, 0x69B1, 0x8AD4, 0xCD7A, 0xF73E, 0xFF5D, 0xFEB8, 0xF614, 0xEDD2, 0xE591, 0xDD52, 0xDD73, 0xEDB6, 0xED96, 0xED55, 0xDC52, 0xC34C, 
        0xC36C, 0xCC91, 0xD576, 0xD5D7, 0xDE18, 0xF6DB, 0xFF3D, 0xFF7E, 0xFF5E, 0xFF1D, 0xFE9C, 0xFF3E, 0xFF3E, 0xF67C, 0xF5DA, 0xF5BA, 0xF63B, 0xFF7E, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBB, 
        0xFFBA, 0xFFDB, 0xFFFC, 0xFFFD, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBD, 0xF77B, 0xFF5C, 0xFF7D, 0xFF9C, 0xF7B8, 0xF7B4, 0xF790, 0xFFB9, 0xDED9, 0x846C, 0x5B25, 0x6364, 0x8CA8, 0x8CA6, 0x8485, 0x8485, 0x8465, 0x7C25, 0x6BE5, 0x6BA3, 
        0x6BC3, 0x7C25, 0x8486, 0x7C85, 0x7424, 0x6382, 0x6362, 0x6BA3, 0x6BE3, 0x63C3, 0x5B83, 0x5B84, 0x6384, 0x6383, 0x5B62, 0x5322, 0x4AE1, 0x63A5, 0x6C05, 0x6383, 0x4AA1, 0x31C1, 0x31A5, 0xB595, 0xEF9C, 0xF7DE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFFD, 0xFFFD, 0xFFDC, 0xFFBB, 0xFF9B, 0xFF59, 0xF718, 0xF6F7, 0xEEB7, 0xEE76, 0xE655, 0xDDF4, 0xDE36, 0xE6B8, 0xEF5B, 0xDE58, 
        0xACF3, 0x5A49, 0x28A2, 0x3041, 0x58C2, 0x89E7, 0xA2EB, 0xBC4F, 0xB42E, 0x932A, 0x4903, 0x3041, 0x3021, 0x4041, 0x5882, 0x60A3, 0x68A4, 0x4042, 0x5166, 0xA492, 0xBDB5, 0x9510, 0x42A4, 0x19C1, 0x21E2, 0x4AA5, 0x52A5, 0x4A24, 0x1921, 0x0840, 
        0x1061, 0x4986, 0x8B2C, 0xB4B2, 0xEE9A, 0xFD16, 0xFC34, 0xF475, 0xF475, 0xEC34, 0xCB31, 0x9949, 0x9169, 0xBBB2, 0xDDB8, 0xEE9C, 0xFF5E, 0xFFBE, 0xFF9D, 0xFF7C, 0xFF5D, 0xFF5D, 0xFF9E, 0xFFBE, 0xFFDE, 0xFFBD, 0xFF9D, 0xFF7D, 0xFF7C, 0xFF7C, 
        0xFF7C, 0xFF9B, 0xFF9B, 0xF77A, 0xF75B, 0xFF9D, 0xFFDE, 0xEF7D, 0xB5F7, 0x7BEF, 0x41C7, 0xBBB0, 0xF4D6, 0xE495, 0xB391, 0x7A6B, 0x28A3, 0x4061, 0x5081, 0x4081, 0x3861, 0x3881, 0x38C3, 0x30E3, 0x28E3, 0x2903, 0x3165, 0x4A07, 0x7B8C, 0xA4AF, 
        0xBD93, 0xE6D9, 0xEF5C, 0xDEFB, 0xAD93, 0x7AC9, 0x7205, 0x82C9, 0xAC2E, 0xC533, 0xCD96, 0x7A8A, 0x69E7, 0xABF0, 0xDDB7, 0xEE59, 0xDDB6, 0x8AEA, 0x69C6, 0x8269, 0x92EC, 0xA34D, 0xAB8D, 0xAB6C, 0x9B0A, 0x8A89, 0x8268, 0x8A89, 0xA30B, 0xB36C, 
        0xBB4D, 0xB34E, 0xBBD1, 0xCC93, 0xED96, 0xED74, 0xE533, 0xDCF3, 0xDCB2, 0xDC92, 0xE4D3, 0xF636, 0xFED8, 0xFEFB, 0xFF1D, 0xFF5E, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xEF1B, 0xC5B6, 0x62AA, 0x30A2, 0x3800, 0x7863, 0xB989, 
        0xDA2D, 0xEA90, 0xFAF2, 0xFB13, 0xFB74, 0xFC56, 0xFCD8, 0xFD9B, 0xFE3E, 0xFEBF, 0xFF3F, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFBD, 0xF79C, 0xF71B, 0xF6DA, 0xF6B8, 0xFEF9, 0xFF5B, 0xEF7C, 0xBDD5, 
        0x9CB0, 0x7B6A, 0x6AE8, 0x6B28, 0x842A, 0x8C6D, 0x8C2C, 0x7BA9, 0x7348, 0x6B28, 0x5AA7, 0x3164, 0x3103, 0x51A4, 0x7245, 0x7A66, 0x7A85, 0x6A85, 0x6AA5, 0x62C5, 0x62E5, 0x6305, 0x62E5, 0x5AA4, 0x5AA4, 0x5AC4, 0x5AA4, 0x5AA3, 0x5A83, 0x6B07, 
        0x7BAA, 0xA4AD, 0xBD50, 0xC570, 0xBD50, 0xA550, 0x8CAD, 0x5B08, 0x4244, 0x4A43, 0x4A64, 0x2101, 0x18E1, 0x39E4, 0x5B26, 0x73C8, 0x73A7, 0x29A2, 0x1101, 0x31C1, 0x39C1, 0x2961, 0x31A4, 0xA533, 0xDEFA, 0xE6F9, 0xD616, 0xBCF2, 0x9B8D, 0xAC0C, 
        0x9BCA, 0x6A45, 0x4983, 0x49A5, 0x72AB, 0x9C11, 0xAC72, 0x9C30, 0x8BCD, 0x7B6A, 0x6309, 0x62CA, 0x6ACB, 0x732B, 0x7B4B, 0x7B4C, 0x836F, 0xA495, 0xB4D6, 0xA451, 0x9C2D, 0x942A, 0x8C87, 0x94C7, 0x9CC9, 0xACAF, 0xB475, 0xB3F9, 0xB35E,
  0x7212, 0x7212, 0x7A12, 0x7A12, 0x7212, 0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 
        0x7A32, 0x7A32, 0x8232, 0x8232, 0x8232, 0x8232, 0x8232, 0x8252, 0x8252, 0x8253, 0x8253, 0x8A53, 0x8253, 0x8253, 0x7A53, 0x7A53, 0x7A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8273, 
        0x8273, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A53, 0x8274, 0x8A74, 0x8A94, 0x8A73, 0x8232, 0x71D0, 0x7A11, 0x92F3, 0xCCF9, 0xEE5C, 0xF6DC, 0xF6FB, 0xFEFA, 0xF71A, 0xF739, 0xF739, 0xF73A, 0xF71A, 0xFEFB, 0xF6FB, 0xEE59, 0xCC71, 
        0xB34D, 0x9A69, 0x89C7, 0x89A7, 0xA229, 0xD3D2, 0xECD6, 0xE5D9, 0xE67B, 0xE69B, 0xEEBB, 0xEE9C, 0xEE5C, 0xEDDA, 0xEDBA, 0xEDFA, 0xF6DC, 0xFFBE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFF9E, 0xFF9E, 0xFFBD, 0xFFBD, 0xFFBC, 0xFFBC, 0xFFDB, 
        0xFFDB, 0xFFDC, 0xFFDD, 0xFFDD, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFDE, 0xF79B, 0xF738, 0xEEF5, 0xF79B, 0xF7BD, 0xEF79, 0xEF56, 0xEF75, 0xF796, 0xEF39, 0xC616, 0x7C0B, 0x5305, 0x6365, 0x8CA7, 0x8CA7, 0x8466, 0x7C45, 0x7405, 0x6BE4, 0x6BC4, 0x7425, 
        0x7C45, 0x7C45, 0x7424, 0x6BE3, 0x6382, 0x6BC3, 0x6BE4, 0x6BE4, 0x6BE4, 0x63C3, 0x5B83, 0x5B85, 0x5B85, 0x5363, 0x5342, 0x5342, 0x5342, 0x5B63, 0x5B84, 0x63A4, 0x52E3, 0x3A02, 0x31A4, 0xA510, 0xDEF6, 0xEF9B, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFBB, 0xFF7A, 0xF739, 0xF6F7, 0xEED7, 0xEE96, 0xE655, 0xDE15, 0xD5F5, 0xDE36, 0xE697, 0xEF19, 0xDE58, 
        0xB4F3, 0x6269, 0x38E3, 0x38E2, 0x5963, 0x6184, 0x6164, 0x6984, 0x6984, 0x6984, 0x6144, 0x58C3, 0x60A3, 0x68C4, 0x68C4, 0x60A3, 0x5842, 0x4882, 0x69C7, 0xAC91, 0xAD54, 0x840F, 0x29A4, 0x2A82, 0x4364, 0x6388, 0x6B08, 0x5A66, 0x3963, 0x20E2, 
        0x41C7, 0x94B2, 0xD679, 0xEEFC, 0xF69B, 0xF454, 0xF371, 0xEBF2, 0xE413, 0xDBB2, 0xCAAF, 0xC1EC, 0xB1AA, 0xA1CA, 0xAAED, 0xBC52, 0xE69A, 0xF73B, 0xFF1A, 0xF6DA, 0xF6BB, 0xF6DB, 0xF73C, 0xFF7B, 0xFF9B, 0xF7BC, 0xF7BD, 0xF79C, 0xF73C, 0xFEFA, 
        0xFF1A, 0xFF5A, 0xFF5A, 0xF71A, 0xF6DA, 0xFF7D, 0xFFDE, 0xEF7D, 0xBDD7, 0x7BEF, 0x49E8, 0xBC34, 0xED39, 0xC413, 0x92AC, 0x61A7, 0x3882, 0x50E3, 0x5924, 0x4904, 0x4924, 0x5165, 0x7249, 0x82EB, 0x8B2C, 0x834C, 0x8B8D, 0x8BAD, 0x938C, 0x72A8, 
        0x8309, 0xB4F2, 0xC595, 0xB533, 0x940E, 0xABEE, 0xB3ED, 0x9B6C, 0x934C, 0x9BAD, 0xAC10, 0x9B6D, 0x932C, 0x9B8D, 0xBCB2, 0xD5B6, 0xDE58, 0x934D, 0x7A08, 0x8249, 0x8AAA, 0x92EB, 0x9B2C, 0xA34C, 0xA32B, 0x92C9, 0x8A88, 0x9288, 0x9268, 0x71A6, 
        0x6966, 0x81E8, 0xA2CC, 0xBBAF, 0xE514, 0xE554, 0xDD33, 0xD4D2, 0xD4B2, 0xD492, 0xDCF2, 0xF616, 0xFEB9, 0xFEFB, 0xFF5E, 0xFF7E, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xF77D, 0xD595, 0xAC0F, 0x61E7, 0x4062, 0x4820, 0x8083, 0xC9CB, 
        0xE28F, 0xF332, 0xFBB4, 0xFBD4, 0xFC35, 0xFD7B, 0xFE3D, 0xFEBE, 0xFF3F, 0xFF7F, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xF77C, 0xF71B, 0xF6DA, 0xFEFB, 0xFF3C, 0xF79D, 0xE6B8, 
        0xBD73, 0x6B29, 0x4A45, 0x52A6, 0x7BCA, 0x7BE9, 0x8C4A, 0xAD2E, 0xA4CE, 0x83AB, 0x41E5, 0x4A66, 0x5286, 0x49E4, 0x5183, 0x59A3, 0x6A45, 0x72A6, 0x6AA5, 0x6285, 0x5A64, 0x5A84, 0x5AA4, 0x62C5, 0x6AE5, 0x62C5, 0x5AC4, 0x52A3, 0x5263, 0x6283, 
        0x7B46, 0xB52D, 0xDE73, 0xDED5, 0xBDB3, 0x52A8, 0x2943, 0x2122, 0x2962, 0x31C2, 0x3A03, 0x31C2, 0x2161, 0x1921, 0x2963, 0x3A24, 0x4AE6, 0x29C3, 0x2142, 0x2961, 0x2981, 0x2961, 0x39A2, 0x6B09, 0x946F, 0xC5D6, 0xBD96, 0x9C71, 0x72C9, 0xB4AE, 
        0xC54F, 0x93E9, 0x6284, 0x49C2, 0x3964, 0x62AB, 0x7B8D, 0x940C, 0x9C89, 0x9CA7, 0x94C6, 0x94E9, 0x94EC, 0x9CCD, 0x946D, 0x8C0C, 0x83AC, 0x9C10, 0xA411, 0x9BED, 0x8BA9, 0x83A6, 0x7BE3, 0x94C6, 0xA509, 0xACAC, 0xAC32, 0xABD6, 0xAB3D,
  0x7A12, 0x7A12, 0x7A32, 0x7212, 0x7212, 0x7212, 0x7A32, 0x7A32, 0x7232, 0x7232, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 
        0x7A32, 0x7A52, 0x8252, 0x8232, 0x8232, 0x8232, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x7A53, 0x7252, 0x8A53, 0x9253, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8253, 
        0x8253, 0x8273, 0x8273, 0x8273, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A54, 0x8274, 0x8253, 0x8212, 0x8212, 0x8254, 0x9316, 0xABD7, 0xC538, 0xC617, 0xCE78, 0xE6FB, 0xF75D, 0xFF9E, 0xFFBD, 0xFF7A, 0xFF39, 0xFEF9, 0xFE99, 0xF659, 0xDD96, 0xB3EF, 
        0xAB0C, 0xAACB, 0xB2AA, 0xBAAB, 0xC2AC, 0xAA6B, 0x9A4B, 0x9A8C, 0xAAED, 0xBB4E, 0xD3AF, 0xCB4E, 0xD370, 0xDCB4, 0xE5F9, 0xEEBB, 0xFF9E, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBD, 0xF7BC, 0xF7BB, 0xFFDD, 
        0xFFFD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDE, 0xF79C, 0xEF39, 0xEF16, 0xEF14, 0xF7BB, 0xF7BC, 0xEF37, 0xEF16, 0xEF58, 0xDEF8, 0x8C4B, 0x6B45, 0x6BA5, 0x7425, 0x7C46, 0x8466, 0x8466, 0x8465, 0x7C45, 0x7C45, 0x7C45, 0x7465, 0x7445, 
        0x7425, 0x6C23, 0x6C03, 0x6BE3, 0x7404, 0x7444, 0x7464, 0x6C04, 0x6BE4, 0x6BA4, 0x6383, 0x5364, 0x4B43, 0x5343, 0x5383, 0x53A3, 0x53A3, 0x4B02, 0x5303, 0x6BC5, 0x6385, 0x4A84, 0x39C5, 0xB573, 0xF77A, 0xF7DD, 0xF7BE, 0xEF7D, 0xDF1B, 0xDEDB, 
        0xDEFB, 0xDF1B, 0xE71C, 0xE71C, 0xDF1C, 0xE71B, 0xEF5C, 0xF79D, 0xFFFE, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFFD, 0xFFDD, 0xFF9B, 0xFF7A, 0xF739, 0xEED7, 0xEE96, 0xE655, 0xDE34, 0xD614, 0xD5F4, 0xDE15, 0xDE76, 0xEED8, 0xEE98, 
        0xC554, 0x628A, 0x28C3, 0x2881, 0x5143, 0x8287, 0x8AC8, 0x7206, 0x6164, 0x6123, 0x58E3, 0x6905, 0x7126, 0x7927, 0x6906, 0x50A4, 0x40C3, 0x9AEA, 0xC46E, 0xC531, 0x9C8F, 0x6B2A, 0x2963, 0x3303, 0x43C5, 0x4B46, 0x3A86, 0x31C5, 0x3985, 0x8B6E, 
        0xBCF3, 0xDE39, 0xF65A, 0xF5B9, 0xF455, 0xE331, 0xDAF0, 0xD2F0, 0xDB10, 0xDB10, 0xD2AE, 0xB9AA, 0xA108, 0x88C5, 0x8125, 0x81E8, 0x9BCF, 0xD638, 0xEEFB, 0xEEBA, 0xEE38, 0xE5F6, 0xE5D6, 0xF6FA, 0xF77C, 0xFF9C, 0xF79C, 0xFF9C, 0xFF5B, 0xF6DA, 
        0xF6B9, 0xF71A, 0xF73A, 0xF73A, 0xF6FA, 0xFF3B, 0xFF7C, 0xEF5C, 0xBDD6, 0x7BEF, 0x49E8, 0xB414, 0xDCB6, 0x9A8C, 0x6946, 0x58E4, 0x69A6, 0xA40F, 0xB4F2, 0xACB1, 0x9BEE, 0x934B, 0x8AA8, 0x9B0C, 0xB3AF, 0xBC72, 0xBC50, 0xABAD, 0x7A47, 0x4923, 
        0x5165, 0x8B0B, 0xAC10, 0xB451, 0xB410, 0xBC70, 0xBC70, 0x9B6D, 0x7269, 0x61C7, 0x61E7, 0xB450, 0xC4D2, 0x9B6C, 0x932B, 0xA42F, 0xC5D7, 0xBD34, 0xABEF, 0x8249, 0x71A6, 0x8228, 0xA34D, 0xA38C, 0xA36B, 0xA32B, 0x9AEA, 0x9289, 0x71A5, 0x3882, 
        0x40E4, 0x9AEB, 0xDC71, 0xE4D2, 0xDCD3, 0xDCF4, 0xD4F4, 0xD4B3, 0xCC92, 0xCC92, 0xD4D2, 0xEDB5, 0xF657, 0xFEFA, 0xFF7D, 0xFF9E, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xEF1B, 0xBC0E, 0x9247, 0x5903, 0x4861, 0x5041, 0x80C3, 0xB1C9, 
        0xD28E, 0xE3D3, 0xF497, 0xFCB8, 0xFD19, 0xFE9D, 0xFF5F, 0xFF9F, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFFDE, 0xF7BE, 0xE71B, 0xDEDA, 0xDEFB, 0xE73B, 0xEF7C, 0xF7BD, 0xF7BE, 0xF77D, 0xF73C, 0xF73C, 0xFF5C, 0xFFBE, 0xFFBE, 
        0xD699, 0x83CE, 0x5247, 0x5267, 0x7369, 0x7BC7, 0x9469, 0xB591, 0xAD52, 0x83EE, 0x41E6, 0x6328, 0x7389, 0x6285, 0x51A2, 0x5182, 0x51E3, 0x6AA5, 0x6AC5, 0x5A64, 0x5A23, 0x5A23, 0x6284, 0x6AC5, 0x6AC5, 0x62C4, 0x5AA3, 0x5AA3, 0x5AA3, 0x6AA3, 
        0x7B25, 0xA46A, 0xACCC, 0x9C4C, 0x62C8, 0x39C3, 0x2982, 0x31A3, 0x39C3, 0x39E4, 0x31C3, 0x31C3, 0x29C2, 0x29A2, 0x29A3, 0x31C3, 0x39E4, 0x41A5, 0x41A4, 0x41A3, 0x39A2, 0x3162, 0x2941, 0x3981, 0x6286, 0xA4B1, 0xC5D5, 0xC5B2, 0xACAA, 0x93E9, 
        0x93C8, 0x9407, 0x8BA5, 0x6B04, 0x41E2, 0x2922, 0x2922, 0x41C2, 0x5262, 0x5AE1, 0x63A3, 0x844A, 0x948D, 0x946D, 0x9C2D, 0x940C, 0x93EC, 0x9C4E, 0x944D, 0x83C7, 0x7B64, 0x7B42, 0x7B82, 0x8422, 0x8C84, 0x9CA8, 0xAC6E, 0xAC14, 0xAB3D,
  0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x8252, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 
        0x7A53, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 0x8A53, 0x8273, 0x8273, 0x7A52, 0x8A73, 0x9273, 0x8A73, 0x8A73, 0x8A52, 0x8252, 0x8273, 0x8273, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 
        0x8A53, 0x8A53, 0x8A73, 0x8A74, 0x8A94, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8AB3, 0x8272, 0x8273, 0x8AB5, 0x8274, 0x7210, 0x61EB, 0x82EF, 0xA413, 0xC597, 0xDE9A, 0xE6FB, 0xEF1C, 0xF75D, 0xFF7D, 0xFF9D, 0xF79D, 0xF77D, 0xEF1B, 0xE6DB, 
        0xE69A, 0xEDF9, 0xE536, 0xDCB4, 0xBBB0, 0x926C, 0x91EB, 0xA9CA, 0xC1AA, 0xC989, 0xC168, 0xA987, 0xB28B, 0xD515, 0xF71C, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFDE, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BD, 0xEF39, 0xEF17, 0xEF58, 0xF7BA, 0xFFDD, 0xF7BD, 0xF758, 0xF737, 0xF759, 0xD698, 0x4A88, 0x2982, 0x6365, 0x8CA8, 0x94E8, 0x8C67, 0x7C45, 0x7C65, 0x8C86, 0x8CA6, 0x8C86, 0x7C65, 0x7446, 
        0x7446, 0x7C65, 0x7C65, 0x7C85, 0x7C86, 0x7C65, 0x7444, 0x7403, 0x6BC3, 0x6BA3, 0x6383, 0x5362, 0x5362, 0x6382, 0x6382, 0x5B62, 0x5342, 0x6383, 0x6BC3, 0x63A3, 0x52E2, 0x3A21, 0x3A06, 0xBDF7, 0xF79E, 0xDEFB, 0xBDD6, 0x94B0, 0x52A8, 0x4207, 
        0x4229, 0x52AA, 0x5AEB, 0x5AEB, 0x5AEB, 0x6B0B, 0x83CD, 0xAD53, 0xCE78, 0xDEDA, 0xE73C, 0xF7BE, 0xFFFE, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFF7C, 0xFF3B, 0xF719, 0xEED7, 0xE6B6, 0xD654, 0xD5F4, 0xCDD4, 0xCDB4, 0xCDD4, 0xD636, 0xEEB7, 0xEE37, 
        0xC513, 0x6289, 0x3124, 0x3963, 0x72C8, 0xB44F, 0xAC2F, 0x6A28, 0x48E3, 0x40A2, 0x5903, 0x60E5, 0x60E6, 0x68E5, 0x58A3, 0x3862, 0x3965, 0xB595, 0xD658, 0x7BAD, 0x4185, 0x38E2, 0x4921, 0x4A22, 0x4243, 0x2962, 0x3144, 0x4A08, 0x93F0, 0xDE18, 
        0xF639, 0xECB5, 0xE371, 0xDB30, 0xDB31, 0xE2F1, 0xEAF1, 0xF372, 0xF3F3, 0xF434, 0xEC13, 0xD2CD, 0xCA4C, 0xCA8D, 0xBA8C, 0xAA4B, 0x9249, 0x8B4C, 0x9C70, 0xCE17, 0xEEFB, 0xEEDB, 0xE638, 0xE5B6, 0xEDD5, 0xF677, 0xF6F9, 0xFF1B, 0xFF3B, 0xF719, 
        0xF718, 0xF718, 0xFF18, 0xFF19, 0xFF19, 0xFF3A, 0xFF5A, 0xEF3B, 0xBDD6, 0x7BEF, 0x4987, 0xBAF0, 0xE393, 0xC2EF, 0xB2ED, 0xB34E, 0xBC10, 0x9C10, 0x9C0F, 0xAC6F, 0xC4F0, 0xCD32, 0xBCD1, 0x7269, 0x5165, 0x5186, 0x61A6, 0x7A48, 0x9B0A, 0x92CA, 
        0x92AA, 0xA2EC, 0x9AEC, 0x92AB, 0x8AAB, 0xC4D1, 0xDD93, 0xCCF1, 0xABEE, 0x932B, 0x82EA, 0xBC90, 0xCCF1, 0xA3CD, 0x6A89, 0x51E7, 0x5249, 0xBDB6, 0xDE79, 0xB471, 0x92EB, 0x8A8A, 0x9AEB, 0xB3ED, 0xC46F, 0xC44F, 0xB38D, 0x928A, 0x6103, 0x4861, 
        0x6903, 0xB32C, 0xDC71, 0xE4B2, 0xDC71, 0xD4D2, 0xD4F3, 0xD4D3, 0xD4D2, 0xD4B2, 0xD4D2, 0xDD53, 0xE5B4, 0xF699, 0xFF3C, 0xFF7E, 0xFFBF, 0xFFBF, 0xFFBF, 0xFFBE, 0xFFBE, 0xFFDE, 0xEEFB, 0xBBAE, 0x91E7, 0x7124, 0x6904, 0x8186, 0xA228, 0x9125, 
        0x90E5, 0xBA4B, 0xE3D2, 0xED17, 0xFEBD, 0xFF9F, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xF7BE, 0xEF7C, 0xC617, 0x62CB, 0x41A7, 0x5288, 0x7BEC, 0xA510, 0xD676, 0xE658, 0xE67A, 0xF71C, 0xFF9D, 0xFF9D, 0xFF9E, 0xFFDF, 
        0xE73C, 0x9CF3, 0x5ACB, 0x41E7, 0x4207, 0xB593, 0xD6B7, 0xAD30, 0x8C0C, 0x83AB, 0x83CB, 0x7BCA, 0x7BAA, 0x7B68, 0x72E6, 0x6264, 0x49C2, 0x4A22, 0x5243, 0x5263, 0x6284, 0x62A4, 0x6AA4, 0x5A83, 0x5283, 0x5AC3, 0x6304, 0x6304, 0x6AE4, 0x6283, 
        0x6AA4, 0x7B27, 0x8B89, 0x8369, 0x62A8, 0x3163, 0x2101, 0x3162, 0x3182, 0x31A3, 0x31A3, 0x3183, 0x3183, 0x2983, 0x2982, 0x3163, 0x3943, 0x3943, 0x49C5, 0x7309, 0x8BAB, 0x838B, 0x5AA7, 0x2942, 0x2922, 0x5286, 0x7BAA, 0x8C2B, 0x9C2B, 0x8B4A, 
        0x8B2A, 0x940A, 0x9C89, 0x94A9, 0x83E6, 0x49E4, 0x30E2, 0x28C2, 0x28E2, 0x2902, 0x3143, 0x3143, 0x3964, 0x5228, 0x6ACA, 0x832A, 0x93A9, 0x8C05, 0x8C24, 0x8C24, 0x8425, 0x8C05, 0x8C06, 0x9CE5, 0x9D25, 0x9CC5, 0xA44A, 0xABF1, 0xB37C,
  0x7A12, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 
        0x7A52, 0x7A52, 0x8252, 0x8232, 0x8232, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8273, 0x8273, 0x7A52, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8273, 
        0x8273, 0x8273, 0x8253, 0x8273, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 0x8254, 0x8254, 0x8273, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8272, 0x7A50, 0x71AE, 0x698D, 0x620C, 0x624C, 0x72AD, 0x9350, 0xCCB6, 0xDD79, 0xD61A, 0xD67A, 0xDEBB, 0xEEFC, 0xF79E, 
        0xFFDF, 0xFFBE, 0xFF9E, 0xF75D, 0xEEDB, 0xE557, 0xE4B6, 0xE475, 0xD371, 0xC24C, 0xB1A9, 0xD515, 0xEEDB, 0xF77D, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFFF, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF7BD, 0xEF38, 0xEF17, 0xF759, 0xFFDD, 0xFFBE, 0xF79C, 0xF778, 0xF777, 0xF778, 0xCE97, 0x5B68, 0x3A82, 0x63A5, 0x84A8, 0x94E9, 0x94C9, 0x8486, 0x8465, 0x8486, 0x8CA7, 0x8CC7, 0x8CC6, 0x7C87, 
        0x7C67, 0x7486, 0x7C85, 0x7C65, 0x7465, 0x7465, 0x6C45, 0x6C03, 0x63C2, 0x5B82, 0x5B41, 0x5B82, 0x6383, 0x6382, 0x5B42, 0x5B22, 0x5B22, 0x63E3, 0x63E3, 0x5322, 0x4281, 0x4241, 0x6305, 0xB5B4, 0xBDF6, 0x6B4D, 0x31A6, 0x2943, 0x2142, 0x10C1, 
        0x10A1, 0x10C2, 0x18E2, 0x18E3, 0x20E3, 0x2123, 0x2943, 0x3185, 0x39C6, 0x4228, 0x738E, 0xCE59, 0xEF9D, 0xF7DE, 0xFFDD, 0xFFDD, 0xFFBD, 0xFF5C, 0xFF3A, 0xF6F8, 0xEEB6, 0xE695, 0xD634, 0xCDD3, 0xC593, 0xC573, 0xCDF5, 0xDE97, 0xE6F9, 0xB512, 
        0x836C, 0x49C6, 0x4185, 0x5A68, 0x9C0D, 0xB44F, 0x936D, 0x51A6, 0x30C3, 0x40C3, 0x6124, 0x58A4, 0x5064, 0x5084, 0x3883, 0x2862, 0x3966, 0xB5D7, 0xCE79, 0x6B4D, 0x3944, 0x4902, 0x69A3, 0x30E2, 0x1881, 0x2103, 0x4A69, 0x8410, 0xDE38, 0xF556, 
        0xEC73, 0xEBF2, 0xE3D2, 0xE413, 0xEC55, 0xF455, 0xFC55, 0xFC54, 0xF494, 0xF4B4, 0xF4F5, 0xF494, 0xF453, 0xF432, 0xF432, 0xEC12, 0xCB8F, 0x7A68, 0x6A87, 0x9C4F, 0xCDF6, 0xDEBA, 0xF6FA, 0xEDD4, 0xED52, 0xE593, 0xEDF6, 0xEE57, 0xF6D9, 0xF718, 
        0xF718, 0xF6D7, 0xF6D7, 0xF6B7, 0xF6D8, 0xFF3A, 0xFF7B, 0xEF5C, 0xBDD6, 0x7BEF, 0x4987, 0xBAEF, 0xF3F4, 0xEBF4, 0xDBD2, 0xCBB1, 0xA30D, 0x51C7, 0x4145, 0x61A5, 0x8A47, 0x9AC9, 0xA36D, 0xABCE, 0xA3AD, 0x9B0B, 0x9AEA, 0xA30A, 0xAB4A, 0x92A9, 
        0x928A, 0x9AAB, 0x8269, 0x69E7, 0x51A6, 0xA40D, 0xC4F0, 0xB44E, 0xAC0E, 0xB42E, 0xB40E, 0x61E7, 0x5185, 0x82CA, 0x8B2B, 0x7289, 0x59C7, 0xAC92, 0xD618, 0xE69A, 0xDE18, 0xCD34, 0xBBCE, 0xD4F0, 0xE552, 0xDCD1, 0xC3AE, 0xA2AA, 0x6944, 0x4861, 
        0x60C3, 0xA269, 0xD3AF, 0xE431, 0xE492, 0xD491, 0xCC91, 0xD4B2, 0xD4D2, 0xD4D2, 0xD4D2, 0xDD13, 0xE595, 0xF658, 0xFF1B, 0xFF5D, 0xFF9E, 0xFF9E, 0xFF7E, 0xFF9D, 0xFFBD, 0xFFDE, 0xDE9A, 0x8249, 0x58A2, 0x6945, 0x8A29, 0xA2AB, 0xB30D, 0xA1C7, 
        0xA186, 0xCA6B, 0xEBF2, 0xF537, 0xFEFD, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xF77D, 0xD679, 0xAD34, 0x62CB, 0x18C3, 0x1061, 0x3162, 0x5AC7, 0x7BEC, 0x9CF2, 0xACAF, 0xBCF0, 0xDE37, 0xF71B, 0xFF5C, 0xFF5B, 0xFFBE, 
        0xE73B, 0xAD10, 0x6AE7, 0x41C4, 0x39A5, 0xAD54, 0xCE57, 0x9CAE, 0x8BEA, 0x942B, 0xACEE, 0x6B89, 0x5AC6, 0x5AA5, 0x5A84, 0x5243, 0x4A03, 0x5AA4, 0x62E5, 0x5A84, 0x5A63, 0x5A63, 0x6284, 0x5A63, 0x5263, 0x5AA4, 0x5AC4, 0x5AC4, 0x5AA4, 0x6AA4, 
        0x72A4, 0x7B26, 0x9C2B, 0xB52F, 0xBD73, 0x4A68, 0x18C2, 0x10A1, 0x18C2, 0x2922, 0x39A4, 0x3183, 0x2942, 0x2922, 0x3163, 0x41C5, 0x5226, 0x30E3, 0x30A2, 0x51E7, 0x83AE, 0xAD13, 0xB595, 0x4228, 0x18C2, 0x31A3, 0x52A5, 0x6306, 0x7B87, 0x9C29, 
        0x9428, 0x7BC6, 0x7BC6, 0x8407, 0x9C8A, 0x9C4C, 0x940D, 0x8B8C, 0x7AEC, 0x6A8B, 0x51E9, 0x3966, 0x4186, 0x6269, 0x834B, 0x9BEB, 0xA488, 0x8C22, 0x7C01, 0x8424, 0x8C65, 0x9485, 0x9CC5, 0xAD29, 0xAD49, 0xAD07, 0xAC8A, 0xAC10, 0xAB7B,
  0x7A12, 0x7A12, 0x7A12, 0x7232, 0x7232, 0x7232, 0x7A32, 0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A33, 0x7A32, 0x7A52, 0x7A52, 
        0x7A52, 0x7A52, 0x8252, 0x8232, 0x8232, 0x8232, 0x8252, 0x8252, 0x8253, 0x8253, 0x8A53, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A53, 0x8273, 
        0x8273, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A73, 0x8A93, 0x8A93, 0x8AB4, 0x8A72, 0x8252, 0x8252, 0x8231, 0x7A11, 0x71F0, 0x618D, 0x616C, 0x69CD, 0x7A50, 0x8AB3, 0xB3D8, 0xD5DB, 
        0xE6BC, 0xDEDC, 0xE6DC, 0xE6BC, 0xE69B, 0xDE5A, 0xD597, 0xB3B0, 0xA209, 0xA187, 0xB26A, 0xE638, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFBF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xF77C, 0xEF39, 0xEF38, 0xF77A, 0xFFBD, 0xF7BD, 0xF7BC, 0xF79B, 0xE6F8, 0xC5F4, 0x946D, 0x6BC6, 0x6BC4, 0x7C45, 0x84A6, 0x8CC7, 0x94C9, 0x94C7, 0x94C6, 0x8CA7, 0x8CA7, 0x94A7, 0x94A6, 0x84A8, 
        0x7CA8, 0x7486, 0x7464, 0x7464, 0x7444, 0x6C25, 0x6C24, 0x6BC3, 0x63A3, 0x6382, 0x5B42, 0x5342, 0x5B42, 0x5B43, 0x5B64, 0x5B64, 0x5B64, 0x5BA4, 0x5BA4, 0x5B43, 0x5302, 0x52C1, 0x4A82, 0x4A84, 0x4224, 0x2983, 0x2983, 0x3A04, 0x4AC5, 0x2A22, 
        0x21E1, 0x3223, 0x4A65, 0x52A5, 0x52E6, 0x5307, 0x5308, 0x5AE8, 0x4A66, 0x39E5, 0x39E6, 0x73AF, 0x9D15, 0xCE7A, 0xEF7C, 0xF7BD, 0xFFBD, 0xFF3B, 0xFEFA, 0xF6D8, 0xEEB6, 0xE696, 0xD634, 0xC593, 0xC552, 0xC552, 0xCDD4, 0xDE98, 0xDE99, 0x832B, 
        0x5144, 0x48C2, 0x5965, 0x7A89, 0xA42E, 0x93CE, 0x72EB, 0x4965, 0x40A3, 0x50A3, 0x7105, 0x70E6, 0x68A5, 0x4884, 0x3062, 0x2861, 0x4985, 0xC5D6, 0xCE58, 0x6B2C, 0x4144, 0x5923, 0x7985, 0x28A2, 0x20E3, 0x632C, 0xA554, 0xCE79, 0xEF1C, 0xF5D7, 
        0xF556, 0xF5D8, 0xF5FA, 0xFDD9, 0xFD77, 0xFD57, 0xFD56, 0xF515, 0xF515, 0xF555, 0xF575, 0xF514, 0xFCF4, 0xFD14, 0xECD3, 0xDC71, 0xBBAE, 0x938B, 0x7B29, 0x6AA8, 0x7AE9, 0x93CD, 0xCD73, 0xF6DA, 0xF71B, 0xEE78, 0xEDD5, 0xED94, 0xEDB5, 0xF6B7, 
        0xF6F8, 0xEEB7, 0xEE96, 0xEE96, 0xEEB7, 0xF719, 0xFF5B, 0xEF3B, 0xBDD6, 0x8BEF, 0x51A7, 0xBB30, 0xE3F4, 0xCB50, 0xA26B, 0x79C8, 0x5966, 0x69E7, 0x7A28, 0x7A07, 0x79A6, 0x7965, 0x79A7, 0xABAD, 0xC4B1, 0xD4F2, 0xDD11, 0xDCF0, 0xC44D, 0x7247, 
        0x5965, 0x69A6, 0x7A27, 0x8247, 0x8288, 0x82A8, 0x8AE9, 0xA3AC, 0xBC6F, 0xC4D0, 0xBC6E, 0x6247, 0x49C6, 0x82EA, 0xA3ED, 0xA3ED, 0x8B0A, 0x69A6, 0x7228, 0xB4F3, 0xE6BA, 0xEEDB, 0xE617, 0xDD11, 0xDCD0, 0xE513, 0xD491, 0xB36D, 0x71A6, 0x48E3, 
        0x5945, 0x9AAA, 0xCBAE, 0xDC10, 0xDC52, 0xC4D2, 0xBCF2, 0xCCD2, 0xD4D2, 0xDCD2, 0xDCD2, 0xD4F2, 0xD533, 0xEDF6, 0xF6B9, 0xFEFB, 0xFF3C, 0xFF5D, 0xFF7D, 0xFF9C, 0xFFBD, 0xFFDD, 0xDE99, 0x7249, 0x50C3, 0x79C7, 0xA2CB, 0xBB4E, 0xCB8F, 0xC2EB, 
        0xBA8A, 0xBA6A, 0xCB4E, 0xD493, 0xEEBB, 0xFFBE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF79D, 0xDE98, 0xACD1, 0x732C, 0x20E3, 0x0020, 0x0861, 0x2963, 0x4245, 0x52C7, 0x5B29, 0x7B4B, 0x9BEF, 0xCDB7, 0xEF1C, 0xF79D, 0xFFDD, 0xFFDE, 
        0xDED9, 0x83CC, 0x4183, 0x20C1, 0x18C1, 0x39A4, 0x5AA7, 0x9C6C, 0xBD8F, 0xC5B0, 0xA4AC, 0x4204, 0x2101, 0x3182, 0x39A2, 0x3182, 0x39A2, 0x6B07, 0x7B88, 0x62C5, 0x5243, 0x5223, 0x5243, 0x6A84, 0x6AA5, 0x62A4, 0x62A3, 0x5AA3, 0x5AA3, 0x6AE4, 
        0x7B25, 0x8B67, 0xAC09, 0xC4AC, 0xCD4F, 0xA4D0, 0x7BEE, 0x4A68, 0x3165, 0x2924, 0x2924, 0x2903, 0x2903, 0x2103, 0x2903, 0x2944, 0x39A5, 0x3964, 0x3104, 0x2924, 0x4A69, 0x8430, 0xC637, 0x840E, 0x5268, 0x3185, 0x2943, 0x3183, 0x5AA5, 0xAD0B, 
        0xBD4C, 0x93E9, 0x7306, 0x7305, 0x83C6, 0xAD0B, 0xBD8E, 0xC571, 0xC514, 0xBCB6, 0xAC17, 0xA477, 0xA497, 0xA456, 0xA414, 0xA411, 0x9C2B, 0x8423, 0x7BE0, 0x7381, 0x7B62, 0x7BA3, 0x8405, 0x83C5, 0x8BE5, 0xA4A5, 0xACE9, 0xB490, 0xABBB,
  0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x8252, 0x7A31, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8252, 0x8272, 0x8272, 0x8252, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 
        0x7A52, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x7A52, 0x7232, 0x7A52, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8273, 0x8A73, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A74, 0x8A94, 0x8A93, 0x8AB3, 0x8AB4, 0x8AB5, 0x8A95, 0x8A74, 0x8A54, 0x8253, 0x8253, 0x8253, 0x8232, 0x79F2, 0x79D3, 0x71B2, 0x7210, 
        0x6A2F, 0x69EE, 0x6A0E, 0x722E, 0x7A4E, 0x61CA, 0x5988, 0x61C8, 0x7ACB, 0xA410, 0xE659, 0xFF9E, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFF9F, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBE, 0xF6F9, 0xEED8, 0xF75A, 0xFFBD, 0xFFDE, 0xFFDF, 0xFFFF, 0xF7BD, 0xDED9, 0xAD53, 0x8BEE, 0x62C8, 0x7C09, 0x8CC8, 0x8485, 0x7C44, 0x7C24, 0x7C24, 0x7C25, 0x7C25, 0x8425, 0x8424, 0x8424, 0x7C24, 0x7C86, 
        0x7C86, 0x7C85, 0x7C84, 0x7C65, 0x7C65, 0x7444, 0x6C04, 0x6BC3, 0x6BA3, 0x63A3, 0x63A3, 0x5342, 0x5322, 0x5B64, 0x6386, 0x6B86, 0x6B85, 0x5B84, 0x5B63, 0x5B62, 0x6362, 0x6343, 0x6323, 0x4A82, 0x4261, 0x4282, 0x3AA2, 0x3AA3, 0x3AA3, 0x3AA3, 
        0x42A3, 0x4AC4, 0x52E4, 0x5304, 0x5B25, 0x6386, 0x6BA7, 0x73E8, 0x7C28, 0x8448, 0x73E8, 0x4A66, 0x4A27, 0x7BAB, 0xB552, 0xD656, 0xF75B, 0xFF3B, 0xFF1A, 0xF6F8, 0xE6D6, 0xDE96, 0xD614, 0xCD73, 0xC532, 0xC532, 0xD5D4, 0xE678, 0xCE58, 0x4A28, 
        0x2061, 0x50C2, 0x81C6, 0xA2CA, 0xB3EE, 0x7B8C, 0x5AC9, 0x4965, 0x50C3, 0x68C3, 0x8125, 0x7885, 0x6023, 0x4042, 0x38A1, 0x4121, 0x7AE6, 0xD5F2, 0xCDF3, 0x6AE9, 0x40C2, 0x4841, 0x6861, 0x3881, 0x41A6, 0x9CD3, 0xDF1B, 0xF7BE, 0xFF9D, 0xFF5D, 
        0xF75D, 0xF73C, 0xF6FC, 0xF6DC, 0xFEBB, 0xFEDC, 0xFEDB, 0xFE5A, 0xFE19, 0xF638, 0xF678, 0xFEFA, 0xFF1B, 0xF6B9, 0xDD94, 0xBC6F, 0x8B09, 0x93CB, 0x9C6D, 0x9CAE, 0x83EC, 0x6AE9, 0x6248, 0xC533, 0xEEB8, 0xEEFA, 0xF6DA, 0xF698, 0xEDF6, 0xF615, 
        0xF656, 0xF677, 0xF697, 0xF696, 0xF6B6, 0xF718, 0xFF59, 0xEF3B, 0xBDD6, 0x8BEF, 0x5146, 0xA1EB, 0xD2D0, 0xE3D3, 0xD3F2, 0xB370, 0x824A, 0x6946, 0x7146, 0x9209, 0xAA8C, 0xAA8C, 0x924B, 0x79E8, 0x7A07, 0x8A88, 0x92E8, 0x9308, 0x9369, 0xB44F, 
        0xBCD2, 0xC4D1, 0xB46F, 0xAC0C, 0x9369, 0xA3CC, 0xABED, 0xABED, 0xA3EC, 0xABEB, 0xB44C, 0xC592, 0xC5B2, 0xB46E, 0xA3CC, 0xA3CC, 0x938B, 0x3924, 0x28C2, 0x72A9, 0xB4B1, 0xD5F6, 0xE698, 0xD4F1, 0xCC6F, 0xE553, 0xEDD6, 0xEDB7, 0xD514, 0xC450, 
        0xB3AD, 0xAAEB, 0xB2CB, 0xC30C, 0xDBEF, 0xD4F3, 0xCD34, 0xD4F3, 0xDCD2, 0xDCB2, 0xDCD2, 0xDCD2, 0xDD32, 0xEDD5, 0xF677, 0xFED9, 0xFF1B, 0xFF3B, 0xFF5B, 0xFF5B, 0xFF9C, 0xFFBD, 0xEEFA, 0xB3ED, 0xA2C9, 0xAB6C, 0xBC50, 0xD4F3, 0xDD55, 0xC3AE, 
        0xB2CB, 0xB2AB, 0xAAEC, 0xAB4D, 0xB472, 0xDE59, 0xE73C, 0xE73C, 0xE73C, 0xE73C, 0xE73C, 0xF79D, 0xFFBE, 0xEF3C, 0xBD96, 0x83CE, 0x20E3, 0x0861, 0x18C2, 0x39E6, 0x736B, 0x9CAE, 0xA530, 0x4A07, 0x3166, 0x7BCE, 0xBDD6, 0xDEDA, 0xF79D, 0xEF7A, 
        0xC615, 0x630A, 0x2123, 0x18E1, 0x2161, 0x20E0, 0x2921, 0x6286, 0x940B, 0xB50E, 0xB52F, 0x41E5, 0x18A1, 0x3162, 0x41E2, 0x41E2, 0x41C2, 0x4A84, 0x52A5, 0x5A84, 0x5243, 0x5222, 0x5222, 0x72C5, 0x7B06, 0x72E5, 0x6AA3, 0x6AA3, 0x6AA3, 0x7B27, 
        0x8BA9, 0xAC2C, 0xAC0B, 0xA3A9, 0x9BA9, 0xC5D4, 0xDE98, 0xD616, 0xCD74, 0xB512, 0x9CB1, 0xA450, 0xA450, 0xA4B0, 0xA4B0, 0x9C6F, 0xA470, 0xC5B5, 0xAD53, 0x630B, 0x5A88, 0x83AC, 0xDE56, 0xE71A, 0xDEBA, 0xB575, 0x83CF, 0x5A89, 0x39A4, 0x7B47, 
        0x9C2A, 0x944A, 0x8408, 0x73A6, 0x6323, 0x83A8, 0x9BEB, 0xA42E, 0xAC2F, 0xAC2F, 0xA44E, 0xACD3, 0xACD6, 0xAC97, 0xA435, 0x9BF2, 0x8BEA, 0x7C43, 0x7C41, 0x7381, 0x7303, 0x72E4, 0x6AE5, 0x6B42, 0x73C2, 0x9485, 0xACEB, 0xAC91, 0xABD9,
  0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A33, 0x7A32, 
        0x7A32, 0x7A52, 0x8232, 0x8232, 0x8232, 0x8232, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x7A53, 0x7A53, 0x8253, 0x8A53, 0x8A53, 0x8A73, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8A73, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8273, 0x8273, 0x8273, 0x8273, 
        0x8273, 0x8273, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A94, 0x8A94, 0x8A93, 0x8A73, 0x8A94, 0x8294, 0x8A94, 0x8A94, 0x8A93, 0x8AB4, 0x8AB4, 0x8AB4, 0x8A94, 0x8A74, 0x8254, 0x7A14, 0x69F3, 
        0x61D1, 0x59AF, 0x61EF, 0x7250, 0x82B1, 0x61AD, 0x6A2E, 0xACB5, 0xDE9A, 0xEF5D, 0xFFDE, 0xFFBF, 0xFFBF, 0xFFBF, 0xFF9F, 0xFF9F, 0xFF9E, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BD, 0xF737, 0xF716, 0xFF9B, 0xFFDE, 0xFFFF, 0xFFDE, 0xEF3B, 0xCE17, 0x83EE, 0x6B2B, 0x8C0E, 0xCE15, 0xE736, 0xE755, 0xD6F3, 0xC651, 0xB5AF, 0x9CCB, 0x7C06, 0x73E5, 0x7C05, 0x7C05, 0x7BE5, 0x6B84, 0x6B83, 
        0x6B83, 0x6BA2, 0x6BC3, 0x6BC3, 0x7405, 0x7C46, 0x8446, 0x7C25, 0x7404, 0x6BE4, 0x63A3, 0x5B83, 0x5B83, 0x6384, 0x6385, 0x6385, 0x6365, 0x5B42, 0x5B42, 0x6363, 0x6B84, 0x6365, 0x5B25, 0x4A84, 0x4A64, 0x4A83, 0x4283, 0x3A63, 0x3A62, 0x4AC3, 
        0x5303, 0x5323, 0x4B23, 0x5303, 0x5304, 0x63C5, 0x63E6, 0x5BA6, 0x63E7, 0x7469, 0x952C, 0x8CAA, 0x83E7, 0x7305, 0x7B06, 0x9BCA, 0xCD93, 0xF73B, 0xFF9D, 0xF6DA, 0xEE57, 0xEE16, 0xE5F5, 0xC551, 0xB530, 0xB5B2, 0xC656, 0xD698, 0xC5D6, 0x49E8, 
        0x20A2, 0x5A06, 0x8B4A, 0x9BED, 0x9C0E, 0x6B0A, 0x5227, 0x5124, 0x50C3, 0x5903, 0x6184, 0x50A2, 0x4821, 0x4041, 0x48E2, 0x61A4, 0x9B8A, 0xC5D2, 0xB591, 0x5AA8, 0x20A2, 0x1000, 0x3082, 0x7A68, 0xAC0E, 0xDE37, 0xF79D, 0xFFFF, 0xFFBE, 0xF75D, 
        0xEEBA, 0xDDF6, 0xD5D6, 0xDE58, 0xF75D, 0xEF5D, 0xEF5D, 0xF77D, 0xFF9D, 0xFF7D, 0xF75C, 0xFFBE, 0xFFDE, 0xEF3B, 0xC5D5, 0xA48E, 0x7326, 0x9469, 0xA4EB, 0x8C4B, 0x6B08, 0x4206, 0x3123, 0x8329, 0xB44D, 0xBC8F, 0xCD33, 0xD5B6, 0xE679, 0xF637, 
        0xF5F6, 0xF5F5, 0xF635, 0xF676, 0xF6F7, 0xFF19, 0xFF5A, 0xEF3B, 0xC5D6, 0x93EF, 0x6146, 0x99EA, 0xC310, 0xDC35, 0xD454, 0xB390, 0x7A09, 0x81C7, 0x91C8, 0x99EA, 0x91CA, 0x8169, 0x6907, 0x6924, 0x6944, 0x6944, 0x6944, 0x6964, 0x7206, 0x932B, 
        0xA3AD, 0xABAD, 0xA3AB, 0xA3AA, 0xA40B, 0xCCEF, 0xCD10, 0xB44D, 0x9BAB, 0x9BAA, 0xA3EB, 0xAC6C, 0xACAD, 0xB4AE, 0xACAE, 0xA46D, 0x83A9, 0x5204, 0x49A3, 0x7AC7, 0xAC2B, 0xCD0F, 0xE655, 0xEF1A, 0xEEFA, 0xF637, 0xED73, 0xDCF1, 0xCCB0, 0xE4D3, 
        0xE493, 0xBB8D, 0xAB0B, 0xB34C, 0xD40F, 0xE4B2, 0xE4D2, 0xDCB2, 0xD471, 0xD450, 0xC450, 0xCCD2, 0xD575, 0xE6B9, 0xF77C, 0xFF9C, 0xF75B, 0xF71A, 0xF6FA, 0xFF3B, 0xFF9C, 0xFFBD, 0xEF1B, 0xB4B1, 0xA3AD, 0xB3AD, 0xC42F, 0xD492, 0xD4D4, 0xB3AF, 
        0xB38E, 0xD4B2, 0xE555, 0xE555, 0xCC92, 0x938E, 0x7B4D, 0x736E, 0x6B4D, 0x630C, 0x738D, 0xD679, 0xF79D, 0xCE79, 0x9491, 0x5AEB, 0x2103, 0x2982, 0x3A44, 0x5B07, 0x83CA, 0x942C, 0x8BAC, 0x3124, 0x2924, 0x8C0F, 0xDE58, 0xF75C, 0xEF1B, 0xA48F, 
        0x72E8, 0x3984, 0x2102, 0x2963, 0x3A04, 0x39C2, 0x3161, 0x2902, 0x39A4, 0x5287, 0x7389, 0x4A65, 0x31A2, 0x31A1, 0x39C1, 0x41E2, 0x4222, 0x4243, 0x4244, 0x4A23, 0x4A03, 0x4A03, 0x4A23, 0x5263, 0x5A84, 0x6AA4, 0x6AA4, 0x6AA3, 0x72A4, 0x9348, 
        0xA3CC, 0xBC8E, 0xC4CF, 0xBC8E, 0xAC0C, 0xAC6D, 0xBCCF, 0xCD31, 0xD594, 0xDDB5, 0xDDF6, 0xE636, 0xEE56, 0xEE76, 0xE676, 0xE676, 0xEEB7, 0xF77B, 0xE6B9, 0xA44E, 0x8B4A, 0x9BCC, 0xD5F5, 0xF75B, 0xFFDE, 0xEF5C, 0xCE37, 0xA4D1, 0x6287, 0x5A26, 
        0x6AC8, 0x93EC, 0x9C0C, 0x8369, 0x5A64, 0x6B03, 0x8384, 0x93C7, 0x93C9, 0x93A8, 0x8B66, 0x8C05, 0x9446, 0x9429, 0x940C, 0x940C, 0x8C2A, 0x8C64, 0x8C41, 0x8C03, 0x9407, 0xA46A, 0xA4AC, 0x73C5, 0x6382, 0x8C24, 0xA489, 0xAC6F, 0xAC16,
  0x7A12, 0x7A12, 0x7212, 0x7212, 0x7212, 0x7212, 0x7232, 0x7232, 0x7232, 0x7212, 0x7232, 0x7232, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A53, 0x7A33, 0x7A33, 0x7A33, 0x7A33, 0x7A53, 
        0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x8232, 0x8232, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 
        0x8A73, 0x8273, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A94, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A94, 0x8A94, 0x92B5, 0x9AD6, 0x9296, 0x5151, 
        0x4930, 0x7A73, 0xA3B5, 0xB456, 0xAC13, 0x61E9, 0x6209, 0xB515, 0xEF5C, 0xFFFE, 0xFFDE, 0xFFBF, 0xFFBF, 0xFF9F, 0xFF9F, 0xFF9F, 0xFF9F, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDF, 0xF7DF, 0xF7BD, 0xF79A, 0xF799, 0xFFDC, 0xFFFE, 0xFFFF, 0xE71B, 0xAC6D, 0x9BA9, 0xACCE, 0xC5F4, 0xDED8, 0xF7BC, 0xFFFD, 0xFFFD, 0xF7DC, 0xF79C, 0xEF7B, 0xE719, 0xD6D5, 0xD6B4, 0xD6B3, 0xD693, 0xD653, 0xBDD0, 0x94AA, 
        0x8407, 0x73A3, 0x6341, 0x5B01, 0x4AA1, 0x4A82, 0x5AE2, 0x6BA3, 0x7C44, 0x7445, 0x6C04, 0x6BE5, 0x6BC4, 0x5B63, 0x5342, 0x5343, 0x5B64, 0x6BA4, 0x73C4, 0x6BA5, 0x52E4, 0x3A43, 0x3A04, 0x948D, 0xAD8F, 0x8CAD, 0x6389, 0x4AA6, 0x29E2, 0x42A3, 
        0x5343, 0x5343, 0x4B23, 0x4AC2, 0x4AC3, 0x6446, 0x6CC8, 0x6468, 0x6CA9, 0x854A, 0x956B, 0x52C6, 0x3183, 0x3961, 0x4961, 0x4982, 0x6A89, 0xD659, 0xFF9D, 0xF678, 0xEDD6, 0xF5D6, 0xEE16, 0xB530, 0xA530, 0xC635, 0xCE37, 0xBD74, 0x932B, 0x58E3, 
        0x48A2, 0x6227, 0x7B8C, 0x8C4E, 0x8C6E, 0x5AE9, 0x49E6, 0x48E4, 0x48C3, 0x5124, 0x59A4, 0x48E2, 0x4060, 0x4061, 0x6124, 0x8227, 0xB3ED, 0xB550, 0x94CE, 0x4A47, 0x1881, 0x0800, 0x2904, 0xB490, 0xEE57, 0xF75B, 0xFFDE, 0xFFFF, 0xFFBE, 0xF6DB, 
        0xEE38, 0xD5D5, 0xCDF6, 0xD678, 0xDEFB, 0xB596, 0xB576, 0xE6FB, 0xF7BE, 0xFFFF, 0xFFDE, 0xFFFF, 0xFFDF, 0xEF5C, 0xC615, 0x9CAF, 0x7347, 0x94CA, 0x9D0B, 0x6B46, 0x41E3, 0x2921, 0x2902, 0x62C8, 0x8B4A, 0x92C8, 0x92C9, 0x8B4B, 0x9CB2, 0xDEBA, 
        0xFF3B, 0xF677, 0xF5F4, 0xEDF4, 0xF655, 0xF6F8, 0xF75A, 0xEF3B, 0xCDD7, 0xA3EF, 0x7146, 0xA20A, 0xC330, 0xDC55, 0xC434, 0xA32E, 0x6966, 0x91E7, 0xA249, 0x91EA, 0x81AA, 0x796A, 0x6928, 0x5925, 0x5904, 0x6904, 0x7946, 0x89C7, 0x9249, 0x79C8, 
        0x7187, 0x71C6, 0x8AA8, 0xA3AB, 0xCCF0, 0xDD50, 0xD52F, 0xCD10, 0xCD10, 0xCD10, 0xC4EF, 0xAC2C, 0xB46C, 0xD5D2, 0xE6B5, 0xDED5, 0xCE12, 0xACAD, 0x9BEA, 0x9BC8, 0xAC6A, 0xC54E, 0xEED6, 0xFFBD, 0xFF9D, 0xEE16, 0xD48F, 0xB36A, 0xA2A8, 0xDC31, 
        0xEC93, 0xC3EF, 0xAB8C, 0xB38D, 0xCC10, 0xE4F2, 0xE533, 0xE4D2, 0xD450, 0xC3EF, 0xBBEF, 0xDD76, 0xEE9B, 0xF75D, 0xFFDE, 0xFFDD, 0xFF7B, 0xF6F9, 0xF6D9, 0xFF19, 0xFF5B, 0xFF9B, 0xF77B, 0xCDF6, 0xB4D2, 0xA38C, 0x9AE9, 0xA30B, 0xC430, 0xDDD7, 
        0xE6BA, 0xF6FB, 0xFEFC, 0xF6BA, 0xCD75, 0x5ACB, 0x2986, 0x2104, 0x18C3, 0x18A3, 0x39A7, 0xC618, 0xDF1B, 0x9491, 0x4228, 0x2104, 0x1061, 0x20E1, 0x41C3, 0x7B68, 0x940A, 0x8BA9, 0x5A45, 0x18A1, 0x2945, 0x94B2, 0xE71B, 0xFFDE, 0xDEDA, 0x5AA9, 
        0x28E2, 0x3162, 0x41E3, 0x4A44, 0x4A44, 0x31A3, 0x2942, 0x2122, 0x2141, 0x2962, 0x31C3, 0x5205, 0x5204, 0x41C2, 0x31C1, 0x31E1, 0x3202, 0x31E3, 0x31C4, 0x31A3, 0x41E3, 0x4A44, 0x5AA5, 0x4223, 0x4202, 0x5243, 0x6263, 0x6262, 0x6A62, 0x92E5, 
        0xAB89, 0xC46D, 0xCD10, 0xCD10, 0xBCAF, 0xB48D, 0xB46D, 0xB46D, 0xB46E, 0xB490, 0xBCB1, 0xD531, 0xD552, 0xD572, 0xD572, 0xD572, 0xE5F4, 0xF6F7, 0xE6B6, 0xB52F, 0xACCD, 0xBD70, 0xE6F7, 0xFF38, 0xFF59, 0xFF79, 0xE719, 0xCE37, 0x9C53, 0x7AD0, 
        0x82B0, 0x9B91, 0xA3D1, 0x9B8F, 0x7AC9, 0x62E3, 0x6301, 0x7343, 0x8B47, 0x936A, 0x9BAB, 0x9444, 0x8C61, 0x8C42, 0x8C44, 0x8C27, 0x8C49, 0x8C26, 0x8C24, 0x9424, 0x9C66, 0xA4E9, 0xAD4C, 0x9489, 0x8C26, 0x9465, 0x9C67, 0x9C2D, 0x9BB6,
  0x7A12, 0x7A12, 0x7212, 0x7212, 0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7232, 0x7232, 0x7232, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A53, 0x7A53, 0x7A33, 0x7A32, 0x7A32, 0x7A53, 0x7A52, 
        0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x8232, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8A53, 0x8A73, 0x8A73, 
        0x8A73, 0x8A73, 0x8253, 0x8253, 0x8A53, 0x8253, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A94, 0x8A94, 0x8A94, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A94, 0x92B5, 0x9AB5, 0x9296, 0x69D2, 
        0x6A32, 0x9BD6, 0xBCB7, 0xBCD6, 0x9BF0, 0x72AA, 0x832B, 0xC5B5, 0xEF7C, 0xFFDE, 0xFFBE, 0xFFBF, 0xFFBF, 0xFFBF, 0xFFBF, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDF, 0xF7DE, 0xF7BD, 0xF7BC, 0xF7DC, 0xFFDD, 0xFFFF, 0xFFFF, 0xE71B, 0xAC6D, 0xA40B, 0xD613, 0xF79B, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFC, 0xFFFB, 0xFFDB, 0xFFBB, 0xFF9A, 0xE718, 0xC5F2, 
        0xAD4E, 0x9CCB, 0x8449, 0x7C08, 0x6B67, 0x6305, 0x5AE4, 0x6343, 0x6363, 0x5B84, 0x5BA4, 0x7445, 0x7C45, 0x63A4, 0x5B42, 0x5343, 0x5B84, 0x6BC4, 0x73A4, 0x5B04, 0x4263, 0x3A04, 0x52A8, 0xC613, 0xDEF6, 0xA551, 0x6B8A, 0x4A86, 0x31E2, 0x42E3, 
        0x5364, 0x5384, 0x5343, 0x5303, 0x52E3, 0x5BE5, 0x6467, 0x6CA9, 0x84EB, 0x8D2B, 0x84A9, 0x39A3, 0x2081, 0x38E1, 0x38E0, 0x30A0, 0x3944, 0xB554, 0xEEFA, 0xEE78, 0xEE16, 0xEDF6, 0xDDD5, 0xB510, 0xB531, 0xCE57, 0xC617, 0xA4B1, 0x69E6, 0x68A3, 
        0x6904, 0x6A68, 0x73AC, 0x7C4D, 0x8C8E, 0x6B6B, 0x5248, 0x4925, 0x48C3, 0x5124, 0x51C5, 0x5143, 0x48C2, 0x4881, 0x5903, 0x79E6, 0xABAC, 0xBD71, 0x9D10, 0x5267, 0x1882, 0x0800, 0x2924, 0xBD13, 0xFEFA, 0xFF9D, 0xF79D, 0xEF5C, 0xE69A, 0xE638, 
        0xDE18, 0xDE37, 0xCE17, 0xBDF6, 0xA554, 0x7BAE, 0x7B8E, 0xA514, 0xBDF7, 0xCE79, 0xE71C, 0xF7BE, 0xFFFF, 0xEF7C, 0xCE36, 0xA4EF, 0x6B67, 0x9489, 0x94CA, 0x6B66, 0x4A23, 0x3162, 0x2922, 0x4A26, 0x62A9, 0x8AC8, 0x92C8, 0x82A8, 0x732C, 0xAD75, 
        0xCE79, 0xE698, 0xEE56, 0xF616, 0xF636, 0xF6F9, 0xFF7B, 0xF73B, 0xD5B6, 0xABCF, 0x7946, 0xA20A, 0xC330, 0xDC74, 0xCC53, 0xA34F, 0x7186, 0x91C7, 0x9A08, 0x81A9, 0x7149, 0x7149, 0x7969, 0x71A8, 0x71A7, 0x8187, 0x91E9, 0xA24A, 0xAAAC, 0x922A, 
        0x7988, 0x6965, 0x79E6, 0x92E9, 0xC46F, 0xC48D, 0xC46C, 0xBC6E, 0xC48F, 0xC4D0, 0xC4F0, 0xB44C, 0xBC8C, 0xD5D1, 0xDE94, 0xDEB5, 0xCE33, 0xBD0E, 0xAC6B, 0xA408, 0xA429, 0xACAB, 0xD5D3, 0xF77C, 0xFF9D, 0xF678, 0xD511, 0xBBEC, 0xA2E9, 0xCB6E, 
        0xDBF0, 0xBBEE, 0xB3CD, 0xB3AD, 0xCBEF, 0xE4F3, 0xED54, 0xE4F3, 0xD451, 0xC3CF, 0xBBEF, 0xE618, 0xFF3D, 0xFFBE, 0xFFDE, 0xFFBD, 0xFF7B, 0xF71A, 0xF6F9, 0xF719, 0xFF3A, 0xFF5B, 0xF77B, 0xE6DA, 0xCDF6, 0xB490, 0xA38C, 0xAB4C, 0xC410, 0xE658, 
        0xF75C, 0xF75D, 0xFF5D, 0xF73C, 0xD658, 0x740F, 0x4ACB, 0x4208, 0x3186, 0x2944, 0x39A6, 0x94B2, 0xA534, 0x5ACB, 0x2104, 0x1062, 0x1082, 0x28E2, 0x4183, 0x72E7, 0x8B88, 0x8368, 0x6285, 0x3985, 0x5249, 0xA534, 0xE71B, 0xEF7D, 0xBDF7, 0x39C7, 
        0x0861, 0x2962, 0x4223, 0x4A64, 0x4A24, 0x31A3, 0x2983, 0x3182, 0x2961, 0x2141, 0x1921, 0x51E4, 0x5A25, 0x41E3, 0x31C1, 0x29C0, 0x29C1, 0x31C3, 0x2983, 0x2962, 0x31C3, 0x4224, 0x5AC5, 0x4A64, 0x4223, 0x5243, 0x5A63, 0x6262, 0x6A83, 0x9B46, 
        0xB3C9, 0xC48C, 0xCCEF, 0xCD0F, 0xC4CF, 0xBCAE, 0xB48D, 0xB44D, 0xAC2D, 0xAC2E, 0xAC4F, 0xC4B0, 0xCCF0, 0xCCF0, 0xCCF0, 0xCD10, 0xD552, 0xEE34, 0xE654, 0xC591, 0xB54F, 0xBD71, 0xD634, 0xF6F7, 0xFF38, 0xEF17, 0xDE97, 0xCDF8, 0xACB9, 0x9B97, 
        0x9B56, 0xABD6, 0xB3F5, 0xABD3, 0x8B4E, 0x62E5, 0x5AE2, 0x7324, 0x8B67, 0x9BAA, 0xA3EC, 0x9425, 0x8C41, 0x8C41, 0x8C42, 0x9465, 0x9468, 0x8C07, 0x8BE6, 0x9406, 0x9C46, 0x9C87, 0xA4E9, 0xACCA, 0xACC9, 0xA4A7, 0xA468, 0x9C2D, 0x9BB6,
  0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x7A52, 0x7A53, 0x7A53, 0x7A52, 0x8253, 
        0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 0x8A53, 0x8A73, 0x8273, 0x8253, 0x8253, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8A53, 0x8A73, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8252, 0x71F1, 0x79F1, 0xBC38, 
        0xDD7B, 0xDE1A, 0xB535, 0x83CF, 0x5249, 0xACD0, 0xDE76, 0xEF5B, 0xFFBE, 0xFFBF, 0xFF7F, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDE, 0xFFBD, 0xFF9C, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xEF3B, 0xEF1A, 0xF79C, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xF7DD, 0xEF9C, 
        0xEF7C, 0xE75B, 0xE73A, 0xE73A, 0xDED8, 0xC632, 0xA52E, 0x7388, 0x4A65, 0x4224, 0x4AA3, 0x6BE5, 0x7426, 0x6BA5, 0x6364, 0x5B64, 0x5B43, 0x5AE2, 0x5262, 0x4204, 0x4A67, 0x738B, 0xBDD3, 0xEF7B, 0xDEFA, 0x8C6F, 0x52A6, 0x4203, 0x4242, 0x5364, 
        0x5BE5, 0x5BA4, 0x5BA4, 0x63A5, 0x6365, 0x4303, 0x4B24, 0x7C29, 0x946B, 0x8C0A, 0x72E6, 0x61C4, 0x6164, 0x6963, 0x5941, 0x4901, 0x4164, 0x836C, 0xB4F1, 0xD657, 0xE6B9, 0xDE78, 0xC573, 0xCD32, 0xD594, 0xDE78, 0xBD96, 0x93EF, 0x5145, 0x7126, 
        0x81C8, 0x7ACA, 0x73CD, 0x7C6E, 0x94EF, 0x948F, 0x83AD, 0x61E8, 0x5104, 0x4924, 0x5A05, 0x6267, 0x6206, 0x4903, 0x40A2, 0x4902, 0x72C7, 0xCE34, 0xC655, 0x630A, 0x18A2, 0x0000, 0x2924, 0xBCF3, 0xF6BA, 0xEEDB, 0xCE18, 0xB4F3, 0x938D, 0xA450, 
        0xBD54, 0xC5F7, 0xAD54, 0x83EF, 0x41C7, 0x3124, 0x3104, 0x3145, 0x39A7, 0x528A, 0x9C91, 0xE71B, 0xFFFF, 0xF79D, 0xCE57, 0xA4EF, 0x6B05, 0x7BE5, 0x9487, 0x9488, 0x7BC8, 0x5AE5, 0x2961, 0x18A1, 0x3185, 0x8BAD, 0xBC90, 0xB3EE, 0x7A49, 0x4A49, 
        0x5B2D, 0xAD54, 0xDE79, 0xEE99, 0xF699, 0xFF7C, 0xFFBC, 0xF71A, 0xCD74, 0xA38D, 0x7146, 0xA26C, 0xC391, 0xDC74, 0xD473, 0xBBAF, 0x8A49, 0x91E8, 0x89A7, 0x7106, 0x60A6, 0x68A6, 0x8149, 0xAA8C, 0xB30D, 0xB2CD, 0xB2AC, 0xAAAC, 0xAAED, 0xAB2E, 
        0x9ACC, 0x7186, 0x6903, 0x7123, 0x8A06, 0x8A68, 0x8247, 0x71E6, 0x7A07, 0x8A69, 0xA36D, 0xAC0A, 0xA429, 0x9C29, 0x8BE9, 0x7BAA, 0x734A, 0x8BA8, 0x93C7, 0x9BC8, 0x9367, 0x8AE6, 0x8B08, 0xD637, 0xF79D, 0xF75C, 0xF6D9, 0xEE57, 0xDCF2, 0xB2AA, 
        0xAA49, 0xBB8C, 0xC42E, 0xC40E, 0xBBAE, 0xDC92, 0xECF4, 0xE4F3, 0xDC72, 0xD410, 0xCC11, 0xEE99, 0xFFDE, 0xFFDE, 0xFFBE, 0xFF9D, 0xFF7C, 0xFF7B, 0xF75A, 0xF73A, 0xFEF9, 0xFEFA, 0xFF1A, 0xF77C, 0xF77C, 0xEF1B, 0xE658, 0xDD96, 0xCC71, 0xD512, 
        0xDDB5, 0xEE59, 0xF6FC, 0xFF3D, 0xEF5C, 0xDEDA, 0xD699, 0xCE57, 0xB594, 0x9CB0, 0x6B0A, 0x41E7, 0x2945, 0x18C3, 0x18A3, 0x20E4, 0x3165, 0x49C5, 0x51A4, 0x4983, 0x5A04, 0x72C6, 0x9C0B, 0xA470, 0xB514, 0xD659, 0xD699, 0xBDD6, 0x738D, 0x2924, 
        0x10A1, 0x2162, 0x31E3, 0x3A03, 0x39E3, 0x4203, 0x4223, 0x4223, 0x39E3, 0x31A2, 0x2962, 0x4A44, 0x5A64, 0x4202, 0x3181, 0x2961, 0x2941, 0x2962, 0x2962, 0x2121, 0x2142, 0x2982, 0x4245, 0x5AC6, 0x6306, 0x62E5, 0x62A4, 0x62A4, 0x72E5, 0xB44B, 
        0xD4ED, 0xCCAD, 0xC48D, 0xBC8D, 0xBC8D, 0xBC6E, 0xBC6E, 0xB46F, 0xB48F, 0xB48F, 0xB48E, 0xC4D0, 0xCCF1, 0xD531, 0xDD31, 0xDD31, 0xD531, 0xDD73, 0xE5B4, 0xDD94, 0xC4F0, 0xA3ED, 0x834B, 0xCDF6, 0xE6F9, 0xC5B4, 0xA491, 0x9BF3, 0x93B9, 0xB45B, 
        0xBC9B, 0xBC7A, 0xB458, 0xB457, 0xA412, 0x7328, 0x6AE5, 0x8386, 0x9C08, 0xA428, 0xA408, 0x9405, 0x8BE4, 0x8C25, 0x9465, 0x9CA6, 0xA4C8, 0x8BE9, 0x8389, 0x8BC9, 0x8BE7, 0x8BC5, 0x8BE4, 0xACEA, 0xBD4C, 0xB50B, 0xB4AD, 0xB471, 0xAC18,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x7A53, 0x7A53, 0x7A52, 0x8252, 
        0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8252, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A73, 0x8273, 0x8A73, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8253, 0x8A53, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A93, 0x8A94, 0x8A94, 0x7A32, 0x71D1, 0x71F1, 0xC499, 
        0xDDBB, 0xC537, 0x9BF0, 0x7AEC, 0x6AAA, 0xCE17, 0xF7BE, 0xFFBE, 0xFF9E, 0xFF9E, 0xFF7F, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDE, 0xFFBD, 0xFF9D, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDB, 0xFFDA, 0xFFFB, 0xFFFC, 0xFFFD, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xF7BD, 0xEF9C, 0xDF1A, 0xCE76, 0xBDD2, 0x944A, 0x4A24, 0x3182, 0x3202, 0x4262, 0x4242, 0x39E2, 0x39C4, 0x52A8, 0x9CF1, 0xCE78, 0xE71A, 0xF79C, 0xFFDE, 0xDEFA, 0x844D, 0x4A65, 0x39E2, 0x4263, 0x63A5, 
        0x6C26, 0x63E5, 0x63C5, 0x63A5, 0x63A5, 0x53A3, 0x5BA3, 0x6BC6, 0x7B67, 0x7B07, 0x7A65, 0x8245, 0x8205, 0x7985, 0x81E6, 0x92A8, 0x9389, 0x41A5, 0x41E7, 0x9CD3, 0xD678, 0xD637, 0xBD52, 0xD5F5, 0xDE57, 0xCD94, 0xB450, 0x92CB, 0x70C5, 0x6863, 
        0x7125, 0x7AEA, 0x8C4E, 0x8CD0, 0x9510, 0x9510, 0x8C4E, 0x6A69, 0x5945, 0x5144, 0x5A25, 0x6B6A, 0x6B4B, 0x5A07, 0x4924, 0x4944, 0x72C8, 0xCE33, 0xCE74, 0x630A, 0x18A2, 0x0820, 0x3965, 0xC5B6, 0xE6FB, 0xAD34, 0x6B0C, 0x49E7, 0x28E3, 0x4963, 
        0x59C4, 0x51E6, 0x49A6, 0x4965, 0x4924, 0x4924, 0x3903, 0x1882, 0x1061, 0x1082, 0x41E7, 0xAD55, 0xDEBA, 0xDE79, 0xB534, 0x83CD, 0x4A44, 0x7BA5, 0x9CA7, 0xA4E9, 0x8C48, 0x6B66, 0x39A1, 0x18A0, 0x2903, 0x72C9, 0xB4D1, 0xCDB5, 0xC596, 0x5A69, 
        0x3124, 0x5A08, 0x8B0B, 0xABAE, 0xCCF3, 0xE6FA, 0xF79C, 0xEEDA, 0xC533, 0x936C, 0x6986, 0xB350, 0xDC55, 0xDC33, 0xBB6F, 0x9AAB, 0x81C7, 0xA28A, 0xB2EB, 0x9A4A, 0x89A9, 0x8148, 0x8107, 0x91A8, 0x99E9, 0x9A09, 0x9A09, 0x91E9, 0x89A8, 0x5905, 
        0x50A3, 0x50A3, 0x60E4, 0x7124, 0x7965, 0x6925, 0x5904, 0x50E4, 0x5925, 0x69A7, 0x8269, 0x6A04, 0x51A2, 0x4121, 0x30E2, 0x2903, 0x41C5, 0x9388, 0xAC2A, 0xAC4A, 0x9BC8, 0x8B25, 0x82E5, 0xBD52, 0xDEB9, 0xEF3B, 0xFF1B, 0xFEB9, 0xED53, 0xCB2B, 
        0xC2CA, 0xD3EE, 0xD470, 0xC44F, 0xBBAE, 0xCC10, 0xD451, 0xCC51, 0xD430, 0xD410, 0xE4B2, 0xF6DB, 0xFFDE, 0xFFBD, 0xFF9C, 0xFF7C, 0xFF7C, 0xF77B, 0xF75B, 0xF71A, 0xFEFA, 0xFEFA, 0xFF1A, 0xF6FA, 0xF71A, 0xF75B, 0xEF1B, 0xDE79, 0xC534, 0xCC71, 
        0xD4B2, 0xE5D6, 0xEE9A, 0xEE9A, 0xE658, 0xDDF5, 0xDE36, 0xEEFA, 0xF75C, 0xEF3B, 0xCE16, 0x7B8D, 0x4A08, 0x20E4, 0x1882, 0x20A2, 0x3144, 0x41A4, 0x3963, 0x3102, 0x3942, 0x5A04, 0x9C0B, 0xDE98, 0xEF5D, 0xDEDB, 0xAD75, 0x7BCF, 0x3165, 0x31A3, 
        0x31E3, 0x31C3, 0x29C3, 0x29C2, 0x29E2, 0x4A03, 0x4A23, 0x4A23, 0x4244, 0x4A64, 0x4A85, 0x5AC5, 0x52A5, 0x4203, 0x3182, 0x3161, 0x2942, 0x2102, 0x1902, 0x2122, 0x2141, 0x2122, 0x3183, 0x62C7, 0x6B28, 0x5AA5, 0x5263, 0x5A83, 0x7B26, 0xBC4C, 
        0xD4AD, 0xCC8D, 0xC48D, 0xBC6D, 0xBC6D, 0xB44E, 0xB42E, 0xAC4D, 0xAC4D, 0xAC6E, 0xB46E, 0xB44E, 0xB44E, 0xC48F, 0xCCF0, 0xD531, 0xDD73, 0xDD95, 0xDD75, 0xCD32, 0xAC4E, 0x8B4B, 0x7289, 0xA410, 0xAC71, 0x7B0B, 0x6A69, 0x72CC, 0x93B1, 0x9C11, 
        0x9C10, 0x9BD0, 0xA3F0, 0xAC30, 0xAC6E, 0x83A6, 0x7363, 0x83A4, 0x8BC4, 0x93C4, 0x93C4, 0xA446, 0xA489, 0xACAD, 0xAC90, 0xAC90, 0xA44F, 0x8B8B, 0x8369, 0x8BE9, 0x9408, 0x93E6, 0x8BC5, 0xA4AC, 0xB4EF, 0xB4B1, 0xB473, 0xB437, 0xBBFC,
  0x7212, 0x7212, 0x7212, 0x7212, 0x7212, 0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7232, 0x7232, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A31, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A52, 
        0x7A52, 0x7A52, 0x7A52, 0x7252, 0x7232, 0x8252, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8232, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 
        0x8253, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8293, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A74, 0x8A74, 0x8A74, 0x8A74, 0x8A53, 0x7272, 
        0x7290, 0x8AEF, 0xA3D1, 0xBCF4, 0xDE7A, 0xF79E, 0xFFDF, 0xFFBE, 0xFF9E, 0xFF9E, 0xFF9F, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDD, 0xF7D8, 0xF7D7, 0xFFFA, 0xFFFD, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF7BD, 0xDED9, 0x9C8D, 0x7BA9, 0x7BE8, 0x7C08, 0x8428, 0x9CAB, 0xC616, 0xDEFA, 0xEF5B, 0xF77B, 0xF75A, 0xEF39, 0xF79D, 0xE75B, 0xAD72, 0x6BAA, 0x4A66, 0x31A3, 0x6386, 
        0x7468, 0x7447, 0x6C06, 0x63E6, 0x6406, 0x6CA7, 0x6CE8, 0x7C49, 0x7B67, 0x7AA5, 0x71A3, 0x71C6, 0x6987, 0x6125, 0x7248, 0x9BEE, 0xBD93, 0x4227, 0x3186, 0x9492, 0xCE37, 0xD616, 0xBD52, 0xD637, 0xCDD6, 0x932C, 0x6965, 0x60A3, 0x6863, 0x70A4, 
        0x8186, 0x8B8C, 0x94CF, 0x8D0F, 0x8CEF, 0xA571, 0x9CD0, 0x72A9, 0x5165, 0x4924, 0x51E6, 0x634B, 0x6BAC, 0x630A, 0x62A8, 0x6AA8, 0x7B8A, 0xB5B0, 0xAD90, 0x5AE8, 0x2943, 0x28E2, 0x5226, 0xB554, 0xCE59, 0xAD34, 0x7B6D, 0x5248, 0x20C3, 0x1861, 
        0x1860, 0x1881, 0x3102, 0x4984, 0x6A87, 0x5A26, 0x41A5, 0x20E3, 0x2904, 0x39A6, 0x5A69, 0x41C7, 0x41A6, 0x6AA9, 0x7B4A, 0x7349, 0x5AE5, 0x6B83, 0x7C04, 0x9467, 0x9468, 0x8407, 0x6B24, 0x5A63, 0x49E2, 0x4983, 0x6269, 0x8BCF, 0xCDB6, 0xCCD2, 
        0xA38C, 0x61C6, 0x48C3, 0x58A2, 0x8186, 0x9C51, 0xAD76, 0xC554, 0xBC50, 0xA2EB, 0x8187, 0xC350, 0xE455, 0xDC34, 0xB34F, 0x8A6B, 0x6145, 0x9A49, 0xB2AB, 0xA26B, 0x89C9, 0x7947, 0x70A5, 0x6883, 0x70C4, 0x7905, 0x7905, 0x70E5, 0x5883, 0x4021, 
        0x4041, 0x4883, 0x50A4, 0x58C4, 0x6146, 0x9ACC, 0xAB4D, 0x930B, 0x7A89, 0x7228, 0x6986, 0x40C2, 0x30A1, 0x3123, 0x4A06, 0x7309, 0xA48D, 0xB44B, 0xB42A, 0xB44A, 0xA3C8, 0x9326, 0x82A6, 0xC4D0, 0xE636, 0xF6DA, 0xF6DB, 0xF659, 0xED33, 0xE40F, 
        0xE3EF, 0xE4B1, 0xDCD2, 0xCC91, 0xBBEE, 0xCBEF, 0xCBEF, 0xCBEF, 0xCC51, 0xD4D2, 0xE5F6, 0xF77D, 0xFFDE, 0xFF7C, 0xFF5C, 0xFF5C, 0xFF7C, 0xF75A, 0xF739, 0xF719, 0xF6F9, 0xF6F9, 0xFEF9, 0xFEDA, 0xFEFB, 0xFF5C, 0xF77C, 0xEF5B, 0xE6B9, 0xDDB6, 
        0xDD95, 0xE5D6, 0xEDF6, 0xEDF6, 0xE5B6, 0xDE16, 0xDE37, 0xE678, 0xEEDA, 0xEF1B, 0xEF5B, 0xE71B, 0xBDF7, 0x6B4D, 0x3166, 0x18C3, 0x18A2, 0x39C4, 0x41E5, 0x2943, 0x2943, 0x41E5, 0x83CC, 0xBDD6, 0xBDD7, 0x7BB0, 0x41E9, 0x2125, 0x18C2, 0x2983, 
        0x31E4, 0x31C3, 0x29A3, 0x29A3, 0x31A3, 0x39C2, 0x41C2, 0x4203, 0x4244, 0x4244, 0x4A44, 0x5AC6, 0x62C6, 0x5265, 0x4204, 0x39C4, 0x3184, 0x2944, 0x2944, 0x2143, 0x2963, 0x2962, 0x2942, 0x31A3, 0x39E4, 0x4A24, 0x4A44, 0x4A23, 0x6284, 0xBC8B, 
        0xDD2E, 0xCC8C, 0xBC0B, 0xB40C, 0xBC4D, 0xC48F, 0xBC6F, 0xAC2D, 0xA3EC, 0xA3EC, 0xAC0D, 0xB46E, 0xB46F, 0xB46E, 0xBCCE, 0xCD50, 0xDDD2, 0xBCB0, 0xA3EE, 0x938A, 0x8B48, 0x8347, 0x8347, 0x7B46, 0x7B46, 0x7B47, 0x8367, 0x8366, 0x7B85, 0x83C5, 
        0x8BE5, 0x9406, 0x9426, 0x9426, 0x9405, 0x8382, 0x7B41, 0x7B82, 0x83C5, 0x8BE7, 0xA449, 0xAC67, 0xAC66, 0xAC69, 0xA44F, 0xA434, 0xA3B7, 0x830D, 0x7B08, 0x8BC6, 0x9C67, 0x9C89, 0xAC8E, 0xB433, 0xB3F6, 0xB3D7, 0xB3D9, 0xB3BA, 0xB3BC,
  0x7212, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8253, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 
        0x8252, 0x8252, 0x8252, 0x8252, 0x8252, 0x8253, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8273, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8273, 
        0x8273, 0x8A73, 0x8A74, 0x8A94, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A94, 0x8A73, 0x8A93, 0x8A93, 0x8A94, 0x92B5, 0x9AD6, 0x9295, 0x510E, 
        0x490C, 0x82F0, 0xBCF6, 0xD639, 0xF77E, 0xFFBF, 0xFF9E, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFD, 0xF7D7, 0xF7B6, 0xFFDB, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF7BE, 0xFFBE, 0xF7BE, 0xEF7C, 0xE73B, 0xE73B, 0xE75B, 0xE75A, 0xEF7B, 0xF7BC, 0xFFBB, 0xF75A, 0xF71A, 0xF71A, 0xF73C, 0xFF9C, 0xF7BC, 0xE73B, 0xBE16, 0x8C90, 0x4A66, 0x3A43, 
        0x42A3, 0x5B64, 0x6BC6, 0x6BE6, 0x7427, 0x7529, 0x7D6B, 0x8D0D, 0x942C, 0x9349, 0x8205, 0x6946, 0x6106, 0x5945, 0x728A, 0x9BEF, 0xB554, 0x5AAA, 0x4A49, 0xA514, 0xE71B, 0xF77C, 0xDE77, 0x8BAC, 0x7248, 0x7986, 0x8125, 0x80E5, 0x88E6, 0xA22A, 
        0xAB0D, 0x9BEE, 0x8C6E, 0x7C6D, 0x7C6C, 0xA591, 0xAD92, 0x93CD, 0x7A49, 0x6988, 0x5967, 0x52E9, 0x5BAB, 0x63AC, 0x636B, 0x634A, 0x5B49, 0x7C4B, 0x8CAC, 0x948C, 0x948C, 0x948C, 0x8C2B, 0x4A27, 0x4A29, 0x9C92, 0xC5B5, 0xBD33, 0x8B6B, 0x6287, 
        0x5225, 0x49C2, 0x3941, 0x3101, 0x3143, 0x738B, 0x73CC, 0x4A47, 0x4A06, 0x7309, 0x9C2D, 0x3985, 0x1041, 0x28C2, 0x4184, 0x5A46, 0x7327, 0x6303, 0x6302, 0x7B84, 0x9468, 0xACEB, 0xAD2C, 0x7325, 0x4A02, 0x2901, 0x20E2, 0x3103, 0x6A68, 0xCDD6, 
        0xE637, 0xAB6C, 0x8144, 0x7882, 0x7063, 0x4925, 0x51C7, 0x9269, 0xB2CA, 0xB269, 0x99C8, 0xAA4B, 0xBB2F, 0xDCB5, 0xDCF6, 0xC453, 0x8A6A, 0x68E4, 0x60A3, 0x68E4, 0x68E5, 0x70E5, 0x70A4, 0x7084, 0x70A4, 0x70A4, 0x6884, 0x6863, 0x6042, 0x5862, 
        0x5862, 0x5883, 0x6925, 0x91E9, 0xBAED, 0xA30D, 0x8AAB, 0x6A07, 0x5144, 0x4902, 0x4123, 0x61C5, 0x82C8, 0xAC6D, 0xC52F, 0xBD0E, 0xA44B, 0xA3CB, 0xABEB, 0xBC8C, 0xBCCB, 0xB46B, 0x9BA9, 0x9308, 0xA3AC, 0xD5B6, 0xF6FB, 0xFEDB, 0xFDF8, 0xF534, 
        0xECD2, 0xECB1, 0xE4D1, 0xE511, 0xDD31, 0xCC51, 0xC411, 0xD431, 0xDC71, 0xDC71, 0xE513, 0xF71B, 0xFFBE, 0xFF7D, 0xFF5C, 0xFF5C, 0xFF5C, 0xFF9C, 0xFF7B, 0xFF5A, 0xFF1A, 0xFEF9, 0xFEFA, 0xFF3B, 0xFF5B, 0xFF7B, 0xFF9C, 0xFF9C, 0xF77C, 0xEEBA, 
        0xE659, 0xEE58, 0xEE58, 0xEE58, 0xE658, 0xEEB9, 0xF6DA, 0xF6FA, 0xEED8, 0xE697, 0xDE76, 0xE6D9, 0xE6FB, 0xD699, 0xAD75, 0x840F, 0x31A6, 0x2145, 0x2965, 0x3184, 0x3164, 0x3143, 0x2923, 0x2944, 0x2924, 0x18E3, 0x18C1, 0x1901, 0x2982, 0x29A3, 
        0x2983, 0x2983, 0x31A3, 0x39C3, 0x39E3, 0x29E2, 0x29E2, 0x4203, 0x4A44, 0x4A44, 0x4223, 0x3982, 0x3982, 0x4A25, 0x4A25, 0x39A4, 0x3185, 0x9470, 0xA4F2, 0x5ACA, 0x2143, 0x18E1, 0x2101, 0x2121, 0x2962, 0x39E3, 0x4A24, 0x5224, 0x6A66, 0x9B68, 
        0xABA9, 0xAB8A, 0xB3AB, 0xBC0C, 0xCCCF, 0xE553, 0xE533, 0xC4B0, 0xB42D, 0xA3CC, 0x9BAC, 0xAC6E, 0xBD10, 0xC571, 0xC570, 0xB52E, 0x9409, 0x5A25, 0x49C4, 0x5AA5, 0x7366, 0x83C6, 0x8BE5, 0x7BA3, 0x7383, 0x73A3, 0x7BA3, 0x83A3, 0x8BC4, 0x9445, 
        0x9486, 0x8C45, 0x8404, 0x83C3, 0x7B82, 0x83C2, 0x8C03, 0x9486, 0x9CC7, 0x9CC7, 0xA486, 0xA3E6, 0xA3A9, 0xABD1, 0xA3B7, 0x9B79, 0x8B36, 0x834A, 0x8B87, 0x9BEC, 0xAC12, 0xB436, 0xBBFB, 0xB3BC, 0xB39D, 0xB37D, 0xB39D, 0xB39D, 0xB3DB,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7232, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x7A52, 0x7A52, 0x8252, 0x7A53, 0x7A53, 0x7A53, 0x7A52, 
        0x8252, 0x8252, 0x8A52, 0x8A52, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8273, 0x8253, 0x8253, 0x8A53, 0x8A73, 0x8293, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8273, 0x8273, 0x8253, 0x8253, 
        0x8253, 0x8A73, 0x8A74, 0x8A74, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A95, 0x8A95, 0x8A94, 0x8A73, 0x8A93, 0x8AB4, 0x92D6, 0x9AD7, 0x8A96, 0x410C, 
        0x418B, 0x9CB5, 0xE6DC, 0xF79E, 0xFFBF, 0xFFBF, 0xFFBE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFD, 0xFFD7, 0xFFD6, 0xFFFB, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xF7BE, 0xFFDF, 0xFFDE, 0xFFBD, 0xF7BC, 0xF79B, 0xF79B, 0xF77B, 0xF77B, 0xF75B, 0xFF3B, 0xFF5B, 0xFF7C, 0xF75B, 0xF75B, 0xF79D, 0xF77D, 0xEF3C, 0xBDF6, 0x5AE9, 
        0x3A04, 0x52A4, 0x6BA7, 0x8449, 0x950B, 0x748A, 0x7CCC, 0xB614, 0xCE16, 0xBD13, 0x82A9, 0x4904, 0x5165, 0x8B4C, 0xA42E, 0xA3CD, 0x934C, 0xC596, 0xDEFB, 0xEF5C, 0xEF3B, 0xE6D9, 0xCD73, 0x8289, 0x7166, 0x9187, 0x9167, 0x8906, 0x8906, 0xC2EE, 
        0xCBF0, 0x9C0E, 0x7BEC, 0x6BCB, 0x740B, 0x9D50, 0xAD71, 0x944E, 0x82EA, 0x6A08, 0x5946, 0x5AA9, 0x636B, 0x6B6B, 0x632A, 0x52E9, 0x4AE7, 0x6BCA, 0x8C6C, 0x9D0F, 0xA550, 0xA52F, 0x840B, 0x3184, 0x2924, 0x732B, 0xB532, 0xD616, 0xDEB8, 0xCE36, 
        0xAD32, 0x7B69, 0x49C3, 0x3101, 0x3943, 0x6329, 0x6B8A, 0x52A6, 0x5265, 0x62C7, 0x6B2A, 0x2923, 0x1061, 0x3144, 0x49E6, 0x5226, 0x5A65, 0x6B45, 0x7385, 0x6B24, 0x7325, 0x8387, 0x9429, 0x7BA8, 0x6B46, 0x6304, 0x5AE4, 0x5AE4, 0x7388, 0xC5F2, 
        0xDE34, 0xBC2E, 0x9A69, 0x9166, 0x90C5, 0xA9E9, 0xAA4A, 0x99C7, 0x9166, 0x8945, 0x8987, 0xAA4C, 0xC330, 0xDCB5, 0xE516, 0xD474, 0x9AAC, 0x40C3, 0x3021, 0x5062, 0x6884, 0x7084, 0x6865, 0x6884, 0x6883, 0x6863, 0x6042, 0x6042, 0x6042, 0x6082, 
        0x68E4, 0x81A7, 0xA26A, 0xB2CB, 0xB2CA, 0x6985, 0x48E3, 0x4943, 0x5A04, 0x6AA5, 0x93E9, 0xBD10, 0xCD52, 0xCD30, 0xB48D, 0x93CA, 0x8308, 0xBC4C, 0xD4EE, 0xCCED, 0xBCAC, 0xB48B, 0x9BA9, 0x7205, 0x7A47, 0xBCF3, 0xE6BA, 0xF71C, 0xF67A, 0xFDD6, 
        0xF533, 0xDC91, 0xDCB1, 0xE572, 0xEE34, 0xD491, 0xCBF0, 0xD431, 0xDC71, 0xD471, 0xD513, 0xEEFB, 0xFFBE, 0xFF9D, 0xF75C, 0xFF5C, 0xFF7C, 0xFF9B, 0xFF9B, 0xFF5A, 0xFF3A, 0xFF3A, 0xFF3B, 0xFF9C, 0xFF9C, 0xFF7B, 0xFF7B, 0xFF7C, 0xFF9D, 0xFF3D, 
        0xF6FC, 0xE659, 0xC575, 0xB4D2, 0xAC70, 0xDE17, 0xF6DB, 0xF6FA, 0xF6FA, 0xF71A, 0xE6B9, 0xB512, 0xB4F1, 0xD657, 0xE71B, 0xDEDA, 0xA512, 0x31A6, 0x1082, 0x3164, 0x41C6, 0x41C6, 0x3185, 0x2102, 0x1901, 0x2121, 0x2161, 0x2161, 0x2161, 0x2162, 
        0x2163, 0x2983, 0x39C3, 0x39E3, 0x4203, 0x39E3, 0x39E2, 0x41E2, 0x4A22, 0x4A63, 0x4A64, 0x39A2, 0x3161, 0x3962, 0x3123, 0x20E2, 0x3145, 0xA4B2, 0xBD76, 0x7BAE, 0x4207, 0x2144, 0x10E1, 0x2182, 0x31C2, 0x41C3, 0x49C3, 0x51E4, 0x6205, 0x7246, 
        0x8287, 0x92C8, 0xAB4A, 0xBBEC, 0xD4CF, 0xEDD4, 0xEE15, 0xDD73, 0xC4AF, 0xAC2D, 0x9BCC, 0xCD11, 0xDD92, 0xBD2F, 0x9C6B, 0x7BA7, 0x5AA3, 0x5AC2, 0x6302, 0x7364, 0x7384, 0x7384, 0x7383, 0x7383, 0x73A4, 0x7BE4, 0x8405, 0x9406, 0x9406, 0x8BC6, 
        0x83A6, 0x7BA5, 0x7BA5, 0x83E5, 0x9447, 0x9CA5, 0x9CA5, 0x9486, 0x9467, 0x9447, 0x9C28, 0x9BC9, 0x9BEB, 0xAC51, 0xA414, 0x9375, 0x82B2, 0x9BAE, 0xAC4E, 0xB454, 0xBC19, 0xBBBB, 0xB37E, 0xB3BD, 0xABDD, 0xABBD, 0xB3BD, 0xB3BC, 0xB3DA,
  0x7212, 0x7212, 0x7232, 0x7232, 0x7232, 0x7212, 0x7232, 0x7232, 0x7232, 0x7232, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A31, 0x7A31, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A53, 0x7A33, 0x7A53, 0x7A52, 0x7A52, 0x7A32, 0x7A52, 
        0x7A52, 0x8232, 0x8232, 0x8232, 0x8252, 0x8252, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 
        0x8253, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8A93, 0x8273, 0x8273, 0x8A74, 0x8A74, 0x8A74, 0x8A74, 0x8273, 0x8A93, 0x92D5, 0x8A95, 0x7212, 0x516F, 0x726F, 
        0x93D2, 0xCDF9, 0xF73D, 0xFF7F, 0xFF5E, 0xFFBE, 0xFFFE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDD, 0xF7D7, 0xF7D7, 0xFFFB, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBF, 0xFFBE, 0xF7DE, 0xF7DD, 0xF7BC, 0xFF9B, 0xF77B, 0xF77B, 0xF77A, 0xF77A, 0xF75B, 0xF75B, 0xF77B, 0xF77B, 0xF73B, 0xEF1A, 0xF71A, 0xF73B, 0xF77C, 0xF77C, 0xDEF8, 
        0xCE34, 0xAD4F, 0xA50C, 0xA52B, 0x94EA, 0x3A04, 0x39C6, 0x8C71, 0xC5D7, 0xC596, 0xA3EF, 0x7A87, 0x7266, 0x938A, 0xAC4D, 0xB48F, 0xCD33, 0xEF1C, 0xF7BE, 0xDEDB, 0xB554, 0x83AE, 0x5A69, 0xB492, 0xD4F4, 0xB2CC, 0x8925, 0x7062, 0x70A4, 0xC2CE, 
        0xD3B1, 0x9B8D, 0x6B4A, 0x6369, 0x6BCA, 0x94ED, 0xA52E, 0x946C, 0x7329, 0x6226, 0x5124, 0x6AC9, 0x7BAC, 0x6B8B, 0x52C9, 0x4246, 0x3A25, 0x8CAD, 0xA56F, 0x73EB, 0x4287, 0x31C5, 0x2963, 0x4A25, 0x4A25, 0x39C5, 0x5289, 0x7BEF, 0xAD54, 0x732A, 
        0x49C4, 0x2923, 0x2923, 0x39A4, 0x5286, 0x52C7, 0x52E7, 0x5AE8, 0x5AE9, 0x5AC9, 0x4A68, 0x2103, 0x2103, 0x5269, 0x6B0B, 0x6AEA, 0x5266, 0x4243, 0x4262, 0x5283, 0x5A63, 0x5A44, 0x62A6, 0x8C4A, 0x9D0B, 0x94E9, 0x94E8, 0x9D28, 0xA56A, 0xA50B, 
        0xACAC, 0xB42C, 0xB32B, 0xA228, 0x90E5, 0xA188, 0xA9C9, 0x9946, 0x9105, 0x8905, 0x9187, 0xAA4C, 0xC330, 0xDC96, 0xD4D6, 0xBBF2, 0x81E8, 0x4862, 0x4021, 0x5042, 0x6043, 0x6064, 0x6844, 0x6043, 0x5842, 0x5862, 0x5862, 0x5862, 0x6884, 0x8145, 
        0x91C6, 0x9206, 0x81E6, 0x69A5, 0x5164, 0x61C4, 0x7A87, 0xAC4D, 0xC5B1, 0xCE11, 0xBD8F, 0x9B8A, 0x92C9, 0x92EA, 0x930A, 0x930A, 0x934A, 0xCD0E, 0xDD8F, 0xCCEE, 0xB44C, 0xABEA, 0x9307, 0x59A3, 0x5A06, 0xACB1, 0xE659, 0xEEBB, 0xEE38, 0xF5F4, 
        0xF571, 0xDCD0, 0xDCB0, 0xE4F1, 0xF5B3, 0xF5B3, 0xED52, 0xDC8F, 0xD42F, 0xDC90, 0xE595, 0xF73B, 0xFF9D, 0xF75D, 0xF73C, 0xF75C, 0xFF9C, 0xFFBB, 0xFF9B, 0xFF7A, 0xFF5A, 0xFF5A, 0xFF5B, 0xF75B, 0xF75B, 0xF75B, 0xF75B, 0xF75B, 0xFF5B, 0xFFBD, 
        0xF77D, 0xD638, 0xB4F3, 0xA410, 0x9BEF, 0xD638, 0xEEFB, 0xDE38, 0xD5B6, 0xDDD6, 0xDE17, 0xCDB5, 0xC594, 0xD615, 0xDEB8, 0xE71A, 0xCE78, 0x5ACB, 0x2124, 0x18C3, 0x18A2, 0x20E3, 0x3164, 0x29A4, 0x2983, 0x2162, 0x2121, 0x1921, 0x1921, 0x2982, 
        0x29A3, 0x31C3, 0x39C3, 0x39C3, 0x39C3, 0x31C2, 0x31C2, 0x31E2, 0x4222, 0x4A63, 0x5284, 0x5224, 0x41C3, 0x2902, 0x1881, 0x1061, 0x1081, 0x39A6, 0x5289, 0x6B2B, 0x62EA, 0x4227, 0x18E2, 0x29A3, 0x39E3, 0x3162, 0x4163, 0x51E5, 0x72A8, 0x7245, 
        0x7205, 0x8A67, 0x9AE9, 0xA34A, 0xB40C, 0xCCD0, 0xDD12, 0xDD52, 0xD551, 0xCD10, 0xC50F, 0xDE33, 0xD632, 0x9C8A, 0x7344, 0x62C2, 0x5AE2, 0x6B82, 0x73C2, 0x7381, 0x7362, 0x7342, 0x7364, 0x7BC5, 0x7BC6, 0x7BC7, 0x83C6, 0x83C5, 0x83A3, 0x7B63, 
        0x7B63, 0x83E4, 0x8C45, 0x9485, 0x9CA6, 0xA487, 0x9C67, 0x9407, 0x83C6, 0x8385, 0x8B87, 0xB44F, 0xBC93, 0xB474, 0xA3D3, 0x9332, 0x8AD2, 0xBBF7, 0xCC7A, 0xC3FC, 0xB39D, 0xB37D, 0xB37C, 0xAB9B, 0xABBB, 0xABDC, 0xABBB, 0xABB9, 0xA396,
  0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A33, 0x7A33, 0x7A52, 0x7A52, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x7A53, 0x7A53, 0x7A53, 0x7A52, 0x7A52, 0x8232, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8272, 0x8272, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8253, 0x8253, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 
        0x8A93, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A94, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A74, 0x8A74, 0x8A73, 0x8A93, 0x92B4, 0x92B5, 0x8A95, 0x69D1, 0x490C, 0x4149, 0xAD15, 
        0xE6DC, 0xF73D, 0xFF7E, 0xFF7E, 0xFF9E, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDD, 0xF7D7, 0xF7D7, 0xFFFB, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBD, 0xFFBD, 0xF7BC, 0xF79C, 0xFF7C, 0xF77C, 0xF77C, 0xF77C, 0xF79C, 0xFF9D, 0xF79D, 0xF77C, 0xF75B, 0xF75B, 0xF75C, 0xFFBC, 
        0xEF7A, 0xC614, 0x946D, 0x6B49, 0x39C4, 0x1061, 0x0861, 0x3186, 0x6B6D, 0x9CB2, 0xBD95, 0x7ACA, 0x51A5, 0x5A26, 0x734A, 0x944E, 0xCDF5, 0xF77C, 0xE6DA, 0xA42F, 0x59E7, 0x3904, 0x3944, 0xC4B1, 0xF596, 0xD3D1, 0x9A0A, 0x6926, 0x48C4, 0x9AAC, 
        0xBB70, 0xAB8E, 0x8B6C, 0x734B, 0x5B69, 0x744B, 0x84AD, 0x944D, 0x832A, 0x7227, 0x5924, 0x8B2D, 0x9C10, 0x8B6D, 0x6269, 0x41A5, 0x29A4, 0x8CAE, 0x9D50, 0x6328, 0x3183, 0x2101, 0x2962, 0x4266, 0x4266, 0x2983, 0x20E3, 0x2924, 0x39A6, 0x3163, 
        0x2941, 0x2983, 0x31C4, 0x3A04, 0x4A85, 0x52E7, 0x5B29, 0x634A, 0x6B4B, 0x6B2A, 0x62E9, 0x4A86, 0x52A7, 0x734B, 0x7B6D, 0x6AEB, 0x4A27, 0x41E4, 0x4A44, 0x7368, 0x940B, 0x942C, 0x8BCB, 0x7BA7, 0x73C5, 0x7405, 0x7424, 0x7425, 0x8446, 0x9CAA, 
        0xB50E, 0xD551, 0xCC8F, 0xB32B, 0x8105, 0x9928, 0xA969, 0xA127, 0x9106, 0x9105, 0x9146, 0xAA0B, 0xC30F, 0xDCD6, 0xE558, 0xD4D5, 0x9AED, 0x48C3, 0x3821, 0x4842, 0x5863, 0x5862, 0x5062, 0x50C2, 0x50E2, 0x58A2, 0x68C2, 0x70E3, 0x8124, 0x6103, 
        0x48C2, 0x30C2, 0x28E3, 0x3184, 0x634A, 0xB552, 0xD615, 0xD5D3, 0xACEF, 0x83EC, 0x5A67, 0x79E7, 0x81C8, 0x6987, 0x5965, 0x5984, 0x72A6, 0xCDF3, 0xE6B6, 0xC530, 0xAC0D, 0xA3AC, 0x932B, 0x5964, 0x5984, 0xA40F, 0xDDF7, 0xEEDB, 0xF6FB, 0xFDF3, 
        0xF571, 0xF572, 0xED32, 0xF4F1, 0xF4D0, 0xFDB3, 0xF5D3, 0xDCF0, 0xDC6E, 0xDC6F, 0xED13, 0xFE57, 0xFF19, 0xFF7C, 0xF79D, 0xF79D, 0xFF7C, 0xFF7B, 0xFF7B, 0xFF9B, 0xFF9B, 0xFF9B, 0xFF9C, 0xFF9C, 0xFF9D, 0xFFBD, 0xFFBD, 0xF7BD, 0xF79C, 0xFFDD, 
        0xFFDD, 0xEF5C, 0xE6DA, 0xDE58, 0xCD95, 0xCDB6, 0xCDD6, 0xD5B6, 0xD5D6, 0xDE17, 0xEEB9, 0xEF3B, 0xE71B, 0xDE57, 0xDE16, 0xDE57, 0xE6D9, 0xCE58, 0x9D14, 0x4A89, 0x18E3, 0x18C1, 0x2963, 0x2962, 0x2142, 0x2142, 0x2942, 0x2942, 0x2941, 0x2982, 
        0x2982, 0x2982, 0x2982, 0x2982, 0x31A2, 0x3A23, 0x4243, 0x4243, 0x4244, 0x4A44, 0x5244, 0x5244, 0x4A24, 0x41C3, 0x3962, 0x2901, 0x1060, 0x1061, 0x2924, 0x630A, 0x736C, 0x5AA9, 0x20E4, 0x39C6, 0x4207, 0x3184, 0x41A4, 0x5A46, 0x832A, 0x7A87, 
        0x7225, 0x7A47, 0x8289, 0x82A9, 0x9309, 0xC40D, 0xD46E, 0xBC6D, 0xAC4E, 0xAC6F, 0xB4D0, 0xB54E, 0xA4EC, 0x7B86, 0x62C3, 0x62C2, 0x6B43, 0x6B63, 0x6B62, 0x7383, 0x7BC3, 0x83C4, 0x8BC5, 0x83C5, 0x7BC5, 0x7384, 0x7B63, 0x7B62, 0x83A1, 0x8C05, 
        0x8C66, 0x94A7, 0x9487, 0x8C46, 0x83C7, 0x946A, 0x9CAB, 0x944A, 0x83A7, 0x8345, 0x8B67, 0xC534, 0xCD59, 0xA395, 0x8AB1, 0x8AD0, 0xA392, 0xBC1B, 0xC41E, 0xBBDF, 0xB39E, 0xB39D, 0xB3BC, 0xABBC, 0xABBB, 0xA399, 0xA397, 0xA396, 0xA394,
  0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x8252, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x7A52, 0x7A52, 0x8253, 0x8253, 0x8252, 0x8252, 0x7A73, 0x7A73, 0x7A53, 0x8252, 0x8252, 0x8252, 0x8A53, 
        0x8A53, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8253, 0x8253, 0x8A53, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A93, 
        0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8293, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A93, 0x8A73, 0x8A93, 0x9AF5, 0x92F6, 0x8234, 0x6190, 0x516D, 0x628C, 0xCE59, 
        0xFFFF, 0xFFBF, 0xFF9F, 0xFF9F, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFD, 0xF7D7, 0xF7D6, 0xFFFB, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFBE, 0xFFDE, 0xF7BD, 0xFF9D, 0xFF7D, 0xFF7D, 0xFF9D, 0xFF9D, 0xFFBD, 0xFFDE, 0xFFDE, 0xF7BD, 0xF77C, 0xF75C, 0xF75C, 0xFFBC, 
        0xF75A, 0xC5D4, 0x83CD, 0x5268, 0x10A2, 0x0061, 0x0061, 0x10A2, 0x4249, 0x8450, 0xC638, 0x7B0C, 0x4986, 0x41C6, 0x52A8, 0x73AB, 0xAD72, 0xEF3B, 0xDE99, 0x832B, 0x40E3, 0x30A2, 0x51E6, 0xC470, 0xE4F2, 0xC36F, 0x91EA, 0x6927, 0x4905, 0x92CD, 
        0xB3B0, 0xB3AF, 0x9B6D, 0x7B4B, 0x5B29, 0x640A, 0x746C, 0x8C0C, 0x8B2A, 0x8248, 0x7145, 0x9B0D, 0xABD0, 0x934D, 0x7269, 0x51C6, 0x39A5, 0x844D, 0x94AE, 0x5AC7, 0x3162, 0x2941, 0x31A3, 0x3A45, 0x3225, 0x2962, 0x1881, 0x1040, 0x1861, 0x2922, 
        0x31A3, 0x3A04, 0x4224, 0x4224, 0x4A64, 0x5B08, 0x636A, 0x6B6A, 0x738B, 0x738B, 0x738B, 0x6B28, 0x6B48, 0x7BAB, 0x734C, 0x62AA, 0x41E7, 0x5AA8, 0x7B8A, 0xA4CF, 0xC593, 0xCDB4, 0xB511, 0x6326, 0x4AA1, 0x5342, 0x63C3, 0x6BC3, 0x73C4, 0x9449, 
        0xACED, 0xCD71, 0xCCF0, 0xB38C, 0x8966, 0xA128, 0xA94A, 0xA128, 0x98E7, 0x90E6, 0x9106, 0xAA0A, 0xC30F, 0xDCD6, 0xED99, 0xE578, 0xBBF1, 0x4925, 0x2821, 0x4042, 0x5062, 0x5862, 0x5082, 0x50E2, 0x58E2, 0x60C2, 0x68C3, 0x7903, 0x7923, 0x48A1, 
        0x3061, 0x3103, 0x39E6, 0x5B09, 0x94D0, 0xC5B4, 0xCDB4, 0xB4D0, 0x834A, 0x5226, 0x30E4, 0x824B, 0x9AAD, 0x6188, 0x40E3, 0x4102, 0x7286, 0xD675, 0xE738, 0xB510, 0x938B, 0x8B2A, 0x82CA, 0x5923, 0x6164, 0xA40F, 0xDE38, 0xF73C, 0xFF7C, 0xFDF5, 
        0xFD72, 0xFDD4, 0xF5B5, 0xF574, 0xF4F2, 0xFDB4, 0xF5D3, 0xE530, 0xDCAF, 0xE4B0, 0xED33, 0xF657, 0xFEF9, 0xF77B, 0xF7BD, 0xF7BD, 0xFF9C, 0xFF7B, 0xFF7B, 0xFF7B, 0xFF9B, 0xFF9C, 0xFF9D, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xF7BD, 0xFFDD, 
        0xFFFE, 0xFFDE, 0xEF3C, 0xDE79, 0xBD14, 0xBCF3, 0xCD34, 0xD5D6, 0xE678, 0xEEDA, 0xF71B, 0xF75C, 0xEF1B, 0xE678, 0xDE16, 0xE637, 0xEEF9, 0xFFBD, 0xDEDB, 0x73AE, 0x3165, 0x20E2, 0x2142, 0x2141, 0x2121, 0x2922, 0x2943, 0x2943, 0x2962, 0x2961, 
        0x2962, 0x2982, 0x2982, 0x2982, 0x31A2, 0x4223, 0x4A64, 0x4A64, 0x4A64, 0x5264, 0x5A65, 0x5265, 0x5265, 0x5264, 0x5224, 0x41C3, 0x2902, 0x18A1, 0x2923, 0x62E9, 0x736B, 0x5AA8, 0x2104, 0x3986, 0x41C7, 0x31A4, 0x39E4, 0x5A66, 0x834A, 0x8AC8, 
        0x8287, 0x7A68, 0x7A68, 0x7A68, 0x8A89, 0xBBCC, 0xC42D, 0xB42C, 0xA42D, 0xAC4E, 0xAC6F, 0x944A, 0x83C7, 0x6B04, 0x62E3, 0x6B03, 0x7B84, 0x7343, 0x6B23, 0x7384, 0x83E5, 0x8BE5, 0x93E5, 0x7BC4, 0x73A4, 0x7B84, 0x7B83, 0x8383, 0x83E3, 0x9466, 
        0x94A8, 0x9CA8, 0x9488, 0x8C28, 0x83C9, 0x946A, 0x9CAB, 0x944A, 0x8BE8, 0x8B86, 0x8BA8, 0xBCF3, 0xBCD7, 0x9B53, 0x8AB1, 0x9B12, 0xB415, 0xBBFC, 0xB3BF, 0xB3BD, 0xB3BC, 0xB3BB, 0xB3DA, 0xABBB, 0xABBA, 0xA398, 0xA396, 0xA396, 0xA3B6,
  0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8232, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x8252, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x8252, 0x8253, 0x8253, 0x8253, 0x7A53, 0x7A52, 0x7A53, 0x8253, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 
        0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8273, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A93, 
        0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8AB3, 0x8A93, 0x8A93, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A93, 0x8A93, 0x8A94, 0x8A73, 0x8A53, 0x8A73, 0x9B36, 0x9316, 0x69F1, 0x69F0, 0x8AF3, 0xCD59, 0xF75E, 
        0xFFFF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDD, 0xFFD6, 0xFFD6, 0xFFFB, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBD, 0xF7BD, 0xF7BD, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFBD, 0xF7BE, 0xF7BE, 0xF7BD, 0xFF9D, 0xFF7C, 0xFF7B, 
        0xEF18, 0xBD93, 0x83AD, 0x5268, 0x18C2, 0x0122, 0x0142, 0x1103, 0x4228, 0x83EF, 0xCE18, 0x93AE, 0x6A69, 0x5A88, 0x52C8, 0x5B08, 0x73EC, 0xBE36, 0xBDF7, 0x6B2C, 0x49C6, 0x5A07, 0x938C, 0xC44E, 0xC3CD, 0x9228, 0x7905, 0x7106, 0x89C9, 0xB36F, 
        0xC3F1, 0xAB8E, 0x8B2C, 0x7B0A, 0x6329, 0x63CA, 0x6C0A, 0x7BCB, 0x8B2A, 0x9289, 0x91C7, 0xA229, 0xA2AA, 0x9AEC, 0x8ACB, 0x7289, 0x5A67, 0x840C, 0x840C, 0x4A66, 0x2963, 0x3163, 0x41E5, 0x31C5, 0x2984, 0x2922, 0x28C1, 0x28A1, 0x38C2, 0x49A5, 
        0x4A26, 0x4A45, 0x4244, 0x4223, 0x4224, 0x5B08, 0x6B6A, 0x6B6A, 0x73AB, 0x7BED, 0x8C2E, 0x736A, 0x6B29, 0x6B6A, 0x62E9, 0x4A47, 0x49E6, 0xA4B1, 0xD636, 0xE6D9, 0xEF3B, 0xEF3B, 0xC616, 0x4267, 0x1961, 0x42C2, 0x6BE4, 0x7C45, 0x7C25, 0x7BA6, 
        0x83C8, 0xA46C, 0xB44D, 0xAB8B, 0x9208, 0xA9AA, 0xB16A, 0xA109, 0x98C7, 0x90C7, 0x9927, 0xB22B, 0xC30F, 0xE495, 0xF599, 0xF5B8, 0xC493, 0x4966, 0x1821, 0x3821, 0x5862, 0x6083, 0x60A2, 0x5881, 0x6081, 0x60A2, 0x6082, 0x5882, 0x48A2, 0x4923, 
        0x59E6, 0x936B, 0xC4F0, 0xD5B3, 0xC552, 0x7A89, 0x6165, 0x71E5, 0x61E4, 0x4963, 0x3945, 0xB455, 0xC4D7, 0x6A8C, 0x4165, 0x51C5, 0x9BCB, 0xD653, 0xD694, 0xA44C, 0x72A6, 0x59E4, 0x5183, 0x6983, 0x8AA8, 0xC554, 0xEF3B, 0xF7BE, 0xF75C, 0xF5F7, 
        0xF596, 0xFE17, 0xFE58, 0xF638, 0xF5F6, 0xF5D6, 0xF5D4, 0xF572, 0xED72, 0xEDB3, 0xEE56, 0xF73B, 0xFF7C, 0xF75B, 0xF75B, 0xF77B, 0xFFBC, 0xFFBC, 0xFF7C, 0xFF5B, 0xFF5B, 0xFF5C, 0xFFBE, 0xFFDF, 0xFFDE, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFDE, 0xFFFE, 
        0xFFFE, 0xF77D, 0xCDF7, 0xA451, 0x728A, 0xB431, 0xDD76, 0xEE9A, 0xF73C, 0xF75C, 0xEEFB, 0xDDD7, 0xDD96, 0xE639, 0xF6BA, 0xF6BA, 0xEEBA, 0xF77D, 0xE6FB, 0x9CB2, 0x5A89, 0x3165, 0x18C2, 0x2942, 0x3182, 0x2942, 0x2122, 0x2142, 0x2983, 0x2962, 
        0x2961, 0x2982, 0x2982, 0x3182, 0x3182, 0x39C3, 0x3A03, 0x4243, 0x5284, 0x5AA4, 0x62E5, 0x62A5, 0x62A5, 0x62C6, 0x6AE6, 0x6AC7, 0x5A86, 0x4A03, 0x4A23, 0x62E7, 0x6328, 0x5286, 0x2963, 0x2104, 0x2123, 0x2962, 0x31E3, 0x4A65, 0x72E8, 0x92E9, 
        0x9AC9, 0x92C9, 0x8AA9, 0x8269, 0x8248, 0x9B0A, 0xA3AC, 0xBC6E, 0xC510, 0xC531, 0xB4AF, 0x7306, 0x6282, 0x6AC3, 0x7344, 0x7B83, 0x7BA3, 0x7365, 0x7345, 0x7386, 0x7BA6, 0x7BA5, 0x7BA5, 0x7B84, 0x7BA4, 0x8BC6, 0x8C07, 0x8C27, 0x8C47, 0x9427, 
        0x9427, 0x9428, 0x9449, 0x9C6A, 0x9C8A, 0x8C26, 0x8C05, 0x9428, 0xA42B, 0xA44C, 0x9C0C, 0x8B8B, 0x8B4C, 0x936F, 0xA3D3, 0xB436, 0xC45B, 0xAB7D, 0xA33B, 0xAB98, 0xABD7, 0xABF6, 0xABD7, 0xABB7, 0xABB8, 0xABB8, 0xABD9, 0xB3DA, 0xB3FC,
  0x7232, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x8233, 0x8A33, 0x8A33, 0x8253, 0x8233, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8233, 0x8233, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A94, 
        0x8A94, 0x8A73, 0x8273, 0x8293, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8A94, 0x8A94, 0x8A94, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A94, 0x8A94, 0x8AB4, 0x8252, 0x6990, 0x7A52, 0xA416, 0xE6FD, 0xFFDF, 
        0xFFFF, 0xFFDF, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDB, 0xFFB5, 0xFFB5, 0xFFDA, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFBE, 0xF79D, 0xF79D, 0xF7BD, 0xFFDC, 0xFFDC, 0xFFBC, 0xF7BD, 0xF7BE, 0xF7BE, 0xF7BE, 0xF79D, 0xF79C, 0xFFDC, 
        0xEF7B, 0xC5F4, 0x8C0E, 0x5AA9, 0x2102, 0x0142, 0x0142, 0x10E3, 0x39A6, 0x72CB, 0xB471, 0x93AD, 0x7B4B, 0x7BAC, 0x7BED, 0x7C0C, 0x740B, 0x6BCB, 0x638A, 0x6B0A, 0x730A, 0x834A, 0x93AC, 0xAB8C, 0xAB2B, 0xAA8A, 0xAA4B, 0xB28C, 0xC32F, 0xD3B1, 
        0xCB91, 0xAB2D, 0x92CB, 0x7AC9, 0x62E8, 0x5367, 0x5388, 0x6369, 0x7349, 0x830A, 0x9A89, 0x9208, 0x9A29, 0xA2EB, 0x92EC, 0x7AAA, 0x6A88, 0xACEF, 0xAD0F, 0x5AA8, 0x2923, 0x2903, 0x41A5, 0x49C5, 0x41A5, 0x4144, 0x40E3, 0x48C3, 0x50E3, 0x6206, 
        0x6287, 0x4A66, 0x4224, 0x3A04, 0x3A04, 0x52C7, 0x5B49, 0x636A, 0x6B8B, 0x6BAC, 0x73AB, 0x6B8A, 0x6329, 0x5287, 0x4A46, 0x52A8, 0x83ED, 0xD637, 0xF73C, 0xF77D, 0xE73B, 0xCE78, 0x946F, 0x3184, 0x1901, 0x4AA4, 0x6BC5, 0x7405, 0x73E5, 0x83C8, 
        0x93CA, 0xA3CB, 0xA38A, 0xA329, 0x9A67, 0xB1EA, 0xB18A, 0x98E7, 0x90A5, 0x90C6, 0xA168, 0xBA2B, 0xCB0F, 0xE4F6, 0xE5B8, 0xD535, 0x9B2D, 0x30E3, 0x1821, 0x4042, 0x6083, 0x6883, 0x6082, 0x5082, 0x48A2, 0x40E3, 0x4924, 0x5186, 0x72AA, 0xACAF, 
        0xC571, 0xCD50, 0xCC6E, 0xBBAA, 0x8246, 0x5145, 0x59A6, 0x930A, 0x9B2A, 0x7268, 0x5186, 0xBC14, 0xCC97, 0x8AAD, 0x7289, 0x93CC, 0xCDF2, 0xB4EB, 0x9C08, 0x8B28, 0x7246, 0x59A4, 0x5164, 0xAC0E, 0xE5B4, 0xEEDA, 0xF73C, 0xF71B, 0xF678, 0xF658, 
        0xFE58, 0xFE58, 0xF657, 0xF637, 0xF638, 0xF658, 0xF699, 0xF6B9, 0xF71A, 0xF75A, 0xF79A, 0xFFBD, 0xFF9E, 0xFF7C, 0xFF7B, 0xFF9C, 0xFFBD, 0xFF9D, 0xFF7C, 0xFF3B, 0xFF3B, 0xFF7C, 0xFFDE, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 
        0xFFDE, 0xF71C, 0xDDB8, 0xBC73, 0x9B4F, 0xCD96, 0xEEBB, 0xF6BA, 0xEE58, 0xE5F6, 0xD513, 0xABF0, 0xAC32, 0xD5F8, 0xEF1C, 0xF71C, 0xEEBA, 0xF6F9, 0xEED8, 0xCDF6, 0x9450, 0x5ACA, 0x2103, 0x31A3, 0x3A03, 0x2983, 0x2942, 0x2942, 0x3182, 0x31A2, 
        0x31A2, 0x31A2, 0x3182, 0x3182, 0x3162, 0x31A3, 0x31E3, 0x4223, 0x4A43, 0x4A63, 0x5284, 0x5AA5, 0x5AC5, 0x6AE6, 0x7306, 0x7305, 0x6B05, 0x6B07, 0x7348, 0x7388, 0x7388, 0x6B47, 0x4A45, 0x18E2, 0x0881, 0x2101, 0x31A2, 0x4A03, 0x6A85, 0x8A67, 
        0x9A68, 0x9289, 0x9AC9, 0x9AEA, 0x9AAA, 0x79E8, 0x8229, 0xB42F, 0xDDD4, 0xE676, 0xC5D3, 0x72E7, 0x5A01, 0x62A2, 0x6B43, 0x6B62, 0x6341, 0x6B63, 0x6B64, 0x6B64, 0x6B64, 0x7364, 0x7BA5, 0x8C07, 0x9427, 0x9445, 0x8C44, 0x8C05, 0x83C6, 0x8BE5, 
        0x9425, 0x9485, 0x9CC5, 0xA4C5, 0x9C65, 0x7B85, 0x7346, 0x938B, 0xB431, 0xBC95, 0xB496, 0x830A, 0x72A6, 0x8BAA, 0xA451, 0xAC76, 0xB41B, 0xA357, 0xA335, 0xAB95, 0xABD6, 0xABD7, 0xABB8, 0xB3D9, 0xB3D9, 0xB3BA, 0xB3BB, 0xB3BC, 0xB39E,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x8252, 0x8A53, 0x8A53, 0x8253, 0x7A53, 
        0x7253, 0x8253, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A73, 0x8A73, 0x8A74, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8293, 
        0x8293, 0x8A93, 0x8A93, 0x8A73, 0x8A93, 0x8A93, 0x8A94, 0x8A74, 0x8A73, 0x8A73, 0x8A93, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8293, 0x8A93, 0x8A93, 0x8AB4, 0x8AB4, 0x8AB4, 0x8212, 0x79D1, 0x8212, 0x9B56, 0xBCD9, 0xEF3E, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDC, 0xF7D6, 0xF7D5, 0xFFFA, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFBD, 0xF79D, 0xF79D, 0xF7BD, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFDE, 
        0xF79C, 0xCE56, 0x948E, 0x62E9, 0x1902, 0x0142, 0x0982, 0x1903, 0x20A3, 0x28A3, 0x4145, 0x6268, 0x730A, 0x7BAD, 0x844E, 0x848F, 0x8CCF, 0x8CCF, 0x94CF, 0x948F, 0x944E, 0x93ED, 0x938C, 0xAB6C, 0xA2EB, 0x81E8, 0x7967, 0x8988, 0xAA0A, 0xC28D, 
        0xC2CE, 0xC32E, 0xB32D, 0x9B0B, 0x72C9, 0x5B07, 0x5327, 0x5327, 0x5B07, 0x62C7, 0x7AA9, 0xB36E, 0xCBD0, 0xBB90, 0x92CC, 0x61E9, 0x41C7, 0xB592, 0xD634, 0x8B4B, 0x5145, 0x48C3, 0x5944, 0x61C6, 0x61E7, 0x6966, 0x68E4, 0x68A4, 0x68E4, 0x7247, 
        0x72C7, 0x5286, 0x4224, 0x3A03, 0x3A03, 0x52A7, 0x5B09, 0x6B6B, 0x73AC, 0x73CC, 0x6B8B, 0x4A86, 0x4225, 0x5267, 0x7B8C, 0xA4D2, 0xDE9A, 0xF6FC, 0xFF1C, 0xF75C, 0xD699, 0xAD54, 0x6B0A, 0x39E2, 0x3A01, 0x5304, 0x6BA5, 0x6B85, 0x6365, 0x73C7, 
        0x8429, 0xA44B, 0xAC2C, 0xABAB, 0xA2E9, 0xAA4A, 0xA9EA, 0x9948, 0x9106, 0x9906, 0xA148, 0xB20B, 0xC2EF, 0xDCB5, 0xDD56, 0xCCB3, 0x8AAB, 0x40A3, 0x3020, 0x4061, 0x4862, 0x4082, 0x4144, 0x6AAA, 0x8B8D, 0xAC70, 0xBCF2, 0xC533, 0xB4D2, 0x8268, 
        0x6964, 0x7165, 0x6144, 0x5103, 0x4965, 0xAC52, 0xDD77, 0xD4F3, 0xB3AD, 0x8AA9, 0x69C8, 0xB370, 0xCBF2, 0xAB2D, 0xA3AC, 0xBCEF, 0xDE53, 0x9C09, 0x8B06, 0x9329, 0x932A, 0x82C9, 0x7A88, 0xB410, 0xD535, 0xEE38, 0xF6D9, 0xFED9, 0xF698, 0xF699, 
        0xF699, 0xF698, 0xFEB8, 0xFEF9, 0xFF5B, 0xFF9D, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBD, 0xFF7C, 0xFF7B, 0xF77C, 0xEF3C, 0xE71B, 0xE699, 0xEDF7, 0xF618, 0xF6DB, 0xEF5C, 0xEF5C, 0xE75C, 0xEF5C, 0xEF5C, 0xEF7D, 0xEF7D, 0xEF9D, 0xEF9D, 0xF7BE, 
        0xF7BE, 0xF77D, 0xEEDB, 0xDDD8, 0xBC53, 0xB3D0, 0xC431, 0xDD35, 0xEDB6, 0xE5B6, 0xD4F3, 0xB411, 0xAC31, 0xBD14, 0xCDD7, 0xDE58, 0xE678, 0xD5B5, 0xD5B5, 0xDE78, 0xBDB6, 0x8C30, 0x39A6, 0x18C2, 0x18C1, 0x2122, 0x2962, 0x2962, 0x3182, 0x31C3, 
        0x39E3, 0x39E3, 0x31A3, 0x3182, 0x2962, 0x31A3, 0x31E3, 0x3A03, 0x3A22, 0x3A22, 0x4201, 0x41E2, 0x4A23, 0x6AE6, 0x7B47, 0x7B47, 0x7325, 0x7B66, 0x83A7, 0x83C7, 0x8C08, 0x946A, 0x8C0B, 0x3164, 0x0860, 0x18C1, 0x3983, 0x5204, 0x7AA7, 0x9288, 
        0x9268, 0x9268, 0x9A89, 0x9AAA, 0xA2EC, 0xA30D, 0xA36E, 0xB410, 0xB44F, 0xA40D, 0x8368, 0x7324, 0x6B23, 0x7343, 0x6B62, 0x6341, 0x5B21, 0x6B41, 0x6B62, 0x6B62, 0x7383, 0x7BC3, 0x8404, 0x8404, 0x8404, 0x83E3, 0x83E4, 0x83E5, 0x8C28, 0x9C88, 
        0xA487, 0x9445, 0x83E3, 0x83A3, 0x8387, 0xA3F2, 0xB417, 0xB418, 0xB419, 0xB419, 0xABF7, 0x8B4B, 0x8347, 0x93EA, 0x9C0F, 0x9BB2, 0x9B37, 0xB3DB, 0xBC3B, 0xB3FB, 0xB3DB, 0xB3DC, 0xB3DD, 0xB3BC, 0xB39B, 0xB3BC, 0xB3BD, 0xB3BD, 0xB3BD,
  0x7A32, 0x7A32, 0x7A32, 0x8233, 0x8232, 0x8252, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8272, 0x8272, 0x8252, 0x7A52, 0x8232, 0x8252, 0x8252, 0x8253, 0x8253, 0x7A53, 
        0x7A73, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8293, 
        0x8293, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8A94, 0x8AB4, 0x8A94, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8AB4, 0x92D4, 0x92D4, 0x79D2, 0x7192, 0x8A94, 0xAC17, 0xCD7A, 0xF77E, 0xFFDF, 
        0xFFDF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDC, 0xFFD5, 0xFFD5, 0xFFFA, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBF, 0xFFBE, 0xFFBE, 0xFFBD, 0xF7BD, 0xF7BD, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 
        0xF7BD, 0xD6B7, 0x9CF0, 0x6B2A, 0x1902, 0x1121, 0x1962, 0x2122, 0x28E2, 0x38E3, 0x5984, 0x72A8, 0x834A, 0x83AC, 0x8C0D, 0x946F, 0x94F0, 0x94F0, 0x94F0, 0x9CD0, 0xA4D0, 0xACB0, 0xAC4F, 0x930C, 0x7A49, 0x51A5, 0x4924, 0x50E4, 0x70C5, 0x88E6, 
        0x9128, 0xA209, 0xAA8B, 0xAACB, 0x9AEA, 0x7AC7, 0x6AC5, 0x62E6, 0x5AC6, 0x5AA7, 0x72C9, 0xBBAF, 0xD3F0, 0xB34E, 0x824A, 0x5167, 0x41A7, 0xBDD6, 0xD679, 0x7B2C, 0x38E3, 0x3081, 0x4903, 0x61A6, 0x69A7, 0x6925, 0x68A3, 0x6862, 0x6882, 0x6964, 
        0x6205, 0x5245, 0x4A45, 0x4224, 0x4204, 0x52A7, 0x5B09, 0x6B6B, 0x7BED, 0x840E, 0x7BCD, 0x4206, 0x4207, 0x9450, 0xD638, 0xEEDB, 0xF73D, 0xF73E, 0xF75E, 0xEF3C, 0xCE18, 0xA4B2, 0x5A88, 0x4223, 0x4AA4, 0x6366, 0x6BC7, 0x63A5, 0x5B24, 0x6B67, 
        0x83AA, 0x9C4C, 0xBCAF, 0xCCD0, 0xD470, 0xAACB, 0x9A09, 0xA1C9, 0xA168, 0x9927, 0x9907, 0xA9CA, 0xBAEE, 0xD4D5, 0xD556, 0xB492, 0x7288, 0x28A2, 0x1861, 0x3104, 0x51E6, 0x72CA, 0x9CB0, 0xBDB5, 0xB575, 0xA430, 0x828A, 0x79E8, 0x7166, 0x6082, 
        0x68A3, 0x91E8, 0x9A8A, 0x928A, 0x8A8B, 0xCC13, 0xD413, 0x9A8B, 0x89E8, 0x9A6A, 0xC370, 0xAAED, 0x928B, 0x8AA9, 0xA3CC, 0xBD30, 0xD674, 0x9BEB, 0x7AC7, 0x930A, 0xA38D, 0xABCE, 0xA38D, 0x8269, 0x8AAB, 0xC513, 0xEEB8, 0xFF1A, 0xFEF9, 0xF6FA, 
        0xF6DA, 0xFEFA, 0xFF19, 0xFF3A, 0xFF7B, 0xFFDD, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFDE, 0xF75C, 0xE698, 0xD5F6, 0xB4F3, 0x8BCE, 0x7B0B, 0x8289, 0xC3F0, 0xDCD3, 0xCD34, 0xB513, 0x9CB1, 0x83EE, 0x8C0E, 0x9C4F, 0xA492, 0xB514, 0xB555, 0xBDD6, 0xCDF8, 
        0xDE19, 0xE63A, 0xDD77, 0xBC73, 0x92AC, 0x924A, 0xA2ED, 0xD4D4, 0xEDF8, 0xEE19, 0xDD96, 0xB492, 0xAC10, 0xAC10, 0xBCD3, 0xD5B6, 0xEEB9, 0xD5B4, 0xD594, 0xE698, 0xEEF9, 0xDE98, 0xA4B1, 0x3165, 0x1061, 0x2102, 0x3162, 0x3182, 0x2962, 0x31C3, 
        0x3A04, 0x3A03, 0x39E3, 0x39C3, 0x31A2, 0x3181, 0x31A2, 0x3202, 0x3A43, 0x4243, 0x4A43, 0x41C1, 0x49E2, 0x7306, 0x8388, 0x8387, 0x7B45, 0x8366, 0x8B85, 0x8385, 0x8BE7, 0x9C6A, 0x9C4C, 0x3184, 0x0840, 0x18C1, 0x3162, 0x49E3, 0x7A86, 0x9B0A, 
        0xA30A, 0x92A9, 0x9289, 0x9AAA, 0xAB2D, 0xB3AF, 0xB3AF, 0x9B8E, 0x8B2B, 0x7AC9, 0x6AA6, 0x7B64, 0x83E4, 0x8405, 0x7C05, 0x7BE4, 0x7BC3, 0x7BA3, 0x7BA4, 0x83E4, 0x83E5, 0x7BC5, 0x7BA5, 0x8C06, 0x9446, 0x9446, 0x9C67, 0x9C67, 0x9C47, 0x8BE4, 
        0x83A3, 0x8385, 0x8386, 0x83A8, 0x93EB, 0xAC33, 0xB437, 0xB418, 0xABD8, 0xA3B6, 0x9352, 0x934B, 0x8B69, 0x938C, 0xA3B0, 0xABD3, 0xBC18, 0xBC3C, 0xB41E, 0xB3BE, 0xAB9E, 0xAB9D, 0xAB9D, 0xBBDD, 0xBBFE, 0xBBDD, 0xB3BD, 0xB3BD, 0xBBDD,
  0x7212, 0x7212, 0x7A32, 0x7232, 0x7232, 0x7232, 0x7A12, 0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8232, 0x8A32, 0x8232, 0x7A52, 0x7A32, 0x7A33, 0x8253, 0x8A53, 0x8253, 0x7A53, 0x7A53, 
        0x7A53, 0x8253, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8253, 
        0x8253, 0x8273, 0x8A93, 0x8A93, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A74, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8A74, 0x8A94, 0x8A94, 0x8A74, 0x9274, 0x9294, 0x9294, 0x9295, 0x8254, 0x69D1, 0x7A92, 0x9C15, 0xDEBC, 0xFFBE, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDB, 0xFFD5, 0xFFD4, 0xFFFA, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBE, 0xFFBE, 0xFFBE, 0xF7BD, 0xF7BD, 0xF79C, 0xFFBD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 
        0xF7BD, 0xDEF9, 0xAD52, 0x738C, 0x2103, 0x1921, 0x2162, 0x2142, 0x3163, 0x41C4, 0x6267, 0x82E9, 0x934B, 0x9BEC, 0x9C6D, 0x9CAE, 0x94CF, 0x8C6F, 0x842F, 0x8C4F, 0xA4F1, 0xBDD4, 0xCDF6, 0x6A48, 0x4944, 0x6AE9, 0x83CC, 0x83AC, 0x7289, 0x6145, 
        0x50E4, 0x50E4, 0x58E3, 0x58E3, 0x60E3, 0x6164, 0x61C4, 0x6225, 0x62A6, 0x6AE8, 0x7B4A, 0x9B0C, 0xA2CC, 0x926B, 0x79C8, 0x6946, 0x69A7, 0xC576, 0xCE18, 0x6B2C, 0x2924, 0x20C2, 0x3123, 0x4924, 0x50E4, 0x50A3, 0x4842, 0x4821, 0x4841, 0x4881, 
        0x4923, 0x5A46, 0x5AA7, 0x5286, 0x41E4, 0x4A86, 0x5308, 0x634A, 0x5AC9, 0x4227, 0x39C6, 0x842E, 0xB5B4, 0xDEDA, 0xEF3D, 0xF71D, 0xEEDD, 0xF77E, 0xF77E, 0xDE5A, 0xACB3, 0x7B4D, 0x41C6, 0x4A67, 0x5B08, 0x6BA9, 0x6BA8, 0x5B66, 0x5304, 0x7C08, 
        0x8C6A, 0x9C4B, 0xB4CE, 0xCD51, 0xDD73, 0xAB0C, 0x91E8, 0x99A8, 0x9967, 0x9127, 0x9107, 0xBA2B, 0xD390, 0xDD36, 0xBD35, 0x8C10, 0x41C7, 0x31A6, 0x4A8A, 0x9491, 0xB575, 0xC5D6, 0xB574, 0x62CB, 0x41A7, 0x4986, 0x6125, 0x7946, 0x9167, 0x78C3, 
        0x78C3, 0xA229, 0xC36E, 0xD410, 0xC431, 0xB2CE, 0x91CB, 0x5926, 0x59A7, 0x82AC, 0xBBB1, 0x7187, 0x5924, 0x82E9, 0xB4EF, 0xD5F3, 0xD613, 0x8B28, 0x7A25, 0x9B0A, 0xA38D, 0x9B4C, 0x7A69, 0x79C6, 0x92AA, 0xCD55, 0xF71C, 0xFF7D, 0xFF1B, 0xF6FA, 
        0xF6F9, 0xFF1A, 0xFF3B, 0xFF7C, 0xF7BD, 0xEF5D, 0xE73C, 0xE73C, 0xE6FB, 0xDE79, 0xB4F3, 0x7AA9, 0x59A5, 0x5145, 0x4104, 0x30C3, 0x38A2, 0x6924, 0x89A6, 0x91E7, 0x91E7, 0x8186, 0x68E4, 0x58C3, 0x6104, 0x91A8, 0xB24B, 0xBAAD, 0xBB0E, 0xC391, 
        0xC3F2, 0xD474, 0xDC94, 0xD453, 0xCBF1, 0xCC11, 0xDC93, 0xE577, 0xDD77, 0xC4B4, 0x9B2D, 0x82AA, 0x934D, 0xC575, 0xE6DB, 0xEF1C, 0xEE99, 0xCD53, 0xC532, 0xDE15, 0xE698, 0xE698, 0xB553, 0x39C6, 0x1061, 0x18A1, 0x2122, 0x2942, 0x2963, 0x39A3, 
        0x39C3, 0x39E3, 0x3A03, 0x3A03, 0x39E3, 0x31A2, 0x29A2, 0x39E2, 0x4223, 0x4243, 0x4223, 0x4202, 0x5243, 0x6AE6, 0x7B47, 0x7B27, 0x7306, 0x7B65, 0x8385, 0x8BA5, 0x9406, 0x9449, 0x8C0A, 0x2963, 0x0840, 0x20E1, 0x3982, 0x51E3, 0x7245, 0x9246, 
        0x9A67, 0x9AA9, 0x92AA, 0x9289, 0xA2AA, 0xCC72, 0xD4F3, 0xAC2E, 0x8B8A, 0x7B28, 0x72E6, 0x7343, 0x6B82, 0x7363, 0x7B63, 0x8384, 0x8BC7, 0x9C0D, 0x9C2F, 0xA40E, 0xA40E, 0xAC2F, 0xAC4F, 0xA42D, 0x9C0C, 0x940B, 0x93EA, 0x8BA9, 0x8B47, 0x8B86, 
        0x8B88, 0x8B8A, 0x93AC, 0x93CC, 0x9BEE, 0xA3D3, 0xABB6, 0xA398, 0xABBA, 0xABD9, 0xB416, 0xBC13, 0xBC13, 0xABB6, 0xA356, 0xA314, 0x9B12, 0xB3D8, 0xBC1B, 0xBBFD, 0xBBDE, 0xBBBE, 0xB39D, 0xABBD, 0xAB9D, 0xB39D, 0xB39C, 0xB39C, 0xB3BC,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A33, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8253, 0x8A33, 0x8253, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x8A53, 0x8A53, 
        0x8A53, 0x8253, 0x8273, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8A53, 0x8A53, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8273, 
        0x8273, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A94, 0x8A74, 0x8A74, 0x8A94, 0x8A94, 0x8A94, 0x8A74, 0x9294, 0x9294, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x92B4, 0x8A74, 0x79D2, 0x7A11, 0x8AB2, 0xB4B6, 0xE71C, 
        0xFFDF, 0xFFDF, 0xFFBF, 0xFFBE, 0xFFBE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDB, 0xFFD4, 0xFFD4, 0xFFDA, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xF7DE, 0xF7DD, 0xF7BD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFDF, 0xFF9E, 
        0xFF7D, 0xEF3B, 0xBDD5, 0x7BEE, 0x2103, 0x08A0, 0x1901, 0x3162, 0x51C4, 0x6226, 0x72A8, 0x82C8, 0x9329, 0xA40D, 0xA4AF, 0x9CB0, 0x848F, 0x844E, 0x7C2E, 0x842D, 0x9CCF, 0xB552, 0xC5B4, 0x832B, 0x5A26, 0x5A65, 0x6B48, 0x844C, 0xA572, 0xA4B1, 
        0x9BEF, 0x8B4B, 0x7288, 0x6206, 0x4144, 0x3923, 0x4985, 0x72A7, 0x7B08, 0x6AA7, 0x51A4, 0x69C6, 0x71C7, 0x6125, 0x58C3, 0x60C4, 0x7946, 0x9A8B, 0x9AEC, 0x7A89, 0x6A88, 0x62A7, 0x5A66, 0x38E2, 0x3021, 0x3841, 0x4062, 0x4882, 0x5904, 0x69E5, 
        0x7266, 0x7AE8, 0x7B08, 0x72A8, 0x5A26, 0x5A86, 0x52A6, 0x4245, 0x31A3, 0x2943, 0x4207, 0xBDF7, 0xF79D, 0xF79E, 0xF75E, 0xF71D, 0xF73D, 0xFFBF, 0xFFDF, 0xEF3D, 0xD619, 0xB535, 0x7BAD, 0x62C8, 0x62E7, 0x6BA9, 0x6BE9, 0x63C7, 0x5BA6, 0x7428, 
        0x7C28, 0x7B88, 0x93CA, 0xACAE, 0xD593, 0xBBCF, 0xAAAB, 0xA24A, 0x99E9, 0x9187, 0x9147, 0xBA2B, 0xD32F, 0xDCB4, 0xD535, 0xB4D3, 0x8C0F, 0xA513, 0xA4F3, 0x836D, 0x59E7, 0x4965, 0x5186, 0x7A6B, 0xA2EE, 0xC3AF, 0xC38E, 0xBAEC, 0x91A8, 0x70E4, 
        0x7925, 0x9A0A, 0xA26C, 0x922A, 0x81E9, 0xC391, 0xCC13, 0xA38F, 0x9B8F, 0xB3F0, 0xBBF1, 0x4966, 0x3145, 0x942F, 0xD5F4, 0xDDF3, 0xBC8C, 0x8A87, 0x8247, 0x9B0B, 0x9B0C, 0x7A49, 0x48C3, 0x4882, 0x69A6, 0xB4B2, 0xE69A, 0xF73C, 0xFF7D, 0xFF5C, 
        0xFF5C, 0xFF7C, 0xF77C, 0xEF3C, 0xD679, 0x8451, 0x6B8E, 0x83CE, 0x8BCE, 0x8BAD, 0x6AEA, 0x41A6, 0x4985, 0x7248, 0x928A, 0x8A28, 0x68E4, 0x5862, 0x6062, 0x7104, 0x8946, 0x8946, 0x8906, 0x90E5, 0x90A5, 0x8864, 0x8884, 0x88A4, 0x88E5, 0x98E8, 
        0xA9AC, 0xD3B3, 0xED17, 0xF558, 0xED57, 0xED97, 0xE577, 0xE4F6, 0xCC12, 0xB32E, 0x928A, 0xA3F0, 0xBD14, 0xD5D8, 0xDDF8, 0xD5B7, 0xD555, 0xE5F6, 0xE5F5, 0xCD52, 0xCD53, 0xD5F6, 0xD638, 0x7BAE, 0x4207, 0x2103, 0x10A1, 0x18C1, 0x2942, 0x39C4, 
        0x39E4, 0x39C3, 0x39C2, 0x31E2, 0x3202, 0x39E2, 0x41E2, 0x4223, 0x4243, 0x4243, 0x4222, 0x4202, 0x4A02, 0x5244, 0x6AA6, 0x72E7, 0x7B47, 0x7B45, 0x7B45, 0x8B85, 0x9407, 0x9C69, 0x8C2A, 0x3184, 0x1081, 0x3102, 0x51A3, 0x61E4, 0x7A25, 0xAAA8, 
        0xB2E9, 0xA32A, 0x9B0A, 0x9AEA, 0xA2CB, 0xB3CC, 0xAC2B, 0x9389, 0x8306, 0x7AE6, 0x7AE6, 0x8348, 0x8389, 0x834A, 0x8B4B, 0x938D, 0xA3F1, 0xAC17, 0xAC19, 0xB3DA, 0xBBFB, 0xCC1B, 0xCC5B, 0xABD6, 0x9B73, 0x9353, 0x9352, 0x9350, 0x934D, 0x836C, 
        0x83AC, 0x9C0E, 0xAC30, 0xB451, 0xB434, 0xABD9, 0xA3BC, 0xABBD, 0xBBDD, 0xBBFC, 0xBBFA, 0xBB99, 0xBB99, 0xBBDC, 0xBBFC, 0xB3DB, 0xAB97, 0x9B32, 0x9B32, 0xA3B7, 0xB3FB, 0xB3FC, 0xB3BD, 0xB3BE, 0xB39F, 0xB39E, 0xB3BD, 0xB3BD, 0xBBDC,
  0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8253, 0x8253, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A53, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8272, 0x8273, 0x8253, 0x8A53, 0x8253, 0x8252, 0x7A53, 0x7A53, 0x7A52, 0x8253, 0x8253, 0x8253, 0x8A53, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A93, 
        0x8A93, 0x8A94, 0x8A94, 0x8A94, 0x8A93, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x8293, 0x8A93, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x9295, 0x9294, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x9334, 0x8AF3, 0x71F0, 0x69CE, 0x726F, 0xA454, 0xE6FC, 
        0xFFDF, 0xFFDF, 0xFFBF, 0xFF9F, 0xFF9E, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDB, 0xF7D2, 0xFFD1, 0xFFF8, 0xFFFD, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFDF, 0xFF9E, 
        0xFF9E, 0xEF5C, 0xBDD7, 0x7BEF, 0x18E3, 0x0040, 0x18A1, 0x4984, 0x6A67, 0x7AA9, 0x8B0A, 0x8B09, 0x9349, 0xAC2D, 0xACAF, 0x9CAF, 0x844E, 0x740E, 0x6C0D, 0x742C, 0x7C0C, 0x83EC, 0x942E, 0xC5D4, 0xBD93, 0x6B2A, 0x3A26, 0x4288, 0x6C2E, 0x9D53, 
        0xB594, 0xAD12, 0xA48F, 0x944E, 0x940C, 0xB42D, 0xBC4D, 0xAC2D, 0x93AB, 0x72E9, 0x51A5, 0x48A2, 0x4061, 0x4061, 0x50C3, 0x6925, 0x8987, 0x60C4, 0x50A2, 0x6165, 0x7AA8, 0x8BAB, 0x842C, 0x41C5, 0x28C3, 0x4145, 0x59C7, 0x6A07, 0x7A68, 0x8AEA, 
        0x932A, 0x9309, 0x8AE9, 0x8AEA, 0x7AEA, 0x6265, 0x49C3, 0x2922, 0x31A5, 0x5AC8, 0xAD51, 0xEF5B, 0xFFBF, 0xFF5E, 0xFF3D, 0xFF5E, 0xFF7E, 0xFF9F, 0xFFBF, 0xFFBF, 0xF77D, 0xEF3C, 0xBDB6, 0x5268, 0x31A4, 0x6348, 0x844B, 0x846B, 0x6C08, 0x63A5, 
        0x6385, 0x73A7, 0x83C9, 0x8BCB, 0xAC0E, 0xD471, 0xDC31, 0xBB0D, 0xA22A, 0x91A8, 0x9167, 0xAA2B, 0xC34F, 0xDD56, 0xD618, 0xBDB6, 0x83EF, 0x5A49, 0x4166, 0x38C3, 0x4862, 0x6083, 0x91A8, 0xC411, 0xCC93, 0xBB4F, 0xAA6B, 0xA22A, 0xAA8B, 0xCB6E, 
        0xCBAF, 0xB32E, 0x826B, 0x69A7, 0x5966, 0xB3D1, 0xE516, 0xDD56, 0xDD55, 0xE554, 0xCC91, 0x59A6, 0x49A6, 0xA4B2, 0xD636, 0xCDD4, 0xA3EB, 0x9307, 0x92C7, 0x8268, 0x71C7, 0x6145, 0x48A2, 0x5103, 0x6184, 0x8A68, 0xB3CE, 0xCD34, 0xF75C, 0xFFDE, 
        0xF79D, 0xDE99, 0xC533, 0xA40E, 0x7A88, 0x59E7, 0x49A7, 0x5186, 0x6227, 0x7AEA, 0xA470, 0xC512, 0xCCF2, 0xC40F, 0xAACC, 0x91E8, 0x70C4, 0x7084, 0x78A4, 0x88E5, 0x8905, 0x9125, 0x9126, 0x9906, 0x98C5, 0x9086, 0x90C7, 0x9949, 0xB20C, 0xB9AD, 
        0xC1CE, 0xD2D0, 0xDBB2, 0xDBF3, 0xD3F2, 0xBB0F, 0xAA8D, 0x9A2B, 0xA28C, 0xBB4F, 0xDCF5, 0xEE7A, 0xDE39, 0xBC52, 0xA32D, 0xA32D, 0xBC71, 0xE638, 0xEE79, 0xD574, 0xCD13, 0xDD54, 0xEE58, 0xE6DA, 0xBDD6, 0x5AEA, 0x20E3, 0x18A1, 0x2922, 0x31A3, 
        0x31C3, 0x31A2, 0x31A2, 0x31A2, 0x31C2, 0x3A22, 0x4243, 0x4243, 0x4223, 0x3A22, 0x31E1, 0x39E1, 0x41E2, 0x4A02, 0x5A44, 0x6AA5, 0x7B27, 0x7B25, 0x7B25, 0x8B86, 0x9C09, 0xA46A, 0x944A, 0x41E4, 0x2901, 0x4183, 0x59C4, 0x69C3, 0x81E4, 0xB2EA, 
        0xBB4C, 0xAB4B, 0x930A, 0x8AA8, 0x8A46, 0x8AC6, 0x9B47, 0xB42B, 0xC4AE, 0xCCCF, 0xC4D0, 0xAC50, 0x9C30, 0xABF3, 0xB416, 0xBC58, 0xC47B, 0xABDA, 0xA37B, 0xAB7D, 0xBB9E, 0xC3BE, 0xC3BD, 0xA378, 0x9335, 0x9315, 0x9354, 0x9BB3, 0xAC52, 0xAC51, 
        0xAC32, 0xABF4, 0xABF7, 0xB3F8, 0xBBFB, 0xB3BE, 0xB39E, 0xB3BE, 0xB3DD, 0xBBDD, 0xBBDD, 0xB37D, 0xB35D, 0xB39C, 0xBBBC, 0xBBDD, 0xB3DC, 0xAB97, 0xA374, 0x9BB3, 0x9BB3, 0xA3B4, 0xABB7, 0xBBFC, 0xBBFE, 0xBBFE, 0xBBDE, 0xBBDE, 0xBBBD,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A53, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x8232, 0x8232, 0x8233, 0x8233, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 
        0x8273, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 
        0x8A93, 0x8293, 0x8273, 0x8273, 0x8A73, 0x8274, 0x8274, 0x8A74, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x9294, 0x9294, 0x8A94, 0x8A74, 0x8A74, 0x8AB4, 0x8AB4, 0x8AB3, 0x8AB3, 0x8AB3, 0x8A93, 0x82B1, 0x7AD0, 0x7AF0, 0x72AE, 0x622C, 0x6A6D, 0xCDF9, 
        0xFF9F, 0xFFDF, 0xFFBE, 0xFF9E, 0xF77D, 0xF79E, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFBB, 0xFFB5, 0xFFB4, 0xFFDA, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF79C, 
        0xF77C, 0xF79D, 0xF7BE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFBD, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFDE, 0xF77D, 
        0xF77C, 0xEF3C, 0xBDD7, 0x7BEF, 0x2103, 0x0860, 0x18E1, 0x41C4, 0x6286, 0x72E8, 0x8B49, 0xA36A, 0xAB8A, 0xB42C, 0xB46D, 0xA46E, 0x942D, 0x6BAC, 0x638B, 0x6C0B, 0x740A, 0x73EA, 0x83EC, 0xBD91, 0xC5D2, 0x946C, 0x62E6, 0x4224, 0x3A06, 0x63AD, 
        0x8490, 0x8CD0, 0x9D30, 0xA570, 0xAD70, 0x940B, 0x8328, 0x7307, 0x6B28, 0x7369, 0x730A, 0x4103, 0x3040, 0x40C2, 0x5964, 0x71A5, 0x8186, 0x6862, 0x5841, 0x4903, 0x5226, 0x5B08, 0x73EB, 0x6329, 0x62A8, 0x6AA8, 0x72A9, 0x72C9, 0x7AC9, 0xA30A, 
        0xAB0A, 0x92E8, 0x82E8, 0x8309, 0x834B, 0x7B0A, 0x6268, 0x3985, 0x4228, 0x73CE, 0xD6B9, 0xF77D, 0xFF7E, 0xFF5E, 0xFF7E, 0xFF9E, 0xFFBE, 0xF77E, 0xF77E, 0xF77E, 0xEF1C, 0xDE58, 0xAC91, 0x5287, 0x4244, 0x63A8, 0x7C8A, 0x848A, 0x73E9, 0x5B86, 
        0x5B86, 0x6BC8, 0x73E9, 0x7BC9, 0x93AA, 0xCBF0, 0xD3B0, 0xAAAB, 0x89C8, 0x8987, 0x99EA, 0xD390, 0xEC94, 0xE4F4, 0xBC51, 0x834D, 0x49C7, 0x89E8, 0x99E8, 0x8946, 0x9167, 0xAA2B, 0xCB2E, 0x9A4A, 0x7986, 0x6925, 0x7926, 0x91E9, 0xCB8F, 0xF4B3, 
        0xDC51, 0x9249, 0x5925, 0x5905, 0x71A8, 0xA2AD, 0xB30E, 0xB36E, 0xBC0F, 0xCC91, 0xCCD0, 0x8B08, 0x8328, 0xBD51, 0xC5D3, 0xACEF, 0x8B28, 0xBC6F, 0xC471, 0x7A89, 0x4924, 0x48E4, 0x5944, 0x48E2, 0x5123, 0x9288, 0xCC50, 0xE5B6, 0xF77D, 0xFFBE, 
        0xE69A, 0x9BAE, 0x69E7, 0x6185, 0x6A46, 0x8B2B, 0x8B0B, 0x8268, 0x932B, 0xAC70, 0xD637, 0xD553, 0xCC4F, 0xB2EC, 0x99C8, 0x8905, 0x7062, 0x88A5, 0x90E6, 0x88E5, 0x8906, 0x9146, 0x9947, 0x90C5, 0x90A5, 0x98E7, 0xA149, 0xB1AB, 0xBA0D, 0xB9EC, 
        0xB1CC, 0xB18B, 0xB1AC, 0xB1EC, 0xBA4C, 0xB22C, 0xAA0C, 0xAA0B, 0xB2CE, 0xCBD1, 0xED56, 0xF5B8, 0xE557, 0xCC93, 0xBC31, 0xC452, 0xD514, 0xEE18, 0xEE59, 0xEDF7, 0xE5B6, 0xEDD7, 0xF67A, 0xF77C, 0xCE98, 0x630B, 0x18C3, 0x0860, 0x2101, 0x2962, 
        0x3183, 0x31A3, 0x31A3, 0x39A3, 0x31C3, 0x3203, 0x3203, 0x3A03, 0x4203, 0x3A22, 0x3201, 0x39C1, 0x41E2, 0x5244, 0x5AA5, 0x62A5, 0x5AA4, 0x62E5, 0x7327, 0x8B69, 0x93AA, 0x93AA, 0x7B27, 0x49C3, 0x3962, 0x51E4, 0x6A67, 0x7AA7, 0x8A67, 0x6965, 
        0x71A6, 0xA2EA, 0xA30A, 0x8268, 0x61A5, 0xABEC, 0xCCCE, 0xBC6D, 0xC48F, 0xCD53, 0xE678, 0xC595, 0xB4B2, 0x9BB2, 0x9B74, 0xABD7, 0xC45D, 0xB39E, 0xB33D, 0xB39D, 0xBBDD, 0xBBDD, 0xBBDE, 0xAB7B, 0xAB59, 0xA359, 0xA396, 0xA3B4, 0xAC11, 0xBC14, 
        0xBBF7, 0xB3DB, 0xB3BD, 0xB3BD, 0xB3DD, 0xBBBF, 0xC3BF, 0xB3BE, 0xB3BD, 0xB3BE, 0xB3DE, 0xB3BD, 0xB39C, 0xB3BC, 0xB3BC, 0xB3BD, 0xBBBD, 0xB3DB, 0xB3D9, 0xB3F7, 0xABD5, 0xA3B3, 0x9B92, 0xABD6, 0xB419, 0xBC3C, 0xBC5E, 0xBC3F, 0xC3FF,
  0x7A12, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A33, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x8233, 0x8233, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8A53, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8253, 0x8A53, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 
        0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8274, 0x8274, 0x8A74, 0x8A94, 0x8A94, 0x8A74, 0x8A94, 0x8A94, 0x8A94, 0x8A74, 0x8A74, 0x8A73, 0x8A94, 0x8293, 0x8293, 0x8293, 0x8A93, 0x8A73, 0x8271, 0x82B1, 0x8B51, 0x7B0F, 0x6A8D, 0x6A4C, 0xBD57, 
        0xEEFC, 0xF79E, 0xFFBE, 0xFF9E, 0xF77D, 0xFF9E, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xF79C, 0xF776, 0xF795, 0xFFBA, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xF77B, 
        0xF77B, 0xF79C, 0xF7DE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFBD, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFDE, 0xF77C, 
        0xF77C, 0xEF3C, 0xBDD7, 0x7BEF, 0x20E3, 0x0860, 0x18C1, 0x41C4, 0x62A7, 0x7B08, 0x9369, 0xA38A, 0xABAB, 0xAC0C, 0xAC4D, 0xAC6D, 0xA42D, 0x6B8B, 0x5B69, 0x6BCA, 0x6C0A, 0x6C0A, 0x740B, 0x948C, 0x9CAC, 0x946B, 0x7BA8, 0x62C6, 0x4205, 0x5B2A, 
        0x6BED, 0x746D, 0x850E, 0x956F, 0x954E, 0x6328, 0x4A45, 0x52A5, 0x6347, 0x73CA, 0x7BCC, 0x49C5, 0x3102, 0x4163, 0x59C5, 0x69A5, 0x7125, 0x6882, 0x5882, 0x4944, 0x4205, 0x42A7, 0x5B69, 0x73AB, 0x7B8B, 0x7B4A, 0x7B09, 0x7B09, 0x82EA, 0xA30A, 
        0xAAE9, 0x92E8, 0x8AE8, 0x8309, 0x834A, 0x8B4B, 0x7ACA, 0x51E6, 0x5AA9, 0x8C50, 0xE71C, 0xFF7E, 0xFF5D, 0xF75E, 0xFF9E, 0xFFBE, 0xFFBE, 0xF77E, 0xF75E, 0xF77E, 0xEEFB, 0xDE38, 0xAC71, 0x5A87, 0x4264, 0x63C7, 0x7CAA, 0x8CCA, 0x842A, 0x6367, 
        0x5B47, 0x6BA8, 0x7BE8, 0x7BE9, 0x93AA, 0xC38F, 0xCB2F, 0xAA6B, 0x91C8, 0x89A7, 0xA22A, 0xD432, 0xECF5, 0xE4B4, 0xB38F, 0x824A, 0x48E4, 0xA1A8, 0xC20A, 0xB1C9, 0xB20B, 0xC2AD, 0xCB70, 0x9A09, 0x7125, 0x58E4, 0x6966, 0x9249, 0xD410, 0xECD3, 
        0xD431, 0x8A49, 0x6966, 0x71A7, 0x928B, 0x9A4A, 0x9A2A, 0x9A8B, 0xAB6D, 0xC450, 0xD4F1, 0x9B68, 0x9388, 0xBD70, 0xC5D1, 0xACCD, 0x8306, 0xABEF, 0xABF0, 0x6208, 0x4104, 0x5124, 0x71C6, 0x5964, 0x5964, 0x8268, 0xABCE, 0xC4D3, 0xE5F8, 0xE638, 
        0xCD33, 0x82AA, 0x5945, 0x5964, 0x7AA8, 0xAC0F, 0xB42F, 0xA34B, 0xA38C, 0xB450, 0xCD95, 0xD573, 0xC490, 0xA2CB, 0x8167, 0x70A4, 0x6842, 0x8084, 0x88C5, 0x80E5, 0x8926, 0x9167, 0xA168, 0x90A5, 0x8884, 0x98C6, 0xA949, 0xB18A, 0xB9CB, 0xB1AB, 
        0xA96A, 0xA0E9, 0xA109, 0xA96B, 0xBA4E, 0xC2F0, 0xC330, 0xC351, 0xCBD2, 0xDC54, 0xED16, 0xE4B5, 0xD474, 0xC493, 0xC4D4, 0xCD15, 0xE576, 0xF5F8, 0xF619, 0xEDF7, 0xE5D6, 0xE5D7, 0xEE39, 0xF75C, 0xD698, 0x6B6C, 0x2924, 0x1081, 0x18C1, 0x2962, 
        0x3183, 0x3183, 0x39A3, 0x39A3, 0x31C3, 0x31E3, 0x3203, 0x3A03, 0x3A02, 0x3A02, 0x3201, 0x39E1, 0x4A23, 0x5AC6, 0x62E6, 0x5AA5, 0x5243, 0x5AC6, 0x6B07, 0x7B08, 0x82E8, 0x7AC7, 0x6265, 0x49A2, 0x4182, 0x5A05, 0x6A87, 0x7AA7, 0x7A46, 0x58E2, 
        0x58E2, 0x8A47, 0x9AE9, 0x8AA9, 0x72A8, 0xB44E, 0xCCAF, 0xB3EC, 0xB42E, 0xCD53, 0xE6BA, 0xBD34, 0x9C10, 0x9372, 0x9B55, 0xAB98, 0xBBFD, 0xBB9E, 0xB37E, 0xBBDD, 0xBC1C, 0xBBFC, 0xB3DC, 0xB37A, 0xB379, 0xAB99, 0xABB8, 0xABB6, 0xABD3, 0xBBD7, 
        0xBBDA, 0xBBBC, 0xB3BE, 0xB3BE, 0xB3BE, 0xC3BE, 0xC3BD, 0xBBBD, 0xB3BD, 0xB3BD, 0xB3DE, 0xB3BD, 0xB3BC, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3DC, 0xBBDC, 0xBBDB, 0xB3D9, 0xABB6, 0x9BB3, 0xA3B3, 0xABD5, 0xAC17, 0xB41A, 0xB3FB, 0xBBDC,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A53, 0x7A53, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8253, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 
        0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A74, 0x8A74, 0x8A74, 0x8A74, 0x8A74, 0x8A73, 0x8A93, 0x8A94, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8273, 0x7A72, 0x7272, 0x7A52, 0x8273, 0x92B4, 0x9AF5, 0x9313, 0x8B51, 0x8B50, 0x93D0, 0xB515, 
        0xC5F8, 0xE6FB, 0xF79E, 0xFFBE, 0xFF9E, 0xFFBE, 0xFFDE, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DF, 0xF7BC, 0xF774, 0xF773, 0xFFB9, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xF79D, 0xF79C, 
        0xF79C, 0xFFDD, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBD, 
        0xFFBD, 0xEF7C, 0xBDF7, 0x8410, 0x2924, 0x1020, 0x2082, 0x51E6, 0x7AE9, 0x8B29, 0x9B6A, 0xA38A, 0xA3AB, 0x9BEB, 0xA44D, 0xB48F, 0xB4B0, 0x73CA, 0x5B48, 0x5B69, 0x63CA, 0x6C0B, 0x6429, 0x52E5, 0x52A5, 0x6B27, 0x83A9, 0x8BCB, 0x83CB, 0x7B8A, 
        0x738A, 0x63E9, 0x6429, 0x6449, 0x5BC8, 0x2A23, 0x2A03, 0x6348, 0x842B, 0x8C6C, 0x73EA, 0x4A86, 0x3A05, 0x4A46, 0x5206, 0x51A5, 0x50E3, 0x5903, 0x5944, 0x51E5, 0x4A45, 0x4286, 0x4AC7, 0x6B8A, 0x7BAB, 0x736A, 0x7B4A, 0x832A, 0x8B2A, 0x9B2A, 
        0x9B2A, 0x9309, 0x9329, 0x9349, 0x9B4A, 0x92E9, 0x8AA8, 0x7AA7, 0x93AB, 0xB511, 0xEF3C, 0xFF7E, 0xFF5E, 0xF75E, 0xFF9E, 0xFFBF, 0xFFDF, 0xF79E, 0xF77E, 0xFFBF, 0xFFBE, 0xF75E, 0xD5F8, 0x5A88, 0x39A3, 0x5B27, 0x84AB, 0x9D2D, 0xA50D, 0x7349, 
        0x5AA7, 0x6B27, 0x83A8, 0x8BC9, 0x9BCB, 0xC38E, 0xCB4F, 0xC2CD, 0xB26B, 0xAA49, 0xA289, 0xB3CE, 0xCCB2, 0xDD15, 0xC433, 0xA2ED, 0x68C4, 0x78A4, 0x9927, 0xBA0C, 0xC26D, 0xB26D, 0xAA8C, 0xCBF1, 0xCC52, 0x9B6E, 0x830C, 0x932C, 0xBBCF, 0xD471, 
        0xCC71, 0xAC0F, 0xABF0, 0xBC31, 0xC411, 0x9AAA, 0x8A48, 0xAB2D, 0xC431, 0xD4D3, 0xCCD1, 0x8B47, 0x8386, 0xBD8E, 0xCE11, 0xBD4D, 0x7AE5, 0x5164, 0x48C4, 0x4082, 0x50C3, 0x6964, 0x9AA8, 0x9AE9, 0x8287, 0x5185, 0x4925, 0x6166, 0x9A4A, 0xAB2A, 
        0xAB4A, 0x9B0B, 0x8AEB, 0x8AEC, 0x934D, 0xBC70, 0xC4B1, 0xABCE, 0x8AEB, 0x828A, 0x82AB, 0xBD14, 0xBD96, 0x9410, 0x7269, 0x6966, 0x68A4, 0x6862, 0x7083, 0x80C4, 0x9126, 0x9947, 0x9947, 0x90A5, 0x9065, 0x9085, 0xA0C7, 0xA928, 0xB18A, 0xB14B, 
        0xA90A, 0xA0C8, 0xB14A, 0xC20D, 0xE394, 0xE476, 0xDCD8, 0xED5A, 0xF57A, 0xF57A, 0xECF7, 0xC3B2, 0xB350, 0xA390, 0xAC31, 0xC4B3, 0xED97, 0xFE19, 0xF5F8, 0xE576, 0xD535, 0xD535, 0xDDB7, 0xF73C, 0xE71B, 0x9CD2, 0x62CA, 0x39A5, 0x18C2, 0x2963, 
        0x39A4, 0x39A2, 0x3182, 0x39A2, 0x39E2, 0x3203, 0x3223, 0x3A23, 0x31E2, 0x31C1, 0x3181, 0x5244, 0x62E6, 0x7BAA, 0x738A, 0x6B07, 0x4A23, 0x5265, 0x5A85, 0x5A04, 0x59A3, 0x59A3, 0x59A3, 0x51C2, 0x51E3, 0x5A24, 0x5A05, 0x61E4, 0x6983, 0x7943, 
        0x7922, 0x7163, 0x8267, 0xA3AB, 0xC510, 0xA36B, 0x9A88, 0xA309, 0xBC4E, 0xD573, 0xD638, 0x832E, 0x6A0C, 0x9335, 0xB3FB, 0xBBDD, 0xB37D, 0xBBDC, 0xBC1C, 0xBC3C, 0xB41B, 0xB3D9, 0xAB77, 0xAB95, 0xB3B5, 0xB3D7, 0xB3D9, 0xB3DA, 0xB3DC, 0xB3DB, 
        0xB3DB, 0xB3BC, 0xB3BD, 0xB3BD, 0xB3BD, 0xBBDB, 0xBBDB, 0xBBBC, 0xBBBD, 0xBBBD, 0xB3BD, 0xB3BD, 0xB3BE, 0xBBBE, 0xBBBE, 0xBBBD, 0xB3BD, 0xB3BC, 0xB3BC, 0xBBBD, 0xBBDD, 0xBBDD, 0xB3FB, 0xABD4, 0x9BB0, 0x9370, 0x9351, 0x9352, 0x9B73,
  0x7A32, 0x7A32, 0x8232, 0x8232, 0x8232, 0x8252, 0x8252, 0x8252, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A33, 0x7A53, 0x7A53, 0x7A52, 0x7A52, 0x8253, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8273, 
        0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 
        0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8A72, 0x8A93, 0x8AB3, 0x8AB3, 0x82B3, 0x8292, 0x8291, 0x7A90, 0x728F, 0x728E, 0x728E, 0x7AD1, 0x8B12, 0x9393, 0x9BF2, 0x9411, 0x9430, 0xBCD6, 
        0xD599, 0xEEBC, 0xF79E, 0xFFBE, 0xFF9E, 0xFF7E, 0xFF9E, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDB, 0xF790, 0xF78E, 0xFFD7, 0xFFFD, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDF, 0xFF7E, 0xFF7E, 0xFFBE, 0xFFDE, 0xFFDD, 0xFFDC, 0xFFDD, 
        0xFFDD, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 
        0xFFFE, 0xF7BD, 0xD699, 0xAD53, 0x62C9, 0x18C2, 0x20A2, 0x6267, 0x936A, 0xA3AB, 0xA3AB, 0xA3EB, 0xA40C, 0x9C0C, 0xAC4D, 0xBCB0, 0xC4F2, 0x9C4F, 0x7BCC, 0x6329, 0x5B08, 0x5B49, 0x6389, 0x52E6, 0x4244, 0x41E3, 0x5226, 0x6AEA, 0x93EE, 0x82A9, 
        0x7206, 0x5224, 0x4283, 0x42C3, 0x3B03, 0x3A42, 0x4A64, 0x7BEA, 0x9D0E, 0xA550, 0x848E, 0x3A65, 0x21A2, 0x3204, 0x4225, 0x49E4, 0x49A3, 0x5A05, 0x6266, 0x5A86, 0x52A6, 0x52C6, 0x5B08, 0x636A, 0x6B8B, 0x6B8B, 0x738B, 0x738B, 0x7B8C, 0x8B4B, 
        0x934A, 0x936B, 0x9B8B, 0xA3AC, 0xA36B, 0x8267, 0x7A47, 0x9B4B, 0xBCB1, 0xD5B5, 0xF71B, 0xFF5E, 0xFF5E, 0xFF7E, 0xFF9F, 0xFFBF, 0xF7DF, 0xF7DF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFF9F, 0xDE79, 0x6B28, 0x4222, 0x5B46, 0x7C6B, 0x8D0D, 0x952F, 0x840C, 
        0x7369, 0x6B26, 0x6B45, 0x7B87, 0x942B, 0xBC50, 0xD411, 0xD3D0, 0xCB6F, 0xBB2D, 0xAB0C, 0xB40F, 0xBCD2, 0xCD56, 0xB4B4, 0x832E, 0x40C4, 0x60A4, 0x8968, 0xC2AF, 0xD331, 0xC2CE, 0xAACC, 0xDDD8, 0xF71C, 0xE679, 0xCD55, 0xB430, 0x9B0B, 0xD4D2, 
        0xEDF6, 0xE679, 0xDE58, 0xD5B5, 0xBC70, 0xABCE, 0xB430, 0xCD35, 0xC514, 0xB40F, 0x8AC7, 0x9C28, 0xBD6B, 0xCE50, 0xBD8F, 0x8C0B, 0x4143, 0x3861, 0x4840, 0x5841, 0x70E3, 0x89A6, 0xA2CA, 0xA2E9, 0x8A87, 0x6144, 0x4041, 0x4021, 0x58E4, 0xABAE, 
        0xCC91, 0xB40F, 0xB3F0, 0xBC52, 0xCCF4, 0xB410, 0xA38E, 0x9B4D, 0x8ACB, 0x7A6A, 0x5987, 0x3945, 0x5229, 0xA472, 0xD577, 0xDD16, 0xCB2F, 0x99A9, 0x8906, 0x80A5, 0x8084, 0x80A5, 0x90E6, 0x98C5, 0x98A5, 0x9064, 0x9065, 0x90A6, 0xA109, 0xB16C, 
        0xC1AD, 0xD20D, 0xDA6E, 0xE28E, 0xD26E, 0xA98C, 0xA9ED, 0xD3D5, 0xF53A, 0xFDBB, 0xED78, 0xD414, 0xB330, 0x926C, 0x92AC, 0xB36F, 0xED36, 0xF65A, 0xEE59, 0xDD96, 0xD534, 0xD555, 0xE617, 0xF75C, 0xF7BD, 0xDEFA, 0xAD53, 0x738D, 0x2124, 0x2963, 
        0x31C3, 0x2982, 0x2941, 0x2961, 0x31A2, 0x31E3, 0x3223, 0x3A23, 0x3202, 0x29A1, 0x2981, 0x5264, 0x6B27, 0x8C2C, 0x946D, 0x83EB, 0x5AC5, 0x3962, 0x3102, 0x4962, 0x51A3, 0x59A3, 0x59A2, 0x5A04, 0x5A24, 0x5A45, 0x6265, 0x7287, 0x8AA8, 0xAAC9, 
        0xA288, 0x8A25, 0x8A46, 0x9AE9, 0xB3AC, 0x9288, 0x9287, 0xB42E, 0xDDD4, 0xEEB8, 0xDE78, 0x830F, 0x6A0D, 0x9315, 0xABDB, 0xB3DD, 0xB3BD, 0xC41D, 0xBC1B, 0xA358, 0x9B16, 0x9B14, 0xAB95, 0xB419, 0xBC3A, 0xBC19, 0xBBFA, 0xBBFB, 0xBBDD, 0xB3FD, 
        0xB3FD, 0xB3BD, 0xB39D, 0xB37D, 0xB39D, 0xB3DC, 0xB3FC, 0xB3FD, 0xBBDD, 0xBBBE, 0xB3BE, 0xB3DD, 0xBBDD, 0xBBDD, 0xBBBD, 0xBBBE, 0xB39E, 0xB3DD, 0xB3DD, 0xB3BE, 0xBB9E, 0xBB9E, 0xBBBE, 0xBBFA, 0xB417, 0xABF4, 0x9BAF, 0x8B6C, 0x8328,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8293, 0x8293, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8A73, 0x8A94, 
        0x8A94, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8273, 0x8293, 0x8A94, 0x8A93, 0x8A93, 0x8272, 0x7A52, 0x7A52, 0x7A72, 0x7A72, 0x7A52, 0x7232, 0x7210, 0x69F0, 0x61CF, 0x59AD, 0x51AC, 0x5A0C, 0x8B32, 0x9BD5, 0xA455, 0xB4F5, 0xBD56, 0xC577, 0xAC54, 
        0xAC33, 0xC577, 0xDE9B, 0xEF3D, 0xF79E, 0xF79E, 0xF77D, 0xF77D, 0xF79E, 0xFFBE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DB, 0xE72F, 0xE70E, 0xF797, 0xF7BD, 0xF79E, 0xE73C, 0xDEDB, 0xDEDB, 0xEF7D, 0xFFDE, 0xFFFF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 
        0xFFDD, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xFFDF, 0xFFDE, 0xF79D, 0xEF3B, 0xBD94, 0x39C6, 0x20E2, 0x5A87, 0x93CA, 0xAC0B, 0xABCB, 0xA3CB, 0x9BCB, 0xA40B, 0xAC2C, 0xB44E, 0xC491, 0xB4F0, 0xA4AF, 0x8BAC, 0x6AE9, 0x62C7, 0x4AA5, 0x3A44, 0x3A24, 0x4A65, 0x62E9, 0x836C, 0xABEF, 0xB2EC, 
        0x9A69, 0x7247, 0x5246, 0x5286, 0x52C6, 0x3A64, 0x4284, 0x6B88, 0x94CD, 0xA570, 0x9D51, 0x3A26, 0x1101, 0x19A2, 0x2A24, 0x3A64, 0x5285, 0x72E9, 0x7309, 0x5AC6, 0x4AA5, 0x52E6, 0x6348, 0x6349, 0x634A, 0x636A, 0x636A, 0x6B6A, 0x6B4A, 0x6B2A, 
        0x734A, 0x8B8B, 0x9BCC, 0xA3EC, 0x93AB, 0x8288, 0x8A88, 0xABCD, 0xCCD2, 0xD553, 0xE5D6, 0xF73C, 0xFFBF, 0xFF9F, 0xFF9F, 0xF7BF, 0xF7DE, 0xFFFF, 0xFFFF, 0xFF9E, 0xFF1E, 0xFE7C, 0xDCF6, 0x82A8, 0x6243, 0x7347, 0x842A, 0x8C6C, 0x944C, 0x93AA, 
        0x8B49, 0x8B68, 0x8367, 0x7B46, 0x8388, 0xBCF1, 0xD534, 0xD471, 0xC3AE, 0xB34C, 0xB34D, 0xD472, 0xDCD4, 0xBC11, 0x92ED, 0x722A, 0x69A7, 0xB30E, 0xDBF2, 0xDC55, 0xDC55, 0xDC14, 0xD454, 0xEE19, 0xF679, 0xE575, 0xDD14, 0xDD54, 0xDDD6, 0xD534, 
        0xC4B2, 0xB410, 0xABEE, 0xB42E, 0xBCAF, 0xD594, 0xCDB4, 0xB48F, 0x8B09, 0x6A06, 0x69C5, 0xC5B0, 0xE714, 0xC5B1, 0x8BEB, 0x5A67, 0x28C2, 0x58E2, 0x7102, 0x60C2, 0x7185, 0x9289, 0xB3AD, 0x51A6, 0x2881, 0x4061, 0x5021, 0x5021, 0x6904, 0xCC31, 
        0xED34, 0xC451, 0xB3CF, 0xABF0, 0xB452, 0xBC32, 0xABB0, 0x92CB, 0x92EB, 0xAB8E, 0xB411, 0x51A7, 0x4987, 0xA452, 0xE5D9, 0xF5B8, 0xDC12, 0xA9EA, 0x9107, 0x80A5, 0x7884, 0x7884, 0x8084, 0x88A5, 0x88A5, 0x88A5, 0x88A5, 0x90A6, 0x98E7, 0xB129, 
        0xB96A, 0xC1CC, 0xCA2D, 0xD22D, 0xCA0C, 0xB9AC, 0xC22E, 0xDBB4, 0xECB7, 0xECD7, 0xEC96, 0xED37, 0xE557, 0xE537, 0xE517, 0xED37, 0xED36, 0xCC93, 0xC4B3, 0xDD76, 0xE5D7, 0xE5D6, 0xDDF6, 0xF73A, 0xF7BB, 0xE6D8, 0xAD12, 0x734C, 0x2103, 0x2141, 
        0x29A1, 0x2981, 0x3161, 0x3161, 0x3182, 0x31A3, 0x31C3, 0x3203, 0x3202, 0x31E2, 0x31A2, 0x4A43, 0x5AC5, 0x6B48, 0x7369, 0x6B28, 0x5285, 0x41A2, 0x4182, 0x5A04, 0x6246, 0x6246, 0x59E4, 0x49A2, 0x49E3, 0x72A7, 0x8B4A, 0x936A, 0xA36A, 0xB36C, 
        0xBB6C, 0xB34B, 0x92C8, 0x7247, 0x6227, 0xA40F, 0xC4F2, 0xC4B0, 0xC532, 0xD5F5, 0xDE59, 0x9B93, 0x8272, 0x92F6, 0xA39B, 0xB3DC, 0xBC1B, 0xABB5, 0x9B72, 0x92F0, 0x8AB1, 0x92F3, 0xA396, 0xBC19, 0xBC39, 0xBC38, 0xBC37, 0xBC35, 0xBC55, 0xC479, 
        0xC47C, 0xC43D, 0xBBDD, 0xB39C, 0xB35C, 0xAB9D, 0xB3BE, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BE, 0xB3BC, 0xBBBC, 0xBBBD, 0xBBBD, 0xB3BE, 0xB3BE, 0xB3DC, 0xB3DC, 0xB3BC, 0xBB9D, 0xBB9D, 0xBB9E, 0xBB7E, 0xB39D, 0xB3DC, 0xB43A, 0xB457, 0xB493,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A53, 0x7A53, 0x7A52, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8A53, 0x8253, 
        0x8273, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A74, 0x8A74, 0x8A74, 
        0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A94, 0x8A94, 0x8273, 0x7A52, 0x7251, 0x6A51, 0x6A4F, 0x6A4E, 0x6A4D, 0x622B, 0x5A0A, 0x5209, 0x5208, 0x49E8, 0x49C7, 0x4A08, 0x82ED, 0x9B90, 0xA432, 0xACD4, 0xBD36, 0xCDB7, 0xC576, 
        0xACD3, 0x9C0F, 0x9C30, 0xB513, 0xE6DB, 0xF7BE, 0xFFDE, 0xF79E, 0xF77E, 0xF79E, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF7BC, 0xE753, 0xE731, 0xDEF6, 0xCE37, 0xAD54, 0x736D, 0x41E7, 0x5269, 0xA534, 0xEF5C, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDD, 0xFFDD, 
        0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFDF, 0xFFFF, 0xFFDF, 0xD699, 0x4228, 0x2103, 0x6AC7, 0x9C2B, 0xAC6C, 0xAC0C, 0xAC0B, 0xA40B, 0xAC0B, 0xABEC, 0xA3AC, 0xA34C, 0xABCE, 0xBC71, 0xD555, 0xD576, 0xC4F4, 0xA3CE, 0x934C, 0x936C, 0xB3EE, 0xC430, 0xD411, 0xD371, 0xB1EC, 
        0xA1AB, 0xA28C, 0x930B, 0x7B29, 0x52E6, 0x4264, 0x4244, 0x52A5, 0x73CA, 0x9D0F, 0xB5F2, 0x5328, 0x19A2, 0x1982, 0x29A2, 0x39E3, 0x5A86, 0x7B29, 0x834A, 0x6B28, 0x6327, 0x6348, 0x6B89, 0x6B69, 0x6B69, 0x6B8A, 0x638A, 0x5B6B, 0x5B6A, 0x738A, 
        0x738A, 0x6B69, 0x6B49, 0x6B49, 0x7B49, 0x7B09, 0x938B, 0xBD52, 0xD616, 0xD5F5, 0xCD94, 0xEF1B, 0xFFBF, 0xFFBF, 0xFF9E, 0xF79E, 0xF7BF, 0xFFFF, 0xFF9E, 0xF69D, 0xF5BB, 0xF55A, 0xEC75, 0xBAAB, 0x9A47, 0x82E8, 0x7B8A, 0x7BCB, 0x83CD, 0x8AAA, 
        0x9289, 0x9309, 0x8B48, 0x7B27, 0x6B26, 0x946B, 0xACEE, 0xBCD0, 0xC490, 0xC46F, 0xCC90, 0xDD35, 0xDD16, 0xBC11, 0xABAF, 0xB3F0, 0xCC73, 0xCBD1, 0xBB4E, 0xAAAD, 0x924B, 0x924B, 0xA30D, 0xDDB5, 0xF697, 0xE637, 0xDE17, 0xDE38, 0xBDB6, 0x62EB, 
        0x4185, 0x4964, 0x61E5, 0x7286, 0x8349, 0x7B29, 0x6AC8, 0x6266, 0x59E5, 0x59A4, 0x8266, 0xD634, 0xE717, 0xACED, 0x72C6, 0x5183, 0x4081, 0x68A3, 0x70C3, 0x68C3, 0x7104, 0x8185, 0x8A07, 0x48A2, 0x3021, 0x5082, 0x6083, 0x5883, 0x6105, 0xBBCF, 
        0xE4F3, 0xCC92, 0xAB8E, 0x8A8A, 0x7209, 0xBC73, 0xC4B5, 0x8ACC, 0x7A8A, 0x9B6E, 0xDD35, 0xD411, 0xCB8F, 0xDC11, 0xDC12, 0xCB90, 0xAA6B, 0x8926, 0x80C5, 0x8906, 0x8927, 0x8906, 0x7885, 0x8064, 0x8885, 0x90E6, 0x9107, 0x9107, 0x88C6, 0x98A7, 
        0xA0A8, 0xA8C8, 0xB108, 0xB96A, 0xCA0D, 0xE312, 0xEB95, 0xEBF5, 0xF456, 0xF4B6, 0xF4F7, 0xE474, 0xDC13, 0xD413, 0xDC34, 0xE434, 0xD3D1, 0x79E8, 0x71E8, 0xB3F0, 0xE576, 0xEDD7, 0xEDF7, 0xF6D9, 0xF75B, 0xEF3B, 0xBDD7, 0x8C50, 0x39E6, 0x2101, 
        0x2121, 0x3182, 0x39C3, 0x39A2, 0x3162, 0x2982, 0x29A2, 0x31C2, 0x39E3, 0x4203, 0x41E3, 0x2961, 0x3182, 0x52A5, 0x6B47, 0x6B48, 0x5AA6, 0x49C3, 0x49C3, 0x5A66, 0x6AC8, 0x62C8, 0x5A86, 0x5223, 0x5A44, 0x8328, 0x9B8B, 0x9B8B, 0x9B4A, 0xAB6A, 
        0xB34A, 0xAB0A, 0xAB0A, 0xAB2A, 0x9B2A, 0x6207, 0x6A48, 0xAC4F, 0xDDF6, 0xF678, 0xEE18, 0xC4D6, 0xB436, 0xB419, 0xABD9, 0xA397, 0x9312, 0x82D0, 0x8B31, 0xB456, 0xC4B9, 0xC459, 0xB398, 0xAB77, 0xABB5, 0xB453, 0xBCB0, 0xB4AE, 0xB48C, 0xBC6F, 
        0xC491, 0xCCF4, 0xCD17, 0xCCD8, 0xBC3A, 0xB39C, 0xB35C, 0xB39C, 0xBBBD, 0xBBDD, 0xBBDD, 0xB3DC, 0xB3BC, 0xBBBD, 0xBBDD, 0xBBDD, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBE, 0xBBBE, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBE, 0xBBDE, 0xBBDE, 0xBBDD, 0xB3DC,
  0x7A52, 0x7A52, 0x8252, 0x8232, 0x8232, 0x7A52, 0x8252, 0x7A53, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x8252, 0x8252, 0x7A53, 0x7A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8273, 
        0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A73, 0x8A73, 0x8273, 0x8293, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8293, 0x8294, 0x8294, 0x8273, 0x8A74, 
        0x8A74, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8293, 0x7A92, 0x7270, 0x726F, 0x6A6E, 0x6A6E, 0x626D, 0x624C, 0x5A29, 0x5A27, 0x5226, 0x5225, 0x4A25, 0x5246, 0x6A89, 0x7AEB, 0x8BAF, 0x9C51, 0xA4D2, 0xB553, 0xCDB6, 
        0xC536, 0x9BD0, 0x8B6E, 0x9BF0, 0xC596, 0xEF5D, 0xFFFF, 0xFFBF, 0xFF9F, 0xFF9E, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 
        0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBF, 0xF79E, 0xEF3C, 0xDEBA, 0xD659, 0xE73B, 0xD6D8, 0x842D, 0x4A26, 0x3164, 0x2903, 0x28E1, 0x4205, 0x9CF2, 0xDF1B, 0xF7BE, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFDF, 0xFFBF, 0xFFBF, 0xFFDF, 0xD69A, 0x4228, 0x20E3, 0x6AA8, 0xA40C, 0xB48E, 0xBC6E, 0xAC2B, 0xA3EA, 0xA3CB, 0xABED, 0xB42F, 0xCCB1, 0xE492, 0xECB4, 0xF556, 0xED57, 0xE516, 0xCC53, 0xBC52, 0xBC31, 0xC3F0, 0xCB90, 0xD34F, 0xCA8E, 0x98E9, 
        0x90E9, 0xB28E, 0xBB8F, 0xABAE, 0x72E9, 0x4A65, 0x3A23, 0x4244, 0x5AE7, 0x73AA, 0x8CCF, 0x7CCE, 0x6C0B, 0x4A86, 0x39A3, 0x3983, 0x5A46, 0xA3EC, 0xB48E, 0xA46E, 0x8C2C, 0x83EB, 0x7B89, 0x7B29, 0x7329, 0x6B4A, 0x6B4A, 0x634A, 0x634A, 0x6349, 
        0x6349, 0x5B49, 0x5B49, 0x6369, 0x6369, 0x62A6, 0x6266, 0x6AE8, 0x83AC, 0x9C6F, 0xC5D4, 0xEF5C, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xF73E, 0xEDDA, 0xE4D8, 0xE477, 0xEC15, 0xEB0F, 0xD2AB, 0x9AA9, 0x7AE9, 0x7B6B, 0x8BCD, 0x92AB, 
        0x9A4A, 0xAAEB, 0xAB6B, 0x9BAA, 0x7BA9, 0x6B88, 0x73C9, 0x9C8E, 0xC512, 0xD532, 0xDCF2, 0xBC10, 0xA3AF, 0x9B8E, 0x9B8F, 0xABAF, 0xBBF0, 0xC3D0, 0xCC32, 0xDD76, 0xE638, 0xE679, 0xE6BA, 0xF73A, 0xF73A, 0xDE99, 0xAD75, 0x8410, 0x5289, 0x736A, 
        0x7B89, 0x5A25, 0x3102, 0x28C1, 0x28E2, 0x4164, 0x4984, 0x3943, 0x4163, 0x61E4, 0xA3AA, 0xE6B8, 0xE6FA, 0xA44E, 0x6A05, 0x4902, 0x4841, 0x68A3, 0x78C4, 0x78C4, 0x70C3, 0x70E3, 0x68E3, 0x5041, 0x4821, 0x6063, 0x80A6, 0x90E7, 0xA169, 0xA26A, 
        0xAB2D, 0xB3F0, 0xABCF, 0x9B2C, 0x8249, 0xB431, 0xBCB3, 0xA3AF, 0xA3AE, 0xBC52, 0xE5B8, 0xED97, 0xDCB4, 0xB32E, 0x9A2B, 0x9A0A, 0xAA4B, 0xC2AD, 0xC2AD, 0xA1EA, 0x9148, 0x88E6, 0x88A5, 0x88A5, 0x90C6, 0x9908, 0x9949, 0x9969, 0x9968, 0x98C8, 
        0x9867, 0x9046, 0x9066, 0x98A7, 0xB16A, 0xDA6F, 0xE2F2, 0xE333, 0xEBD4, 0xEC76, 0xF518, 0xEC75, 0xD391, 0xAA2B, 0xA1EA, 0xB2AD, 0xD3D2, 0xB34E, 0xAB6E, 0xD4D4, 0xEDF9, 0xF659, 0xF617, 0xE574, 0xE594, 0xEEB9, 0xEF5C, 0xE73B, 0xBDD4, 0x39E6, 
        0x10A1, 0x2962, 0x39E3, 0x3A04, 0x39A3, 0x41A3, 0x39A2, 0x31A2, 0x31C2, 0x39E3, 0x4203, 0x3161, 0x3182, 0x52A5, 0x6B48, 0x6B68, 0x5AC5, 0x3962, 0x3101, 0x4163, 0x51E5, 0x5A45, 0x5A65, 0x49E3, 0x49E3, 0x72A7, 0x936A, 0xA3EC, 0xB42E, 0xB3CC, 
        0xAB6B, 0xA32A, 0xA32A, 0xAB4A, 0xAB6B, 0x9AE8, 0xA329, 0xCC90, 0xE616, 0xF6DA, 0xE6BB, 0xAC14, 0x82B1, 0x7A30, 0x69EE, 0x6A0C, 0x7ACC, 0xB495, 0xCD3A, 0xCCBB, 0xBC19, 0xABB7, 0xA353, 0xABEF, 0xB46E, 0xBCCD, 0xC50D, 0xC52D, 0xBCEE, 0xAC4D, 
        0xA42C, 0xB46E, 0xC4D1, 0xCD13, 0xD518, 0xBBDB, 0xB35D, 0xB39D, 0xBBDE, 0xBBDE, 0xBBDD, 0xBBFE, 0xBBFE, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBBE, 0xBBBE, 0xB3BE, 0xB3BE, 0xB3BE, 0xB3BE, 0xBBFE, 0xBBFE, 0xB3DD, 0xB3DD, 0xB3DD, 0xBBDD,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A52, 0x7A53, 0x7A53, 0x7A32, 0x7A52, 0x7A52, 0x8252, 0x7A72, 0x7A72, 0x7A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 
        0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A93, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8A94, 0x8A94, 0x8274, 0x8294, 0x8294, 0x8A93, 0x8A93, 
        0x8293, 0x8A73, 0x8A93, 0x8A94, 0x8A94, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8292, 0x7A90, 0x6A6D, 0x626C, 0x624C, 0x622C, 0x622C, 0x6A2C, 0x622B, 0x622A, 0x626A, 0x5A8A, 0x5A8A, 0x6ACB, 0x8B8D, 0x93EE, 0xA410, 0xA451, 0xA492, 0xA4D1, 0xAC90, 
        0xA40E, 0x7B2B, 0x5247, 0x41C5, 0x4A28, 0xAD55, 0xDEFB, 0xEF7D, 0xFFBF, 0xFFBF, 0xFF9E, 0xFFBE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xF7BE, 0xEF5C, 0xDEFB, 0xD6DA, 0xDEDB, 0xEEFD, 0xF6DD, 0xDE3A, 0xB4F4, 0x8BD0, 0x732D, 0xC638, 0xD6B9, 0x8C4D, 0x52A5, 0x4223, 0x3A04, 0x2963, 0x39A5, 0x736D, 0xAD55, 0xCE79, 0xF79D, 0xF79D, 0xF79D, 0xF7BE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xD69A, 0x5268, 0x3123, 0x6A87, 0xA3EB, 0xBC8D, 0xC4CE, 0xB44C, 0xA3EA, 0x9B6A, 0xA3ED, 0xBCD1, 0xDDF7, 0xED56, 0xECF5, 0xE4B5, 0xD453, 0xC3F1, 0xAB4E, 0xA391, 0xABB1, 0xB36F, 0xBB0D, 0xBAAD, 0xB9CC, 0xA0A8, 
        0xA0C8, 0xC26D, 0xD391, 0xD411, 0xABAE, 0x5A27, 0x3984, 0x4204, 0x4A85, 0x52C6, 0x6B89, 0x952E, 0x9D4F, 0x740B, 0x62C8, 0x6267, 0x7AA9, 0xB42D, 0xC4D0, 0xC4F0, 0xB4CF, 0xACAE, 0x9C2C, 0x938A, 0x8B49, 0x7B29, 0x7309, 0x7309, 0x6AE8, 0x52A7, 
        0x4AA6, 0x5AC6, 0x62E7, 0x6B28, 0x6B28, 0x6286, 0x6245, 0x6A87, 0x834A, 0xA46E, 0xDE56, 0xF79D, 0xFFDF, 0xFFDE, 0xFFBE, 0xFFDE, 0xFFBF, 0xF6FE, 0xF63D, 0xECF8, 0xE415, 0xDBD4, 0xDB94, 0xEB12, 0xE2AF, 0x9A6B, 0x72A9, 0x630A, 0x73AC, 0xA36D, 
        0xC36E, 0xCBAF, 0xCBEF, 0xC40F, 0x9BAC, 0x4AC5, 0x42E5, 0x842B, 0xB551, 0xCDB3, 0xC533, 0x9B4B, 0x92C9, 0x934C, 0xA3CF, 0xABF0, 0xC492, 0xE618, 0xF69A, 0xF658, 0xF638, 0xF679, 0xFF3C, 0xF73B, 0xCE37, 0x738D, 0x4206, 0x4205, 0x62E8, 0x7BA9, 
        0x7368, 0x4A04, 0x3122, 0x2922, 0x4A25, 0xA4ED, 0xB52E, 0x8328, 0x6A25, 0x8265, 0xBC2C, 0xEED8, 0xDE99, 0x8B4C, 0x50E3, 0x4840, 0x5841, 0x6842, 0x7063, 0x6863, 0x6883, 0x6082, 0x5861, 0x5060, 0x5861, 0x6884, 0x88E7, 0xA14A, 0xB1CB, 0x8965, 
        0x81C5, 0x9B0B, 0xABEF, 0xABEF, 0xA38D, 0xB3EF, 0xB3CF, 0xA38E, 0xB451, 0xC555, 0xDE18, 0xA32D, 0x7986, 0x6905, 0x7966, 0x9A2A, 0xDB90, 0xECD6, 0xE475, 0xAA8D, 0x8927, 0x80C6, 0x88C6, 0x90C6, 0x90E7, 0x9928, 0xA149, 0xA16A, 0xA969, 0xA108, 
        0xA0E8, 0xA909, 0xB129, 0xB94A, 0xC18B, 0xD24E, 0xDAB0, 0xE312, 0xEBB5, 0xEC35, 0xE434, 0xB24D, 0xA18B, 0xB20C, 0xC2CE, 0xD350, 0xE454, 0xE598, 0xE5D8, 0xDD56, 0xDD35, 0xE576, 0xEE19, 0xE618, 0xEE37, 0xF6DA, 0xFF7C, 0xFFBD, 0xD699, 0x4A48, 
        0x1081, 0x18E1, 0x2962, 0x31C3, 0x4204, 0x4A03, 0x4203, 0x39C2, 0x39A2, 0x39A2, 0x39A2, 0x2181, 0x29E2, 0x5B06, 0x73A9, 0x7B88, 0x62C6, 0x2962, 0x18C1, 0x20E1, 0x3143, 0x41E4, 0x5265, 0x3183, 0x3163, 0x5A46, 0x8329, 0x938A, 0xA3CB, 0xB40D, 
        0xBC0D, 0xB3CB, 0xAB49, 0x9B08, 0x9AE7, 0xCC6D, 0xDD51, 0xDDB4, 0xE657, 0xE6B9, 0xCE38, 0x5A6A, 0x4146, 0x7ACD, 0x9391, 0x8B6F, 0x6AAB, 0x82ED, 0x9350, 0x9BD1, 0xAC13, 0xB433, 0xB412, 0xAC2B, 0xAC69, 0xBCAD, 0xC4F1, 0xC512, 0xC532, 0xCCF1, 
        0xC4B0, 0xBCB0, 0xBCD0, 0xC511, 0xD552, 0xD515, 0xCC96, 0xBC19, 0xB3BC, 0xB39D, 0xBBBE, 0xBBDD, 0xBBFD, 0xBBDC, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBE, 0xBBBE, 0xB3BE, 0xB3BD, 0xB3BD, 0xB3BD, 0xBBBC, 0xBBDB, 0xBBDA,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7A53, 0x7A73, 0x8252, 0x8232, 0x8232, 0x7A32, 0x7A53, 0x7A73, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 
        0x8253, 0x8252, 0x8252, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A74, 0x8A74, 0x8294, 0x8294, 0x8293, 0x8A73, 0x8A73, 
        0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x9293, 0x8A92, 0x72AF, 0x6AAD, 0x626D, 0x624D, 0x6A6C, 0x6A8C, 0x72CD, 0x730E, 0x7B2D, 0x834D, 0x836D, 0x838D, 0x942E, 0x9C4E, 0xA40E, 0x9BCD, 0x9BAD, 0x838B, 0x6309, 
        0x5AE8, 0x62C8, 0x5A66, 0x49C4, 0x2942, 0x39C6, 0x5AEB, 0xAD96, 0xEF7D, 0xFFFF, 0xFFDF, 0xFF9E, 0xFF9D, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBF, 0xFF9E, 0xFF7E, 0xFF9E, 0xFFBE, 0xFFDE, 0xFFBD, 
        0xE6DA, 0xA4D1, 0x62EA, 0x4A48, 0x5AEB, 0xC618, 0xF77E, 0xF73D, 0xDE9A, 0xCDB7, 0xBD35, 0xE6FB, 0xE73B, 0xAD52, 0x6B4A, 0x4A26, 0x31A4, 0x6B67, 0x8C29, 0x8C0C, 0xA4D1, 0xC5D6, 0xE73B, 0xCE37, 0xCE16, 0xE6FA, 0xF7BE, 0xFFFF, 0xFFFE, 0xFFDE, 
        0xFFBE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xE71A, 0x942B, 0x7B26, 0x8BA9, 0xA44C, 0xAC8D, 0xBCCF, 0xC52E, 0xBCED, 0xA40C, 0x938B, 0x9B8C, 0xB450, 0xE639, 0xF69B, 0xE578, 0xCC74, 0xBBF1, 0xABAF, 0xABF1, 0xB411, 0xB38F, 0xB2CC, 0xAA4B, 0xA149, 0xA8C8, 
        0xB129, 0xCA6E, 0xDB71, 0xDBF2, 0xBBEF, 0x5A66, 0x39C3, 0x4225, 0x4A66, 0x5266, 0x5AA6, 0x7C2A, 0x84AB, 0x7C09, 0x7BAA, 0x8BAB, 0xAC0E, 0xC46F, 0xCC6F, 0xBC8F, 0xB48F, 0xB48E, 0xB4AE, 0xBCAE, 0xC4AE, 0xB46E, 0xB46D, 0xAC4D, 0xA44D, 0x9C4D, 
        0x944D, 0x9C2C, 0x9BEB, 0x938A, 0x8B4A, 0xA3EB, 0xB4AE, 0xCDB4, 0xDE78, 0xE6B9, 0xF71A, 0xF79D, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xF77E, 0xE5FC, 0xDCFA, 0xE436, 0xDBB4, 0xD393, 0xCB93, 0xEB74, 0xEB32, 0xBACD, 0x8A8A, 0x72A9, 0x734A, 0xBC91, 
        0xDD14, 0xECB5, 0xE433, 0xD3D1, 0xA32B, 0x52E6, 0x3AA5, 0x4AC5, 0x7BCA, 0xA50F, 0xDE97, 0xDE36, 0xD5B4, 0xDD94, 0xDDF6, 0xE638, 0xEE99, 0xEDF6, 0xEDF6, 0xF679, 0xFF1B, 0xFF7D, 0xF73B, 0xC572, 0x93AB, 0x41A5, 0x3163, 0x5265, 0x8C4A, 0x6B46, 
        0x5AA4, 0x5AC6, 0x7368, 0x842A, 0xA50C, 0xA4CC, 0x9C2A, 0x8B28, 0x8AE6, 0x9B27, 0xC48B, 0xEED4, 0xD674, 0x7B29, 0x40E2, 0x4060, 0x60A1, 0x7062, 0x7023, 0x6823, 0x6022, 0x6041, 0x6061, 0x60A2, 0x60C3, 0x70C4, 0x8948, 0xA1CB, 0xB20C, 0x70E4, 
        0x60E3, 0x9289, 0xABAE, 0xB40F, 0xBC71, 0xD596, 0xCD34, 0x930D, 0x8B0D, 0xAC52, 0xC5D7, 0x5A28, 0x3082, 0x5925, 0x8A29, 0xAACC, 0xCB90, 0xE3F3, 0xD391, 0xAA2B, 0x9167, 0x8947, 0x9148, 0x90E7, 0x90E7, 0xA148, 0xA989, 0xA98A, 0xA96A, 0xB1AA, 
        0xB9EB, 0xCA0C, 0xD1EB, 0xC9AB, 0xC98B, 0xE2B0, 0xF332, 0xEB33, 0xEB74, 0xEB94, 0xDB72, 0xB1EA, 0xA9EA, 0xCBD3, 0xECD8, 0xECF8, 0xE474, 0xD453, 0xCC12, 0xBB8F, 0xBBF1, 0xCCD5, 0xEE7B, 0xF6FA, 0xF6F9, 0xFEF9, 0xFF3B, 0xFF7C, 0xDEDA, 0x7B8A, 
        0x49C2, 0x2901, 0x2101, 0x3183, 0x4A64, 0x5285, 0x4A44, 0x4203, 0x39E2, 0x39C2, 0x39A2, 0x2921, 0x3182, 0x6327, 0x7C0A, 0x840A, 0x6AE8, 0x2922, 0x18C1, 0x2943, 0x39E4, 0x4A24, 0x5265, 0x5245, 0x49E4, 0x3963, 0x4164, 0x5A05, 0x8B49, 0xBC6F, 
        0xC4B0, 0xBC2D, 0xA3A9, 0x9B48, 0x9B49, 0xDD30, 0xF635, 0xF6F8, 0xE6F9, 0xCE77, 0x94B0, 0x49E6, 0x51E7, 0xA492, 0xD659, 0xDEBA, 0xBDB5, 0x7349, 0x6265, 0x7AE9, 0x9B8D, 0xABF0, 0xB452, 0xAC4E, 0xAC4E, 0xB470, 0xBCB2, 0xBCF3, 0xC553, 0xDD73, 
        0xDD53, 0xD532, 0xCD31, 0xCD50, 0xD570, 0xDD55, 0xD517, 0xC45A, 0xB3DC, 0xB3BD, 0xBB9E, 0xB3BD, 0xB3DD, 0xB3DD, 0xB3DD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBE, 0xB3BE, 0xBBBD, 0xBBBD, 0xBBBD, 0xB3BD,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A33, 0x7A32, 0x7A53, 0x7A53, 0x8252, 0x8232, 0x8232, 0x7A32, 0x8253, 0x8273, 0x7A53, 0x7A53, 0x8253, 0x8273, 0x8A53, 0x8A33, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A73, 0x8A93, 0x8A93, 0x8A73, 0x8A74, 0x8A74, 0x8A94, 0x8293, 0x8293, 0x8A73, 0x8A73, 
        0x8A73, 0x8A73, 0x8A73, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x8A94, 0x9273, 0x8A92, 0x7AB0, 0x72AF, 0x6A8F, 0x6A8E, 0x728D, 0x7AAD, 0x7AEF, 0x7B30, 0x8B6F, 0x93AF, 0x93CF, 0x93EF, 0x942F, 0x9C0E, 0x9BCD, 0x938C, 0x936B, 0x7B2A, 0x5AC8, 
        0x52A7, 0x5A88, 0x6247, 0x5205, 0x3122, 0x1860, 0x3945, 0x9471, 0xDEDB, 0xF7BE, 0xFFDE, 0xFF9D, 0xFF9D, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF77D, 0xEEDB, 0xE69A, 0xE69A, 0xEEFB, 0xF73C, 0xF77D, 0xDE97, 
        0xBD52, 0x6B09, 0x3163, 0x2923, 0x52A9, 0xC658, 0xF7DE, 0xFFDF, 0xF77E, 0xEEFC, 0xE67A, 0xF77A, 0xF779, 0xC614, 0x8C4D, 0x62C8, 0x41C4, 0x8C08, 0xACEA, 0x9C4B, 0x944E, 0xA4D2, 0xBDB6, 0xB552, 0xBD92, 0xDED9, 0xF7BD, 0xFFFE, 0xFFDE, 0xFFDE, 
        0xFFBE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xEF5B, 0xB52F, 0x9C4A, 0x944A, 0x9C6C, 0xA48D, 0xACCE, 0xBD4F, 0xBD4F, 0xA48D, 0x938B, 0x82C9, 0x8B0B, 0xD659, 0xF73D, 0xD597, 0xB432, 0xA38F, 0x938E, 0xB492, 0xC4B3, 0xB3AF, 0xAAAB, 0x99C9, 0x9108, 0xB1AA, 
        0xC22C, 0xD2AF, 0xDB71, 0xDBD2, 0xB3CF, 0x5A86, 0x3A03, 0x4A65, 0x5286, 0x5285, 0x5285, 0x6BA7, 0x7408, 0x73E9, 0x840B, 0x9C4D, 0xBCB0, 0xCC6F, 0xC42E, 0xBC2E, 0xB44E, 0xAC6E, 0xB4AF, 0xCD10, 0xD510, 0xCCF0, 0xC4EF, 0xC4EF, 0xBCEF, 0xBD10, 
        0xBD10, 0xBCEF, 0xB46D, 0xAC0D, 0xA3AB, 0xABEC, 0xC4CF, 0xE6B8, 0xFFBD, 0xFFBE, 0xFF5C, 0xFF9E, 0xF7DF, 0xFFDF, 0xFFFF, 0xFFFF, 0xF75E, 0xDD5A, 0xDC58, 0xE3F6, 0xE394, 0xDB93, 0xD3B3, 0xEBB4, 0xEBB4, 0xD391, 0xAB4D, 0x930B, 0x832A, 0xB4D1, 
        0xDD75, 0xED37, 0xE495, 0xD3D2, 0xAB0C, 0x7BAA, 0x63A9, 0x52E6, 0x6307, 0x83EB, 0xBDB3, 0xDE97, 0xE6B7, 0xEE77, 0xF698, 0xF6DA, 0xF71B, 0xEE37, 0xEE16, 0xF6DA, 0xFF9D, 0xFFBE, 0xDEB9, 0x93CC, 0x6A66, 0x5205, 0x5AA6, 0x7388, 0x8C69, 0x62E4, 
        0x5263, 0x6B47, 0x946A, 0xA52C, 0xAD6D, 0x942A, 0x8368, 0x8307, 0x8B07, 0x9B67, 0xBCAA, 0xE6F3, 0xD673, 0x7B29, 0x48E3, 0x4881, 0x68C2, 0x7063, 0x7043, 0x6823, 0x6822, 0x6021, 0x6861, 0x68E3, 0x7104, 0x7105, 0x8146, 0x9188, 0xA1CA, 0x7105, 
        0x6904, 0x8228, 0xA32C, 0xABCE, 0xC4B2, 0xE5F7, 0xD576, 0x9B4E, 0x8ACC, 0xA3F0, 0xBD96, 0x6AEC, 0x51C7, 0x7A4A, 0x9ACC, 0xA2CC, 0xA2AC, 0xBA8D, 0xC26D, 0xB24B, 0xAA2A, 0xA209, 0x99A9, 0x9107, 0x90E7, 0xA148, 0xA989, 0xA98A, 0xA18A, 0xB1CB, 
        0xC20B, 0xD22C, 0xDA4C, 0xDA2D, 0xD24D, 0xDA8E, 0xE2B0, 0xE2F1, 0xE313, 0xE333, 0xD332, 0xC2AD, 0xC30E, 0xE476, 0xF55A, 0xF539, 0xEC74, 0xD3D1, 0xC36F, 0xAB2E, 0xB390, 0xC494, 0xEE3A, 0xFF1A, 0xFF39, 0xFEF8, 0xFEFA, 0xFF3B, 0xEF1A, 0xAD0F, 
        0x7B48, 0x39A4, 0x20C2, 0x2122, 0x4224, 0x5285, 0x5285, 0x4A23, 0x4202, 0x4202, 0x41E2, 0x3141, 0x39A2, 0x6328, 0x842B, 0x8C4C, 0x7B6A, 0x3143, 0x18A1, 0x3183, 0x4224, 0x4A44, 0x5244, 0x5AA5, 0x5A65, 0x3983, 0x2922, 0x3963, 0x6AA7, 0xB44F, 
        0xCCF1, 0xBCAE, 0xAC2C, 0xA3EA, 0xA3EB, 0xDD30, 0xEDF3, 0xDE55, 0xC5F5, 0xA552, 0x7BED, 0x6B0B, 0x838E, 0xC596, 0xEEDB, 0xF73B, 0xDE77, 0x83AA, 0x6AA5, 0x8329, 0xA3CD, 0xB42F, 0xB471, 0xAC30, 0xAC10, 0xB451, 0xBCB2, 0xBCF3, 0xC553, 0xDD73, 
        0xE553, 0xDD53, 0xD552, 0xD551, 0xDD71, 0xDD55, 0xDD18, 0xC47A, 0xB41B, 0xB3DC, 0xBBBC, 0xBBBD, 0xBBBD, 0xBBDD, 0xB3DD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBE, 0xBBDE, 0xBBBD, 0xBBBD, 0xB3BD, 0xB39E,
  0x7A52, 0x7A52, 0x8232, 0x8252, 0x8252, 0x7A53, 0x8252, 0x8252, 0x7A52, 0x7A53, 0x7A53, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8252, 0x8A73, 0x8A73, 0x8A53, 0x8253, 0x8273, 0x8273, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 
        0x8A73, 0x8273, 0x8273, 0x8A73, 0x8A74, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A93, 0x8A74, 0x8A74, 0x8A94, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8293, 0x8A93, 
        0x8A93, 0x8A93, 0x9293, 0x8A93, 0x8A93, 0x8A94, 0x8A94, 0x8A94, 0x8A73, 0x8A73, 0x8A92, 0x8292, 0x8292, 0x7AB1, 0x7AB0, 0x82B0, 0x8AB0, 0x82B1, 0x82D1, 0x8B11, 0x9392, 0x93D2, 0x9C32, 0x9BF1, 0x9BB0, 0x938F, 0x8B8E, 0x8B8E, 0x836D, 0x732B, 
        0x62CA, 0x5A69, 0x5208, 0x51E7, 0x4985, 0x40C2, 0x5144, 0x8B6D, 0xC595, 0xE69A, 0xF79E, 0xFF9E, 0xFF9E, 0xFFBF, 0xFFFF, 0xFFFF, 0xFFDF, 0xEF7D, 0xEF3C, 0xEF3C, 0xEF3C, 0xF71C, 0xEE79, 0xCD54, 0xBCD1, 0xACB0, 0xBD53, 0xCE17, 0xDED9, 0xACEE, 
        0x7B48, 0x41E5, 0x39C4, 0x52A7, 0x9CEF, 0xDED9, 0xF79E, 0xF7DE, 0xF79F, 0xEF5E, 0xE6FB, 0xF796, 0xF7D5, 0xE754, 0xB5D0, 0x8C6B, 0x6284, 0x7B06, 0x93A8, 0x93AA, 0x7B4B, 0x62CA, 0x52A9, 0x9CCE, 0xCE13, 0xE719, 0xFFBD, 0xFFDE, 0xFFBD, 0xFFDE, 
        0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xF7BE, 0xEF5C, 0xD699, 0xB593, 0xA4F0, 0x948D, 0x944C, 0x944C, 0x946C, 0x948C, 0x9CAD, 0x9C8D, 0x83AB, 0x6AA8, 0x5A47, 0xC5F7, 0xE6FB, 0xB4B2, 0x7ACB, 0x6227, 0x6AC8, 0xB513, 0xD575, 0xB3AF, 0x9A2A, 0x8988, 0x91A9, 0xC30E, 
        0xD3B0, 0xD370, 0xCB50, 0xCB90, 0xB3AF, 0x6AC8, 0x5265, 0x5264, 0x5284, 0x5284, 0x52A4, 0x5B46, 0x6387, 0x73E9, 0x8C2C, 0x9C6E, 0xB48F, 0xBC2D, 0xBC0C, 0xBBED, 0xB3ED, 0xAC0E, 0xAC4E, 0xBCAF, 0xC4D0, 0xC4CF, 0xC4CF, 0xBCAF, 0xBCAF, 0xC4CF, 
        0xC4CF, 0xBCAF, 0xBCAF, 0xC4AF, 0xBC4E, 0x92C9, 0x930B, 0xCD95, 0xEF3C, 0xFF7D, 0xFF3D, 0xFFBE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF71D, 0xED18, 0xEC15, 0xEBD5, 0xF3B5, 0xF3D5, 0xF415, 0xF3F4, 0xF435, 0xECD7, 0xDCF6, 0xCC73, 0xB3CE, 0xB4B0, 
        0xBD54, 0xDD97, 0xE557, 0xD494, 0xC3F0, 0xCD93, 0xC614, 0x9CCE, 0x7389, 0x62C8, 0x62A9, 0x944E, 0xAD31, 0xC593, 0xDDF5, 0xE616, 0xF678, 0xFF3C, 0xF77D, 0xF75C, 0xE6FA, 0xD656, 0xACD0, 0x5AA8, 0x5A87, 0x946C, 0xAD4D, 0x9CEC, 0x7366, 0x5263, 
        0x5AA3, 0x7BA7, 0x9449, 0x8C49, 0x83E8, 0x8BE9, 0x8BA9, 0x8308, 0x8AE6, 0x9366, 0xB4E9, 0xE6F4, 0xDE94, 0x8B2A, 0x58E3, 0x5842, 0x7083, 0x7064, 0x7064, 0x7043, 0x7041, 0x7041, 0x7062, 0x8105, 0x8947, 0x8125, 0x78E4, 0x70C3, 0x70E4, 0x91C8, 
        0x91E8, 0x79A6, 0x7A07, 0x92EA, 0xBC90, 0xCCF3, 0xCCD3, 0xC431, 0xB410, 0xB451, 0xBCF2, 0xCD75, 0xD555, 0xC431, 0xA2CC, 0x8A29, 0x6966, 0x9188, 0xAA0B, 0xC2EE, 0xCB4F, 0xC30E, 0xAA4B, 0x9948, 0x9107, 0x9928, 0xA149, 0xA16A, 0xA16A, 0xA169, 
        0xA949, 0xB98A, 0xD24D, 0xE310, 0xE392, 0xB1AA, 0xA108, 0xC9ED, 0xDA90, 0xD2B1, 0xCAD1, 0xDBF5, 0xE476, 0xEC55, 0xEC54, 0xF474, 0xF4B4, 0xE473, 0xD432, 0xBC11, 0xBC12, 0xC453, 0xDD35, 0xF679, 0xFED9, 0xF6B8, 0xF6D8, 0xFEF9, 0xF73A, 0xEF3B, 
        0xC616, 0x632C, 0x2924, 0x18A1, 0x2922, 0x5264, 0x62C5, 0x5264, 0x4A43, 0x4A43, 0x5263, 0x4A22, 0x5243, 0x6B07, 0x8C0B, 0x9C8D, 0x946C, 0x3184, 0x10A1, 0x31A3, 0x4A24, 0x5243, 0x5203, 0x4A63, 0x52A4, 0x52A4, 0x4A44, 0x39A3, 0x3984, 0x8B8A, 
        0xBCAE, 0xCD50, 0xC571, 0xBD50, 0xACCE, 0xB44D, 0xABEC, 0x936A, 0x7B4A, 0x736B, 0x842E, 0xB574, 0xCDD7, 0xD5D6, 0xDD95, 0xDD94, 0xD552, 0xA40C, 0x9BAB, 0xB44E, 0xC4CF, 0xCD0F, 0xC4EF, 0xA3EF, 0x9BAF, 0xB450, 0xC4D1, 0xCD11, 0xCD32, 0xD532, 
        0xDD32, 0xDD52, 0xDD73, 0xDD73, 0xE594, 0xE556, 0xDD16, 0xC497, 0xB438, 0xB3F8, 0xB3D9, 0xC3DD, 0xC3DE, 0xBBDE, 0xBBDE, 0xBBDD, 0xB3DD, 0xBBBE, 0xBBDE, 0xB3DE, 0xBBDD, 0xBBDE, 0xBBDE, 0xBBDE, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBBE,
  0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A33, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8273, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8253, 0x8273, 
        0x8273, 0x8273, 0x8273, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A94, 0x8A94, 0x8294, 0x8294, 0x8294, 0x8273, 0x8A73, 0x8A72, 0x8273, 0x8274, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A72, 
        0x8A72, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8AB3, 0x8AB3, 0x8AB3, 0x8AB3, 0x8AB4, 0x8AB4, 0x8AB3, 0x8AB3, 0x8B12, 0x9332, 0x9B53, 0x9B94, 0x9BD5, 0xA435, 0xA413, 0xA3F1, 0x9BB0, 0x938F, 0x8B8F, 0x836E, 0x62EB, 
        0x52A9, 0x52A8, 0x5AA8, 0x62C8, 0x62C7, 0x5205, 0x49E5, 0x6A89, 0x93EF, 0xBD54, 0xEF3C, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFBF, 0xEF3C, 0xBD34, 0xA450, 0xAC91, 0xC534, 0xD5F6, 0xE699, 0xBDD5, 0x9490, 0x5AAA, 0x5AAA, 0x83EF, 0xD678, 0xE6DA, 
        0xCDF6, 0x7BAA, 0x4203, 0x2962, 0x41E5, 0x7BCF, 0xA514, 0xCE39, 0xDEDB, 0xE71C, 0xF7BE, 0xF7FC, 0xFFFA, 0xEF96, 0xBE10, 0x8C4B, 0x49E4, 0x6204, 0x7AE7, 0x93EC, 0x83AD, 0x62CA, 0x4A26, 0x9D51, 0xD718, 0xEF9C, 0xFFDE, 0xFFBE, 0xFF9D, 0xFFDE, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xF7BE, 0xDEFB, 0xB595, 0x8C70, 0x630B, 0x94B0, 0xA552, 0x94F1, 0x8C6E, 0x842C, 0x7BC9, 0x6B88, 0x6B88, 0x6B68, 0x6347, 0x6325, 0x6B87, 0xBDF5, 0xC5F7, 0x734C, 0x41C5, 0x39C5, 0x6349, 0xA4AF, 0xAC90, 0x930B, 0x926A, 0x9ACB, 0xBBAF, 0xBB8F, 
        0xB34E, 0xBAEE, 0xC30F, 0xCB50, 0xC3D1, 0x9BAD, 0x7B4A, 0x5AA6, 0x4A63, 0x4A63, 0x52C3, 0x4AE4, 0x5305, 0x6348, 0x7B89, 0x8B8A, 0x9BAB, 0xAC0C, 0xAC0D, 0xABED, 0xABED, 0xABED, 0xB44E, 0xB48E, 0xBCAE, 0xBCAE, 0xC48F, 0xC48E, 0xC48E, 0xC48E, 
        0xC48D, 0xC46D, 0xC46E, 0xC48F, 0xBC4E, 0x9B09, 0xA36A, 0xD5D5, 0xEF5C, 0xF7BD, 0xF7BC, 0xFFDE, 0xFFDF, 0xFFDF, 0xF79F, 0xF73E, 0xE63C, 0xE4B6, 0xEC15, 0xF416, 0xF437, 0xFC77, 0xF497, 0xF4B6, 0xF4D7, 0xF539, 0xF5DB, 0xF63B, 0xEE9A, 0xEE38, 
        0xE618, 0xE618, 0xE639, 0xE63A, 0xEE5B, 0xF6FD, 0xF6FB, 0xD636, 0xBD72, 0xAD0F, 0x7BEB, 0x39E5, 0x41C6, 0x8BEE, 0xC5D5, 0xE6B9, 0xF75C, 0xE71B, 0xD658, 0xACF1, 0x7B4A, 0x6287, 0x62A8, 0xA531, 0xC5F3, 0xAD2F, 0x944B, 0x7BE9, 0x6B46, 0x5AE4, 
        0x62E5, 0x7367, 0x8387, 0x7B86, 0x7B86, 0x9C6A, 0x942A, 0x6AA6, 0x72A6, 0x93C9, 0xD64F, 0xE710, 0xC5EE, 0x72E7, 0x48E3, 0x4882, 0x70C4, 0x7884, 0x7864, 0x7083, 0x70A3, 0x78C3, 0x8105, 0x9968, 0xA189, 0x9147, 0x9147, 0x91A7, 0x9A28, 0x9A29, 
        0x81C8, 0x5905, 0x5124, 0x6206, 0x93AC, 0xB491, 0xC4F3, 0xD514, 0xD4D3, 0xC471, 0xBC30, 0xDE18, 0xD5F8, 0x9B8E, 0x8208, 0x8A08, 0xB36E, 0xD4D5, 0xD4D6, 0xC390, 0xAA8C, 0xA24A, 0xA24B, 0xB2AD, 0xBAAD, 0xA9EA, 0xA188, 0xA168, 0xA168, 0x90E6, 
        0x90E6, 0xB189, 0xD26D, 0xE2EF, 0xE310, 0xB16A, 0x98A7, 0xA8E9, 0xB16B, 0xC1AD, 0xD22F, 0xDAD1, 0xDB31, 0xE3B2, 0xEC33, 0xF474, 0xF4B5, 0xECF5, 0xE4D5, 0xD474, 0xC433, 0xC432, 0xC473, 0xDD75, 0xEE17, 0xF698, 0xF6D8, 0xF6B8, 0xF6D9, 0xFF9C, 
        0xEF3B, 0xAD53, 0x6B2B, 0x41E6, 0x20C2, 0x41C2, 0x5A64, 0x62A5, 0x62A6, 0x5285, 0x4A44, 0x5243, 0x5A64, 0x6AC6, 0x7B68, 0x8C0A, 0x842B, 0x3184, 0x10A1, 0x2983, 0x4244, 0x4A64, 0x4A63, 0x3A21, 0x3A21, 0x4A83, 0x5284, 0x4A43, 0x41E2, 0x5A84, 
        0x7B68, 0xB4EE, 0xCDB1, 0xC56F, 0x940A, 0x51A4, 0x4123, 0x6A47, 0x93ED, 0xB552, 0xCE17, 0xABCE, 0xA30C, 0xBBF0, 0xD4F3, 0xE595, 0xE5B3, 0xB4AC, 0xA42A, 0xAC4C, 0xBC6F, 0xC4B0, 0xC4D0, 0xA40C, 0x9BCB, 0xAC4B, 0xBCAC, 0xC4ED, 0xCD30, 0xCD52, 
        0xCD52, 0xD553, 0xDD73, 0xDD94, 0xE5B4, 0xE5B4, 0xDD95, 0xD517, 0xC479, 0xBC1A, 0xB3BB, 0xBBDD, 0xBBFE, 0xBBFE, 0xBBDE, 0xBBDE, 0xB3DE, 0xBBDE, 0xBBBE, 0xBBBD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBBE, 0xBBBE, 0xBBBD, 0xBBDD,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x8252, 0x8A52, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8253, 
        0x8273, 0x8273, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8253, 0x8253, 0x8273, 0x8293, 0x8A93, 0x8A93, 0x8A73, 0x8273, 0x8272, 0x8272, 0x8272, 0x8271, 0x8271, 0x8290, 0x8292, 0x8A93, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8AB3, 
        0x8AB2, 0x8AB3, 0x8A93, 0x8A93, 0x8A93, 0x8AB3, 0x8AB3, 0x8A93, 0x8A94, 0x8A74, 0x8A74, 0x92B4, 0x92B3, 0x8A73, 0x8A73, 0x8A73, 0x82B2, 0x82D2, 0x82F1, 0x8311, 0x8330, 0x8330, 0x8350, 0x8B90, 0x93B0, 0x8B8F, 0x838E, 0x836E, 0x836D, 0x8B4D, 
        0x934E, 0x936E, 0x936E, 0x9B6F, 0xA36E, 0xA36E, 0x9B4D, 0x9B2C, 0xA36D, 0xB42F, 0xDDB5, 0xF75C, 0xFFBF, 0xFF3E, 0xFEFE, 0xFEFD, 0xEEBB, 0xCD33, 0xC512, 0xDE37, 0xE6FA, 0xE6FA, 0xC5F6, 0x5AAA, 0x2944, 0x2943, 0x41C3, 0x5A86, 0x940D, 0xD637, 
        0xC5D6, 0x6B0B, 0x3143, 0x2901, 0x3982, 0x41E6, 0x4228, 0x528A, 0x6B4D, 0x9471, 0xD6B9, 0xE737, 0xE757, 0xEF79, 0xE6D7, 0xCDF2, 0xB48C, 0xB4AF, 0xBD11, 0xBD30, 0xA48D, 0x8BAA, 0x62C7, 0x8CAE, 0xADF4, 0xDEFA, 0xF79D, 0xFF9E, 0xFF7D, 0xFFBE, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DE, 0xDF1B, 
        0xBDD7, 0x738E, 0x5289, 0x5AEA, 0x844E, 0x94B0, 0x9CD0, 0x94D0, 0x8CCE, 0x84AD, 0x744B, 0x7429, 0x73E9, 0x6BC8, 0x6BC8, 0x7408, 0x8449, 0x73CA, 0x6B49, 0x5AA7, 0x5AC7, 0x6329, 0x73EB, 0x740C, 0x6BAB, 0x5A87, 0x51E5, 0x5A05, 0x7AC9, 0xBC6F, 
        0xCC91, 0xC36F, 0xBAED, 0xBAED, 0xB34D, 0x934B, 0x7B4A, 0x7369, 0x6B48, 0x5B26, 0x4AA4, 0x4AA3, 0x52C4, 0x52E6, 0x5AE6, 0x62E6, 0x7307, 0x9BEB, 0xA42D, 0xA3EB, 0xA3CB, 0xA3CB, 0xAC0C, 0xAC4E, 0xB46F, 0xBCAF, 0xC4CF, 0xCCCF, 0xC4AF, 0xBC8F, 
        0xBC8F, 0xCC8F, 0xCCAF, 0xD4AF, 0xCC6E, 0xAB4B, 0xAB8D, 0xD574, 0xEEFA, 0xF79C, 0xFFDE, 0xFFFF, 0xFFDF, 0xFF7F, 0xF6FE, 0xEE7D, 0xE5BA, 0xECD7, 0xF4B6, 0xF4D8, 0xFD19, 0xFD59, 0xFD79, 0xFDBB, 0xFDFB, 0xF65B, 0xF6BC, 0xF6FC, 0xF73D, 0xFF3D, 
        0xFF3D, 0xFF5D, 0xFF3D, 0xFF1C, 0xF6FB, 0xF6FB, 0xF71C, 0xEF1B, 0xDE98, 0xBDB4, 0x83EC, 0x5286, 0x5AE9, 0xA512, 0xCE57, 0xD699, 0xBDF7, 0x732A, 0x49E5, 0x39A4, 0x4A05, 0x6AE7, 0xA48B, 0xACEE, 0x9CAD, 0x7BA9, 0x62E5, 0x5AC5, 0x5B05, 0x73A8, 
        0x6B68, 0x4A25, 0x41E4, 0x5285, 0x83E8, 0x942B, 0x8BAA, 0x6286, 0x6B09, 0x946E, 0xD675, 0xB50C, 0x8366, 0x51A3, 0x48E2, 0x5903, 0x7986, 0x8166, 0x8926, 0x8945, 0x9186, 0x9987, 0xA9C9, 0xB22A, 0xB24A, 0xB26A, 0xBAEC, 0xCBAF, 0xC410, 0x7227, 
        0x4102, 0x28A1, 0x28C2, 0x3944, 0x6AE9, 0xB552, 0xCDF5, 0xD574, 0xD534, 0xDD54, 0xE5B5, 0xD514, 0xCCB3, 0xC492, 0xCCB3, 0xDCF4, 0xDD16, 0xC3D1, 0xAACD, 0x91C8, 0x8966, 0x81A7, 0x9AAB, 0xD3F0, 0xE411, 0xC30D, 0xAA6B, 0xAA4B, 0xAA4B, 0xBA4B, 
        0xBA0A, 0xA969, 0xA96A, 0xB9EC, 0xDACF, 0xD22C, 0xC1AA, 0xB98A, 0xC1AB, 0xC9EB, 0xE26D, 0xE2B0, 0xE2D1, 0xDB12, 0xDB92, 0xE413, 0xF4D6, 0xF599, 0xF5BA, 0xED58, 0xDCB4, 0xC412, 0xB3B0, 0xDD35, 0xF5F8, 0xF638, 0xEE58, 0xF698, 0xF6B8, 0xF6FA, 
        0xF71A, 0xE6F8, 0xBDB3, 0x942E, 0x41E6, 0x3123, 0x3142, 0x41A2, 0x5244, 0x62C5, 0x6B47, 0x52A5, 0x4203, 0x41E3, 0x5AA6, 0x7BAA, 0x9CAE, 0x5AE8, 0x3A04, 0x4224, 0x5284, 0x5AE5, 0x5B26, 0x4A62, 0x4201, 0x4A22, 0x5284, 0x5AC5, 0x5AC4, 0x31A3, 
        0x39E4, 0x7B8A, 0x9C6C, 0x942B, 0x72A6, 0x4922, 0x59A5, 0xAC90, 0xDEB8, 0xF77C, 0xE6FA, 0x93AE, 0x826A, 0xAB4D, 0xD471, 0xE554, 0xEDF6, 0xD535, 0xC4D4, 0xBC93, 0xBC72, 0xBC91, 0xB46F, 0xAC2D, 0xA40D, 0xA40B, 0xAC4B, 0xAC4C, 0xB4AE, 0xCD4E, 
        0xD56F, 0xD552, 0xDD54, 0xDD74, 0xE5B4, 0xEDF5, 0xEDF5, 0xE5B7, 0xD557, 0xCD17, 0xBC77, 0xB3BC, 0xB39E, 0xB3DE, 0xBBFD, 0xBBFD, 0xBBBD, 0xBBDD, 0xBBDD, 0xBBBE, 0xBBBE, 0xBBBE, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBBD, 0xBBBD, 0xBBBD, 0xBBBD,
  0x7A32, 0x7A32, 0x8252, 0x8252, 0x8252, 0x8252, 0x7A53, 0x7A53, 0x8253, 0x8252, 0x8253, 0x7A53, 0x7A53, 0x7A53, 0x7A52, 0x7A52, 0x7A72, 0x8273, 0x8A73, 0x8A73, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 
        0x8273, 0x8A73, 0x8A73, 0x8A53, 0x8253, 0x8A73, 0x8A93, 0x8A93, 0x8273, 0x8273, 0x8273, 0x8A93, 0x8A93, 0x8A93, 0x8A94, 0x8294, 0x8274, 0x8272, 0x8271, 0x8271, 0x8291, 0x82B1, 0x82B1, 0x8292, 0x8292, 0x8293, 0x8293, 0x8294, 0x8A94, 0x8AB3, 
        0x8AB3, 0x8AD4, 0x92B4, 0x92B4, 0x92B4, 0x92D4, 0x92B4, 0x8AB4, 0x8AB4, 0x8293, 0x8293, 0x8A94, 0x9294, 0x9294, 0x9294, 0x8A93, 0x8AB2, 0x7AB2, 0x7AB1, 0x7AD0, 0x72AF, 0x72AE, 0x6A8D, 0x6AEE, 0x730E, 0x7B2E, 0x7B4E, 0x7B4E, 0x832F, 0x8B50, 
        0x9371, 0x93B2, 0x9BF2, 0xA3F3, 0xABF2, 0xB3D1, 0xB3D0, 0xA38F, 0x9B2C, 0x92CA, 0x9B4B, 0xDE58, 0xFFBE, 0xFFBE, 0xF77D, 0xF71C, 0xEE59, 0xE5B5, 0xE594, 0xDDD5, 0xBD52, 0x944E, 0x5A67, 0x39A5, 0x39A5, 0x5225, 0x62E6, 0x7388, 0x7BEA, 0x72C7, 
        0x6205, 0x4164, 0x3984, 0x4A26, 0x83AB, 0xC595, 0xD638, 0xD638, 0xCE18, 0xBDB6, 0xA4B2, 0xA44D, 0xB4CE, 0xDE56, 0xE717, 0xE6D3, 0xC5AB, 0x9C4A, 0x9C0C, 0xA44E, 0x8BAC, 0x62A9, 0x4A07, 0xB5B5, 0xEF9C, 0xF7BE, 0xFFDE, 0xFFBE, 0xFF9E, 0xFFDF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF7BE, 0xD699, 0x5AEB, 
        0x39C6, 0x5AE9, 0x7C2E, 0x8CD0, 0x9533, 0x9D32, 0x9D11, 0x9CF0, 0x94CF, 0x84AD, 0x746C, 0x6C0A, 0x6BE9, 0x63A7, 0x5325, 0x42C4, 0x3A84, 0x6B89, 0x7BEB, 0x73AA, 0x6B49, 0x6329, 0x73CB, 0xB5F4, 0xBE35, 0x842D, 0x5266, 0x39A3, 0x3983, 0x72C7, 
        0x8B29, 0x92A9, 0x9248, 0x9228, 0x9ACA, 0xBCF1, 0xBD51, 0x8C0B, 0x6307, 0x5AC5, 0x5AC5, 0x52C4, 0x4AC4, 0x4AA4, 0x42A4, 0x42A3, 0x4AC4, 0x7B49, 0x8BAB, 0x93EB, 0x9C0B, 0x9C0B, 0xA40C, 0xB44E, 0xC46E, 0xC48F, 0xC4AF, 0xC4AF, 0xC4AF, 0xC4B0, 
        0xCCB1, 0xD4B0, 0xDCAF, 0xDCD0, 0xD48F, 0xB3AC, 0xABAC, 0xBCD1, 0xDE16, 0xE6DA, 0xF7BE, 0xFFFF, 0xFFBF, 0xFF3E, 0xFE9D, 0xF65C, 0xF5DB, 0xFD59, 0xFD39, 0xFD7B, 0xFDDC, 0xFE1C, 0xFE7D, 0xFEDE, 0xFF1E, 0xFF5E, 0xFF7E, 0xFF9F, 0xFF9E, 0xF75D, 
        0xF73D, 0xF73D, 0xFF5D, 0xFF5D, 0xF73C, 0xF6FA, 0xEED8, 0xEED9, 0xEEFA, 0xEEFA, 0xDEDA, 0xC617, 0xAD53, 0x7BEC, 0x5266, 0x39C5, 0x31C5, 0x39C4, 0x4224, 0x6306, 0x6B67, 0x6B67, 0x6B47, 0x7B89, 0x7368, 0x5A84, 0x39C2, 0x3181, 0x31A1, 0x5244, 
        0x5224, 0x2922, 0x20E1, 0x3962, 0x62A4, 0x7B88, 0x7389, 0x6B08, 0x83AA, 0xA4EF, 0xDEB5, 0xC5CD, 0x9C68, 0x6224, 0x4923, 0x5924, 0x71C6, 0x7164, 0x7924, 0x8966, 0x9987, 0x99A7, 0x99A7, 0xA1A8, 0xB22A, 0xCB4E, 0xDBD1, 0xDB90, 0xB2CC, 0x5A05, 
        0x39A2, 0x4182, 0x3921, 0x28E1, 0x3985, 0xAD53, 0xDED8, 0xDE36, 0xDD94, 0xD533, 0xDD33, 0xEDF6, 0xEE18, 0xE5B7, 0xDD56, 0xD4F4, 0xC410, 0x926A, 0x924A, 0xBB6F, 0xC3D1, 0xAB6E, 0x9AAB, 0xDC11, 0xF4F4, 0xECD4, 0xD411, 0xBB0D, 0x99C9, 0xB24B, 
        0xB24B, 0xA1A9, 0x9148, 0xA189, 0xC24C, 0xE350, 0xF391, 0xEB31, 0xEB10, 0xEB11, 0xE2D0, 0xB9ED, 0xB1CC, 0xBA8E, 0xCB30, 0xCB91, 0xDC12, 0xECD5, 0xF557, 0xF598, 0xE537, 0xD4B5, 0xC412, 0xD4D4, 0xE576, 0xEDD7, 0xEE37, 0xF678, 0xF698, 0xEE36, 
        0xEE36, 0xEED8, 0xEF39, 0xE718, 0xCE36, 0x9C30, 0x730B, 0x51E6, 0x3983, 0x41A3, 0x5224, 0x5A64, 0x4A23, 0x3962, 0x41A4, 0x5A88, 0x944D, 0x946D, 0x83EB, 0x6307, 0x5AE6, 0x6B48, 0x7C0A, 0x6B26, 0x5AA3, 0x5243, 0x4A23, 0x4A43, 0x5283, 0x5B24, 
        0x52E4, 0x4224, 0x5A66, 0x7B69, 0xACAD, 0x8B69, 0x8B6A, 0xC593, 0xF75A, 0xFFDC, 0xDE98, 0x7A8A, 0x6146, 0x9AAC, 0xCC51, 0xE534, 0xEDF5, 0xD574, 0xC4F3, 0xB471, 0xB471, 0xBC91, 0xC4D1, 0xB44E, 0xAC2D, 0xB48D, 0xBCCD, 0xC4EE, 0xCD0F, 0xCD52, 
        0xD553, 0xDD54, 0xE554, 0xE575, 0xE5B5, 0xEE15, 0xEE16, 0xE5B6, 0xD557, 0xCCD8, 0xBC39, 0xB39D, 0xB39E, 0xB3DE, 0xBBFD, 0xBBFD, 0xBBDE, 0xBBDE, 0xB3FE, 0xBBDE, 0xBBDE, 0xBBDE, 0xBBFE, 0xBBFE, 0xBBDD, 0xBBDE, 0xBBDE, 0xBBDE, 0xBBDE,
  0x7A33, 0x7A53, 0x8253, 0x8252, 0x7A52, 0x7A52, 0x8252, 0x8253, 0x7A52, 0x7A53, 0x7A53, 0x7A33, 0x7A33, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8273, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 
        0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A94, 0x8A94, 0x8A94, 0x8273, 0x7A72, 0x8290, 0x8AAF, 0x8AB0, 0x82CF, 0x82EF, 0x82EF, 0x82D2, 0x82B3, 0x8AB3, 0x8AB2, 0x8AB2, 0x8AD2, 0x92F2, 
        0x92F2, 0x92F2, 0x92D1, 0x92D1, 0x92F1, 0x9B11, 0x9B11, 0x9B11, 0xA312, 0xAB13, 0xAB54, 0xAB55, 0xA335, 0x9B14, 0x92F3, 0x8AF1, 0x7ACF, 0x72AE, 0x6AAD, 0x6AAC, 0x628A, 0x5A6A, 0x4A29, 0x4A05, 0x4A25, 0x5A47, 0x626A, 0x6AAB, 0x7AEC, 0x9B4E, 
        0xABB0, 0xBBF2, 0xC434, 0xCC54, 0xD454, 0xD472, 0xD492, 0xCC92, 0xABCF, 0x82EB, 0x6A48, 0xB491, 0xDE17, 0xEF3C, 0xF7BE, 0xFFDE, 0xF75C, 0xDDF6, 0xB4B0, 0x6AA9, 0x41A5, 0x3144, 0x3923, 0x41C4, 0x49E5, 0x41C5, 0x41E6, 0x4207, 0x4207, 0x49A5, 
        0x6227, 0xA42C, 0xCDB2, 0xDE55, 0xE657, 0xEDB5, 0xF575, 0xED97, 0xEDD8, 0xEDF9, 0xD5B5, 0x9CEC, 0x950C, 0xCE94, 0xEF37, 0xEF15, 0xD5EF, 0xA46E, 0x93CE, 0x838B, 0x62A7, 0x41C5, 0x39A5, 0xAD74, 0xE75B, 0xF79D, 0xFFBE, 0xFFBE, 0xFF9E, 0xFFDF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xF7BE, 0xE71B, 0xCE58, 0x9470, 0x4A46, 
        0x4A46, 0x7C0C, 0x9D31, 0xA552, 0x94F1, 0x94F0, 0x94F0, 0x94AF, 0x8C8E, 0x846D, 0x744C, 0x63E9, 0x63A8, 0x5B46, 0x4AC4, 0x4283, 0x4AA4, 0x8CAC, 0x9D0E, 0x73CA, 0x5B08, 0x5308, 0x6C0C, 0xB5D5, 0xC617, 0x9CF0, 0x6B69, 0x4A65, 0x3162, 0x5A64, 
        0x7AE6, 0x9329, 0xB3AD, 0xCC30, 0xCC70, 0x8B29, 0x6265, 0x4A23, 0x4223, 0x4A83, 0x5B05, 0x6365, 0x5B45, 0x4AC5, 0x4284, 0x3A63, 0x4263, 0x5263, 0x62A4, 0x7B27, 0x93A9, 0xA3EB, 0xAC0C, 0xB44D, 0xB46E, 0xBC8F, 0xC4B0, 0xC4B0, 0xC4AF, 0xD4B0, 
        0xD4D0, 0xDCD0, 0xDCD0, 0xDCD0, 0xD48F, 0xB3AB, 0xABCB, 0xC511, 0xDE36, 0xE6FA, 0xF7BE, 0xFFFF, 0xFFBE, 0xFEFD, 0xF67C, 0xF65C, 0xF65C, 0xF63C, 0xFE5D, 0xFE7E, 0xFEDE, 0xFEFE, 0xFF5F, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBE, 0xF77D, 
        0xF73C, 0xEEFB, 0xEEBA, 0xEE9A, 0xF6B9, 0xF73B, 0xEF5C, 0xEF3B, 0xE6FA, 0xDEDA, 0xC617, 0x736B, 0x4A26, 0x3183, 0x2962, 0x29A1, 0x4243, 0x6307, 0x7368, 0x7388, 0x7BA8, 0x73A8, 0x6B28, 0x49C4, 0x4142, 0x4982, 0x41A2, 0x39A1, 0x2941, 0x18A1, 
        0x1060, 0x1060, 0x20C1, 0x3142, 0x5A45, 0x736A, 0x6BAB, 0x6B88, 0x7C07, 0x94C9, 0xBD6C, 0x9367, 0x7A24, 0x7964, 0x8105, 0x80E5, 0x80E5, 0x60A3, 0x60E4, 0x91E7, 0xAA6A, 0xA269, 0x89C7, 0x8125, 0x88E4, 0x9145, 0x99A7, 0xA1E9, 0x9229, 0x51C4, 
        0x39A1, 0x39A1, 0x3161, 0x2121, 0x2102, 0x52A9, 0x840E, 0xBD73, 0xD5D5, 0xCD53, 0xB4B1, 0xDE58, 0xE679, 0xC492, 0xB38E, 0xC3CF, 0xDCF4, 0xE5F7, 0xE639, 0xEDF9, 0xDD35, 0xCC51, 0xAB4D, 0xC432, 0xDCD5, 0xDCB4, 0xD411, 0xBB4D, 0xA229, 0xAA2A, 
        0xBA8C, 0xD32F, 0xDB4F, 0xD2EE, 0xCA8D, 0xEBB2, 0xF3F3, 0xE310, 0xDAAF, 0xE2AF, 0xE2F0, 0xCA4D, 0xC22C, 0xCAAE, 0xD30F, 0xD330, 0xD371, 0xE474, 0xECF6, 0xF557, 0xF578, 0xF578, 0xED77, 0xE577, 0xE597, 0xE5B6, 0xE5D6, 0xEDF7, 0xEE37, 0xE656, 
        0xE655, 0xE656, 0xEE77, 0xEEB8, 0xF718, 0xEED6, 0xDE54, 0xBD31, 0x83AD, 0x5A88, 0x2903, 0x3983, 0x41C3, 0x4182, 0x4182, 0x51E3, 0x6B07, 0x946D, 0x948E, 0x73AA, 0x6348, 0x6B69, 0x7BC9, 0x7366, 0x6305, 0x5AC4, 0x52A4, 0x52A5, 0x52A5, 0x4263, 
        0x3A42, 0x4A43, 0x5A44, 0x6A85, 0x7AC6, 0x8306, 0x9BE9, 0xCDF4, 0xF75B, 0xFF7C, 0xDDD6, 0x71C7, 0x58C4, 0x926C, 0xC412, 0xDD13, 0xEDD3, 0xD593, 0xC531, 0xB46F, 0xAC2F, 0xAC2F, 0xB471, 0xB42F, 0xAC0E, 0xB44F, 0xB46F, 0xBCAF, 0xC50F, 0xD551, 
        0xD573, 0xD554, 0xDD54, 0xDD54, 0xDD95, 0xE5D5, 0xE5F5, 0xE5D6, 0xDD75, 0xCD34, 0xBC73, 0xBBDB, 0xB3BE, 0xB3DE, 0xB3FD, 0xBBFD, 0xBBDD, 0xBBBE, 0xBBBE, 0xB3DE, 0xB3DE, 0xB3DE, 0xBBDD, 0xBBDE, 0xBBFE, 0xBBDE, 0xBBDE, 0xBBDD, 0xBBBD,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x8252, 0x8A53, 0x8253, 0x8253, 0x8252, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8253, 
        0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x8273, 0x8A74, 0x8A74, 0x8253, 0x7A53, 0x7A52, 0x7A51, 0x72AE, 0x72CD, 0x82ED, 0x932E, 0x934F, 0x9350, 0x9B11, 0x9AF1, 0x92D2, 0x92D3, 0x9AD3, 0x9AF2, 0x9B52, 
        0x9B52, 0xA331, 0xA311, 0xA311, 0xA352, 0xABB2, 0xB3D3, 0xBBF4, 0xC415, 0xC436, 0xC456, 0xBBF4, 0xB3B4, 0xAB74, 0x9B13, 0x8AB1, 0x724E, 0x6A2C, 0x620B, 0x5A0A, 0x49E9, 0x41C8, 0x3986, 0x2944, 0x2943, 0x3984, 0x41E5, 0x5247, 0x6B0A, 0x9BF0, 
        0xB473, 0xC4B4, 0xD4D5, 0xDCB5, 0xE4B5, 0xE4D5, 0xDCB4, 0xCC72, 0xC451, 0xC450, 0xB3EE, 0x6228, 0x5A69, 0xAD13, 0xE6DB, 0xEF5D, 0xD679, 0x732C, 0x49E7, 0x6267, 0x834A, 0x93EC, 0xB4CF, 0xD613, 0xDE76, 0xD697, 0xD678, 0xD679, 0xD678, 0xD678, 
        0xDE98, 0xEED8, 0xEE76, 0xE5D4, 0xD511, 0xDD93, 0xE5F4, 0xEDD5, 0xEDB6, 0xE5B6, 0xCD93, 0x9D2B, 0x9D6B, 0xC672, 0xDEF5, 0xDED4, 0xCE31, 0xC615, 0xC5F6, 0xB592, 0x8C2C, 0x62E8, 0x39E4, 0x636B, 0x94F1, 0xCE78, 0xF79D, 0xFFBE, 0xFFBE, 0xFFDF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBE, 0xEF3C, 0xEF1C, 0xE71C, 0xBDD7, 0x8430, 0x4227, 0x7C2B, 
        0x9D2E, 0x94ED, 0x8CAE, 0x8CAE, 0x94AF, 0x94AE, 0x948D, 0x8C4D, 0x844D, 0x846D, 0x7C4D, 0x6389, 0x5B06, 0x52C5, 0x5AE5, 0x6347, 0x7C2A, 0xAD4F, 0xAD70, 0x8C8D, 0x6BCB, 0x5B8A, 0x5BCB, 0x84EF, 0x9D70, 0x9550, 0x7C4D, 0x52E9, 0x3164, 0x7B08, 
        0xA40B, 0xBC8E, 0xCD11, 0xDD93, 0xCD52, 0x49E6, 0x20C1, 0x31C2, 0x4A83, 0x4AA3, 0x4AA3, 0x6346, 0x73A8, 0x73A8, 0x73A8, 0x6B88, 0x5B47, 0x62A6, 0x6265, 0x6224, 0x6A44, 0x7A65, 0x9308, 0xB44D, 0xBCCF, 0xC4AF, 0xC4AF, 0xCC8F, 0xCC8F, 0xCCD0, 
        0xCCF1, 0xD4D1, 0xD4D1, 0xD4D1, 0xD4B0, 0xC3EC, 0xC3EC, 0xD511, 0xE636, 0xEEDA, 0xFFBE, 0xFFFF, 0xFFBF, 0xF6FD, 0xF6BD, 0xF6BD, 0xFEFE, 0xFF5E, 0xFF7F, 0xFF9E, 0xFF9E, 0xFF9E, 0xFF9F, 0xFFBF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xF7BE, 0xF75C, 
        0xF73B, 0xF75B, 0xF77C, 0xF75C, 0xDEB9, 0xBDB5, 0xA512, 0x8C6E, 0x6B4A, 0x5288, 0x4A27, 0x6309, 0x7389, 0x6B67, 0x6305, 0x62E4, 0x62C4, 0x6B28, 0x7349, 0x6B07, 0x5265, 0x41E4, 0x3143, 0x49A3, 0x51C3, 0x4982, 0x3982, 0x3982, 0x2961, 0x20A1, 
        0x1840, 0x1840, 0x28E2, 0x41A5, 0x72E9, 0x8B2C, 0x830C, 0x6B09, 0x6368, 0x6BC7, 0x7C06, 0x6AE4, 0x6243, 0x7226, 0x79C7, 0x8147, 0x90E6, 0xB168, 0xCA09, 0xD2EC, 0xE3EF, 0xE491, 0xDCF3, 0xD410, 0xBB0D, 0x91C8, 0x7945, 0x7986, 0x7A06, 0x4182, 
        0x3161, 0x3181, 0x31E2, 0x3202, 0x31E2, 0x2102, 0x39C6, 0x9470, 0xCE36, 0xDE56, 0xD5D5, 0xEE17, 0xEDF8, 0xDD75, 0xDD76, 0xE5F7, 0xF69A, 0xEDB7, 0xED76, 0xEDD8, 0xF67A, 0xF6BB, 0xD5D7, 0x6AAB, 0x5A09, 0xABF0, 0xE576, 0xEDB8, 0xE556, 0xDC74, 
        0xDC12, 0xDBF1, 0xDBF1, 0xDC11, 0xE412, 0xE412, 0xE3B1, 0xDB4F, 0xDB4F, 0xE3B1, 0xF454, 0xF434, 0xEBD3, 0xDB71, 0xD351, 0xD371, 0xDBF3, 0xE475, 0xE4B5, 0xE4B5, 0xE516, 0xED98, 0xF63A, 0xF5F9, 0xEDF8, 0xEE38, 0xEE77, 0xE677, 0xE636, 0xD5F5, 
        0xD5F5, 0xDE15, 0xE636, 0xE656, 0xEE76, 0xEEB6, 0xEEF8, 0xEF19, 0xC617, 0x9C92, 0x4A08, 0x20A2, 0x1881, 0x28E1, 0x28E1, 0x28E1, 0x4163, 0x93EA, 0xB4CD, 0x946D, 0x7C0C, 0x73CB, 0x7389, 0x7367, 0x6B47, 0x6347, 0x5B06, 0x52A5, 0x4A63, 0x4AA4, 
        0x4AA4, 0x5263, 0x5222, 0x5222, 0x6243, 0x72A5, 0x8BA9, 0xC593, 0xE699, 0xE658, 0xBC92, 0x71C7, 0x6966, 0xAB4D, 0xD514, 0xE5F6, 0xEE76, 0xE614, 0xDD73, 0xBCB2, 0xAC30, 0xAC0F, 0xABEE, 0xA3ED, 0x9BEB, 0x9BE9, 0x9C09, 0xAC4A, 0xBCCE, 0xD552, 
        0xDD74, 0xDD74, 0xD554, 0xD554, 0xD574, 0xE5B5, 0xE5B5, 0xE5B6, 0xDD97, 0xDD78, 0xCCFA, 0xB3DB, 0xAB7C, 0xB3BD, 0xBBFD, 0xBBFD, 0xBBDD, 0xBBDE, 0xBBDE, 0xBBDE, 0xBBDD, 0xBBDD, 0xBBDD, 0xB3DD, 0xB3BE, 0xB3DD, 0xB3DD, 0xB3DD, 0xBBDD,
  0x8232, 0x8252, 0x8252, 0x7A52, 0x7A52, 0x8252, 0x8252, 0x8272, 0x7A52, 0x7A53, 0x8253, 0x8253, 0x8A53, 0x8A52, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8253, 0x8253, 0x8273, 0x8273, 0x8273, 0x8A53, 0x8253, 
        0x8273, 0x8A73, 0x8A73, 0x8273, 0x8274, 0x8294, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A94, 0x8273, 0x7A72, 0x7251, 0x724E, 0x7ACD, 0x830C, 0x8B4E, 0x936F, 0x9370, 0x9B71, 0x9B51, 0x9B32, 0x9B32, 0xA312, 0xA312, 0xA311, 0xB330, 
        0xB350, 0xB350, 0xB370, 0xB371, 0xBB92, 0xC3F2, 0xC413, 0xCC13, 0xD433, 0xDC54, 0xDC95, 0xC475, 0xBC55, 0xB3F3, 0xA3B2, 0x9B71, 0x8B0E, 0x6A6B, 0x5A29, 0x5A29, 0x5227, 0x5206, 0x49E5, 0x4184, 0x4163, 0x4963, 0x5164, 0x5985, 0x6A08, 0x9B4E, 
        0xB3F1, 0xCC12, 0xDC54, 0xE474, 0xE495, 0xECB6, 0xE4B5, 0xDC73, 0xD472, 0xC470, 0xB40E, 0x92C9, 0x8AAA, 0xA3CF, 0xB492, 0xACB2, 0xA470, 0xA48F, 0xB511, 0xD615, 0xE6B8, 0xEEB8, 0xF697, 0xF6F8, 0xF718, 0xF6F8, 0xF6B7, 0xF697, 0xF676, 0xF676, 
        0xEE55, 0xE5D4, 0xDD72, 0xD551, 0xD551, 0xEDF4, 0xF636, 0xF617, 0xEDF9, 0xEE19, 0xDE37, 0xC611, 0xBDEE, 0xC5CE, 0xD632, 0xDEB5, 0xCE76, 0x6B4B, 0x4226, 0x52A8, 0x52A8, 0x4A46, 0x4A45, 0x9D30, 0xCEB7, 0xE77B, 0xFFDE, 0xFFDF, 0xFFBF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xEF7D, 0xBDF7, 0x8C51, 0x4227, 0x5B06, 
        0x6387, 0x5B27, 0x5AE7, 0x5AE8, 0x6B6A, 0x942E, 0x9C6E, 0x8C2D, 0x842C, 0x7C2C, 0x7C2C, 0x6B89, 0x6B27, 0x6327, 0x6B68, 0x7BCA, 0x94AD, 0xAD2E, 0xAD2E, 0xA4CE, 0x8C4D, 0x7BEC, 0x638A, 0x63EA, 0x746C, 0x950F, 0x8CAE, 0x73CA, 0x52A6, 0x9C8E, 
        0xBD51, 0xC4F0, 0xD512, 0xDDB4, 0xCDB4, 0x4A27, 0x20E1, 0x39E3, 0x4AA4, 0x52C4, 0x52A3, 0x5B04, 0x6366, 0x7C09, 0x8C8C, 0x94AC, 0x94AC, 0x940B, 0x93AA, 0x9389, 0x9B69, 0x9B69, 0xA38A, 0xB42D, 0xBC8F, 0xC48F, 0xC4AF, 0xCCAF, 0xD4D0, 0xCCD0, 
        0xCCF1, 0xD4F1, 0xD4F1, 0xD4F1, 0xD4B0, 0xCC4D, 0xCC2D, 0xD48F, 0xDD53, 0xEE37, 0xF79D, 0xFFFF, 0xFFDF, 0xFFBF, 0xFF9F, 0xFF9F, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFF9E, 0xFF9D, 0xFF9D, 
        0xF77D, 0xE6FA, 0xCE38, 0xAD34, 0x732C, 0x41A6, 0x2944, 0x2923, 0x2922, 0x3163, 0x5A67, 0x8BEB, 0x944B, 0x7367, 0x62A4, 0x5244, 0x49E3, 0x49A2, 0x4982, 0x4142, 0x4101, 0x3901, 0x4122, 0x49C4, 0x5204, 0x49E4, 0x41C3, 0x39A3, 0x3163, 0x20A2, 
        0x1861, 0x2082, 0x4145, 0x7249, 0xABAE, 0x934D, 0x7B0B, 0x6B29, 0x6368, 0x6BA8, 0x7BE8, 0x9C0A, 0xA3CB, 0x92C9, 0x8208, 0x79A8, 0x89A7, 0xB228, 0xC2AA, 0xD34D, 0xDC10, 0xE4B2, 0xED76, 0xF638, 0xF617, 0xE554, 0xDD13, 0xDD34, 0xBCD2, 0x41C6, 
        0x10A1, 0x2161, 0x2A02, 0x2A42, 0x2A42, 0x39C3, 0x4184, 0x51E6, 0x7B2B, 0xA491, 0xDE58, 0xEE37, 0xF617, 0xF699, 0xF6DB, 0xFEFB, 0xF67A, 0xE597, 0xE577, 0xEE19, 0xF6BC, 0xFEDC, 0xE639, 0x9B8E, 0x930C, 0xC4D3, 0xE5D7, 0xEDB7, 0xDCD4, 0xCC10, 
        0xBB6D, 0xA28A, 0x9A49, 0xA28B, 0xC34E, 0xDBF1, 0xE3F1, 0xE390, 0xE390, 0xE3D1, 0xEC53, 0xF4B4, 0xF4B4, 0xF474, 0xEC13, 0xE3B3, 0xDB72, 0xD3F2, 0xD432, 0xDC53, 0xDC73, 0xDC94, 0xE516, 0xF63A, 0xFE9B, 0xF6BB, 0xF6DA, 0xF6FA, 0xF6F9, 0xEE76, 
        0xE634, 0xE635, 0xE656, 0xEE96, 0xEE96, 0xDE35, 0xDE35, 0xEEB7, 0xEF3A, 0xEF3B, 0xC5F7, 0x6269, 0x30C2, 0x2081, 0x1040, 0x1040, 0x1061, 0x4184, 0x62A7, 0x8C2C, 0x94AD, 0x840B, 0x6B07, 0x7B8A, 0x8C2C, 0x8C6D, 0x840B, 0x6B68, 0x5284, 0x5284, 
        0x52A4, 0x4A83, 0x5283, 0x5AA2, 0x6AC3, 0x7307, 0x8BAB, 0xBCF1, 0xCD53, 0xBCB1, 0xA38D, 0xB3AE, 0xCC51, 0xE576, 0xF658, 0xF698, 0xEE76, 0xE5D4, 0xE594, 0xE5F5, 0xE5F6, 0xDDB6, 0xD534, 0xC4D1, 0xC4B0, 0xBC8F, 0xBC8F, 0xBCAF, 0xCD10, 0xDD52, 
        0xE573, 0xDD74, 0xDD74, 0xDD74, 0xDD94, 0xEDF4, 0xEE15, 0xE5D6, 0xDD76, 0xCD35, 0xBC96, 0xB41A, 0xB3FD, 0xB3FD, 0xBBFD, 0xBBFD, 0xBBDE, 0xBBDE, 0xBBDE, 0xBBDE, 0xBBFE, 0xBBFD, 0xBBDD, 0xBBDE, 0xBBDE, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBFE,
  0x8253, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8A73, 0x7A73, 0x7253, 0x7A52, 0x8252, 0x8252, 0x8253, 0x8A53, 0x8253, 0x8253, 0x7A53, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A73, 
        0x8273, 0x8273, 0x8274, 0x8274, 0x8294, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8273, 0x8A93, 0x8A94, 0x8A93, 0x8272, 0x7A71, 0x6A6F, 0x7AAC, 0x82EB, 0x8B4D, 0x93AE, 0x93AF, 0x93CF, 0xA390, 0xA371, 0xA351, 0xA352, 0xA352, 0xA353, 0xB332, 
        0xBB12, 0xB352, 0xBB92, 0xC3B2, 0xCBD2, 0xD3F4, 0xDC14, 0xDC54, 0xE494, 0xECD4, 0xED15, 0xD4D6, 0xCC96, 0xBC33, 0xB3B2, 0xA371, 0x8AEF, 0x626C, 0x522A, 0x51E9, 0x49A7, 0x4185, 0x4184, 0x4204, 0x4A44, 0x4A03, 0x41C2, 0x41A3, 0x51E6, 0x8B0D, 
        0xABB1, 0xBBD2, 0xD414, 0xDC35, 0xE476, 0xEC97, 0xEC96, 0xDC73, 0xD471, 0xD491, 0xC48F, 0xA38D, 0x9B2C, 0x932D, 0x8B2D, 0x834D, 0x8BCD, 0xBD92, 0xDE34, 0xEE15, 0xF5F6, 0xF5F6, 0xEE37, 0xF718, 0xFF58, 0xFF18, 0xFEF8, 0xFED8, 0xF697, 0xEDF5, 
        0xE5B4, 0xDDB3, 0xD5B2, 0xD592, 0xDDB3, 0xF657, 0xFEB9, 0xF6BA, 0xEE18, 0xDD55, 0xBC90, 0xBE2F, 0xC6D0, 0xD692, 0xEEB5, 0xF6F7, 0xDEB7, 0x832A, 0x61C5, 0x6246, 0x5226, 0x39A4, 0x39E6, 0xADF6, 0xE7DD, 0xF7DE, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 
        0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DE, 0xE71C, 0xCE58, 0xAD33, 0x94EE, 
        0x94ED, 0x8C8C, 0x7C0B, 0x6B89, 0x5B28, 0x736A, 0x838A, 0x7B89, 0x840A, 0x94AC, 0xA52E, 0x7B69, 0x62A7, 0x6AC7, 0x7329, 0x7BAA, 0x8C4C, 0x8409, 0x8409, 0x9C6C, 0x9C6E, 0x942E, 0x6B8B, 0x5349, 0x5BA9, 0x848D, 0x950E, 0x94ED, 0x9CED, 0xD654, 
        0xE655, 0xDD32, 0xDD32, 0xDDD6, 0xCE17, 0x4228, 0x10A0, 0x2181, 0x3A62, 0x4AA3, 0x5AE3, 0x5B04, 0x6325, 0x6BA8, 0x7BEA, 0x83EB, 0x8BEB, 0x93CA, 0xA3CB, 0xAC0D, 0xB42D, 0xB42D, 0xB42C, 0xBC6F, 0xBC90, 0xC4B0, 0xCCAF, 0xD48F, 0xD4B0, 0xCCF1, 
        0xCD11, 0xD511, 0xD4F1, 0xD4F1, 0xD4D1, 0xD4B0, 0xD46E, 0xC42D, 0xCCAF, 0xDDB4, 0xF77D, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBE, 0xFF5C, 
        0xDE58, 0x8C0E, 0x5248, 0x3965, 0x28E3, 0x3943, 0x41A3, 0x4A03, 0x5244, 0x62A6, 0x836B, 0x9CAE, 0x948D, 0x6B06, 0x49E2, 0x4181, 0x4142, 0x4141, 0x4141, 0x4141, 0x4942, 0x5162, 0x5183, 0x4984, 0x4984, 0x49E4, 0x4A04, 0x4203, 0x3182, 0x18A1, 
        0x1882, 0x2925, 0x5208, 0x72CB, 0xA34D, 0x928B, 0x8A6A, 0x830B, 0x7BCB, 0x842B, 0x8C8B, 0xA4ED, 0x9C2D, 0x6A47, 0x48E4, 0x40A3, 0x5945, 0x9A68, 0xBAC9, 0xC289, 0xBA6A, 0xB26A, 0xB32D, 0xE595, 0xF658, 0xF5B6, 0xF575, 0xED95, 0xC4F2, 0x41A6, 
        0x10A1, 0x29C3, 0x3243, 0x2A23, 0x29E2, 0x62E6, 0x6AE6, 0x41C4, 0x49E6, 0x6AEB, 0xBD33, 0xDDF6, 0xE657, 0xF6D8, 0xF6D9, 0xF698, 0xF638, 0xF6DB, 0xF71C, 0xF6DC, 0xF6DC, 0xF6FC, 0xF6BB, 0xD554, 0xCD34, 0xE659, 0xF6BB, 0xEE39, 0xDC93, 0xAACB, 
        0xA289, 0xB30B, 0xBB2C, 0xAAEA, 0x9A89, 0xC370, 0xDBF2, 0xEBF0, 0xDBAF, 0xD36E, 0xC36F, 0xE516, 0xFD77, 0xF4D5, 0xEC33, 0xE3D2, 0xDBB2, 0xDC12, 0xDC52, 0xDC72, 0xDC73, 0xDC53, 0xDC74, 0xED98, 0xF63A, 0xFE9A, 0xFEDB, 0xFF1B, 0xFF1A, 0xF6D8, 
        0xEE97, 0xE677, 0xE677, 0xE697, 0xEEB8, 0xF6B8, 0xEE97, 0xEE96, 0xEED8, 0xEF3A, 0xE71B, 0x9490, 0x5AC9, 0x2944, 0x1041, 0x0000, 0x0820, 0x20A1, 0x41A4, 0x838A, 0x948D, 0x8C6C, 0x6BA9, 0x838A, 0x93CC, 0x946D, 0x8C6C, 0x7BE9, 0x5B06, 0x52C4, 
        0x4AA3, 0x4262, 0x4A83, 0x62E4, 0x83A8, 0x940B, 0x9C6D, 0xACD0, 0xB4D1, 0xAC70, 0xABEE, 0xD491, 0xED13, 0xF595, 0xEDD6, 0xE5D5, 0xD573, 0xC572, 0xCDD2, 0xE692, 0xF6F3, 0xF6F3, 0xEE73, 0xDD53, 0xD4F4, 0xDD57, 0xDD97, 0xD575, 0xCD31, 0xCD12, 
        0xD513, 0xDD33, 0xDD54, 0xDD54, 0xE574, 0xEDF4, 0xF614, 0xF616, 0xEDD7, 0xDD58, 0xBC3A, 0x9ADD, 0x929E, 0xAB3E, 0xB3BF, 0xB3DF, 0xB3DF, 0xBB9F, 0xC39F, 0xC3FE, 0xBC1E, 0xBC1E, 0xBBFE, 0xBBFE, 0xBBFE, 0xBBDE, 0xBBDE, 0xBBDE, 0xB3FE,
  0x7A53, 0x7A53, 0x7A52, 0x8252, 0x8252, 0x8252, 0x7A53, 0x7A53, 0x7A52, 0x8252, 0x8252, 0x8253, 0x8253, 0x8253, 0x8253, 0x7A53, 0x8253, 0x8273, 0x8A73, 0x8A53, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8253, 0x8253, 0x8273, 0x8273, 0x8A73, 0x8A73, 
        0x8A73, 0x8273, 0x8273, 0x8273, 0x8273, 0x8293, 0x8A93, 0x8A93, 0x8A94, 0x8A73, 0x8A73, 0x8A94, 0x8A94, 0x8293, 0x7A71, 0x7250, 0x6A6D, 0x7ACD, 0x832D, 0x936E, 0x93AF, 0x9BD0, 0x9BD1, 0xABD1, 0xB3D2, 0xABB2, 0xAB92, 0xAB93, 0xB3B3, 0xBB93, 
        0xC393, 0xC3B3, 0xC3D3, 0xCBF2, 0xD433, 0xDC34, 0xDC34, 0xE474, 0xE4B4, 0xECD4, 0xE4F4, 0xD494, 0xCC33, 0xB3D1, 0xA34F, 0x930E, 0x7A8D, 0x5A2A, 0x51E8, 0x49A7, 0x4966, 0x4965, 0x4184, 0x5245, 0x5285, 0x5A65, 0x5A25, 0x5A46, 0x6AA9, 0x9B8F, 
        0xB3F2, 0xCC33, 0xDC54, 0xE475, 0xEC76, 0xE476, 0xE475, 0xD432, 0xD430, 0xCC2F, 0xC42E, 0xA34C, 0x92EA, 0x92EB, 0x930B, 0x934B, 0x9C0D, 0xCD92, 0xDE14, 0xE593, 0xED73, 0xED74, 0xEE16, 0xEEB7, 0xEEF7, 0xEED7, 0xF6D8, 0xF6D8, 0xF6B8, 0xE5B4, 
        0xDD52, 0xD5B2, 0xD5D3, 0xD5B2, 0xDDD3, 0xEE57, 0xF699, 0xEEB9, 0xE617, 0xD554, 0xBC8F, 0xBDF1, 0xBE92, 0xC632, 0xD654, 0xE6B6, 0xE6D7, 0xA42B, 0x7AE6, 0x6A86, 0x5245, 0x4A05, 0x4A88, 0x8CF3, 0xB658, 0xDF1C, 0xF7BE, 0xFFDF, 0xFFDF, 0xFFFE, 
        0xFFFE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xF77D, 0xDEDA, 0xC675, 
        0xBE54, 0xBDF3, 0xAD72, 0x9D10, 0x844D, 0x83CC, 0x83CC, 0x942D, 0xA4EF, 0xB591, 0xB591, 0x7349, 0x5A86, 0x7308, 0x83AA, 0x8BEB, 0x8C0B, 0x7BC8, 0x83E8, 0x944C, 0x9C6E, 0x8C0E, 0x736B, 0x5B29, 0x5B69, 0x6C2A, 0x84AC, 0x8CCC, 0x9D4D, 0xD654, 
        0xE675, 0xE593, 0xE594, 0xE637, 0xD658, 0x6B4C, 0x39C5, 0x29C3, 0x3202, 0x4283, 0x5B04, 0x5B04, 0x5B04, 0x6B67, 0x6B89, 0x738A, 0x7369, 0x9369, 0xA3AA, 0xABED, 0xB42D, 0xBC4D, 0xBC4C, 0xBC8F, 0xC4B0, 0xCCB0, 0xCCB0, 0xD4B0, 0xD4B0, 0xCCF1, 
        0xD511, 0xD511, 0xD4F1, 0xD4F1, 0xD4D1, 0xD4D0, 0xCC8E, 0xC40C, 0xC46E, 0xD573, 0xF75C, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xF79D, 0xEF3C, 0xDE38, 0xC575, 
        0xA450, 0x6247, 0x3923, 0x3103, 0x4184, 0x49C4, 0x5204, 0x5AA4, 0x6B06, 0x7348, 0x83AB, 0x844C, 0x7C0B, 0x5AC6, 0x49C2, 0x4161, 0x4121, 0x4182, 0x49A2, 0x4983, 0x5183, 0x5183, 0x51A3, 0x4163, 0x4184, 0x41E4, 0x4A24, 0x4203, 0x3182, 0x18A1, 
        0x18A2, 0x49A7, 0x6A8A, 0x7AAB, 0x8AAB, 0xA28C, 0xA2AD, 0x8B2C, 0x83EC, 0x8C6C, 0x94CC, 0x8C4C, 0x7B69, 0x5985, 0x4082, 0x4883, 0x6986, 0xAB2A, 0xC38B, 0xBACA, 0xB228, 0xA1E8, 0x9A69, 0xC491, 0xDD95, 0xE595, 0xE574, 0xDD32, 0xA42D, 0x3984, 
        0x10C1, 0x29C3, 0x3223, 0x3203, 0x31E3, 0x6B27, 0x6B27, 0x39A4, 0x3144, 0x49C7, 0x8BAD, 0xCDD5, 0xEEB8, 0xF6D8, 0xF6D8, 0xF698, 0xF678, 0xFF5D, 0xFF9E, 0xF6FC, 0xF6DB, 0xF6FC, 0xF71C, 0xE658, 0xE657, 0xEEDA, 0xF6DA, 0xEE38, 0xD4D3, 0xB38D, 
        0xB38D, 0xD470, 0xD491, 0xC3EE, 0xA30B, 0xC3B0, 0xDC32, 0xDC30, 0xD3CE, 0xC36D, 0xBB6E, 0xE4F5, 0xF578, 0xF4D5, 0xEC33, 0xE3F2, 0xDBF2, 0xD432, 0xDC51, 0xDC72, 0xDC72, 0xDC73, 0xDC93, 0xED56, 0xF5D8, 0xFE79, 0xFEDA, 0xFEFA, 0xF71B, 0xF6FA, 
        0xF6D9, 0xEEB9, 0xEEB9, 0xEEB9, 0xF6D9, 0xF71A, 0xF719, 0xEEB7, 0xEEB7, 0xEF19, 0xEF3B, 0xB5F6, 0x8C70, 0x4207, 0x1861, 0x0800, 0x1020, 0x2080, 0x4963, 0x7B69, 0x948C, 0x8C8C, 0x6BCA, 0x8B8A, 0x9BCB, 0x9C4D, 0x8C6C, 0x840A, 0x6347, 0x4AC4, 
        0x4AC3, 0x52C4, 0x5AE5, 0x62E6, 0x7B28, 0x93AA, 0x9BEC, 0xA44E, 0xACB0, 0xB4B1, 0xBCD1, 0xD4F2, 0xE512, 0xDD33, 0xD532, 0xCD12, 0xBCCF, 0xB50F, 0xBD6E, 0xD5EE, 0xE66F, 0xEEB0, 0xEE92, 0xE5D5, 0xE5B7, 0xEDF9, 0xEDD8, 0xDDB5, 0xCD51, 0xCD32, 
        0xD553, 0xDD54, 0xDD74, 0xE574, 0xE595, 0xE5F4, 0xEE14, 0xEE15, 0xEDD7, 0xE599, 0xCCBC, 0xAB5D, 0xA31E, 0xAB7D, 0xB3BD, 0xB3BD, 0xB3BD, 0xBBBD, 0xBBBD, 0xBBDD, 0xBBDD, 0xBBDD, 0xBBDE, 0xBBFE, 0xBBFE, 0xBBFE, 0xBBFE, 0xBBDE, 0xBBDE,
  0x7A32, 0x7A32, 0x7A32, 0x7A32, 0x7232, 0x7212, 0x8A32, 0x9232, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8252, 0x8253, 0x8253, 0x8233, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8254, 0x8A54, 
        0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8A73, 0x8A74, 0x8A75, 0x8A74, 0x7A71, 0x724E, 0x6A2C, 0x6A4B, 0x832F, 0x9391, 0x9B92, 0xA393, 0xAB94, 0xB3B5, 0xBC55, 0xBC74, 0xBC34, 0xBBF3, 0xC3F3, 0xD433, 0xDC93, 
        0xE4B3, 0xDC73, 0xDC53, 0xDC53, 0xD473, 0xD473, 0xDC53, 0xDC53, 0xD453, 0xD452, 0xCC30, 0xC3CE, 0xBB8D, 0xA32C, 0x8AAA, 0x7A89, 0x6A27, 0x51E4, 0x51C3, 0x51A4, 0x59A5, 0x61C5, 0x6A25, 0x7287, 0x7AA8, 0x82A9, 0x92CB, 0xA32D, 0xC3D0, 0xDC72, 
        0xE4B3, 0xECD4, 0xF4F5, 0xF4D5, 0xF4B4, 0xDC73, 0xD431, 0xCBD0, 0xC38E, 0xBB4D, 0xB30B, 0xA288, 0x9A67, 0xA2A7, 0xB348, 0xC3C9, 0xD4AC, 0xE552, 0xE573, 0xDD52, 0xD592, 0xDDD2, 0xE654, 0xDE15, 0xD5D5, 0xD5D4, 0xD5F5, 0xE636, 0xEE77, 0xCD51, 
        0xC50F, 0xCD71, 0xD5B2, 0xD5B2, 0xD5D3, 0xDE15, 0xDE36, 0xD615, 0xD635, 0xDE76, 0xE697, 0xD5D6, 0xBD13, 0x944D, 0x8C8D, 0xAD92, 0xDF18, 0xBE4D, 0x94E7, 0x52C4, 0x4A65, 0x6329, 0x8C6D, 0x4A68, 0x4A69, 0xA534, 0xE73C, 0xFFBE, 0xFFBE, 0xFFDE, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF7BE, 0xEF9C, 
        0xEF7C, 0xEF7C, 0xEF7C, 0xEF5C, 0xDEDA, 0xBD95, 0xBD75, 0xD678, 0xDEB9, 0xCE57, 0x9CF0, 0x5AE6, 0x5AA4, 0x940B, 0xB4CE, 0xB4AD, 0xA42B, 0x9C2C, 0x9C6D, 0x9C6D, 0x944C, 0x8C0C, 0x736A, 0x6B28, 0x6347, 0x5B67, 0x5B67, 0x5B87, 0x6BC9, 0x9CCD, 
        0xB571, 0xDE15, 0xF6B8, 0xFEF9, 0xF6D8, 0xDE16, 0xB4D2, 0x6289, 0x31A4, 0x3204, 0x5305, 0x52E3, 0x5AE4, 0x6B67, 0x6BA9, 0x6BA9, 0x6388, 0x8B69, 0xA389, 0xABEB, 0xB42C, 0xB42D, 0xB44D, 0xBC8E, 0xC4AF, 0xCCD0, 0xD4D0, 0xD4F1, 0xD4F1, 0xD4F1, 
        0xD4F1, 0xD4D1, 0xD4F1, 0xD4F1, 0xD4F1, 0xCCD0, 0xC48E, 0xBBED, 0xC44E, 0xD532, 0xEEDA, 0xFFDE, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFDF, 0xFFDE, 0xEF3C, 0xD5F7, 0xB492, 0x7A69, 0x5A07, 
        0x51E6, 0x59E5, 0x7AA7, 0x9369, 0x940C, 0x62A5, 0x4A22, 0x5AA5, 0x6B27, 0x6B67, 0x6B67, 0x5AC5, 0x5AA5, 0x5AA6, 0x5265, 0x4A04, 0x3962, 0x49C4, 0x51E5, 0x51C4, 0x51A4, 0x51A4, 0x49A3, 0x3982, 0x31A2, 0x4224, 0x4245, 0x3A05, 0x2963, 0x1061, 
        0x28C3, 0x7A49, 0xA2EB, 0xA2AA, 0x8209, 0xAB30, 0xB3B1, 0x938D, 0x83EB, 0x846C, 0x8CAC, 0x62C7, 0x59A4, 0x6944, 0x8946, 0xA9A8, 0xCACC, 0xE4B1, 0xDD12, 0xCC6F, 0xBBAD, 0xAB4B, 0x9B0A, 0x9B6D, 0xAC50, 0xCDB5, 0xCDF4, 0xB510, 0x6AC7, 0x2961, 
        0x1900, 0x2141, 0x31A2, 0x3A03, 0x4A65, 0x4A66, 0x41E5, 0x20E3, 0x1061, 0x1061, 0x39A6, 0xB551, 0xE6D6, 0xE6B7, 0xE697, 0xEE98, 0xF6FB, 0xFF3D, 0xFF3D, 0xF6DC, 0xF6BB, 0xF6FC, 0xF73D, 0xF77C, 0xF73B, 0xEE98, 0xE616, 0xDDB5, 0xD594, 0xE658, 
        0xEE9A, 0xF69A, 0xEE38, 0xE5B6, 0xDD13, 0xE512, 0xE512, 0xCCB1, 0xC491, 0xCCB1, 0xDCD2, 0xECB3, 0xEC94, 0xEC94, 0xEC94, 0xE494, 0xDC73, 0xD432, 0xCC11, 0xCC32, 0xCC72, 0xCC92, 0xD4D2, 0xDD34, 0xED96, 0xF638, 0xF6B9, 0xF6FA, 0xF71B, 0xF71B, 
        0xFF1B, 0xFF1A, 0xF71A, 0xF71B, 0xF73B, 0xF75A, 0xF75A, 0xF719, 0xF6F9, 0xF719, 0xF739, 0xEF5B, 0xCE78, 0x7B8C, 0x4164, 0x28A2, 0x2881, 0x38C1, 0x51A3, 0x7B69, 0x8C6C, 0x844C, 0x738A, 0x93CB, 0xA42C, 0x9C6D, 0x946D, 0x8C2C, 0x6B89, 0x4AC4, 
        0x4AE4, 0x73C9, 0x7BEB, 0x734A, 0x5226, 0x61A4, 0x71E5, 0x92C9, 0xABEE, 0xBCD1, 0xD594, 0xCD32, 0xC4D1, 0xBCD1, 0xB4B0, 0xAC6E, 0xA44C, 0xB46B, 0xBC8B, 0xBCAB, 0xBCEC, 0xC52D, 0xD5B1, 0xEED7, 0xF719, 0xEE96, 0xE614, 0xDDB3, 0xD592, 0xDE14, 
        0xE635, 0xE615, 0xDDF5, 0xDDD5, 0xDDD5, 0xDDF4, 0xDDD4, 0xDDD5, 0xDDB6, 0xE5D7, 0xEDF9, 0xE5FA, 0xDDB9, 0xCCF8, 0xC458, 0xC3F9, 0xC3FB, 0xB45A, 0xAC3A, 0xAB9B, 0xAB5C, 0xB35D, 0xB39D, 0xB3BD, 0xB3DD, 0xBBFD, 0xBBFD, 0xBBFD, 0xBBBD,
  0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x7A52, 0x8252, 0x8273, 0x8253, 0x8253, 0x8253, 0x8252, 0x7A52, 0x7A52, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8273, 0x8273, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A73, 
        0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8293, 0x8273, 0x8A95, 0x8A94, 0x7A70, 0x726D, 0x6A6D, 0x726D, 0x82AE, 0x8AEF, 0x9B51, 0xA3B3, 0xABD4, 0xB415, 0xC436, 0xC456, 0xC435, 0xC434, 0xCC34, 0xDC53, 0xDC53, 
        0xDC52, 0xDC53, 0xDC53, 0xDC53, 0xDC53, 0xD452, 0xD432, 0xD432, 0xD431, 0xD430, 0xCC0F, 0xC40F, 0xBBEF, 0xAB8D, 0xA34C, 0x932B, 0x7AEA, 0x62A7, 0x6286, 0x6A67, 0x6A87, 0x72A7, 0x72E7, 0x8329, 0x8B2A, 0x930A, 0x932B, 0x9B2D, 0xB3AF, 0xCC31, 
        0xDC72, 0xEC93, 0xF4D4, 0xFCD5, 0xF4D4, 0xEC93, 0xE452, 0xDC11, 0xD3D0, 0xC3AF, 0xBB6E, 0xBB2B, 0xBAC8, 0xA286, 0x9A85, 0xA2E6, 0xC3CA, 0xE532, 0xED94, 0xDD72, 0xCD71, 0xCD71, 0xCDD3, 0xE675, 0xE696, 0xE635, 0xDE15, 0xDE15, 0xDDF5, 0xD591, 
        0xCD70, 0xD5B2, 0xDDF2, 0xD5F3, 0xD5F3, 0xE615, 0xE5F6, 0xDDD4, 0xDE35, 0xE6D7, 0xEF3A, 0xC575, 0x9C10, 0x62A9, 0x5B0A, 0x8C70, 0xDF19, 0xF7B4, 0xCEAE, 0x7C48, 0x5306, 0x6328, 0x7B8B, 0x39A4, 0x39E6, 0xA513, 0xE75C, 0xFFFF, 0xFFDF, 0xFFBF, 
        0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF77D, 
        0xEF5D, 0xF7BE, 0xFFDF, 0xFFFF, 0xFFDF, 0xF79E, 0xEF5C, 0xD697, 0xA511, 0x7BAD, 0x4A47, 0x5286, 0x6B07, 0x940A, 0xB4CD, 0xC50F, 0xC4EF, 0xA40C, 0x93AA, 0x9BEB, 0xA44C, 0xB48D, 0xAC8E, 0x7B68, 0x5AC6, 0x5AE6, 0x5B28, 0x6369, 0x6BA9, 0x6367, 
        0x73E9, 0xB592, 0xE6F8, 0xF739, 0xFF39, 0xFEB9, 0xDDB5, 0x7B4A, 0x4204, 0x3A03, 0x4AC4, 0x5B05, 0x6325, 0x6B68, 0x6BA9, 0x6BCA, 0x6BA9, 0x7388, 0x8389, 0x9BCB, 0xB42D, 0xB44D, 0xBC8F, 0xCCB0, 0xCCD0, 0xD4D1, 0xDCF1, 0xDCF1, 0xDCF1, 0xD4F1, 
        0xD4F1, 0xDCF1, 0xDCF1, 0xDCF1, 0xD511, 0xDD13, 0xD4D2, 0xC42E, 0xBC2D, 0xC4AF, 0xE5F6, 0xF77D, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xE71B, 0xACB1, 0x6AA9, 0x51C5, 0x49C5, 0x9BEC, 
        0xBCAE, 0xA40C, 0x9369, 0x8328, 0x72C6, 0x62A4, 0x5AA4, 0x5AC5, 0x62C5, 0x5AA5, 0x5AA4, 0x6B06, 0x7367, 0x7388, 0x7348, 0x62E7, 0x5223, 0x4182, 0x4162, 0x51A3, 0x59E4, 0x5A04, 0x4A04, 0x2942, 0x2162, 0x4224, 0x4A85, 0x4244, 0x3162, 0x1860, 
        0x28C3, 0x82EB, 0xC430, 0xD451, 0xC3B0, 0xB30E, 0xA2EE, 0xA36E, 0xA3ED, 0x9C4D, 0x8C8C, 0x83C9, 0x93AA, 0xBC0E, 0xD430, 0xE3F1, 0xEBB0, 0xE4B2, 0xE553, 0xDDB5, 0xDDB5, 0xD554, 0xC491, 0xAC0E, 0xAC4F, 0xCD74, 0xC573, 0xA48F, 0x5AA6, 0x3162, 
        0x3121, 0x39A1, 0x4A62, 0x52E4, 0x5B26, 0x3963, 0x2882, 0x1861, 0x0821, 0x0821, 0x18C2, 0x734A, 0x9C8D, 0xACEE, 0xBD4F, 0xC591, 0xDE35, 0xF6F9, 0xFF3B, 0xFF3D, 0xFF3D, 0xF73D, 0xF73D, 0xFFBE, 0xFFBD, 0xFF1B, 0xF6D9, 0xF6DA, 0xF71B, 0xFF5B, 
        0xFF5B, 0xF71A, 0xF6FA, 0xF6FA, 0xF6DB, 0xF658, 0xF658, 0xF6B9, 0xF71A, 0xF71A, 0xF697, 0xED54, 0xECF3, 0xF513, 0xF534, 0xF535, 0xF515, 0xE4B3, 0xDC93, 0xE4B3, 0xE4B3, 0xDCB2, 0xCC50, 0xBC11, 0xC452, 0xDD35, 0xEDF7, 0xF658, 0xF6DA, 0xFF3B, 
        0xFF7C, 0xFF7C, 0xFF7C, 0xFF7C, 0xF75B, 0xF71A, 0xF71A, 0xF739, 0xEF18, 0xE6D7, 0xDE97, 0xF75B, 0xEF5A, 0xCE13, 0xA4AD, 0x8389, 0x5A05, 0x4901, 0x4942, 0x6A85, 0x7B48, 0x83AA, 0x8BEC, 0x944E, 0x9C6E, 0x9C4C, 0x9C2B, 0x942B, 0x840B, 0x6BA9, 
        0x6347, 0x6307, 0x83EA, 0x9CEE, 0xB552, 0x7227, 0x58C3, 0x6965, 0x8268, 0x932B, 0xAC0E, 0xB44F, 0xB490, 0xBD11, 0xC572, 0xC5B3, 0xD5F3, 0xEDD2, 0xEDB2, 0xDD91, 0xCD50, 0xBCEF, 0xB4AF, 0xCD92, 0xE634, 0xEEF7, 0xF718, 0xEEB6, 0xE613, 0xEE14, 
        0xEE15, 0xE615, 0xE5F4, 0xE5D4, 0xE5D3, 0xE5F5, 0xE5F5, 0xE5D6, 0xE5D6, 0xE5D5, 0xE5F4, 0xEE15, 0xEE36, 0xEE38, 0xEE1A, 0xEDFB, 0xEDBC, 0xDD7B, 0xCD3A, 0xBC7A, 0xB3FA, 0xB3DA, 0xB3DB, 0xAB9B, 0xAB7C, 0xAB7C, 0xAB9C, 0xAB9D, 0xB3BE,
  0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8252, 0x8273, 0x8273, 0x7A73, 0x7A53, 0x7A53, 0x8253, 0x7A52, 0x7A52, 0x8253, 0x8273, 0x8273, 0x8273, 0x8273, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 0x8273, 0x8A73, 
        0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8273, 0x8A74, 0x8A74, 0x7A90, 0x72AE, 0x728D, 0x728E, 0x8290, 0x8AB0, 0x9B31, 0xA392, 0xABB3, 0xBBD3, 0xCC15, 0xD415, 0xDC33, 0xEC33, 0xEC33, 0xEC54, 0xE473, 
        0xDC73, 0xDC93, 0xDC94, 0xDCB4, 0xDC94, 0xDC33, 0xDC12, 0xCC11, 0xC410, 0xC3EF, 0xBBAE, 0xA38D, 0x9B6C, 0x932B, 0x92EA, 0x9AEA, 0x9AAA, 0x9289, 0x8A8A, 0x8ACA, 0x92EB, 0x9B0C, 0xA30C, 0xA36C, 0xA38D, 0xB38E, 0xBBAE, 0xC3CE, 0xD3EF, 0xEC51, 
        0xF473, 0xF4B4, 0xFCD5, 0xFCD5, 0xF4D6, 0xF4B4, 0xEC73, 0xDBF1, 0xD3AF, 0xC36E, 0xB32D, 0xAAC9, 0xAAA8, 0xAAA8, 0xAAC8, 0xAAE9, 0xBB6B, 0xD490, 0xE512, 0xE552, 0xE592, 0xE5B3, 0xE5D3, 0xEE14, 0xEE34, 0xEE14, 0xDDF3, 0xD5B3, 0xCD72, 0xDDB1, 
        0xE5D1, 0xDDB2, 0xDDD2, 0xDDF3, 0xDDF3, 0xC4F1, 0xC511, 0xDE35, 0xEF39, 0xEF7A, 0xDE98, 0xA42F, 0x72A9, 0x49E6, 0x5289, 0x840F, 0xDEF9, 0xFFD6, 0xEF92, 0xCE6F, 0xA52C, 0x8C29, 0x5AA5, 0x2162, 0x3205, 0x94F2, 0xDEFB, 0xF79D, 0xFFDF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DE, 0xD69A, 0x73AE, 0x4227, 0x4267, 0x6B8B, 0x7BAB, 0x7B8A, 0x7368, 0x83A9, 0x9C0A, 0xBCAD, 0xB44C, 0xABEB, 0xA38A, 0xA36A, 0xA38B, 0xAC2D, 0xC530, 0xBCEF, 0x7B49, 0x4A65, 0x4244, 0x5307, 0x7C4B, 
        0x8C8C, 0x9C4D, 0xB4D0, 0xCDB3, 0xF739, 0xFF7B, 0xE676, 0x9C2C, 0x6285, 0x4A22, 0x4262, 0x52E4, 0x6326, 0x7389, 0x73CA, 0x73CA, 0x6BA8, 0x7349, 0x8B4A, 0xA3CC, 0xBC2D, 0xC46E, 0xD48F, 0xDCF2, 0xDD13, 0xDD12, 0xDD11, 0xDD11, 0xDCF1, 0xDCF1, 
        0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF2, 0xDD12, 0xDCF1, 0xD48F, 0xCC4E, 0xC46E, 0xC552, 0xEF1B, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xF7BE, 0xDF1B, 0xB5D6, 0x6B4C, 0x4A06, 0x5225, 0x7B69, 0x9C0C, 
        0x9BEC, 0x834A, 0x7308, 0x72E7, 0x72E5, 0x6AA4, 0x62A4, 0x62C5, 0x5AC5, 0x52A4, 0x5263, 0x62E6, 0x6B27, 0x7347, 0x6B26, 0x62E5, 0x5243, 0x49A2, 0x4962, 0x4983, 0x51C4, 0x51E5, 0x4A04, 0x2122, 0x2142, 0x5286, 0x62C7, 0x4A25, 0x20C2, 0x4104, 
        0x7208, 0xAC30, 0xDD56, 0xE536, 0xDC13, 0xB2ED, 0xA2AB, 0xA32C, 0xAC4E, 0xBD51, 0xC633, 0x946C, 0x8369, 0x934B, 0xA36D, 0xBBAE, 0xDC50, 0xED72, 0xEDB3, 0xDD72, 0xD572, 0xDD92, 0xD5B3, 0xB532, 0xB512, 0xBD32, 0xAC70, 0x832B, 0x3984, 0x4203, 
        0x4A83, 0x52A3, 0x5B04, 0x6B45, 0x6B46, 0x3183, 0x18C1, 0x20C2, 0x20C2, 0x18A2, 0x18C1, 0x4A25, 0x7347, 0x9C6A, 0xB4EB, 0xB4CB, 0xBCCE, 0xE617, 0xFEBC, 0xFF1D, 0xFF5E, 0xFF7E, 0xFF7E, 0xFFBE, 0xFFBE, 0xF77D, 0xF73C, 0xFEFB, 0xFEFA, 0xFF7B, 
        0xFF9B, 0xF739, 0xEE98, 0xE617, 0xE595, 0xF615, 0xFE97, 0xFEB9, 0xFEDA, 0xFED9, 0xF697, 0xF678, 0xF657, 0xF616, 0xF5B5, 0xF595, 0xFD55, 0xF515, 0xF515, 0xED54, 0xED54, 0xED54, 0xDCF3, 0xCC71, 0xC430, 0xC492, 0xCD13, 0xDD94, 0xEE56, 0xF71A, 
        0xFF5B, 0xFF3B, 0xFF3B, 0xFF3C, 0xFF1B, 0xF6F9, 0xF6F7, 0xEED7, 0xE6B7, 0xDE76, 0xDE56, 0xEE77, 0xEE76, 0xCDB1, 0xACED, 0x942A, 0x7B07, 0x61E2, 0x59A1, 0x5A03, 0x62A5, 0x6B27, 0x7BEA, 0x942B, 0x9C2C, 0x9C4B, 0x9C6C, 0x9C8C, 0x946B, 0x73A9, 
        0x5B27, 0x5AC6, 0x7389, 0x94AE, 0xCDB5, 0xC3D0, 0xB2AC, 0x9A6A, 0x8A68, 0x8268, 0x8288, 0x7A88, 0x82E9, 0x93ED, 0xB4D0, 0xC553, 0xDE15, 0xEEB5, 0xF6F6, 0xF716, 0xF717, 0xF717, 0xDE74, 0xAC8E, 0xA42D, 0xC550, 0xE654, 0xEEB7, 0xF6F8, 0xF695, 
        0xF653, 0xF633, 0xEE34, 0xEE53, 0xEE53, 0xE5D5, 0xE595, 0xDD95, 0xDDB4, 0xE5D4, 0xE613, 0xE634, 0xEE34, 0xEE14, 0xEDF5, 0xEE16, 0xF678, 0xF6B8, 0xF6D9, 0xF6BB, 0xEEBC, 0xEEBC, 0xE65C, 0xE55D, 0xDCBD, 0xD47C, 0xCC7C, 0xC47C, 0xC47C,
  0x7A12, 0x7A32, 0x7A32, 0x7A52, 0x7A52, 0x7A53, 0x7A53, 0x7A52, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8A73, 
        0x8A73, 0x8A73, 0x8273, 0x8273, 0x8A73, 0x8273, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 0x7A92, 0x7291, 0x6A6F, 0x6A4E, 0x8290, 0x92B2, 0x9B12, 0xA374, 0xB3D5, 0xBC56, 0xD496, 0xDCB5, 0xDCB5, 0xDCB6, 0xE4D6, 0xE4D6, 0xEC94, 
        0xEC73, 0xEC74, 0xE454, 0xE413, 0xDBB1, 0xBB8E, 0xB38D, 0xABAD, 0xAB8D, 0xB38E, 0xBB8D, 0xBBCE, 0xBBEE, 0xBBCE, 0xBBCE, 0xBBEE, 0xBC0E, 0xBBED, 0xC3CD, 0xBBCD, 0xBBED, 0xBC0D, 0xBC4E, 0xCC92, 0xD4B3, 0xDCF3, 0xE513, 0xED13, 0xF4F4, 0xF515, 
        0xF535, 0xF535, 0xFD35, 0xFD15, 0xF4D4, 0xE452, 0xDBF2, 0xD3B0, 0xCBAF, 0xCB8E, 0xCB8D, 0xC36D, 0xC38D, 0xCBEE, 0xD42D, 0xCC2D, 0xCC4D, 0xCCF2, 0xCD53, 0xDD53, 0xDD73, 0xE573, 0xDD93, 0xDDB4, 0xDDD4, 0xD5B2, 0xCD70, 0xBD4F, 0xB50D, 0xC54F, 
        0xCD6F, 0xBD2D, 0xB50D, 0xB52E, 0xC571, 0xDDF4, 0xE676, 0xDEB8, 0xCE57, 0xB594, 0x8C2D, 0x7BA8, 0x6B25, 0x4A44, 0x5AA6, 0x840C, 0xD6B4, 0xF755, 0xFF34, 0xE6D3, 0xBD8F, 0x8C2A, 0x3A03, 0x2120, 0x31A3, 0x6B6A, 0xA532, 0xCE57, 0xEF7D, 0xF79E, 
        0xF79E, 0xFFBF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DE, 0xF79D, 0xF77D, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBF, 
        0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xF7DE, 0xE73C, 0xBDF7, 0x634B, 0x4286, 0x5B48, 0x94ED, 0x7C0A, 0x7C0B, 0xAD73, 0xC5D4, 0xB510, 0x9BA9, 0xB409, 0xBC2A, 0xB3AA, 0xA34A, 0xA349, 0xABEB, 0xCD2E, 0xDDB1, 0xCD91, 0xACCF, 0x8BEC, 0x5287, 0x31A4, 
        0x31A3, 0x4A24, 0x7B28, 0xA42C, 0xD5F3, 0xF77B, 0xE6FB, 0xACB1, 0x72E9, 0x4A45, 0x3222, 0x5284, 0x6AE5, 0x7368, 0x6BA9, 0x63A9, 0x5368, 0x7348, 0x8B89, 0xAC2C, 0xC48E, 0xC4B0, 0xCCB1, 0xD4D1, 0xDCF1, 0xD511, 0xDD12, 0xDD12, 0xDD11, 0xDD32, 
        0xDD32, 0xDD32, 0xDD12, 0xDD11, 0xDCF1, 0xE532, 0xDD32, 0xCC8F, 0xCC2D, 0xCC2D, 0xE4F1, 0xF71B, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xF79D, 0xEF5C, 0xCE17, 0x630B, 0x4207, 0x52C7, 0x6327, 0x5AA6, 0x49E4, 0x5A64, 
        0x62C5, 0x7307, 0x7B28, 0x7B28, 0x7AE8, 0x62A5, 0x6285, 0x6AA5, 0x6AA5, 0x62A5, 0x5A84, 0x5A84, 0x6284, 0x5AA5, 0x5284, 0x4A63, 0x4242, 0x5243, 0x5223, 0x3982, 0x2922, 0x2102, 0x2942, 0x31A3, 0x39E3, 0x4204, 0x39C4, 0x2963, 0x39C6, 0xAD34, 
        0xD618, 0xB492, 0xABF0, 0xBC32, 0xD494, 0x89E9, 0x8146, 0xB36E, 0xDD73, 0xE653, 0xCE2F, 0x8387, 0x6A24, 0x7A46, 0x92E9, 0xABAC, 0xCD32, 0xE657, 0xEE78, 0xDDB4, 0xC4D0, 0xB44D, 0xA46D, 0xD677, 0xCE58, 0x7BAD, 0x41C5, 0x3963, 0x41C3, 0x4262, 
        0x4AA2, 0x4AA2, 0x4AC3, 0x4AC4, 0x52A5, 0x4A04, 0x49A4, 0x39A4, 0x2963, 0x2103, 0x10A2, 0x18C1, 0x39C3, 0x8C09, 0xBD4C, 0xC58C, 0xBD4D, 0xDDB3, 0xEDF6, 0xEE37, 0xEE97, 0xF6D8, 0xF73A, 0xFF9B, 0xFF9B, 0xFF5B, 0xF73B, 0xF73B, 0xF73B, 0xF75A, 
        0xF718, 0xDE76, 0xD5D4, 0xD593, 0xDDB4, 0xEE78, 0xF6FA, 0xF6F9, 0xFED8, 0xFED7, 0xF6B7, 0xF6B8, 0xF6B8, 0xF697, 0xF656, 0xF636, 0xEE15, 0xE5D4, 0xE5B4, 0xE595, 0xE595, 0xE595, 0xDD74, 0xD4B1, 0xC450, 0xBC50, 0xC491, 0xCCF3, 0xE5F6, 0xF71A, 
        0xFF5B, 0xF73A, 0xF6FA, 0xF6FA, 0xF6FA, 0xF6B9, 0xF6B8, 0xE696, 0xDE55, 0xD614, 0xD5F4, 0xD656, 0xCE15, 0xACEF, 0xA44B, 0xA449, 0xA427, 0x7A84, 0x61C3, 0x59E3, 0x5A44, 0x62A5, 0x7B68, 0x944A, 0x9CAB, 0x948B, 0x8C4B, 0x8C2B, 0x83CA, 0x6347, 
        0x5B47, 0x6B89, 0x6B48, 0x5AA7, 0x62A9, 0xC595, 0xDE17, 0xABAE, 0x79C6, 0x5903, 0x4902, 0x51C4, 0x5A05, 0x51C5, 0x49A5, 0x4985, 0x5A26, 0x9C4D, 0xBD71, 0xD634, 0xDED7, 0xE6F9, 0xE71B, 0xE6FB, 0xDE78, 0xC551, 0xBCAE, 0xC4CF, 0xDDD2, 0xF739, 
        0xFF9B, 0xF75A, 0xF719, 0xF6F8, 0xF6D7, 0xF674, 0xEE34, 0xEE15, 0xE615, 0xE635, 0xE634, 0xDDF3, 0xDDF3, 0xDDF2, 0xDDD2, 0xDDB3, 0xDDB4, 0xEE34, 0xF694, 0xF6B6, 0xEE76, 0xEE14, 0xE5B3, 0xF658, 0xF6BA, 0xF6BB, 0xEEDB, 0xEEDA, 0xF698,
  0x7A52, 0x7A52, 0x8252, 0x8252, 0x8252, 0x8273, 0x8273, 0x8273, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x8A53, 0x8A53, 0x8253, 0x8253, 0x8273, 0x8273, 0x8253, 0x8253, 0x8273, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8273, 0x8273, 
        0x8273, 0x8273, 0x8A73, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x7A73, 0x7A73, 0x7A92, 0x7AB2, 0x7A92, 0x7271, 0x7A6F, 0x82AF, 0x8B11, 0x9B72, 0xA3B2, 0xBBF2, 0xD474, 0xDC94, 0xEC94, 0xF494, 0xF4B4, 0xF4F5, 0xE4B4, 
        0xDCB4, 0xDCB4, 0xDC93, 0xD472, 0xCC30, 0xB3B0, 0xB390, 0xB38F, 0xB3AE, 0xB3AF, 0xB3CF, 0xBC10, 0xC431, 0xC430, 0xC40F, 0xC40F, 0xBBEE, 0xC3CD, 0xC3CE, 0xBC0E, 0xBC2F, 0xC430, 0xCC51, 0xDC71, 0xE472, 0xE4B3, 0xECD4, 0xECD4, 0xF4D3, 0xF4F4, 
        0xFD15, 0xFD36, 0xFD56, 0xFD36, 0xFCF5, 0xF4B3, 0xEC72, 0xE452, 0xE451, 0xE432, 0xE432, 0xD410, 0xCBEF, 0xD3EF, 0xDC0F, 0xDC10, 0xDC30, 0xD490, 0xD4F1, 0xDD32, 0xDD73, 0xDD93, 0xDD93, 0xDD92, 0xD5B2, 0xD590, 0xC56F, 0xC54F, 0xBD0E, 0xC52E, 
        0xBD0D, 0xACAC, 0xACAC, 0xB4ED, 0xCDB1, 0xDE96, 0xD635, 0x946E, 0x6B08, 0x5A86, 0x52A5, 0x6BA6, 0x7386, 0x62A4, 0x7308, 0x9C4E, 0xE6B8, 0xFEF6, 0xF673, 0xD56F, 0xAC4B, 0x8368, 0x4A63, 0x31E1, 0x4263, 0x7BEB, 0xB573, 0xD678, 0xF79D, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xDEDA, 0xC5B5, 0xB4D1, 0xE6DA, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xD67A, 0xAD34, 0x5B0A, 0x4266, 0x5307, 0x8C8C, 0x8C4D, 0x9CB0, 0xC617, 0xD637, 0xBD53, 0x936A, 0x9B68, 0xABA9, 0xB3CB, 0xB3EC, 0xB3EC, 0xABEB, 0xAC0B, 0xBC8D, 0xDDF4, 0xE6D8, 0xE6F9, 0xCDF6, 0x836B, 
        0x5A26, 0x39A5, 0x3184, 0x3984, 0x5267, 0xB574, 0xD6BA, 0xD678, 0xB532, 0x7BAC, 0x31A4, 0x4A64, 0x6326, 0x6B87, 0x73A8, 0x6BA8, 0x6B88, 0x73CA, 0x8C0B, 0xB46D, 0xCCAF, 0xD4CF, 0xD4F1, 0xE532, 0xE532, 0xE532, 0xE532, 0xDD52, 0xDD52, 0xDD32, 
        0xE532, 0xE532, 0xE532, 0xDD32, 0xDD31, 0xDCF1, 0xDCF1, 0xDCD0, 0xD46E, 0xCBEC, 0xC40D, 0xEE99, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFFF, 0xF7BE, 0xDEDA, 0xBD74, 0xA42F, 0x82A9, 0x72A9, 0x72C9, 0x6AA7, 0x6AA5, 0x62A5, 0x6AC5, 0x7348, 
        0x7B69, 0x7B48, 0x8328, 0x8328, 0x8308, 0x6A86, 0x6265, 0x6A85, 0x6AA5, 0x6AA5, 0x6285, 0x5AA4, 0x5AA5, 0x5AA5, 0x5AC5, 0x5AA4, 0x5282, 0x4A43, 0x4A44, 0x5265, 0x4A25, 0x39A4, 0x2122, 0x39A3, 0x41A3, 0x2942, 0x3983, 0x5246, 0x940D, 0xD5F7, 
        0xE65A, 0xE598, 0xED37, 0xED57, 0xE4D5, 0x91E9, 0x7925, 0x9AA8, 0xBCAD, 0xD5F1, 0xE693, 0xB44C, 0xA38A, 0xA40D, 0x93ED, 0x7B4B, 0x6AE9, 0x9C90, 0xBDB4, 0xD677, 0xDE56, 0xCDD4, 0xBD11, 0xCE15, 0xB594, 0x62CA, 0x3144, 0x3163, 0x5A85, 0x62C5, 
        0x5AC5, 0x52A4, 0x4243, 0x31E2, 0x2142, 0x3964, 0x4184, 0x3984, 0x39A5, 0x39E5, 0x31C5, 0x10A2, 0x18A1, 0x4A24, 0x7B87, 0x9C69, 0xBD2C, 0xCD30, 0xD532, 0xDD73, 0xE5B3, 0xE5F3, 0xEE54, 0xF6F7, 0xFF3A, 0xFF3B, 0xFF3B, 0xFF1B, 0xF719, 0xFF59, 
        0xFF79, 0xF75A, 0xF73A, 0xF73A, 0xF73A, 0xFF5B, 0xFF5C, 0xF71A, 0xF6F9, 0xF6D8, 0xF6B7, 0xFEF8, 0xFF18, 0xFF18, 0xFEF7, 0xFEF7, 0xF6B6, 0xEE36, 0xEDF5, 0xE5B4, 0xE594, 0xED95, 0xF5F7, 0xF677, 0xEE56, 0xD553, 0xC4B1, 0xB470, 0xBCD2, 0xE636, 
        0xF6B8, 0xF6F9, 0xFF1A, 0xFF3B, 0xF71A, 0xEEB7, 0xE696, 0xE696, 0xDE76, 0xDE56, 0xD5F5, 0xD5D4, 0xCDB3, 0xC570, 0xBD4D, 0xBD4C, 0xBD4B, 0xD54E, 0xC4CE, 0x8B68, 0x5A83, 0x5263, 0x62E5, 0x948B, 0xAD0D, 0xA4CC, 0x946C, 0x8C4C, 0x7BEA, 0x7368, 
        0x7BA8, 0x8C4B, 0x83EB, 0x62E8, 0x41E6, 0xA4B0, 0xD5D5, 0xCD33, 0xABEF, 0x82CB, 0x59E7, 0x936D, 0xBC70, 0xC4D1, 0xA42E, 0x7B4B, 0x41A6, 0x2924, 0x3164, 0x4A06, 0x5AA9, 0x630B, 0x73AF, 0xB575, 0xCE37, 0xD657, 0xD658, 0xD637, 0xD5F5, 0xEF17, 
        0xF799, 0xFFBB, 0xFFBB, 0xFF7A, 0xFEF9, 0xFEB6, 0xFE96, 0xF675, 0xF656, 0xEE36, 0xEE16, 0xE615, 0xE614, 0xE5F4, 0xE5B4, 0xDD94, 0xDD95, 0xE5F5, 0xE614, 0xEE14, 0xEE34, 0xEE34, 0xEE35, 0xEDF5, 0xE5B5, 0xE574, 0xE5B5, 0xEE37, 0xF6F9,
  0x8252, 0x8253, 0x8273, 0x8273, 0x8273, 0x8273, 0x8A73, 0x8272, 0x7A72, 0x7A52, 0x7A72, 0x8273, 0x8A53, 0x8A53, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 0x8273, 0x8A73, 0x8A73, 0x8A53, 0x8A53, 0x8A53, 0x8A53, 0x8273, 
        0x8274, 0x8A74, 0x8A74, 0x8A74, 0x8A94, 0x8A93, 0x8A93, 0x8A93, 0x8A93, 0x8A73, 0x8A73, 0x8272, 0x7A92, 0x7A93, 0x7A93, 0x7A92, 0x7A91, 0x724F, 0x724F, 0x82B1, 0x9313, 0x9B53, 0xABD3, 0xCC55, 0xDC96, 0xEC95, 0xF4B5, 0xFCB4, 0xF4D4, 0xECB5, 
        0xECB6, 0xECB6, 0xE496, 0xE475, 0xD432, 0xB410, 0xABEF, 0xABEF, 0xB3EF, 0xB3F0, 0xBC11, 0xCC72, 0xCC72, 0xCC71, 0xC470, 0xCC4F, 0xCC2F, 0xC40E, 0xC40F, 0xCC2F, 0xCC70, 0xCC91, 0xD4B2, 0xDCB2, 0xE492, 0xECB3, 0xF4D4, 0xF4D4, 0xFCF5, 0xF535, 
        0xFD55, 0xFD56, 0xFD76, 0xFD97, 0xFD56, 0xF4B4, 0xF473, 0xF472, 0xEC92, 0xEC92, 0xEC92, 0xEC72, 0xEC72, 0xEC72, 0xEC51, 0xEC50, 0xE470, 0xDCF2, 0xDD33, 0xD532, 0xD531, 0xD551, 0xD571, 0xDD72, 0xDD72, 0xCD70, 0xC56F, 0xBD4F, 0xB52E, 0xAC8C, 
        0xA44B, 0xACAC, 0xBD2E, 0xC590, 0xC591, 0xA44D, 0x8BAB, 0x7B89, 0x7368, 0x6B89, 0x73C9, 0x8469, 0x7C28, 0x62E5, 0x62A6, 0x836A, 0xBD32, 0xD656, 0xD635, 0xBCEF, 0x9BCA, 0x7B47, 0x52E4, 0x4282, 0x4AA3, 0x7369, 0x9CB0, 0xC5D6, 0xEF7D, 0xF7DE, 
        0xF7BE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xEF9D, 0xC617, 0x9491, 0x6B2C, 0xB575, 0xDEDB, 0xEF7D, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF79D, 0xCDF5, 0xA4CF, 0x6B68, 0x5305, 0x6386, 0x8CCC, 0xAD31, 0xC5B4, 0xE6DA, 0xF77D, 0xEF7D, 0xD637, 0x7AC9, 0x61C4, 0x92E9, 0xB3EC, 0xB42C, 0xB42C, 0xC44D, 0xCC8E, 0xD4F0, 0xDD52, 0xEDD4, 0xF697, 0xEED8, 
        0xDED8, 0xCE56, 0xAD31, 0x83ED, 0x41E7, 0x41A6, 0x62AA, 0xA4D3, 0xAD54, 0x83EF, 0x3185, 0x4A45, 0x6327, 0x6B88, 0x73A9, 0x6B89, 0x6B68, 0x7BEB, 0x942D, 0xC48F, 0xDCF1, 0xE511, 0xE532, 0xE532, 0xE532, 0xE552, 0xE552, 0xED72, 0xED52, 0xE532, 
        0xE532, 0xE532, 0xE532, 0xE532, 0xDD32, 0xD513, 0xD533, 0xDD32, 0xD4AE, 0xC40B, 0xBBAA, 0xE698, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xDF1B, 0xBDD7, 0x738E, 0x5248, 0x5A28, 0x830A, 0x9BCB, 0xA3EB, 0x9BAB, 0x93AA, 0x8BAA, 0x83AA, 0x7B69, 
        0x7B49, 0x8349, 0x8369, 0x8369, 0x8348, 0x7AC5, 0x72A4, 0x72A5, 0x72A5, 0x72A5, 0x6A84, 0x62C5, 0x62E6, 0x62C5, 0x62E5, 0x6325, 0x5B05, 0x31A2, 0x2962, 0x4A66, 0x5AE8, 0x5AE8, 0x5266, 0x5245, 0x4A05, 0x39C5, 0x52AA, 0x840F, 0xC595, 0xB38D, 
        0xB32C, 0xDCD3, 0xF619, 0xFE3B, 0xE517, 0x9A2C, 0x8148, 0x9A49, 0xBBEC, 0xD52F, 0xDE31, 0xB48B, 0xB40B, 0xD552, 0xDE15, 0xDE14, 0xBD30, 0x93CB, 0x8B8A, 0xA46E, 0xBD73, 0xCE15, 0xBD94, 0x5289, 0x2104, 0x18C3, 0x2923, 0x41E5, 0x7347, 0x83A8, 
        0x7367, 0x4A64, 0x2962, 0x1901, 0x18A1, 0x2903, 0x3144, 0x3184, 0x31A5, 0x31C5, 0x31A4, 0x2102, 0x18A1, 0x18C1, 0x3183, 0x5AA6, 0x9C8A, 0xBD0D, 0xC52F, 0xD570, 0xE591, 0xE591, 0xE5B2, 0xF695, 0xFEF7, 0xFF18, 0xFF39, 0xFF3A, 0xF73A, 0xF6F7, 
        0xF6F6, 0xFF38, 0xFF7A, 0xFF7B, 0xFF9C, 0xFFBB, 0xFFBB, 0xFF7A, 0xFF5A, 0xFF5A, 0xFF3A, 0xFF3A, 0xFF3A, 0xFF38, 0xFF37, 0xFF17, 0xF6D7, 0xF6B6, 0xF675, 0xF614, 0xEDD4, 0xEDD4, 0xEE15, 0xF678, 0xF698, 0xF657, 0xEDF5, 0xE594, 0xDD13, 0xCD33, 
        0xD594, 0xE657, 0xF6D8, 0xFF18, 0xF718, 0xEED8, 0xE697, 0xDE76, 0xDE55, 0xD614, 0xC5D3, 0xBD52, 0xC552, 0xD5B2, 0xDE11, 0xDE10, 0xDDEE, 0xEDF0, 0xE5B0, 0xBCCD, 0x93A9, 0x7326, 0x6AE5, 0x8C6B, 0xA50E, 0x9CCD, 0x946C, 0x8C4C, 0x7BEA, 0x6328, 
        0x5AE7, 0x6326, 0x6B47, 0x6B48, 0x6AA9, 0x59A6, 0x6A07, 0xABF0, 0xC535, 0xCD55, 0xBC91, 0xAB6D, 0xB3CE, 0xD5B5, 0xE6D9, 0xE6FA, 0xBDD6, 0x6267, 0x3901, 0x3983, 0x41E4, 0x41E4, 0x39A4, 0x3164, 0x3985, 0x5227, 0x7B8B, 0x9CAF, 0xBDB3, 0xCD72, 
        0xCD92, 0xDE77, 0xEF3A, 0xEF5B, 0xF79C, 0xFFBC, 0xFFBC, 0xFFBD, 0xFFBD, 0xFF9D, 0xFF5D, 0xFEFC, 0xF6DB, 0xF6BA, 0xF6B9, 0xF698, 0xF657, 0xF698, 0xF6B7, 0xFEB6, 0xFEB6, 0xFED8, 0xFEFB, 0xF71B, 0xF71B, 0xEEDA, 0xEE9A, 0xEDF8, 0xE4F5,
  0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A52, 0x7A53, 0x7233, 0x7233, 0x8253, 0x8A54, 0x8A53, 0x8253, 0x8252, 0x8252, 0x8252, 0x8232, 0x8232, 0x8232, 0x8272, 0x8272, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A73, 0x8A73, 
        0x8A73, 0x8273, 0x8273, 0x8273, 0x8A53, 0x8A73, 0x8293, 0x8A73, 0x8A73, 0x9273, 0x9273, 0x8273, 0x7A72, 0x7290, 0x728F, 0x728E, 0x6A4D, 0x620C, 0x6A0B, 0x828B, 0x92EC, 0x9B4D, 0xABCF, 0xDCD3, 0xF515, 0xF4F4, 0xF4D4, 0xF4D4, 0xECB4, 0xCC92, 
        0xBC51, 0xBBEF, 0xB3CD, 0xABCD, 0x9B8C, 0x92EA, 0x92A9, 0x92C9, 0x930A, 0x934B, 0xA3AD, 0xB40E, 0xBC0E, 0xBBCD, 0xBBAD, 0xC3CD, 0xD42E, 0xDC4F, 0xDC4F, 0xD470, 0xD491, 0xD491, 0xD491, 0xECB3, 0xF4B4, 0xF4B3, 0xF4D3, 0xF4F4, 0xF515, 0xFD36, 
        0xFD36, 0xF536, 0xF536, 0xF536, 0xF516, 0xF515, 0xF4F4, 0xF4F4, 0xF4F4, 0xF514, 0xF515, 0xF4F5, 0xF4D4, 0xF4B3, 0xEC93, 0xE492, 0xDCB2, 0xD532, 0xD572, 0xD572, 0xD573, 0xD574, 0xC553, 0xBD2E, 0xB50C, 0xACCC, 0xA48B, 0xA44B, 0x9BC9, 0x8B27, 
        0x8307, 0x93A9, 0xAC8B, 0xBD0D, 0xC56F, 0xA46B, 0x8BA8, 0x7B48, 0x7B89, 0x8C0A, 0x94EC, 0x748A, 0x6448, 0x6C29, 0x6B88, 0x5AC7, 0x49E6, 0x5227, 0x5A47, 0x6245, 0x6266, 0x62C8, 0x6389, 0x6BC6, 0x5B44, 0x4A65, 0x5AC9, 0x8C50, 0xDEFA, 0xFFDE, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xEF5D, 0xDEDB, 0xB596, 0x630C, 0x5AEC, 0xAD76, 0xEF7D, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFE, 0xFFDE, 0xFFDE, 0xFFDF, 0xEF5C, 0xB534, 0x8BEE, 0x6327, 0x5325, 0x63A6, 0x94CC, 0xB5D1, 0xC675, 0xE73A, 0xF7DE, 0xFFFF, 0xEF3B, 0xBC4C, 0x9AE6, 0x8AA7, 0x92E9, 0x9B6A, 0xBC4C, 0xC46C, 0xC46D, 0xCC8D, 0xD4EF, 0xDD51, 0xEE15, 0xFF3B, 
        0xFF7B, 0xFF18, 0xEED7, 0xDE97, 0xBD94, 0x938A, 0x9B6A, 0xBD53, 0xB595, 0x8C50, 0x41C5, 0x4242, 0x5AE3, 0x6B87, 0x6BA9, 0x5B68, 0x5327, 0x8C2A, 0xACAD, 0xC4F0, 0xDD32, 0xE553, 0xE553, 0xDD52, 0xDD52, 0xE573, 0xE573, 0xE553, 0xDD53, 0xDD72, 
        0xDD72, 0xDD72, 0xE572, 0xE573, 0xE572, 0xCD10, 0xCCF0, 0xD531, 0xCC8E, 0xB38A, 0x9B08, 0xDE77, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xDF1B, 0x738E, 0x5269, 0x834B, 0xAC0D, 0xB40D, 0xA3AC, 0x934A, 0x8B49, 0x9389, 0x9B89, 0x9B69, 0x9329, 0x9348, 
        0x8B68, 0x9329, 0x9329, 0x9308, 0x8B08, 0x72E7, 0x6AC7, 0x72A6, 0x72A6, 0x72A6, 0x6AE7, 0x7328, 0x7B48, 0x7348, 0x6B27, 0x5B05, 0x4282, 0x19C1, 0x1181, 0x3203, 0x5AE8, 0x738B, 0x7BCD, 0x39C5, 0x31A5, 0x83EF, 0xB595, 0xC5F6, 0xCD94, 0xDD75, 
        0xE597, 0xEDB9, 0xF579, 0xED17, 0xCBD2, 0x7947, 0x7145, 0xB38B, 0xD52E, 0xD56D, 0xCD2B, 0xD4CD, 0xE531, 0xEE98, 0xEF3B, 0xE6F9, 0xBD51, 0x7226, 0x69E6, 0xAC90, 0xC5F5, 0xB5B3, 0x73AA, 0x2102, 0x0820, 0x18C2, 0x39C4, 0x5285, 0x7B67, 0x83CA, 
        0x6B49, 0x39C5, 0x18E2, 0x18E1, 0x2942, 0x28E3, 0x28E3, 0x3123, 0x3143, 0x3143, 0x2943, 0x41C4, 0x39A3, 0x2922, 0x41A4, 0x6B07, 0xBD2B, 0xC52C, 0xBD0C, 0xCD6D, 0xD5AF, 0xDDD0, 0xE5F1, 0xF696, 0xFEF8, 0xF739, 0xF779, 0xF799, 0xF759, 0xDE76, 
        0xDE35, 0xEEF7, 0xF779, 0xFF9A, 0xFF9B, 0xFFBB, 0xFF9B, 0xFF7A, 0xFF59, 0xFF58, 0xF738, 0xF6F8, 0xF6F9, 0xF6F8, 0xF717, 0xFF17, 0xF6F7, 0xEE75, 0xEE55, 0xE655, 0xE636, 0xE615, 0xE5F5, 0xE615, 0xE635, 0xEE36, 0xEE16, 0xE5D5, 0xD593, 0xD5D4, 
        0xDE15, 0xEE57, 0xF698, 0xF6B9, 0xEED8, 0xE676, 0xDE55, 0xCE34, 0xC5D3, 0xBD92, 0xB530, 0xBD52, 0xC593, 0xDE33, 0xE692, 0xEE70, 0xEE2D, 0xDDCE, 0xCD8D, 0xACEA, 0x8C27, 0x7B87, 0x7328, 0x8C0A, 0x9C8B, 0x9CAB, 0x946B, 0x8C0A, 0x6B48, 0x5B06, 
        0x5B06, 0x6B47, 0x7388, 0x7B89, 0x7B27, 0x4983, 0x40E2, 0x5125, 0x61A7, 0x71E7, 0x9289, 0xCBEF, 0xDCB2, 0xE574, 0xE657, 0xEED9, 0xD679, 0x62A8, 0x28E1, 0x18A1, 0x2102, 0x39A3, 0x5245, 0x41A3, 0x2902, 0x2081, 0x20E2, 0x2944, 0x4A06, 0x7286, 
        0x8AE7, 0x93AA, 0xACAE, 0xBD92, 0xDEF9, 0xF7BD, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFD, 0xFFDD, 0xFFBC, 0xFFBB, 0xFFBB, 0xFF9B, 0xFF9B, 0xFF7B, 0xFF5A, 0xFF39, 0xFF18, 0xFF18, 0xFF38, 0xF718, 0xEE75, 0xE614, 0xDD93, 0xD532, 0xBCD1, 0xA40F,
  0x7A52, 0x7A52, 0x7A32, 0x7A32, 0x7A32, 0x7232, 0x7233, 0x7233, 0x8234, 0x9254, 0x9254, 0x8A34, 0x8253, 0x8253, 0x8253, 0x8233, 0x8233, 0x7A33, 0x8252, 0x8272, 0x8253, 0x8253, 0x8233, 0x8233, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A74, 0x8A74, 0x8A73, 
        0x8A73, 0x8293, 0x8293, 0x8273, 0x8A53, 0x8272, 0x8272, 0x8A73, 0x8A54, 0x9274, 0x8A74, 0x7A53, 0x7252, 0x7290, 0x72AE, 0x728E, 0x6A6D, 0x620B, 0x6A0B, 0x828A, 0x92EA, 0x932B, 0xA3AE, 0xDCB2, 0xF513, 0xF4F3, 0xF4B3, 0xF494, 0xEC73, 0xC431, 
        0xB3EF, 0xB38C, 0xAB6B, 0x9B6B, 0x8B4B, 0x82A8, 0x8267, 0x82A7, 0x82C8, 0x8309, 0x936A, 0xABCC, 0xB3CC, 0xAB8C, 0xB36C, 0xBBAD, 0xD40E, 0xDC6E, 0xE46F, 0xDC91, 0xD492, 0xD492, 0xDC71, 0xEC93, 0xF4B3, 0xF4B3, 0xF4B3, 0xF4D4, 0xF4F5, 0xF515, 
        0xFD35, 0xF535, 0xF536, 0xF516, 0xF516, 0xFD35, 0xFD35, 0xFD35, 0xFD35, 0xFD36, 0xFD36, 0xF4F5, 0xF4D5, 0xF4B4, 0xECB3, 0xE4B3, 0xD4D3, 0xD532, 0xD551, 0xDD72, 0xDD74, 0xD575, 0xC553, 0xAD0D, 0xA4CA, 0x9C6A, 0x9C2A, 0x9C0A, 0x9BA9, 0x7AC5, 
        0x7AA5, 0x93A9, 0xAC8C, 0xBD0D, 0xC54E, 0x9C6A, 0x83C8, 0x7B88, 0x83CA, 0x944C, 0x94ED, 0x5C08, 0x53C7, 0x6C69, 0x6C09, 0x5B27, 0x2983, 0x2902, 0x3903, 0x4984, 0x5227, 0x5AA9, 0x63AB, 0x6C06, 0x5B43, 0x31C2, 0x39E6, 0x6B4C, 0xCE37, 0xF7BD, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xDEFB, 0x6B4A, 0x5266, 0x8C6F, 0xCE57, 0xE73B, 0xF7DE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 
        0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xEF5D, 0xB515, 0x8BCE, 0x5B07, 0x5325, 0x63A6, 0x94EC, 0xADB0, 0xBE54, 0xDF3A, 0xF7DE, 0xFFFF, 0xF77C, 0xE5D2, 0xCC6C, 0x92E8, 0x8267, 0x92E8, 0xBC2B, 0xBC4B, 0xBC4C, 0xCC8E, 0xDCF0, 0xE531, 0xEDB4, 0xF699, 
        0xFEFA, 0xFED7, 0xFF18, 0xFF39, 0xF719, 0xD551, 0xCD30, 0xDE36, 0xCE17, 0xAD12, 0x6AE8, 0x4222, 0x4262, 0x6346, 0x6BC9, 0x63A9, 0x5367, 0x8C2A, 0xACAC, 0xCD10, 0xDD53, 0xE574, 0xE573, 0xE572, 0xE572, 0xE573, 0xE573, 0xE553, 0xDD53, 0xDD73, 
        0xE593, 0xE573, 0xE573, 0xE593, 0xE573, 0xCD10, 0xCCEF, 0xDD31, 0xCCAF, 0xB3CB, 0x9B28, 0xD5D6, 0xF73D, 0xF79E, 0xF79E, 0xEF5D, 0xBDF7, 0x5248, 0x41A4, 0x938B, 0xCCCF, 0xCCAF, 0xA38C, 0x8AE9, 0x82E8, 0x9328, 0x9348, 0x9B28, 0x9308, 0x9348, 
        0x9369, 0x9328, 0x9308, 0x92E8, 0x92C8, 0x7AC8, 0x72C7, 0x72A6, 0x72A6, 0x72C6, 0x7308, 0x7B69, 0x8389, 0x7B89, 0x6B47, 0x5AE5, 0x3A41, 0x11C0, 0x09A0, 0x29C2, 0x4A86, 0x6B2A, 0x73AC, 0x39E6, 0x4A48, 0xAD54, 0xE6FA, 0xE6D9, 0xD5F5, 0xEEBA, 
        0xFEFC, 0xFE1B, 0xF559, 0xECB6, 0xCB50, 0x8146, 0x7965, 0xB3EB, 0xD54D, 0xCD6C, 0xC4E9, 0xE50E, 0xF593, 0xF698, 0xF71B, 0xE6FA, 0xC5B4, 0x8B0B, 0x82CB, 0xB4F3, 0xC5F6, 0xB593, 0x7BEB, 0x39E6, 0x2125, 0x2124, 0x39C4, 0x5285, 0x7366, 0x7B89, 
        0x62E9, 0x3164, 0x18C2, 0x2101, 0x39A3, 0x2924, 0x2904, 0x3123, 0x3143, 0x3143, 0x3143, 0x41C4, 0x41A4, 0x2922, 0x41C5, 0x7B48, 0xCD6D, 0xC54C, 0xBD0A, 0xC54C, 0xCDAE, 0xD5EF, 0xE632, 0xF696, 0xFED8, 0xF739, 0xF77A, 0xF7BA, 0xF779, 0xDE35, 
        0xD5F4, 0xE695, 0xEF37, 0xF779, 0xFF9A, 0xFF9B, 0xFF7B, 0xFF7A, 0xFF59, 0xFF58, 0xF758, 0xF6F8, 0xF6D8, 0xF6F7, 0xF6F7, 0xF6F7, 0xF6D6, 0xEE95, 0xE675, 0xE676, 0xE676, 0xE656, 0xE615, 0xDDF4, 0xDDF4, 0xE615, 0xE615, 0xDE15, 0xD614, 0xDE35, 
        0xDE35, 0xE636, 0xEE37, 0xEE78, 0xEE98, 0xE676, 0xDE55, 0xCE14, 0xBDB2, 0xB551, 0xB4EF, 0xBD51, 0xCDB3, 0xDE74, 0xEEB3, 0xEEB1, 0xE64D, 0xDDCD, 0xCD6C, 0xB509, 0x9467, 0x83E7, 0x7348, 0x8BC9, 0x944A, 0x9CAB, 0x946B, 0x840A, 0x6327, 0x4AA5, 
        0x4AC5, 0x6307, 0x7B68, 0x8BA9, 0x93A9, 0x6204, 0x4102, 0x3881, 0x4081, 0x50C2, 0x8A06, 0xD410, 0xED14, 0xE574, 0xE636, 0xEED9, 0xDEBA, 0x840E, 0x4A67, 0x3144, 0x20E2, 0x3143, 0x5225, 0x5224, 0x49C4, 0x3123, 0x20E2, 0x20E2, 0x28E2, 0x4942, 
        0x59A2, 0x6224, 0x6AE7, 0x7BAB, 0x9CF1, 0xBDB6, 0xC617, 0xCE16, 0xCE36, 0xCE36, 0xCE37, 0xCE56, 0xCE56, 0xD696, 0xD6B7, 0xDEB8, 0xD6B8, 0xD637, 0xD5F5, 0xCDD4, 0xC5B3, 0xC5B2, 0xBD71, 0xB48E, 0xAC0C, 0xA3AB, 0x936B, 0x836B, 0x7B8C,
  0x7A53, 0x7A53, 0x8252, 0x8252, 0x8252, 0x8253, 0x7A53, 0x7A53, 0x7A53, 0x8253, 0x8253, 0x8A54, 0x8A53, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8253, 0x8A53, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A73, 0x8A72, 
        0x8A72, 0x8A73, 0x8A94, 0x8A74, 0x8A74, 0x8A73, 0x8273, 0x8A73, 0x8A74, 0x8A74, 0x8274, 0x7A52, 0x7A51, 0x7AB0, 0x7AB0, 0x7AAF, 0x7AAF, 0x726E, 0x7A6D, 0x828D, 0x8ACD, 0x92ED, 0x9B6E, 0xC450, 0xDC91, 0xEC93, 0xF474, 0xF453, 0xEC12, 0xDBD0, 
        0xD3B0, 0xCB8F, 0xC36E, 0xBB6E, 0xA34C, 0x8B49, 0x8349, 0x7B09, 0x7B09, 0x7B09, 0x8329, 0x936B, 0x9B8C, 0xA38C, 0xAB8C, 0xB38D, 0xC3CE, 0xD44E, 0xDC6F, 0xDC71, 0xDC72, 0xE472, 0xEC72, 0xE492, 0xE492, 0xEC92, 0xEC93, 0xEC93, 0xF4B3, 0xF4F3, 
        0xF534, 0xF535, 0xF556, 0xF556, 0xF536, 0xFD35, 0xFD55, 0xFD55, 0xFD56, 0xFD56, 0xFD36, 0xF4D4, 0xF4B3, 0xEC93, 0xE493, 0xE493, 0xDCB3, 0xDD12, 0xDD32, 0xDD53, 0xDD73, 0xDD73, 0xD572, 0xB50F, 0xA4AD, 0x9C4C, 0x9C2B, 0xA44C, 0xA42B, 0x8B87, 
        0x8B87, 0xACAC, 0xC54F, 0xCD70, 0xB4EE, 0x8BCA, 0x7BA9, 0x8C0B, 0x946C, 0x8C8D, 0x742B, 0x5346, 0x5345, 0x63C8, 0x7429, 0x7408, 0x6367, 0x5A67, 0x6228, 0x728A, 0x72CA, 0x72E9, 0x6327, 0x6345, 0x52C4, 0x39C3, 0x39A5, 0x5268, 0x9C8F, 0xE6F9, 
        0xFFDD, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BC, 0xD672, 0xB56C, 0x8C28, 0x8C0A, 0x9CCF, 0xCE79, 0xF79E, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xF79D, 0xCDF7, 0xA4D1, 0x6B89, 0x5B46, 0x6BE8, 0x9D2D, 0x9CEF, 0xAD31, 0xD698, 0xF79D, 0xFFDE, 0xFFDE, 0xF77C, 0xDE77, 0xA3ED, 0x8AA7, 0x92C7, 0xABCB, 0xB3EB, 0xBC2C, 0xDCD0, 0xED52, 0xED53, 0xED73, 0xF5F5, 
        0xFE56, 0xFE97, 0xFEB7, 0xFEB7, 0xFEB7, 0xF6D9, 0xF6FA, 0xF71A, 0xF6F9, 0xEED8, 0xBD92, 0x4206, 0x2122, 0x52E7, 0x740A, 0x742A, 0x6BC9, 0x8C0B, 0xAC6D, 0xD511, 0xED74, 0xF594, 0xED94, 0xED73, 0xED73, 0xED73, 0xE573, 0xE552, 0xE552, 0xED53, 
        0xED54, 0xED53, 0xED73, 0xE573, 0xE572, 0xDD31, 0xDD31, 0xDD72, 0xDD30, 0xCCAD, 0xBC2B, 0xCCF4, 0xDDB9, 0xE6BB, 0xDEBB, 0xC5F8, 0x9C51, 0x832A, 0x8308, 0x9BAA, 0xABCB, 0xA3AB, 0x932A, 0x9309, 0x9308, 0x9308, 0x9328, 0x9328, 0x8B28, 0x8B29, 
        0x8B29, 0x8B29, 0x8B08, 0x8B08, 0x8B09, 0x8AE7, 0x8AC6, 0x7AA6, 0x7AA5, 0x7AA6, 0x7AE7, 0x7B69, 0x7BAA, 0x7BA9, 0x6B47, 0x5AC5, 0x3201, 0x1980, 0x1981, 0x29E3, 0x3204, 0x39E4, 0x4204, 0x62E8, 0x8C2D, 0xC617, 0xEF3C, 0xF75D, 0xEEFB, 0xF71B, 
        0xFEFB, 0xFE3A, 0xF578, 0xF517, 0xE433, 0xB24C, 0xA20A, 0xB30B, 0xBC2B, 0xBCCB, 0xC54B, 0xD56E, 0xE570, 0xED92, 0xF5F5, 0xF677, 0xEF1A, 0xDEBA, 0xD639, 0xC596, 0xC575, 0xCDF6, 0xCE79, 0x9515, 0x6BB0, 0x3A08, 0x3184, 0x4A45, 0x7387, 0x62C6, 
        0x4A05, 0x2923, 0x20C2, 0x2902, 0x3983, 0x3184, 0x3184, 0x3184, 0x3184, 0x3964, 0x3943, 0x3103, 0x28E2, 0x2903, 0x4A27, 0x838B, 0xCD91, 0xBD4D, 0xACCB, 0xBD0B, 0xCD6D, 0xD5EF, 0xE672, 0xF6B5, 0xF6D6, 0xFF18, 0xFF7A, 0xFFBC, 0xF79C, 0xE676, 
        0xDE12, 0xDE32, 0xE694, 0xEEF6, 0xFF7A, 0xFF7A, 0xFF7A, 0xFF7A, 0xFF9A, 0xFFBB, 0xFF9B, 0xFF5A, 0xF719, 0xF717, 0xF716, 0xF6F6, 0xEED6, 0xEEF6, 0xEEF6, 0xF6D6, 0xF6B6, 0xEE96, 0xEE76, 0xE615, 0xE5D4, 0xE5F4, 0xE635, 0xEE76, 0xEED6, 0xDE75, 
        0xDE34, 0xD5D4, 0xDDB4, 0xDDF5, 0xE656, 0xE696, 0xDE96, 0xDE55, 0xCDD3, 0xBD51, 0xACCF, 0xB530, 0xCDB2, 0xE654, 0xEEB4, 0xEED3, 0xE670, 0xE5ED, 0xE5CD, 0xDDAC, 0xBD4A, 0x9C87, 0x7B85, 0x83E9, 0x944B, 0x948C, 0x946B, 0x842A, 0x6347, 0x3203, 
        0x2181, 0x3A03, 0x6AC6, 0x8B89, 0xB42D, 0x8AC9, 0x6A05, 0x59A4, 0x61C5, 0x7226, 0x9AC9, 0xBB8E, 0xCC51, 0xE595, 0xEE98, 0xEEFA, 0xDEFA, 0xDEDA, 0xC637, 0x942F, 0x5A68, 0x49C6, 0x41C5, 0x5245, 0x5A86, 0x62A6, 0x62A6, 0x6286, 0x5204, 0x3121, 
        0x28E1, 0x2923, 0x2944, 0x2944, 0x3164, 0x41A6, 0x49E6, 0x5A26, 0x6A67, 0x6A89, 0x62AA, 0x62AA, 0x62CA, 0x732B, 0x7B6C, 0x7B8C, 0x7BAD, 0x7B4C, 0x730A, 0x62A8, 0x5267, 0x5226, 0x49E5, 0x41C5, 0x41A5, 0x41A5, 0x41C5, 0x4A47, 0x6B8A,
  0x7A52, 0x7A72, 0x8272, 0x8272, 0x8272, 0x8272, 0x7A52, 0x7A52, 0x7A52, 0x7A72, 0x7A51, 0x7A51, 0x8250, 0x8A6F, 0x9271, 0x9291, 0x9291, 0x9270, 0x9272, 0x8A51, 0x8A30, 0x8A30, 0x8A31, 0x8253, 0x8274, 0x8294, 0x8274, 0x8274, 0x8253, 0x8253, 0x92B5, 
        0x92B5, 0x8A94, 0x8A73, 0x8253, 0x8253, 0x8A94, 0x8AB3, 0x8291, 0x8270, 0x8270, 0x8270, 0x8271, 0x8290, 0x7ACD, 0x7AEC, 0x82ED, 0x8ACE, 0x8ACE, 0x8ACD, 0x8AAD, 0x82CC, 0x8B0B, 0x9B8C, 0xC46F, 0xD4D0, 0xD4D1, 0xD4B1, 0xCCB0, 0xC470, 0xB450, 
        0xAC4F, 0xA42D, 0x9C0C, 0x93EB, 0x838A, 0x7AC9, 0x7A88, 0x72A7, 0x6AC6, 0x6AC6, 0x6AC7, 0x7AC9, 0x82CA, 0x92E9, 0x9B09, 0x9B29, 0xAB4B, 0xC3CF, 0xD410, 0xDC31, 0xE431, 0xEC51, 0xF472, 0xECB2, 0xECB2, 0xE492, 0xE492, 0xE492, 0xECD2, 0xF4F5, 
        0xF4F6, 0xF515, 0xFD35, 0xFD35, 0xFD56, 0xFD76, 0xFD96, 0xFD77, 0xFD77, 0xFD77, 0xFD57, 0xFD35, 0xF4F5, 0xF4D4, 0xEC93, 0xE472, 0xDC91, 0xDD12, 0xDD53, 0xDD93, 0xDDB3, 0xDDB3, 0xDD92, 0xBD70, 0xAD2F, 0xA48D, 0x8BAA, 0x7AE8, 0x72A7, 0xB4CF, 
        0xD5B2, 0xCD71, 0xBD0F, 0xACAE, 0x9C6D, 0xA48D, 0xA46C, 0x8C2B, 0x7BE9, 0x73C8, 0x7BE9, 0x9CAC, 0x9CAC, 0x7BC7, 0x6325, 0x6305, 0x6B26, 0x6B26, 0x6326, 0x6306, 0x6306, 0x6B05, 0x6B26, 0x834A, 0x838B, 0x7B8A, 0x6308, 0x4A46, 0x4205, 0xA4CC, 
        0xD651, 0xDED7, 0xE75C, 0xEF9D, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDD, 0xE738, 0xB56E, 0x7BA7, 0x62C5, 0x62E9, 0xC638, 0xF7BE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 
        0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xF7DE, 0xE71B, 0xBDD5, 0x73EB, 0x6348, 0x7C2A, 0xA570, 0x83EC, 0x83CD, 0xC5B5, 0xEF3C, 0xFFBE, 0xFFFF, 0xFFFF, 0xEF5C, 0xC5B4, 0xAC2E, 0x9B8B, 0x9B2A, 0xB3CB, 0xC44D, 0xDCD0, 0xED73, 0xF5F5, 0xF697, 0xFEB6, 
        0xFEB6, 0xFE96, 0xFE97, 0xFE97, 0xFEB7, 0xF697, 0xF656, 0xFE35, 0xFE77, 0xFEF9, 0xD658, 0x4A28, 0x20E3, 0x52A8, 0x73AA, 0x73CA, 0x7BCA, 0xC510, 0xE5B4, 0xF5B4, 0xF5D4, 0xF5D4, 0xF5B4, 0xED93, 0xED93, 0xF593, 0xF594, 0xF594, 0xF573, 0xED73, 
        0xED73, 0xED93, 0xED73, 0xE552, 0xDD32, 0xDD32, 0xDD31, 0xDD31, 0xDD10, 0xD4D0, 0xCCD1, 0xDD75, 0xEE38, 0xF6FB, 0xEEFA, 0xDE57, 0xC4D0, 0xA3AB, 0x9B69, 0x9B8A, 0x9B8A, 0x9B6B, 0x9B4B, 0x9B6A, 0x9369, 0x9349, 0x9349, 0x9349, 0x9328, 0x8B09, 
        0x8B09, 0x9329, 0x9329, 0x9329, 0x8B09, 0x8309, 0x82E9, 0x8AC8, 0x8A86, 0x8245, 0x7286, 0x842D, 0x8CCE, 0x7C2B, 0x6327, 0x4245, 0x1921, 0x1961, 0x29E2, 0x4264, 0x4A84, 0x4A43, 0x4A23, 0x7B89, 0xA4AF, 0xD617, 0xF71D, 0xFF5E, 0xFF7E, 0xFF7E, 
        0xFF3D, 0xF69B, 0xF5F8, 0xED96, 0xE4D3, 0xE331, 0xE28F, 0xE2AE, 0xDB8D, 0xCC8C, 0xBDEB, 0xBE4A, 0xBE0B, 0xD5AF, 0xE592, 0xEDD3, 0xEE55, 0xE6DB, 0xDEFD, 0xEF3C, 0xEF5C, 0xF79D, 0xF79E, 0xD69A, 0xA555, 0x630B, 0x4A46, 0x62E6, 0x8408, 0x39A3, 
        0x18A2, 0x20E3, 0x2905, 0x2105, 0x20E4, 0x3143, 0x4183, 0x49A3, 0x4182, 0x3122, 0x18A2, 0x2903, 0x41C5, 0x734A, 0xACAF, 0xBD72, 0xC5B2, 0xACEE, 0x9CAC, 0xACCB, 0xBD2C, 0xCD4D, 0xE5CF, 0xF6B2, 0xF713, 0xFF16, 0xFF38, 0xFF7A, 0xFF9B, 0xF736, 
        0xF714, 0xF754, 0xF754, 0xF734, 0xFF15, 0xFF9B, 0xFFBC, 0xFF9B, 0xFF7A, 0xF759, 0xF75A, 0xFF9C, 0xFFBC, 0xFF9A, 0xF778, 0xF737, 0xF717, 0xF6F7, 0xF6F7, 0xF6F7, 0xF6F7, 0xF6F7, 0xF6D7, 0xEE76, 0xEE55, 0xEE55, 0xEE55, 0xE614, 0xE614, 0xEEB6, 
        0xEED6, 0xE676, 0xE635, 0xE635, 0xE635, 0xDE54, 0xDE75, 0xDE55, 0xDDF3, 0xCD92, 0xB50F, 0xB550, 0xC592, 0xDE33, 0xF673, 0xF692, 0xF691, 0xF630, 0xF630, 0xE650, 0xC5ED, 0xAD2A, 0x8427, 0x946B, 0x9C8C, 0x8C2B, 0x83CA, 0x7BA9, 0x6347, 0x3A23, 
        0x31C2, 0x4222, 0x5283, 0x62A4, 0x7AA7, 0xAB0C, 0xBB4D, 0xA34C, 0x82C9, 0x7247, 0x71C5, 0x9A68, 0xB32B, 0xCC30, 0xC451, 0xB40F, 0x9C0E, 0xD699, 0xF7BE, 0xEF5C, 0xD6BA, 0xCE17, 0xA470, 0x49E6, 0x2902, 0x3162, 0x39C2, 0x39C2, 0x3182, 0x41C2, 
        0x41C2, 0x3982, 0x3142, 0x3962, 0x49C3, 0x6266, 0x6AA8, 0x6AA7, 0x7308, 0x838A, 0x9C4D, 0x93EA, 0x8B88, 0x72C7, 0x6266, 0x6266, 0x62A7, 0x6B08, 0x7328, 0x7329, 0x7B29, 0x7B49, 0x836A, 0x944C, 0xA4AD, 0xACED, 0xBD4F, 0xC5F1, 0xDEB5,
  0x7252, 0x7252, 0x7251, 0x7252, 0x7252, 0x7252, 0x7231, 0x7231, 0x8A72, 0x92B3, 0x9AB4, 0xA2F5, 0xB376, 0xB3B7, 0xB3B7, 0xB3B7, 0xAB97, 0xAB76, 0xA355, 0x9B34, 0x9AF4, 0x92B3, 0x8A93, 0x8252, 0x8A52, 0x8A72, 0x8A72, 0x8A73, 0x8A73, 0x8A73, 0x8A93, 
        0x8A93, 0x8A93, 0x8AB4, 0x8AB4, 0x92B4, 0x9A92, 0xA2B1, 0xA312, 0xA353, 0xA354, 0xA333, 0xA370, 0x9B6F, 0x9330, 0x8AF0, 0x8ACF, 0x82CD, 0x6AAD, 0x6AAD, 0x7AAD, 0x8ACE, 0x8ACE, 0x92ED, 0xA36C, 0xAB8B, 0xAB6C, 0xAB4C, 0xAB4B, 0xA30A, 0x9AA9, 
        0x9288, 0x7A68, 0x6A47, 0x6226, 0x6245, 0x62E5, 0x6345, 0x6B26, 0x7327, 0x7B07, 0x8B28, 0x9B69, 0xA38A, 0xA38A, 0xAB8A, 0xAB8B, 0xB3AB, 0xC3EC, 0xD40D, 0xDC2E, 0xE42F, 0xE430, 0xE431, 0xE411, 0xE3D0, 0xD3AF, 0xCB8F, 0xCBB0, 0xD3F2, 0xDC52, 
        0xDC92, 0xE4B2, 0xECD3, 0xED13, 0xF534, 0xED37, 0xED37, 0xF557, 0xFD56, 0xFD56, 0xF556, 0xECD5, 0xDC73, 0xDC12, 0xD3F1, 0xD411, 0xD471, 0xDCF2, 0xDD33, 0xD553, 0xD552, 0xCD51, 0xC4EF, 0x9C2B, 0x8BC9, 0x8388, 0x8368, 0x8388, 0x9409, 0xC550, 
        0xDE14, 0xDE94, 0xD652, 0xC5B0, 0x944A, 0x5B25, 0x4AC4, 0x5AE5, 0x6B05, 0x6B26, 0x6B46, 0x6B47, 0x6306, 0x5AC4, 0x52A3, 0x52A3, 0x5AE5, 0x5B06, 0x5B06, 0x5AE7, 0x5AC7, 0x5AA6, 0x4A65, 0x39E3, 0x39E3, 0x3A03, 0x31C3, 0x2962, 0x1922, 0x39E6, 
        0x5268, 0x630A, 0x8C70, 0xB5B5, 0xEF7D, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xEF7C, 0xC5F4, 0x9CAB, 0x8C07, 0x9447, 0xDEB7, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFBD, 
        0xFF9D, 0xFFBD, 0xFFDE, 0xFFFF, 0xFFBE, 0xEF1C, 0xC5D7, 0x7BAC, 0x6348, 0x844B, 0xB5D0, 0x7BE9, 0x7389, 0xBDD4, 0xEF5C, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xEF5C, 0xCDD5, 0xA40E, 0x7A26, 0xB3AA, 0xCC8E, 0xDCCF, 0xE552, 0xEDD4, 0xFED8, 0xFEB8, 
        0xFE98, 0xFEB8, 0xFEB8, 0xFEB7, 0xF6B7, 0xF6D7, 0xF696, 0xF5F4, 0xFE16, 0xFE98, 0xDE59, 0x82AA, 0x5923, 0x51E4, 0x52A5, 0x5AE5, 0x7BA9, 0xD614, 0xF6D8, 0xF636, 0xF5D4, 0xF5D4, 0xF5F4, 0xEDD4, 0xE5D4, 0xEDD4, 0xEDB4, 0xEDB4, 0xE5B4, 0xE5D4, 
        0xEDD4, 0xEDB3, 0xED93, 0xEDB3, 0xE5B3, 0xE593, 0xE572, 0xE532, 0xD4D0, 0xC470, 0xAC2F, 0xB490, 0xC554, 0xE699, 0xE6FA, 0xDE77, 0xBCAF, 0x9AE7, 0x9286, 0x9329, 0x9B8A, 0x9BCA, 0x9B89, 0x82E9, 0x82C9, 0x8AE9, 0x930A, 0x930A, 0x9309, 0x8B09, 
        0x8B09, 0x8AE9, 0x8AE9, 0x82C8, 0x82E8, 0x8B49, 0x9349, 0x8AA8, 0x8267, 0x8267, 0x8329, 0xB4CE, 0xACCD, 0x5B07, 0x29A3, 0x1901, 0x2101, 0x1982, 0x2A44, 0x4B28, 0x5B28, 0x4A86, 0x5245, 0xAD30, 0xDED7, 0xEF5B, 0xFF9E, 0xFF9F, 0xF7BE, 0xF7BD, 
        0xF7BC, 0xEF1B, 0xEE3A, 0xED59, 0xE3F5, 0xD2AE, 0xD2AB, 0xD36C, 0xCC2D, 0xC48C, 0xB50B, 0xC54E, 0xCD91, 0xE5D5, 0xE5D6, 0xDDB5, 0xCD94, 0xE6F9, 0xF79C, 0xFF9D, 0xFF9E, 0xF79E, 0xD699, 0x5ACB, 0x3185, 0x5266, 0x7367, 0x83E8, 0x73C6, 0x2922, 
        0x0020, 0x0841, 0x10C2, 0x2124, 0x39C6, 0x51A7, 0x5166, 0x3104, 0x2924, 0x2945, 0x4209, 0xA510, 0xD673, 0xDE95, 0xD635, 0xC593, 0xACD0, 0xA4AD, 0xACCD, 0xB4ED, 0xBD0E, 0xBD2E, 0xC58F, 0xE651, 0xF6B1, 0xFEF2, 0xF713, 0xF715, 0xF738, 0xFF9B, 
        0xF79C, 0xEF3B, 0xE6FB, 0xEF3B, 0xF79C, 0xFFBB, 0xFF7A, 0xF717, 0xEED5, 0xEED4, 0xEF14, 0xF798, 0xFFBA, 0xF758, 0xEEF7, 0xEED6, 0xEEB5, 0xF6B6, 0xF6B7, 0xEEB8, 0xEED8, 0xEED7, 0xEEB7, 0xE677, 0xE656, 0xDE14, 0xD5F3, 0xD5F3, 0xDDF4, 0xE675, 
        0xEE76, 0xE655, 0xDE14, 0xD5D3, 0xD5D3, 0xDE55, 0xE696, 0xDE55, 0xC5D2, 0xB52F, 0xA48C, 0xC54F, 0xDDF2, 0xE674, 0xEEB5, 0xEE94, 0xEE32, 0xE60F, 0xE5EE, 0xD5AD, 0xC56C, 0xB54B, 0x9CCA, 0x7BA8, 0x7347, 0x6B47, 0x6327, 0x52E7, 0x3A65, 0x29C2, 
        0x3A03, 0x6328, 0x8BAA, 0x936A, 0x92A8, 0x6225, 0x6246, 0x9AE9, 0xBB6B, 0xB38B, 0x8B0A, 0x59E6, 0x4965, 0x5945, 0x7945, 0x99A7, 0xBB6D, 0xEEBA, 0xFFFF, 0xF7BE, 0xDEFA, 0xB5D5, 0x83EC, 0x6A66, 0x61E4, 0x51A4, 0x49C4, 0x5205, 0x62C7, 0x7B69, 
        0x8BAA, 0x83CB, 0x8BEB, 0x8C0B, 0x942B, 0x8BCA, 0x83CA, 0x93EB, 0xA44C, 0xB4AC, 0xD56F, 0xE6B7, 0xEF19, 0xE6D7, 0xDE74, 0xD612, 0xD5B0, 0xD5D1, 0xDDF2, 0xDDD1, 0xDDD0, 0xDDD0, 0xE5F1, 0xEE32, 0xEE74, 0xEEF8, 0xF719, 0xF6F9, 0xFE96,
  0x8292, 0x8292, 0x7A92, 0x7A72, 0x7A72, 0x7A72, 0x8AB3, 0x92B3, 0x8AB3, 0x8AD4, 0x92F4, 0xA354, 0xBBB3, 0xC3F3, 0xCC34, 0xCC35, 0xC415, 0xBBD5, 0xB3B4, 0xB393, 0xAB52, 0xAB12, 0xAAF2, 0xA2B2, 0x9291, 0x8A71, 0x8A72, 0x8A72, 0x8A72, 0x8A73, 0x8A93, 
        0x8AB3, 0x9293, 0x92B2, 0x9AB2, 0xA2D1, 0x9AF2, 0x9AF3, 0xA332, 0xAB52, 0xAB92, 0xABD3, 0xB412, 0xB411, 0xA3F0, 0x9BAF, 0x936E, 0x932C, 0x82EB, 0x82CB, 0x82CB, 0x82AA, 0x7AA9, 0x7AC7, 0x8308, 0x8B28, 0x8B49, 0x8B4A, 0x8B4A, 0x8B2A, 0x8349, 
        0x7B49, 0x7329, 0x72E8, 0x6AC7, 0x6AA6, 0x72E6, 0x7B07, 0x8308, 0x8B08, 0x9309, 0x9B09, 0xA329, 0xA34A, 0xABAB, 0xB3ED, 0xB40D, 0xBC2E, 0xC42E, 0xCC2F, 0xDC30, 0xDC51, 0xE451, 0xDC51, 0xD431, 0xD410, 0xD3CE, 0xCBAD, 0xC38D, 0xBBAC, 0xCC6A, 
        0xD4CA, 0xDCCC, 0xDCCE, 0xE4EF, 0xED11, 0xF553, 0xF554, 0xF555, 0xF535, 0xF535, 0xED15, 0xECB4, 0xE473, 0xE412, 0xDBD2, 0xDBD1, 0xD411, 0xDCD2, 0xDD33, 0xDD53, 0xDD73, 0xD572, 0xC531, 0xA48D, 0x9C4B, 0x940A, 0x93A9, 0x8B89, 0x9BEC, 0xD637, 
        0xE6F9, 0xC5B4, 0x8C0D, 0x62E9, 0x39E4, 0x6325, 0x7406, 0x7C26, 0x73C5, 0x6B44, 0x5A62, 0x49C2, 0x41E2, 0x4A43, 0x5283, 0x52A3, 0x5AA3, 0x5B05, 0x52E6, 0x4224, 0x41C3, 0x49E3, 0x5203, 0x49C4, 0x39A4, 0x3185, 0x3185, 0x39A6, 0x5AAA, 0x9CF2, 
        0xAD33, 0x93AD, 0x936C, 0xAC71, 0xDEBA, 0xF7BE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF79E, 0xD6B9, 0xB572, 0xA4AC, 0x9C89, 0xDEB7, 0xF79D, 0xEEFC, 0xE69A, 0xE699, 0xE71A, 0xF7BD, 
        0xFFDE, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFDE, 0xF7BE, 0xD699, 0x8C0D, 0x6B08, 0x73C9, 0x952E, 0x73AA, 0x7B8B, 0xB594, 0xE73B, 0xF7BE, 0xFFFF, 0xFFFF, 0xFFFF, 0xF79D, 0xD657, 0xACB1, 0x7AA7, 0x9B49, 0xBC0C, 0xD4AE, 0xE571, 0xEDF3, 0xFE96, 0xFEB7, 
        0xFEB8, 0xFED8, 0xFED8, 0xFED8, 0xF6B7, 0xFEB8, 0xF697, 0xF615, 0xF636, 0xF698, 0xF6DA, 0xDD93, 0xAC2E, 0x5A47, 0x3984, 0x5225, 0x9C4C, 0xE6B7, 0xFF3A, 0xF657, 0xF5D5, 0xF5B4, 0xF615, 0xF615, 0xF5F4, 0xEDD4, 0xEDB4, 0xEDB4, 0xED94, 0xEDB4, 
        0xEDB4, 0xEDD4, 0xEDF4, 0xEDF5, 0xEDF5, 0xE572, 0xE532, 0xDCF2, 0xD4B1, 0xC490, 0xB42E, 0x9BAD, 0xA40F, 0xBD54, 0xBD54, 0x9C0F, 0x6A06, 0x7245, 0x8286, 0x82A8, 0x82A8, 0x82A7, 0x7AC6, 0x82A7, 0x8287, 0x82A8, 0x82A8, 0x82A7, 0x82C7, 0x82E9, 
        0x8B0A, 0x8B2A, 0x9329, 0x9329, 0x8B09, 0x8B09, 0x82E8, 0x7A86, 0x8286, 0x92E8, 0xA3CC, 0x944C, 0x73E9, 0x4A64, 0x2962, 0x2142, 0x2983, 0x3A64, 0x4AE5, 0x6B88, 0x6B68, 0x5AE6, 0x4A43, 0x83A8, 0xAD0D, 0xD677, 0xF77D, 0xFFBF, 0xFFBF, 0xFFDF, 
        0xFFDE, 0xF73C, 0xF65A, 0xED98, 0xEC53, 0xE34E, 0xDB0B, 0xCAE9, 0xAA86, 0x9245, 0x7A66, 0xB48E, 0xD592, 0xDD94, 0xD574, 0xCD53, 0xCD72, 0xEEDA, 0xFF9D, 0xFF9D, 0xEF5B, 0xDE98, 0xA4B0, 0x3185, 0x2943, 0x83C9, 0xAD0C, 0x9CCA, 0x5B04, 0x2121, 
        0x1080, 0x18A1, 0x2903, 0x3144, 0x3965, 0x30C3, 0x3924, 0x62EA, 0x9CD1, 0xB594, 0xC617, 0xDEF9, 0xDEB8, 0xC593, 0xB4F0, 0xACB0, 0xB4D0, 0xACF0, 0xB510, 0xBD30, 0xC550, 0xC56E, 0xCD8C, 0xD5CD, 0xDE0F, 0xEED2, 0xF756, 0xFF99, 0xFFDD, 0xFFFF, 
        0xFFFF, 0xFFDE, 0xF7BE, 0xFFDE, 0xFFDE, 0xFFDD, 0xF79C, 0xEF38, 0xE6B4, 0xE672, 0xDE30, 0xEEF5, 0xEF57, 0xF758, 0xF757, 0xF737, 0xEEB6, 0xE696, 0xE696, 0xEED7, 0xEEF8, 0xF718, 0xF719, 0xF6D7, 0xF696, 0xEE75, 0xE654, 0xDE33, 0xDE33, 0xDE34, 
        0xE655, 0xE675, 0xE675, 0xDE34, 0xD5F3, 0xDE14, 0xDE34, 0xDE34, 0xCDF3, 0xC592, 0xB50F, 0xB52E, 0xC58F, 0xE673, 0xF6D5, 0xF6D5, 0xEE93, 0xE631, 0xE610, 0xDDEF, 0xCDAE, 0xBD6D, 0xA4EB, 0x7BA8, 0x6B47, 0x6B67, 0x6B47, 0x5B06, 0x4A64, 0x39C2, 
        0x4A24, 0x8BCB, 0xB4AE, 0xB48E, 0x9B8B, 0x7A86, 0x7204, 0x81E6, 0x9207, 0x9A28, 0xA2CB, 0xBC0F, 0xBC0F, 0x8A89, 0x6124, 0x50C3, 0x61C7, 0xCDF7, 0xF7DE, 0xFFDE, 0xF79D, 0xEF7C, 0xD6B9, 0xA4D0, 0x8BEB, 0x8349, 0x7AC7, 0x72A6, 0x7AC7, 0xA40B, 
        0xBD0F, 0xCDF5, 0xD677, 0xDEB9, 0xE71A, 0xE73A, 0xE73A, 0xE71A, 0xE6B8, 0xE635, 0xDD71, 0xE613, 0xEEB6, 0xF739, 0xF77A, 0xF79A, 0xFF79, 0xFF58, 0xFF37, 0xFF17, 0xF6D7, 0xF6B6, 0xF696, 0xFEB7, 0xF697, 0xEE15, 0xE5D4, 0xE5D4, 0xEE15,
  0x8293, 0x8293, 0x8293, 0x8292, 0x8292, 0x8272, 0x82B3, 0x82D3, 0x8AD3, 0x92D3, 0x9AF3, 0xAB55, 0xB3F6, 0xBC36, 0xC456, 0xD477, 0xDC97, 0xDC77, 0xBC34, 0xB3F3, 0xB3B4, 0xBB95, 0xBB74, 0xB352, 0x9AD2, 0x92B2, 0x92B1, 0x92B1, 0x9291, 0x9291, 0x92B3, 
        0x92B3, 0x9AB3, 0xA2D2, 0xAAD2, 0xB2D2, 0x9B32, 0x9B72, 0xA392, 0xABB2, 0xB3D2, 0xB413, 0xB432, 0xB452, 0xB452, 0xB452, 0xAC31, 0xA3CF, 0x8B6D, 0x8B2D, 0x8B0D, 0x930C, 0x8B0C, 0x82EA, 0x7AA6, 0x7AA4, 0x82E6, 0x8307, 0x8AE8, 0x8AC8, 0x7B08, 
        0x7B08, 0x7B09, 0x72E8, 0x6AE7, 0x6B06, 0x7AE7, 0x82E9, 0x8AEA, 0x930A, 0x9B0A, 0xA30A, 0xAB0B, 0xB32C, 0xC36D, 0xCBAE, 0xCBAE, 0xD3CF, 0xD3EF, 0xD410, 0xDC50, 0xDC71, 0xDC71, 0xD451, 0xD40F, 0xCBEE, 0xCBED, 0xC3ED, 0xC3ED, 0xBC0C, 0xBC48, 
        0xBC67, 0xCCA9, 0xDCCB, 0xDCEC, 0xE50F, 0xF532, 0xF534, 0xF555, 0xF536, 0xF516, 0xF4D5, 0xF4D5, 0xECB3, 0xDC92, 0xDC50, 0xD410, 0xDBF0, 0xDC72, 0xDCD3, 0xE533, 0xDD53, 0xD532, 0xBCF1, 0xB4CE, 0xACAD, 0x942A, 0x8BC9, 0x93CA, 0xA42D, 0xB531, 
        0xA510, 0x7389, 0x4245, 0x31E4, 0x3A45, 0x7C27, 0x9487, 0x7BA6, 0x6AC5, 0x6285, 0x6AC6, 0x9CC9, 0xB58C, 0xB54D, 0xA50D, 0x948B, 0x6B87, 0x3A04, 0x39A4, 0x5A06, 0x72A7, 0x7AE8, 0x8B8A, 0xACF1, 0xBD94, 0xC5F4, 0xCE16, 0xCE57, 0xC616, 0x944E, 
        0x7B4A, 0x7A67, 0x7A27, 0x8289, 0x93D0, 0xC5F7, 0xDEFB, 0xEF7D, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xEF7D, 0xCE57, 0xA510, 0x83EA, 0xD677, 0xEF7D, 0xDE79, 0xBD34, 0xA450, 0x9C0E, 0xD677, 
        0xF79C, 0xFFBD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xE71B, 0xAD12, 0x83EB, 0x7BEA, 0x846A, 0x740B, 0x844D, 0xB5B5, 0xDEDA, 0xEF5D, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFDE, 0xF71B, 0xE636, 0xBC4E, 0x7265, 0x7245, 0xB40C, 0xE592, 0xF635, 0xFEB7, 0xFEF8, 
        0xFEF8, 0xFF18, 0xFF18, 0xFF18, 0xFEF8, 0xFEB8, 0xFEB8, 0xF6B8, 0xF677, 0xFE36, 0xFE15, 0xF71A, 0xD658, 0x7B8D, 0x6288, 0x834B, 0xD5F3, 0xF738, 0xFF39, 0xF656, 0xFDD5, 0xFDD5, 0xFE36, 0xFE15, 0xFDF4, 0xF5D4, 0xF5B4, 0xF594, 0xF594, 0xF615, 
        0xEE36, 0xEE15, 0xE5F5, 0xE5D5, 0xDD74, 0xD4AF, 0xCC6E, 0xC46F, 0xBC50, 0xB450, 0xABEE, 0x932B, 0x8AA9, 0x7206, 0x5985, 0x5164, 0x5163, 0x61E5, 0x6A25, 0x7225, 0x7225, 0x6A25, 0x6A25, 0x7204, 0x7204, 0x7204, 0x6A04, 0x69E3, 0x61E3, 0x7286, 
        0x7AC7, 0x82E8, 0x82E8, 0x82E7, 0x7AC7, 0x82E8, 0x8AE7, 0x8285, 0x8AA7, 0x9B29, 0xAC0D, 0x83C9, 0x6326, 0x4A63, 0x39C2, 0x31A2, 0x39E4, 0x4AA5, 0x5B07, 0x6B69, 0x7369, 0x6306, 0x5282, 0x52A3, 0x7388, 0xBD93, 0xEEFA, 0xF75D, 0xFF7E, 0xFFDF, 
        0xFFDF, 0xFF7D, 0xF6BA, 0xF617, 0xF4B2, 0xDB2E, 0xDACC, 0xDB0C, 0xBAC9, 0x9226, 0x5962, 0x6A64, 0x8348, 0xA44D, 0xB4F1, 0xBD12, 0xC573, 0xEEB6, 0xFF59, 0xF77B, 0xD678, 0xACF3, 0x5A48, 0x1882, 0x20E2, 0x6B27, 0xA4CB, 0xAD4C, 0x8CAA, 0x52E4, 
        0x3A01, 0x2982, 0x2102, 0x18A2, 0x20A2, 0x69C6, 0x932B, 0xBD33, 0xD616, 0xCDF5, 0xB4F0, 0xAC91, 0xACB1, 0xB4F1, 0xB511, 0xB511, 0xB4F1, 0xBD11, 0xC552, 0xD5B3, 0xCDB2, 0xC550, 0xA46C, 0x9B89, 0xA40B, 0xD614, 0xF77B, 0xFFFE, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xF7BD, 0xF79C, 0xF77B, 0xE6D7, 0xC54C, 0xBCE9, 0xCDCE, 0xDEB3, 0xEF16, 0xF737, 0xF696, 0xF655, 0xF6B6, 0xFF18, 0xFF39, 0xF75B, 0xF73A, 0xF739, 0xF717, 0xEEB6, 0xDE55, 0xD5D3, 0xDDD2, 
        0xDE13, 0xE654, 0xEE95, 0xEE75, 0xE635, 0xD5D3, 0xCDD3, 0xCDF3, 0xCDD2, 0xCD91, 0xCD50, 0xD592, 0xDE13, 0xEEB4, 0xF6F4, 0xF6F4, 0xF6B3, 0xF692, 0xF672, 0xE610, 0xD5AE, 0xBD4C, 0x9C8A, 0x8C29, 0x8C0A, 0x8C2B, 0x7BC9, 0x6347, 0x4A63, 0x5A46, 
        0x7309, 0xAC8E, 0xC550, 0xBD10, 0x9C0C, 0x838A, 0x8329, 0x82A7, 0x8226, 0x79E6, 0x81E6, 0x9A67, 0xAAC9, 0xB32C, 0xA2CC, 0x8A09, 0x8208, 0xD5F7, 0xF79D, 0xFF5A, 0xFF39, 0xFF5A, 0xFF9D, 0xEF7C, 0xE6D9, 0xCDB5, 0xB490, 0xAC0D, 0x9369, 0x7AE8, 
        0x72A7, 0x6AA7, 0x8329, 0xA40D, 0xD5D5, 0xF779, 0xFFB9, 0xFF7A, 0xFF5A, 0xF75A, 0xE6B5, 0xB42D, 0xA38A, 0xBCAE, 0xD5D2, 0xE675, 0xEEF6, 0xF694, 0xF653, 0xF613, 0xF613, 0xF634, 0xF634, 0xF614, 0xF5F4, 0xF635, 0xF656, 0xF656, 0xF676,
  0x8291, 0x8291, 0x8291, 0x8291, 0x8290, 0x8AD0, 0xA330, 0xAB71, 0xB3D3, 0xB414, 0xBC55, 0xC495, 0xDCB6, 0xECF6, 0xE516, 0xE537, 0xE537, 0xE517, 0xE516, 0xE516, 0xDCD5, 0xDC94, 0xD454, 0xCBF3, 0xB391, 0xA370, 0xA331, 0xA2F1, 0xA2D0, 0x9AB0, 0x9AB1, 
        0xA2B1, 0x9AB1, 0xA2B0, 0xA2AF, 0xAACF, 0xBB93, 0xC3D4, 0xC413, 0xC453, 0xC493, 0xC4F4, 0xC4F4, 0xCCF3, 0xCCD3, 0xC4D2, 0xC4D1, 0xB4B0, 0xA3CD, 0x9B4C, 0x932B, 0x8B09, 0x82E7, 0x6AA4, 0x4A41, 0x4201, 0x4223, 0x4A45, 0x5265, 0x5A85, 0x52A5, 
        0x4AA5, 0x5285, 0x5A85, 0x5A86, 0x6AA7, 0x7AC7, 0x82C8, 0x92C9, 0xA2E9, 0xA2E9, 0xAB0A, 0xBB2B, 0xC34C, 0xCBAD, 0xD40E, 0xDC4F, 0xDCB1, 0xE533, 0xED54, 0xED54, 0xE554, 0xDD14, 0xD4D2, 0xD46E, 0xD40B, 0xC3CA, 0xBB8A, 0xB389, 0xB3C9, 0xBC28, 
        0xC449, 0xCC6B, 0xD48C, 0xDC8D, 0xE48E, 0xE4B1, 0xE4B2, 0xE4D2, 0xE4D2, 0xE4B2, 0xDC72, 0xDBD1, 0xDB91, 0xD3B1, 0xCBD1, 0xCBD0, 0xC3D1, 0xDC52, 0xDCB3, 0xDD54, 0xDDB5, 0xDDD4, 0xE5D4, 0xDDD6, 0xD5B6, 0xD594, 0xD5D4, 0xDE36, 0xD616, 0x8B8A, 
        0x6A85, 0x62C6, 0x7BAA, 0x94AE, 0xB5D2, 0xBDED, 0xBDCA, 0xB5CB, 0xBE2E, 0xCE72, 0xDED8, 0xE75A, 0xEF59, 0xE6F8, 0xDE96, 0xCE13, 0xB52D, 0x94CA, 0x8CEA, 0x9D4D, 0xB5AF, 0xBDD0, 0xB56E, 0x8388, 0x7B27, 0x9C0A, 0xBCEE, 0xCD50, 0xD593, 0xD596, 
        0xD556, 0xD4F3, 0xBC6F, 0x9BCB, 0x62A5, 0x39C4, 0x4A69, 0xA534, 0xE75C, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF75B, 0xE6B8, 0xDE36, 0xF75B, 0xFFDE, 0xF79D, 0xEEDA, 0xDE17, 0xCD52, 0xDDD3, 
        0xEE54, 0xF6B7, 0xFF1A, 0xFF5B, 0xFF9D, 0xFFDE, 0xEF5C, 0xBDB4, 0x9C6E, 0x8C0B, 0x7BC9, 0x6B89, 0x842D, 0xBE16, 0xEF7D, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFBE, 0xD658, 0x5A48, 0x4164, 0x9BAC, 0xE5B3, 0xF676, 0xFEF7, 0xFEF7, 
        0xFEF8, 0xFEF9, 0xFEFA, 0xFEF9, 0xFED8, 0xFE77, 0xFE57, 0xFE97, 0xF697, 0xF677, 0xF677, 0xF6FA, 0xEEB8, 0xDD93, 0xDD32, 0xE5B4, 0xF6B8, 0xF676, 0xEE15, 0xEDB4, 0xF594, 0xF5B4, 0xF5F5, 0xF5F6, 0xF5F6, 0xF5F6, 0xF616, 0xEE16, 0xE5F5, 0xCD12, 
        0xB470, 0x9BCC, 0x8B49, 0x8B09, 0x92C9, 0x8A89, 0x8268, 0x7A26, 0x7A05, 0x7A05, 0x7205, 0x6A06, 0x6A26, 0x6A26, 0x7267, 0x7A88, 0x82A9, 0x7288, 0x6A67, 0x6A47, 0x6A46, 0x6A05, 0x69C4, 0x69A4, 0x69A4, 0x61A3, 0x5983, 0x5983, 0x5963, 0x5962, 
        0x5162, 0x5182, 0x61E3, 0x6A45, 0x82A7, 0x7AA6, 0x6A65, 0x6A45, 0x7A66, 0x8AC8, 0x9B09, 0x52C5, 0x3283, 0x3A44, 0x3A04, 0x39E4, 0x4205, 0x6B27, 0x7388, 0x6B46, 0x5AE5, 0x4AA3, 0x4A83, 0x7B46, 0x940A, 0xBD51, 0xDE57, 0xEEF9, 0xF77B, 0xFFDE, 
        0xFF9D, 0xEE9A, 0xEDD7, 0xED76, 0xE493, 0xD2AC, 0xD24A, 0xDAEB, 0xB2CA, 0x8228, 0x3923, 0x49C3, 0x6B07, 0xB551, 0xDE97, 0xE697, 0xDE16, 0xE678, 0xEEDB, 0xE6DB, 0xB596, 0x7BCF, 0x2104, 0x1000, 0x20A1, 0x4A65, 0x8449, 0xAD6B, 0xBDCC, 0x5AC8, 
        0x3165, 0x2922, 0x2902, 0x2903, 0x4207, 0xB533, 0xDE16, 0xBD12, 0xAC6E, 0xB46E, 0xBCF0, 0xBD51, 0xB552, 0xB531, 0xB511, 0xB4F1, 0xC552, 0xDE56, 0xCE14, 0x8BEC, 0x6226, 0x59C5, 0x7ACA, 0xC5B5, 0xEF1B, 0xF79D, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDD, 0xF79B, 0xEF39, 0xD674, 0xC54A, 0xBD08, 0xBD6C, 0xC5CF, 0xD611, 0xEE54, 0xF6F7, 0xF738, 0xF738, 0xF759, 0xF759, 0xF759, 0xFF16, 0xF6D5, 0xE695, 0xD634, 0xCE13, 0xCDD2, 0xD5B3, 
        0xDDF4, 0xE655, 0xE696, 0xE696, 0xDE75, 0xDDF3, 0xD5B2, 0xCDB2, 0xC5B2, 0xC592, 0xCD92, 0xEE74, 0xF6D5, 0xEEB5, 0xEE95, 0xEEB4, 0xEEB4, 0xF694, 0xF652, 0xD5CF, 0xBD2C, 0xACCA, 0x9C69, 0x948A, 0x8C8A, 0x7C29, 0x6368, 0x4AC6, 0x4223, 0x62E6, 
        0x83E9, 0xB52F, 0xC550, 0xB4AE, 0x9BAB, 0xCCF0, 0xCD10, 0x9B4A, 0x8A87, 0x9AC8, 0xAB6B, 0x71C6, 0x5903, 0x6944, 0x89E6, 0xA268, 0xCBCD, 0xEEBA, 0xFFBE, 0xFF7B, 0xFF39, 0xFF18, 0xFF59, 0xFFBA, 0xF759, 0xD5D3, 0xC4EF, 0xBCAF, 0xC4CF, 0xC4CF, 
        0xBC6E, 0xA3AB, 0x8AE8, 0x7A87, 0x7AC9, 0xC573, 0xE6B8, 0xEF3A, 0xF79B, 0xFF9B, 0xF75A, 0xEF1A, 0xDE98, 0xCD92, 0xBCEE, 0xBCCE, 0xCD0F, 0xDD70, 0xDDB1, 0xDDB2, 0xDDB2, 0xE5B2, 0xEE12, 0xEE74, 0xEE94, 0xEE74, 0xEE53, 0xEE53, 0xEE53,
  0x72B2, 0x7AB2, 0x82B2, 0x8AB2, 0x8AD2, 0x8B12, 0x9352, 0x9B92, 0xABF3, 0xBC34, 0xC454, 0xCC75, 0xDCB6, 0xE4D7, 0xE517, 0xE537, 0xE537, 0xE537, 0xED16, 0xECF6, 0xE4F6, 0xE4F6, 0xDCD5, 0xD494, 0xCC32, 0xC3F2, 0xB391, 0xB371, 0xB351, 0xAB31, 0x9AD0, 
        0x92AF, 0x9AAF, 0xA2AE, 0xAACD, 0xB30D, 0xAB6F, 0xABAF, 0xB3CF, 0xB40F, 0xBC30, 0xC472, 0xD4D3, 0xD4F3, 0xC4B2, 0xBC91, 0xBC91, 0xBC70, 0xABEE, 0xA3AD, 0x936C, 0x8B2A, 0x8309, 0x7AC6, 0x5A22, 0x4A01, 0x4A22, 0x4A23, 0x5244, 0x5244, 0x5A65, 
        0x5A85, 0x5285, 0x52A5, 0x52A5, 0x5A85, 0x6A86, 0x7A87, 0x8AA8, 0x9AC9, 0xA2A9, 0xA2A9, 0xB2EA, 0xBB2B, 0xC38D, 0xCBEE, 0xD42F, 0xE4B1, 0xED13, 0xED54, 0xF575, 0xF595, 0xF595, 0xED54, 0xDCD1, 0xD46F, 0xCC0C, 0xBBC9, 0xBBA8, 0xBBE6, 0xCC67, 
        0xCC88, 0xCC6A, 0xD46B, 0xD46B, 0xDC6C, 0xE48D, 0xE4AD, 0xE4B0, 0xE4B2, 0xE493, 0xE473, 0xE452, 0xE431, 0xD411, 0xCBF0, 0xC3CF, 0xBC0F, 0xC471, 0xD4D2, 0xDD54, 0xEDD6, 0xEE16, 0xF657, 0xEE76, 0xE676, 0xE615, 0xE5F6, 0xDDF6, 0xCD94, 0x9CAD, 
        0x94AC, 0xB5B2, 0xC633, 0xBDF1, 0xAD2B, 0xAD4B, 0xB56C, 0xBD6E, 0xCDF2, 0xDE96, 0xEF1A, 0xCE35, 0xB550, 0x9C49, 0x8386, 0x7386, 0x73E7, 0x94CA, 0xA50B, 0xA4CB, 0x946A, 0x8BE8, 0x7B66, 0x8B68, 0x9BAA, 0xAC4C, 0xBCCE, 0xC4F0, 0xCCF1, 0xCCB3, 
        0xCC93, 0xCC72, 0xABEE, 0x8329, 0x3A03, 0x3224, 0x5B29, 0xAD94, 0xEF7C, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF7BE, 0xF77D, 0xFFDE, 0xFFFE, 0xFFBE, 0xF71B, 0xEE78, 0xE5D5, 0xEEB7, 
        0xF717, 0xF6B7, 0xF676, 0xF657, 0xF699, 0xFF7C, 0xFFBD, 0xEF3B, 0xC5D5, 0xA46F, 0x6AA6, 0x6B26, 0x846B, 0xC656, 0xF79D, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xE6FA, 0xA3CB, 0x92A6, 0xA328, 0xC44D, 0xDD72, 0xF6F8, 0xFF3A, 
        0xFF3A, 0xFF1A, 0xFF1A, 0xFEF9, 0xFED8, 0xFE97, 0xFE97, 0xFEB7, 0xFEB7, 0xFEB7, 0xFE77, 0xFE56, 0xFE77, 0xFED9, 0xF6D9, 0xF677, 0xEDD4, 0xEE35, 0xEE55, 0xF616, 0xF5D6, 0xEDB5, 0xEDB5, 0xE594, 0xDD73, 0xD512, 0xC470, 0xB40E, 0x9B2A, 0x71E7, 
        0x69A6, 0x7227, 0x7248, 0x6A07, 0x61C5, 0x7228, 0x7A69, 0x8289, 0x8288, 0x7A66, 0x7245, 0x7247, 0x7267, 0x7A87, 0x82C8, 0x8AE9, 0x932A, 0x8AC8, 0x8287, 0x7A87, 0x7266, 0x7286, 0x7A65, 0x7226, 0x7205, 0x6A05, 0x69E4, 0x69E4, 0x69E4, 0x61E4, 
        0x61C3, 0x59A3, 0x5983, 0x6183, 0x69C4, 0x61E3, 0x59E3, 0x59C3, 0x61A3, 0x69C3, 0x6A04, 0x5244, 0x4264, 0x4A84, 0x4A65, 0x4245, 0x4A25, 0x6B28, 0x7368, 0x6B47, 0x6326, 0x6325, 0x6345, 0x6B46, 0x7368, 0x8C0B, 0xACF0, 0xC5D4, 0xEF19, 0xFFBD, 
        0xFFBD, 0xF6BB, 0xEDD8, 0xED17, 0xE434, 0xEB30, 0xE30F, 0xD36F, 0xB38F, 0x936E, 0x7BAE, 0xBD51, 0xDE12, 0xE633, 0xDE13, 0xD5F3, 0xD5F4, 0xEEB8, 0xE698, 0xA4F2, 0x6B2C, 0x41E7, 0x1082, 0x0841, 0x1881, 0x3183, 0x6327, 0x94CC, 0xCE71, 0xA54C, 
        0x7BC8, 0x4225, 0x4A48, 0x738E, 0xBDB6, 0xC512, 0xBC8F, 0xC4F1, 0xCD52, 0xC572, 0xC551, 0xBD72, 0xBD72, 0xC592, 0xCDB3, 0xD5F4, 0xD5F3, 0xA48D, 0x7B48, 0x5A25, 0x6288, 0x8BCD, 0xD657, 0xF79D, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xEF5A, 0xCDF1, 0xB52C, 0xA4A9, 0xA4A9, 0xB50B, 0xCDD0, 0xE6B5, 0xEF17, 0xF779, 0xF79A, 0xFFBA, 0xFFBA, 0xF739, 0xF6F8, 0xEEB6, 0xE674, 0xDE33, 0xCDD2, 0xD5D3, 
        0xDDF3, 0xDE13, 0xDE34, 0xE674, 0xE694, 0xD5F3, 0xCD92, 0xC551, 0xBD50, 0xBD50, 0xCDB2, 0xEE94, 0xFED5, 0xF6D4, 0xEEB4, 0xEEB5, 0xF6D6, 0xF6D5, 0xF694, 0xDDF0, 0xC54D, 0xACCB, 0x9C69, 0xA4EA, 0xA52B, 0x94AB, 0x73E9, 0x5B07, 0x4203, 0x5A42, 
        0x7B67, 0xB570, 0xCE14, 0xB571, 0x940B, 0xC510, 0xD572, 0xBC8E, 0xABAB, 0xA34A, 0x9AEA, 0xB30B, 0xA2AA, 0x81A6, 0x7165, 0x81E6, 0xB3EE, 0xE6DA, 0xFFDE, 0xFF7B, 0xFF59, 0xFF39, 0xF75A, 0xFFBB, 0xFFBB, 0xEF19, 0xD5F4, 0xBCCF, 0x9B6A, 0xBC2E, 
        0xCCD0, 0xD532, 0xD512, 0xC4B0, 0xA3CC, 0x8B29, 0x8B6B, 0xB511, 0xDE36, 0xEEB8, 0xFF19, 0xFF9B, 0xFFBB, 0xF77A, 0xEF18, 0xEEB6, 0xE612, 0xDD70, 0xDD50, 0xDD70, 0xDD90, 0xDD90, 0xDDB0, 0xE5D0, 0xE5F1, 0xEE12, 0xEE32, 0xEE52, 0xF652,
  0x7AD0, 0x7AF0, 0x8310, 0x8B10, 0x8B2F, 0x8B2F, 0x9351, 0x9B72, 0xABD2, 0xBC12, 0xC412, 0xCC53, 0xE4D5, 0xED16, 0xED16, 0xED36, 0xED55, 0xED75, 0xF536, 0xF517, 0xF516, 0xF515, 0xED15, 0xE4D4, 0xDC53, 0xDC13, 0xCBD2, 0xC3B2, 0xBBB2, 0xB372, 0xA310, 
        0xA2CF, 0xAACF, 0xAAEE, 0xB30E, 0xB34D, 0xB34F, 0xAB4F, 0xAB8D, 0xABCD, 0xB40E, 0xBC71, 0xC4B1, 0xC4D1, 0xC4D1, 0xC4D1, 0xC4D2, 0xCCB2, 0xB490, 0xAC6F, 0xA42D, 0x9C0C, 0x93CB, 0x8369, 0x5AA5, 0x4A63, 0x4243, 0x4243, 0x4A43, 0x4A44, 0x4A85, 
        0x5286, 0x5A65, 0x6265, 0x6A66, 0x6A66, 0x7AA6, 0x82A6, 0x8266, 0x8A47, 0x9227, 0x9A48, 0xAAAA, 0xB2EB, 0xBB8D, 0xCBEE, 0xD42F, 0xE471, 0xED34, 0xED76, 0xF596, 0xFDB6, 0xFDB6, 0xF596, 0xE512, 0xDCD0, 0xDC6E, 0xD40B, 0xC3A9, 0xB388, 0xC40A, 
        0xD46B, 0xCC4B, 0xCC2C, 0xD42C, 0xD42D, 0xDC2E, 0xE44E, 0xE470, 0xEC91, 0xEC72, 0xEC52, 0xEC12, 0xEC11, 0xDC11, 0xCBF0, 0xBBAF, 0xB38F, 0xCBEF, 0xCC70, 0xC513, 0xCDD5, 0xDE37, 0xEEB8, 0xEE76, 0xE636, 0xEE37, 0xE5F6, 0xD594, 0xC532, 0xD677, 
        0xD6B8, 0xC5B4, 0xC531, 0xCD51, 0xC570, 0x9487, 0x8CA7, 0xBE0F, 0xE6D4, 0xEED5, 0xDDB2, 0x9BAD, 0x82EA, 0x7B48, 0x7BA6, 0x7BC5, 0x7BE5, 0x9488, 0x9469, 0x7385, 0x5B24, 0x5B24, 0x73E7, 0xB4ED, 0xC52F, 0xB4EE, 0xB4EE, 0xC52F, 0xD512, 0xC3B1, 
        0xB350, 0xAB8F, 0x832B, 0x5A48, 0x39C6, 0x94F2, 0xCE98, 0xE75C, 0xF7DE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDE, 0xF73C, 0xE658, 0xD5B5, 0xCD52, 0xEEF7, 
        0xFF79, 0xFED7, 0xF676, 0xF676, 0xF6B7, 0xFF39, 0xFF7A, 0xF75B, 0xC616, 0x944F, 0x5225, 0x62E6, 0x8C4C, 0xC636, 0xF79D, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF79C, 0xDE53, 0xBCED, 0x8AE8, 0x8AC9, 0xAC2F, 0xE6FA, 0xFF7C, 
        0xFF5B, 0xFF3B, 0xFF3A, 0xFF19, 0xFEF8, 0xFED8, 0xFEB8, 0xFED8, 0xFEF8, 0xFEF8, 0xFEB8, 0xFE56, 0xFE15, 0xFE15, 0xFE36, 0xFE77, 0xF697, 0xF5F4, 0xF5F4, 0xFE77, 0xFE98, 0xF678, 0xE595, 0xBC2F, 0xA38D, 0x932B, 0x8AA9, 0x7A67, 0x7226, 0x82CA, 
        0x82EB, 0x7268, 0x7248, 0x82A9, 0x932B, 0x92EB, 0x8AC9, 0x8288, 0x7A26, 0x69C5, 0x61A4, 0x7AA7, 0x8B08, 0x9329, 0x9349, 0x93AA, 0x9BEB, 0x9349, 0x8B08, 0x8B28, 0x8B48, 0x9349, 0x9B4A, 0x930B, 0x92EB, 0x8AEA, 0x8AE9, 0x82C8, 0x82A7, 0x7AA7, 
        0x7286, 0x6A26, 0x61E5, 0x61C4, 0x69C3, 0x69E3, 0x61E2, 0x61C2, 0x69E2, 0x7224, 0x7A85, 0x4A23, 0x3A03, 0x4244, 0x4A46, 0x4A46, 0x5265, 0x6B05, 0x7366, 0x7B67, 0x7B68, 0x7348, 0x7368, 0x944A, 0x9429, 0x7326, 0x72E7, 0x838B, 0xBD73, 0xEF5C, 
        0xFFDE, 0xFF3D, 0xF63A, 0xED57, 0xEBF4, 0xEAF3, 0xEB14, 0xEC36, 0xE558, 0xDDF9, 0xDE9A, 0xF6F9, 0xF6D7, 0xEE53, 0xDDF0, 0xDDAF, 0xE612, 0xF73A, 0xDE99, 0x738E, 0x2945, 0x10A2, 0x18E2, 0x3165, 0x3165, 0x2903, 0x39C4, 0x6B27, 0xB58D, 0xDED3, 
        0xBDD1, 0x5B09, 0x528A, 0x7BF0, 0xC618, 0x8B8D, 0x82C9, 0xBC90, 0xE5D5, 0xEE15, 0xDDD4, 0xC593, 0xBD93, 0xC593, 0xCDB3, 0xD5F3, 0xC550, 0x6246, 0x4163, 0x6AC7, 0x9CAD, 0xC5F4, 0xEF9C, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xEF5A, 0xDEB5, 0xC56C, 0xB4C8, 0xB4C9, 0xBD4D, 0xB571, 0xBD93, 0xD614, 0xEED7, 0xF738, 0xFFDB, 0xFFBB, 0xFF9A, 0xF738, 0xF6D6, 0xE694, 0xD632, 0xCD92, 
        0xCD72, 0xD5B2, 0xDE33, 0xE694, 0xEED6, 0xE634, 0xD5B2, 0xBD50, 0xB50F, 0xBD2F, 0xD591, 0xEE34, 0xF675, 0xE653, 0xE673, 0xEE73, 0xF695, 0xF694, 0xEE94, 0xEE72, 0xD5F0, 0xBD4E, 0x9CAB, 0xA4EB, 0xA52C, 0x9CCC, 0x7BEA, 0x6307, 0x41C2, 0x6243, 
        0x8388, 0xC5B3, 0xE6D8, 0xE696, 0xCD4F, 0xAC2D, 0xA42D, 0xBCAF, 0xC48F, 0xC40D, 0xB30B, 0xAAC9, 0xA2A9, 0x9248, 0x9A69, 0xB30B, 0xDCD1, 0xF71B, 0xFFDE, 0xFFBC, 0xFF7B, 0xFF7A, 0xF759, 0xFF58, 0xFF79, 0xFF9B, 0xEEFA, 0xD636, 0xBCAF, 0xBBED, 
        0xC3ED, 0xDC91, 0xDD12, 0xCD12, 0xB4AF, 0x93CC, 0x93CC, 0xB4D0, 0xD5D4, 0xE696, 0xF738, 0xFEF8, 0xFEF8, 0xFF59, 0xFFBA, 0xFFBA, 0xF758, 0xF632, 0xEDB0, 0xE5B0, 0xE5B0, 0xE590, 0xDD70, 0xE56E, 0xE58E, 0xE5B0, 0xEDF1, 0xEE11, 0xF651,
  0x7AEF, 0x7AEF, 0x832F, 0x8B2E, 0x8B4E, 0x934F, 0x9B50, 0xAB71, 0xB3D2, 0xBC32, 0xC452, 0xCC73, 0xE4F5, 0xED16, 0xED16, 0xED16, 0xE535, 0xED54, 0xED36, 0xF537, 0xF536, 0xF535, 0xF515, 0xECF4, 0xE494, 0xE453, 0xD412, 0xCBF2, 0xC3D2, 0xBBB2, 0xB350, 
        0xB30F, 0xAAEF, 0xB30E, 0xB30D, 0xB32D, 0xAB2F, 0xAB4F, 0xAB8D, 0xABCD, 0xB40E, 0xBC70, 0xBC90, 0xBCB0, 0xBCD0, 0xC4D0, 0xC4B1, 0xC471, 0xB44F, 0xA42E, 0x9C0C, 0x93CB, 0x8BAA, 0x7B48, 0x5284, 0x4243, 0x3A43, 0x4223, 0x4223, 0x4A44, 0x4A85, 
        0x4A85, 0x5244, 0x5A25, 0x5A25, 0x6246, 0x7A65, 0x8265, 0x8A26, 0x8A06, 0x9207, 0xA229, 0xAA69, 0xB2CA, 0xBB6C, 0xCBEE, 0xDC0F, 0xE471, 0xED35, 0xF596, 0xF5B6, 0xFDB7, 0xFDD7, 0xF5B6, 0xED53, 0xED11, 0xE4AF, 0xDC4D, 0xCBEB, 0xBBAA, 0xCC0B, 
        0xD42C, 0xD42C, 0xCC2C, 0xCC2D, 0xD42D, 0xE42F, 0xE450, 0xE470, 0xEC71, 0xEC71, 0xEC52, 0xF432, 0xEC12, 0xDC11, 0xCBF0, 0xC3D0, 0xBBAF, 0xC40F, 0xCC71, 0xC533, 0xCDF6, 0xDE78, 0xF6F9, 0xEEB9, 0xEE99, 0xF6BA, 0xEE79, 0xDE17, 0xD5B5, 0xEF3A, 
        0xEF5A, 0xCDD3, 0xBD0F, 0xBD0F, 0xBD50, 0x94C9, 0x9508, 0xC650, 0xE6F5, 0xEED5, 0xD592, 0x9B8B, 0x8309, 0x83C9, 0x8C49, 0x8C68, 0x9447, 0x8C27, 0x7BE7, 0x5B24, 0x5303, 0x6365, 0x8C69, 0xB54E, 0xC54F, 0xBD0E, 0xB50D, 0xBD0E, 0xC4F0, 0xC3D1, 
        0xB350, 0x9B2D, 0x6A89, 0x49E6, 0x41E7, 0xC617, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFF9D, 0xF71B, 0xE637, 0xD573, 0xC510, 0xE6F6, 
        0xFF99, 0xFEF7, 0xFE76, 0xF675, 0xFEB5, 0xFED6, 0xFF18, 0xF73A, 0xCE37, 0xA4D1, 0x6286, 0x5AA6, 0x73AB, 0xBDF6, 0xEF9D, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBD, 0xEEB6, 0xCD50, 0x9329, 0x8ACA, 0xAC30, 0xE6FB, 0xFF7C, 
        0xFF3B, 0xFF3B, 0xFF3A, 0xFF39, 0xFEF8, 0xFEB8, 0xFE98, 0xFED8, 0xFEF8, 0xFEF8, 0xFED8, 0xFE56, 0xF5F4, 0xF593, 0xF5B3, 0xEDF4, 0xEE76, 0xF5F5, 0xF5D4, 0xE5F5, 0xDDD5, 0xD574, 0xC471, 0x9B4C, 0x8ACA, 0x8289, 0x7A68, 0x7247, 0x7268, 0x8B4B, 
        0x8B4B, 0x7AA9, 0x7A88, 0x8ACA, 0x9B6D, 0x930B, 0x8AC9, 0x8287, 0x7A46, 0x7205, 0x6A05, 0x9329, 0xA3AA, 0xA3CB, 0xA40B, 0xA44C, 0xA46C, 0xA40A, 0x9BEA, 0x9BEA, 0xA40A, 0xA40B, 0xABEC, 0xABAC, 0xA3AD, 0x9B8C, 0x9B6B, 0x9B4A, 0x9329, 0x9329, 
        0x8B09, 0x82C8, 0x7A87, 0x7266, 0x7A45, 0x7A85, 0x7A85, 0x7244, 0x7A65, 0x8AA6, 0x8B07, 0x5263, 0x3A22, 0x4244, 0x4A45, 0x5246, 0x5266, 0x6B05, 0x7366, 0x7B87, 0x7B88, 0x7B68, 0x7B89, 0x9C8B, 0x946A, 0x6AE5, 0x5A64, 0x6AA6, 0x9C6E, 0xE6FA, 
        0xFFDF, 0xFF3D, 0xF65A, 0xF577, 0xE3F4, 0xDAD3, 0xE2F5, 0xF478, 0xFDFB, 0xFEBD, 0xFF7E, 0xFF5C, 0xF71A, 0xEE95, 0xE632, 0xE632, 0xE654, 0xDEB7, 0xB5B5, 0x52AA, 0x18C2, 0x0881, 0x2123, 0x3185, 0x3145, 0x2103, 0x39C4, 0x6306, 0xB54C, 0xC5D1, 
        0xA511, 0x736B, 0x6B4C, 0x8C50, 0xBDB6, 0x940E, 0x8B8C, 0xBCD1, 0xDDB5, 0xE5F5, 0xDDD4, 0xC573, 0xBD52, 0xBD72, 0xC571, 0xBD50, 0xA44C, 0x59E4, 0x51A3, 0x8BEB, 0xC613, 0xDEF8, 0xF7BD, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BC, 0xEF18, 0xCDCF, 0xBCE9, 0xB4A9, 0xB4EC, 0xB52F, 0xBD51, 0xCDD3, 0xE675, 0xEED7, 0xEF39, 0xEF39, 0xEF18, 0xEED6, 0xEE95, 0xE674, 0xDE53, 0xCDB2, 
        0xD592, 0xDDF3, 0xE653, 0xE694, 0xEEB5, 0xE634, 0xDDD2, 0xBD51, 0xB530, 0xBD30, 0xD571, 0xE5D3, 0xE5F3, 0xDDF2, 0xDE12, 0xDE33, 0xEE74, 0xEE94, 0xEEB4, 0xEE93, 0xDE11, 0xBD6F, 0x9CAB, 0xA50B, 0xA52C, 0x94CB, 0x73C9, 0x5AA6, 0x41A3, 0x7B28, 
        0xACAE, 0xD656, 0xEF39, 0xF6F7, 0xDDB2, 0xAC2D, 0x9BEC, 0xBCAF, 0xCCF0, 0xCC8F, 0xBBAC, 0xAB09, 0xA2A8, 0x9A47, 0xAACA, 0xC3AD, 0xF5B5, 0xFF5B, 0xFFDD, 0xFFBC, 0xFF7B, 0xF75A, 0xF738, 0xFF56, 0xFF77, 0xF77A, 0xEF1A, 0xE657, 0xCCF1, 0xB3EC, 
        0xB3CC, 0xC42F, 0xCCB1, 0xCCD1, 0xB4D0, 0xA44E, 0xA42E, 0xBCF1, 0xD5B4, 0xE656, 0xF6F8, 0xFED8, 0xFEB7, 0xFEF8, 0xF759, 0xFF7A, 0xFF59, 0xFE94, 0xF632, 0xF612, 0xEDF2, 0xEDD1, 0xEDB1, 0xE5B0, 0xE5B0, 0xE5D1, 0xEE11, 0xEE31, 0xF632,
  0x72CF, 0x7AEF, 0x830F, 0x8B2F, 0x934F, 0x9B70, 0xAB90, 0xB3D1, 0xBC32, 0xC494, 0xCCD4, 0xD4F5, 0xDCD6, 0xE4D7, 0xE4D6, 0xDCF6, 0xDCF6, 0xDCF6, 0xE536, 0xE556, 0xE536, 0xED36, 0xED36, 0xED35, 0xE4F4, 0xE4D3, 0xE4B3, 0xDC73, 0xD453, 0xC3F1, 0xC38F, 
        0xBB4D, 0xAB0D, 0xA2EC, 0xA2CB, 0x9ACB, 0xA34C, 0xAB8C, 0xABAD, 0xABED, 0xB40D, 0xBC4D, 0xB46E, 0xB44E, 0xB44E, 0xB42E, 0xB40E, 0xABCD, 0x9B4A, 0x9309, 0x7AC8, 0x6A86, 0x6A65, 0x6204, 0x41C2, 0x39C2, 0x39E3, 0x4224, 0x4225, 0x4225, 0x4A84, 
        0x4A84, 0x4243, 0x4223, 0x4223, 0x4A04, 0x61C4, 0x79C4, 0x9226, 0xA268, 0xAA89, 0xAAA9, 0xA289, 0xAAA9, 0xBB2A, 0xCBAC, 0xD3EE, 0xDC70, 0xF533, 0xFD75, 0xFDB6, 0xFDD7, 0xF5F7, 0xF5F6, 0xF5B6, 0xF554, 0xECF2, 0xE48F, 0xDC8E, 0xDC6B, 0xDC29, 
        0xDC29, 0xD44B, 0xD46C, 0xD46C, 0xDC6D, 0xE48F, 0xEC90, 0xEC91, 0xEC72, 0xEC92, 0xEC93, 0xECB4, 0xE4B3, 0xD472, 0xC450, 0xC430, 0xBC70, 0xBCD2, 0xC533, 0xDDB5, 0xEE58, 0xF6B9, 0xFF3B, 0xFF9D, 0xFF9D, 0xFF9D, 0xF77D, 0xF73C, 0xF71B, 0xF77A, 
        0xEF77, 0xDED2, 0xC5ED, 0xAD4A, 0x94C9, 0xB58D, 0xCE10, 0xD633, 0xDE56, 0xDE78, 0xD658, 0xB54E, 0xA4CA, 0x9CC9, 0xA4EA, 0xAD0B, 0xA4EA, 0x6BA6, 0x5324, 0x6B66, 0x7BC8, 0x8BE9, 0x9C2A, 0xAC8B, 0xB4CB, 0xC50D, 0xC52E, 0xBCEE, 0xAC8D, 0xBC50, 
        0xB3CF, 0x82A9, 0x49E4, 0x3982, 0x4A86, 0xC637, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF73B, 0xF71A, 0xF739, 0xE6B7, 0xD5F4, 0xC531, 0xE6D6, 
        0xFF78, 0xFEF6, 0xF675, 0xF654, 0xFE74, 0xF674, 0xF6B6, 0xF73A, 0xEEF9, 0xDE35, 0xAC6C, 0x5265, 0x52A7, 0xAD74, 0xEF5C, 0xFFDF, 0xFFBE, 0xFFBC, 0xFFBC, 0xFFBD, 0xFFBD, 0xFFBD, 0xF73B, 0xE5D3, 0xDCEF, 0xC46E, 0xCCD0, 0xDDB4, 0xF71A, 0xFF3A, 
        0xFF1A, 0xFF1A, 0xFF19, 0xFF19, 0xFED8, 0xFE97, 0xFE77, 0xFEB8, 0xFED8, 0xFED8, 0xF6B8, 0xFE56, 0xF5F4, 0xE552, 0xD4F1, 0xCCF0, 0xD511, 0xE5B3, 0xDD73, 0xAC0F, 0x8AEB, 0x7A89, 0x7A48, 0x82A9, 0x82C9, 0x82C9, 0x82EA, 0x8B2B, 0x934C, 0x82E9, 
        0x82A7, 0x8AC8, 0x8AE9, 0x8AE9, 0x8AE9, 0x92E9, 0x930A, 0x936A, 0x9BAB, 0xA3CB, 0xAC0B, 0xBC6E, 0xC4AF, 0xBCEE, 0xBD0E, 0xBD0E, 0xBCEE, 0xBD2E, 0xBD2E, 0xBD0E, 0xBCEE, 0xBCCD, 0xB48C, 0xB46B, 0xB44B, 0xB42C, 0xAC0D, 0xABED, 0xABCC, 0xABCB, 
        0xABCB, 0xA3CB, 0xA3AA, 0x9B6A, 0x9B2A, 0x9B6A, 0x9B8A, 0x9B49, 0x9B29, 0xA32A, 0xA329, 0x6B26, 0x52E4, 0x4A83, 0x4244, 0x4225, 0x5246, 0x6B07, 0x7B67, 0x7B88, 0x7B88, 0x7B88, 0x7B88, 0x7BA8, 0x7BA8, 0x7346, 0x6AE4, 0x6AE4, 0x7BA7, 0xC615, 
        0xE71B, 0xF6DC, 0xF63B, 0xED58, 0xDBF4, 0xCAD2, 0xD2F3, 0xE457, 0xF59B, 0xFE5D, 0xFF1E, 0xFF7E, 0xF75C, 0xEED9, 0xEEB9, 0xEEFA, 0xDED9, 0x94CE, 0x6328, 0x31A4, 0x2102, 0x2122, 0x2983, 0x18C2, 0x0861, 0x1902, 0x52A7, 0x844B, 0xBDCF, 0x6B08, 
        0x5A67, 0x942C, 0xBD51, 0xC572, 0xBD52, 0xCE35, 0xD656, 0xC5B3, 0xBD52, 0xBD52, 0xC572, 0xC511, 0xBCF0, 0xBD0E, 0xACAB, 0x9408, 0x7B04, 0x8B45, 0xA429, 0xD614, 0xEF5B, 0xF7BD, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xE6FA, 0xDE56, 0xCD70, 0xB4EC, 0xACAA, 0xB4CA, 0xD5AF, 0xE632, 0xDE53, 0xDE34, 0xD615, 0xC5D4, 0xC593, 0xC592, 0xCDB2, 0xD5D2, 0xD5D3, 0xD614, 0xDE74, 
        0xE694, 0xE694, 0xE674, 0xDE54, 0xD613, 0xD5F3, 0xD5F3, 0xD5B2, 0xCD91, 0xCD71, 0xC551, 0xC550, 0xCD70, 0xD591, 0xD5B2, 0xD5F2, 0xDE33, 0xEE95, 0xEEB5, 0xE653, 0xCDD0, 0xBD2D, 0xA4AA, 0xA52B, 0x9D4C, 0x8C8A, 0x6347, 0x5265, 0x5246, 0xBD94, 
        0xEF3A, 0xF779, 0xEF57, 0xDEF6, 0xC5D3, 0xBCAD, 0xBC6C, 0xBC8D, 0xBCCE, 0xBCEF, 0xBCAE, 0xB3AC, 0xB2E9, 0xA227, 0xB2CA, 0xCC50, 0xF6DA, 0xFF9B, 0xFF9A, 0xF77A, 0xF759, 0xF738, 0xF717, 0xFF58, 0xFF79, 0xEF39, 0xE657, 0xDD74, 0xC40E, 0x9BCC, 
        0x93EC, 0xA42E, 0xB46F, 0xC490, 0xC491, 0xB471, 0xAC71, 0xB4D2, 0xC533, 0xD574, 0xE5F6, 0xF698, 0xF6B8, 0xEE77, 0xEE56, 0xEE56, 0xF697, 0xFED7, 0xFED7, 0xFEB6, 0xF695, 0xF674, 0xF654, 0xEE54, 0xEE54, 0xF653, 0xF653, 0xF653, 0xEE33,
  0x730F, 0x7B0F, 0x832F, 0x8B4E, 0x8B4D, 0x936D, 0xABF1, 0xB433, 0xBC54, 0xC474, 0xCC74, 0xD495, 0xDC96, 0xDC96, 0xDCB5, 0xD4D5, 0xD4D4, 0xD4D4, 0xDCF4, 0xDD14, 0xE515, 0xE515, 0xED15, 0xED15, 0xED13, 0xE4F3, 0xE4B3, 0xDC93, 0xDC72, 0xCC30, 0xB3AE, 
        0xA34C, 0xA2EB, 0x9ACA, 0x9AAA, 0x9AEB, 0xA38B, 0xABAC, 0xABCD, 0xB3CD, 0xB3CD, 0xB3ED, 0xB3ED, 0xB3ED, 0xB3ED, 0xABCD, 0xABAD, 0x9B8B, 0x832A, 0x72E9, 0x6286, 0x5A45, 0x5224, 0x4203, 0x4203, 0x4202, 0x4202, 0x4203, 0x4203, 0x4A24, 0x5264, 
        0x5A84, 0x5A85, 0x6265, 0x6245, 0x6A05, 0x6A25, 0x7266, 0x8AC8, 0xA30A, 0xAB2B, 0xB34C, 0xC34C, 0xC32C, 0xBB0B, 0xBB4C, 0xC3AD, 0xD470, 0xF513, 0xFD54, 0xFD95, 0xF5B6, 0xF5D6, 0xF5D6, 0xF596, 0xF555, 0xE4F2, 0xDCD0, 0xDCAF, 0xDC8D, 0xD42A, 
        0xD429, 0xDC6B, 0xDCAD, 0xE4CF, 0xE4F1, 0xED11, 0xF511, 0xECF3, 0xECF4, 0xECF4, 0xECF4, 0xECF3, 0xE4F2, 0xDCD2, 0xCCD1, 0xC4D1, 0xBCD1, 0xC533, 0xD574, 0xE5F6, 0xF657, 0xFEB9, 0xFF5B, 0xFFBD, 0xFFBD, 0xF77C, 0xF75C, 0xF73C, 0xFF3C, 0xFF5B, 
        0xF719, 0xDE35, 0xC592, 0xC570, 0xBD8E, 0xB58C, 0xB5CD, 0xD671, 0xEED5, 0xEEF6, 0xD654, 0x944B, 0x7BC7, 0x8C89, 0x9D2A, 0xA54B, 0x9CE9, 0x7405, 0x6BC4, 0x7C06, 0x8428, 0x8428, 0x8C4A, 0xB4EC, 0xC52E, 0xC54F, 0xCD51, 0xCD52, 0xC4B1, 0x9B6C, 
        0x7AC9, 0x6285, 0x4A22, 0x31C1, 0x4265, 0xBE37, 0xF7DF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBE, 0xF6D9, 0xF698, 0xEED8, 0xE677, 0xDDD4, 0xD531, 0xDE13, 
        0xEE75, 0xEE34, 0xEE14, 0xEE14, 0xF654, 0xF6B6, 0xF6D7, 0xF717, 0xF759, 0xF75A, 0xDE97, 0x8B4A, 0x7AE9, 0xBD54, 0xEF1B, 0xFF5C, 0xFEFA, 0xFF79, 0xFF99, 0xF718, 0xF6B7, 0xF676, 0xF656, 0xF696, 0xF6D6, 0xF6D7, 0xF6D8, 0xFEF8, 0xFEF9, 0xFF19, 
        0xFF19, 0xFF1A, 0xFEF9, 0xFEF9, 0xFED8, 0xFEB7, 0xFEB7, 0xFE97, 0xFE97, 0xF697, 0xF677, 0xF5B5, 0xED53, 0xD4D0, 0xC46E, 0xBC6E, 0xBC2D, 0xB3CB, 0xA36A, 0x92E9, 0x8AA9, 0x8AA9, 0x8AC9, 0x8288, 0x8288, 0x8AC9, 0x8B0A, 0x932A, 0x930B, 0x9B2A, 
        0xA349, 0xABAA, 0xABEB, 0xB40B, 0xB46C, 0xBCEE, 0xBD0F, 0xC50F, 0xCD2F, 0xCD2F, 0xCD50, 0xCD51, 0xD571, 0xDD70, 0xDD50, 0xD54F, 0xD52F, 0xCD0D, 0xCD0D, 0xC4ED, 0xBCCE, 0xBCCD, 0xBCCD, 0xB4AC, 0xAC8C, 0xAC8C, 0xB48C, 0xAC6C, 0xAC4B, 0xA3EB, 
        0xA3EB, 0xA3EB, 0xA3EB, 0xA3CA, 0x9B69, 0x9B69, 0x9B8A, 0x9B8A, 0x9349, 0x8AE7, 0x8AC6, 0xAC2C, 0xA44C, 0x5AA6, 0x31A3, 0x29A4, 0x4246, 0x6B27, 0x7367, 0x7367, 0x7BC9, 0x8C2B, 0x944C, 0x5AA6, 0x4A44, 0x7326, 0x83A8, 0x7387, 0x6305, 0x62E6, 
        0x7BAA, 0xBD73, 0xE638, 0xE5D8, 0xDC54, 0xDB74, 0xE3B5, 0xED39, 0xF67C, 0xF71E, 0xFF7E, 0xF73D, 0xEEDB, 0xEE99, 0xEED9, 0xEF1B, 0xDED9, 0x7B8A, 0x5223, 0x4A24, 0x4A65, 0x4A65, 0x4224, 0x2964, 0x20E4, 0x20E3, 0x4A48, 0x840E, 0xC614, 0x7BA8, 
        0x6B06, 0xB50F, 0xE635, 0xE635, 0xD593, 0xD5D3, 0xD5F3, 0xCDB3, 0xBD51, 0xB510, 0xACEE, 0xCD70, 0xCD6F, 0xAC8B, 0x93A7, 0x8B45, 0x9BC8, 0xD635, 0xEF5B, 0xF7BD, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xEF5C, 0xE6B8, 0xD5F3, 0xC54E, 0xBD0C, 0xB50B, 0xCDB1, 0xCDF3, 0xC5B3, 0xC592, 0xBD72, 0xBD72, 0xBD71, 0xBD91, 0xC5B1, 0xCDB2, 0xD5D2, 0xD5F3, 0xE695, 
        0xE6B5, 0xDE13, 0xD5D2, 0xD5D2, 0xDE13, 0xDE54, 0xDE74, 0xDE33, 0xD5F3, 0xD5B2, 0xCD71, 0xCD51, 0xD551, 0xD571, 0xD5B2, 0xDDD2, 0xDE32, 0xD652, 0xDE72, 0xE693, 0xD631, 0xBD6E, 0x948A, 0xA54B, 0x9D0B, 0x7367, 0x6AA6, 0x8307, 0xC4CD, 0xF718, 
        0xFFBB, 0xFF78, 0xFF57, 0xF778, 0xE6D8, 0xAC6D, 0x9B68, 0x9BAA, 0xAC2C, 0xB48E, 0xC4AE, 0xAB69, 0xA309, 0xC42E, 0xDD74, 0xEE78, 0xF77C, 0xFF5A, 0xFF38, 0xF738, 0xF717, 0xF717, 0xF6F6, 0xFEF7, 0xFF18, 0xF75A, 0xE6D9, 0xD615, 0xBC8E, 0xABCC, 
        0xABCD, 0xB42F, 0xBC70, 0xB470, 0xB490, 0xCD55, 0xCD55, 0xB490, 0xAC2E, 0xB44F, 0xC4D2, 0xCD73, 0xD5B4, 0xDDD5, 0xE5D5, 0xE5D5, 0xE615, 0xF6F8, 0xFF39, 0xFEF7, 0xF6B6, 0xF696, 0xF695, 0xF675, 0xF654, 0xEE13, 0xEDF3, 0xEDF3, 0xEE13,
  0x7B2E, 0x7B2E, 0x834D, 0x836D, 0x8B6D, 0x936D, 0xA390, 0xABB2, 0xBBD3, 0xC414, 0xCC54, 0xDC74, 0xDC75, 0xDC95, 0xDC95, 0xDCB4, 0xDCB4, 0xD4D3, 0xDCF3, 0xDD13, 0xE514, 0xE514, 0xE4F4, 0xE4D4, 0xECD4, 0xECD4, 0xECB3, 0xEC93, 0xE492, 0xDC71, 0xBC4F, 
        0xABED, 0xA36C, 0xA30B, 0x9B0A, 0x9B2B, 0xAB8C, 0xB3AD, 0xB3CD, 0xB3ED, 0xB40D, 0xBC0D, 0xB3ED, 0xB3ED, 0xB40D, 0xB40D, 0xABEC, 0xA38B, 0x9329, 0x8B08, 0x7AE6, 0x6AA4, 0x6263, 0x4A02, 0x4A01, 0x49E2, 0x4202, 0x3A02, 0x3A03, 0x4223, 0x5285, 
        0x5AA5, 0x5AA5, 0x5AA5, 0x5A85, 0x6A86, 0x7A65, 0x8A86, 0x92C8, 0x9B2A, 0xA34B, 0xB38C, 0xC3AD, 0xC38E, 0xB34D, 0xB34D, 0xC3AE, 0xDC50, 0xECB3, 0xF514, 0xF575, 0xFDD6, 0xFDD7, 0xFDD8, 0xFDB6, 0xF575, 0xF513, 0xF4D2, 0xF4B1, 0xEC50, 0xEC0D, 
        0xEC0D, 0xE44F, 0xE490, 0xE4B1, 0xECD2, 0xF4F4, 0xFD14, 0xFD14, 0xF514, 0xF513, 0xF4F3, 0xF4D4, 0xECD5, 0xECD3, 0xE4B2, 0xDC92, 0xD4B2, 0xD512, 0xD573, 0xE5D4, 0xEE36, 0xF698, 0xFF3B, 0xFFBE, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBD, 
        0xF73B, 0xDE16, 0xCD32, 0xC4F0, 0xBD4E, 0xC670, 0xCEF2, 0xDEF2, 0xDE72, 0xCDF0, 0xB52D, 0x944A, 0x9469, 0xA50B, 0xA54C, 0xA50B, 0x9469, 0x8C09, 0x83E9, 0x8BCA, 0x8BEA, 0x8C0A, 0x9C6C, 0xD570, 0xE5D3, 0xD5B3, 0xC4F2, 0xB430, 0x930B, 0x6AA5, 
        0x5AC4, 0x6B45, 0x62C5, 0x4204, 0x39E6, 0xBDF6, 0xF7DD, 0xFFFE, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBE, 0xF6BB, 0xF699, 0xF6F9, 0xEE97, 0xDDF5, 0xBC8F, 0x93AA, 
        0x93AA, 0xAC6D, 0xC531, 0xD593, 0xDDF4, 0xCD72, 0xCD31, 0xC531, 0xCD92, 0xD614, 0xDE77, 0xDD73, 0xDD53, 0xEE37, 0xF6D9, 0xF6F9, 0xFEF8, 0xFEF6, 0xF6F6, 0xF6D6, 0xF696, 0xF655, 0xFE56, 0xFF3A, 0xFF7B, 0xFF39, 0xFEF8, 0xFEF9, 0xFEFB, 0xFF1A, 
        0xFF19, 0xFF19, 0xFF19, 0xFEF9, 0xFEB8, 0xFE97, 0xFE97, 0xFE97, 0xFE97, 0xFE77, 0xF636, 0xED52, 0xDCD0, 0xCC6E, 0xB40D, 0xABEB, 0xABAA, 0xA3AB, 0xA38B, 0x9B4B, 0x9B0A, 0x9AE9, 0x9AC8, 0x92A9, 0x8ACA, 0x930A, 0x9B4A, 0x9B4A, 0xA38B, 0xAC0D, 
        0xB46E, 0xC4AE, 0xD4EE, 0xDD2F, 0xDD71, 0xDD91, 0xDD91, 0xE5B1, 0xE592, 0xE592, 0xDD71, 0xD551, 0xD531, 0xD530, 0xCD30, 0xCD50, 0xCD4F, 0xC50E, 0xC4EE, 0xC4EE, 0xC50E, 0xC50E, 0xCD0E, 0xC4CD, 0xBCAD, 0xBC8C, 0xB46C, 0xB44C, 0xAC2C, 0xAC0C, 
        0xABEC, 0xABEB, 0xABCB, 0xA3CB, 0xA3AB, 0xA3CA, 0xA3EA, 0xA3EA, 0x9389, 0x8B07, 0x82E5, 0xB4CD, 0xB4EE, 0x7329, 0x41E4, 0x39A3, 0x3A23, 0x5AE6, 0x6B27, 0x6B27, 0x7B89, 0x942C, 0xACCF, 0x83AB, 0x62A7, 0x41E5, 0x4225, 0x5AE6, 0x7C08, 0x52E4, 
        0x52C4, 0x942B, 0xCD92, 0xE676, 0xF65A, 0xF417, 0xF396, 0xF4D9, 0xF63C, 0xFEFE, 0xFFBE, 0xFFBE, 0xF79D, 0xF79D, 0xF79D, 0xF77C, 0xCE57, 0x4A28, 0x18C2, 0x39C3, 0x52A5, 0x62E5, 0x7368, 0x946F, 0x8C30, 0x5ACA, 0x5AA9, 0x7BAC, 0xAD30, 0x7B88, 
        0x7B68, 0xBD50, 0xE696, 0xEE96, 0xDE14, 0xD5D4, 0xCD93, 0xC552, 0xBD31, 0xBD31, 0xBD50, 0xB50F, 0xB4CD, 0xB46B, 0xBCCD, 0xCD91, 0xE6F9, 0xF7BE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF7BD, 0xEF3A, 0xDE76, 0xC5D1, 0xB4ED, 0xCD71, 0xD5D3, 0xCDD3, 0xCDD2, 0xC5D2, 0xC5B2, 0xBD71, 0xBD71, 0xBD91, 0xC5B2, 0xCDD2, 0xDDF3, 0xE633, 
        0xDE13, 0xCD91, 0xC571, 0xCD91, 0xDE33, 0xEE94, 0xF6B5, 0xEE95, 0xEE75, 0xE655, 0xE634, 0xE654, 0xE654, 0xE634, 0xDE33, 0xE633, 0xE652, 0xE632, 0xE653, 0xE693, 0xDE72, 0xD611, 0xBD6E, 0x9CEB, 0x8C69, 0x6B66, 0x7326, 0x8BC9, 0xCD50, 0xF6B2, 
        0xFF52, 0xFF93, 0xFFD4, 0xFFD6, 0xFFB8, 0xEF18, 0xE656, 0xD552, 0xD4D0, 0xD4F0, 0xDD51, 0xDCEF, 0xDD30, 0xEE77, 0xF75B, 0xFF9C, 0xFF9B, 0xFF38, 0xFF17, 0xFF37, 0xFF17, 0xF717, 0xF6D6, 0xFED6, 0xFEF7, 0xFF79, 0xF79A, 0xEF79, 0xD634, 0x9B2C, 
        0x924A, 0xAB6D, 0xBC50, 0xBC90, 0xAC90, 0xAC91, 0xB491, 0xC4B1, 0xC4D1, 0xC4D1, 0xBCD1, 0xCD33, 0xDD54, 0xDD74, 0xD553, 0xC532, 0xBD11, 0xE615, 0xF676, 0xF676, 0xF656, 0xF656, 0xF636, 0xEE14, 0xEE14, 0xEE14, 0xEE15, 0xEE15, 0xEDF4,
  0x830D, 0x832D, 0x834D, 0x836D, 0x8B6D, 0x936D, 0x9B8F, 0xA3D0, 0xB412, 0xC453, 0xCC74, 0xD495, 0xDCB4, 0xD4B3, 0xD493, 0xCC92, 0xCC92, 0xCC91, 0xCCB2, 0xCCD2, 0xCCB2, 0xD492, 0xDC72, 0xDC72, 0xE472, 0xEC93, 0xEC93, 0xECB3, 0xE4B3, 0xDC72, 0xBC0E, 
        0xABAC, 0xA34B, 0x9B09, 0x92E9, 0x930A, 0xAB8C, 0xBBCC, 0xBC0C, 0xC44D, 0xC46E, 0xC48E, 0xD48E, 0xCC6D, 0xC40E, 0xB3EF, 0xABD0, 0x9B8F, 0x7B0C, 0x6AAA, 0x5248, 0x4A26, 0x4A26, 0x4A25, 0x4A24, 0x4A24, 0x4224, 0x4A44, 0x5244, 0x6A65, 0x82C8, 
        0x92E9, 0xA30B, 0xAB2C, 0xAB4C, 0xAB6C, 0xB36D, 0xB38D, 0xB3AD, 0xB3ED, 0xB3ED, 0xBC0E, 0xD451, 0xDC52, 0xDC31, 0xE430, 0xDC50, 0xE491, 0xF513, 0xF535, 0xF555, 0xF556, 0xF536, 0xF516, 0xF514, 0xED13, 0xE4D2, 0xE4B2, 0xE491, 0xE491, 0xDC6F, 
        0xE490, 0xECF1, 0xF553, 0xF5B3, 0xF615, 0xFE38, 0xFE59, 0xF658, 0xF637, 0xF617, 0xF5B6, 0xDD53, 0xDD32, 0xDD33, 0xD533, 0xCD33, 0xC553, 0xD5F5, 0xE636, 0xEE98, 0xF6F9, 0xF71A, 0xF75B, 0xFF9D, 0xFF9E, 0xFFBE, 0xFFBD, 0xFF9D, 0xFF7D, 0xFF9D, 
        0xFF9D, 0xF77C, 0xEF3A, 0xE6D8, 0xCE13, 0xB56B, 0xAD28, 0xB54A, 0xBD6C, 0xBDAE, 0xB58E, 0x948A, 0x8C69, 0x9D0C, 0xAD8D, 0xAD8C, 0x9D4A, 0x8C69, 0x8428, 0x8427, 0x8427, 0x8427, 0x9CA9, 0xD612, 0xE654, 0xB50F, 0x8BAA, 0x7B07, 0x6A84, 0x6B05, 
        0x6B86, 0x73C6, 0x6324, 0x4A63, 0x39E3, 0xA52C, 0xDEF2, 0xEF79, 0xFFDE, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBE, 0xFEFA, 0xFED9, 0xF6F9, 0xDE56, 0xC572, 0x93AB, 0x7287, 
        0x6A46, 0x7AA8, 0x8309, 0x834B, 0x834B, 0x7286, 0x7A66, 0x8B29, 0x938A, 0x8B49, 0x8B6A, 0xCD32, 0xDDB5, 0xC4D2, 0xC471, 0xCCB2, 0xE595, 0xF616, 0xFE56, 0xFE76, 0xFE97, 0xFEB8, 0xFED8, 0xFED8, 0xFED8, 0xFED9, 0xFEFA, 0xFF1B, 0xFF1B, 0xFF19, 
        0xFF18, 0xFEF8, 0xFED8, 0xFED8, 0xFEB8, 0xF677, 0xF677, 0xF677, 0xFE77, 0xFE57, 0xF5D5, 0xE531, 0xD4CF, 0xC46D, 0xB3EC, 0xAB8B, 0xA32A, 0xB38A, 0xB3AA, 0xB38A, 0xAB49, 0xA309, 0xA309, 0xA34A, 0xAB6A, 0xABAA, 0xABCB, 0xAC0C, 0xB48E, 0xD530, 
        0xDD71, 0xDD72, 0xDD92, 0xD592, 0xD591, 0xD551, 0xD551, 0xCD51, 0xCD50, 0xCD2F, 0xC50E, 0xBD10, 0xBD11, 0xBD0F, 0xBD0E, 0xBD0D, 0xBD0E, 0xBCED, 0xBCED, 0xBCEE, 0xBCEE, 0xBCEE, 0xBCEE, 0xBCAD, 0xBC8C, 0xB46B, 0xB44B, 0xB44B, 0xBC4C, 0xB46C, 
        0xAC6B, 0xAC2B, 0xAC0B, 0xABEB, 0xA3CA, 0xA3CA, 0x9BCA, 0x9BAA, 0x9349, 0x92E8, 0x92E8, 0xB4ED, 0xB52E, 0x6B48, 0x4225, 0x3A05, 0x4285, 0x52A3, 0x5AC4, 0x6346, 0x73CA, 0x842C, 0x8C4D, 0x6329, 0x4266, 0x31E3, 0x29A3, 0x2984, 0x39E6, 0x6324, 
        0x73A3, 0x8C06, 0xACEC, 0xC5F3, 0xEEDB, 0xE4D8, 0xE457, 0xEDDB, 0xF71E, 0xFF9F, 0xFFDF, 0xFFDE, 0xFFDD, 0xF7BD, 0xE6F9, 0xCDF4, 0x93CA, 0x2922, 0x1081, 0x3183, 0x4A85, 0x5AC6, 0x62E7, 0x5226, 0x6288, 0x940D, 0x944E, 0x736B, 0x5268, 0xAD11, 
        0xDE56, 0xDE76, 0xDE55, 0xDE35, 0xD5D3, 0xD572, 0xCD31, 0xBD10, 0xBD50, 0xC591, 0xC571, 0x8B69, 0x8349, 0xBD72, 0xE71A, 0xF79D, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF79D, 0xDED8, 0xCE14, 0xCDD1, 0xCDB0, 0xD612, 0xD633, 0xCDF3, 0xCDD2, 0xC5B2, 0xC592, 0xB591, 0xB571, 0xBD70, 0xBD70, 0xBD70, 0xB570, 0xC551, 
        0xD571, 0xD5B3, 0xDE14, 0xDE34, 0xE675, 0xE696, 0xE696, 0xE696, 0xEE95, 0xEE95, 0xEE95, 0xEE96, 0xEE95, 0xEE95, 0xEE95, 0xEE95, 0xEE74, 0xDE33, 0xDE53, 0xE694, 0xE6B4, 0xDE73, 0xBD6F, 0x7366, 0x6B04, 0x8C49, 0xB54D, 0xCDAE, 0xE60E, 0xF66E, 
        0xF6D0, 0xFF74, 0xFFD7, 0xFFD8, 0xFFDA, 0xFFDC, 0xF77B, 0xD636, 0xC531, 0xC4CF, 0xD4F0, 0xEEB8, 0xFF7B, 0xFF7A, 0xFF79, 0xFF59, 0xFF38, 0xF718, 0xF717, 0xF718, 0xF6F7, 0xF6D6, 0xF6B5, 0xF6F6, 0xFF37, 0xFF78, 0xEF78, 0xDEF6, 0xBD71, 0x9A69, 
        0x99C8, 0xB34C, 0xBC4F, 0xBC90, 0xAC70, 0xB4B1, 0xB4D2, 0xBCB2, 0xC491, 0xBC91, 0xC4B2, 0xD554, 0xDD95, 0xDDD5, 0xD5B4, 0xCD53, 0xBCF1, 0xCD52, 0xD572, 0xD5B3, 0xDDD4, 0xE5F4, 0xEDF5, 0xDDF3, 0xDDF3, 0xDDF4, 0xE5F4, 0xE5F4, 0xE5B3,
  0x832B, 0x834B, 0x8B6C, 0x8B6C, 0x936D, 0x936D, 0x936D, 0x9B8E, 0xB3F1, 0xC453, 0xCC73, 0xD494, 0xDCB4, 0xDCB4, 0xD4B4, 0xCC93, 0xC472, 0xBC50, 0xBC70, 0xC470, 0xC470, 0xCC50, 0xD450, 0xD450, 0xE472, 0xEC73, 0xEC94, 0xECB5, 0xECB5, 0xDC93, 0xB3CE, 
        0xA36B, 0xA32A, 0x9AE9, 0x9B09, 0xA32A, 0xB36C, 0xBBAC, 0xB3EC, 0xB40C, 0xB40D, 0xBBED, 0xC3CB, 0xBBAB, 0xB36A, 0xA34A, 0x930A, 0x8AAB, 0x724A, 0x6A2A, 0x5A49, 0x5248, 0x4A48, 0x4A67, 0x4A87, 0x4AA6, 0x52C6, 0x62E6, 0x6B07, 0x8348, 0x9BCB, 
        0xA40D, 0xAC2E, 0xB42F, 0xB42F, 0xBC2F, 0xD450, 0xDC50, 0xD451, 0xCC70, 0xC490, 0xCCB0, 0xDCD2, 0xE4B2, 0xE4B2, 0xE492, 0xE492, 0xE4B2, 0xECD3, 0xECD3, 0xE4B2, 0xE492, 0xDC92, 0xDC92, 0xDC72, 0xE452, 0xE452, 0xE472, 0xEC72, 0xEC72, 0xF472, 
        0xF4B2, 0xF534, 0xFDB6, 0xFE17, 0xFE79, 0xFEFC, 0xFEFC, 0xFEBA, 0xFE98, 0xFE58, 0xF5F6, 0xF574, 0xED53, 0xE554, 0xE574, 0xDD94, 0xDDB4, 0xDDD5, 0xDDF6, 0xEE97, 0xF6F9, 0xFF3B, 0xFF7D, 0xF79D, 0xF79D, 0xF79E, 0xF77E, 0xF77E, 0xF77D, 0xF75B, 
        0xF75B, 0xF77C, 0xE6F9, 0xCE14, 0xACCB, 0xACEA, 0xB50B, 0xACCB, 0xA4AB, 0x9CAB, 0x9CEC, 0xA54D, 0xAD8D, 0xB5AE, 0xB5CE, 0xB5CD, 0x9D4B, 0x8427, 0x73A5, 0x7BE7, 0x8C69, 0xA4EB, 0xB58E, 0xBD2F, 0xA46D, 0x72E7, 0x5203, 0x49E2, 0x5283, 0x6B45, 
        0x7366, 0x6B44, 0x6323, 0x5B02, 0x4AC2, 0x31C2, 0x4A67, 0xA554, 0xEF5C, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFDE, 0xFF3C, 0xFF1B, 0xF6F9, 0xE656, 0xC572, 0x93CB, 0x7287, 
        0x7247, 0x7A88, 0x7AA9, 0x728A, 0x6A89, 0x7AE8, 0x8B28, 0x936A, 0x934A, 0x8AE9, 0x8288, 0x8B0A, 0x930A, 0x8288, 0x8248, 0x8A68, 0xA34C, 0xDD53, 0xF616, 0xF637, 0xF637, 0xF637, 0xF636, 0xFE57, 0xFE78, 0xFEB8, 0xFED9, 0xFEF9, 0xFF19, 0xFF19, 
        0xFEF9, 0xFEF8, 0xFED8, 0xFED8, 0xFEB8, 0xF656, 0xF656, 0xF656, 0xF636, 0xF616, 0xF5B4, 0xDD11, 0xD4AF, 0xCC6D, 0xC42C, 0xBC0C, 0xB3AB, 0xAB69, 0xAB49, 0xB36A, 0xB36B, 0xAB6A, 0xAB8A, 0xBC6D, 0xC4CE, 0xC4EE, 0xC4EE, 0xC4EF, 0xC4EF, 0xD572, 
        0xDDB3, 0xD5B2, 0xCDB2, 0xC5B2, 0xC592, 0xCD71, 0xCD71, 0xCD91, 0xCD91, 0xCD91, 0xCD92, 0xC572, 0xC572, 0xC551, 0xC550, 0xC550, 0xC52F, 0xC52E, 0xC52E, 0xBD0E, 0xBCEE, 0xB4EE, 0xB4CD, 0xB4CC, 0xBCAC, 0xBC8C, 0xBC6B, 0xBC4B, 0xBC4B, 0xB44B, 
        0xB44B, 0xB44C, 0xB44C, 0xB42B, 0xABEB, 0xA3CA, 0x9BCA, 0x9BEB, 0x938A, 0x9329, 0x9328, 0xB4CD, 0xACED, 0x6B28, 0x4A25, 0x4225, 0x52C6, 0x5305, 0x5305, 0x5B05, 0x5AE6, 0x5AE7, 0x5B08, 0x6B89, 0x6B89, 0x52A5, 0x31A2, 0x1901, 0x2943, 0x8C8A, 
        0xAD6B, 0x9C67, 0x9C69, 0xBD4F, 0xEEB9, 0xF599, 0xF539, 0xF61B, 0xF6FE, 0xFF5F, 0xFFDF, 0xFFFF, 0xFFFF, 0xEF7D, 0xBDF7, 0x8C2F, 0x3164, 0x18A0, 0x10A0, 0x2102, 0x2963, 0x39C4, 0x4A67, 0x7B09, 0x8B6A, 0x8BAA, 0x72E8, 0x5225, 0x41E6, 0xBDD6, 
        0xF77C, 0xE6B8, 0xDDF5, 0xCDB3, 0xC572, 0xBD11, 0xBD10, 0xC571, 0xC54F, 0xB4ED, 0xA449, 0xB4CD, 0xCD91, 0xE6D9, 0xF7BD, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xE71B, 0xD677, 0xD615, 0xCDB2, 0xCDF2, 0xCDF2, 0xD5F3, 0xCDD3, 0xC5B2, 0xBD92, 0xBD91, 0xBD91, 0xBD70, 0xBD70, 0xBD70, 0xBD71, 0xCD92, 
        0xD5B3, 0xDDF4, 0xE655, 0xE696, 0xEED7, 0xEEB6, 0xE6B5, 0xEEB6, 0xF6D6, 0xF6B6, 0xF6B6, 0xF6F7, 0xF717, 0xF6F6, 0xF6D6, 0xF695, 0xEE74, 0xE654, 0xE674, 0xEED5, 0xEED4, 0xDE72, 0xAD0D, 0x62C5, 0x62E6, 0xAD50, 0xDE95, 0xDE74, 0xD58F, 0xE5CC, 
        0xF64E, 0xF712, 0xFF96, 0xFFD6, 0xFFD7, 0xFFDB, 0xF77A, 0xDE55, 0xD5F3, 0xDE35, 0xEF19, 0xFFBB, 0xFFBB, 0xF759, 0xF718, 0xF718, 0xFF38, 0xFF38, 0xFF38, 0xFF38, 0xF718, 0xF6F8, 0xF6B7, 0xF6D6, 0xF716, 0xFF77, 0xF798, 0xEF57, 0xCDD2, 0x81E6, 
        0x78E4, 0xAA8B, 0xC3CF, 0xC40F, 0xAC0E, 0xB4D1, 0xBCF2, 0xB4B2, 0xB490, 0xB470, 0xBCB1, 0xD554, 0xE595, 0xDDB5, 0xDDB4, 0xD594, 0xCD52, 0xC531, 0xC531, 0xD572, 0xE593, 0xE5B3, 0xDDB4, 0xDDD3, 0xE5F3, 0xDDD3, 0xDDD3, 0xDDD3, 0xDDD3,
  0x832C, 0x834C, 0x8B6C, 0x938D, 0x936D, 0x936D, 0x9B6D, 0x9B8D, 0xA3AF, 0xB3F1, 0xBC32, 0xCC74, 0xDCD5, 0xDCD5, 0xD4D3, 0xC4B2, 0xBCB0, 0xB48F, 0xBC6D, 0xBC4D, 0xC44F, 0xC44F, 0xC42F, 0xC40E, 0xE431, 0xEC52, 0xEC73, 0xF4B4, 0xF4D5, 0xECD5, 0xD452, 
        0xBBF0, 0xAB6D, 0x9B0A, 0x92E9, 0x9B09, 0xAB6C, 0xB3AD, 0xABCD, 0xABEC, 0xABEC, 0xABEC, 0xABAD, 0xA38E, 0x936E, 0x8B2E, 0x82EE, 0x7AAD, 0x628B, 0x5A6A, 0x5A49, 0x5A49, 0x5A49, 0x5A48, 0x5A66, 0x6265, 0x7265, 0x7A85, 0x82A6, 0x9309, 0xAB6E, 
        0xBBB0, 0xC3F0, 0xCC10, 0xD410, 0xDC31, 0xE452, 0xE472, 0xE471, 0xDC91, 0xDCB1, 0xDCD1, 0xE4F2, 0xE4F3, 0xE4B2, 0xECB3, 0xECB3, 0xF4D3, 0xECD3, 0xECD3, 0xECB2, 0xECB2, 0xE492, 0xE472, 0xDC32, 0xDC12, 0xDC11, 0xDC51, 0xE471, 0xECB2, 0xF4B3, 
        0xF4B3, 0xFD15, 0xFD76, 0xFDD7, 0xFE78, 0xFF5C, 0xFF9D, 0xFF3B, 0xFEFA, 0xFEB9, 0xFE77, 0xF615, 0xEDD3, 0xE593, 0xDD93, 0xDD93, 0xDDD5, 0xDDF6, 0xDE36, 0xE697, 0xF6F9, 0xF71A, 0xFF5C, 0xFF9E, 0xFFBE, 0xFFBE, 0xFFBF, 0xFFBF, 0xFFBE, 0xFF9E, 
        0xF79D, 0xEF1B, 0xCDF5, 0xACAE, 0x8346, 0x9469, 0xA4EA, 0x9CCA, 0x9CCA, 0x9D0B, 0xA56D, 0xB5EE, 0xB5EE, 0xADAE, 0x9D6D, 0x952C, 0x84AA, 0x7C69, 0x7C48, 0x8449, 0x94AA, 0xA4EB, 0xA4EB, 0x7B67, 0x6285, 0x4A24, 0x4A44, 0x5AE7, 0x7BA9, 0x6325, 
        0x5AE3, 0x6324, 0x6B64, 0x6B83, 0x5B01, 0x2100, 0x2965, 0x9492, 0xDEFB, 0xF7BE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBD, 0xFFBE, 0xF79D, 0xEE99, 0xE658, 0xE679, 0xCDF6, 0xB4F1, 0x936A, 0x8B4A, 
        0x8B4A, 0x8B2A, 0x8B2A, 0x8B4C, 0x938D, 0x9BAC, 0xA3AB, 0x9B8B, 0x936B, 0x934B, 0x8B0A, 0x8B2B, 0x8B4B, 0x8B0A, 0x8288, 0x7A06, 0x79E6, 0xABCD, 0xCCF2, 0xE594, 0xF616, 0xF656, 0xFE77, 0xFE37, 0xFE38, 0xFE98, 0xFED8, 0xFEF8, 0xFF18, 0xFEF8, 
        0xFED8, 0xFEF8, 0xFEF8, 0xFEF8, 0xFEB8, 0xFE97, 0xFE76, 0xFE36, 0xFE15, 0xFDF5, 0xF5B4, 0xE552, 0xDD10, 0xD4CF, 0xD4AE, 0xD4AE, 0xCC6E, 0xB40D, 0xABED, 0xB3CC, 0xBBEC, 0xC40C, 0xC48D, 0xCD0F, 0xC530, 0xC530, 0xC530, 0xCD30, 0xCD71, 0xC571, 
        0xBD71, 0xBD51, 0xB551, 0xB572, 0xB572, 0xA510, 0xA4AF, 0x9CAE, 0x9CCF, 0xA4EF, 0xAD31, 0xB4D0, 0xB4B0, 0xB4D0, 0xAD10, 0xB530, 0xB54F, 0xB530, 0xB530, 0xB510, 0xACEF, 0xACCF, 0xB4CE, 0xB4EE, 0xB4EE, 0xBCCE, 0xBCAE, 0xBC8D, 0xB44C, 0xB44C, 
        0xB44C, 0xB46D, 0xB46D, 0xB46C, 0xB44C, 0xAC2C, 0xA40C, 0xA40C, 0xA3EB, 0xA3AA, 0xA3CA, 0xB4ED, 0xACED, 0x7348, 0x4A85, 0x4A85, 0x5B06, 0x6366, 0x6366, 0x5B06, 0x4AA5, 0x3A44, 0x3203, 0x4AE5, 0x5B26, 0x4A65, 0x31A3, 0x2942, 0x31A4, 0x8C8C, 
        0xA54D, 0x8C28, 0x8C07, 0xA4CC, 0xDE96, 0xF73C, 0xFF3E, 0xFEDE, 0xFEDE, 0xFF3E, 0xFFDF, 0xFFFF, 0xF79D, 0xC638, 0x9491, 0x6B2B, 0x3183, 0x3181, 0x39C2, 0x31A4, 0x2945, 0x18E4, 0x2944, 0x8BCA, 0xB4AC, 0x93EB, 0x7B4A, 0x72E9, 0x8B8D, 0xD678, 
        0xF75C, 0xE697, 0xCDB3, 0xBD31, 0xACF0, 0xCD51, 0xDDD3, 0xD5F3, 0xC54F, 0xAC4B, 0x9B89, 0xD636, 0xF79D, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DE, 0xF79D, 0xEF7C, 0xE718, 0xD612, 0xD5B0, 0xDDD3, 0xDDD4, 0xCDD3, 0xBD92, 0xC592, 0xC592, 0xC591, 0xC591, 0xC5B2, 0xCDD3, 0xDDF4, 
        0xDE15, 0xE635, 0xE675, 0xEE95, 0xF6F6, 0xF738, 0xFF58, 0xFF17, 0xFEF7, 0xFEF7, 0xF717, 0xFF58, 0xFF58, 0xFF17, 0xFED6, 0xFED6, 0xF6B6, 0xF6B4, 0xF6D4, 0xF716, 0xE6D5, 0xD633, 0xB50E, 0x9C6D, 0xACEF, 0xD675, 0xEF58, 0xF757, 0xEE93, 0xDDAD, 
        0xDD8B, 0xE60E, 0xEEB2, 0xF734, 0xFFB7, 0xFFB8, 0xFFB9, 0xF79A, 0xF79B, 0xF79B, 0xFF9C, 0xFF9B, 0xFF7A, 0xFF7A, 0xFF79, 0xFF78, 0xFF77, 0xFF57, 0xFF58, 0xFF59, 0xFF39, 0xFF18, 0xF6F7, 0xF6D6, 0xFED5, 0xFF16, 0xFF58, 0xFF99, 0xDE77, 0x7228, 
        0x6125, 0xAB6E, 0xD4B2, 0xCCB2, 0xABEE, 0xA44E, 0xA46F, 0xAC90, 0xB470, 0xB470, 0xC4B1, 0xDD54, 0xE595, 0xE595, 0xDD95, 0xDD74, 0xD552, 0xCD12, 0xCD12, 0xDD53, 0xDD73, 0xE574, 0xE594, 0xE5F5, 0xEE15, 0xEDF5, 0xEDD5, 0xE5D5, 0xE5B4,
  0x8B6A, 0x8B6A, 0x938B, 0x938C, 0x938C, 0x936D, 0x936C, 0x938D, 0xABEE, 0xB430, 0xC452, 0xCC94, 0xDCF5, 0xDCF4, 0xD4B3, 0xC492, 0xC490, 0xB48E, 0xA3EC, 0xA3AB, 0xABCC, 0xB3CC, 0xB3AC, 0xB3AC, 0xD410, 0xE452, 0xEC93, 0xF4B5, 0xF4F6, 0xECF6, 0xD410, 
        0xBBAD, 0xAB6B, 0xA32A, 0x9B0A, 0xA30A, 0xB38C, 0xB3CD, 0xABCC, 0xA3AC, 0xA38B, 0x9B2A, 0x8AC8, 0x8287, 0x7248, 0x6A09, 0x69EA, 0x61CB, 0x51C9, 0x49C9, 0x49E9, 0x522A, 0x5A4B, 0x62AB, 0x5AEA, 0x6329, 0x738A, 0x83AA, 0x8BCB, 0xA3ED, 0xCCB1, 
        0xDCF3, 0xED14, 0xED14, 0xED13, 0xED13, 0xF4F5, 0xF4F5, 0xF4F4, 0xED13, 0xED13, 0xED33, 0xF534, 0xF513, 0xECD3, 0xECD3, 0xF4D4, 0xF4F4, 0xE4D2, 0xDCB1, 0xD450, 0xCC0F, 0xC3CF, 0xB3AE, 0xC3AF, 0xCBB0, 0xD3D0, 0xDBF0, 0xE431, 0xF472, 0xFC92, 
        0xFCD3, 0xFD96, 0xFE18, 0xFE5A, 0xFEBB, 0xFF1B, 0xFF3B, 0xFF3B, 0xFF1B, 0xFEFB, 0xFED9, 0xFE78, 0xF677, 0xF656, 0xF655, 0xF635, 0xEE35, 0xE677, 0xE698, 0xE6B8, 0xEEF9, 0xF73B, 0xFF9D, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBE, 0xFF3C, 
        0xEEBA, 0xD5D6, 0xB531, 0xACEE, 0x9C68, 0x83C5, 0x7B84, 0x7BE6, 0x8C89, 0x9D2C, 0xBE2F, 0xC652, 0xBE12, 0xAD8F, 0xA52C, 0x9CEA, 0x9487, 0x7C27, 0x7C08, 0x8C29, 0x946A, 0x948A, 0x8C6A, 0x7B87, 0x7346, 0x7388, 0x7BC9, 0x7BE9, 0x73C7, 0x6B44, 
        0x6B23, 0x6B65, 0x73C6, 0x73E5, 0x5B23, 0x2101, 0x20E4, 0x6B4D, 0xB576, 0xD6BA, 0xF7BE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFBE, 0xF71A, 0xF6B8, 0xF6F9, 0xFF5B, 0xF77C, 0xDE79, 0x9C30, 0x72A9, 0x7288, 0x938B, 0xBCAF, 
        0xBCEF, 0xAC4D, 0xA3EC, 0x9BCC, 0x9BCD, 0xA3CB, 0xA3AA, 0x9BAB, 0x9BAC, 0x9BCD, 0x9BCD, 0x934B, 0x8B2A, 0x932A, 0x8AC9, 0x8267, 0x71E5, 0x71E5, 0x8A88, 0xB3ED, 0xDD12, 0xED94, 0xFDF6, 0xFDF6, 0xFE16, 0xFE77, 0xFED8, 0xFED8, 0xFEF8, 0xFEF8, 
        0xFEF8, 0xFED8, 0xFEF8, 0xFEF9, 0xFEF9, 0xF6B7, 0xF696, 0xF655, 0xF615, 0xEDF5, 0xEDD4, 0xED93, 0xF572, 0xED51, 0xE530, 0xE50F, 0xDCEF, 0xD4CF, 0xD4AE, 0xD48E, 0xD48E, 0xCCAE, 0xC4EF, 0xC4EF, 0xC4CE, 0xBCCE, 0xBCCE, 0xBCEF, 0xBD0F, 0xAC8D, 
        0x9C2C, 0x8BEB, 0x83CA, 0x7BAA, 0x7369, 0x5AC7, 0x52A6, 0x62E8, 0x6308, 0x62C7, 0x5266, 0x41E5, 0x39C5, 0x39C5, 0x39E5, 0x4205, 0x4245, 0x5285, 0x5AA7, 0x6B49, 0x7BAA, 0x83EB, 0x942C, 0x942D, 0x9C2D, 0xA44C, 0xAC6C, 0xAC6C, 0xAC6D, 0xAC8B, 
        0xAC8B, 0xAC6B, 0xAC6C, 0xAC6C, 0xA44D, 0xAC0C, 0xABEC, 0xABEB, 0xAC0B, 0xAC4C, 0xB48C, 0xAC6C, 0x940A, 0x7327, 0x5AA5, 0x52A5, 0x52E6, 0x6366, 0x6346, 0x52C5, 0x4264, 0x3A64, 0x3263, 0x3223, 0x31E3, 0x29A2, 0x31C3, 0x4A44, 0x73A8, 0x8CEA, 
        0x84C9, 0x73E6, 0x8408, 0xA4EE, 0xE6FA, 0xFF9E, 0xFF9F, 0xFF7F, 0xFF7F, 0xFF9F, 0xFFDF, 0xFFFF, 0xDEDB, 0x8BEF, 0x5226, 0x41C4, 0x4223, 0x52A5, 0x4A85, 0x39A3, 0x20E2, 0x1881, 0x2903, 0x940C, 0xBD2F, 0xB4ED, 0xB50E, 0xC592, 0xDE57, 0xEE77, 
        0xE635, 0xCD73, 0xBD11, 0xB511, 0xC552, 0xDDD3, 0xD5D2, 0xB50E, 0xA4EC, 0xB52D, 0xD632, 0xF77B, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DE, 0xEF7D, 0xE73C, 0xDEDA, 0xDE76, 0xDE54, 0xD5F3, 0xCDD2, 0xD5B2, 0xD5B2, 0xC5B2, 0xBDB2, 0xBDB2, 0xC592, 0xCD92, 0xD5B2, 0xE654, 
        0xEE95, 0xE695, 0xE696, 0xE696, 0xEED6, 0xFF39, 0xFF59, 0xF718, 0xF6F8, 0xF718, 0xFF38, 0xFF58, 0xFF37, 0xF6F6, 0xF6F6, 0xF6F6, 0xF6F7, 0xFEB6, 0xFED6, 0xF717, 0xDE95, 0xC591, 0xA48C, 0xCE13, 0xE6F6, 0xEF36, 0xF756, 0xF757, 0xF737, 0xDDF0, 
        0xDD8D, 0xDE0F, 0xEED0, 0xF732, 0xF7B4, 0xFF79, 0xFF5A, 0xFF9B, 0xFFDB, 0xFFDB, 0xFF9B, 0xFF5B, 0xFF5B, 0xFF9A, 0xFFBA, 0xF7B9, 0xF799, 0xFF79, 0xFF59, 0xFF59, 0xFF59, 0xF759, 0xF717, 0xF6B6, 0xF6B6, 0xFF38, 0xFFB9, 0xFFD9, 0xDEB5, 0x5A27, 
        0x4925, 0xA36F, 0xDD77, 0xEE19, 0xD5B6, 0x8B8C, 0x7AE8, 0xA3EC, 0xBC8F, 0xBCB0, 0xBC90, 0xC4D1, 0xC4F1, 0xCCF1, 0xCCF1, 0xC4F1, 0xC4F1, 0xC512, 0xCD12, 0xD512, 0xDD12, 0xE532, 0xE573, 0xEE35, 0xEE76, 0xEE56, 0xEE15, 0xE5D4, 0xDD73,
  0x8B89, 0x8B89, 0x938A, 0x938B, 0x938C, 0x936C, 0x8B6C, 0x938C, 0xAC0E, 0xBC50, 0xC492, 0xCCB4, 0xDCD4, 0xDCD4, 0xD493, 0xC471, 0xC46F, 0xB44D, 0x9BAA, 0x938A, 0xA38A, 0xABAB, 0xABAB, 0xB3AC, 0xD430, 0xE473, 0xEC94, 0xF4D5, 0xF4F6, 0xECD6, 0xCBEF, 
        0xBB8C, 0xAB4B, 0xA32A, 0xA32A, 0xAB2B, 0xB3AC, 0xB3CD, 0xAB8C, 0x9B4B, 0x930A, 0x8289, 0x7245, 0x6A05, 0x61C5, 0x59A7, 0x61A9, 0x59AA, 0x49A9, 0x49A9, 0x49E9, 0x522A, 0x5A6B, 0x6ACC, 0x6B4C, 0x738B, 0x8C0C, 0x9C6E, 0xA46F, 0xB491, 0xDD53, 
        0xED95, 0xF575, 0xF575, 0xF575, 0xF574, 0xFD56, 0xFD37, 0xF535, 0xF554, 0xF554, 0xF555, 0xF534, 0xF514, 0xF4F4, 0xECD4, 0xF4D4, 0xECD3, 0xDC90, 0xCC2F, 0xC3CE, 0xB36D, 0xAB4D, 0xA34D, 0xBB8E, 0xCBAF, 0xD3D0, 0xDBF1, 0xE431, 0xF472, 0xF492, 
        0xFCF3, 0xFDB6, 0xFE38, 0xFE7A, 0xFEBB, 0xFF1B, 0xFF3B, 0xFF3B, 0xFF3B, 0xFF1B, 0xFEFA, 0xFED9, 0xFED8, 0xFEB8, 0xFEB7, 0xF696, 0xEE76, 0xE677, 0xE677, 0xE697, 0xEEF9, 0xF73B, 0xF79D, 0xF77D, 0xF77D, 0xF7BE, 0xFFDE, 0xFFDE, 0xFFBD, 0xF73C, 
        0xEE9A, 0xCDB6, 0xB532, 0xAD2F, 0xA50A, 0x8404, 0x7382, 0x73E5, 0x8489, 0x9D4B, 0xBE4F, 0xCE72, 0xC632, 0xB5B0, 0xAD4D, 0xA52A, 0x94A7, 0x7406, 0x73E7, 0x8429, 0x944A, 0x946A, 0x8C4A, 0x7BC7, 0x7BC7, 0x8C29, 0x8C4A, 0x8429, 0x6BC6, 0x6B64, 
        0x6B64, 0x6B65, 0x6365, 0x5B44, 0x4AC3, 0x39E3, 0x39E5, 0x6B2A, 0x9CD1, 0xC616, 0xEF7D, 0xF79E, 0xF77D, 0xFFBE, 0xFFDF, 0xFFDF, 0xFF9E, 0xFF9E, 0xFF7D, 0xF6FA, 0xF6B8, 0xF6F9, 0xF73A, 0xCE58, 0xAD13, 0x72CA, 0x59C5, 0x6A46, 0xA3ED, 0xCD30, 
        0xD551, 0xC4EF, 0xBC8F, 0xB48F, 0xB46E, 0xB44C, 0xAC2B, 0xAC2C, 0xAC2E, 0xAC6F, 0xAC8F, 0xA3ED, 0x9B8C, 0x9B6B, 0x934A, 0x9329, 0x8AA8, 0x7206, 0x7A26, 0x9B29, 0xBC2D, 0xCCB0, 0xE533, 0xF5B4, 0xFE15, 0xFE76, 0xFEB7, 0xFEB7, 0xFEB8, 0xFEF8, 
        0xFEF8, 0xFED8, 0xFEF8, 0xFEF9, 0xFF19, 0xF6B7, 0xF676, 0xF635, 0xEE14, 0xEDF4, 0xEDD4, 0xF5B4, 0xFD93, 0xF572, 0xED51, 0xED30, 0xE50F, 0xDCEF, 0xDCEF, 0xDCCE, 0xD4CE, 0xCCEE, 0xC50F, 0xC4EE, 0xC4CE, 0xBCAE, 0xB4AE, 0xB4AE, 0xA46D, 0x8BEA, 
        0x8389, 0x7349, 0x6B28, 0x6B28, 0x62E7, 0x4A85, 0x4A65, 0x5AC7, 0x5AC7, 0x5266, 0x41C4, 0x29A3, 0x2183, 0x2143, 0x2142, 0x2142, 0x2162, 0x2962, 0x31A2, 0x4245, 0x52C7, 0x5B28, 0x6B69, 0x738A, 0x7BAB, 0x8BEB, 0x9C2B, 0xA44C, 0xA46C, 0xA48C, 
        0xA48B, 0xAC6B, 0xA44B, 0xA44C, 0x9C4C, 0xAC0C, 0xABEC, 0xAC0C, 0xAC4C, 0xAC8D, 0xB4AD, 0x9C0A, 0x8B89, 0x7328, 0x62E7, 0x5AE6, 0x52E6, 0x6326, 0x5B06, 0x4A84, 0x4264, 0x3A64, 0x3A84, 0x29C2, 0x2161, 0x2141, 0x3A03, 0x5B06, 0x948A, 0x9509, 
        0x7CA7, 0x73C5, 0x8408, 0xAD2E, 0xEF3A, 0xFFBE, 0xFF9F, 0xFF9F, 0xFFBF, 0xFFBF, 0xFFDF, 0xF7BE, 0xD659, 0x730B, 0x3943, 0x3962, 0x5AA5, 0x5AC5, 0x4A64, 0x3162, 0x1880, 0x1040, 0x20E3, 0x8BCB, 0xBD2F, 0xCD90, 0xDE53, 0xE6D7, 0xEF1A, 0xDE15, 
        0xCD72, 0xBD11, 0xB511, 0xBD52, 0xD5B3, 0xDE13, 0xCD91, 0xACAC, 0xA4CC, 0xBDAF, 0xEF78, 0xFFDD, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xEF7C, 0xE71B, 0xD699, 0xDE77, 0xDE55, 0xCDF3, 0xCDB1, 0xD5B2, 0xDDB3, 0xC5B2, 0xBDB2, 0xBDB2, 0xC5B2, 0xCD92, 0xD5B2, 0xE654, 
        0xEEB5, 0xEEB6, 0xE696, 0xE696, 0xEEB7, 0xF738, 0xF759, 0xF739, 0xF719, 0xF719, 0xF718, 0xFF17, 0xFF16, 0xF6F6, 0xF6F6, 0xF716, 0xF6F7, 0xFED6, 0xFEF7, 0xF738, 0xDE95, 0xC591, 0xACAD, 0xE6B5, 0xFFB9, 0xF776, 0xF756, 0xF757, 0xF758, 0xE632, 
        0xDDCF, 0xE62F, 0xE6B0, 0xEF32, 0xF794, 0xFF79, 0xFF5B, 0xFF9B, 0xFFBA, 0xFFBA, 0xFF9A, 0xFF7B, 0xFF7B, 0xFFBA, 0xFFBA, 0xF7BA, 0xF7B9, 0xFF99, 0xFF79, 0xFF79, 0xFF79, 0xF759, 0xF718, 0xF6B6, 0xF6B6, 0xF759, 0xF7BA, 0xEF98, 0xC631, 0x5A05, 
        0x50E4, 0xAB0D, 0xE536, 0xFE5B, 0xE67A, 0x938B, 0x7A86, 0x9BAA, 0xB48E, 0xBCB0, 0xBCB0, 0xBCAF, 0xBCAF, 0xBCAF, 0xC4B0, 0xC4D0, 0xC4F1, 0xCD53, 0xD573, 0xDD73, 0xDD73, 0xE593, 0xEDF4, 0xF696, 0xF6D7, 0xEE96, 0xEE35, 0xE5F4, 0xDD93,
  0x8B49, 0x8B69, 0x936A, 0x938B, 0x936C, 0x934C, 0x8B4B, 0x938B, 0xA3ED, 0xB44F, 0xBC71, 0xC493, 0xDC94, 0xDCB4, 0xCC92, 0xBC70, 0xB44E, 0xABEB, 0x93A9, 0x9388, 0x9B8A, 0xA3AB, 0xABEC, 0xBC2E, 0xDC52, 0xEC54, 0xF495, 0xF4D5, 0xF4D6, 0xE4B5, 0xCC31, 
        0xBBCE, 0xAB8C, 0xA34B, 0xA34B, 0xAB4B, 0xB3AD, 0xB3AD, 0xA34B, 0x8AEA, 0x7A89, 0x6208, 0x59C7, 0x51C8, 0x49A8, 0x49C9, 0x51EA, 0x5A2B, 0x524B, 0x524B, 0x524B, 0x5A6B, 0x628C, 0x72AD, 0x934D, 0xA3CD, 0xB42E, 0xC490, 0xD491, 0xDCD4, 0xED35, 
        0xF556, 0xF556, 0xFD36, 0xFD56, 0xF556, 0xF537, 0xF537, 0xF535, 0xF554, 0xF555, 0xFD55, 0xF514, 0xF514, 0xF4F4, 0xECD3, 0xECB3, 0xDC71, 0xCBED, 0xBB8C, 0xB32C, 0xAAEB, 0xA2EB, 0xA30C, 0xBB8E, 0xCBCF, 0xD411, 0xDC32, 0xE473, 0xECB3, 0xECB3, 
        0xECF3, 0xF575, 0xF5F6, 0xF637, 0xFEB8, 0xFF5B, 0xFF7C, 0xFF7B, 0xFF5B, 0xFF3A, 0xFF1A, 0xFF19, 0xFF19, 0xFEF8, 0xF6F8, 0xF6D8, 0xE697, 0xDE15, 0xD5F5, 0xDE76, 0xE6D8, 0xEEFA, 0xEEFA, 0xD678, 0xD678, 0xEF3C, 0xF79D, 0xF79D, 0xF77C, 0xF79D, 
        0xF75D, 0xDE79, 0xC595, 0xB531, 0x9CEB, 0x94E5, 0x8CE4, 0x8CE6, 0x9528, 0x9D4A, 0xADCD, 0xC64F, 0xC650, 0xB5EF, 0xADAE, 0xA54C, 0x94CA, 0x7407, 0x73E6, 0x8C48, 0x948A, 0x94AA, 0x8C69, 0x83E7, 0x7BC7, 0x7BE7, 0x73E7, 0x73C6, 0x6B86, 0x6385, 
        0x5B64, 0x52E3, 0x4A42, 0x39E3, 0x4245, 0x7C4A, 0x8CCA, 0x7C07, 0x8C4A, 0xAD50, 0xEEFA, 0xF6FC, 0xF6DC, 0xF73D, 0xFF9E, 0xFFBE, 0xFF9E, 0xFF3C, 0xFF1C, 0xF73C, 0xEF1B, 0xE6DA, 0xBDF6, 0x5AEB, 0x41C6, 0x5A07, 0x82C9, 0x938B, 0xB48E, 0xCD31, 
        0xD572, 0xDD92, 0xE5B3, 0xE5B3, 0xE5B4, 0xDDB1, 0xD5B0, 0xCD71, 0xCD52, 0xD573, 0xD5B4, 0xCD73, 0xC531, 0xBCCF, 0xBCAF, 0xC4AF, 0xC4B0, 0xAC6E, 0x9C0C, 0x9389, 0x9369, 0xA3AA, 0xC46D, 0xED52, 0xFDF4, 0xFE55, 0xFE96, 0xFEB6, 0xFEB7, 0xFEF8, 
        0xFEF9, 0xFEF8, 0xFEF8, 0xFEF8, 0xFEF8, 0xF6B8, 0xF697, 0xF656, 0xF615, 0xF614, 0xF5F4, 0xF5B4, 0xF593, 0xED73, 0xED52, 0xED52, 0xE531, 0xDCEF, 0xDCCE, 0xD4AE, 0xCCCE, 0xCCCE, 0xC4EE, 0xBCEF, 0xBCEF, 0xB4CF, 0xAC6D, 0x9BEB, 0x8348, 0x7BAA, 
        0x7BEB, 0x842D, 0x8C4E, 0x8C4E, 0x8C4E, 0x8C2D, 0x8C2D, 0x8C4D, 0x8C2E, 0x840D, 0x7BCD, 0x7BEB, 0x73EB, 0x6BAA, 0x636A, 0x5B49, 0x52E7, 0x4265, 0x3A25, 0x4225, 0x4245, 0x4245, 0x4285, 0x52A7, 0x5AE8, 0x6B49, 0x7B8A, 0x83CA, 0x940B, 0x9C4C, 
        0xA46D, 0xA44D, 0xA44C, 0xA44C, 0xA44C, 0xAC0D, 0xAC2E, 0xB44E, 0xB46D, 0xAC4D, 0xA40B, 0x9389, 0x8B68, 0x7B69, 0x7348, 0x6328, 0x5AE7, 0x52A6, 0x5285, 0x4244, 0x3A43, 0x3A43, 0x3244, 0x2182, 0x1941, 0x29A3, 0x4A86, 0x6BA9, 0x9D2C, 0x9D09, 
        0x8CA7, 0x7C05, 0x8C47, 0x9D0B, 0xCEB4, 0xF79C, 0xFFDF, 0xFFBF, 0xFF9F, 0xFFBF, 0xFFDF, 0xF77D, 0xCE17, 0x6B0B, 0x3985, 0x41E5, 0x6B07, 0x5AC5, 0x4A22, 0x3141, 0x1881, 0x1061, 0x2903, 0x8B89, 0xBD2E, 0xDE54, 0xEEF9, 0xEEFA, 0xE678, 0xBD52, 
        0xB4F0, 0xB531, 0xC572, 0xCDD3, 0xD614, 0xCDD1, 0xBD4F, 0xB4AD, 0xBD0F, 0xD5D4, 0xF77B, 0xFF9D, 0xFF9D, 0xFFBE, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF79E, 0xEF5D, 0xDED9, 0xD635, 0xD612, 0xD5D2, 0xCDB2, 0xCDB2, 0xCDB3, 0xCD91, 0xCD91, 0xCDD2, 0xC5D2, 0xC5B2, 0xCDB3, 0xDE55, 
        0xEE96, 0xEEB7, 0xEEB7, 0xF6B7, 0xEED6, 0xEEF8, 0xEF39, 0xF73A, 0xF73A, 0xF73A, 0xF6F8, 0xEE96, 0xEEB6, 0xF718, 0xF759, 0xF739, 0xFF17, 0xFF16, 0xFF37, 0xF758, 0xEF17, 0xDE74, 0xCDD2, 0xEF16, 0xFF98, 0xF777, 0xF757, 0xF777, 0xF758, 0xEE93, 
        0xE630, 0xE630, 0xE692, 0xEEF4, 0xF778, 0xFFDB, 0xFFDB, 0xFFBB, 0xFF9A, 0xFF9A, 0xFF9A, 0xFFBB, 0xFFBB, 0xFFDB, 0xFFBA, 0xFFB9, 0xFFB9, 0xFFB9, 0xFFBA, 0xFF9A, 0xFF7A, 0xFF5A, 0xF6F9, 0xF6D6, 0xF716, 0xF77A, 0xE75A, 0xD6F6, 0xA52E, 0x7184, 
        0x7883, 0xBA09, 0xEC11, 0xFD76, 0xEE79, 0xBCAF, 0xABAB, 0xA3EC, 0xAC4E, 0xB4AF, 0xBD10, 0xC4CF, 0xCCAF, 0xCCD0, 0xCCF1, 0xCD12, 0xDD73, 0xEE16, 0xEE56, 0xEE76, 0xE696, 0xEE96, 0xF6D7, 0xF738, 0xF738, 0xF6D6, 0xF695, 0xEE55, 0xEE35,
  0x832C, 0x8B4C, 0x936D, 0x938D, 0x9B8D, 0x936D, 0x8B4B, 0x8B4B, 0x938B, 0xA3CD, 0xABEE, 0xBC31, 0xDC94, 0xDCB4, 0xCC92, 0xBC70, 0xB44F, 0xAC0D, 0x9BE9, 0x93C8, 0x9BC9, 0x9BEB, 0xA3EC, 0xB3EE, 0xDBF1, 0xEC12, 0xF474, 0xFCB5, 0xF4D5, 0xF4D5, 0xDC74, 
        0xD433, 0xC3F0, 0xB3AE, 0xAB8D, 0xAB8C, 0xB3EF, 0xB3EF, 0xABAD, 0x9B4B, 0x8AE9, 0x7268, 0x59EA, 0x51AA, 0x4989, 0x4989, 0x49AA, 0x59EC, 0x626E, 0x628E, 0x62AE, 0x5AAE, 0x62AE, 0x6ACE, 0x8B4E, 0x9BAE, 0xAC2F, 0xC48F, 0xCCB0, 0xDCD2, 0xF555, 
        0xFD77, 0xFD56, 0xFD56, 0xFD56, 0xFD57, 0xFD36, 0xFD36, 0xF555, 0xFD55, 0xFD55, 0xFD36, 0xFCF4, 0xF4F4, 0xF4F4, 0xF4D4, 0xF4B3, 0xEC72, 0xD3EF, 0xC38D, 0xB34D, 0xA30C, 0x9B0B, 0xA30B, 0xB38E, 0xBBCF, 0xCBF0, 0xD431, 0xE471, 0xECB2, 0xE492, 
        0xEC93, 0xF514, 0xF5B6, 0xFE36, 0xFED8, 0xF75A, 0xFF7B, 0xFF7B, 0xFF7B, 0xFF5B, 0xFF3C, 0xFF1A, 0xFF19, 0xFF39, 0xFF38, 0xF6F7, 0xF696, 0xEEB7, 0xEEB8, 0xDE57, 0xCDF6, 0xC5B6, 0xC595, 0xCE14, 0xD676, 0xE71A, 0xF77C, 0xF79D, 0xF7BE, 0xF7BD, 
        0xEF5B, 0xDE37, 0xC572, 0xB54F, 0xA52A, 0x84A4, 0x7C84, 0x8CE7, 0x954A, 0x9DAC, 0xADEE, 0xADEE, 0xADCE, 0xAD8E, 0xA54D, 0x9D0C, 0x9489, 0x9468, 0x9468, 0x9469, 0x8C4A, 0x842A, 0x7C09, 0x7BE6, 0x73C5, 0x6B85, 0x6345, 0x5B25, 0x5B24, 0x5302, 
        0x4AC2, 0x4A42, 0x5A85, 0x6B49, 0x94AD, 0x9D6D, 0x84CA, 0x5AE5, 0x5265, 0x7308, 0xC531, 0xEF1A, 0xFF9D, 0xFF5D, 0xFF1C, 0xF6FB, 0xFF1C, 0xFF9D, 0xF75C, 0xCDB6, 0x9BEF, 0x72EA, 0x4226, 0x4A44, 0x5AA6, 0x72E9, 0x82EB, 0x82CA, 0x8B4C, 0xD635, 
        0xF759, 0xF6D6, 0xF634, 0xF5D2, 0xEDB1, 0xEE95, 0xEED6, 0xEE75, 0xE614, 0xE5F4, 0xE634, 0xEE75, 0xE675, 0xE634, 0xE613, 0xE613, 0xE614, 0xDDD3, 0xDD92, 0xD550, 0xD52E, 0xD50E, 0xDD0F, 0xE530, 0xED51, 0xF5F3, 0xFE75, 0xFEB6, 0xFED6, 0xFEF8, 
        0xFEF8, 0xFEF8, 0xFEF8, 0xFEF8, 0xFEF8, 0xFEB8, 0xF697, 0xF676, 0xF635, 0xF615, 0xF5D5, 0xF5B3, 0xF592, 0xF572, 0xED52, 0xED51, 0xE530, 0xDCAF, 0xD48E, 0xD4AE, 0xCCCF, 0xC4CF, 0xC4EF, 0xC510, 0xB4F0, 0x942C, 0x7B69, 0x6AE7, 0x7308, 0xBD93, 
        0xDEB7, 0xCE76, 0xCE56, 0xCE36, 0xC616, 0xB5B3, 0xAD52, 0xAD32, 0xAD53, 0xB575, 0xB595, 0x9CF1, 0x94AF, 0x8C8F, 0x8CAF, 0x8CAF, 0x8C8E, 0x7C0C, 0x73CB, 0x6B4B, 0x630A, 0x5AC9, 0x4A87, 0x39E4, 0x41E3, 0x4A45, 0x5AA7, 0x6308, 0x738A, 0x93EC, 
        0x9C2C, 0x9C2C, 0x9C4D, 0xA44D, 0xB44F, 0xAC10, 0xB430, 0xC4B0, 0xBC8E, 0xA3CB, 0x8AE7, 0xAC0A, 0xB48C, 0x9BEB, 0x7328, 0x5AA6, 0x4203, 0x4A23, 0x4A23, 0x4223, 0x3A23, 0x3222, 0x2A22, 0x29C2, 0x29A2, 0x31A4, 0x52A8, 0x7C0B, 0xB5CF, 0xA54B, 
        0x94C9, 0x94C9, 0x8C67, 0x7C06, 0x7BE8, 0xCE57, 0xF79E, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xDEBA, 0x83AD, 0x41A6, 0x3144, 0x4205, 0x73A7, 0x7BC7, 0x5A85, 0x49E4, 0x5227, 0x838D, 0xCDF4, 0xE6B6, 0xE655, 0xDE14, 0xDDF5, 0xD5D5, 0xC553, 
        0xC552, 0xD5B3, 0xDE14, 0xE635, 0xDE14, 0xB50E, 0xA4CC, 0xBD4F, 0xD5F4, 0xE6B8, 0xF7BD, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF7BD, 0xE71A, 0xDEB8, 0xD615, 0xD5B2, 0xCD92, 0xCD71, 0xC571, 0xCD91, 0xD5B2, 0xD5D2, 0xD5D2, 0xCDF3, 0xE676, 
        0xF6D7, 0xF718, 0xF717, 0xF6F6, 0xEEB6, 0xEEB8, 0xEED9, 0xF71A, 0xF73A, 0xFF3A, 0xF718, 0xE654, 0xDE33, 0xEED6, 0xF759, 0xF79A, 0xFF9B, 0xFF39, 0xFF39, 0xFF9A, 0xFFBA, 0xF7B9, 0xF778, 0xF799, 0xF799, 0xFF78, 0xFF78, 0xF778, 0xF778, 0xF799, 
        0xF798, 0xF756, 0xF736, 0xF757, 0xFF9A, 0xFFDC, 0xFFFD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFFC, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFDB, 0xFFBA, 0xFF9A, 0xFF59, 0xFF7A, 0xFFBC, 0xF7BC, 0xEF9A, 0xCE12, 0x69E5, 
        0x60A3, 0xB20B, 0xEB91, 0xFC94, 0xFDD7, 0xF6D9, 0xEEB8, 0xD593, 0xC4AF, 0xC4AF, 0xC511, 0xDD52, 0xE573, 0xE594, 0xE594, 0xE5B5, 0xEDD5, 0xF636, 0xF656, 0xEE35, 0xE634, 0xE634, 0xE655, 0xE655, 0xE675, 0xF694, 0xF6B5, 0xFEB5, 0xFEB6,
  0x834E, 0x836E, 0x8B8F, 0x93AF, 0x93AE, 0x8B8C, 0x836A, 0x834A, 0x8B4B, 0x936D, 0x9B8D, 0xB3EF, 0xCC52, 0xCC53, 0xBC30, 0xAC0E, 0xABED, 0xA3AC, 0x9389, 0x8B88, 0x8B89, 0x8BA9, 0x93AA, 0xAB8C, 0xD391, 0xE3B3, 0xF434, 0xF495, 0xFCD6, 0xF4F6, 0xDC93, 
        0xD452, 0xD452, 0xD431, 0xCC10, 0xC40F, 0xD471, 0xDC71, 0xC410, 0xB36E, 0xA30D, 0x826C, 0x5A0B, 0x520A, 0x520B, 0x522B, 0x522B, 0x524B, 0x6AED, 0x730D, 0x6AED, 0x6ACC, 0x6ACB, 0x830C, 0xABF0, 0xBC71, 0xDCB2, 0xECF3, 0xF534, 0xF556, 0xFD96, 
        0xFDB6, 0xFD97, 0xFD97, 0xFD77, 0xFD56, 0xFD56, 0xF556, 0xFD56, 0xFD76, 0xFD76, 0xFD76, 0xFD55, 0xFD35, 0xF515, 0xF4D4, 0xF4B4, 0xDC32, 0xB36D, 0xA30B, 0x9ACA, 0x9AAA, 0x9AAA, 0x9AEB, 0xABAE, 0xBC10, 0xCC31, 0xD472, 0xDC72, 0xDC71, 0xDC50, 
        0xDC70, 0xE4D1, 0xED53, 0xF5D5, 0xF677, 0xFED8, 0xFEF8, 0xFF3A, 0xFF7C, 0xFFBD, 0xFFDD, 0xFFBB, 0xFF9A, 0xFFBA, 0xFFBB, 0xFFBB, 0xF77B, 0xDE56, 0xCDB3, 0xAD12, 0x9C90, 0x9470, 0x9490, 0xBD31, 0xCD92, 0xD5F4, 0xE657, 0xEEB9, 0xF75C, 0xF75B, 
        0xF739, 0xE6D7, 0xDE57, 0xD5F6, 0xBD53, 0x8CA9, 0x7C85, 0x8CA7, 0x94C9, 0x94EA, 0x9D4B, 0xADCE, 0xADEE, 0x9D8D, 0x952B, 0x94EA, 0x8C89, 0x9448, 0x8C27, 0x83E7, 0x7BA6, 0x7386, 0x6B65, 0x6B84, 0x6364, 0x6343, 0x6324, 0x5B04, 0x52C4, 0x4A83, 
        0x4AA3, 0x6B66, 0x8409, 0x8429, 0x73E7, 0x42C4, 0x3AA3, 0x5B83, 0x5B83, 0x52E3, 0x52A6, 0xAD71, 0xDEB7, 0xE6D9, 0xEEFB, 0xF6DB, 0xF69A, 0xF71C, 0xCE38, 0x6B4C, 0x31C4, 0x31C2, 0x4AC3, 0x6B64, 0x73A5, 0x7BE7, 0x6B67, 0x52A5, 0x4A66, 0xBDD4, 
        0xF739, 0xF6B5, 0xEE31, 0xEE10, 0xE5CF, 0xCD30, 0xC4F1, 0xCD51, 0xCD71, 0xCD71, 0xC571, 0xBD91, 0xBD91, 0xC571, 0xC571, 0xBD71, 0xBD72, 0xC5B3, 0xC5B3, 0xC5D3, 0xCDF4, 0xD614, 0xDE15, 0xDE14, 0xDDF4, 0xE614, 0xF634, 0xF654, 0xFE96, 0xFED8, 
        0xFED8, 0xFED8, 0xFEF8, 0xFEF8, 0xFEF8, 0xFED7, 0xFE97, 0xFE36, 0xFDF4, 0xFDF4, 0xF5D3, 0xED93, 0xED72, 0xDD51, 0xDD10, 0xD4EF, 0xC48E, 0xBC4C, 0xB44C, 0xB46D, 0xBC6E, 0xB48E, 0xB48F, 0xB4D0, 0xA46E, 0x8349, 0x7B49, 0x8C0C, 0xBDB3, 0xD5F5, 
        0xBD32, 0x7B6A, 0x5246, 0x4A06, 0x4A27, 0x39A6, 0x3165, 0x2945, 0x2924, 0x2924, 0x2945, 0x2924, 0x2944, 0x2964, 0x2964, 0x2964, 0x3164, 0x31A5, 0x39C5, 0x39C5, 0x41A5, 0x41A5, 0x41A5, 0x4A05, 0x4A25, 0x5A67, 0x62A8, 0x6AE9, 0x7B4A, 0x938B, 
        0x9BCC, 0xA40D, 0xA42D, 0xA42D, 0xA44D, 0xBCD0, 0xC510, 0xB4CE, 0xA42C, 0x93CA, 0x938A, 0xCCAE, 0xD510, 0xAC4C, 0x7329, 0x5246, 0x3163, 0x41E3, 0x4A23, 0x41C2, 0x39C1, 0x39E2, 0x3A23, 0x2981, 0x2120, 0x1901, 0x39E4, 0x5B07, 0x9CCB, 0x9CEB, 
        0x94CA, 0x94EA, 0x8CA9, 0x8428, 0x7BC9, 0xA4B0, 0xBD75, 0xDE9A, 0xEF7D, 0xF7BE, 0xFFDF, 0xFFFF, 0xEF7D, 0xC617, 0xAD34, 0xAD33, 0xAD10, 0x7BA9, 0x62E5, 0x52A4, 0x6B68, 0x8C4D, 0xC5D5, 0xDDF6, 0xDDF5, 0xE675, 0xEE95, 0xE674, 0xD5F3, 0xC571, 
        0xC571, 0xCDB3, 0xCDD3, 0xCDB3, 0xBD71, 0xC570, 0xD5D1, 0xE6D7, 0xEF5B, 0xF79D, 0xF7BE, 0xF7BE, 0xF7BE, 0xF7BE, 0xF7BE, 0xF7BE, 0xF7BD, 0xF7BD, 0xF7BD, 0xF7BE, 0xF7DE, 0xF7DE, 0xFFDE, 0xF7BE, 0xF7BE, 0xF7BE, 0xF7BE, 0xF7BE, 0xF7BE, 0xEF7D, 
        0xEF7C, 0xF7BD, 0xF7BD, 0xF7BD, 0xEF7D, 0xEF7D, 0xEF9D, 0xF7DE, 0xF7DF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xE71C, 0xD6BA, 0xD677, 0xD654, 0xD613, 0xD5F2, 0xE634, 0xE655, 0xDE34, 0xDE33, 0xDE54, 0xE6B6, 0xF718, 
        0xFF59, 0xFF59, 0xF759, 0xF738, 0xEF17, 0xEEB7, 0xEE97, 0xEE97, 0xF6F9, 0xF73A, 0xEF5A, 0xCDF2, 0xC54F, 0xCD90, 0xDE12, 0xE694, 0xF779, 0xFFBD, 0xFFDD, 0xFFBB, 0xFFBA, 0xFFDA, 0xFFD9, 0xF7B8, 0xF799, 0xF7BA, 0xFFBC, 0xFFBC, 0xFFDB, 0xFFDA, 
        0xFFDA, 0xFFDB, 0xFFDC, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFBB, 0xFFBB, 0xFFDC, 0xFFFD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFBB, 0xFF9B, 0xFF9B, 0xFFBC, 0xFFBD, 0xEF3C, 0xE69A, 0xC492, 0x9986, 
        0x9925, 0xCB4D, 0xED12, 0xF5B4, 0xFE35, 0xFF37, 0xF758, 0xDE75, 0xCD92, 0xC4F1, 0xC48F, 0xC4F0, 0xCD51, 0xDDB3, 0xEDF4, 0xEE14, 0xEE14, 0xF656, 0xF656, 0xEE34, 0xE633, 0xE633, 0xEE13, 0xE5F4, 0xE5D4, 0xE5F4, 0xEE55, 0xF696, 0xFEF7,
  0x8B2E, 0x8B4E, 0x8B6E, 0x8B6E, 0x8B6D, 0x836C, 0x836A, 0x8B6A, 0x936B, 0x936C, 0x9B8C, 0xA3AE, 0xBBF1, 0xC3F2, 0xB3D0, 0xABCE, 0xABCD, 0xA3CC, 0x9369, 0x8B68, 0x8388, 0x83A9, 0x8BA9, 0xA38B, 0xCB6F, 0xDB91, 0xEC13, 0xF475, 0xF495, 0xEC95, 0xE494, 
        0xE494, 0xDC93, 0xDC72, 0xDC52, 0xD452, 0xDC91, 0xDC70, 0xC3CE, 0xAB2C, 0x9ACA, 0x928B, 0x82CF, 0x7B10, 0x6AEF, 0x62CE, 0x5AAC, 0x528A, 0x736A, 0x83AB, 0x838A, 0x836A, 0x8B6B, 0xA3CD, 0xCC92, 0xDCF3, 0xE513, 0xED34, 0xF535, 0xF556, 0xF535, 
        0xF535, 0xED35, 0xF535, 0xF535, 0xF535, 0xED55, 0xED75, 0xED76, 0xF556, 0xF556, 0xFD56, 0xF556, 0xF535, 0xF515, 0xECD4, 0xEC94, 0xDC32, 0xC38E, 0xB32C, 0xAB0B, 0x9AEB, 0x9AEA, 0x9B0B, 0xB3CF, 0xC410, 0xC430, 0xC44F, 0xC44F, 0xC42E, 0xC38C, 
        0xC38C, 0xCC4F, 0xD512, 0xE5B3, 0xEE56, 0xF6D8, 0xFF19, 0xFF7B, 0xFFBD, 0xFFDD, 0xF7DC, 0xFF9A, 0xFF99, 0xF77A, 0xF77B, 0xEF7B, 0xDEB9, 0xAD10, 0x9C6E, 0xACF1, 0xBDB4, 0xCE36, 0xDED9, 0xDE78, 0xDE57, 0xE697, 0xEED8, 0xF71A, 0xF73B, 0xEEFA, 
        0xEEFA, 0xEF19, 0xD695, 0xBDD1, 0x9CCB, 0x9D4B, 0x9D8C, 0x9D4B, 0x94EA, 0x94CA, 0x94EA, 0xBDCF, 0xCE30, 0xC5EE, 0xAD6C, 0x9CEA, 0x8448, 0x8427, 0x8426, 0x7BE5, 0x7BC5, 0x73A5, 0x73A6, 0x7406, 0x7426, 0x7406, 0x6385, 0x5B24, 0x52C3, 0x7366, 
        0x7BC7, 0x6BA7, 0x5B46, 0x52E5, 0x4A82, 0x4AC3, 0x4B23, 0x5382, 0x5BA2, 0x5362, 0x4AE2, 0x4244, 0x4A45, 0x6B07, 0x9C6C, 0xBD51, 0xCDF6, 0xA4D2, 0x7B8D, 0x4A47, 0x3A24, 0x4AA5, 0x7BE7, 0x7BE7, 0x73C7, 0x73A6, 0x6B65, 0x6324, 0x6AE5, 0x9BCA, 
        0xC4CF, 0xE633, 0xEEB4, 0xEE73, 0xDD6F, 0xBCCE, 0xBCD0, 0xD572, 0xDDD3, 0xDDF2, 0xBD90, 0x9C8B, 0x942A, 0xA48C, 0xA4CE, 0xA4CE, 0xA4AD, 0x9C8E, 0x94AE, 0x9CAF, 0x9CCF, 0x9CCF, 0xA4F0, 0xC593, 0xD5F4, 0xE5F4, 0xEDF4, 0xF614, 0xFE55, 0xF6D7, 
        0xF6F8, 0xFED8, 0xFED8, 0xFED8, 0xFED8, 0xFE97, 0xF656, 0xF635, 0xF5F4, 0xF5F4, 0xF5D3, 0xED92, 0xE572, 0xDD30, 0xCCCE, 0xC48D, 0xBC4C, 0xB40B, 0xB40B, 0xB42C, 0xB46D, 0xB46D, 0xAC6E, 0x9C2D, 0x93EC, 0x93CC, 0xA3ED, 0xAC6E, 0xA46F, 0x5A68, 
        0x3164, 0x28E3, 0x20E3, 0x2904, 0x3186, 0x4A08, 0x41E8, 0x3124, 0x2081, 0x1861, 0x1862, 0x28E4, 0x3104, 0x20E3, 0x20A2, 0x20A2, 0x28C3, 0x2904, 0x3124, 0x3924, 0x3924, 0x3924, 0x3924, 0x3964, 0x41A4, 0x5A26, 0x6A68, 0x6AA9, 0x7B0A, 0x93AC, 
        0x9BCC, 0x9B8C, 0x936C, 0x8B6B, 0x93EC, 0xC50F, 0xC52F, 0xA42C, 0x9BEB, 0xA42C, 0xBCCF, 0xC48E, 0xBC2D, 0xABEC, 0x9BCA, 0x938A, 0x8BAA, 0xA44C, 0x940B, 0x5266, 0x3182, 0x2981, 0x31E2, 0x29C1, 0x2160, 0x1901, 0x2962, 0x4A24, 0x8407, 0xAD6D, 
        0xAD8D, 0x9D0C, 0x9D2C, 0xAD6E, 0xAD70, 0x62E9, 0x4A47, 0x736D, 0xACD3, 0xC5B6, 0xDEDA, 0xDEFB, 0xDEDB, 0xD6DB, 0xD6DB, 0xDEDB, 0xC637, 0x73AA, 0x5AA5, 0x6B06, 0x7347, 0x6B27, 0x7369, 0xC5D4, 0xEF19, 0xF758, 0xEEF7, 0xDE75, 0xCD92, 0xC592, 
        0xCDD2, 0xD5F4, 0xD5F4, 0xCDB3, 0xBD71, 0xD612, 0xDE73, 0xDE96, 0xDEB8, 0xDEB9, 0xDEB8, 0xD698, 0xD677, 0xCE16, 0xC5F6, 0xC5F6, 0xC5F6, 0xC5F6, 0xCE16, 0xD657, 0xD698, 0xDE98, 0xDE99, 0xD679, 0xD659, 0xCE17, 0xCE16, 0xCE37, 0xCE36, 0xAD31, 
        0xAD11, 0xBDD4, 0xBDF6, 0xB596, 0x9CD3, 0x9CF3, 0xAD75, 0xCE99, 0xDF1B, 0xE73C, 0xE73C, 0xEF7D, 0xF79E, 0xF7DF, 0xFFFF, 0xFFFF, 0xF7BF, 0xE71D, 0xE6DC, 0xE6DB, 0xE6D9, 0xE6D8, 0xEE96, 0xEE96, 0xEE96, 0xEE75, 0xE675, 0xE655, 0xEE76, 0xF75A, 
        0xFF9B, 0xF79A, 0xF77A, 0xF739, 0xEED8, 0xE697, 0xE697, 0xEED8, 0xF719, 0xF75A, 0xEF17, 0xB5AE, 0xAD2C, 0xBD8E, 0xCDF0, 0xCE12, 0xD675, 0xEF5A, 0xF7BD, 0xFFDC, 0xF7DB, 0xF7BA, 0xFF9A, 0xF79A, 0xF79A, 0xF779, 0xFF79, 0xFF9B, 0xF79B, 0xF738, 
        0xF716, 0xF737, 0xF779, 0xFF9A, 0xFFBC, 0xFFBD, 0xFFBD, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFFE, 0xFFFE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFBC, 0xFFBD, 0xFFBD, 0xF79D, 0xDE78, 0xC512, 0x9A88, 0xA145, 
        0xB1E8, 0xDC4F, 0xF5F4, 0xF654, 0xF653, 0xF6D4, 0xF6F6, 0xEED7, 0xDE36, 0xCD93, 0xB4AF, 0xC4F0, 0xCD31, 0xD591, 0xE613, 0xEE54, 0xF6B6, 0xF655, 0xEE34, 0xEE54, 0xF675, 0xF675, 0xF676, 0xF697, 0xF677, 0xEE36, 0xE635, 0xEE75, 0xFEF6,
  0x832B, 0x834B, 0x8B6C, 0x8B8D, 0x8B8C, 0x8B8B, 0x8B6A, 0x8B6A, 0x936A, 0x936B, 0x936C, 0xA36D, 0xBB90, 0xBBB1, 0xB3F0, 0xAC30, 0xAC0F, 0xB3EF, 0xB3CD, 0xABCC, 0xA3AB, 0x9BAB, 0x9BAC, 0xA38D, 0xBB4E, 0xCB70, 0xDBD2, 0xEC33, 0xEC54, 0xEC74, 0xF4B4, 
        0xF4B5, 0xF4B4, 0xEC94, 0xEC73, 0xE452, 0xE472, 0xE452, 0xDC10, 0xCBAF, 0xBB4D, 0x9B0C, 0x8AED, 0x8B0E, 0x8B2F, 0x7B2F, 0x6AED, 0x62CA, 0x83AB, 0x93EB, 0x8BAC, 0x8B6D, 0x936D, 0xA3AE, 0xCC51, 0xDCB2, 0xE4F3, 0xE534, 0xED54, 0xF554, 0xF573, 
        0xF593, 0xED73, 0xED72, 0xED72, 0xED52, 0xF534, 0xF535, 0xF556, 0xF556, 0xF556, 0xFD56, 0xFD56, 0xFD56, 0xF535, 0xF4F4, 0xF4D4, 0xEC93, 0xDC11, 0xCBEF, 0xBBAE, 0xAB4D, 0xA32C, 0xA30C, 0xB38E, 0xBBCF, 0xBBEF, 0xBC0F, 0xC42F, 0xBC2E, 0xB3CD, 
        0xB3CD, 0xBC2E, 0xCCB0, 0xD532, 0xEE15, 0xF6B7, 0xFF19, 0xFF3B, 0xFF5C, 0xFF5B, 0xF77B, 0xFFBC, 0xFFDD, 0xEF5B, 0xDE78, 0xC593, 0xA4AE, 0xBDB2, 0xCE55, 0xCE35, 0xD655, 0xD695, 0xE6F7, 0xEF5B, 0xEF5C, 0xF6FB, 0xF69A, 0xEE79, 0xEE7A, 0xF73B, 
        0xEF5A, 0xD696, 0xBDB3, 0xB532, 0xAC8F, 0x8CA9, 0x84A7, 0x8C6A, 0x948D, 0xA4EE, 0xB5AF, 0xCE4E, 0xD64E, 0xBD8C, 0xA4EA, 0x9487, 0x8405, 0x8429, 0x844B, 0x8449, 0x8448, 0x7C06, 0x73E5, 0x7C26, 0x7426, 0x6C06, 0x6BE6, 0x6BE6, 0x73E5, 0x7365, 
        0x62E4, 0x4A63, 0x4223, 0x4242, 0x52A2, 0x5303, 0x52E3, 0x52A2, 0x5262, 0x5283, 0x5AC5, 0x6B45, 0x6B23, 0x5262, 0x49E2, 0x49E4, 0x49E7, 0x41A5, 0x4A05, 0x6B47, 0x8428, 0x8428, 0x7BC6, 0x6BC5, 0x6BC5, 0x7BC7, 0x942A, 0xA48C, 0x9C4C, 0x49C5, 
        0x41C6, 0x9C91, 0xD637, 0xDE57, 0xD572, 0xCD0E, 0xC50E, 0xBCCF, 0xAC6D, 0x93CB, 0x6B06, 0x7307, 0x7348, 0x7B89, 0x83CA, 0x83EB, 0x8C2C, 0x8C0C, 0x83EC, 0x8BEC, 0x8BEC, 0x83CB, 0x83CC, 0x9C4E, 0xACAF, 0xC530, 0xD551, 0xE572, 0xF5B3, 0xFEB6, 
        0xFF18, 0xFEF8, 0xFEF8, 0xFEF8, 0xFEF8, 0xFEB7, 0xFE77, 0xFE36, 0xFE15, 0xFDD4, 0xF593, 0xE572, 0xDD51, 0xD4EF, 0xC48E, 0xB46D, 0xAC2C, 0xABEB, 0xB3EB, 0xB3EC, 0xB42D, 0xB44D, 0xAC4D, 0x938B, 0x93AC, 0xAC4F, 0xA40E, 0x8B4B, 0x5206, 0x49C4, 
        0x51E4, 0x6268, 0x838E, 0xA4B2, 0xBDB6, 0x8BD0, 0x626A, 0x3125, 0x20A3, 0x20C3, 0x2924, 0x3165, 0x3145, 0x3104, 0x4145, 0x51E7, 0x6AAB, 0x41A6, 0x3124, 0x3924, 0x3904, 0x30E3, 0x30C3, 0x4164, 0x51E5, 0x6247, 0x6A88, 0x72A8, 0x7AC9, 0x8B6B, 
        0x93AD, 0x9BCD, 0xA40E, 0xAC4E, 0xAC6E, 0xA3EC, 0x9B8B, 0x9B8A, 0xABEC, 0xBC6E, 0xCCF0, 0xBC4D, 0xB3EC, 0xB40C, 0xB44C, 0xAC4C, 0xAC4C, 0xA40B, 0x9BCA, 0x8348, 0x6AA5, 0x5243, 0x3A02, 0x4AA3, 0x4AA3, 0x3A02, 0x2941, 0x20E1, 0x39C4, 0xAD6F, 
        0xD6B3, 0xB5F0, 0xA52D, 0x9CEC, 0x9D0C, 0x9D2C, 0x8C8B, 0x6B28, 0x62A8, 0x6B0A, 0x838D, 0x5A89, 0x4A28, 0x5AAB, 0x632D, 0x634D, 0x5AEC, 0x41E5, 0x4A24, 0x7388, 0x83E9, 0x7368, 0x5A87, 0x83EB, 0xAD0F, 0xD634, 0xE6B6, 0xE6B6, 0xDE53, 0xD5D2, 
        0xD5B3, 0xD5F3, 0xDDF4, 0xD5D3, 0xCD92, 0xB54F, 0xB52F, 0xBD51, 0xCD72, 0xCD93, 0xCDB3, 0xCD73, 0xC531, 0xAC8F, 0x9C6E, 0xA46F, 0xA4D1, 0xA4F1, 0xA4F1, 0xACF1, 0xB4F1, 0xB4F2, 0xB4F2, 0xACD1, 0xA4B1, 0xA4B0, 0xA490, 0xA46F, 0x9C4D, 0x942D, 
        0x83AB, 0x52A7, 0x31A5, 0x2944, 0x3165, 0x5267, 0x62E9, 0x6B6B, 0x736C, 0x736C, 0x7BAD, 0xA4D5, 0xC5B9, 0xDEBB, 0xE75C, 0xE75C, 0xE73C, 0xEF5C, 0xEF5D, 0xF77D, 0xF79D, 0xF7BD, 0xFFBC, 0xFFBC, 0xFF9B, 0xF77A, 0xF739, 0xF719, 0xF6F9, 0xFF1A, 
        0xFF5B, 0xFF9B, 0xFF9A, 0xF75A, 0xEED8, 0xE697, 0xEEB8, 0xF739, 0xF738, 0xEED6, 0xD612, 0xB58E, 0xB58D, 0xC5CF, 0xCDCF, 0xC58E, 0xB54E, 0xCDD1, 0xDE54, 0xEF18, 0xF77B, 0xFF7B, 0xFF19, 0xF6B7, 0xF696, 0xF717, 0xFF59, 0xFF9A, 0xF77B, 0xEEB7, 
        0xEE55, 0xEE75, 0xEEB5, 0xEED5, 0xEED6, 0xE697, 0xE6B8, 0xF71A, 0xFF7B, 0xFF9C, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFDE, 0xFFDC, 0xFFDC, 0xFFFD, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFFF, 0xFFFF, 0xF7BD, 0xDE98, 0xC551, 0x9AE7, 0x99A6, 
        0xB249, 0xDCD0, 0xF674, 0xFEB5, 0xF694, 0xEE94, 0xEE95, 0xEEB6, 0xDE35, 0xCD93, 0xB48F, 0xC4F0, 0xD552, 0xE614, 0xF696, 0xF6F7, 0xFF37, 0xF695, 0xF655, 0xF695, 0xFED7, 0xFED8, 0xFEB8, 0xFEB8, 0xF6B7, 0xF696, 0xF696, 0xF696, 0xF697,
  0x7B2B, 0x832B, 0x8B6B, 0x8B8C, 0x938C, 0x8BAC, 0x8BCB, 0x8BCA, 0x93AA, 0x938A, 0x938A, 0x9B8B, 0xB36E, 0xBB8F, 0xB410, 0xB431, 0xB431, 0xBC32, 0xBC30, 0xC42F, 0xC40F, 0xC3EF, 0xBBCE, 0xB38E, 0xB32E, 0xB32F, 0xCB71, 0xDBB2, 0xE3F2, 0xEC33, 0xF494, 
        0xF4B4, 0xF4B4, 0xF4B4, 0xEC94, 0xEC73, 0xEC32, 0xEC11, 0xDBD0, 0xD3AF, 0xCB8F, 0xB36E, 0xA3AF, 0xA3D1, 0xABF3, 0x9BD2, 0x8B90, 0x734C, 0x7B4A, 0x8B6A, 0x9BCD, 0xA3EF, 0xAC10, 0xBC51, 0xE4D2, 0xF4F3, 0xECF4, 0xED15, 0xED15, 0xED15, 0xED34, 
        0xED13, 0xE4F1, 0xDCD0, 0xDCCF, 0xDCEF, 0xE551, 0xED72, 0xED33, 0xF514, 0xF514, 0xF515, 0xFD15, 0xFCF5, 0xFD16, 0xFD15, 0xF4F5, 0xF4B4, 0xE472, 0xD431, 0xC3CF, 0xBB8E, 0xB36D, 0xAB4D, 0xABCD, 0xB3EE, 0xABCD, 0xABCD, 0xA3CD, 0xA3AC, 0x9B8B, 
        0x936A, 0x9BAA, 0xA40C, 0xAC8E, 0xC573, 0xEEB7, 0xFF19, 0xF73B, 0xF77D, 0xFF9D, 0xFFBD, 0xF79B, 0xE6F7, 0xCDB2, 0xBD31, 0xBD73, 0xCE16, 0xDDD4, 0xDDD3, 0xD654, 0xD675, 0xD655, 0xDE36, 0xE6DA, 0xE71C, 0xEEDB, 0xEEDB, 0xEEDB, 0xEEFB, 0xF75B, 
        0xEEF8, 0xBD92, 0x9CAE, 0x948C, 0x94AD, 0xA50E, 0xAD2E, 0xA52D, 0xAD4D, 0xB58E, 0xC610, 0xBDCE, 0xB58D, 0xB56D, 0xAD2C, 0xA4CB, 0x9469, 0x8C26, 0x8C06, 0x8407, 0x8407, 0x7BE6, 0x73C5, 0x73A5, 0x73A5, 0x73A5, 0x73E6, 0x8447, 0x94A9, 0x9448, 
        0x9407, 0x8C28, 0x8C48, 0x8C47, 0x83E5, 0x62A4, 0x5244, 0x5264, 0x5265, 0x5265, 0x5225, 0x4205, 0x4205, 0x4A44, 0x5224, 0x5203, 0x5204, 0x7348, 0x840A, 0x8C49, 0x8C48, 0x8407, 0x7BA5, 0x6384, 0x6BC5, 0x8C08, 0x93E8, 0x8B47, 0x5A04, 0x28E2, 
        0x20E2, 0x5206, 0x93AD, 0xB512, 0xD636, 0xBD4F, 0xA429, 0x72E6, 0x5A24, 0x5204, 0x5A87, 0x7BEB, 0x8C4D, 0x8C2D, 0x8C4D, 0x948E, 0x9CCF, 0x946E, 0x942D, 0x946E, 0x9C8F, 0x9C8F, 0x944E, 0x7B6A, 0x7329, 0x8369, 0x9BEB, 0xAC6D, 0xC531, 0xE594, 
        0xF5F5, 0xFE97, 0xFEF8, 0xFF18, 0xFED8, 0xFE98, 0xFE77, 0xFE36, 0xFDF4, 0xF5B3, 0xED52, 0xDD11, 0xCCF0, 0xC48E, 0xB42D, 0xABEC, 0xA3AB, 0xA3AB, 0xA3AB, 0xA3AB, 0xA3AB, 0xA3AB, 0x9BAC, 0x932B, 0x934C, 0xA40E, 0xAC4E, 0x9C0C, 0x72C7, 0x4943, 
        0x4102, 0x6227, 0x93CE, 0xB513, 0xCE18, 0xA4D4, 0x83D0, 0x6B0D, 0x5249, 0x3986, 0x39A6, 0xA514, 0xC5D7, 0x93F1, 0x72CC, 0x6AAC, 0x72CC, 0x4145, 0x30C3, 0x3904, 0x4124, 0x3904, 0x38E3, 0x51A6, 0x5A28, 0x6A89, 0x72CA, 0x7AEA, 0x8B0A, 0x938C, 
        0xA3CD, 0xB42E, 0xB48F, 0xB48F, 0xAC2E, 0x930A, 0x930A, 0xB42D, 0xC4EF, 0xC4EF, 0xBC6E, 0xB44C, 0xB44C, 0xBC6C, 0xBC4D, 0xBC4C, 0xB42B, 0xA3CA, 0x9B89, 0x8B28, 0x72A5, 0x5A64, 0x5265, 0x7C0A, 0x7C4B, 0x52E5, 0x29A1, 0x18E0, 0x2101, 0x6326, 
        0x8C69, 0x9CEC, 0xAD2E, 0xA52E, 0xA52D, 0xAD6D, 0xA52B, 0x7BE6, 0x6324, 0x6304, 0x6307, 0x41E5, 0x2943, 0x20E3, 0x20E3, 0x28E3, 0x30E2, 0x1881, 0x20C2, 0x5A46, 0x9C0C, 0xB531, 0xBDD3, 0x83AA, 0x6AE7, 0x8349, 0x9C0D, 0xACAF, 0xC571, 0xE655, 
        0xEE95, 0xDE34, 0xD5F2, 0xCDB2, 0xCD92, 0xC592, 0xC5B2, 0xD5B2, 0xD5D3, 0xDDF4, 0xD614, 0xC5B4, 0xBD93, 0xB552, 0xBD52, 0xC573, 0xCDB4, 0xD5F5, 0xCDF4, 0xC5B4, 0xBD94, 0xBD94, 0xBD74, 0xBD32, 0xBD12, 0xB532, 0xAD11, 0xACD0, 0xACAE, 0xB591, 
        0x9D0F, 0x52A8, 0x2123, 0x2102, 0x3183, 0x2102, 0x18E2, 0x18E2, 0x2142, 0x29A2, 0x4265, 0x838C, 0xA410, 0x9C70, 0x8C4F, 0x842E, 0x840E, 0xB552, 0xD636, 0xE6FA, 0xF77D, 0xF7BD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFBD, 0xF77D, 0xF75B, 
        0xF75A, 0xF73A, 0xF719, 0xF6D8, 0xEEB8, 0xF75A, 0xF79B, 0xEF38, 0xD634, 0xB550, 0x9C6C, 0xB54D, 0xCDEF, 0xD64F, 0xD64F, 0xD62F, 0xCDCF, 0xBD50, 0xBD71, 0xD614, 0xEEB7, 0xF6F9, 0xF73B, 0xF71A, 0xF739, 0xF758, 0xF778, 0xF778, 0xF737, 0xF717, 
        0xEEF7, 0xEED7, 0xE6B7, 0xE676, 0xE636, 0xE655, 0xE695, 0xEED6, 0xF738, 0xF759, 0xFF7B, 0xFF7B, 0xFF9C, 0xFFBD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFBD, 0xF71A, 0xEE36, 0xCC6D, 0x9A25, 
        0x9A46, 0xCD0F, 0xF6D6, 0xFF36, 0xFEF6, 0xFF57, 0xF737, 0xE654, 0xCD72, 0xBCEF, 0xAC8E, 0xCD31, 0xDDB4, 0xEE96, 0xF718, 0xFF38, 0xFEF7, 0xF6B6, 0xF696, 0xFEB8, 0xFED9, 0xFEDA, 0xF6D9, 0xF696, 0xF675, 0xF676, 0xEE36, 0xE5D6, 0xD537,
  0x8329, 0x834A, 0x93AC, 0x9BED, 0xA40E, 0xA42E, 0xB42E, 0xB40E, 0xA3CD, 0x9B8C, 0x9B6B, 0x9B4B, 0xA36D, 0xB38F, 0xBBF0, 0xC451, 0xC452, 0xCC73, 0xDC93, 0xDC93, 0xDC72, 0xD432, 0xD3F1, 0xCB6F, 0xBB0C, 0xB30C, 0xC32E, 0xCB70, 0xD391, 0xDBD2, 0xE433, 
        0xEC74, 0xEC94, 0xEC94, 0xEC94, 0xE473, 0xE413, 0xDBF2, 0xDBF2, 0xDC12, 0xDC32, 0xD472, 0xC433, 0xC432, 0xBC32, 0xB410, 0xA3CE, 0x8B4C, 0x8B6A, 0x93AB, 0xAC2F, 0xC471, 0xC492, 0xCCB2, 0xE4F3, 0xE4F3, 0xD4D2, 0xCCB0, 0xC48F, 0xC46D, 0xBC6B, 
        0xB46A, 0xB42A, 0xAC2B, 0xB44B, 0xBC8C, 0xCCAD, 0xD4CD, 0xD4CF, 0xDCD0, 0xE4D1, 0xECD3, 0xF4F4, 0xF4F5, 0xF4F6, 0xF4F6, 0xF4D5, 0xECB4, 0xE473, 0xDC31, 0xCBCF, 0xBB6D, 0xAB2C, 0x9B0B, 0x92EA, 0x92EA, 0x8B0A, 0x8B2A, 0x934A, 0x9B4A, 0x9B2A, 
        0x9B4A, 0xA3CB, 0xB44D, 0xBC8F, 0xCD51, 0xEE75, 0xF6F8, 0xF77B, 0xF7BD, 0xF7BD, 0xE73A, 0xC5B2, 0xB4CE, 0xA46C, 0xA4AD, 0xB52E, 0xBDF1, 0xB56F, 0xA4ED, 0x8C6C, 0x7BEB, 0x7BEB, 0x8C4D, 0xB570, 0xC5B2, 0xC532, 0xC4F3, 0xCD14, 0xDDD7, 0xF75C, 
        0xF79C, 0xD697, 0xBD93, 0xACD0, 0x93ED, 0x8428, 0x8C87, 0x9CEA, 0xA52C, 0xA52C, 0x9CCB, 0x8C47, 0x8C25, 0x8C25, 0x8C25, 0x83E5, 0x7BA5, 0x7BA7, 0x7BA7, 0x7387, 0x73C7, 0x7C07, 0x8447, 0x7385, 0x6B24, 0x6B23, 0x7364, 0x83C5, 0xA488, 0xAD09, 
        0xAD09, 0x9CE8, 0x94C8, 0x94A8, 0x94A9, 0xB4CD, 0xC50F, 0xCD33, 0xCD55, 0xD555, 0xD555, 0xD595, 0xD5B4, 0xD5D3, 0xD5B1, 0xCD70, 0xB4CD, 0x8BAA, 0x7B68, 0x7BC7, 0x7C06, 0x7C26, 0x8CA8, 0xB5CC, 0xB58C, 0x8B87, 0x59A3, 0x40E1, 0x30E1, 0x5265, 
        0x5AA6, 0x49A4, 0x59E5, 0x7B29, 0xC570, 0xD5D1, 0xB4EE, 0x6AE8, 0x5A88, 0x7BAD, 0xBDD5, 0xCE36, 0xC615, 0xC5F4, 0xBDF4, 0xBDD4, 0xBDB4, 0xBD74, 0xB554, 0xB533, 0xACD2, 0xA471, 0x9C30, 0xACD0, 0xACCF, 0x9C0C, 0x93AA, 0x93AA, 0xA44C, 0xBCF2, 
        0xD555, 0xE637, 0xF6B9, 0xFED9, 0xFED8, 0xFEB7, 0xFE76, 0xF635, 0xF5D4, 0xEDB3, 0xDD52, 0xD4AE, 0xC46C, 0xBC4C, 0xAC0C, 0xA3EC, 0x9BAB, 0x9B8A, 0xA38A, 0x9B8B, 0x9B6B, 0x9B6B, 0x936B, 0x936B, 0x9BED, 0xBCF1, 0xB4D0, 0x93CC, 0x51E4, 0x4142, 
        0x4142, 0x59C5, 0x6227, 0x6268, 0x730C, 0xB555, 0xCE38, 0xC5D7, 0xA4F3, 0x7B8E, 0x5249, 0xBDD7, 0xE6FB, 0xBD56, 0x93AF, 0x7B0C, 0x6A89, 0x6A49, 0x6A49, 0x6249, 0x6249, 0x5A28, 0x6228, 0x6A69, 0x72A9, 0x82EA, 0x8B2B, 0x934C, 0x9BAD, 0xAC0D, 
        0xB44E, 0xB46E, 0xB46E, 0xBC6E, 0xBC8E, 0xC4AF, 0xCCCF, 0xCCEF, 0xCCEF, 0xC4CF, 0xBC8D, 0xB46C, 0xB44C, 0xBC4B, 0xBC2B, 0xBC0B, 0xB3EA, 0xABC9, 0xA389, 0x9328, 0x8B48, 0x93AA, 0x9C2C, 0x8BEA, 0x7388, 0x52A5, 0x3A22, 0x31E1, 0x29A1, 0x2121, 
        0x31A3, 0x7388, 0xA4EC, 0xB54E, 0xAD4D, 0x9D0C, 0x8C8A, 0x73E6, 0x6BA6, 0x73A8, 0x7BAA, 0x5AA6, 0x4A64, 0x5264, 0x4A04, 0x3983, 0x20C2, 0x2103, 0x4A27, 0x9CD1, 0xDEB9, 0xF75C, 0xEF3A, 0xB570, 0x944B, 0x8369, 0x7B29, 0x8369, 0x9C8D, 0xD5F3, 
        0xE655, 0xD614, 0xCDF3, 0xCDD3, 0xCDD2, 0xCDB2, 0xCDD3, 0xCDD3, 0xD5F3, 0xD5D3, 0xCDB3, 0xBD72, 0xB572, 0xC593, 0xCDB4, 0xCDB4, 0xD5F4, 0xDE57, 0xDE57, 0xD616, 0xC5D4, 0xC5B4, 0xC5B4, 0xC593, 0xBD52, 0xACF0, 0xACF0, 0xB531, 0xCDF4, 0xDEF6, 
        0xC654, 0x740C, 0x3A06, 0x2123, 0x18C2, 0x2983, 0x29C4, 0x29C3, 0x29C3, 0x29C3, 0x29A3, 0x2964, 0x3144, 0x2964, 0x39A4, 0x4205, 0x62E9, 0xB553, 0xD657, 0xCE57, 0xCE77, 0xD697, 0xE6F7, 0xE6D7, 0xE6D8, 0xEF5A, 0xF77B, 0xF79B, 0xF77C, 0xF75C, 
        0xF73B, 0xF73A, 0xF739, 0xF739, 0xF739, 0xE71A, 0xD6B8, 0xBD92, 0xA4CE, 0xA4AC, 0xACED, 0xB54D, 0xBD8E, 0xC5CE, 0xC60E, 0xC60E, 0xC5ED, 0xCDEE, 0xCDF0, 0xD5F2, 0xDE14, 0xE655, 0xEEF7, 0xFF7A, 0xFFBB, 0xFFBB, 0xFF9A, 0xF79A, 0xF759, 0xF6B5, 
        0xEE95, 0xEEB6, 0xEED7, 0xEED7, 0xE6B7, 0xEEB7, 0xEE98, 0xEE97, 0xEEB7, 0xEED7, 0xF717, 0xF6D7, 0xF6D9, 0xFF5B, 0xFFBD, 0xFFDD, 0xFFFE, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFDF, 0xFF9D, 0xF6F9, 0xF6B7, 0xF6F8, 0xE677, 0xAB49, 
        0xA2A6, 0xCCAD, 0xEE33, 0xF6B4, 0xFEF6, 0xFF99, 0xF778, 0xDE33, 0xC52F, 0xB48D, 0xAC6D, 0xD592, 0xEE36, 0xF6B7, 0xF6F7, 0xF6F7, 0xF6B6, 0xF6B7, 0xF6B7, 0xF6B7, 0xF6D8, 0xF6F9, 0xF719, 0xF696, 0xEE35, 0xE5B7, 0xD519, 0xC499, 0xB3FA,
  0x7368, 0x7B89, 0x8C0B, 0x9C4D, 0xA46E, 0xB46F, 0xB48F, 0xB46E, 0xAC2E, 0xA3ED, 0x9BAC, 0x9B6C, 0xA34D, 0xAB6E, 0xB3CF, 0xBC11, 0xC432, 0xD453, 0xDC94, 0xE494, 0xE493, 0xE452, 0xE432, 0xDBD1, 0xC34E, 0xBB0C, 0xBB0D, 0xBB0E, 0xC30F, 0xCB51, 0xE412, 
        0xF493, 0xF4B5, 0xECB5, 0xECB5, 0xE494, 0xEC33, 0xEBF3, 0xE3F2, 0xE412, 0xE412, 0xDC51, 0xCC52, 0xC452, 0xC431, 0xBC10, 0xABEF, 0x93AD, 0x8BAB, 0x93CC, 0xAC2E, 0xCC71, 0xD472, 0xDC73, 0xDC94, 0xDC93, 0xDC72, 0xDC71, 0xDC50, 0xCC4E, 0xB42D, 
        0xAC0C, 0xAC2B, 0xAC4B, 0xB46B, 0xB48C, 0xC48D, 0xD48E, 0xDC8F, 0xE4B1, 0xE4B2, 0xECD4, 0xF4F5, 0xF4F5, 0xF4F5, 0xF4F6, 0xF4F6, 0xF4D6, 0xE493, 0xDC52, 0xD3F0, 0xC38E, 0xBB6D, 0xA32B, 0x8AE9, 0x82E8, 0x8309, 0x8349, 0x8B69, 0x8B8A, 0x93CA, 
        0x93EA, 0x9C0B, 0xA42C, 0xA44D, 0xBCF1, 0xE616, 0xFED9, 0xF77C, 0xEF7B, 0xDEF8, 0xB591, 0x9409, 0x93E8, 0xAD4E, 0xCE74, 0xDF16, 0xDED7, 0xA4F2, 0x83EE, 0x6B8A, 0x6B69, 0x7B8A, 0xA42E, 0xC532, 0xC552, 0xB4D0, 0xAC6F, 0xAC6F, 0xC553, 0xEF3B, 
        0xEF5C, 0xC5B3, 0x8C0A, 0x6B27, 0x5AE6, 0x946A, 0xAD4B, 0xA54C, 0x9CEA, 0x8C88, 0x7BE6, 0x73A6, 0x7BE7, 0x8C87, 0x94E8, 0x9CE8, 0x94A8, 0x8C28, 0x83E7, 0x7BA7, 0x7BE8, 0x8408, 0x8427, 0x5B03, 0x5AE3, 0x83C7, 0xA469, 0xA48A, 0xA489, 0xACC9, 
        0xA4E8, 0x9CC8, 0x94C7, 0x94A7, 0x9C88, 0xB4AC, 0xBCAE, 0xBC6F, 0xBC91, 0xC4D2, 0xDD53, 0xE5B3, 0xEDF3, 0xEE14, 0xE5D3, 0xD552, 0xAC4D, 0x7306, 0x62C3, 0x6B63, 0x8486, 0x9D6A, 0xB62E, 0x9CCA, 0x8386, 0x69C3, 0x48A1, 0x4040, 0x4102, 0x736A, 
        0x73AB, 0x4A27, 0x4A06, 0x732A, 0xCDB0, 0xEEB1, 0xDE0F, 0x9C6C, 0x83ED, 0x946F, 0xBD74, 0xAD14, 0xA4D3, 0x9CD2, 0x9CD1, 0x9490, 0x8C0E, 0x8C0E, 0x942E, 0x93EE, 0x8BAE, 0x836D, 0x7B4C, 0x8C0D, 0x9C8E, 0xACAF, 0xB4AF, 0xB48E, 0xAC4E, 0xA490, 
        0xB4D2, 0xCD74, 0xE616, 0xF698, 0xFF1A, 0xFED8, 0xFE97, 0xF615, 0xEDB3, 0xED92, 0xDD30, 0xC48E, 0xBC4D, 0xB40C, 0xABEB, 0xA3CB, 0x9BAA, 0x936A, 0x936B, 0x9B6B, 0x9B6B, 0x9B4B, 0x934B, 0x8B6B, 0x93ED, 0xB4CF, 0xAC4E, 0x832A, 0x3923, 0x4183, 
        0x5A05, 0x7288, 0x7289, 0x6248, 0x49C7, 0x628A, 0x72EB, 0x72EA, 0x72AA, 0x6A8A, 0x6AAC, 0xB555, 0xCDF8, 0xB4D3, 0x9BCF, 0x934D, 0x8AEB, 0x8B4D, 0x8B6E, 0x936E, 0x936D, 0x934D, 0x8B2B, 0x832B, 0x8B4B, 0x938C, 0xA3AD, 0xABCE, 0xABEE, 0xB44E, 
        0xB46F, 0xB48F, 0xB48F, 0xB4AF, 0xBCD0, 0xDD11, 0xE531, 0xD4F0, 0xC4CF, 0xC4CE, 0xBCAD, 0xBC6D, 0xBC6C, 0xBC4C, 0xBC2B, 0xB40B, 0xABCA, 0xABEA, 0xABCA, 0x9B89, 0x9BA9, 0xA3EA, 0xA42B, 0x7B88, 0x6B27, 0x62E6, 0x62E6, 0x62E5, 0x4A64, 0x18C1, 
        0x18A1, 0x4A45, 0x7BA8, 0x946A, 0xA4CC, 0x9CED, 0x9D0E, 0xAD8F, 0xAD6D, 0x94AB, 0x6306, 0x2962, 0x2101, 0x2962, 0x2142, 0x18E1, 0x2923, 0x942E, 0xCE15, 0xE71B, 0xF79D, 0xFF7B, 0xF6D8, 0xEEB6, 0xDE55, 0xC572, 0xB4CF, 0xAC8E, 0xAC8E, 0xA4CE, 
        0xAD2F, 0xC5B1, 0xCDF2, 0xD5F2, 0xD5D2, 0xD5B2, 0xD5D3, 0xD614, 0xD634, 0xD614, 0xCDB3, 0xC572, 0xC592, 0xCDB4, 0xD5D5, 0xD5D5, 0xD5F4, 0xE697, 0xE697, 0xD616, 0xCDD4, 0xC5D4, 0xC5B3, 0xBD52, 0xB511, 0xB531, 0xB531, 0xBD51, 0xCDB3, 0xE6D6, 
        0xD695, 0x8CAE, 0x4AA7, 0x2984, 0x10A1, 0x2983, 0x3203, 0x29C3, 0x29A3, 0x2983, 0x29C4, 0x4A65, 0x4A65, 0x3A03, 0x2982, 0x2122, 0x3184, 0x83CB, 0xA4AD, 0x9C4C, 0x944C, 0x948D, 0xAD30, 0xC530, 0xCD51, 0xCDB2, 0xCDF3, 0xCE12, 0xCE54, 0xEF5B, 
        0xFFBE, 0xFFBD, 0xFFBD, 0xFFDD, 0xE73A, 0x9CAE, 0x83C9, 0x9C6C, 0xB50E, 0xBD4F, 0xC56F, 0xB50E, 0xB50D, 0xB56E, 0xBDAE, 0xBDCE, 0xBDCD, 0xBDED, 0xC5EE, 0xCDCF, 0xCDB1, 0xCDB2, 0xD5F4, 0xEF17, 0xFF9A, 0xFFDC, 0xFFDD, 0xFFDD, 0xFF9A, 0xF6D6, 
        0xF695, 0xF6B6, 0xF6F7, 0xF718, 0xF6F7, 0xDDF5, 0xCD53, 0xC553, 0xCD73, 0xDDF4, 0xEEB7, 0xF75B, 0xFF7C, 0xFF3C, 0xF73B, 0xF75C, 0xFFBD, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xEF3B, 0xD5B3, 0xCD51, 0xD614, 0xEF1A, 0xDDD3, 
        0xDD2F, 0xE550, 0xEDB1, 0xF5F2, 0xF6B4, 0xFF98, 0xF778, 0xDE33, 0xC4EF, 0xB46E, 0xB48E, 0xE613, 0xF6D5, 0xFED6, 0xFED7, 0xF6B7, 0xF6B6, 0xFEF7, 0xFED7, 0xF6B6, 0xF6D7, 0xFF18, 0xF759, 0xE615, 0xD533, 0xBC75, 0xB418, 0xB3FA, 0xB3FD,
  0x7B49, 0x838A, 0x93EC, 0xA44E, 0xAC4F, 0xB471, 0xBCB1, 0xB4B0, 0xB470, 0xAC2F, 0xAC0E, 0xA3AD, 0xA36D, 0xA36D, 0xABAF, 0xBBF0, 0xC411, 0xD453, 0xE494, 0xECB4, 0xEC93, 0xF473, 0xF453, 0xE412, 0xCB6F, 0xC32D, 0xBB0D, 0xBAED, 0xBAEE, 0xCB10, 0xE3D2, 
        0xEC53, 0xEC95, 0xECB6, 0xECB5, 0xE495, 0xF453, 0xF433, 0xEC13, 0xE432, 0xE432, 0xE452, 0xD492, 0xCC92, 0xC452, 0xBC11, 0xB3F0, 0x9BCE, 0x8B8C, 0x8B8C, 0xAC0E, 0xC450, 0xD472, 0xE473, 0xDC93, 0xD492, 0xDC71, 0xDC70, 0xD44F, 0xC44E, 0xAC0C, 
        0xA3EC, 0xAC0B, 0xAC2B, 0xAC4B, 0xAC6B, 0xBC6D, 0xCC6D, 0xDC6F, 0xE491, 0xEC92, 0xECD4, 0xF4D5, 0xFCF5, 0xFCF5, 0xFCF6, 0xFCF6, 0xF4F6, 0xEC94, 0xE452, 0xD3F0, 0xCBAF, 0xBB8E, 0xAB4C, 0x8AE9, 0x7AC7, 0x82E8, 0x8328, 0x8349, 0x8B89, 0x93EA, 
        0x942B, 0x9C0B, 0xA42C, 0xA46D, 0xBCF1, 0xE616, 0xF699, 0xEEDA, 0xDE98, 0xC5F4, 0x9CAD, 0x93E9, 0x9C6A, 0xC612, 0xE757, 0xEFB9, 0xDEF8, 0x9C71, 0x736C, 0x6328, 0x6348, 0x7369, 0x9C0E, 0xB4F1, 0xB4F1, 0x9C2E, 0x93CD, 0x93CD, 0xACB0, 0xD676, 
        0xD676, 0xACEF, 0x83A8, 0x6B26, 0x6BA8, 0xB570, 0xC612, 0xB58F, 0x94CB, 0x8448, 0x7BE6, 0x8469, 0x8CCA, 0x9509, 0x9529, 0x9D29, 0x9CE9, 0x8C67, 0x8426, 0x7BE7, 0x83C7, 0x83E7, 0x7BC6, 0x6344, 0x6B64, 0x9448, 0xACCA, 0xACEB, 0xA4AA, 0xA4A8, 
        0xA4A8, 0x9CC8, 0x94C8, 0x94A7, 0x9C68, 0xAC4B, 0xB42D, 0xB3EE, 0xBBF0, 0xC451, 0xD4F3, 0xE593, 0xEDB3, 0xEDB3, 0xDD33, 0xC4B1, 0x9BAC, 0x6AA4, 0x5AA1, 0x6362, 0x84A6, 0xA5AB, 0xB62F, 0x7BA7, 0x6222, 0x6141, 0x58C0, 0x50A0, 0x5163, 0x8C0D, 
        0x844E, 0x4A68, 0x39C6, 0x5A88, 0xA4CE, 0xE6B2, 0xEED3, 0xC591, 0xA48F, 0x9C2E, 0x8BEE, 0x732D, 0x6B0D, 0x6B2C, 0x630B, 0x5ACA, 0x5288, 0x6289, 0x6AA9, 0x6ACA, 0x730B, 0x7B6C, 0x8BCE, 0x940F, 0x9C2F, 0xAC90, 0xB4D0, 0xBCB0, 0xB48F, 0xAC90, 
        0xACB1, 0xCD32, 0xDDB5, 0xEE57, 0xFF1A, 0xFEF8, 0xFE97, 0xF615, 0xF5B3, 0xED72, 0xDD0F, 0xBC6E, 0xB42D, 0xABEB, 0xA3CA, 0xA3AA, 0x9B8A, 0x938A, 0x936B, 0x936B, 0x934B, 0x932B, 0x8B2A, 0x93AC, 0xA42E, 0xAC8E, 0x93CC, 0x6A88, 0x30E3, 0x5A05, 
        0x7AE8, 0x8B6B, 0x936D, 0x830C, 0x5A49, 0x49A6, 0x4985, 0x59C6, 0x6A28, 0x6A6A, 0x832D, 0xA472, 0xB4D3, 0xA431, 0x9B8E, 0x932D, 0x932C, 0x9BCE, 0xA430, 0xAC10, 0xABEF, 0xA3CF, 0x9BAD, 0x938D, 0x93AD, 0xA3EE, 0xAC0F, 0xB42F, 0xB42E, 0xB46F, 
        0xBC90, 0xBCB0, 0xBCB0, 0xBCD0, 0xC4F0, 0xDD11, 0xDD11, 0xD4F0, 0xCCCF, 0xC4CE, 0xBCAE, 0xC46D, 0xC46C, 0xBC4C, 0xB42B, 0xB40B, 0xAC0B, 0xAC0B, 0xABEB, 0xA3AA, 0x9B89, 0x9BA9, 0x93AA, 0x7369, 0x6B48, 0x7368, 0x7B68, 0x7347, 0x52A5, 0x20E2, 
        0x18A1, 0x41E3, 0x6AE5, 0x7B87, 0x8C09, 0x948C, 0xA50E, 0xBDF1, 0xBDF0, 0xA52D, 0x6B46, 0x3162, 0x18C0, 0x18E0, 0x1901, 0x2943, 0x5AA8, 0xCE35, 0xFF9B, 0xFF7C, 0xFF3B, 0xF6D9, 0xF676, 0xEE96, 0xEEB7, 0xE656, 0xD5D4, 0xCD93, 0xBD10, 0xACCE, 
        0xACEE, 0xBD90, 0xCDD1, 0xD5F2, 0xD5D2, 0xD5F3, 0xDE14, 0xDE34, 0xDE35, 0xD615, 0xD5D4, 0xCD93, 0xCD93, 0xD5D4, 0xD5D5, 0xDDF5, 0xDE15, 0xE676, 0xE697, 0xD616, 0xCDD5, 0xC5D4, 0xC593, 0xB511, 0xB4F1, 0xBD72, 0xBD72, 0xAD11, 0x9C4E, 0xAD11, 
        0xA510, 0x73AA, 0x4245, 0x2983, 0x1902, 0x2182, 0x29C2, 0x2182, 0x2162, 0x2163, 0x29A4, 0x4AA5, 0x5AE5, 0x4264, 0x31C2, 0x2141, 0x2962, 0x7B89, 0x9C2B, 0x8368, 0x7348, 0x7389, 0x8C4C, 0xB48D, 0xBCAD, 0xBCEE, 0xB52E, 0xB52E, 0xB590, 0xDED8, 
        0xEF7C, 0xF7BD, 0xF79D, 0xEF5C, 0xCE36, 0x83C9, 0x7326, 0x9C4B, 0xBD50, 0xCDB1, 0xCD90, 0xB50E, 0xACED, 0xB54E, 0xBD8E, 0xC5AE, 0xC5CE, 0xBDCD, 0xC5CD, 0xC5CF, 0xC5D0, 0xBD90, 0xC5B1, 0xE695, 0xF738, 0xFFBC, 0xFFDD, 0xFFDD, 0xFF9A, 0xF6F8, 
        0xF6D7, 0xFEF8, 0xFF3A, 0xFF5A, 0xF6F8, 0xCD93, 0xC511, 0xC552, 0xCD94, 0xD5D4, 0xDE56, 0xE6D9, 0xE6FA, 0xEF1A, 0xF71A, 0xF73B, 0xFF9C, 0xFFDE, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBD, 0xEEF9, 0xC550, 0xBCAD, 0xCD51, 0xEE98, 0xF6D7, 
        0xF695, 0xEDF3, 0xEDB1, 0xF5D2, 0xF694, 0xFF77, 0xF757, 0xDE13, 0xC510, 0xBC8E, 0xBCAF, 0xEE74, 0xFF16, 0xFEF7, 0xFEB7, 0xF6B6, 0xF6B6, 0xFED7, 0xFED7, 0xFEB6, 0xFEF6, 0xFF38, 0xF719, 0xCD34, 0xB412, 0xABD5, 0xABD9, 0xB3DB, 0xBC1E,
  0x9AEE, 0xA30F, 0xAB91, 0xB3F3, 0xBC33, 0xC454, 0xCC94, 0xD495, 0xCC94, 0xC473, 0xBC52, 0xAC10, 0x9BAC, 0x9B8C, 0xAB8E, 0xB3B0, 0xBBD0, 0xCC32, 0xE493, 0xEC94, 0xF473, 0xF453, 0xF453, 0xEC53, 0xDB91, 0xCB2F, 0xC2EE, 0xC2ED, 0xC2ED, 0xCAEF, 0xD351, 
        0xDBB2, 0xEC33, 0xF4B5, 0xF4B5, 0xF4B5, 0xF474, 0xF474, 0xF473, 0xEC73, 0xEC53, 0xE473, 0xE4D4, 0xDCD3, 0xC432, 0xB3D1, 0xABB0, 0x9BAE, 0x8B4C, 0x934B, 0xA3EE, 0xBC50, 0xCC71, 0xDC91, 0xDC91, 0xD490, 0xC46E, 0xB44C, 0xA42B, 0x9C0A, 0x93C8, 
        0x93C7, 0x93A7, 0x93A8, 0x93C9, 0xA3EA, 0xAC4B, 0xBC6C, 0xC48E, 0xD490, 0xDC91, 0xECB3, 0xF4B5, 0xFCB6, 0xFCD5, 0xF4F5, 0xF4F5, 0xECD5, 0xECB4, 0xEC72, 0xDC11, 0xCBD0, 0xC3AF, 0xAB6D, 0x8A87, 0x7A45, 0x7A66, 0x7A87, 0x7AC8, 0x8329, 0x93EB, 
        0xA44C, 0xAC4D, 0xB48E, 0xBCAF, 0xCD51, 0xE635, 0xEE56, 0xD5F5, 0xC552, 0xB4D0, 0xAC6E, 0xB50E, 0xC5B0, 0xDEB4, 0xE716, 0xDEF5, 0xC5D1, 0x8BCA, 0x6AE7, 0x52A5, 0x4AA5, 0x52C6, 0x6329, 0x7C0C, 0x83EB, 0x6AA8, 0x5A27, 0x6268, 0x7B4B, 0x8C4B, 
        0x948B, 0x9C6B, 0xA4AD, 0xB52F, 0xCE14, 0xDEF8, 0xDED7, 0xB5B2, 0x94AD, 0x8C2A, 0x946A, 0xB60D, 0xB66E, 0x9D6A, 0x8C87, 0x8C46, 0x8405, 0x7C25, 0x7C25, 0x7C05, 0x73A4, 0x6B63, 0x6B44, 0x9449, 0xA4CA, 0xA4E8, 0xA4C8, 0xA4C8, 0xA4C9, 0x9CA7, 
        0x9CA7, 0x9CC8, 0x9CE8, 0x94C8, 0x9489, 0xAC2D, 0xBC10, 0xCBF2, 0xDBF5, 0xE436, 0xECD7, 0xEDF6, 0xF616, 0xED54, 0xDC92, 0xC410, 0x936B, 0x6AC3, 0x62C1, 0x6B83, 0x7C46, 0x8CC8, 0x94E9, 0x7305, 0x6202, 0x71C1, 0x7181, 0x6981, 0x6A25, 0x9CAF, 
        0x94F0, 0x4AA8, 0x2103, 0x18A2, 0x4A07, 0xC616, 0xF77B, 0xD616, 0xA44F, 0x72EA, 0x3145, 0x28C3, 0x28E3, 0x2124, 0x2124, 0x2924, 0x3125, 0x4147, 0x4147, 0x4186, 0x5AAA, 0x8C10, 0xCDF8, 0xCD76, 0xBCD4, 0xA451, 0xA44F, 0xACB0, 0xBD31, 0xC532, 
        0xC513, 0xD533, 0xE5B5, 0xEE17, 0xFEB9, 0xFE98, 0xFE76, 0xF615, 0xED92, 0xED51, 0xDCCE, 0xBC4D, 0xAC0C, 0xA3CB, 0xA3AA, 0x9B6A, 0x936A, 0x938A, 0x938A, 0x934A, 0x8B0A, 0x82C9, 0x8B09, 0xB4B0, 0xC532, 0xAC4E, 0x832A, 0x6247, 0x49C6, 0x832B, 
        0xA40E, 0xB46F, 0xB490, 0xAC50, 0x93CF, 0x730B, 0x72EB, 0x836D, 0x9BCE, 0xA3EF, 0x9BEE, 0x8B4C, 0x832C, 0x936D, 0x9B8E, 0x936E, 0x936E, 0xB470, 0xBCD1, 0xB491, 0xB451, 0xAC30, 0xAC0F, 0xA40F, 0xA40F, 0xAC6F, 0xB48F, 0xBC90, 0xC490, 0xCCD1, 
        0xCCD1, 0xCCD1, 0xCCD1, 0xCCD0, 0xCCCF, 0xD511, 0xD511, 0xD4F0, 0xD4CF, 0xCCCF, 0xCCAE, 0xC46C, 0xBC4C, 0xB44C, 0xB44C, 0xB44C, 0xAC4B, 0xAC0A, 0xABEA, 0xA389, 0x9B49, 0x9328, 0x8328, 0x7B6A, 0x7BAB, 0x83CB, 0x83AA, 0x7369, 0x52A6, 0x2942, 
        0x2921, 0x4A02, 0x5A83, 0x5A84, 0x5285, 0x7389, 0x8C2A, 0x94AC, 0xA52E, 0xAD4F, 0x9CEF, 0x5AC5, 0x39C1, 0x3162, 0x4A25, 0x736A, 0xC5F4, 0xF77B, 0xFF7C, 0xFE99, 0xF616, 0xEDF5, 0xDE14, 0xCDD3, 0xCDF3, 0xE676, 0xEEB7, 0xE676, 0xDDF4, 0xD5D1, 
        0xCDD0, 0xCDD1, 0xD5D2, 0xD5D3, 0xD5D4, 0xDE35, 0xDE55, 0xDE15, 0xD5D5, 0xD5D4, 0xCDB3, 0xCDB4, 0xCDB4, 0xD5D4, 0xDDF5, 0xDE15, 0xDE56, 0xDE36, 0xD616, 0xD616, 0xCDD5, 0xC5B4, 0xBD52, 0xACF0, 0xB551, 0xC616, 0xB575, 0x840F, 0x39A5, 0x2924, 
        0x2123, 0x2103, 0x1922, 0x2162, 0x29A3, 0x1942, 0x1121, 0x1941, 0x1961, 0x1941, 0x1941, 0x29A2, 0x39E2, 0x3A03, 0x3202, 0x31E2, 0x4244, 0x946D, 0xACCE, 0x83A9, 0x6B07, 0x6327, 0x7BE9, 0xA48B, 0xB4CC, 0xB4CC, 0xACCC, 0xA4CD, 0xA4ED, 0xB591, 
        0xC614, 0xD697, 0xD656, 0xBD93, 0x9C6D, 0x942A, 0x9C6A, 0xAD0E, 0xBD91, 0xC5B2, 0xC5B2, 0xBD4E, 0xB50D, 0xB52E, 0xC56F, 0xCDB0, 0xD5D1, 0xD58F, 0xCD8F, 0xC5CF, 0xBDEE, 0xB5CE, 0xBDCE, 0xD612, 0xE675, 0xEF18, 0xF75A, 0xF759, 0xFF19, 0xF71B, 
        0xF73C, 0xF77D, 0xFF9D, 0xFF7C, 0xF6FA, 0xD5D2, 0xC5B1, 0xCE35, 0xD677, 0xCE56, 0xBD92, 0xACF0, 0xB531, 0xD675, 0xEF59, 0xF77A, 0xFF7A, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFF7D, 0xF717, 0xE693, 0xD56F, 0xC4AD, 0xCCAD, 0xDD52, 0xF6F9, 
        0xFF5B, 0xFEB7, 0xF654, 0xF654, 0xF674, 0xEE94, 0xE653, 0xD591, 0xCD0F, 0xC4EF, 0xD551, 0xEEB6, 0xFF19, 0xFEB8, 0xF697, 0xF696, 0xF6B5, 0xFEB6, 0xFED6, 0xFF16, 0xF737, 0xF718, 0xDE39, 0xA395, 0x92D5, 0xAB99, 0xBC1D, 0xC41E, 0xC3FF,
  0xA34F, 0xA370, 0xABD2, 0xBC33, 0xBC53, 0xC494, 0xCCB5, 0xCC95, 0xCC74, 0xC433, 0xBC12, 0xABD0, 0x932C, 0x8AEA, 0x930B, 0xA32C, 0xAB2D, 0xB36D, 0xC3F0, 0xD431, 0xE433, 0xEC53, 0xEC53, 0xEC33, 0xE3B2, 0xE372, 0xDB51, 0xDB50, 0xDB50, 0xDB51, 0xD331, 
        0xD351, 0xE413, 0xEC74, 0xEC93, 0xEC73, 0xE433, 0xE413, 0xE413, 0xE3F2, 0xDBD1, 0xD3B0, 0xD3F1, 0xCBD1, 0xB36E, 0x9B0C, 0x92EB, 0x8B0B, 0x938B, 0x9BCD, 0xB430, 0xC472, 0xCC73, 0xD472, 0xC40E, 0xBBCC, 0xABAB, 0x9B8A, 0x9369, 0x8B68, 0x8346, 
        0x8345, 0x8B86, 0x8BC6, 0x9407, 0xA449, 0xB46C, 0xC46E, 0xCC8F, 0xDCB0, 0xDCB1, 0xE4B2, 0xE493, 0xE494, 0xECB4, 0xF4D5, 0xECB4, 0xE4B4, 0xE493, 0xE493, 0xDC52, 0xD431, 0xCC10, 0xB3AD, 0x8AA7, 0x7A45, 0x7245, 0x7285, 0x7AC6, 0x8B69, 0xA46C, 
        0xACED, 0xB4EE, 0xB4EF, 0xBCF0, 0xC532, 0xDDF5, 0xE656, 0xE676, 0xDE35, 0xCDD2, 0xB52E, 0xAD2D, 0xB56D, 0xBDCE, 0xC5EF, 0xBDD0, 0xAD2F, 0x8BCD, 0x734B, 0x5B27, 0x52E5, 0x52A5, 0x6286, 0x732A, 0x6B09, 0x5205, 0x4184, 0x49E5, 0x5AC8, 0x6B07, 
        0x7368, 0x942A, 0xACED, 0xAD2E, 0xB56F, 0xB56F, 0xAD4F, 0xA50D, 0x94AB, 0x9489, 0x9C88, 0xB56A, 0xBDAB, 0xAD29, 0x9CA7, 0x9466, 0x8C45, 0x6C24, 0x63E4, 0x63A3, 0x6B62, 0x6B63, 0x83C6, 0xBD0D, 0xD5AF, 0xD58E, 0xC54C, 0xB4EA, 0xA488, 0x9CA7, 
        0x9CC7, 0x9CE8, 0x9CE9, 0x9CE9, 0x9CA9, 0xB44D, 0xBC0F, 0xC3B0, 0xCB71, 0xCB91, 0xCC12, 0xD513, 0xDD54, 0xE512, 0xDCB1, 0xCC4F, 0xA3AB, 0x7B46, 0x7364, 0x6BC4, 0x6C05, 0x6C25, 0x73E6, 0x9BC8, 0xA348, 0x8A44, 0x79E3, 0x7A04, 0x82A7, 0x736B, 
        0x636B, 0x4286, 0x29A3, 0x1901, 0x3185, 0xA533, 0xBDD6, 0x734C, 0x3145, 0x1882, 0x1862, 0x3924, 0x4185, 0x41E6, 0x5289, 0x6B2C, 0x9410, 0x9411, 0x836F, 0x626A, 0x6AAB, 0x93D0, 0xDE1A, 0xF6FD, 0xEEBB, 0xDE17, 0xD5F6, 0xDE37, 0xE678, 0xCD95, 
        0xC533, 0xD554, 0xDD95, 0xEE16, 0xFE98, 0xFE77, 0xFE36, 0xF5F4, 0xE5B2, 0xDD51, 0xCCCE, 0xB44C, 0xAC0B, 0xA3CA, 0x9B8A, 0x9B69, 0x9369, 0x8B69, 0x8B49, 0x82E8, 0x7AA8, 0x7A88, 0x8B0A, 0xC511, 0xD592, 0xB4AF, 0xAC2E, 0xAC4F, 0xBCF1, 0xB4B0, 
        0xAC6F, 0xA40D, 0x9BCC, 0x93AC, 0x9C0E, 0xBD13, 0xC555, 0xB4F2, 0xAC91, 0xA490, 0xA490, 0xA44F, 0xAC4F, 0xBCF2, 0xC534, 0xCD34, 0xC4F3, 0xC4D2, 0xBCB2, 0xB492, 0xB471, 0xB470, 0xB470, 0xBCB1, 0xBCD2, 0xC4D2, 0xC4D2, 0xCCF2, 0xD4F2, 0xD512, 
        0xD511, 0xD4F1, 0xD4F1, 0xD4F1, 0xD510, 0xCD32, 0xCD31, 0xCCEF, 0xCCCE, 0xD4AE, 0xCCAE, 0xBC4C, 0xB44C, 0xBC4B, 0xB46B, 0xB46B, 0xAC6B, 0xABC9, 0xAB88, 0xA369, 0x9348, 0x8B28, 0x6AE7, 0x62E7, 0x6307, 0x6B28, 0x7328, 0x6B08, 0x5A65, 0x39C3, 
        0x39C2, 0x5264, 0x5AA4, 0x5AA4, 0x4A83, 0x5AE7, 0x6308, 0x6328, 0x73CA, 0x948D, 0x9CEE, 0x4A25, 0x3142, 0x6AE7, 0xACCE, 0xCE13, 0xF75A, 0xFF7B, 0xFF19, 0xEE76, 0xE5D4, 0xDDB3, 0xD5B3, 0xCDF4, 0xD635, 0xDE76, 0xE696, 0xDE55, 0xD5D3, 0xD613, 
        0xD634, 0xDE34, 0xDE14, 0xD614, 0xD614, 0xDE33, 0xDE34, 0xD614, 0xCDD4, 0xC5B4, 0xBD93, 0xC593, 0xCDB4, 0xD5F5, 0xD636, 0xDE56, 0xDE57, 0xD5F6, 0xCDD5, 0xCDB5, 0xC574, 0xB512, 0xACF1, 0xC635, 0xCE97, 0xB5B5, 0x8C70, 0x6B6B, 0x39A4, 0x10A1, 
        0x1080, 0x1901, 0x1922, 0x1922, 0x10E1, 0x08E1, 0x0901, 0x1941, 0x1962, 0x1962, 0x1942, 0x2141, 0x2981, 0x3203, 0x3204, 0x29C3, 0x31C3, 0x83A9, 0xA48C, 0x940B, 0x8BC9, 0x8BA9, 0x9428, 0x9D49, 0xA5A9, 0xAD88, 0xAD49, 0xAD09, 0xA4EC, 0xBD72, 
        0xBD92, 0xACCE, 0x9C6C, 0x9C6C, 0xA4CD, 0xA4CC, 0xA4CC, 0xAD0D, 0xB54F, 0xBD90, 0xC5B1, 0xCD72, 0xCD31, 0xB50F, 0xB52F, 0xBD71, 0xCDF3, 0xD5D2, 0xCDB0, 0xC58E, 0xBD8E, 0xC5AE, 0xC5D0, 0xC5F2, 0xC5F3, 0xCDF3, 0xDE34, 0xE6B5, 0xF758, 0xF77A, 
        0xF77B, 0xF75B, 0xF77B, 0xFF7C, 0xF77C, 0xE6F9, 0xD656, 0xBDB3, 0xAD32, 0xAD11, 0xACF1, 0xB552, 0xBDB2, 0xC614, 0xCE96, 0xDED8, 0xE73A, 0xF7BD, 0xFFFD, 0xFFFD, 0xFFDD, 0xFFDD, 0xF77B, 0xE694, 0xDE31, 0xDE10, 0xDDCF, 0xDD8F, 0xDD71, 0xEE55, 
        0xF6D7, 0xF6F7, 0xFF38, 0xFF59, 0xEF18, 0xBD2D, 0xA429, 0xA42A, 0xB4AD, 0xC52F, 0xE633, 0xF6B6, 0xF6D7, 0xF696, 0xEE76, 0xEE96, 0xF696, 0xF675, 0xFEB5, 0xF716, 0xE6B6, 0xCDB4, 0xB413, 0xB3DA, 0xB3FD, 0xBC1E, 0xBC3E, 0xC43E, 0xC41E,
  0x932F, 0x9B50, 0xA3B2, 0xB3F3, 0xB414, 0xBC35, 0xC496, 0xC4B5, 0xBC93, 0xB471, 0xAC30, 0xA3D0, 0x9B2E, 0x92CD, 0x8AAB, 0x828A, 0x8AAA, 0x9B0B, 0xABAE, 0xBBEF, 0xD411, 0xE433, 0xEC54, 0xF474, 0xF413, 0xF3D2, 0xEB92, 0xEB92, 0xEB92, 0xEB91, 0xDB30, 
        0xDB51, 0xE3D2, 0xEC53, 0xF474, 0xF474, 0xEC13, 0xE3F2, 0xDBD1, 0xDBCF, 0xD3AF, 0xCBAE, 0xBBEE, 0xB3EE, 0xA38D, 0x9B4C, 0x930C, 0x8B0B, 0x9B6C, 0xABCD, 0xB42F, 0xBC50, 0xCC71, 0xDC51, 0xC40E, 0xB3EC, 0xA3CB, 0x9BAA, 0x9BA9, 0x9388, 0x8B86, 
        0x8B85, 0x8BA6, 0x8BC7, 0x93C8, 0x9C09, 0xB44D, 0xCC4F, 0xD471, 0xDC72, 0xE492, 0xDCB2, 0xDCB2, 0xDC92, 0xE492, 0xE4B3, 0xECB4, 0xECD4, 0xE4B3, 0xDCB3, 0xDC92, 0xD491, 0xD491, 0xBC2F, 0xA38B, 0x9329, 0x82C6, 0x7285, 0x72A5, 0x7307, 0x940A, 
        0x9C8B, 0xA4AD, 0xACCF, 0xACD0, 0xBD32, 0xDDD5, 0xE616, 0xDE15, 0xC5D2, 0xB54E, 0x9CEA, 0xB52D, 0xC590, 0xCE11, 0xDE51, 0xDE51, 0xDDF1, 0xBD52, 0xA4D0, 0x8C0A, 0x8386, 0x7B45, 0x7B25, 0x62C4, 0x5A84, 0x5265, 0x52A7, 0x5AC8, 0x6329, 0x62E8, 
        0x6B08, 0x7B89, 0x7BEA, 0x842A, 0x7C4B, 0x844C, 0x8C2C, 0x8C0C, 0x8C4C, 0x9C8C, 0xAD0C, 0xC58A, 0xC5A9, 0xB569, 0xA528, 0x94C7, 0x7C25, 0x6B63, 0x6322, 0x6323, 0x7364, 0x8386, 0xAC2A, 0xDCF0, 0xE512, 0xD491, 0xC42F, 0xBC2D, 0xAC6A, 0x9C68, 
        0x9488, 0x9508, 0x9568, 0x9588, 0x9D68, 0xA4CA, 0xAC4B, 0xA3CC, 0xA38C, 0xAB8D, 0xBC10, 0xE4D5, 0xF516, 0xE4B4, 0xD431, 0xC3AF, 0xA32C, 0x8BA9, 0x7BE7, 0x73E5, 0x7425, 0x7445, 0x8426, 0x8B85, 0x8B04, 0x8285, 0x92A8, 0xA30B, 0xA36E, 0x5A26, 
        0x39A3, 0x39E3, 0x3A03, 0x39E3, 0x31A2, 0x3164, 0x2924, 0x1882, 0x1862, 0x28C4, 0x51C8, 0x82CA, 0x8AEA, 0x72A9, 0x7B6C, 0x9C70, 0xCE38, 0xE71C, 0xD679, 0x9C72, 0x8B8E, 0x9C11, 0xD5F9, 0xF75D, 0xF79E, 0xEF1C, 0xE6BA, 0xDE58, 0xBD14, 0x8B6D, 
        0x7AEA, 0x9B6C, 0xBC90, 0xD5B4, 0xF719, 0xFEB7, 0xFE35, 0xF5D4, 0xED72, 0xE531, 0xD4CF, 0xB42C, 0xABEB, 0xA3AB, 0xA38A, 0x9B69, 0x9349, 0x934A, 0x934A, 0x8B09, 0x82C9, 0x7AA9, 0x830A, 0xAC2E, 0xBCD0, 0xBCD0, 0xBCF1, 0xBD11, 0xC552, 0xC512, 
        0xC4F2, 0xBCB1, 0xB48F, 0xAC6F, 0xAC4F, 0xACB1, 0xB4D2, 0xB4B1, 0xACB0, 0xACB0, 0xB4F2, 0xCD94, 0xD5B5, 0xD574, 0xCD53, 0xCD33, 0xC513, 0xCCD1, 0xCCB1, 0xCCD2, 0xCCD2, 0xC4D2, 0xCCD2, 0xD513, 0xD533, 0xDD53, 0xDD33, 0xDD33, 0xDD12, 0xDD32, 
        0xDD52, 0xDD31, 0xDD32, 0xDD12, 0xDD12, 0xDD31, 0xD530, 0xD50F, 0xD4CF, 0xD4CE, 0xD48E, 0xBC6C, 0xB44C, 0xB44C, 0xBC4C, 0xBC4C, 0xBC2B, 0xABC9, 0xA3A9, 0xABCA, 0xA38A, 0x9329, 0x6A85, 0x4A63, 0x4A83, 0x5AC6, 0x6B08, 0x6B28, 0x62E7, 0x4A24, 
        0x4A03, 0x5A64, 0x5AA4, 0x5AA4, 0x52C4, 0x5306, 0x5B07, 0x5AC6, 0x5244, 0x41C4, 0x3984, 0x6246, 0x836A, 0xC594, 0xEEF9, 0xF73A, 0xF6D8, 0xF6D8, 0xF6D7, 0xEE76, 0xE655, 0xDE35, 0xDE54, 0xE675, 0xE676, 0xDE55, 0xDE35, 0xDE34, 0xDE54, 0xDE54, 
        0xDE54, 0xDE34, 0xDE34, 0xDE13, 0xDE34, 0xE674, 0xE675, 0xDE34, 0xD5F4, 0xCDD3, 0xC5D3, 0xD615, 0xD636, 0xD5F5, 0xD5F6, 0xDE37, 0xE677, 0xDDF6, 0xCD95, 0xBD54, 0xACF2, 0xACB1, 0xB4F2, 0xE6FA, 0xDEDA, 0x9490, 0x6309, 0x52A8, 0x52C7, 0x4244, 
        0x31C2, 0x2101, 0x10C1, 0x18E2, 0x2123, 0x18E1, 0x10C1, 0x1901, 0x1921, 0x1922, 0x1922, 0x2142, 0x2982, 0x31E3, 0x4224, 0x4204, 0x4204, 0x5AC5, 0x6B26, 0x8389, 0x93CB, 0x9C0B, 0xA449, 0x9D08, 0x9D68, 0xADC9, 0xB5C9, 0xB58A, 0xA4EB, 0x942D, 
        0x8BEC, 0x8BC9, 0x9429, 0xA48A, 0xB50C, 0xA4CB, 0x9CAB, 0xA4AC, 0xA4EE, 0xB52F, 0xC571, 0xD5B3, 0xD592, 0xB530, 0xACEE, 0xA4ED, 0xB54E, 0xDE92, 0xE6F3, 0xD672, 0xCE11, 0xC5F1, 0xBDB1, 0xB551, 0xB550, 0xBD71, 0xD5F3, 0xE675, 0xF75A, 0xFFBD, 
        0xFFDE, 0xFFBD, 0xFFBD, 0xFF9D, 0xF7BD, 0xF7BE, 0xF7BD, 0xEF7C, 0xE71B, 0xD699, 0xC5D6, 0xC5B3, 0xBD71, 0xACCE, 0x9C4C, 0x944C, 0x9CCF, 0xD698, 0xEF7C, 0xF79C, 0xFFDD, 0xFFBC, 0xF79B, 0xF719, 0xF6F7, 0xF6D6, 0xEE94, 0xE632, 0xDDB0, 0xDD91, 
        0xE5F2, 0xF6D5, 0xFF58, 0xFF99, 0xF758, 0xD613, 0xC591, 0xCD70, 0xD5CF, 0xE630, 0xF6B1, 0xF6F5, 0xF6D7, 0xF6B7, 0xF696, 0xF676, 0xF675, 0xFEB8, 0xFEF9, 0xF6D8, 0xDE16, 0xC515, 0xA396, 0xBBFC, 0xC45F, 0xC43F, 0xC43E, 0xC43E, 0xC43E,
  0x9310, 0x9B31, 0xA392, 0xB3D3, 0xB3D4, 0xBBD4, 0xBBF4, 0xBBF4, 0xB3D3, 0xABD2, 0xABD2, 0x9B90, 0x8B0E, 0x7ACD, 0x6AAA, 0x62A9, 0x6ACA, 0x8B2C, 0xAB8F, 0xBBD0, 0xCBD0, 0xD412, 0xDC53, 0xEC74, 0xF434, 0xFC13, 0xF3D3, 0xF3B3, 0xF3B3, 0xF3B2, 0xEB92, 
        0xEBB2, 0xEBF3, 0xF434, 0xEC34, 0xEC33, 0xEC13, 0xEBF2, 0xE3B1, 0xDB4F, 0xCB2D, 0xBB0C, 0xB34E, 0xAB4E, 0x9B2C, 0x8AEA, 0x82E9, 0x8B2A, 0xA3AD, 0xB40E, 0xBC2F, 0xC450, 0xC450, 0xC450, 0xBC2E, 0xB40D, 0xA3AC, 0x9B8B, 0x9B8A, 0x93A8, 0x8BA7, 
        0x8BA6, 0x8BC7, 0x9408, 0x9408, 0x9C29, 0xAC6C, 0xB48D, 0xCCAF, 0xDCB0, 0xE4B2, 0xE492, 0xDC70, 0xD450, 0xD471, 0xDC72, 0xDC72, 0xE492, 0xE492, 0xE492, 0xE492, 0xE492, 0xE492, 0xDC90, 0xBC2E, 0xABEC, 0x9B8B, 0x8B29, 0x82E9, 0x82C8, 0x8B89, 
        0x940A, 0x9C8C, 0xA4CD, 0xACEF, 0xBD12, 0xD594, 0xD5D5, 0xD5D3, 0xC5B2, 0xBD90, 0xB54D, 0xC54C, 0xCD6D, 0xDDF0, 0xE632, 0xE633, 0xD5D2, 0xB4F0, 0xA48E, 0x9C8D, 0x9C6B, 0x9449, 0x7B86, 0x5283, 0x4221, 0x4242, 0x4A64, 0x5265, 0x5266, 0x4A24, 
        0x4A23, 0x5A85, 0x62C7, 0x62C8, 0x6288, 0x5A47, 0x6287, 0x838A, 0xA48C, 0xACED, 0xBD4C, 0xBD89, 0xBD88, 0xB58A, 0xA529, 0x9487, 0x73A4, 0x6343, 0x6B44, 0x7B65, 0x9367, 0xA369, 0xBB8D, 0xDC93, 0xDCF4, 0xCCAF, 0xBC6C, 0xB46A, 0xA488, 0x94C7, 
        0x8CE6, 0x8D07, 0x9529, 0xA52A, 0xB4EC, 0xAC2D, 0xABCD, 0xA34C, 0x9AEB, 0x9ACA, 0xAB0C, 0xDC93, 0xED16, 0xD4F3, 0xC4B1, 0xB490, 0xA44C, 0x73E5, 0x63C3, 0x6BE4, 0x7C04, 0x83E4, 0x93A5, 0x9BA8, 0x9B6A, 0x9ACB, 0x928B, 0x828A, 0x6A88, 0x49C4, 
        0x3983, 0x49C5, 0x49E6, 0x49E5, 0x39A4, 0x4102, 0x40E2, 0x4965, 0x628A, 0x8BEF, 0xC555, 0xA38F, 0x8A8B, 0x7A69, 0x7269, 0x6AAA, 0x7B6E, 0xBDD7, 0xC5D7, 0x93CF, 0x834D, 0x9C51, 0xDE79, 0xEEBB, 0xDE18, 0xB4D3, 0x93AE, 0x8B0C, 0x828A, 0x7AA9, 
        0x82E9, 0xABAD, 0xCCD1, 0xE5D5, 0xF718, 0xFED7, 0xFE55, 0xF5B4, 0xED52, 0xE511, 0xD4AF, 0xB42C, 0xABCB, 0xA38B, 0x9B6A, 0x9B4A, 0x9B2B, 0x9B6A, 0x9B6A, 0x934A, 0x8B2A, 0x830A, 0x82EA, 0x936B, 0x9BCD, 0xA42E, 0xAC6E, 0xAC6E, 0xAC6F, 0xBCD1, 
        0xC512, 0xC512, 0xBCF2, 0xBCF2, 0xBCD1, 0xCCF1, 0xD532, 0xDD53, 0xD574, 0xD574, 0xD554, 0xDD74, 0xDD53, 0xDD33, 0xD512, 0xD512, 0xD512, 0xDD32, 0xDD32, 0xDD32, 0xDD33, 0xDD33, 0xE553, 0xE554, 0xED74, 0xED73, 0xED53, 0xE552, 0xDD32, 0xE532, 
        0xE532, 0xE532, 0xE512, 0xE513, 0xE533, 0xDD51, 0xDD2F, 0xD50F, 0xD4EF, 0xD4EF, 0xD4CE, 0xBC6D, 0xB44D, 0xB44D, 0xBC2D, 0xB40C, 0xB3EB, 0xABCA, 0xABCA, 0xABCB, 0xA3AA, 0x9B8A, 0x7AE7, 0x4A02, 0x41E1, 0x5284, 0x5AE7, 0x52E7, 0x52C7, 0x6AA5, 
        0x6AA5, 0x6AA4, 0x5A83, 0x5262, 0x52C4, 0x846C, 0x8CAD, 0x6B88, 0x4A43, 0x39A3, 0x4A47, 0xB595, 0xEF1B, 0xF75B, 0xFF3A, 0xFF19, 0xF6D8, 0xF698, 0xF657, 0xEE35, 0xE655, 0xE675, 0xE696, 0xEE96, 0xEE96, 0xE676, 0xE676, 0xE676, 0xE676, 0xE676, 
        0xE656, 0xDE55, 0xDE55, 0xDE55, 0xDE35, 0xDE15, 0xDDF5, 0xD5D5, 0xCDB4, 0xCD94, 0xCDB4, 0xDE96, 0xDEB7, 0xD636, 0xD5F6, 0xD5F6, 0xDE17, 0xC5B5, 0xBD74, 0xBD53, 0xC553, 0xC573, 0xD616, 0xE71B, 0xCE58, 0x6B4C, 0x3185, 0x3184, 0x5AE7, 0x840A, 
        0x7BC9, 0x4204, 0x18C1, 0x10A0, 0x18C1, 0x2123, 0x2944, 0x2123, 0x2122, 0x1901, 0x2121, 0x2982, 0x31A3, 0x39C3, 0x39E3, 0x39E3, 0x3A24, 0x5A84, 0x6AC5, 0x8367, 0x93C8, 0x93E9, 0x9408, 0x9C88, 0xACE8, 0xB56A, 0xB58B, 0xAD6B, 0x9CCA, 0x944C, 
        0x942D, 0xA46F, 0xAC8F, 0xAC8E, 0xA46C, 0xACEC, 0xACEC, 0x9CAB, 0x9C8B, 0x9CCC, 0xB52F, 0xCD93, 0xD5B4, 0xD5D3, 0xCD91, 0xBD4E, 0xA50C, 0xB5AE, 0xC610, 0xCE72, 0xCE73, 0xCE53, 0xB5D2, 0xA530, 0xA52F, 0xBDCF, 0xD66F, 0xE6AF, 0xF732, 0xFFBA, 
        0xFFFE, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF7BE, 0xEF5D, 0xE71B, 0xDEB8, 0xC5B4, 0xB4EF, 0xA48C, 0x942A, 0x948D, 0xA530, 0xD654, 0xF738, 0xFF9A, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFBB, 0xFF58, 0xF6F5, 0xEE51, 0xEE11, 
        0xEE32, 0xF6B3, 0xF6F4, 0xFF15, 0xFF16, 0xF6B6, 0xF6B6, 0xF6D6, 0xF6F5, 0xF6D5, 0xFEB5, 0xFEB7, 0xF6D8, 0xF6B6, 0xF695, 0xF693, 0xEE93, 0xF736, 0xF6F7, 0xD596, 0xBC77, 0xABF9, 0xABDD, 0xC41F, 0xCC3F, 0xC41E, 0xBBFE, 0xBC1E, 0xC43F,
  0x92F0, 0x92F1, 0x9B31, 0x9B52, 0x9B32, 0x9B12, 0x9B33, 0x9B32, 0x9B10, 0x930E, 0x8AED, 0x8AAC, 0x82AD, 0x82AD, 0x8ACD, 0x930E, 0x9B2F, 0xAB70, 0xB3B0, 0xBBB0, 0xD3D1, 0xE412, 0xEC33, 0xF474, 0xF495, 0xF475, 0xF434, 0xF3F4, 0xF3D3, 0xF3B3, 0xEBF4, 
        0xE414, 0xE3F3, 0xE3F3, 0xE3F2, 0xDBD2, 0xCB71, 0xC350, 0xBB2D, 0xB32B, 0xAB2A, 0xA329, 0x9B09, 0x9B09, 0x934A, 0x938B, 0x9B8B, 0xA3AC, 0xABED, 0xB42E, 0xC42F, 0xCC51, 0xCC52, 0xD452, 0xBBCE, 0xB38C, 0xABAB, 0xA3AA, 0xA3A9, 0x9BA8, 0x93E8, 
        0x9408, 0x93E9, 0x9BC9, 0x9BA9, 0x9BA9, 0xAC0C, 0xBC4D, 0xC44E, 0xD42F, 0xD3EF, 0xD3CF, 0xBBAD, 0xB3AD, 0xBBAE, 0xBBAE, 0xC3EF, 0xCC30, 0xD450, 0xD471, 0xD471, 0xD471, 0xCC71, 0xCC70, 0xCC6F, 0xCC6F, 0xBC4D, 0xAC0C, 0xA3CB, 0x9369, 0x7346, 
        0x6B45, 0x6B46, 0x7367, 0x83A9, 0x9C4C, 0xB531, 0xC5B3, 0xD615, 0xD635, 0xD653, 0xC60E, 0xB56A, 0xB54A, 0xC58C, 0xCDAE, 0xCDAF, 0xC58F, 0xAD30, 0xAD0F, 0xAD0C, 0xA4E9, 0x9CA8, 0x9447, 0x8406, 0x6B85, 0x4A43, 0x3182, 0x2982, 0x39C3, 0x41C4, 
        0x41C4, 0x4204, 0x4A44, 0x4A65, 0x4224, 0x2922, 0x3164, 0x7B6A, 0xB510, 0xCDB1, 0xCDCF, 0xB528, 0xA4C5, 0xAD06, 0xAD47, 0xAD68, 0xA528, 0x83C5, 0x7B86, 0x9C49, 0xB48D, 0xC46F, 0xD411, 0xE472, 0xECD3, 0xE4F2, 0xD4D0, 0xBCAE, 0xA469, 0x9CA7, 
        0x94C7, 0x84C7, 0x84C7, 0x94E8, 0xA4EA, 0xAC6B, 0xA3CA, 0x8AC8, 0x8247, 0x8228, 0x9A8B, 0xBB2F, 0xCB70, 0xCBD0, 0xCC31, 0xCC71, 0xBC70, 0x8C09, 0x7BC6, 0x73C5, 0x73E4, 0x73E4, 0x7C04, 0x83E5, 0x8BA6, 0x9367, 0x8B28, 0x82E8, 0x6267, 0x39E3, 
        0x39C2, 0x4203, 0x41E4, 0x3163, 0x2923, 0x82C9, 0xBC2F, 0xD5D6, 0xE6B9, 0xEEB9, 0xE5D4, 0xA3EE, 0x8B4D, 0x9BCE, 0x9BEE, 0x8B8D, 0x6AAA, 0x6228, 0x6228, 0x6A89, 0x7B4C, 0x93EF, 0xB492, 0x9BF0, 0x938E, 0x938D, 0x9BCD, 0xA3ED, 0xB470, 0xD534, 
        0xDDB6, 0xEE16, 0xF676, 0xF676, 0xF676, 0xFE55, 0xF615, 0xED93, 0xE531, 0xDD10, 0xCC8D, 0xB3EC, 0xABAB, 0xAB8B, 0xA36A, 0xA36A, 0x9B2A, 0x9B29, 0x9B49, 0x934A, 0x934B, 0x934A, 0x8B2A, 0x8B0A, 0x8B0A, 0x936C, 0xA3ED, 0xAC2D, 0xB46E, 0xB4D0, 
        0xBCD1, 0xBCF1, 0xBCF2, 0xB4F1, 0xBD11, 0xDD33, 0xE554, 0xDD73, 0xD553, 0xD552, 0xD532, 0xDD53, 0xE554, 0xDD33, 0xDD33, 0xDD33, 0xDD33, 0xE553, 0xE573, 0xE573, 0xE573, 0xE574, 0xE574, 0xE553, 0xE553, 0xE573, 0xE573, 0xE553, 0xE552, 0xE572, 
        0xE572, 0xDD52, 0xDD33, 0xDD33, 0xDD33, 0xD50F, 0xCCEE, 0xCCEE, 0xCCCE, 0xCCCE, 0xCCAE, 0xBC6D, 0xBC4C, 0xBC4C, 0xBC4C, 0xB42C, 0xB40B, 0xABAA, 0xABA9, 0xABA9, 0xABAA, 0xA3CA, 0x8B69, 0x49C3, 0x3961, 0x4223, 0x4AA5, 0x4AC5, 0x52A6, 0x6A44, 
        0x7244, 0x6A64, 0x6284, 0x6284, 0x6B06, 0x8C8C, 0x8C4D, 0x5AA8, 0x5A87, 0x7BAB, 0xCE35, 0xF77B, 0xFF9C, 0xFEFA, 0xF698, 0xF697, 0xEE97, 0xE677, 0xE656, 0xE656, 0xE676, 0xE676, 0xE697, 0xE697, 0xE697, 0xE697, 0xE697, 0xE697, 0xE677, 0xE676, 
        0xE656, 0xDE56, 0xDE56, 0xE656, 0xDE36, 0xD5D4, 0xCDB4, 0xCDD4, 0xCDD5, 0xCDD4, 0xC5D4, 0xD615, 0xDE15, 0xD5F5, 0xD616, 0xD637, 0xD637, 0xC573, 0xBD52, 0xC593, 0xCE36, 0xDE98, 0xDEB9, 0xB593, 0x8C4E, 0x4A67, 0x31A4, 0x4205, 0x6B89, 0x94AC, 
        0x844A, 0x4A45, 0x18E2, 0x1081, 0x10C1, 0x2943, 0x3144, 0x2922, 0x2102, 0x2122, 0x2142, 0x2142, 0x2142, 0x2982, 0x31C3, 0x31C3, 0x3A03, 0x5AE6, 0x6B47, 0x7B87, 0x8387, 0x8366, 0x8BA6, 0xA509, 0xAD8A, 0xA54A, 0x9D29, 0x9CE9, 0x94A9, 0x946B, 
        0x9C6C, 0xA48E, 0xA48F, 0xA46E, 0x9C4B, 0xAD0B, 0xAD2B, 0x9CAA, 0x944A, 0x946B, 0xA4CE, 0xC553, 0xCD95, 0xD5F4, 0xCE12, 0xC5D1, 0xB54F, 0xAD0E, 0xB52F, 0xBDB1, 0xC612, 0xC632, 0xBE11, 0xB58F, 0xBD8F, 0xCE2F, 0xE6B2, 0xEEF5, 0xF75A, 0xFFBD, 
        0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFBE, 0xFFDF, 0xFFFF, 0xFFFF, 0xF79E, 0xDE99, 0xC5B5, 0xA4AF, 0x940C, 0x940A, 0x9C69, 0xA4AA, 0xAD2D, 0xD654, 0xEF39, 0xF79B, 0xFFDD, 0xFFFC, 0xFFDC, 0xFFBC, 0xF779, 0xF736, 0xEEB2, 0xEE71, 
        0xEE71, 0xEE72, 0xEE93, 0xF6B3, 0xFEF5, 0xFF16, 0xF6F6, 0xF6D6, 0xF6B5, 0xF696, 0xF677, 0xF6D5, 0xF6D4, 0xEE93, 0xEE93, 0xF6D5, 0xF717, 0xEE76, 0xDD96, 0xB437, 0xA37A, 0xAB7B, 0xBBFE, 0xBC3F, 0xBC3E, 0xBC1E, 0xBBFE, 0xBBFE, 0xBC1E,
  0x8292, 0x8AB2, 0x8AD2, 0x92F2, 0x92D1, 0x92B1, 0x92D2, 0x92D2, 0x92B1, 0x8AB0, 0x8A8E, 0x82AD, 0x7AEE, 0x7B0F, 0x9310, 0xA350, 0xAB51, 0xB371, 0xC370, 0xC390, 0xD3B1, 0xDBF2, 0xE412, 0xEC33, 0xF454, 0xF454, 0xF434, 0xF414, 0xF3F3, 0xF3D3, 0xEBD4, 
        0xE3D4, 0xE3D3, 0xE3D3, 0xE3F3, 0xE3F3, 0xD371, 0xCB50, 0xC32E, 0xBB2C, 0xB30B, 0xA30A, 0x9AE9, 0x9B09, 0x9348, 0x9388, 0x93A8, 0x93AA, 0xABAD, 0xB3AE, 0xBBEF, 0xC410, 0xD431, 0xDC32, 0xC3EF, 0xB3CD, 0xABCC, 0xABCB, 0xA3CA, 0x9BC9, 0x9BE8, 
        0x93E8, 0x9BE9, 0x9BE9, 0x93C9, 0x93C8, 0xA3CA, 0xABEB, 0xB3ED, 0xC3EE, 0xCBEE, 0xCBCE, 0xC3AE, 0xBBAE, 0xB38E, 0xB3AE, 0xBBCE, 0xC40E, 0xD42F, 0xD430, 0xD450, 0xD470, 0xD470, 0xD470, 0xC42F, 0xC40E, 0xBC0E, 0xB40D, 0xABED, 0x9BAC, 0x7B48, 
        0x6B26, 0x6AE6, 0x6AE6, 0x6AC6, 0x7328, 0x9C8E, 0xB552, 0xCDB4, 0xDDF4, 0xD5F2, 0xCDAE, 0xB54A, 0xAD4A, 0xC5AD, 0xCE10, 0xCE11, 0xBD91, 0x9CAD, 0x944B, 0x9C2A, 0xA449, 0x9C68, 0x9447, 0x7BA5, 0x6B05, 0x4A45, 0x3A05, 0x3A25, 0x4A65, 0x4A45, 
        0x4A25, 0x4224, 0x4243, 0x4223, 0x3A02, 0x39C3, 0x5266, 0x9C6D, 0xC5B1, 0xCDF0, 0xBD6B, 0xA4E7, 0x9CC6, 0x9CC6, 0xA507, 0xAD48, 0xAD4A, 0xA4CA, 0xA48A, 0xB4AD, 0xCC90, 0xD472, 0xDC33, 0xE493, 0xE4F3, 0xDD31, 0xCD4F, 0xBD0C, 0xA4C8, 0x9CC9, 
        0x9CC9, 0x94A9, 0x9CC8, 0xA4C9, 0xACCA, 0xA40B, 0x9B6B, 0x8AA9, 0x8A28, 0x8A29, 0x9A6B, 0xBAED, 0xC34E, 0xCBAF, 0xC3EF, 0xBC0E, 0xA42C, 0x8C09, 0x7C07, 0x7404, 0x7422, 0x7422, 0x7C24, 0x83E7, 0x8BA9, 0x936A, 0x82E9, 0x72A7, 0x4A04, 0x3A03, 
        0x4224, 0x4A25, 0x41C4, 0x3143, 0x3186, 0xB575, 0xF75C, 0xFF7B, 0xFF39, 0xFEF8, 0xE635, 0xB4D0, 0x940E, 0x838D, 0x83AE, 0x940F, 0xACB1, 0xAC71, 0x9C51, 0x9C30, 0x93EF, 0x93CF, 0x93AE, 0xA410, 0xAC71, 0xBCD2, 0xC512, 0xCD12, 0xCD11, 0xD532, 
        0xDD73, 0xEE16, 0xF657, 0xFE77, 0xFE76, 0xFE55, 0xFE34, 0xF5B3, 0xE552, 0xDCF0, 0xC48E, 0xB3EC, 0xABAB, 0xAB8B, 0xA38B, 0xA36B, 0x9B4A, 0x9B4A, 0x936A, 0x9B8B, 0x9BAC, 0xA3AC, 0x9B8C, 0x832A, 0x7AE9, 0x830A, 0x8B6B, 0x9BCD, 0xB48E, 0xB4D0, 
        0xBCD0, 0xC4F2, 0xC512, 0xCD12, 0xD532, 0xDD54, 0xE574, 0xDD74, 0xDD74, 0xDD73, 0xE573, 0xED94, 0xED94, 0xED74, 0xE573, 0xE574, 0xED94, 0xED74, 0xED74, 0xED94, 0xEDB4, 0xED94, 0xED74, 0xE574, 0xE574, 0xE573, 0xE573, 0xE573, 0xE553, 0xE572, 
        0xE572, 0xE552, 0xE532, 0xE533, 0xDD32, 0xD511, 0xD510, 0xD4F0, 0xD4CF, 0xD4CF, 0xCCAF, 0xCC8E, 0xCC6D, 0xBC4D, 0xB44C, 0xB42C, 0xB40C, 0xB3CB, 0xABAB, 0xABAA, 0xABCA, 0xB3EB, 0xA3CB, 0x5A44, 0x39A1, 0x4202, 0x4A63, 0x4AA4, 0x5A84, 0x6A04, 
        0x7204, 0x7265, 0x7AE6, 0x7B48, 0x7368, 0x5A65, 0x5204, 0x6AA7, 0x9C0D, 0xBD72, 0xEF19, 0xF6F7, 0xF696, 0xFE98, 0xF699, 0xEE98, 0xE697, 0xE676, 0xE676, 0xEE97, 0xEE97, 0xE698, 0xE698, 0xE6B8, 0xEEB8, 0xEE97, 0xEE97, 0xEE97, 0xEE97, 0xE696, 
        0xE696, 0xE676, 0xDE56, 0xE656, 0xDE36, 0xD615, 0xD614, 0xDE15, 0xDE36, 0xDE36, 0xD5F6, 0xCDD5, 0xCDD4, 0xD5F5, 0xD616, 0xD616, 0xCE16, 0xDE34, 0xDE75, 0xDEB7, 0xCE78, 0xBDD6, 0x8C50, 0x4A27, 0x31A4, 0x4A25, 0x5AE7, 0x6B48, 0x73CA, 0x8C6B, 
        0x948C, 0x840A, 0x6308, 0x4225, 0x2122, 0x2942, 0x2962, 0x2121, 0x2101, 0x2122, 0x2984, 0x2964, 0x2963, 0x29A2, 0x29C1, 0x29C2, 0x3A03, 0x6305, 0x7B87, 0x7BA8, 0x7B67, 0x7B46, 0x8385, 0xAD49, 0xB5CA, 0xA549, 0x9CC9, 0x9CC8, 0x9CA9, 0x940B, 
        0x93EC, 0x9C4F, 0xA490, 0xA46F, 0x9C6C, 0xA4CA, 0xA4E9, 0xA4AA, 0x9C8A, 0x946A, 0x948B, 0xAD0F, 0xBD51, 0xBD92, 0xC5D2, 0xC613, 0xCE13, 0xC571, 0xBD30, 0xB551, 0xBD91, 0xBDD1, 0xC631, 0xC671, 0xCE50, 0xCDD0, 0xD5B1, 0xDDB3, 0xE657, 0xF75B, 
        0xFFDD, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF7BD, 0xEF5C, 0xD699, 0xC616, 0xBDB4, 0xB551, 0xA48C, 0xACCD, 0xD613, 0xF718, 0xFF5A, 0xFF5A, 0xFF7A, 0xFF7B, 0xFF7B, 0xFF9B, 0xFF99, 0xF756, 0xF6D0, 
        0xEE6D, 0xE62E, 0xE630, 0xEE51, 0xF693, 0xF6B5, 0xF6B5, 0xF6B5, 0xF695, 0xF675, 0xF656, 0xF6D6, 0xF716, 0xF715, 0xF715, 0xF6F5, 0xE655, 0xC4B4, 0xB3D5, 0xAB9A, 0xB39D, 0xB3BE, 0xC41E, 0xC43E, 0xBC3E, 0xBC5E, 0xBC3E, 0xBC3E, 0xBC1E,
  0x8A73, 0x8A73, 0x8A74, 0x8A94, 0x9294, 0x8AB3, 0x7A92, 0x7A71, 0x8250, 0x8A2F, 0x8A2E, 0x826E, 0x92D0, 0x9B11, 0xA311, 0xB330, 0xBB50, 0xCB91, 0xDB92, 0xDBB2, 0xE3B2, 0xE3D2, 0xE3F2, 0xE3F2, 0xE3D1, 0xEBD2, 0xEBD2, 0xEBD2, 0xEBB2, 0xEBB2, 0xEBF3, 
        0xEC13, 0xEC13, 0xE412, 0xE412, 0xE412, 0xD410, 0xCBEF, 0xBBAD, 0xB36C, 0xAB4B, 0xA34B, 0xA32B, 0x9B2B, 0x9B2A, 0x9B2A, 0x932A, 0x9B4A, 0xB38C, 0xBBCD, 0xB42E, 0xBC6F, 0xC470, 0xCC31, 0xC42F, 0xBC0E, 0xB3ED, 0xABCC, 0xABCB, 0xABCA, 0xA3CA, 
        0x9BEB, 0x9BEB, 0x9BEB, 0x9BCB, 0x9BAA, 0xA38B, 0xAB6C, 0xB38D, 0xBBAE, 0xBBAE, 0xC3AF, 0xBBCF, 0xBBCE, 0xB3CE, 0xB3EE, 0xB40E, 0xB44F, 0xBC70, 0xC471, 0xC490, 0xC4B1, 0xC4D1, 0xC4F1, 0xBC8F, 0xB46E, 0xB48E, 0xACAF, 0xA4AE, 0x944D, 0x7BCA, 
        0x7389, 0x6B47, 0x62C5, 0x5264, 0x5264, 0x7BEB, 0x9CF0, 0xC595, 0xDDF7, 0xD615, 0xC5EF, 0xB589, 0xB588, 0xBDEB, 0xBDED, 0xB56C, 0x9C8A, 0x944A, 0x946B, 0x9CCA, 0xA50A, 0xA529, 0x94A8, 0x5AC3, 0x41E1, 0x39C2, 0x4203, 0x52A4, 0x6326, 0x5266, 
        0x4A05, 0x4A45, 0x4A44, 0x4A43, 0x4222, 0x4203, 0x5AC7, 0x9C8E, 0xBDB1, 0xBDAF, 0x9D0A, 0xA468, 0xA447, 0x9C87, 0x9CE8, 0xAD69, 0xBDCB, 0xAD0A, 0xA489, 0xAC6A, 0xBC8D, 0xCCD0, 0xE4F5, 0xECD6, 0xE4D5, 0xDCD3, 0xCC90, 0xC44E, 0xAC0B, 0xA46D, 
        0x9CCD, 0x952B, 0x954A, 0x9D4A, 0xA4EB, 0xA48B, 0x9BEA, 0x8AE9, 0x8208, 0x81C8, 0x89A9, 0xB26C, 0xC2ED, 0xCB4E, 0xD3B0, 0xD3F0, 0xC40F, 0x9BAB, 0x8B69, 0x7B87, 0x73C6, 0x7405, 0x7C44, 0x8C46, 0x9407, 0x8367, 0x72C5, 0x6243, 0x49E2, 0x4224, 
        0x4A45, 0x5224, 0x49A2, 0x3121, 0x39A6, 0xBDF7, 0xFFBD, 0xFF79, 0xFEF6, 0xFEB6, 0xF657, 0xDD95, 0xC4F2, 0x9BEF, 0x7B0C, 0x72AA, 0x7AAA, 0xA42F, 0xB491, 0xA450, 0xA450, 0xB4B1, 0xD554, 0xDD54, 0xDD34, 0xDD53, 0xDD53, 0xDD53, 0xDD33, 0xDD12, 
        0xDD52, 0xE5B4, 0xF636, 0xFE77, 0xFE97, 0xFE96, 0xFE35, 0xF5B3, 0xE532, 0xDCF1, 0xC48F, 0xB40C, 0xB3CB, 0xABAB, 0xA38B, 0xA38B, 0xA36A, 0xA36B, 0xA38B, 0xA3AC, 0xA3CC, 0xA3CC, 0x9BCC, 0x938B, 0x8B4A, 0x82E9, 0x82E9, 0x832A, 0x9BCC, 0xBCD0, 
        0xC511, 0xBCF1, 0xBCD1, 0xC4F1, 0xD553, 0xE574, 0xE575, 0xE574, 0xE594, 0xED94, 0xED94, 0xEDB4, 0xEDB4, 0xF594, 0xF595, 0xF595, 0xF5B5, 0xEDB4, 0xED94, 0xED94, 0xF5B4, 0xF5B4, 0xF594, 0xED94, 0xED74, 0xED73, 0xED73, 0xED73, 0xED73, 0xED73, 
        0xED53, 0xED52, 0xE532, 0xE533, 0xE533, 0xE532, 0xE531, 0xDD10, 0xD4F0, 0xD4CF, 0xD4AF, 0xC48F, 0xBC6E, 0xBC4D, 0xB44D, 0xB42C, 0xB3EC, 0xABCC, 0xABCB, 0xABAA, 0xABCB, 0xB40C, 0xAC0D, 0x72A5, 0x5222, 0x4A01, 0x4A42, 0x5283, 0x6AA5, 0x69E4, 
        0x71A4, 0x7A25, 0x82E7, 0x8348, 0x7307, 0x4142, 0x4984, 0x9C6F, 0xD677, 0xEEF8, 0xF6D7, 0xFEB8, 0xFEBA, 0xFEDA, 0xF6B9, 0xF6B8, 0xEE96, 0xEE96, 0xEEB6, 0xEEB7, 0xEEB8, 0xEEB8, 0xEEB8, 0xF6B8, 0xF6B8, 0xEEB8, 0xEEB7, 0xEEB7, 0xEED7, 0xEEB7, 
        0xEE97, 0xE676, 0xE655, 0xE675, 0xE655, 0xD636, 0xD636, 0xDE56, 0xE656, 0xE657, 0xDDF6, 0xD5B5, 0xD5D5, 0xE656, 0xE676, 0xDE35, 0xD5F4, 0xEF19, 0xDED9, 0x9CD0, 0x5AC9, 0x41E7, 0x3185, 0x4A66, 0x62E7, 0x7389, 0x7BCA, 0x73A9, 0x7389, 0x842A, 
        0x948B, 0x9CEC, 0x94AC, 0x83EA, 0x5247, 0x20E2, 0x10A1, 0x18C1, 0x2122, 0x2143, 0x2964, 0x29A4, 0x29C4, 0x29E2, 0x29E2, 0x29E2, 0x3A03, 0x62E5, 0x7B67, 0x83A8, 0x7B87, 0x7345, 0x7B64, 0xAD6B, 0xBE0D, 0xAD2B, 0x9CAA, 0x9C8A, 0x94AA, 0x8409, 
        0x83EA, 0x944D, 0xA48E, 0xA4AF, 0xA48E, 0xA46B, 0xA48A, 0xA4AB, 0xA4AC, 0x948C, 0x946C, 0xA4AD, 0xACEE, 0xB530, 0xBD91, 0xC5D2, 0xCE33, 0xCDD2, 0xC572, 0xBD50, 0xB52F, 0xBD4F, 0xC5AF, 0xCE52, 0xD653, 0xDDF4, 0xDD73, 0xDD32, 0xD553, 0xEEBB, 
        0xFF7E, 0xFFBF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xF7BE, 0xEF5D, 0xDF1B, 0xCE98, 0xD6B2, 0xE6F2, 0xEF57, 0xFF59, 0xFF18, 0xFEB6, 0xF6D6, 0xF6F7, 0xF6F9, 0xF6F9, 0xFEF8, 0xFEF5, 0xF6F1, 
        0xF6CF, 0xF68F, 0xEE70, 0xEE50, 0xEE31, 0xEE32, 0xEE53, 0xEE73, 0xF673, 0xF653, 0xF653, 0xFEB5, 0xFEF7, 0xFF18, 0xEE98, 0xDDD6, 0xC495, 0xB3D9, 0xABBC, 0xBBDD, 0xC3FE, 0xC41F, 0xC45E, 0xC45E, 0xC43D, 0xBC1E, 0xBC1E, 0xBC1E, 0xC41E,
  0x8A73, 0x8A74, 0x8A74, 0x8A74, 0x8A94, 0x8AB3, 0x7272, 0x7251, 0x7A30, 0x822F, 0x822F, 0x8A4F, 0x9AF2, 0xA333, 0xB352, 0xBB71, 0xCB91, 0xDBD2, 0xE3F3, 0xE3D3, 0xE3D2, 0xE3D2, 0xE3D2, 0xDBD1, 0xDB90, 0xDB70, 0xDB91, 0xDB91, 0xDB71, 0xDB71, 0xE3D2, 
        0xE3F2, 0xE3F2, 0xE3F2, 0xE3F2, 0xDBF1, 0xD430, 0xCC0E, 0xBBCD, 0xAB8B, 0xAB6B, 0xA36A, 0x9B4A, 0x9B2B, 0x9B2B, 0x9AEB, 0x92CA, 0x92CA, 0xAB4B, 0xB3AC, 0xB40C, 0xB42D, 0xB42E, 0xC40F, 0xC42F, 0xC40E, 0xBBEE, 0xB3AD, 0xB3AC, 0xABCB, 0xA3CB, 
        0xA3EB, 0x9BEB, 0x9BCB, 0x9BCB, 0x9B8B, 0xA34B, 0xAB4B, 0xB34D, 0xB36D, 0xB36E, 0xB36E, 0xB38E, 0xB38E, 0xAB8E, 0xABCE, 0xABEE, 0xB44F, 0xB470, 0xB470, 0xB450, 0xB470, 0xB490, 0xB4B0, 0xAC4E, 0xAC2D, 0xAC6D, 0xA46D, 0x9C6D, 0x842C, 0x73AA, 
        0x6B69, 0x6B47, 0x5AC5, 0x4A43, 0x41E2, 0x6328, 0x840D, 0xAD13, 0xCDB5, 0xCDD4, 0xBDEE, 0xB5A8, 0xB5A7, 0xBDEA, 0xBDCC, 0xAD4B, 0x9449, 0x8409, 0x8429, 0x8C89, 0x9CE9, 0xA529, 0x9D08, 0x6B44, 0x4A43, 0x4A03, 0x4A44, 0x5AC5, 0x6347, 0x5266, 
        0x4A06, 0x5245, 0x4A64, 0x4A43, 0x39E1, 0x3A04, 0x5AC7, 0x9C6D, 0xBD6F, 0xB56E, 0x9CEA, 0xAC89, 0xB488, 0xA487, 0xA4E8, 0xAD69, 0xBDCB, 0xAD0A, 0xA489, 0xA469, 0xB48C, 0xC4CF, 0xE515, 0xED17, 0xED17, 0xE4F5, 0xD4D2, 0xCC90, 0xB42D, 0xA44D, 
        0x9CAD, 0x952B, 0x8D6A, 0x956B, 0xA52C, 0xA4CB, 0x9C4A, 0x9309, 0x8A28, 0x89C8, 0x91C9, 0xB28C, 0xC2CD, 0xCB2E, 0xD38F, 0xDBF0, 0xD430, 0xABCC, 0x93AA, 0x83A9, 0x73C7, 0x7406, 0x7444, 0x8C66, 0x8C26, 0x7B65, 0x62A4, 0x5A43, 0x49E2, 0x4224, 
        0x4A45, 0x5244, 0x49A2, 0x3121, 0x39A5, 0xBDD5, 0xF7BB, 0xFF78, 0xFEF6, 0xFE96, 0xFE37, 0xF5D6, 0xE575, 0xB491, 0x936D, 0x7AAA, 0x7248, 0xA3EE, 0xB491, 0xB490, 0xBCB1, 0xCD33, 0xEDF6, 0xED95, 0xE554, 0xE553, 0xE553, 0xE553, 0xE553, 0xDD33, 
        0xDD53, 0xE5B4, 0xF636, 0xF677, 0xFE97, 0xFE76, 0xFE15, 0xF593, 0xE532, 0xD4D1, 0xBC8E, 0xB40C, 0xB3EB, 0xABAB, 0xA38B, 0xA38B, 0xA36B, 0xA36B, 0xA38B, 0xA3AC, 0xA3CC, 0x9BCC, 0x9BCC, 0x9BAC, 0x938B, 0x8B09, 0x7AC9, 0x7AC9, 0x8B4A, 0xBCB0, 
        0xCD11, 0xBCF1, 0xBCD1, 0xC4F1, 0xD533, 0xE574, 0xE574, 0xE574, 0xE574, 0xED94, 0xED95, 0xEDB4, 0xEDB4, 0xF5B5, 0xF5B5, 0xFDB5, 0xF5B5, 0xEDB4, 0xEDB4, 0xED94, 0xF594, 0xF5B4, 0xF5B4, 0xED94, 0xED74, 0xED74, 0xED73, 0xED73, 0xED73, 0xED53, 
        0xED53, 0xE552, 0xE552, 0xE532, 0xE532, 0xE531, 0xE531, 0xDD10, 0xD4F0, 0xD4CF, 0xD4CE, 0xC46F, 0xBC4E, 0xBC4D, 0xBC4D, 0xBC2D, 0xB40D, 0xABCC, 0xABAB, 0xA3AA, 0xABCB, 0xABEC, 0xABEC, 0x7AE6, 0x6243, 0x4A02, 0x4A22, 0x5263, 0x6AC5, 0x7205, 
        0x79E5, 0x8246, 0x82A6, 0x72A6, 0x6286, 0x5A47, 0x732C, 0xBDB5, 0xEF3A, 0xFF39, 0xFEB6, 0xF6DA, 0xF6FB, 0xF6DB, 0xF6B9, 0xF698, 0xEE76, 0xEE96, 0xEEB7, 0xEEB7, 0xEEB8, 0xEEB8, 0xF6D8, 0xF6D8, 0xEED8, 0xEEB8, 0xEEB7, 0xEED7, 0xEED7, 0xEE98, 
        0xE678, 0xE656, 0xE656, 0xE676, 0xE676, 0xD636, 0xD637, 0xDE56, 0xE656, 0xE636, 0xDDD6, 0xD5B5, 0xDDD5, 0xE677, 0xEEB7, 0xEE77, 0xE656, 0xEF1B, 0xCE58, 0x736B, 0x2923, 0x18A1, 0x2943, 0x62E6, 0x73C8, 0x7C09, 0x7BEA, 0x7BC9, 0x7389, 0x840A, 
        0x946B, 0x9CEC, 0x9CEC, 0x946B, 0x62E8, 0x18E2, 0x0040, 0x1080, 0x18E1, 0x18E2, 0x2123, 0x2983, 0x29C3, 0x3203, 0x3202, 0x31E2, 0x3A03, 0x6306, 0x7B67, 0x8388, 0x7B67, 0x7325, 0x7364, 0xB5AC, 0xC62E, 0xA50B, 0x946A, 0x946A, 0x94AB, 0x8429, 
        0x83E9, 0x944C, 0x9C8D, 0xA48E, 0xA48E, 0xA46B, 0xA46B, 0xA48B, 0xA4AC, 0x9CAC, 0x94AD, 0xA4AC, 0xACAD, 0xB50F, 0xBD51, 0xC5B2, 0xCE12, 0xCDF3, 0xC5B2, 0xBD50, 0xBD0E, 0xB50E, 0xBD6E, 0xCDF2, 0xD634, 0xE615, 0xE5D5, 0xDD94, 0xD593, 0xEEBA, 
        0xFF7E, 0xFFBE, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF7DE, 0xFFFF, 0xFFFF, 0xFFFF, 0xF79E, 0xE73C, 0xD6B8, 0xDEF3, 0xEF33, 0xF798, 0xFF9A, 0xFF39, 0xFEB6, 0xEE75, 0xEE96, 0xEE97, 0xF697, 0xF6B7, 0xF6B5, 0xF6D3, 
        0xF6D2, 0xF6D1, 0xF691, 0xEE70, 0xEE30, 0xEE31, 0xEE32, 0xEE52, 0xEE51, 0xEE51, 0xF671, 0xFEB4, 0xFEF6, 0xF6D9, 0xE619, 0xD538, 0xB3D7, 0xB3BC, 0xBBFF, 0xC41F, 0xC41F, 0xC43F, 0xC45E, 0xC43E, 0xC43E, 0xBC1E, 0xBBFE, 0xBBFE, 0xBC1E,
  0x8A92, 0x8A92, 0x8A72, 0x8A92, 0x8A93, 0x8AB3, 0x7A72, 0x7251, 0x8251, 0x8A51, 0x8251, 0x8A91, 0xA353, 0xABB4, 0xBBD5, 0xCC15, 0xD455, 0xDC74, 0xE453, 0xDC12, 0xDBD2, 0xD391, 0xDB91, 0xDB70, 0xD34F, 0xD32E, 0xD32F, 0xD32F, 0xD30F, 0xCB0F, 0xCB30, 
        0xCB50, 0xD371, 0xD391, 0xDBB1, 0xDBD1, 0xDBD0, 0xD3AF, 0xC38E, 0xB36C, 0xAB4B, 0xA329, 0x9B29, 0x9329, 0x9B2A, 0x92EA, 0x92A9, 0x8A49, 0x9AAA, 0xA2EA, 0xA32B, 0xAB6C, 0xB36C, 0xBBAD, 0xBBCE, 0xBBEE, 0xBBCE, 0xBBAD, 0xB3AD, 0xB3CC, 0xA3CA, 
        0xA3C9, 0x9BCA, 0x93AA, 0x93AA, 0x9369, 0x9B4A, 0xA34A, 0xAB4B, 0xB32C, 0xB32C, 0xB30C, 0xA2CB, 0xA2CB, 0xA30B, 0xA32C, 0xA36C, 0xABAD, 0xABCE, 0xABCE, 0xA3AD, 0x9B6C, 0x9B6C, 0x9B4B, 0x932A, 0x9329, 0x9329, 0x8B29, 0x832A, 0x7329, 0x62E7, 
        0x5AE6, 0x5AE5, 0x52A4, 0x4A63, 0x39C2, 0x39E3, 0x5265, 0x7B8B, 0x9C6D, 0xA4AD, 0xAD0A, 0xAD68, 0xAD88, 0xB5AB, 0xBDAD, 0xB58D, 0xA50C, 0x6BE7, 0x6365, 0x7365, 0x83E5, 0x9466, 0xA527, 0x9487, 0x83E7, 0x7328, 0x62E9, 0x6309, 0x5B28, 0x5286, 
        0x5246, 0x4A65, 0x4244, 0x3A03, 0x31C2, 0x4A85, 0x6B48, 0x942B, 0xACCD, 0xB50D, 0xB52C, 0xCD4B, 0xCD4A, 0xB528, 0xA506, 0xA526, 0xAD48, 0xBD4A, 0xBD2B, 0xB4CB, 0xB46D, 0xBC6F, 0xCC93, 0xED56, 0xF5B7, 0xEDF7, 0xE5F5, 0xDDD4, 0xCD4F, 0x9C49, 
        0x8C27, 0x8C87, 0x8D08, 0x952A, 0xA54D, 0xA4ED, 0xA46C, 0xA36A, 0xA2A9, 0xAAAA, 0xB2CB, 0xC32D, 0xC34E, 0xC36E, 0xCB8E, 0xCBCF, 0xCC4F, 0xB4CE, 0xA4CC, 0x8C89, 0x7C46, 0x7425, 0x7C24, 0x8C46, 0x8407, 0x6B47, 0x5AA6, 0x4A85, 0x4243, 0x4243, 
        0x4A44, 0x5244, 0x49E4, 0x3143, 0x31A4, 0xBDD1, 0xF7B7, 0xFFB8, 0xFF38, 0xFEB7, 0xF616, 0xF5F6, 0xEDD6, 0xDD74, 0xC4F1, 0xBC6F, 0xAC0E, 0xBC91, 0xC4F3, 0xD553, 0xDD74, 0xE5B5, 0xEDD5, 0xDD75, 0xDD54, 0xDD73, 0xDD73, 0xE573, 0xED74, 0xE574, 
        0xE595, 0xEDF6, 0xEE36, 0xF677, 0xFE96, 0xFE15, 0xFDD4, 0xED73, 0xDD11, 0xCCD0, 0xBC6E, 0xB40C, 0xB3EB, 0xABAB, 0xAB8B, 0xA36B, 0xA36B, 0xA36B, 0xA36B, 0xA3AB, 0x9BAB, 0x9BAB, 0x9BAB, 0xABCC, 0xABCC, 0x936A, 0x8B09, 0x82C9, 0x82E9, 0xAC2E, 
        0xBCD0, 0xBCF1, 0xC512, 0xC512, 0xCD12, 0xDD53, 0xDD53, 0xE553, 0xE574, 0xE574, 0xE594, 0xEDB5, 0xEDD5, 0xEDD5, 0xEDD5, 0xEDD5, 0xEDD5, 0xEDD5, 0xEDD4, 0xEDB4, 0xED94, 0xED94, 0xED94, 0xED73, 0xE553, 0xE573, 0xE573, 0xE573, 0xE573, 0xE573, 
        0xE553, 0xE552, 0xE532, 0xDD32, 0xDD32, 0xDD51, 0xDD31, 0xDCF0, 0xD4CF, 0xD4CF, 0xD4CE, 0xCC6D, 0xC42D, 0xC44D, 0xBC6D, 0xBC4D, 0xBC2C, 0xB3CB, 0xABAB, 0xA38A, 0xA38B, 0xABAB, 0xA3AB, 0x8B07, 0x7285, 0x5203, 0x4A02, 0x4A43, 0x6AC5, 0x82A7, 
        0x92A7, 0x8A86, 0x6A05, 0x5184, 0x49E6, 0xAD34, 0xDEDA, 0xEF1A, 0xF6D8, 0xF6B7, 0xF696, 0xF6D9, 0xF6FB, 0xF6B9, 0xF698, 0xEE77, 0xEE77, 0xEE97, 0xEEB7, 0xEED7, 0xEED7, 0xEED7, 0xF6D8, 0xEED8, 0xEED8, 0xEEB8, 0xEEB8, 0xEED8, 0xEED8, 0xE677, 
        0xDE57, 0xDE36, 0xE657, 0xE697, 0xE6B8, 0xDE56, 0xD615, 0xD635, 0xD616, 0xD5F6, 0xD5D5, 0xD5F5, 0xDE36, 0xEE78, 0xF6FA, 0xFF3B, 0xEF3B, 0xBDF7, 0x9492, 0x5289, 0x31A5, 0x39C5, 0x5AE7, 0x6B66, 0x6BA7, 0x6BA8, 0x73A9, 0x7BC9, 0x7BEA, 0x842A, 
        0x844A, 0x846A, 0x846A, 0x842A, 0x6B68, 0x31A3, 0x10E1, 0x10A1, 0x1081, 0x1082, 0x18E2, 0x21A3, 0x2A03, 0x3A03, 0x39E3, 0x39E3, 0x4223, 0x6B26, 0x7B88, 0x7346, 0x6B05, 0x6AE4, 0x7BA6, 0xC5CC, 0xCE2D, 0x9CC9, 0x8407, 0x8C28, 0x9CAB, 0x942B, 
        0x8C0B, 0x944C, 0x9C6D, 0x9C8D, 0x9C6C, 0xA48C, 0xA48B, 0x9C6A, 0x9C8A, 0xA4AB, 0xACCD, 0xA4CB, 0xACCC, 0xB52F, 0xBD71, 0xBD92, 0xBDB2, 0xC5B2, 0xC591, 0xC550, 0xBD2E, 0xBD2D, 0xBD4D, 0xC58F, 0xCDD1, 0xDE33, 0xE694, 0xEED5, 0xF737, 0xFF99, 
        0xFFDB, 0xFFDC, 0xFFDD, 0xFFDE, 0xFFDD, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xF77D, 0xEF1B, 0xD636, 0xBD91, 0xC5B2, 0xDED7, 0xF77B, 0xFF9C, 0xF73A, 0xEE97, 0xEE56, 0xE676, 0xEE96, 0xEE96, 0xEEB6, 0xF6D5, 
        0xF6F4, 0xF6F4, 0xF6D3, 0xF6B2, 0xEE71, 0xEE51, 0xEE51, 0xEE51, 0xE64F, 0xE62F, 0xE64E, 0xF6F3, 0xF6F5, 0xE616, 0xD517, 0xBC79, 0xB3BC, 0xC3FE, 0xCC1F, 0xC41F, 0xBC1F, 0xBC1E, 0xBC1E, 0xBC1E, 0xBC1E, 0xBC1E, 0xBC3E, 0xBC1E, 0xBC1E,
  0x8A92, 0x8A92, 0x8A92, 0x8292, 0x82B2, 0x82B1, 0x8292, 0x8A72, 0x9272, 0x9272, 0x9292, 0x9AB1, 0xAB52, 0xBBB3, 0xCC14, 0xDC55, 0xE475, 0xE454, 0xE433, 0xE413, 0xDBD2, 0xDB91, 0xDB50, 0xD32E, 0xD32E, 0xD32E, 0xD32E, 0xD30E, 0xCB0D, 0xC2CC, 0xBAAD, 
        0xBAAD, 0xC30E, 0xCB6F, 0xCB8F, 0xD3CF, 0xD3EF, 0xCBEF, 0xC3CE, 0xBBAD, 0xB38C, 0xAB4B, 0x9B0B, 0x9B0B, 0xA32B, 0xA32B, 0xA32B, 0x9AEA, 0x926A, 0x9249, 0x92AA, 0xA2EB, 0xA30B, 0xB34D, 0xC3CE, 0xC3EE, 0xBBCE, 0xBBCD, 0xBBCD, 0xBBCD, 0xABCB, 
        0xA3AB, 0xA3AC, 0xA3AC, 0xA38C, 0xA36C, 0xAB6C, 0xB36D, 0xB34D, 0xBB4D, 0xB34D, 0xB32C, 0xA2EB, 0x92AB, 0x8A8A, 0x8289, 0x7AA9, 0x82EA, 0x8B8C, 0x8BAC, 0x838B, 0x7B4A, 0x7329, 0x6AE8, 0x6AA7, 0x6AA7, 0x6AC7, 0x62E7, 0x62E7, 0x62E8, 0x5AC7, 
        0x5AA6, 0x5286, 0x5286, 0x5AA6, 0x5265, 0x39C2, 0x39C2, 0x5247, 0x6AEA, 0x736A, 0x8429, 0xAD29, 0xBD89, 0xBDAA, 0xBDAB, 0xB58B, 0xA529, 0x8446, 0x73E5, 0x7405, 0x8466, 0x8CA7, 0x94E7, 0x7C05, 0x7384, 0x7385, 0x7386, 0x7387, 0x6B67, 0x4A64, 
        0x3A03, 0x3A02, 0x3A22, 0x4243, 0x5AC5, 0x8C2B, 0x946D, 0x7B8A, 0x7B6A, 0x8C0B, 0xBD4F, 0xD5AE, 0xD5AD, 0xBD6A, 0xAD28, 0xA507, 0xA507, 0xBD4A, 0xC56B, 0xBD6B, 0xBD2C, 0xBD0D, 0xCCF0, 0xD554, 0xDD96, 0xEDD7, 0xEDF8, 0xEDD8, 0xDD55, 0x9BCA, 
        0x8365, 0x8426, 0x94E8, 0x9D2A, 0xAD4D, 0xA4ED, 0x9C6C, 0xA3AA, 0xAB2A, 0xB2EB, 0xC30D, 0xDB50, 0xE370, 0xD3AF, 0xCBCE, 0xC3CE, 0xBBEE, 0xC46F, 0xBCAF, 0xA48C, 0x9469, 0x9448, 0x9426, 0x8BE6, 0x7BA5, 0x6325, 0x4AC4, 0x42A3, 0x3A62, 0x4A43, 
        0x5A44, 0x5A64, 0x4A03, 0x3962, 0x39A5, 0xBDD2, 0xF7B8, 0xFFB9, 0xFF58, 0xFED8, 0xFE36, 0xF5F5, 0xF5F6, 0xF616, 0xF616, 0xF5F6, 0xEDB5, 0xE574, 0xE574, 0xE554, 0xE574, 0xED95, 0xEDD6, 0xEDD6, 0xEDB5, 0xEDB4, 0xEDB4, 0xEDB4, 0xF5D5, 0xEDD5, 
        0xEDF5, 0xF616, 0xF657, 0xF697, 0xFE97, 0xFDF5, 0xFDB4, 0xED72, 0xDD11, 0xCCCF, 0xBC4E, 0xB40C, 0xB3EC, 0xB3CC, 0xABAB, 0xABAB, 0xA38B, 0xABAB, 0xABAB, 0xA3AB, 0xA3AB, 0xA3AB, 0xA3CB, 0xABEC, 0xABED, 0x9BCC, 0x938C, 0x936B, 0x934A, 0x93AC, 
        0xA40D, 0xB490, 0xCCF2, 0xCD12, 0xD512, 0xD512, 0xD532, 0xDD54, 0xE574, 0xE594, 0xE5B4, 0xEDB5, 0xF5B5, 0xF5B5, 0xF5B5, 0xF5B5, 0xF5D5, 0xF5D5, 0xEDB5, 0xEDB5, 0xEDB5, 0xEDB5, 0xED95, 0xED74, 0xED73, 0xED93, 0xED73, 0xED73, 0xE553, 0xE573, 
        0xE553, 0xE552, 0xE532, 0xE532, 0xE533, 0xDD32, 0xDD31, 0xDD11, 0xDCF1, 0xDCF0, 0xD4CF, 0xD46E, 0xCC6E, 0xC46E, 0xC46D, 0xC46D, 0xC44D, 0xB3ED, 0xB3CC, 0xB3AB, 0xAB8B, 0xAB8B, 0xA38A, 0x9B49, 0x8B08, 0x72A6, 0x6285, 0x6284, 0x7AC5, 0x9B2A, 
        0x9ACA, 0x69C5, 0x5123, 0x5143, 0x82C9, 0xDE58, 0xFF9D, 0xF6FA, 0xF677, 0xF676, 0xF697, 0xEED8, 0xEED8, 0xEE97, 0xEE97, 0xEE97, 0xF6B7, 0xF6D7, 0xF6D8, 0xF6F8, 0xF6F9, 0xF719, 0xF6F9, 0xF6D8, 0xF6B7, 0xEEB7, 0xF6D8, 0xF6F9, 0xF71A, 0xE696, 
        0xE655, 0xE676, 0xE6B8, 0xE6D8, 0xE6B8, 0xDE55, 0xD635, 0xD635, 0xD636, 0xD616, 0xD616, 0xE658, 0xEE99, 0xF6FB, 0xF75C, 0xEF3C, 0xBDF7, 0x5289, 0x3185, 0x5287, 0x6348, 0x6B48, 0x6306, 0x6B67, 0x6BA8, 0x73E9, 0x7C29, 0x844A, 0x946B, 0x946B, 
        0x946B, 0x844A, 0x8429, 0x7C29, 0x7C09, 0x7C2A, 0x6BC9, 0x52C7, 0x4226, 0x4A47, 0x52A8, 0x4AE5, 0x4AE4, 0x4264, 0x4203, 0x39C3, 0x4204, 0x6B47, 0x7BA8, 0x7326, 0x6AE5, 0x6B04, 0x8BE6, 0xCDED, 0xD60E, 0x946A, 0x7B88, 0x7BC8, 0x9C6B, 0x9C4A, 
        0x942A, 0x944C, 0x9C6D, 0x9C6D, 0x9C8C, 0x9C6C, 0x946B, 0x944A, 0x9C6A, 0xA48B, 0xACED, 0xB52D, 0xB54D, 0xC570, 0xC591, 0xBD71, 0xAD30, 0xA50E, 0xAD0E, 0xB54E, 0xBD8E, 0xBD8E, 0xB56D, 0xAD2C, 0xAD4C, 0xCDCF, 0xE672, 0xEEF5, 0xF778, 0xF778, 
        0xF779, 0xFFBC, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFBE, 0xF75C, 0xE6B7, 0xDE76, 0xE6B7, 0xEF39, 0xF77B, 0xFFBC, 0xFF9A, 0xFF59, 0xF738, 0xF719, 0xEF19, 0xEF3A, 0xF778, 
        0xFF98, 0xFF77, 0xFF77, 0xFF77, 0xFF57, 0xFF35, 0xFF14, 0xF6D3, 0xEE91, 0xEE90, 0xEE6F, 0xF6B2, 0xE653, 0xBCD2, 0xA3D3, 0xA3B6, 0xABDB, 0xBBFE, 0xBBFF, 0xBBFF, 0xBBFE, 0xBBFE, 0xB3DD, 0xB3BE, 0xB3DE, 0xBC3F, 0xC45F, 0xC45F, 0xC43E,
  0x8A92, 0x8A92, 0x8A72, 0x8272, 0x8272, 0x7A52, 0x8A74, 0x9294, 0x92B4, 0x92B4, 0x92B4, 0x9AF3, 0xB372, 0xBBB2, 0xDC14, 0xEC54, 0xEC75, 0xEC95, 0xEC75, 0xEC54, 0xEC34, 0xEBF3, 0xE3B1, 0xDB70, 0xDB2F, 0xDB2E, 0xD32E, 0xD32E, 0xD32D, 0xCB0D, 0xBAAD, 
        0xB2AD, 0xB2CD, 0xBB0D, 0xC34E, 0xD38E, 0xDBEF, 0xD40F, 0xC3EE, 0xB3CD, 0xB3CD, 0xB3AC, 0x9B6B, 0x9B4B, 0xAB2C, 0xB34D, 0xB34E, 0xB32D, 0xAAAC, 0xA28A, 0x9289, 0x9288, 0x9288, 0xA2EA, 0xB38D, 0xBBCE, 0xBBCE, 0xBBCE, 0xBBCE, 0xBBED, 0xB3CD, 
        0xB3AC, 0xB3CD, 0xABED, 0xABED, 0xA3CD, 0xABAE, 0xABAE, 0xB3AE, 0xBB8E, 0xBB8E, 0xBB6E, 0xAB2C, 0x9AEA, 0x8A89, 0x7228, 0x69E7, 0x61E7, 0x6A67, 0x6AC8, 0x6AE9, 0x6AE9, 0x62C8, 0x5A86, 0x4A23, 0x4202, 0x4A02, 0x4A23, 0x4223, 0x4244, 0x5265, 
        0x5285, 0x5285, 0x52A6, 0x52A6, 0x5286, 0x4A03, 0x49E3, 0x5A65, 0x6AE7, 0x7348, 0x8C28, 0xAD29, 0xBD8A, 0xC5CC, 0xC5ED, 0xBDCD, 0xAD4C, 0x8BE9, 0x7B86, 0x7C05, 0x8CA6, 0x9508, 0x9D29, 0x8424, 0x7384, 0x7387, 0x7388, 0x6B87, 0x6345, 0x52C7, 
        0x52A7, 0x52A5, 0x5AE5, 0x6B46, 0x7BA8, 0x5A85, 0x49E3, 0x3983, 0x41E4, 0x5AA7, 0x942B, 0xBD6D, 0xCDCD, 0xCDEC, 0xBDCB, 0xAD89, 0xA527, 0xACE9, 0xB4EA, 0xB52A, 0xB54B, 0xB56B, 0xBD6D, 0xD533, 0xE536, 0xED99, 0xF5FB, 0xF5FB, 0xDD98, 0x942A, 
        0x73C4, 0x7C45, 0x8D07, 0x9549, 0xA56B, 0xBCAD, 0xC40E, 0xB34D, 0xAAEE, 0xB2EE, 0xBB0F, 0xD30E, 0xE36E, 0xE410, 0xDC50, 0xCC10, 0xBB8F, 0xBC0E, 0xBC4E, 0xAC6C, 0xA46B, 0x9C6A, 0x8C28, 0x6344, 0x52E3, 0x52E4, 0x52C4, 0x4A84, 0x4A22, 0x5A23, 
        0x6264, 0x62A5, 0x5244, 0x39A3, 0x39A5, 0xBDD3, 0xF7B9, 0xFF98, 0xFF37, 0xFED7, 0xFE76, 0xFE56, 0xFE56, 0xFE77, 0xFE77, 0xFE57, 0xFE17, 0xF5D6, 0xF5D6, 0xF5F6, 0xF5F6, 0xF5F7, 0xF5F7, 0xFE17, 0xFE17, 0xFE16, 0xFE16, 0xFE16, 0xFE16, 0xFE16, 
        0xFE36, 0xFE56, 0xFE96, 0xFE96, 0xFE96, 0xFDF4, 0xFD93, 0xF552, 0xE511, 0xD4D0, 0xBC6E, 0xB42D, 0xB40C, 0xB3EC, 0xB3EC, 0xABCC, 0xABCC, 0xABCC, 0xABCD, 0xB3CC, 0xB3CC, 0xABCB, 0xABAB, 0xB3ED, 0xB40D, 0xAC0D, 0xAC0D, 0xA40D, 0xA3EC, 0xA38C, 
        0xA3AC, 0xAC0E, 0xBC70, 0xCCD1, 0xDD12, 0xDD53, 0xDD53, 0xDD73, 0xE594, 0xED94, 0xED94, 0xED94, 0xEDB4, 0xED94, 0xF595, 0xF595, 0xF5B5, 0xF5D5, 0xF5D5, 0xF5D5, 0xF5D5, 0xF5B5, 0xF595, 0xF5B5, 0xF5B5, 0xF5B4, 0xF593, 0xF593, 0xED73, 0xF573, 
        0xF573, 0xED53, 0xED53, 0xED33, 0xE533, 0xE532, 0xE532, 0xE532, 0xE511, 0xDCF1, 0xD4D0, 0xD4AF, 0xD48E, 0xCC8E, 0xC48E, 0xBC8E, 0xBC4E, 0xBC0D, 0xBBCC, 0xB3CC, 0xB3AC, 0xABAB, 0xAB8B, 0xA3AB, 0x9BAB, 0x8B4A, 0x7B09, 0x7AE8, 0x8AE8, 0xAB2B, 
        0x9ACB, 0x61E7, 0x5A8A, 0x83CF, 0xD658, 0xF77C, 0xFF7B, 0xF6DA, 0xF699, 0xF6B8, 0xF6D8, 0xF6B8, 0xF6B7, 0xF6D7, 0xF6D7, 0xF6D8, 0xF6D8, 0xFEF9, 0xFEF9, 0xF71A, 0xF73A, 0xF73B, 0xF73B, 0xF6F9, 0xF6F9, 0xF6F9, 0xF71A, 0xF73B, 0xF75B, 0xE6B8, 
        0xE697, 0xEED8, 0xF6F8, 0xEED7, 0xE676, 0xE697, 0xE697, 0xDE77, 0xDE36, 0xDDF5, 0xE615, 0xF73B, 0xFF9D, 0xE71B, 0xBDB6, 0x8430, 0x39E7, 0x3162, 0x3182, 0x3182, 0x3A04, 0x4A85, 0x7369, 0x8C2B, 0x8C6B, 0x948B, 0x94AB, 0x8C8B, 0x8C6B, 0x948C, 
        0x948C, 0x8C6A, 0x8429, 0x7C29, 0x846B, 0xAD90, 0xB5D0, 0x950D, 0x846B, 0x7C0B, 0x7BCA, 0x73A6, 0x6B65, 0x5AE4, 0x4A63, 0x4202, 0x4203, 0x6B47, 0x7BA9, 0x7348, 0x7326, 0x7365, 0x9446, 0xCE30, 0xCE11, 0x8C4A, 0x6B47, 0x6B88, 0x8C6B, 0x9C8D, 
        0x9C6D, 0x9C6D, 0x9C8D, 0x9C8D, 0x946C, 0x83EB, 0x8BEB, 0xA4AC, 0xB52D, 0xB54D, 0xB52E, 0xBD70, 0xBD91, 0xB530, 0xA48D, 0x8BCB, 0x7348, 0x9CEE, 0xB5B1, 0xBDB0, 0xB5AE, 0xAD8D, 0x9D2B, 0x8C88, 0x9488, 0xB52E, 0xD5D3, 0xDE14, 0xE655, 0xEE14, 
        0xEE55, 0xF71A, 0xFF9D, 0xFFBD, 0xFF7C, 0xFF7C, 0xFF9C, 0xFFBE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDE, 0xFFDD, 0xFFBD, 0xFFBD, 0xF7BD, 0xF77C, 0xF77B, 0xF79C, 0xFFDD, 0xFFDC, 0xFFDB, 0xFFBB, 0xFF9B, 0xFF9C, 0xFFBD, 0xFFBC, 
        0xFFBB, 0xFF9A, 0xFF9A, 0xFF99, 0xFFBA, 0xFFDA, 0xFFBA, 0xFF99, 0xFF57, 0xFF36, 0xF6F4, 0xEEB2, 0xE672, 0xDDD4, 0xD557, 0xD53A, 0xD4FC, 0xCC9D, 0xCC7D, 0xC43E, 0xCC3E, 0xCC3E, 0xCC3D, 0xC3FE, 0xBBFE, 0xB3DE, 0xB3DD, 0xB3DD, 0xBBDC,
  0x7A8F, 0x7A8F, 0x7A70, 0x7A50, 0x722F, 0x7210, 0x8291, 0x8AD2, 0x9313, 0x9B13, 0xA334, 0xAB53, 0xBBF4, 0xCC54, 0xDC94, 0xECB5, 0xEC95, 0xEC95, 0xEC74, 0xEC53, 0xE413, 0xE3D2, 0xE391, 0xDB51, 0xDB50, 0xDB50, 0xDB70, 0xE390, 0xE391, 0xE392, 0xCB50, 
        0xC32F, 0xBB0E, 0xBB0D, 0xBB0D, 0xBB4C, 0xBBCD, 0xBC0D, 0xBBED, 0xBBED, 0xC3CD, 0xC3CE, 0xC3F0, 0xC431, 0xCC52, 0xD432, 0xD412, 0xCBB1, 0xC34F, 0xBAED, 0x9A49, 0x81E7, 0x81E6, 0x9267, 0xAB4A, 0xB3AC, 0xB3AD, 0xBBEE, 0xC42E, 0xC46F, 0xB3AC, 
        0xB36B, 0xB3CD, 0xB40E, 0xB42E, 0xB42E, 0xCC11, 0xD433, 0xD432, 0xCC32, 0xCC32, 0xC3F0, 0xBB8E, 0xAB4C, 0x8AAA, 0x6A07, 0x5985, 0x40C3, 0x28C2, 0x28E1, 0x3122, 0x3963, 0x3983, 0x39A3, 0x3162, 0x2962, 0x3162, 0x3182, 0x29A2, 0x29C2, 0x4223, 
        0x4A44, 0x4A64, 0x4A65, 0x4A45, 0x4A45, 0x5265, 0x4A44, 0x41E3, 0x39E2, 0x4A23, 0x6B45, 0x94C8, 0xAD89, 0xBDEB, 0xC62D, 0xC62E, 0xBDCE, 0xACEB, 0x9C89, 0x9467, 0x8446, 0x8446, 0x8466, 0x9CE8, 0x9CE9, 0x9469, 0x8429, 0x8429, 0x73C7, 0x5245, 
        0x41A3, 0x3982, 0x39A2, 0x39A2, 0x39E3, 0x41E2, 0x4A02, 0x5A84, 0x5AA4, 0x5A83, 0x5A64, 0x8368, 0xAC4B, 0xCD2F, 0xDDF1, 0xE652, 0xD650, 0xB56D, 0xA4EB, 0xAC8B, 0xB48A, 0xB4CA, 0xB54A, 0xBD4D, 0xC56E, 0xCD70, 0xD591, 0xDDB2, 0xE572, 0xCC8F, 
        0xBC0D, 0xA3C9, 0x9BE8, 0x9428, 0x9489, 0x946C, 0x9C4D, 0xAC0E, 0xBBEE, 0xCBEF, 0xE3D1, 0xF433, 0xEC52, 0xC48F, 0xB46D, 0xB42C, 0xBB8C, 0xCB6D, 0xCB4D, 0xCB2D, 0xC32C, 0xC32D, 0xBB4D, 0x9B4A, 0x7B27, 0x52A4, 0x4283, 0x4A83, 0x5AA5, 0x5A83, 
        0x5A83, 0x62C4, 0x5263, 0x39A2, 0x39A5, 0xBDD1, 0xF797, 0xFF38, 0xFEB8, 0xFE77, 0xFE36, 0xFE57, 0xFE77, 0xFE57, 0xF657, 0xF656, 0xF657, 0xFE78, 0xFE79, 0xFE58, 0xFE38, 0xFE37, 0xF617, 0xF637, 0xF637, 0xF637, 0xF637, 0xF637, 0xF617, 0xF616, 
        0xF616, 0xF656, 0xFE77, 0xFE97, 0xFE76, 0xFE14, 0xF5B3, 0xED72, 0xDD11, 0xD4D0, 0xCC8E, 0xBC4C, 0xB42C, 0xB42D, 0xB40D, 0xB3EC, 0xB3CC, 0xB3CB, 0xB3CB, 0xB3CB, 0xB3CB, 0xB3AB, 0xABAB, 0xB3CC, 0xB3EC, 0xB42D, 0xB44D, 0xB46D, 0xB46E, 0xB44D, 
        0xB42D, 0xAC2D, 0xAC2E, 0xAC2F, 0xBC90, 0xD512, 0xDD52, 0xDD53, 0xDD54, 0xDD54, 0xDD74, 0xE574, 0xED95, 0xED95, 0xEDB5, 0xEDB5, 0xF5D5, 0xEDD5, 0xEDD6, 0xEDD5, 0xF5D5, 0xF5F5, 0xF5F5, 0xF5D6, 0xF5B6, 0xF5B5, 0xF5B4, 0xF5B4, 0xF594, 0xED73, 
        0xED53, 0xED73, 0xED73, 0xED53, 0xE532, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCD1, 0xD4CE, 0xCCAE, 0xCC8E, 0xCC8E, 0xC46E, 0xBC6D, 0xBC4D, 0xBC0C, 0xB3CC, 0xAB8B, 0xAB6B, 0xAB6A, 0xA38B, 0x9B6B, 0x8B4A, 0x934A, 0x9B8A, 0x9B4A, 0x5165, 
        0x4145, 0x730C, 0xAD13, 0xCE58, 0xF75C, 0xF6D9, 0xF677, 0xF697, 0xF6B8, 0xF6D8, 0xF6B9, 0xF6D9, 0xF6D9, 0xF6F9, 0xF6F9, 0xF6D9, 0xF6D9, 0xF719, 0xF719, 0xF719, 0xF719, 0xF6F9, 0xF6F9, 0xF6FA, 0xF6FA, 0xF71A, 0xF73B, 0xF75B, 0xF75B, 0xEE99, 
        0xE678, 0xEEFA, 0xEF1A, 0xE6D9, 0xDE56, 0xE6B7, 0xE6D8, 0xDE97, 0xDE36, 0xDDF5, 0xE616, 0xF75C, 0xEF3C, 0xAD53, 0x6B4B, 0x4A27, 0x2943, 0x4A25, 0x4A45, 0x31A3, 0x29A3, 0x4245, 0x73CA, 0x9CCE, 0x9CCE, 0x840A, 0x6B88, 0x6346, 0x5B25, 0x52E6, 
        0x5306, 0x6B87, 0x7C09, 0x844B, 0x844C, 0x6B88, 0x5B25, 0x5B66, 0x6366, 0x6346, 0x6326, 0x7BC7, 0x7BC7, 0x5AC4, 0x4222, 0x4201, 0x5283, 0x7BA9, 0x7BCA, 0x6B27, 0x6B26, 0x83E6, 0xAD29, 0xBD8D, 0xAD0D, 0x7387, 0x5AE5, 0x6B27, 0x8C4B, 0xA4CE, 
        0xA4AE, 0x944C, 0x8C0B, 0x840B, 0x8C2C, 0x944D, 0x9CAE, 0xBDB2, 0xD694, 0xDED5, 0xD6B4, 0xC5F0, 0xAD0D, 0x6B28, 0x49C4, 0x4183, 0x6264, 0xB52C, 0xCE10, 0xB5AE, 0xA50C, 0x94AB, 0x946A, 0xACEC, 0xB50D, 0xAC8D, 0xB4AE, 0xC551, 0xDE75, 0xF738, 
        0xF77A, 0xFF9B, 0xFFBD, 0xFFBD, 0xFFBD, 0xFF7C, 0xFF7C, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFBD, 0xFF9C, 0xF77B, 0xF75A, 0xF759, 0xF758, 0xF759, 0xFF5A, 0xFF3A, 
        0xFF3A, 0xFF3A, 0xFF5A, 0xFF7A, 0xFF9A, 0xFFBC, 0xFFBC, 0xFFBA, 0xFFB9, 0xFF98, 0xF778, 0xF757, 0xF757, 0xF738, 0xF71A, 0xEEFB, 0xEEBD, 0xEE7D, 0xEE3C, 0xDDDC, 0xDDBC, 0xD5BB, 0xD59B, 0xCD5A, 0xCD1A, 0xCD1B, 0xCCFB, 0xCCDB, 0xCCBA,
  0x726C, 0x726C, 0x7A6D, 0x724D, 0x722D, 0x6A0C, 0x6A6D, 0x72AE, 0x8B10, 0x9B52, 0xA353, 0xB374, 0xC3F4, 0xCC54, 0xDC94, 0xEC94, 0xECB4, 0xECB4, 0xEC94, 0xE454, 0xE413, 0xDBB1, 0xDB70, 0xD32F, 0xE350, 0xE391, 0xEBD2, 0xEBF2, 0xF3F2, 0xEC12, 0xEC13, 
        0xE413, 0xDBD1, 0xD390, 0xC36F, 0xBB4E, 0xC3AD, 0xC3EC, 0xC42D, 0xC44D, 0xC44E, 0xCC4F, 0xD472, 0xDC93, 0xE4B4, 0xECB4, 0xEC94, 0xE453, 0xDC12, 0xCBB0, 0xAAEC, 0x9268, 0x8A27, 0x8A27, 0xAB2B, 0xB38D, 0xB38D, 0xBBAD, 0xC3ED, 0xC42E, 0xBBAD, 
        0xBB6E, 0xBB8F, 0xC3B0, 0xC3B0, 0xCBD1, 0xD411, 0xDC52, 0xE473, 0xE494, 0xDC73, 0xD432, 0xCC30, 0xC40F, 0xABAE, 0x9B2C, 0x8ACA, 0x69C7, 0x30A2, 0x1840, 0x18A0, 0x20E1, 0x2922, 0x3163, 0x29A3, 0x29A3, 0x31A3, 0x31A3, 0x29E3, 0x3223, 0x4A24, 
        0x5225, 0x4A45, 0x4A45, 0x4A45, 0x4A24, 0x4223, 0x4223, 0x4A63, 0x52E4, 0x6365, 0x8487, 0xA589, 0xADA9, 0xAD88, 0xAD88, 0xB589, 0xAD8A, 0xA529, 0x9CE9, 0x9CA8, 0x8C67, 0x8406, 0x83E7, 0xA4AA, 0xACCA, 0x9449, 0x8C09, 0x9429, 0x944A, 0x6327, 
        0x4245, 0x2962, 0x2101, 0x1901, 0x2983, 0x4A64, 0x52C5, 0x52A3, 0x4A82, 0x4A81, 0x52A2, 0x7B68, 0x93EC, 0xAC4D, 0xB4AF, 0xBCCF, 0xBD0E, 0xAD4D, 0xA52C, 0xACEC, 0xB4CC, 0xB50C, 0xBD8C, 0xBDCD, 0xB5AD, 0xB4EC, 0xB46B, 0xBC4B, 0xCC2D, 0xDC0F, 
        0xD3EF, 0xB3AB, 0x9BC9, 0x9C29, 0x9CAA, 0x848B, 0x8C4B, 0xAC2D, 0xCC0E, 0xDBEF, 0xF411, 0xF495, 0xE4B4, 0xC44F, 0xB3EC, 0xBBCC, 0xCBAE, 0xDBB0, 0xDB90, 0xCB4F, 0xCB2E, 0xCB4F, 0xCB6F, 0xB36C, 0x8B49, 0x5305, 0x3AE2, 0x42C3, 0x62C5, 0x5A84, 
        0x52A3, 0x62C4, 0x5244, 0x39A3, 0x39A5, 0xBDD2, 0xF799, 0xFF1A, 0xFE9A, 0xFE59, 0xFE37, 0xFE57, 0xFE77, 0xFE57, 0xF657, 0xFE57, 0xFE57, 0xFE58, 0xFE58, 0xF638, 0xF638, 0xF637, 0xFE57, 0xF657, 0xF657, 0xF657, 0xF657, 0xF657, 0xFE37, 0xF637, 
        0xF637, 0xF657, 0xF657, 0xFE77, 0xFE77, 0xFE35, 0xF5D4, 0xED73, 0xE511, 0xDCD0, 0xCC8F, 0xBC4D, 0xB42C, 0xBC2C, 0xBC2C, 0xBC0C, 0xB3EC, 0xB3CB, 0xB3EA, 0xB3EB, 0xB3EC, 0xB3EB, 0xB3EB, 0xB3CB, 0xB3CC, 0xB40C, 0xBC2D, 0xBC4D, 0xBC6D, 0xBC8E, 
        0xC48E, 0xBC8E, 0xBC6E, 0xB44D, 0xB44D, 0xCCD1, 0xDD13, 0xDD54, 0xDD54, 0xDD54, 0xDD74, 0xED75, 0xED96, 0xEDB5, 0xEDD5, 0xEDD5, 0xEDD5, 0xEDD5, 0xF5D5, 0xF5D5, 0xF5D5, 0xF5F5, 0xF615, 0xF5F6, 0xF5D6, 0xF5D5, 0xF5D5, 0xF5D5, 0xF5B5, 0xED93, 
        0xED73, 0xF573, 0xF573, 0xED52, 0xE532, 0xE532, 0xE511, 0xDD11, 0xDCF1, 0xDCF1, 0xDCD1, 0xD4AE, 0xCC8E, 0xCC8E, 0xCC8E, 0xCC8E, 0xC46E, 0xBC2D, 0xBBED, 0xB3CC, 0xB3AB, 0xB38B, 0xAB6A, 0x9B4A, 0x936A, 0x9B8B, 0x9B6B, 0x9309, 0x8226, 0x6185, 
        0x7249, 0xB513, 0xE71B, 0xF7BE, 0xFFBD, 0xFEB9, 0xF677, 0xF6B8, 0xF6D8, 0xF6F9, 0xF6FA, 0xF6F9, 0xF6F9, 0xF71A, 0xF71A, 0xF71A, 0xF6FA, 0xF71A, 0xF73A, 0xF73A, 0xF73A, 0xF71A, 0xF71A, 0xF73A, 0xF73A, 0xF71A, 0xF73B, 0xF73B, 0xF75B, 0xF6FA, 
        0xF6FA, 0xF71B, 0xEF3B, 0xEF1A, 0xE6D8, 0xE677, 0xE656, 0xE656, 0xE6B8, 0xEEFA, 0xEF3C, 0xDEBA, 0xB555, 0x62EB, 0x31C5, 0x39E5, 0x52C7, 0x4A45, 0x39C3, 0x2962, 0x2141, 0x29A2, 0x4A86, 0x738A, 0x736A, 0x4246, 0x2982, 0x2161, 0x29C1, 0x31A2, 
        0x31C2, 0x4264, 0x4AE5, 0x52E5, 0x4A65, 0x2143, 0x2142, 0x4AA5, 0x6BA8, 0x7C09, 0x7C09, 0x7387, 0x6305, 0x4223, 0x3A03, 0x4A63, 0x7366, 0x7BA9, 0x7B69, 0x6AE6, 0x7346, 0x8C27, 0xB56A, 0xB52B, 0x9C8A, 0x6B66, 0x6306, 0x7368, 0x946C, 0xA48D, 
        0x9C6C, 0x944C, 0x840B, 0x83EB, 0x8C4D, 0xC5F6, 0xDEB9, 0xD6B9, 0xC657, 0xAD94, 0x8C4F, 0x83A9, 0x7B47, 0x5265, 0x3184, 0x2102, 0x3142, 0x93E8, 0xBD4C, 0xBDAE, 0xB5AE, 0xAD4E, 0xA4ED, 0xB54E, 0xBD6F, 0xB52E, 0xB4EE, 0xB4CE, 0xC510, 0xDE76, 
        0xEF39, 0xF77A, 0xFFBA, 0xFFBB, 0xFF9B, 0xFF39, 0xFF18, 0xFF7A, 0xFFBB, 0xFFDC, 0xFFDD, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBC, 0xF79B, 0xFF7C, 0xFF7C, 0xFF9B, 0xFF9A, 0xF779, 0xF759, 0xF718, 
        0xF6F8, 0xFF19, 0xFF39, 0xFF59, 0xFF79, 0xFF9B, 0xFFBB, 0xFFBA, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFBA, 0xFFBA, 0xFFBA, 0xFFBB, 0xFFBA, 0xFFBB, 0xF79B, 0xF79C, 0xF79C, 0xF79C, 0xF77B, 0xF75B, 0xF73B, 0xF6FB, 0xEEBA, 0xE659,
  0x724A, 0x726B, 0x7A8B, 0x7A8C, 0x7A6C, 0x724C, 0x726B, 0x728B, 0x82EC, 0x934D, 0x9B6E, 0xABB0, 0xBBD3, 0xC3F4, 0xD453, 0xE493, 0xE4B3, 0xE4D3, 0xF4B4, 0xF494, 0xE433, 0xDBD2, 0xDB91, 0xD350, 0xD30E, 0xDB2F, 0xE391, 0xF3D3, 0xF414, 0xF454, 0xF4B5, 
        0xF4B5, 0xEC94, 0xEC53, 0xE432, 0xDBF1, 0xC3AE, 0xBBAE, 0xCBEE, 0xD40F, 0xDC30, 0xDC51, 0xE472, 0xEC93, 0xF4D4, 0xF4F5, 0xF4F5, 0xF4D5, 0xEC73, 0xE411, 0xCBB0, 0xB32D, 0xA2AA, 0x9248, 0xA2CB, 0xAB2C, 0xB36C, 0xB38C, 0xBBCD, 0xC3EE, 0xC3CE, 
        0xC3CE, 0xC3AF, 0xCB90, 0xD391, 0xD3B2, 0xC412, 0xC452, 0xDCB4, 0xE4F5, 0xE4F5, 0xDCD4, 0xC452, 0xBC51, 0xBC71, 0xBC91, 0xB450, 0x9B6D, 0x5185, 0x30C2, 0x28C1, 0x28C1, 0x28C1, 0x2902, 0x3183, 0x39C3, 0x41A3, 0x41C3, 0x4204, 0x4264, 0x4A45, 
        0x5246, 0x5266, 0x5285, 0x5285, 0x4A44, 0x39C2, 0x4203, 0x6B48, 0x842B, 0x846B, 0x7C28, 0x7C07, 0x7C27, 0x8C89, 0x9D0B, 0xAD4D, 0xBD8F, 0x9CCA, 0x8C47, 0x8425, 0x7C03, 0x7C23, 0x8444, 0x9CC9, 0xA4EA, 0x9CA9, 0x9448, 0x83E6, 0x6B44, 0x62E5, 
        0x52A4, 0x41E2, 0x2941, 0x2101, 0x2921, 0x4204, 0x5265, 0x5286, 0x5265, 0x4A44, 0x5243, 0x8328, 0x9BAB, 0xA40D, 0xAC4E, 0xB44E, 0xAC0C, 0x8B69, 0x8B69, 0xB40C, 0xD50F, 0xDDB2, 0xDE33, 0xAD0D, 0x9449, 0x8BC7, 0x93C7, 0x9C28, 0xBCED, 0xDD71, 
        0xE551, 0xD44E, 0xC3CB, 0xBBCB, 0xAC2B, 0x8C6B, 0x8C6C, 0xB46E, 0xD470, 0xE451, 0xEC72, 0xDCD2, 0xCCD0, 0xB46C, 0xB44B, 0xBC4D, 0xDC30, 0xE3F3, 0xE3B2, 0xD390, 0xD38F, 0xDBD0, 0xE411, 0xB30C, 0x8AA8, 0x6284, 0x52A3, 0x52A3, 0x5AA4, 0x62C5, 
        0x62C5, 0x62C5, 0x4A43, 0x3182, 0x39A5, 0xBDD6, 0xF79C, 0xFF3B, 0xFE9A, 0xFE59, 0xFE18, 0xFE57, 0xFE77, 0xFE77, 0xFE78, 0xFE78, 0xFE98, 0xF658, 0xF658, 0xF678, 0xFE78, 0xFE78, 0xFE78, 0xFE78, 0xFE78, 0xF678, 0xF678, 0xF677, 0xF677, 0xFE57, 
        0xFE57, 0xFE77, 0xFE97, 0xFE97, 0xFE97, 0xFE57, 0xFDF6, 0xED53, 0xE4F1, 0xDCB0, 0xCC8F, 0xBC2C, 0xB40C, 0xB40C, 0xBC2C, 0xBC2D, 0xBC0C, 0xB3EB, 0xB3EB, 0xB40C, 0xB42D, 0xB40C, 0xB3EC, 0xBBED, 0xBC0D, 0xBC0D, 0xBC2C, 0xBC2C, 0xBC4D, 0xC48F, 
        0xC4B0, 0xCCD0, 0xD4D1, 0xD4D1, 0xD4D1, 0xD4D1, 0xD4F2, 0xDD33, 0xE553, 0xE554, 0xE574, 0xED75, 0xED95, 0xEDB5, 0xF5B5, 0xF5D5, 0xF5D5, 0xF5D5, 0xFDD5, 0xFDF5, 0xFE16, 0xFE16, 0xF616, 0xF5F6, 0xF5F6, 0xF5F6, 0xFDD5, 0xFDD5, 0xFDB5, 0xF594, 
        0xF573, 0xF553, 0xF553, 0xF552, 0xED52, 0xED32, 0xED12, 0xE4F2, 0xE4F2, 0xE4F2, 0xDCF1, 0xDCAF, 0xDC8F, 0xD48F, 0xCC8F, 0xCC8F, 0xC46E, 0xBC2E, 0xBC0D, 0xB3ED, 0xB3CD, 0xB3CC, 0xABAB, 0xA3EC, 0xAC2D, 0xB42E, 0x9B6C, 0x7289, 0x5A07, 0xB534, 
        0xE6FB, 0xF77D, 0xFFDF, 0xFFFF, 0xFFBE, 0xFF1B, 0xFEDA, 0xFEFA, 0xFF1B, 0xFF1B, 0xFF1B, 0xF71A, 0xF73A, 0xFF3B, 0xFF5B, 0xFF5B, 0xFF5B, 0xFF5B, 0xFF5B, 0xFF5B, 0xFF3B, 0xFF3B, 0xF73B, 0xFF5B, 0xFF5B, 0xFF5B, 0xF75C, 0xF75C, 0xF75C, 0xFF9C, 
        0xFF7C, 0xF73B, 0xF73B, 0xF73B, 0xF71B, 0xDE78, 0xDE57, 0xEED8, 0xF75B, 0xF79C, 0xD699, 0x5ACB, 0x2124, 0x1923, 0x29C4, 0x3A65, 0x52C7, 0x4A25, 0x41C3, 0x3182, 0x2962, 0x2161, 0x2161, 0x2162, 0x2962, 0x29A2, 0x31E2, 0x3202, 0x3202, 0x3224, 
        0x3204, 0x29E2, 0x31E2, 0x3A22, 0x4A43, 0x31A4, 0x2965, 0x39E5, 0x5B07, 0x842B, 0x9CED, 0x4A66, 0x3183, 0x52A5, 0x7387, 0x7BC7, 0x7BC7, 0x83EA, 0x83AA, 0x7327, 0x7B87, 0x9C69, 0xBDAC, 0xA4EB, 0x8C4A, 0x7BC9, 0x7BA9, 0x7BCA, 0x840C, 0x8C0C, 
        0x9C4D, 0xB551, 0xCE35, 0xD6B7, 0xDEFA, 0xD6BA, 0xBDD6, 0x738D, 0x39C6, 0x2124, 0x2944, 0x5AA7, 0x83CA, 0xAD2F, 0x9CEF, 0x738A, 0x2103, 0x2902, 0x5265, 0xA50C, 0xDEB1, 0xE713, 0xD672, 0xAD0E, 0x9C8D, 0xACCE, 0xB4EF, 0xBD0F, 0xBCEF, 0xACCF, 
        0xB4EF, 0xCD92, 0xEE55, 0xF6F8, 0xF75A, 0xEED5, 0xEEB4, 0xF717, 0xFF7B, 0xFF7B, 0xFF7C, 0xFF9D, 0xFFBE, 0xFF9E, 0xFF9E, 0xFFBE, 0xFFBE, 0xFFBC, 0xFFBC, 0xFF9B, 0xFF7B, 0xFF5A, 0xF759, 0xFF7B, 0xFF9C, 0xFF9C, 0xFFBC, 0xF79B, 0xF779, 0xF77A, 
        0xFF7A, 0xFF5A, 0xFF59, 0xFF58, 0xFF58, 0xFF38, 0xFF39, 0xFF7A, 0xFF9B, 0xFFBB, 0xFFBB, 0xFFDB, 0xFFDA, 0xFF9A, 0xFF99, 0xFF98, 0xFFB8, 0xFF98, 0xFF99, 0xFFBA, 0xFFDA, 0xFFDA, 0xFFBA, 0xFFBA, 0xFFBB, 0xFFDC, 0xFFDD, 0xFFBD, 0xFFBD,
  0x6A28, 0x7249, 0x82AB, 0x92EC, 0x92EC, 0x8AAC, 0x7289, 0x6A89, 0x72AA, 0x82EB, 0x8B2C, 0xA38D, 0xBBF1, 0xCC12, 0xD453, 0xDC73, 0xDC72, 0xDC72, 0xE493, 0xEC93, 0xE433, 0xDBD2, 0xDB92, 0xD330, 0xBAAE, 0xBAAD, 0xCB10, 0xE392, 0xEC13, 0xF495, 0xECB5, 
        0xECD5, 0xF4D5, 0xF4D5, 0xF4B4, 0xEC73, 0xCBF0, 0xC3CF, 0xD410, 0xDC50, 0xE471, 0xE472, 0xEC94, 0xECB5, 0xECD5, 0xF4F5, 0xF516, 0xF515, 0xE493, 0xDC31, 0xD3D0, 0xC38E, 0xB34C, 0xA32B, 0xB32C, 0xB32D, 0xBB4D, 0xBB8D, 0xBBAD, 0xC3AD, 0xBB8D, 
        0xBB6D, 0xBB8F, 0xC3B1, 0xCBD1, 0xCBF2, 0xC3D1, 0xC3D1, 0xD432, 0xDCB4, 0xE4F5, 0xED35, 0xDCF4, 0xDCD3, 0xDD14, 0xDD34, 0xD534, 0xC4F2, 0x9BCE, 0x830B, 0x6A68, 0x5206, 0x51E5, 0x5205, 0x5286, 0x5AA7, 0x5A87, 0x5AA7, 0x62C7, 0x62E7, 0x62E7, 
        0x62E7, 0x5AE6, 0x5AE6, 0x52C5, 0x4A84, 0x4A23, 0x4A43, 0x52A4, 0x4AA4, 0x3A24, 0x2982, 0x3A01, 0x4A62, 0x52A3, 0x6324, 0x7BA6, 0x9488, 0xA509, 0xA508, 0x94E7, 0x94A6, 0x8C86, 0x8C66, 0x8C06, 0x9407, 0xA4A9, 0xAD09, 0xAD09, 0x9C88, 0x73A9, 
        0x6329, 0x5AE8, 0x5266, 0x4205, 0x3163, 0x3164, 0x39A5, 0x4206, 0x4A66, 0x5286, 0x5A86, 0x6244, 0x6A85, 0x8B49, 0x9BAD, 0x9BCD, 0x938C, 0x934A, 0x8B08, 0x8AC7, 0x9308, 0xA3AB, 0xBD2F, 0xDE71, 0xDE90, 0xC5AD, 0xACEB, 0xA46A, 0x9C09, 0xABAA, 
        0xB38A, 0xBBAB, 0xC3AC, 0xC3CC, 0xBBEC, 0x9C6B, 0x9C8C, 0xB4AE, 0xD4D2, 0xE4F4, 0xF516, 0xE4D3, 0xD490, 0xC40D, 0xC3EC, 0xCC0E, 0xEC51, 0xEC53, 0xEC33, 0xE3F1, 0xDBD1, 0xE3F1, 0xEC12, 0xDC11, 0xC3CE, 0x8328, 0x5AA3, 0x4A83, 0x52A3, 0x62C4, 
        0x62E5, 0x62E5, 0x4A43, 0x31A2, 0x39A4, 0xBDD1, 0xF798, 0xFF5A, 0xFEDB, 0xFE79, 0xFDF7, 0xFE36, 0xFE77, 0xFE77, 0xFE78, 0xFE78, 0xFE58, 0xFE57, 0xFE57, 0xF657, 0xF657, 0xF657, 0xF657, 0xF657, 0xF657, 0xF658, 0xF677, 0xF677, 0xF677, 0xFE57, 
        0xFE57, 0xF677, 0xFEB7, 0xFEB8, 0xFE98, 0xFE36, 0xF5D5, 0xED53, 0xE4F2, 0xD4B0, 0xC46F, 0xBC4C, 0xBC2C, 0xBC2C, 0xBC2C, 0xBC2C, 0xBC2C, 0xB40C, 0xB40C, 0xB42C, 0xB42C, 0xB42C, 0xB40C, 0xB40D, 0xB40D, 0xBC2D, 0xBC4D, 0xBC4D, 0xBC6D, 0xC4AE, 
        0xCCCF, 0xD4D0, 0xD4F1, 0xDD12, 0xDD12, 0xD4F2, 0xD4F2, 0xDD32, 0xDD53, 0xDD53, 0xDD53, 0xE594, 0xED95, 0xED94, 0xF594, 0xF5B4, 0xF5B5, 0xF5B5, 0xF5D5, 0xF5F5, 0xF616, 0xF616, 0xF616, 0xFDF5, 0xF5D5, 0xF5D5, 0xF5D5, 0xF5D5, 0xF5B4, 0xF593, 
        0xED73, 0xF573, 0xED53, 0xED53, 0xED33, 0xE532, 0xE532, 0xDCF1, 0xDCF1, 0xDCD1, 0xDCD1, 0xDCB1, 0xDCB0, 0xD48F, 0xD48E, 0xCC8E, 0xCC6E, 0xC44E, 0xBC2D, 0xB40D, 0xB3CD, 0xB3CD, 0xB3CC, 0xB40D, 0xA38B, 0x8227, 0x7185, 0x71C6, 0x9B8C, 0xDE99, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFF9E, 0xFF5C, 0xFF5B, 0xF73B, 0xF73B, 0xF73B, 0xF73C, 0xFF5B, 0xFF7B, 0xF77B, 0xF77C, 0xF77B, 0xF77B, 0xFF5A, 0xFF3A, 0xF73A, 0xF73A, 0xF71A, 0xF71B, 0xF73B, 0xFF5C, 0xFF7C, 0xF79D, 0xF77D, 0xF75D, 0xFF9D, 
        0xFF9C, 0xF75B, 0xF71B, 0xF71B, 0xF6FB, 0xE698, 0xE698, 0xEF3B, 0xEF3B, 0xDE78, 0xA46F, 0x3144, 0x0860, 0x20E1, 0x31A3, 0x39E5, 0x3A26, 0x3245, 0x3244, 0x3A23, 0x31E2, 0x31A2, 0x2962, 0x31A3, 0x31C3, 0x31E2, 0x31E2, 0x3202, 0x3203, 0x3204, 
        0x3224, 0x3A23, 0x4284, 0x4AC5, 0x5B06, 0x3A24, 0x31C3, 0x39C4, 0x41E4, 0x4204, 0x4A44, 0x5AA7, 0x6308, 0x6B67, 0x7387, 0x7366, 0x7327, 0x7B88, 0x7BA8, 0x7347, 0x83C8, 0xA4AA, 0xC5CE, 0x9CCA, 0x83E8, 0x7B89, 0x7368, 0x7368, 0x83EA, 0xB571, 
        0xCE55, 0xDEF9, 0xE71B, 0xDEFB, 0xBDF7, 0x52AA, 0x2104, 0x10A2, 0x0860, 0x1060, 0x2921, 0x62A7, 0x83CA, 0xA4CE, 0x9C6D, 0x6B29, 0x2902, 0x3942, 0x6A85, 0xACEC, 0xD671, 0xDEB1, 0xBDAE, 0x7326, 0x5A43, 0x6AC7, 0x8369, 0x8BAB, 0xA44D, 0xD614, 
        0xDE76, 0xCD92, 0xCD51, 0xD5B4, 0xF6B9, 0xFF58, 0xFF78, 0xFF79, 0xFF7A, 0xFF5A, 0xFF5A, 0xFF9B, 0xFF9C, 0xFF9C, 0xFF7C, 0xFF7C, 0xFF9C, 0xFF9B, 0xFF9B, 0xFF7B, 0xFF5A, 0xFF5A, 0xF75A, 0xFF7A, 0xFF7A, 0xFF7B, 0xFF7B, 0xFF5A, 0xFF59, 0xF75A, 
        0xF77B, 0xF75A, 0xFF39, 0xFF39, 0xFF19, 0xFF38, 0xFF58, 0xFF79, 0xFF7A, 0xFF9B, 0xFF9B, 0xFFBB, 0xFFBB, 0xFF9A, 0xFF7A, 0xFF7A, 0xFF7A, 0xFF9A, 0xFF99, 0xFF9A, 0xFF9A, 0xFF9A, 0xFF99, 0xFF79, 0xFF7A, 0xFF9B, 0xFFBB, 0xFFBB, 0xFFBB,
  0x7227, 0x7A68, 0x8AEB, 0x9B4D, 0xA34D, 0x9B2C, 0x82CA, 0x7A89, 0x7288, 0x72A8, 0x7AC9, 0x934B, 0xB3AE, 0xCBF0, 0xCBF2, 0xD412, 0xCC11, 0xCC30, 0xDC92, 0xE493, 0xDC32, 0xD3B0, 0xCB6F, 0xC2ED, 0xA26B, 0x9A4B, 0xA2AC, 0xB32E, 0xC3B0, 0xDC73, 0xDC93, 
        0xDCB3, 0xE4B4, 0xECB4, 0xECB4, 0xEC73, 0xDC31, 0xD410, 0xDC11, 0xDC31, 0xDC51, 0xDC72, 0xDC73, 0xDC74, 0xE495, 0xECB5, 0xECD5, 0xECF5, 0xDC72, 0xD431, 0xCBAF, 0xCB6E, 0xC36D, 0xBB6D, 0xB36D, 0xB38D, 0xB38E, 0xB38D, 0xB38D, 0xBB6D, 0xBB6D, 
        0xBB6D, 0xB36F, 0xBB90, 0xBBB1, 0xBBF1, 0xBBD1, 0xBBB0, 0xB3B0, 0xBBF0, 0xC451, 0xCCD3, 0xD514, 0xDD34, 0xDD55, 0xDD75, 0xDD95, 0xCD95, 0xBCD2, 0xAC50, 0x93CD, 0x836B, 0x7B2A, 0x7309, 0x7329, 0x7349, 0x7329, 0x7329, 0x7B49, 0x838A, 0x7389, 
        0x6B89, 0x6B48, 0x6307, 0x5AE6, 0x52A5, 0x5284, 0x52A4, 0x52A3, 0x3A02, 0x2961, 0x18C0, 0x39E1, 0x4A81, 0x4A62, 0x4A84, 0x52A5, 0x6328, 0x8C4A, 0x9CCA, 0xA4CA, 0xA4C9, 0xACC9, 0xACC9, 0x9C67, 0x9446, 0x9427, 0x9468, 0x9CA8, 0x9CC9, 0x8C07, 
        0x83C7, 0x83E8, 0x7BE8, 0x73A7, 0x5AC5, 0x3182, 0x2942, 0x39C4, 0x4A66, 0x52A7, 0x62C8, 0x7265, 0x8265, 0x9B0A, 0xA34D, 0x9B2E, 0x8ACD, 0x9B0A, 0xA308, 0x9AC7, 0x92A8, 0x92C9, 0xA3AD, 0xD590, 0xE630, 0xDDEF, 0xC54D, 0xB4CB, 0x9C08, 0x9366, 
        0x9B47, 0xAB88, 0xB389, 0xB389, 0xB3A9, 0xB48C, 0xACCD, 0xBCAE, 0xCCF1, 0xDD54, 0xEDB6, 0xD512, 0xC48F, 0xBC2C, 0xBC2B, 0xCC6D, 0xECB2, 0xEC74, 0xEC54, 0xE452, 0xD450, 0xD40F, 0xD3EE, 0xE450, 0xDC30, 0xA34B, 0x72A6, 0x5A84, 0x4A83, 0x5AA4, 
        0x62C5, 0x62E4, 0x4A43, 0x3182, 0x3984, 0xBD4F, 0xF716, 0xFF3A, 0xFEFB, 0xFE9A, 0xFDF7, 0xFE36, 0xFE77, 0xFE77, 0xFE78, 0xFE78, 0xFE57, 0xFE57, 0xFE57, 0xF657, 0xF657, 0xF657, 0xF657, 0xF637, 0xF637, 0xF658, 0xF678, 0xF677, 0xF677, 0xF636, 
        0xF637, 0xF677, 0xF697, 0xF6B8, 0xF698, 0xFE36, 0xF5D4, 0xED73, 0xDD11, 0xD4D0, 0xCC6E, 0xC44D, 0xC44C, 0xBC4C, 0xB42C, 0xB42C, 0xB42C, 0xB42C, 0xB42C, 0xB40C, 0xB42C, 0xB42C, 0xB42C, 0xBC0D, 0xBC0D, 0xBC2D, 0xBC4C, 0xBC4C, 0xBC4D, 0xCC8E, 
        0xD4AF, 0xD4D0, 0xD4F1, 0xD4F2, 0xDD12, 0xDD32, 0xDD32, 0xDD52, 0xE532, 0xE533, 0xDD53, 0xDD74, 0xE594, 0xEDB4, 0xF5B4, 0xF5B4, 0xF5B5, 0xF5D5, 0xF5F5, 0xF5F5, 0xF5F5, 0xF5F6, 0xF5F6, 0xF5F5, 0xF5F5, 0xF5D5, 0xF5D5, 0xF5D5, 0xF5B4, 0xF593, 
        0xED73, 0xED73, 0xED73, 0xED54, 0xED53, 0xE512, 0xDD11, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCD1, 0xDCB1, 0xD4B1, 0xD48F, 0xD48E, 0xCC8E, 0xCC6E, 0xC44E, 0xC44E, 0xBC0E, 0xB3ED, 0xB3CD, 0xB38C, 0x9B2A, 0x92A8, 0x8206, 0x92A9, 0xABEE, 0xDE37, 0xF79D, 
        0xFFFF, 0xFFDF, 0xFFBF, 0xFFBE, 0xFF9E, 0xFF7D, 0xFF7D, 0xFF5C, 0xFF5C, 0xFF5C, 0xFF7C, 0xFF9C, 0xFF9C, 0xFF9C, 0xF79C, 0xF77C, 0xF75B, 0xFF3A, 0xF73A, 0xF71A, 0xF71A, 0xF71B, 0xF73B, 0xF75C, 0xFF9C, 0xFFBD, 0xFF9E, 0xF77E, 0xF73D, 0xFF9D, 
        0xFFBD, 0xFF7C, 0xF73C, 0xF71B, 0xF6FA, 0xF75C, 0xF79D, 0xEF7D, 0xCE79, 0x9CD2, 0x41E7, 0x1081, 0x0860, 0x18C1, 0x2102, 0x2923, 0x2164, 0x29A3, 0x3224, 0x4AC6, 0x52A6, 0x39E5, 0x2123, 0x4245, 0x4AA6, 0x4224, 0x31C2, 0x29C1, 0x29E2, 0x3A24, 
        0x4245, 0x3A44, 0x3A84, 0x42A4, 0x5306, 0x5B07, 0x52A7, 0x3184, 0x18C2, 0x18C1, 0x3182, 0x6B88, 0x840A, 0x7367, 0x6B05, 0x6B06, 0x7348, 0x6B07, 0x6AE6, 0x7346, 0x8C08, 0xA4EB, 0xBDAE, 0x9C8A, 0x83E8, 0x7BC9, 0x7BA9, 0x83A9, 0x9C4C, 0xD697, 
        0xEF5C, 0xCE9A, 0x9CF3, 0x73AF, 0x4208, 0x1082, 0x0000, 0x0000, 0x0020, 0x0820, 0x1060, 0x20E2, 0x41E5, 0x83C9, 0x8C2A, 0x6B07, 0x20C2, 0x28A1, 0x51E3, 0x9449, 0xB54C, 0xAD0B, 0x7366, 0x41E2, 0x2920, 0x20E2, 0x20E3, 0x2903, 0x49E6, 0xAD11, 
        0xD614, 0xC572, 0xC510, 0xCD11, 0xE5D5, 0xF75B, 0xFFDC, 0xF79A, 0xF758, 0xF758, 0xFF58, 0xFF7A, 0xFF9B, 0xFF7C, 0xFF7C, 0xFF7C, 0xFF9B, 0xFF9A, 0xFF7A, 0xFF59, 0xFF59, 0xFF59, 0xFF79, 0xFF9A, 0xFF9B, 0xFF9B, 0xFF9B, 0xFF7A, 0xFF79, 0xFF9A, 
        0xFF9A, 0xF77A, 0xF739, 0xF719, 0xF6D7, 0xF6D6, 0xF6D6, 0xF6F7, 0xF718, 0xF738, 0xF779, 0xFF9A, 0xFF9A, 0xFFBA, 0xFFDB, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDC, 0xFFDC, 0xFF9B, 0xFF9A, 0xFFBB, 0xFFBB, 0xFFBB, 0xFF9A,
  0x7A27, 0x8268, 0x930B, 0xA36C, 0xA38D, 0xA36D, 0x9B0B, 0x8ACA, 0x7AA8, 0x72A7, 0x72A7, 0x8309, 0xABAD, 0xC3CF, 0xC3D1, 0xC3D1, 0xC3F0, 0xCC2F, 0xDCB2, 0xDCB3, 0xDC32, 0xD3B1, 0xCB6F, 0xBAEC, 0xA24A, 0x922A, 0x926A, 0xA2EC, 0xB34E, 0xCC11, 0xDC92, 
        0xDCB3, 0xDCB4, 0xE4B4, 0xE4B4, 0xEC94, 0xE432, 0xDC11, 0xDC11, 0xDC11, 0xDC32, 0xDC52, 0xD452, 0xD453, 0xDC74, 0xE494, 0xECB5, 0xECD4, 0xE493, 0xDC52, 0xD3F0, 0xD3AF, 0xCB8E, 0xC3AE, 0xC3AE, 0xBBAE, 0xBB8E, 0xB38E, 0xB36D, 0xB34D, 0xBB6D, 
        0xB36E, 0xB36F, 0xB390, 0xB3B0, 0xBBF1, 0xC3F2, 0xBBD1, 0xAB8F, 0xAB8E, 0xABCF, 0xBC71, 0xD513, 0xDD54, 0xDD75, 0xDD95, 0xDDB6, 0xD5B6, 0xC534, 0xBCD2, 0xAC70, 0x9C0E, 0x93ED, 0x838C, 0x7B8A, 0x7B8A, 0x7B8A, 0x838B, 0x8BAB, 0x8BCB, 0x840C, 
        0x7BEB, 0x73A9, 0x6B48, 0x6327, 0x5AC5, 0x5AC4, 0x5AC4, 0x52A4, 0x4223, 0x31A3, 0x2922, 0x41E1, 0x4A61, 0x4A42, 0x4245, 0x4A66, 0x6309, 0x8C2B, 0x9CAB, 0xA4AA, 0xACA9, 0xACA9, 0xACA8, 0xA467, 0x9446, 0x8C26, 0x8C67, 0x94A9, 0xA529, 0x9467, 
        0x8C06, 0x8407, 0x83E7, 0x7BC7, 0x6305, 0x31A1, 0x2121, 0x39C3, 0x4A65, 0x52A7, 0x62C8, 0x7A87, 0x8A87, 0x9AEA, 0x9B0D, 0x92ED, 0x8AAD, 0xA2EA, 0xAB09, 0xAAE9, 0xA2CA, 0x9AAA, 0x9B0B, 0xBC4C, 0xCD0D, 0xCD2D, 0xC50C, 0xB4CA, 0xA428, 0x93A7, 
        0x9387, 0xABA8, 0xB389, 0xBB69, 0xB389, 0xB48C, 0xB4CD, 0xBCAE, 0xCCF1, 0xDD53, 0xEDB5, 0xC4B0, 0xB42D, 0xBC4C, 0xCC8D, 0xDCCF, 0xECF2, 0xF494, 0xEC54, 0xE472, 0xDC50, 0xD40F, 0xCBEE, 0xE450, 0xDC10, 0xAB2B, 0x72A7, 0x5A85, 0x4AA3, 0x5AA4, 
        0x62C5, 0x62C4, 0x4A43, 0x3182, 0x3984, 0xBD0E, 0xF6D5, 0xFF3A, 0xFF1B, 0xFE9A, 0xFE17, 0xFE57, 0xFE77, 0xFE77, 0xFE78, 0xFE78, 0xFE77, 0xFE57, 0xFE57, 0xF657, 0xF657, 0xF658, 0xF658, 0xF637, 0xF637, 0xFE57, 0xF677, 0xF677, 0xF676, 0xF636, 
        0xF636, 0xF677, 0xFE97, 0xFEB8, 0xFEB8, 0xFE35, 0xF5D4, 0xED73, 0xE512, 0xDCD0, 0xCC6E, 0xC44D, 0xBC4C, 0xBC4C, 0xBC4C, 0xB42C, 0xB40C, 0xB42C, 0xB42D, 0xB40C, 0xB40C, 0xB42C, 0xB42C, 0xBC0D, 0xBC0D, 0xBC2D, 0xBC4C, 0xBC4C, 0xBC4D, 0xCC8F, 
        0xD4AF, 0xD4D1, 0xDCF1, 0xDCF2, 0xDCF2, 0xDD52, 0xE553, 0xE553, 0xE553, 0xE553, 0xE554, 0xE574, 0xE594, 0xEDB4, 0xF5B4, 0xF5D4, 0xF5D5, 0xF5F6, 0xFDF6, 0xF5F5, 0xF5F6, 0xF5F6, 0xFDF6, 0xF5F5, 0xF5F5, 0xF5D5, 0xF5D5, 0xF5D5, 0xF5B4, 0xF594, 
        0xF573, 0xED73, 0xED73, 0xF574, 0xF553, 0xE512, 0xDD11, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCD1, 0xDCB1, 0xDCB0, 0xD490, 0xD48F, 0xCC8F, 0xCC6E, 0xC44E, 0xC44E, 0xBC2E, 0xBC0E, 0xBBEE, 0xB3AC, 0x9AC9, 0x8A67, 0x92A8, 0xABCD, 0xC553, 0xF77D, 0xFFFF, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFF9E, 0xFF9D, 0xFF7D, 0xFF7D, 0xFF7D, 0xFF9D, 0xFF9D, 0xFFBD, 0xFFBD, 0xFFBD, 0xFF9D, 0xFF7C, 0xFF3B, 0xF71A, 0xF71A, 0xF71B, 0xF73B, 0xF75C, 0xFF7C, 0xFF9D, 0xFFBE, 0xFFBE, 0xFF9E, 0xF75E, 0xFF9E, 
        0xFFBE, 0xFF9D, 0xF77D, 0xF75C, 0xF73B, 0xFFBE, 0xF79E, 0xCE79, 0x9CD3, 0x632C, 0x18C3, 0x0880, 0x10C1, 0x18C1, 0x18C1, 0x18C2, 0x18E2, 0x1922, 0x29A4, 0x52C7, 0x5AC8, 0x4A26, 0x2943, 0x4246, 0x52C7, 0x4264, 0x3A02, 0x29E1, 0x29E2, 0x4245, 
        0x4A66, 0x4265, 0x3A43, 0x3A63, 0x4AC5, 0x7389, 0x6B49, 0x31A4, 0x18A2, 0x18C1, 0x41E3, 0x6B87, 0x7BE8, 0x7346, 0x6B06, 0x7327, 0x7B69, 0x6AE7, 0x62A6, 0x7326, 0x8C08, 0xA4EB, 0xBD8D, 0x9469, 0x83E8, 0x8C2B, 0x946D, 0xA48E, 0xB510, 0xC616, 
        0xC617, 0x94D3, 0x632C, 0x4229, 0x2965, 0x2103, 0x2103, 0x2923, 0x2944, 0x3165, 0x3185, 0x3165, 0x4A26, 0x8BE9, 0x9C8A, 0x83C9, 0x49E5, 0x3984, 0x5246, 0x9409, 0xA4CA, 0x9449, 0x5AC4, 0x39E2, 0x3181, 0x2101, 0x2903, 0x2924, 0x4207, 0x9C6E, 
        0xBD71, 0xC551, 0xCD51, 0xD551, 0xE5D4, 0xF73A, 0xFFBC, 0xF79A, 0xF758, 0xF737, 0xFF37, 0xFF39, 0xFF5A, 0xFF5B, 0xFF7B, 0xFF7B, 0xFF7B, 0xFF7A, 0xFF7A, 0xFF59, 0xFF59, 0xFF59, 0xFF79, 0xFF7A, 0xFF7A, 0xFF9B, 0xFF9B, 0xFF7A, 0xFF7A, 0xFF9A, 
        0xFF9A, 0xF77A, 0xF73A, 0xF719, 0xF6D7, 0xEEB6, 0xEEB6, 0xEEB6, 0xF6B6, 0xF6D6, 0xF717, 0xF738, 0xFF58, 0xFF79, 0xF799, 0xF79A, 0xF7BB, 0xF7BC, 0xF7BB, 0xFFBB, 0xF7BA, 0xF7BB, 0xFF9B, 0xFF9A, 0xFF9A, 0xFFBB, 0xFFBB, 0xFF9B, 0xFF9A,
  0x8288, 0x8AA9, 0x9B0A, 0xA36C, 0xAB8D, 0xABAD, 0xAB8D, 0xA36B, 0x8B09, 0x72C7, 0x6AA6, 0x6AC6, 0x9B8B, 0xABCD, 0xB3AF, 0xBB90, 0xBBAF, 0xCC0F, 0xDC92, 0xDCB4, 0xDC53, 0xDBF2, 0xD391, 0xC30E, 0xA24B, 0x9209, 0x9209, 0x9249, 0x928A, 0xAB4D, 0xDC72, 
        0xE4B4, 0xDC94, 0xDC74, 0xDC94, 0xE494, 0xEC53, 0xEC32, 0xE411, 0xDC11, 0xDC11, 0xDC12, 0xDC11, 0xDBF1, 0xDBF2, 0xDC12, 0xE433, 0xEC74, 0xEC73, 0xEC73, 0xE431, 0xDC10, 0xDBF0, 0xD3D0, 0xD3B0, 0xD3B0, 0xCB8F, 0xC36F, 0xBB4E, 0xB32D, 0xB34D, 
        0xB36E, 0xB36F, 0xB36F, 0xB38F, 0xBBB0, 0xCC12, 0xC412, 0xAB8F, 0x9B2D, 0x932D, 0x9B8E, 0xC4B2, 0xDD13, 0xDD54, 0xDD75, 0xDDB6, 0xE5D7, 0xDDB5, 0xD574, 0xC4F3, 0xB4B2, 0xAC71, 0x9C4F, 0x8BED, 0x8BCC, 0x93ED, 0x940D, 0x942D, 0x8C2D, 0x9C8E, 
        0x9C8E, 0x8C2C, 0x83CA, 0x7B89, 0x6B47, 0x5AE5, 0x5AC4, 0x5AA5, 0x5285, 0x5265, 0x4A24, 0x31C2, 0x29A1, 0x39C3, 0x4A25, 0x52A6, 0x7389, 0x948B, 0x9CCB, 0x9CC8, 0x9C86, 0x9465, 0x8C04, 0x8BC4, 0x8BC5, 0x8427, 0x94A9, 0x9D2B, 0xAD8C, 0x9CEA, 
        0x9467, 0x7BC5, 0x7345, 0x6B25, 0x62A5, 0x39A2, 0x2962, 0x41E3, 0x5265, 0x5A86, 0x62A6, 0x82A8, 0x8A89, 0x8AAA, 0x8ACB, 0x92EB, 0x930C, 0xA30D, 0xA30D, 0xAB2D, 0xA30B, 0xA2EA, 0x92A7, 0x8AC7, 0x9308, 0xA3A9, 0xAC29, 0xAC29, 0xA408, 0x93E8, 
        0x93E8, 0xABC9, 0xBBA9, 0xBB8A, 0xBB8A, 0xB40C, 0xBC6D, 0xC48F, 0xD4F1, 0xE533, 0xE513, 0xB3AC, 0xAB6B, 0xCC6F, 0xE533, 0xF534, 0xF4D4, 0xF494, 0xF474, 0xEC52, 0xE411, 0xE411, 0xDBF1, 0xEC32, 0xDC10, 0xA32B, 0x72A6, 0x5A84, 0x52A3, 0x5AC4, 
        0x62E5, 0x5AC5, 0x4A44, 0x31A2, 0x31A4, 0xAC8D, 0xE654, 0xF71A, 0xFF3B, 0xFEDA, 0xFE17, 0xFE77, 0xFE97, 0xFE77, 0xFE78, 0xFE78, 0xFE98, 0xFE77, 0xFE77, 0xFE57, 0xFE77, 0xFE77, 0xFE78, 0xFE57, 0xFE37, 0xFE57, 0xF657, 0xF657, 0xF657, 0xFE57, 
        0xFE57, 0xFE77, 0xFE97, 0xFEB7, 0xFEB7, 0xFE15, 0xF5B3, 0xED52, 0xE4F1, 0xE4D0, 0xDC8E, 0xB42C, 0xAC2C, 0xB44D, 0xBC4D, 0xBC2C, 0xB3EB, 0xB40C, 0xB40C, 0xB40C, 0xB40C, 0xB40C, 0xBC0D, 0xBC2D, 0xBC2D, 0xBC2D, 0xBC4D, 0xBC4D, 0xBC6E, 0xCC90, 
        0xD4B1, 0xD4D1, 0xDCD1, 0xDCF2, 0xDD12, 0xE553, 0xE573, 0xED73, 0xED94, 0xF594, 0xF594, 0xF594, 0xF595, 0xF5B5, 0xFDD5, 0xFDD5, 0xFDF5, 0xFDF5, 0xFDF6, 0xFDF6, 0xFE16, 0xFE36, 0xFE57, 0xFE16, 0xFDD6, 0xFDD6, 0xFDF5, 0xFDD5, 0xFDB4, 0xF594, 
        0xF573, 0xF573, 0xF553, 0xF553, 0xF554, 0xED33, 0xE532, 0xE512, 0xE512, 0xE512, 0xE4F1, 0xDCB0, 0xDC90, 0xDC90, 0xD490, 0xD490, 0xC46F, 0xC44E, 0xC42E, 0xC42F, 0xC44F, 0xC42F, 0xBBED, 0xA2C9, 0x9A88, 0xA36C, 0xBCB1, 0xD5D6, 0xF79D, 0xFFFF, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBD, 0xFFBE, 0xFF9D, 0xFF3C, 0xFF1B, 0xF73B, 0xF75C, 0xF77C, 0xFF9D, 0xFF5D, 0xFF7D, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFBF, 0xF7BE, 
        0xF79E, 0xF79E, 0xFFBE, 0xFFBE, 0xF79D, 0xDEFB, 0xB5D6, 0x6B2D, 0x3185, 0x18C3, 0x1081, 0x18E1, 0x2121, 0x1901, 0x10C1, 0x0881, 0x0860, 0x0860, 0x18E2, 0x4206, 0x5287, 0x5266, 0x41E3, 0x3A04, 0x3A24, 0x4264, 0x4244, 0x3A23, 0x3203, 0x4A85, 
        0x52A6, 0x4A85, 0x4264, 0x3A43, 0x4A83, 0x7389, 0x7389, 0x4225, 0x3183, 0x39E4, 0x5AA6, 0x5AC4, 0x5AE3, 0x6B25, 0x7368, 0x7B89, 0x7B89, 0x6B08, 0x6AC7, 0x7347, 0x8C08, 0x9CC9, 0xB56B, 0x946A, 0x8C2A, 0xB50F, 0xCDF4, 0xDE57, 0xC5F5, 0x7BAC, 
        0x5268, 0x39E6, 0x3A06, 0x52A8, 0x7BEB, 0x83CA, 0x83CA, 0x942C, 0x9CCE, 0xA510, 0xAD51, 0xA510, 0xAD0F, 0xBD6F, 0xCD8E, 0xC56E, 0xB52E, 0x9CCF, 0x9CAF, 0xA4CE, 0xA4CC, 0x948A, 0x83E8, 0x6B46, 0x6B05, 0x7B27, 0x8BCB, 0x946E, 0x9D32, 0xACEF, 
        0xB4EE, 0xD5B1, 0xE633, 0xEE54, 0xEE94, 0xF717, 0xFF59, 0xFF79, 0xF759, 0xF718, 0xF696, 0xF6B6, 0xF6F7, 0xFF18, 0xFF38, 0xFF58, 0xFF58, 0xFF39, 0xFF5A, 0xF75A, 0xF75A, 0xF75A, 0xFF5A, 0xFF38, 0xFF37, 0xFF59, 0xFF79, 0xFF7A, 0xFF7A, 0xFF7B, 
        0xFF7B, 0xFF7A, 0xFF59, 0xF759, 0xF738, 0xF6F7, 0xEED6, 0xEE95, 0xEE74, 0xEE53, 0xEE53, 0xEE95, 0xEEB5, 0xEEB6, 0xEEB6, 0xEEB6, 0xEED6, 0xEEF8, 0xEEF8, 0xEEF7, 0xEED7, 0xEED7, 0xEEF7, 0xF738, 0xFF58, 0xFF58, 0xFF78, 0xFF99, 0xFFBB,
  0x9AEA, 0xA30A, 0xA36B, 0xABAC, 0xABCC, 0xA3CC, 0xA3EC, 0x9BCB, 0x8B09, 0x72A7, 0x6A86, 0x72A7, 0x8B4A, 0xA38C, 0xAB8E, 0xB36F, 0xBB8F, 0xC3CF, 0xCC10, 0xD410, 0xCBAF, 0xC36E, 0xB32D, 0xA2AB, 0x79E7, 0x6965, 0x5924, 0x5924, 0x6165, 0x7228, 0xA38E, 
        0xB410, 0xBBF1, 0xC3F1, 0xC3F1, 0xCBF1, 0xDBD2, 0xDBF3, 0xE3F2, 0xE412, 0xE3F2, 0xDBD1, 0xCBAF, 0xC38E, 0xBB4E, 0xB34E, 0xBB4E, 0xC34E, 0xBB4E, 0xBB6E, 0xC36E, 0xCBAF, 0xD3AF, 0xD3D0, 0xDBD0, 0xDBB0, 0xD36F, 0xCB2E, 0xC2ED, 0xB2AC, 0xA2AB, 
        0xA2CC, 0xB30E, 0xB32F, 0xB32F, 0xAB2F, 0xB3AF, 0xABAE, 0x934C, 0x7AAA, 0x6247, 0x5A06, 0x832C, 0xA3EF, 0xB491, 0xC513, 0xCD54, 0xD595, 0xE617, 0xE637, 0xD5B6, 0xC575, 0xBD34, 0xB512, 0xA4B0, 0xA48F, 0xA48E, 0xA48E, 0x9C8E, 0x9CAF, 0xA4EF, 
        0xA4EF, 0x9C8D, 0x8C2B, 0x840A, 0x6BA8, 0x6346, 0x5B05, 0x5AC5, 0x52A4, 0x5AA4, 0x5283, 0x31A2, 0x2161, 0x2961, 0x31A2, 0x39E4, 0x4A87, 0x6329, 0x738A, 0x8449, 0x8C88, 0x8447, 0x7BC5, 0x7345, 0x7325, 0x6B27, 0x7349, 0x7B6A, 0x8BEC, 0xAD2D, 
        0xB58C, 0xAD4B, 0x9CC9, 0x9468, 0x83C7, 0x7347, 0x6B07, 0x62A7, 0x5A87, 0x5AA8, 0x6AC9, 0x8AC9, 0x92C9, 0x92EB, 0x92EB, 0x92CB, 0x9ACB, 0xA34E, 0xA38E, 0xA34D, 0x9AEB, 0x9AAA, 0x9A69, 0x9287, 0x92A6, 0x9327, 0xA367, 0xA387, 0xA3A7, 0x93A7, 
        0x93A6, 0x9BA6, 0xA3A6, 0xA3A6, 0xB3A8, 0xC3C9, 0xCBEB, 0xDC4D, 0xE48F, 0xE4B1, 0xD491, 0xBBCE, 0xB3CE, 0xD491, 0xE533, 0xED54, 0xF534, 0xF4D5, 0xF494, 0xEC73, 0xE412, 0xDBF1, 0xCBCF, 0xD40F, 0xCBEE, 0xAB4B, 0x82C8, 0x6AA6, 0x52C3, 0x5AC4, 
        0x62C5, 0x62C5, 0x5264, 0x41E3, 0x39C2, 0x7347, 0x9CCD, 0xD656, 0xF71B, 0xFEBB, 0xFE18, 0xFE78, 0xFEB8, 0xFE97, 0xFE78, 0xFE78, 0xFE78, 0xFE78, 0xFE57, 0xFE57, 0xFE57, 0xFE57, 0xF657, 0xF637, 0xF636, 0xF636, 0xF636, 0xF656, 0xFE57, 0xF678, 
        0xF678, 0xFE77, 0xFE76, 0xFE56, 0xFE15, 0xFDD4, 0xF593, 0xED32, 0xE4F1, 0xE4D0, 0xD48E, 0xBC2D, 0xB42C, 0xBC4D, 0xBC4C, 0xBC2C, 0xB3CB, 0xB3CB, 0xB3CB, 0xB3EC, 0xB3EC, 0xB3CC, 0xB3CC, 0xB3EC, 0xB40D, 0xBC2D, 0xBC2D, 0xBC4D, 0xC46D, 0xCCAF, 
        0xCCD0, 0xD4D1, 0xDCF2, 0xDD12, 0xE533, 0xE554, 0xE574, 0xED94, 0xED94, 0xF5B4, 0xF5B4, 0xF5B5, 0xFDB5, 0xF5D5, 0xF5D4, 0xF5F5, 0xF5F5, 0xFDF5, 0xFDF5, 0xFE16, 0xF636, 0xF657, 0xFE56, 0xFDF6, 0xF5D6, 0xF5D6, 0xF5D6, 0xF5D5, 0xF5B5, 0xF594, 
        0xF574, 0xED73, 0xF573, 0xF553, 0xF553, 0xE533, 0xDD12, 0xDD12, 0xDCF2, 0xDCF1, 0xDCF1, 0xDCB0, 0xDC90, 0xD490, 0xD490, 0xCC8F, 0xCC6E, 0xC44E, 0xBC2E, 0xBC4E, 0xC44F, 0xC44F, 0xBBEE, 0xAB0A, 0x9AA9, 0x9B2B, 0xB450, 0xCD95, 0xF77D, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFF9D, 0xFF9D, 0xFF9D, 0xFF7D, 0xF73B, 0xF71B, 0xF75C, 0xF77C, 0xF79C, 0xF79C, 0xF73C, 0xF73D, 0xFF9E, 0xFFDF, 0xFFFF, 0xFFDF, 0xF7BE, 
        0xF7BE, 0xF7DE, 0xF79E, 0xEF5D, 0xBDF7, 0x52AA, 0x2124, 0x18A2, 0x18A1, 0x20C2, 0x3122, 0x20C2, 0x10A1, 0x10A1, 0x1081, 0x1081, 0x1080, 0x0860, 0x10A1, 0x3184, 0x4206, 0x4A05, 0x39C4, 0x31A3, 0x31C3, 0x4244, 0x4264, 0x4264, 0x3A44, 0x4AA5, 
        0x4AC5, 0x4AA5, 0x4A84, 0x4A84, 0x4AA4, 0x5306, 0x5306, 0x4A84, 0x4A64, 0x52A4, 0x62E5, 0x5282, 0x5283, 0x6B06, 0x7B69, 0x7B8A, 0x7B69, 0x6AE7, 0x62E7, 0x7B87, 0x8C28, 0x9488, 0xA509, 0xAD4D, 0xBD91, 0xD655, 0xCE36, 0xB553, 0x7B8C, 0x4A45, 
        0x4A44, 0x7388, 0x948B, 0xA4EC, 0xAD4D, 0xC58E, 0xC5AF, 0xCDF0, 0xD672, 0xDEB3, 0xE715, 0xEEF2, 0xEED1, 0xEEB2, 0xEED3, 0xEEF4, 0xF717, 0xEF59, 0xE759, 0xDEF6, 0xD6B3, 0xCE92, 0xCE2F, 0xB52C, 0xB4EC, 0xC5B0, 0xDE74, 0xE6D6, 0xE6F7, 0xDE13, 
        0xDDF2, 0xEE74, 0xF716, 0xFF57, 0xFF79, 0xFF58, 0xFF17, 0xF6F7, 0xF6D6, 0xF6B6, 0xF695, 0xF6D6, 0xF6F7, 0xF6F7, 0xFF17, 0xFF17, 0xFF37, 0xF737, 0xF737, 0xFF58, 0xFF59, 0xFF59, 0xFF39, 0xFF18, 0xFF17, 0xFF38, 0xFF38, 0xFF38, 0xFF39, 0xFF39, 
        0xFF39, 0xFF58, 0xFF58, 0xFF58, 0xFF38, 0xF6F7, 0xF6D6, 0xEE95, 0xE674, 0xE654, 0xE634, 0xE635, 0xE656, 0xEE56, 0xEE55, 0xEE35, 0xE635, 0xEE56, 0xEE76, 0xEE75, 0xF695, 0xEE95, 0xEE95, 0xEE75, 0xEE75, 0xEE95, 0xEEB5, 0xEED6, 0xF6D7,
  0xAAAB, 0xAACB, 0xA32C, 0xA36D, 0xA38C, 0x9BAB, 0x9BAB, 0x936A, 0x7AE8, 0x6AA6, 0x6A86, 0x72A8, 0x934B, 0xA38D, 0xAB8E, 0xB38F, 0xBB8F, 0xBB8F, 0xB38E, 0xB38D, 0xAB2B, 0xA2C9, 0x9AA9, 0x8227, 0x61A5, 0x5143, 0x48E2, 0x3881, 0x3061, 0x38C2, 0x6227, 
        0x72CA, 0x82EB, 0x930C, 0xA32D, 0xB36F, 0xCBB1, 0xD3F2, 0xE412, 0xEC33, 0xEC53, 0xE412, 0xCB90, 0xB32E, 0xAB0D, 0xA2CC, 0xA2CB, 0x9A8B, 0x9229, 0x9229, 0xA28A, 0xAAEC, 0xB32D, 0xC36E, 0xD3B0, 0xD3B0, 0xCB8F, 0xC34E, 0xBB0D, 0xAA8A, 0x89E8, 
        0x81E8, 0x9AAC, 0xAB2E, 0xA34E, 0x9B2E, 0xA30C, 0x9B0C, 0x8ACB, 0x6A48, 0x51C6, 0x3923, 0x41A4, 0x5A47, 0x7B2A, 0x93CD, 0x9C2F, 0xACB2, 0xCD74, 0xDDB5, 0xCD94, 0xC554, 0xC513, 0xB4D2, 0xACAF, 0xA48E, 0xA48E, 0xA48F, 0xA4AF, 0xA4D0, 0xACEF, 
        0xACCE, 0xA4AD, 0x944C, 0x8C2B, 0x7BA9, 0x6B48, 0x6327, 0x62E6, 0x5AC5, 0x52A4, 0x4A44, 0x4A25, 0x4205, 0x31C4, 0x31C5, 0x31E6, 0x4227, 0x4A46, 0x4A85, 0x6306, 0x6B45, 0x6325, 0x5AE4, 0x6325, 0x6B46, 0x6B26, 0x6B06, 0x6AE6, 0x6AE6, 0x7B85, 
        0x83C5, 0x83E6, 0x83E7, 0x7BC7, 0x7BA7, 0x93EC, 0x9BEE, 0x93AD, 0x8B6C, 0x8B4C, 0x832B, 0x7286, 0x7245, 0x7A67, 0x8A89, 0x928B, 0xA2CC, 0xA36D, 0xA38D, 0xA32B, 0xA2EB, 0xAACB, 0xB2CC, 0xAAEA, 0xAB09, 0xAB49, 0xAB89, 0xAB88, 0xAB87, 0x9B86, 
        0x93A6, 0x9BE6, 0x9C06, 0xA3E6, 0xABC7, 0xB368, 0xC389, 0xD44C, 0xD48D, 0xCC4D, 0xBB8D, 0xAB6E, 0xB3CF, 0xCC51, 0xE4D2, 0xECF3, 0xECD4, 0xE493, 0xE473, 0xE452, 0xDC11, 0xD3F0, 0xCBAF, 0xD3CF, 0xCBCE, 0xB38C, 0x8B49, 0x7327, 0x5AE4, 0x5AA4, 
        0x62A4, 0x5AA4, 0x52A3, 0x4A62, 0x4201, 0x5243, 0x7B48, 0xBD94, 0xEEFB, 0xFEDB, 0xFE39, 0xFE58, 0xFE98, 0xFE98, 0xFE98, 0xFE78, 0xFE78, 0xFE58, 0xFE58, 0xFE57, 0xFE57, 0xFE57, 0xF636, 0xF636, 0xF636, 0xF636, 0xF636, 0xF656, 0xFE57, 0xF657, 
        0xF657, 0xFE56, 0xFE56, 0xFE35, 0xFDF5, 0xFDD4, 0xF593, 0xED32, 0xDCD0, 0xDCAF, 0xCC6D, 0xBC2C, 0xBC2C, 0xBC2C, 0xBC0C, 0xB3EC, 0xB3CB, 0xB3AB, 0xB3AB, 0xB3AB, 0xB3CB, 0xABCB, 0xB3CB, 0xB3AC, 0xBBAC, 0xBBED, 0xBC0C, 0xBC2C, 0xBC4C, 0xCC8F, 
        0xD4B1, 0xD4F1, 0xD512, 0xDD12, 0xE553, 0xED74, 0xED94, 0xED94, 0xF594, 0xF5B4, 0xF5B5, 0xF5D5, 0xF5D5, 0xF5D5, 0xF5D4, 0xF5D5, 0xF5F5, 0xF5F5, 0xF616, 0xF616, 0xF636, 0xF636, 0xF636, 0xF5F6, 0xF5D6, 0xF5D6, 0xF5D6, 0xF5D5, 0xF5B5, 0xF595, 
        0xF574, 0xF574, 0xED74, 0xED53, 0xED33, 0xE533, 0xE513, 0xE512, 0xDCF2, 0xDCF1, 0xDCF1, 0xDCB1, 0xDCB1, 0xD491, 0xD490, 0xD48F, 0xCC6E, 0xC44E, 0xBC2E, 0xBC2E, 0xC42E, 0xC42E, 0xBBED, 0xA2EA, 0x9AA8, 0x9AEA, 0xB40F, 0xCD74, 0xF75D, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFF9E, 0xFF9E, 0xFF9E, 0xF79D, 0xF73C, 0xF71B, 0xF73B, 0xF73C, 0xF75C, 0xF75C, 0xF71B, 0xF71C, 0xFF7D, 0xFFBE, 0xFFDF, 0xFFDF, 0xF7BE, 
        0xEF7D, 0xD6BA, 0xAD75, 0x8410, 0x39C6, 0x10A2, 0x10A1, 0x2122, 0x3143, 0x3142, 0x28E2, 0x20C2, 0x20A2, 0x18A2, 0x10A1, 0x10A1, 0x10C1, 0x10C1, 0x18E2, 0x3164, 0x39A4, 0x3984, 0x3183, 0x31C4, 0x3204, 0x3A24, 0x4244, 0x4244, 0x4245, 0x4285, 
        0x42A5, 0x4284, 0x4284, 0x4263, 0x4A84, 0x5306, 0x5B46, 0x5B05, 0x5AC4, 0x52A4, 0x52A3, 0x5AA4, 0x5AC5, 0x6B07, 0x7369, 0x7B8A, 0x7B8A, 0x62E7, 0x62E6, 0x83A7, 0x9448, 0x9488, 0x9D0A, 0xBE12, 0xC613, 0x9CAD, 0x6B48, 0x5266, 0x4A25, 0x7BA8, 
        0x948A, 0xA4CB, 0xA4CB, 0x9C8A, 0x9429, 0xA4CB, 0xACEC, 0xA4CB, 0xA4CB, 0xAD0C, 0xC58E, 0xCDEE, 0xD60E, 0xDE70, 0xEED3, 0xF6F4, 0xFF37, 0xF778, 0xF798, 0xF798, 0xF797, 0xF797, 0xEF95, 0xDEB2, 0xDE92, 0xEF15, 0xEF36, 0xEEF6, 0xDE73, 0xE673, 
        0xE673, 0xF6B5, 0xFEF6, 0xFF37, 0xFF57, 0xFF97, 0xF757, 0xEED6, 0xEE95, 0xEE95, 0xF6B5, 0xF6F6, 0xF6F6, 0xF6D6, 0xF6D6, 0xF6D6, 0xFEF7, 0xFF37, 0xFF37, 0xFF37, 0xFF18, 0xFEF8, 0xFEF8, 0xFF18, 0xFF17, 0xFF17, 0xFF18, 0xFF18, 0xFF18, 0xF717, 
        0xF717, 0xF718, 0xFF39, 0xFF5A, 0xFF5B, 0xFF38, 0xF716, 0xEED5, 0xEE95, 0xEE76, 0xF656, 0xEE36, 0xEE36, 0xF676, 0xF677, 0xF677, 0xF657, 0xF677, 0xF677, 0xF676, 0xEE75, 0xEE54, 0xE654, 0xE634, 0xE634, 0xE634, 0xEE34, 0xEE55, 0xEE75,
  0x92EA, 0x930B, 0x9B2B, 0x9B6C, 0x9B6C, 0x936B, 0x8349, 0x7329, 0x72E8, 0x6AC8, 0x6AA8, 0x72AA, 0x932E, 0xA36F, 0xAB6F, 0xB38F, 0xBB8F, 0xBBB0, 0xB38E, 0xAB4D, 0xA30C, 0x9ACB, 0x928A, 0x7228, 0x5984, 0x5143, 0x4923, 0x38E2, 0x28A2, 0x20A1, 0x5185, 
        0x61E7, 0x61E8, 0x6A29, 0x7A4A, 0x9AEC, 0xBB8F, 0xCBF0, 0xDC32, 0xE453, 0xF474, 0xF474, 0xE432, 0xCBD0, 0xB30D, 0xA2AB, 0x9A8B, 0x9A8B, 0x9269, 0x8A49, 0x8228, 0x8228, 0x8A49, 0x9AAB, 0xBB2F, 0xC370, 0xC38F, 0xC3AF, 0xCB8F, 0xBB2E, 0x81C7, 
        0x6945, 0x79C8, 0x924B, 0x9A8D, 0x9AEE, 0x934C, 0x8B4B, 0x7B0B, 0x72C9, 0x6287, 0x49E4, 0x20E1, 0x20E2, 0x41E6, 0x62A9, 0x730B, 0x83AD, 0xA470, 0xB4D1, 0xB4F1, 0xB4F1, 0xB4F1, 0xB4B1, 0xA48F, 0xA48F, 0xA48F, 0xA48F, 0xA48F, 0xA48F, 0xA4D0, 
        0xA4F0, 0xA4AE, 0x9C6D, 0x9C4D, 0x93EC, 0x7B8A, 0x6B49, 0x6B27, 0x62C5, 0x5284, 0x4A24, 0x4A44, 0x4A65, 0x4A65, 0x4A66, 0x4A66, 0x4A65, 0x4A45, 0x4A27, 0x524B, 0x626E, 0x62AF, 0x62CD, 0x4A6A, 0x4A49, 0x5AA9, 0x62C9, 0x5AA9, 0x5288, 0x6B09, 
        0x7329, 0x732A, 0x734A, 0x736B, 0x7B6A, 0x72C7, 0x72A5, 0x7AC6, 0x7B06, 0x8326, 0x8B27, 0x72A9, 0x6A49, 0x6A47, 0x7247, 0x7A88, 0x8B0A, 0xA38D, 0xABAE, 0xAB6E, 0xB34E, 0xB34D, 0xB32A, 0xA329, 0xA328, 0xAB69, 0xAB8A, 0xAB8A, 0xABA9, 0xA3C7, 
        0xA3E7, 0xAC28, 0xB409, 0xB3E9, 0xBBA9, 0xB3CA, 0xB40B, 0xB44C, 0xAC0C, 0xA3AA, 0xA36A, 0xCD12, 0xDD95, 0xDCF3, 0xDC71, 0xDC51, 0xD450, 0xD470, 0xDC90, 0xDC90, 0xE471, 0xE471, 0xE432, 0xCBF1, 0xC3D0, 0xB38D, 0xA32A, 0x8AC8, 0x6A65, 0x52A4, 
        0x52C4, 0x5AC4, 0x5AC4, 0x5AA4, 0x5242, 0x41E1, 0x5AA6, 0xAD53, 0xEEFB, 0xFEFC, 0xFE5A, 0xFE79, 0xFE99, 0xFE98, 0xFE97, 0xFE97, 0xFE78, 0xFE7A, 0xFE79, 0xFE78, 0xFE77, 0xFE77, 0xFE77, 0xF678, 0xF678, 0xF677, 0xFE77, 0xFE77, 0xFE77, 0xFE36, 
        0xFE36, 0xF636, 0xF636, 0xFE36, 0xFE15, 0xFDD5, 0xF594, 0xED32, 0xE4D0, 0xDC6F, 0xCC2E, 0xBC4D, 0xB44C, 0xB40C, 0xB3EB, 0xB3CB, 0xB3CB, 0xB3CC, 0xB3EC, 0xB3CC, 0xB3CC, 0xABAC, 0xABAB, 0xAB8B, 0xAB8B, 0xABAB, 0xB3CB, 0xB3EC, 0xB42D, 0xCC90, 
        0xDCB1, 0xDCD1, 0xDCF1, 0xDD11, 0xE552, 0xEDB3, 0xF5D4, 0xF5B4, 0xF594, 0xF594, 0xF5B5, 0xF5D5, 0xFDF5, 0xFDF5, 0xFDF5, 0xFDF6, 0xFE16, 0xFE36, 0xF637, 0xFE36, 0xFE36, 0xFE56, 0xFE56, 0xFDF6, 0xFDD6, 0xF5D6, 0xF5D5, 0xFDB5, 0xFD94, 0xF574, 
        0xF574, 0xF574, 0xF573, 0xED53, 0xED33, 0xED33, 0xED32, 0xE512, 0xE4F2, 0xE4F2, 0xDCF2, 0xDCB1, 0xD490, 0xD490, 0xD48F, 0xD48F, 0xD46E, 0xC44E, 0xBC2E, 0xBC2E, 0xC44E, 0xC44E, 0xC40E, 0xA32C, 0x92AA, 0x8A89, 0xA36D, 0xBCF3, 0xEF3C, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFF7C, 0xFF5B, 0xF71B, 0xEEFB, 0xEEDA, 0xE6BA, 0xEEDB, 0xF71C, 0xF79D, 0xFFDE, 0xF7BE, 0xE73C, 0xC5F6, 
        0x9CD1, 0x52A9, 0x2965, 0x1903, 0x18E2, 0x2983, 0x31A3, 0x2142, 0x20E1, 0x20E1, 0x28E2, 0x2903, 0x2104, 0x2103, 0x1902, 0x1902, 0x1902, 0x20E2, 0x20E2, 0x20E3, 0x2103, 0x2123, 0x2963, 0x2983, 0x31C4, 0x3A04, 0x4245, 0x4A65, 0x4A85, 0x4AA5, 
        0x4AA5, 0x4A85, 0x4AA5, 0x4AA5, 0x4AC4, 0x4AA3, 0x52A3, 0x6325, 0x6345, 0x5B25, 0x52C3, 0x62E5, 0x6B06, 0x7349, 0x7B8B, 0x83AB, 0x7BAA, 0x62E5, 0x62E4, 0x8C27, 0xAD0A, 0xB54C, 0xA4EB, 0x5B46, 0x4264, 0x4A64, 0x5AE5, 0x7387, 0x8C49, 0x7386, 
        0x6B45, 0x7BA6, 0x9429, 0x9C8B, 0xACEC, 0x9CAB, 0x9C8B, 0xA4AC, 0xACEC, 0xACEB, 0xB50B, 0xBD8F, 0xCDF0, 0xDE71, 0xEED1, 0xF6F2, 0xF714, 0xF775, 0xF795, 0xF795, 0xFF95, 0xFFB5, 0xFFD6, 0xF7B7, 0xF7B7, 0xFFB7, 0xFFB6, 0xF7B6, 0xF797, 0xF756, 
        0xF756, 0xF735, 0xF714, 0xF714, 0xF6F3, 0xFF35, 0xFF16, 0xF6D6, 0xF6B5, 0xF6B5, 0xF6B5, 0xF695, 0xEE75, 0xF674, 0xF695, 0xFE95, 0xFEF6, 0xFF79, 0xFF99, 0xFF38, 0xFED7, 0xFED7, 0xFED7, 0xFF58, 0xF758, 0xFF18, 0xF6F7, 0xF6D7, 0xF6D7, 0xF6D7, 
        0xFEF8, 0xFEF8, 0xFF18, 0xFF39, 0xFF3A, 0xFF38, 0xFF16, 0xF6B6, 0xF675, 0xF675, 0xF655, 0xF675, 0xF676, 0xF676, 0xF675, 0xF675, 0xF675, 0xFE96, 0xFE96, 0xFEB6, 0xF6D6, 0xF6B5, 0xF6B5, 0xF696, 0xF696, 0xF696, 0xF6B6, 0xF6B6, 0xF696,
  0x9ACB, 0x92CA, 0x92CA, 0x8AC9, 0x82E9, 0x72E8, 0x6AA5, 0x6284, 0x5A65, 0x6286, 0x62A8, 0x7AEB, 0x9B71, 0xAB92, 0xB391, 0xB390, 0xBBAF, 0xBBAF, 0xAB2D, 0xA2EC, 0x9AAB, 0x928A, 0x8A69, 0x7226, 0x4122, 0x30C1, 0x3902, 0x3943, 0x3143, 0x2922, 0x3943, 
        0x3944, 0x4144, 0x5165, 0x59C6, 0x7A69, 0xB34E, 0xCBB1, 0xDC33, 0xEC74, 0xF494, 0xF4B5, 0xF494, 0xE453, 0xC38F, 0xA2EC, 0x92AB, 0x8A6A, 0x8A69, 0x8248, 0x79E7, 0x79C7, 0x79C7, 0x8229, 0xA2EC, 0xB32D, 0xBB2E, 0xC34E, 0xCB6F, 0xBB0D, 0x79C7, 
        0x6104, 0x60E5, 0x6927, 0x7189, 0x824B, 0x82CA, 0x7AE9, 0x6AA8, 0x6267, 0x5A46, 0x49C4, 0x20E1, 0x18A1, 0x20E1, 0x3123, 0x4184, 0x5247, 0x6AEA, 0x734B, 0x83AD, 0x93EE, 0x9C2F, 0xA44F, 0xAC90, 0xA490, 0xA48F, 0xA4AF, 0xA4AF, 0xACCF, 0xACD0, 
        0xACD0, 0xA4AE, 0x9C8D, 0x946C, 0x942C, 0x8BAA, 0x8389, 0x7368, 0x6B28, 0x6B07, 0x5AC6, 0x4A83, 0x4A62, 0x4A83, 0x5AA4, 0x5AA5, 0x5A86, 0x41C7, 0x3168, 0x398B, 0x41CE, 0x4A0F, 0x5270, 0x4A8F, 0x4A8D, 0x526D, 0x4A2C, 0x41CB, 0x3168, 0x39E4, 
        0x4203, 0x41E3, 0x41E4, 0x4A24, 0x62A5, 0x62A6, 0x62A5, 0x6243, 0x6262, 0x6A82, 0x6AA4, 0x6A07, 0x61C8, 0x6A07, 0x6A66, 0x72A6, 0x82E9, 0xA32F, 0xB351, 0xBB71, 0xBB90, 0xBB6F, 0xBB4D, 0xAB0B, 0xA32A, 0xA389, 0xA3A9, 0xABC9, 0xABC8, 0xAC08, 
        0xAC08, 0xABE8, 0xB3A8, 0xB388, 0xB388, 0xC42A, 0xC42B, 0xB3CB, 0xA3AA, 0xA3AB, 0xAC0C, 0xB4AE, 0xC4CF, 0xC42F, 0xCBCF, 0xCBCF, 0xCBCF, 0xCBEF, 0xCC0E, 0xCC0E, 0xCBEE, 0xCBEE, 0xC3CE, 0xC3AF, 0xC3CF, 0xCBEF, 0xBBCC, 0x9B69, 0x62A5, 0x4A83, 
        0x4AA3, 0x52C4, 0x62C5, 0x62C5, 0x5A64, 0x2121, 0x31E5, 0x9CF3, 0xE6DB, 0xFEFC, 0xFE5A, 0xFE79, 0xFEB8, 0xFEB8, 0xFEB8, 0xFEB7, 0xFEB8, 0xFE98, 0xFE98, 0xFE78, 0xFE98, 0xFE98, 0xFE98, 0xFE78, 0xFE78, 0xFE77, 0xFE97, 0xFE97, 0xF677, 0xFE36, 
        0xFE16, 0xF636, 0xFE56, 0xFE56, 0xFE15, 0xFDB4, 0xF573, 0xED32, 0xE4F1, 0xDCB0, 0xD46E, 0xCC6E, 0xC46D, 0xBC2C, 0xB3EC, 0xB3CB, 0xB3AB, 0xB3CB, 0xABCB, 0xABAB, 0xABAB, 0xAB8A, 0xA36A, 0xA36A, 0xA36A, 0xA34A, 0xA36A, 0xAB8B, 0xB3EC, 0xC48E, 
        0xCCAF, 0xD4B0, 0xDCD1, 0xDCF1, 0xDD32, 0xE5B3, 0xEDD4, 0xF5B4, 0xF5B5, 0xF5B5, 0xF5D5, 0xFDD5, 0xFDF5, 0xFE16, 0xFE16, 0xFE16, 0xFE16, 0xF636, 0xF636, 0xFE36, 0xFE36, 0xFE16, 0xFE16, 0xFDF6, 0xFDD6, 0xF5D6, 0xF5B6, 0xF5B5, 0xFD75, 0xF574, 
        0xF574, 0xF574, 0xF574, 0xF554, 0xED33, 0xE512, 0xE512, 0xDCF2, 0xDCF2, 0xDCF2, 0xDCD1, 0xD4B1, 0xD490, 0xD490, 0xD48F, 0xD48F, 0xD46F, 0xC46E, 0xC46E, 0xBC4D, 0xC44E, 0xC42E, 0xBBCD, 0x9AEB, 0x928A, 0x92CB, 0xABEF, 0xC534, 0xF75D, 0xFFFF, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFDE, 0xFF9D, 0xF75C, 0xEEFB, 0xE699, 0xDE38, 0xDE17, 0xEEDA, 0xF73C, 0xE73C, 0xD6BA, 0xBDF6, 0x8430, 0x4227, 
        0x2944, 0x1922, 0x2142, 0x2182, 0x2982, 0x1921, 0x18E1, 0x1901, 0x2101, 0x2102, 0x28E2, 0x2103, 0x2103, 0x2102, 0x2122, 0x1921, 0x1901, 0x1902, 0x2103, 0x2103, 0x2123, 0x2102, 0x2102, 0x2943, 0x3183, 0x39E4, 0x4224, 0x4245, 0x4A65, 0x4A85, 
        0x4AA5, 0x4AA5, 0x4AA5, 0x4AA5, 0x4AA4, 0x4A83, 0x52A3, 0x6305, 0x6345, 0x6345, 0x5AE4, 0x4AA4, 0x52A5, 0x6B28, 0x83AA, 0x83EB, 0x83CA, 0x62E5, 0x6B25, 0x9C89, 0xAD2B, 0x9CCA, 0x6B66, 0x3A02, 0x39E3, 0x6326, 0x7BE8, 0x8429, 0x7BE8, 0x6B87, 
        0x6B67, 0x73A8, 0x8C09, 0x946A, 0xA4ED, 0xBD4E, 0xBD6E, 0xBD6E, 0xB54E, 0xB54D, 0xB52D, 0xBD90, 0xCDD1, 0xD612, 0xE672, 0xEEB3, 0xF715, 0xFF76, 0xFF96, 0xFFB6, 0xFFD6, 0xFFD6, 0xFFB6, 0xFF96, 0xFF96, 0xFF96, 0xFFB6, 0xF7D6, 0xF7D7, 0xFFB7, 
        0xFF97, 0xFF76, 0xF776, 0xF755, 0xF735, 0xF715, 0xF715, 0xF6F5, 0xEED4, 0xEEB3, 0xEE93, 0xEEB4, 0xF6B5, 0xF6D5, 0xF6F5, 0xF6F5, 0xF716, 0xF717, 0xFF17, 0xFF18, 0xFF19, 0xFF38, 0xFF38, 0xF717, 0xF6F7, 0xF6F7, 0xF6D7, 0xF6B6, 0xEEB6, 0xF6F8, 
        0xFF18, 0xFF39, 0xFF59, 0xFF7A, 0xF779, 0xEED6, 0xE695, 0xEE55, 0xEE54, 0xEE54, 0xEE54, 0xEE96, 0xEE96, 0xEE76, 0xEE75, 0xEE75, 0xEE74, 0xF695, 0xF6B6, 0xF6B5, 0xF6B5, 0xF6B6, 0xEE96, 0xF676, 0xF676, 0xF696, 0xF6B6, 0xF6B6, 0xF6D6,
  0xA2EB, 0x9AAA, 0x8A48, 0x7206, 0x6A05, 0x5A04, 0x5223, 0x5243, 0x5244, 0x5245, 0x5A66, 0x72CA, 0x9B90, 0xB3D2, 0xB3D1, 0xB3D0, 0xB3D0, 0xB3CE, 0xA32C, 0x9ACB, 0x92AA, 0x8289, 0x7A68, 0x6A26, 0x4142, 0x3101, 0x3121, 0x3142, 0x3142, 0x3162, 0x3163, 
        0x3162, 0x3943, 0x4184, 0x51C5, 0x7288, 0xAB4C, 0xC3AF, 0xD452, 0xE4B3, 0xECD4, 0xF4D5, 0xECD5, 0xE4B4, 0xD431, 0xBB8E, 0xAB2C, 0x8A8A, 0x8A48, 0x8228, 0x7207, 0x69C6, 0x61A6, 0x69C7, 0x928A, 0xAAEC, 0xAB0C, 0xB32D, 0xB34D, 0xAB0C, 0x71C7, 
        0x5125, 0x48E4, 0x4905, 0x4945, 0x59C7, 0x6A68, 0x6A88, 0x6267, 0x5245, 0x4A05, 0x39A3, 0x3142, 0x2921, 0x20E1, 0x20A1, 0x20A1, 0x30E2, 0x41E4, 0x5266, 0x6AE9, 0x838C, 0x93ED, 0xAC6F, 0xACB2, 0xACD2, 0xACD0, 0xACCF, 0xA4CE, 0xA48E, 0xA42D, 
        0x9C2D, 0x9C2D, 0x942D, 0x9C2C, 0x93EB, 0x8BCB, 0x83CA, 0x7B89, 0x7369, 0x7369, 0x6B49, 0x62E6, 0x5AC5, 0x52A5, 0x52A6, 0x5AA7, 0x5288, 0x39A9, 0x3149, 0x3149, 0x318A, 0x39CB, 0x420D, 0x4A4E, 0x4A4E, 0x4A0D, 0x49ED, 0x49AC, 0x416A, 0x2924, 
        0x18E1, 0x18C1, 0x20E1, 0x2902, 0x3963, 0x3965, 0x3965, 0x4186, 0x49A6, 0x49C6, 0x51E6, 0x59C7, 0x61C8, 0x7249, 0x82C9, 0x8AE9, 0x9B4B, 0xBBB0, 0xC3D2, 0xCBD1, 0xCB90, 0xCB4F, 0xCACF, 0xBB2D, 0xAB4B, 0xA369, 0x9B88, 0x9BA7, 0xA3C8, 0xAC0A, 
        0xAC0A, 0xABA9, 0xA368, 0xA367, 0xAB66, 0xB3A8, 0xB3A8, 0xAB88, 0xA388, 0xAB89, 0xB3CB, 0xB44D, 0xBC2D, 0xB3AC, 0xBB6C, 0xBB6C, 0xC3AD, 0xCBAE, 0xCBAE, 0xCB8E, 0xCB6D, 0xC36D, 0xC36D, 0xBB6D, 0xC38E, 0xDC11, 0xD411, 0xBBCF, 0x82E9, 0x5223, 
        0x4202, 0x5264, 0x62E5, 0x6B06, 0x5AA5, 0x2102, 0x3185, 0x9CD2, 0xE6DB, 0xFF3C, 0xFE9A, 0xFE7A, 0xFE9A, 0xFE99, 0xFE98, 0xFEB8, 0xFEB9, 0xFE79, 0xFE79, 0xFE78, 0xFE77, 0xFE98, 0xFE98, 0xFE78, 0xFE77, 0xFE77, 0xFE97, 0xFE97, 0xFE97, 0xFE56, 
        0xFE36, 0xFE55, 0xFE35, 0xFE36, 0xFE15, 0xF5B4, 0xF573, 0xED32, 0xE510, 0xE4F0, 0xDCCF, 0xD48E, 0xCC4D, 0xBC2C, 0xB3EB, 0xB3EB, 0xB3AB, 0xB3AB, 0xB3AB, 0xAB8A, 0xAB6A, 0xA369, 0xA349, 0x9B29, 0x9B29, 0x9B09, 0x9B29, 0xA34A, 0xB38B, 0xB40D, 
        0xBC4E, 0xC48E, 0xD4B0, 0xD4D0, 0xDD12, 0xE573, 0xEDB4, 0xF5D4, 0xF5F5, 0xF5F5, 0xF5F6, 0xF5F6, 0xF5F6, 0xF616, 0xF616, 0xF616, 0xF616, 0xF616, 0xF616, 0xF636, 0xF636, 0xF616, 0xF5F6, 0xF5D6, 0xF5D6, 0xF5B6, 0xF5B5, 0xF595, 0xF575, 0xF594, 
        0xED94, 0xED74, 0xED54, 0xED53, 0xED33, 0xE512, 0xDD12, 0xDCF2, 0xDCF2, 0xDCD1, 0xD4B0, 0xD4B1, 0xD4B1, 0xD4B0, 0xD490, 0xD48F, 0xCC6F, 0xCC6E, 0xC46D, 0xBC4E, 0xBC4E, 0xBC2E, 0xBBCE, 0x9AEA, 0x8A89, 0x9AEB, 0xB410, 0xCD55, 0xF75D, 0xFFDF, 
        0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xF71C, 0xEEDB, 0xE6B9, 0xDE99, 0xDE99, 0xE6BA, 0xDEBA, 0xC618, 0x8C50, 0x5289, 0x39C6, 0x31A5, 0x3205, 
        0x3204, 0x31A3, 0x2962, 0x2961, 0x2961, 0x2142, 0x2142, 0x2143, 0x2923, 0x2122, 0x2101, 0x2102, 0x2102, 0x2122, 0x2102, 0x1902, 0x1901, 0x1922, 0x2122, 0x2142, 0x2943, 0x2943, 0x2963, 0x3183, 0x31A3, 0x31C3, 0x31E3, 0x39E3, 0x4223, 0x4265, 
        0x4285, 0x42A5, 0x4AA5, 0x4AA4, 0x4AA4, 0x4A84, 0x52A4, 0x6325, 0x6346, 0x6326, 0x52C5, 0x4223, 0x4202, 0x5AA5, 0x7347, 0x83A9, 0x8C09, 0x7366, 0x7386, 0x948A, 0x948A, 0x7BE8, 0x4AA4, 0x5AE5, 0x6B46, 0x73A7, 0x73C8, 0x73C8, 0x73A8, 0x73A8, 
        0x7388, 0x6B87, 0x73A7, 0x83C7, 0x9469, 0xB56D, 0xC5D0, 0xC5D0, 0xC5B0, 0xBD70, 0xB54F, 0xB530, 0xBD50, 0xCDD1, 0xD633, 0xE674, 0xEED6, 0xFF78, 0xFF98, 0xFFB8, 0xFFB8, 0xFFB8, 0xFFB8, 0xFFB8, 0xFFB8, 0xFFB7, 0xFFB7, 0xFFB7, 0xFFD7, 0xFFB6, 
        0xFF96, 0xFF96, 0xFFB7, 0xFFB7, 0xFF96, 0xF756, 0xF735, 0xF735, 0xEF14, 0xEEF5, 0xEED5, 0xF6F6, 0xFEF7, 0xF717, 0xF737, 0xF737, 0xF738, 0xF6D7, 0xF6D7, 0xF738, 0xF779, 0xF779, 0xEF39, 0xEE55, 0xEE34, 0xEE76, 0xF6B6, 0xF6D6, 0xF717, 0xF77B, 
        0xF79C, 0xF77B, 0xEF5A, 0xEF39, 0xEED7, 0xDE54, 0xDE33, 0xDE14, 0xDE34, 0xE634, 0xE654, 0xE635, 0xE635, 0xE636, 0xE636, 0xE635, 0xEE55, 0xEE75, 0xEE95, 0xEE96, 0xF6B7, 0xF6B7, 0xEEB6, 0xEE76, 0xEE76, 0xEE76, 0xEE76, 0xF697, 0xF6D7,
  0xAB2C, 0xA30C, 0x8A69, 0x7A07, 0x7205, 0x6A24, 0x5A44, 0x5244, 0x5243, 0x4A44, 0x5245, 0x6288, 0x936C, 0xABCE, 0xAB8F, 0xB371, 0xB391, 0xB3B0, 0xAB6D, 0xAB2C, 0x9ACB, 0x8A8B, 0x828A, 0x7268, 0x51C4, 0x4182, 0x3942, 0x3142, 0x3162, 0x31A3, 0x39A3, 
        0x4182, 0x4162, 0x4182, 0x41A3, 0x5A06, 0x9B0B, 0xB38E, 0xC410, 0xD492, 0xE4D3, 0xF4D4, 0xF4B4, 0xF494, 0xE4B3, 0xD451, 0xBBCF, 0x9AEC, 0x92CA, 0x92AA, 0x8289, 0x7248, 0x6A28, 0x69E7, 0x8269, 0x92AB, 0x9B0C, 0xAB4D, 0xAB6D, 0xA34D, 0x826A, 
        0x69C9, 0x5166, 0x4925, 0x4924, 0x5165, 0x6287, 0x62C8, 0x62A7, 0x5A66, 0x5225, 0x49E3, 0x3182, 0x2962, 0x2142, 0x2102, 0x18C1, 0x20C1, 0x3962, 0x49E4, 0x6288, 0x7B2B, 0x8BAD, 0xA42F, 0xACD2, 0xACF2, 0xB4D1, 0xACB0, 0xA46F, 0x9C4E, 0x9C4E, 
        0x9C4E, 0x9C2D, 0x9C2D, 0xA42D, 0x9C0D, 0x93EC, 0x8BCB, 0x83AA, 0x7BAA, 0x7B8A, 0x738A, 0x6B28, 0x6307, 0x6306, 0x6305, 0x6306, 0x5AC6, 0x4A28, 0x41C9, 0x398A, 0x398B, 0x41CC, 0x4A2D, 0x422E, 0x420D, 0x39CD, 0x39CD, 0x41AE, 0x396D, 0x18E7, 
        0x08C4, 0x18E4, 0x2103, 0x2903, 0x2904, 0x3187, 0x39C9, 0x4A09, 0x41E7, 0x41A5, 0x3964, 0x49A6, 0x59E7, 0x6A27, 0x7288, 0x82C9, 0x936B, 0xB40E, 0xBC30, 0xCBF1, 0xDBB2, 0xDB92, 0xD351, 0xB34E, 0xA34D, 0xA34B, 0xA369, 0xAB89, 0xB3A9, 0xB38A, 
        0xB36A, 0xB36A, 0xB3AA, 0xABC9, 0xA3C8, 0xA346, 0xA325, 0xA366, 0xABA8, 0xB3EA, 0xBBEC, 0xB3AC, 0xAB8C, 0xB3AC, 0xBBCC, 0xBBAC, 0xBBAC, 0xBBAD, 0xC3CD, 0xC3CE, 0xC3AE, 0xBB8D, 0xB36D, 0xB38D, 0xC3CE, 0xD410, 0xCBF0, 0xB3AE, 0x82E9, 0x5264, 
        0x4A43, 0x5A84, 0x62E5, 0x6326, 0x5AE5, 0x2942, 0x39A5, 0x9CB1, 0xDEB9, 0xF73B, 0xFEFB, 0xFEBB, 0xFEBB, 0xFEB9, 0xFEB7, 0xFEB7, 0xFEB9, 0xFE9B, 0xFE9B, 0xFE99, 0xFE97, 0xFE97, 0xFEB9, 0xFE99, 0xFE99, 0xFE98, 0xFE97, 0xFE97, 0xFE96, 0xFE76, 
        0xFE76, 0xFE75, 0xFE55, 0xFE55, 0xFE15, 0xFDF4, 0xF5B2, 0xED52, 0xED11, 0xE510, 0xE4EF, 0xD48E, 0xCC4D, 0xC42C, 0xBC0C, 0xB3EB, 0xB3CB, 0xB3AB, 0xB3AB, 0xB3AB, 0xAB8B, 0xAB8B, 0xAB6B, 0xA34A, 0x9B4A, 0x9B2A, 0x9B0A, 0x9B09, 0x9B2A, 0xAB6C, 
        0xB3AD, 0xBC0E, 0xC46E, 0xCC8F, 0xDCF0, 0xED52, 0xF593, 0xFDF5, 0xFE16, 0xFE16, 0xF5F7, 0xFE16, 0xFE15, 0xFE16, 0xFE36, 0xFE36, 0xFE36, 0xF636, 0xF636, 0xF636, 0xFE36, 0xFE16, 0xFDF6, 0xF5D6, 0xF5D6, 0xF5D6, 0xF5B5, 0xF5B5, 0xFD95, 0xF594, 
        0xF574, 0xF573, 0xED53, 0xED53, 0xED33, 0xED13, 0xE513, 0xE512, 0xDCF2, 0xDCD1, 0xDCB1, 0xD4B1, 0xD4B1, 0xD4B1, 0xD490, 0xD490, 0xCC6F, 0xC44E, 0xBC4E, 0xBC4E, 0xBC2E, 0xC42E, 0xC3EE, 0xABAD, 0x932B, 0x8A48, 0x9ACB, 0xBC11, 0xEEBB, 0xFFBF, 
        0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xF7DE, 0xF7DE, 0xFFDE, 0xFFDE, 0xFF9E, 0xF79D, 0xF79D, 0xF79D, 0xF79D, 0xDEDA, 0x83CF, 0x4A49, 0x2965, 0x2123, 0x31A4, 0x52A7, 0x3245, 
        0x21C3, 0x2982, 0x2962, 0x2941, 0x3121, 0x3123, 0x3124, 0x2943, 0x2143, 0x2142, 0x2142, 0x2121, 0x2102, 0x2122, 0x2923, 0x2103, 0x2102, 0x1902, 0x1922, 0x2963, 0x31A4, 0x39C4, 0x39C4, 0x31C4, 0x31C3, 0x39E3, 0x3A03, 0x3A03, 0x3A02, 0x4223, 
        0x4243, 0x4264, 0x4284, 0x4AA4, 0x4AC5, 0x52C4, 0x52C4, 0x6305, 0x6346, 0x6346, 0x5AE5, 0x4A43, 0x4A22, 0x5263, 0x6326, 0x7BC9, 0x94AC, 0x7BE8, 0x73A7, 0x8409, 0x8429, 0x7BE9, 0x6B67, 0x6345, 0x6344, 0x6344, 0x6345, 0x6B67, 0x6B88, 0x73A8, 
        0x73A8, 0x6BA8, 0x6B86, 0x6B86, 0x73A5, 0x8C29, 0x9CAC, 0xB56F, 0xC5D2, 0xCDD3, 0xC592, 0xB50F, 0xB4EF, 0xBD30, 0xC571, 0xCDB2, 0xDE54, 0xF757, 0xFFB9, 0xFFBA, 0xFFBA, 0xFFBA, 0xFFDB, 0xFFBB, 0xFFBB, 0xFFBA, 0xFFB9, 0xFFB8, 0xFFB7, 0xFF96, 
        0xFFB6, 0xFFD7, 0xFFD7, 0xFFF8, 0xFFD8, 0xFFD7, 0xFFB7, 0xFFB7, 0xFFB7, 0xF7B7, 0xF798, 0xFF98, 0xFF99, 0xFF99, 0xFF99, 0xF799, 0xF779, 0xFF19, 0xFF19, 0xF75A, 0xE739, 0xD6B6, 0xBDB2, 0xC571, 0xCD91, 0xDE33, 0xE6B5, 0xEEF6, 0xF717, 0xE6F7, 
        0xD6B6, 0xC614, 0xBD93, 0xBD72, 0xCD72, 0xDDB3, 0xE5D3, 0xDDD3, 0xD5F3, 0xD5F3, 0xD5D2, 0xD5B2, 0xD5B3, 0xD5D4, 0xDDF5, 0xDDF5, 0xE5F5, 0xE615, 0xE635, 0xEE55, 0xEE75, 0xEE75, 0xEE75, 0xEEB6, 0xF6B6, 0xEEB6, 0xEE97, 0xF697, 0xF6B7,
  0xAB4D, 0xA30C, 0x928A, 0x8228, 0x7A26, 0x7245, 0x5A44, 0x5243, 0x4A23, 0x4A03, 0x4A04, 0x5A47, 0x8B4B, 0x9B8D, 0xA36E, 0xA370, 0xAB70, 0xABB0, 0xAB8D, 0xA34C, 0x9AEC, 0x92AB, 0x8A8B, 0x7A89, 0x5A04, 0x41A2, 0x3962, 0x3162, 0x3163, 0x39A3, 0x41A3, 
        0x41A3, 0x4182, 0x4182, 0x4183, 0x51E5, 0x8AEA, 0xAB6D, 0xBBEF, 0xCC71, 0xDCB3, 0xECD4, 0xF4B4, 0xECB4, 0xE4D4, 0xD4B2, 0xC430, 0xAB4D, 0x9B2C, 0x930C, 0x8AEB, 0x82AA, 0x7A69, 0x6A07, 0x7A49, 0x8A8A, 0x9AEC, 0xAB4D, 0xB38D, 0xAB6E, 0x8AAC, 
        0x722A, 0x5987, 0x4925, 0x4904, 0x4944, 0x5A46, 0x62C7, 0x5AA7, 0x5A86, 0x5A45, 0x49E3, 0x3182, 0x2962, 0x2943, 0x2922, 0x28E2, 0x20C1, 0x3122, 0x41A3, 0x5A47, 0x730A, 0x8B6C, 0xA42F, 0xACD2, 0xB512, 0xB4F1, 0xACB0, 0xA46F, 0x9C2E, 0x944D, 
        0x944D, 0x9C2D, 0x9C2D, 0x9C2D, 0x9C2D, 0x93EC, 0x8BCB, 0x83AB, 0x83AA, 0x7BAA, 0x7B8A, 0x6B49, 0x6B29, 0x6327, 0x6326, 0x6326, 0x5AC6, 0x5249, 0x49EA, 0x396B, 0x396B, 0x41AC, 0x4A0D, 0x41ED, 0x41CD, 0x39CD, 0x39AD, 0x398D, 0x394D, 0x18E7, 
        0x18E5, 0x2144, 0x2944, 0x2923, 0x28E3, 0x3167, 0x39C8, 0x49E7, 0x41C5, 0x3984, 0x3122, 0x49A5, 0x61E7, 0x6A27, 0x7288, 0x82E9, 0x9B8B, 0xB42E, 0xC450, 0xCC11, 0xDBF2, 0xDBD2, 0xD3B1, 0xB36E, 0xA34D, 0xA34B, 0xAB6A, 0xAB8A, 0xB38A, 0xB32A, 
        0xB30A, 0xB36B, 0xB3CB, 0xAC0B, 0xA409, 0x9B66, 0x9B25, 0x9B66, 0xABA8, 0xB3EA, 0xBBEC, 0xB36C, 0xAB6C, 0xBBCD, 0xBBEE, 0xBBCE, 0xBB8D, 0xBBAD, 0xC3CD, 0xC3CD, 0xC3AE, 0xBB8D, 0xB36D, 0xBB8D, 0xC3CE, 0xD410, 0xCBF0, 0xB38E, 0x82C9, 0x5A85, 
        0x4A83, 0x5AA4, 0x62E5, 0x6B25, 0x6305, 0x3982, 0x41E4, 0x948F, 0xD677, 0xEF1B, 0xFF1C, 0xFEDC, 0xFEBB, 0xFED9, 0xFED7, 0xFED7, 0xFEB8, 0xFE9B, 0xFE9B, 0xFE99, 0xFE97, 0xFEB8, 0xFEB9, 0xFEBA, 0xFEBA, 0xFEB8, 0xFEB7, 0xFE97, 0xFE76, 0xFE76, 
        0xFE96, 0xFE75, 0xFE75, 0xFE55, 0xFE15, 0xFDF3, 0xFDD2, 0xF572, 0xED31, 0xED10, 0xE4EF, 0xD48E, 0xCC4D, 0xC42D, 0xC40C, 0xBBEB, 0xB3CB, 0xB3AA, 0xB3AA, 0xB3AB, 0xB3AB, 0xB3AB, 0xB38B, 0xAB6B, 0xA36A, 0xA32A, 0x9B2A, 0x9B09, 0x9309, 0xA30A, 
        0xAB2C, 0xB3AD, 0xBC2E, 0xC46E, 0xD4CF, 0xED52, 0xF593, 0xFDD5, 0xFE16, 0xFE17, 0xFDF7, 0xFE36, 0xFE35, 0xFE36, 0xFE36, 0xFE36, 0xFE56, 0xFE56, 0xF656, 0xFE36, 0xFE37, 0xFE17, 0xFE16, 0xFDF6, 0xF5D6, 0xF5D6, 0xFDD5, 0xFDB5, 0xFD94, 0xF594, 
        0xF574, 0xF553, 0xF553, 0xED53, 0xED33, 0xED13, 0xED13, 0xE512, 0xDCF2, 0xDCD1, 0xDCB1, 0xD4B1, 0xD4B1, 0xD491, 0xDC90, 0xD470, 0xD46F, 0xC44E, 0xBC4E, 0xBC4E, 0xBC2E, 0xC40E, 0xC3EE, 0xB40E, 0xA36C, 0x8A07, 0x8A28, 0xA32D, 0xD5D8, 0xF79E, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7DF, 0xF7DF, 0xFFDF, 0xF7DE, 0xEF5C, 0xE71B, 0xDEFB, 0xDEBA, 0xD678, 0xAD53, 0x4208, 0x18A3, 0x18C2, 0x2963, 0x4A45, 0x6348, 0x3225, 
        0x2163, 0x2142, 0x2921, 0x2921, 0x2921, 0x3123, 0x3124, 0x2143, 0x2162, 0x2162, 0x2142, 0x2122, 0x2122, 0x2922, 0x2923, 0x2923, 0x2102, 0x1902, 0x2122, 0x2983, 0x39C4, 0x39E5, 0x39E5, 0x39E4, 0x3A04, 0x4224, 0x4223, 0x4202, 0x39E2, 0x4223, 
        0x4243, 0x4263, 0x4284, 0x4AC5, 0x52E5, 0x52C4, 0x5AC3, 0x6305, 0x6326, 0x6B46, 0x6B26, 0x5AA4, 0x5A84, 0x5AC5, 0x6B67, 0x840A, 0x94AC, 0x7BC8, 0x6B87, 0x7BC8, 0x8409, 0x8429, 0x7BE8, 0x6B45, 0x6304, 0x6304, 0x6325, 0x6B46, 0x6B68, 0x6BA8, 
        0x6BA8, 0x73A7, 0x6BA7, 0x6B86, 0x6B65, 0x7B87, 0x8C0A, 0xAD0E, 0xC5B2, 0xCDD3, 0xCDB3, 0xBD10, 0xB4CF, 0xB510, 0xBD30, 0xC571, 0xDE13, 0xF737, 0xFFBA, 0xFFBB, 0xFFBB, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFBC, 0xFFDB, 0xFFBA, 0xFFB9, 0xFFB8, 0xFFB7, 
        0xFFB7, 0xFFD7, 0xFFD8, 0xFFF8, 0xFFF8, 0xFFF8, 0xFFF8, 0xFFF8, 0xFFF8, 0xFFF8, 0xFFF8, 0xFFDA, 0xFFBA, 0xFFDA, 0xFFBA, 0xFFBA, 0xFF9A, 0xFF5B, 0xFF5B, 0xF77C, 0xDEF8, 0xC614, 0x9CAD, 0xB52F, 0xC590, 0xCDF2, 0xD653, 0xDE94, 0xE694, 0xCE12, 
        0xBD91, 0xA4EF, 0x9C8E, 0xA48F, 0xBCF1, 0xDD92, 0xE5B3, 0xDDD3, 0xCDB3, 0xCDB2, 0xCD92, 0xCD71, 0xCD72, 0xCD93, 0xD5B4, 0xD5B4, 0xDDB5, 0xDDD5, 0xE615, 0xE635, 0xEE55, 0xEE54, 0xEE55, 0xF6B6, 0xF6D6, 0xF6B7, 0xF697, 0xF697, 0xF697,
  0xAB2C, 0xAB0C, 0x92AA, 0x8248, 0x7A27, 0x7225, 0x5A63, 0x5242, 0x49E1, 0x41C2, 0x41A3, 0x5205, 0x7AEA, 0x8B4D, 0x934D, 0x934D, 0x936D, 0x9B8D, 0x936C, 0x8B4C, 0x8AEB, 0x8AAA, 0x82AA, 0x7289, 0x49E4, 0x39A2, 0x3982, 0x3963, 0x3963, 0x4183, 0x41C3, 
        0x41C3, 0x41C3, 0x41C3, 0x41E3, 0x5224, 0x82C8, 0x9B2B, 0xABAD, 0xBC30, 0xCC92, 0xE4D4, 0xE4D4, 0xE4B3, 0xDCB3, 0xCC71, 0xBC30, 0xABAE, 0x9B6D, 0x9B6D, 0x9B4D, 0x932B, 0x8AEA, 0x8289, 0x8AAA, 0x9ACC, 0xA32D, 0xB38E, 0xBBAF, 0xBBAF, 0x9B0B, 
        0x8289, 0x61C8, 0x5146, 0x4905, 0x4904, 0x51C4, 0x5A45, 0x5265, 0x5265, 0x4A25, 0x49C4, 0x4183, 0x3963, 0x4164, 0x4144, 0x4124, 0x4103, 0x4143, 0x4984, 0x6247, 0x7AE9, 0x8B6B, 0xA42E, 0xB4F2, 0xBD33, 0xACF1, 0xA48F, 0x9C4E, 0x940C, 0x83EB, 
        0x83CA, 0x8BCB, 0x8BCB, 0x8BEB, 0x8BEB, 0x93AB, 0x8BAB, 0x838A, 0x7B89, 0x7B89, 0x736A, 0x736B, 0x6B4B, 0x6B49, 0x6328, 0x62E7, 0x5288, 0x4A0A, 0x39AB, 0x314A, 0x292A, 0x312B, 0x418C, 0x41AD, 0x41AD, 0x418C, 0x396C, 0x394C, 0x310B, 0x3145, 
        0x3163, 0x3163, 0x3163, 0x2943, 0x2922, 0x2102, 0x2902, 0x3942, 0x4142, 0x4142, 0x4163, 0x61E8, 0x724A, 0x82AA, 0x8B0B, 0x936C, 0xABCD, 0xCC11, 0xDC32, 0xDC12, 0xD411, 0xCC10, 0xBBEE, 0xB38D, 0xB34C, 0xB34C, 0xB34B, 0xB34B, 0xB32A, 0xAB2A, 
        0xAB4B, 0xABAB, 0xAC2C, 0xAC6C, 0xA48A, 0x8BA7, 0x8B66, 0x9367, 0xA389, 0xABCB, 0xB40D, 0xBBCD, 0xBBCD, 0xC3EE, 0xCBEF, 0xCBF0, 0xD3AF, 0xD3AE, 0xD3AE, 0xCB8E, 0xCB8E, 0xCB8E, 0xCB8E, 0xC34D, 0xCB6E, 0xDC10, 0xDC31, 0xC3CF, 0x92EA, 0x5A64, 
        0x4A63, 0x5AA4, 0x6AE5, 0x7325, 0x6B05, 0x4202, 0x4223, 0x7BEB, 0xB593, 0xD678, 0xF73C, 0xFEDC, 0xFE9A, 0xFEB9, 0xFEB8, 0xFED7, 0xFEB8, 0xFE98, 0xFE98, 0xFE97, 0xFE98, 0xFEB8, 0xFEDA, 0xFEDA, 0xFEDA, 0xFED9, 0xFEB8, 0xFE97, 0xFE56, 0xFE56, 
        0xFE76, 0xFE76, 0xFE76, 0xFE56, 0xFE15, 0xFDD3, 0xF592, 0xF551, 0xF531, 0xED11, 0xE4EF, 0xD48E, 0xCC6D, 0xC42C, 0xC40C, 0xBBEC, 0xBBCB, 0xB3AA, 0xB38A, 0xB3AB, 0xB3CB, 0xB3CC, 0xB3AB, 0xB38B, 0xB36B, 0xAB6B, 0xA34A, 0xA32A, 0x92E9, 0x9AC9, 
        0x9AEA, 0xAB6B, 0xB3CD, 0xC42E, 0xD490, 0xED32, 0xF574, 0xF5D5, 0xFDF6, 0xFE17, 0xF617, 0xF636, 0xF656, 0xFE56, 0xFE57, 0xFE57, 0xFE36, 0xFE56, 0xFE36, 0xFE16, 0xFE17, 0xFE36, 0xFE36, 0xFDF6, 0xFDD6, 0xF5D6, 0xFDD6, 0xFDD5, 0xF5B4, 0xF594, 
        0xF574, 0xF573, 0xF553, 0xED53, 0xED33, 0xE513, 0xE512, 0xE512, 0xDCF2, 0xDCD1, 0xDCB1, 0xD4B0, 0xD4B0, 0xD490, 0xD470, 0xD470, 0xD470, 0xC44F, 0xBC4E, 0xBC2E, 0xBC0D, 0xBBED, 0xBBCD, 0xB3CD, 0xA36B, 0x8A68, 0x8207, 0x8269, 0x9C10, 0xDEBA, 
        0xF7DF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xF7BE, 0xF7BE, 0xF7BE, 0xF79E, 0xEF7D, 0xDEDB, 0xA555, 0x9471, 0x840F, 0x734B, 0x5AA8, 0x3985, 0x18C2, 0x18C2, 0x31C4, 0x4AA6, 0x52E6, 0x52C6, 0x41A4, 
        0x3102, 0x3102, 0x3102, 0x2902, 0x2902, 0x2942, 0x2942, 0x2162, 0x2142, 0x2142, 0x2142, 0x2922, 0x2922, 0x2923, 0x2923, 0x2923, 0x2922, 0x2102, 0x2122, 0x2963, 0x31A4, 0x31C4, 0x39E4, 0x4224, 0x4244, 0x4244, 0x4243, 0x3A02, 0x3A02, 0x4264, 
        0x4284, 0x4A84, 0x4AA4, 0x52E5, 0x5305, 0x52C4, 0x52A4, 0x5AC5, 0x6306, 0x6B46, 0x7387, 0x73A9, 0x73A9, 0x7BA9, 0x83EA, 0x842A, 0x8C4A, 0x7388, 0x6B67, 0x73C8, 0x8429, 0x8449, 0x7C09, 0x6B66, 0x6325, 0x6305, 0x6325, 0x6B26, 0x6B47, 0x6B87, 
        0x6BA7, 0x6BC7, 0x73C7, 0x73C7, 0x73A7, 0x7B87, 0x83A8, 0x9C8C, 0xB52F, 0xBD71, 0xC593, 0xBD31, 0xBD10, 0xB530, 0xBD50, 0xC571, 0xDDF3, 0xF718, 0xFF9A, 0xFFBB, 0xFFBC, 0xFFBC, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFBB, 0xFFBA, 0xFFDA, 0xFFD9, 
        0xFFD9, 0xFFB9, 0xFFB8, 0xFFB7, 0xFFB7, 0xFFF9, 0xFFFA, 0xFFF9, 0xFFD9, 0xFFD8, 0xFFD9, 0xFFBA, 0xFFBB, 0xFFBB, 0xFFBA, 0xFF9A, 0xFF9A, 0xFFBD, 0xF7BD, 0xE73A, 0xCE34, 0xAD0F, 0x83C9, 0xA4ED, 0xB56F, 0xB54E, 0xB52E, 0xB52E, 0xAD0E, 0x940A, 
        0x8B89, 0x93CB, 0xA44E, 0xACB0, 0xC552, 0xDDD4, 0xDDF4, 0xD5D3, 0xC5B2, 0xC5B2, 0xC592, 0xCD91, 0xC592, 0xC592, 0xCD93, 0xCD93, 0xDDB4, 0xDDD5, 0xDDF5, 0xDE14, 0xE634, 0xE634, 0xE655, 0xEEB6, 0xF6B7, 0xF697, 0xEE97, 0xEE97, 0xEE97,
  0xB32D, 0xAB0C, 0x9AAA, 0x8A68, 0x7A26, 0x61E4, 0x5A42, 0x5A42, 0x49C1, 0x3981, 0x3982, 0x41E4, 0x6AA9, 0x7AEB, 0x72EA, 0x7AEA, 0x7AEA, 0x830A, 0x7309, 0x6AE9, 0x6AA8, 0x7268, 0x7267, 0x6246, 0x41C4, 0x39A3, 0x3183, 0x3963, 0x3983, 0x41A4, 0x49E4, 
        0x4A04, 0x4A24, 0x4A44, 0x4A44, 0x4A44, 0x6266, 0x72A7, 0x930A, 0xABAD, 0xBC0F, 0xCC72, 0xD452, 0xD432, 0xBBF0, 0xB3CF, 0xABCE, 0xA3AE, 0x9B8D, 0x9B8D, 0xA3CD, 0xABEE, 0xAC0E, 0xB40F, 0xB410, 0xB431, 0xB451, 0xBC71, 0xC492, 0xC492, 0xAC2F, 
        0x9BAD, 0x7ACA, 0x6227, 0x51C6, 0x4985, 0x51A5, 0x51E5, 0x49E4, 0x41E4, 0x39E3, 0x39C3, 0x4A05, 0x5A46, 0x6288, 0x6AA9, 0x7289, 0x7A69, 0x7A89, 0x72A9, 0x72C9, 0x7B0A, 0x832B, 0x93AD, 0xACAF, 0xB4D0, 0xA46F, 0x8BCC, 0x7B6A, 0x6B07, 0x6B08, 
        0x6B28, 0x7348, 0x7B49, 0x7B49, 0x7B49, 0x7B49, 0x7329, 0x7328, 0x6B27, 0x6B47, 0x6B68, 0x6B69, 0x6B69, 0x6B48, 0x6307, 0x5AC7, 0x5246, 0x39A7, 0x3168, 0x294A, 0x292B, 0x294C, 0x316C, 0x41AC, 0x41AB, 0x316B, 0x312B, 0x290A, 0x290A, 0x3149, 
        0x3147, 0x3106, 0x28E5, 0x28E4, 0x2903, 0x2902, 0x2943, 0x41A5, 0x49E6, 0x5207, 0x6249, 0x8B0E, 0x9B90, 0x9B8F, 0x9B8E, 0x9B8D, 0xB38E, 0xDB92, 0xF374, 0xEB53, 0xE372, 0xDBB1, 0xCBCF, 0xCB8E, 0xCB4E, 0xCB4E, 0xCB2E, 0xC30D, 0xBB4C, 0xB42B, 
        0xB4AB, 0xBD0D, 0xC54E, 0xC52E, 0xAC8D, 0x7B28, 0x72E7, 0x9369, 0xABCB, 0xB40D, 0xC42E, 0xCC6E, 0xCC6E, 0xCC4F, 0xCC30, 0xCC30, 0xDC51, 0xEC92, 0xEC71, 0xDC10, 0xDBEF, 0xDC10, 0xDC10, 0xCB6C, 0xCB6C, 0xD430, 0xDC92, 0xD492, 0xABCD, 0x5A44, 
        0x41C2, 0x5264, 0x6AE5, 0x6B06, 0x62E5, 0x4A83, 0x4A63, 0x6AC6, 0x940D, 0xBD53, 0xEEFB, 0xFE79, 0xFE38, 0xFE79, 0xFEB9, 0xFEBA, 0xFE99, 0xFE98, 0xFE98, 0xFE98, 0xFE99, 0xFEB9, 0xFED9, 0xFED9, 0xFED9, 0xFED9, 0xFEB8, 0xFE97, 0xFE76, 0xFE77, 
        0xFE77, 0xFE96, 0xFE96, 0xFE76, 0xFE55, 0xF5B3, 0xF572, 0xF551, 0xED31, 0xED32, 0xE4F1, 0xDCAE, 0xD48C, 0xCC4C, 0xC40C, 0xC3EC, 0xBBCB, 0xB3AB, 0xB38B, 0xB3AB, 0xBBCB, 0xBBCB, 0xB3CB, 0xB38A, 0xAB6A, 0xB38A, 0xB38A, 0xAB4A, 0xA2E9, 0x9AC8, 
        0x9AC8, 0xA309, 0xB38B, 0xBBED, 0xD4B0, 0xE533, 0xED74, 0xF5B5, 0xFDF6, 0xFE16, 0xF636, 0xF636, 0xF637, 0xFE37, 0xFE37, 0xFE57, 0xF656, 0xF656, 0xF636, 0xF5F6, 0xF5F6, 0xF616, 0xF636, 0xF5F6, 0xF5D6, 0xF5D6, 0xF5D6, 0xF5D5, 0xF5B4, 0xED94, 
        0xED74, 0xED54, 0xED54, 0xED53, 0xED33, 0xE513, 0xDD12, 0xDCF2, 0xDCD2, 0xDCB1, 0xDCB0, 0xCCB0, 0xCCB0, 0xCC90, 0xCC70, 0xD470, 0xCC50, 0xC44F, 0xC42E, 0xBC0E, 0xBBED, 0xB3CD, 0xAB8C, 0x9B8A, 0x9B8A, 0xA36B, 0x9ACA, 0x8248, 0x6A27, 0x9492, 
        0xB5F8, 0xD69A, 0xDEFB, 0xDEFB, 0xE71B, 0xE71B, 0xE71B, 0xE73C, 0xE73C, 0xDF1C, 0xD6BA, 0xBDD7, 0xB596, 0xB596, 0xAD55, 0x9CD3, 0x6B6D, 0x39C6, 0x2123, 0x2103, 0x20E2, 0x20A2, 0x20A1, 0x2962, 0x3A04, 0x4A86, 0x52C7, 0x52A6, 0x4A25, 0x4143, 
        0x38E2, 0x38E2, 0x3103, 0x3123, 0x3143, 0x2982, 0x29A2, 0x2963, 0x2143, 0x2143, 0x2142, 0x3122, 0x3122, 0x2922, 0x2943, 0x2983, 0x3183, 0x2943, 0x2122, 0x2122, 0x2162, 0x29A3, 0x3A03, 0x31E3, 0x31C3, 0x31C3, 0x3A03, 0x4265, 0x52E6, 0x5AE6, 
        0x5AE5, 0x5B26, 0x5B47, 0x5B67, 0x5B47, 0x52A4, 0x4A83, 0x4AA4, 0x5AE5, 0x6347, 0x840A, 0x94AC, 0x8CAC, 0x840A, 0x7388, 0x6B47, 0x6B46, 0x73A8, 0x7BE9, 0x73E8, 0x73E8, 0x73E8, 0x73C8, 0x6326, 0x62E5, 0x62E5, 0x6325, 0x6B25, 0x6B46, 0x6B88, 
        0x6388, 0x6B87, 0x6BA6, 0x6BC6, 0x73E6, 0x7346, 0x7B68, 0x9C8B, 0xAD4F, 0xBD91, 0xBD92, 0xBD30, 0xB50F, 0xB530, 0xC571, 0xCDB2, 0xE634, 0xF718, 0xFF7A, 0xFFBB, 0xFFBC, 0xFFDC, 0xFFBD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDA, 0xFFDA, 
        0xFFDA, 0xFFBA, 0xFFB9, 0xFFB9, 0xFFB9, 0xFFDA, 0xFFDA, 0xFFDA, 0xFFD9, 0xFFD9, 0xFFD9, 0xFFBA, 0xFFBA, 0xFFBA, 0xFFBA, 0xFF9A, 0xF79B, 0xFFBD, 0xE71B, 0xA511, 0x7BA8, 0x6B24, 0x6323, 0x73A6, 0x7BE8, 0x7BC7, 0x7BC6, 0x7BC5, 0x7365, 0x5AA5, 
        0x6B08, 0xACCF, 0xD5D3, 0xDDF3, 0xD5B3, 0xDDF6, 0xDDF6, 0xD5F4, 0xCDD2, 0xC5D2, 0xC5D3, 0xCE13, 0xCE13, 0xCDD3, 0xCDB3, 0xCDB3, 0xD5B4, 0xDDF4, 0xDDF5, 0xDDF4, 0xD5F4, 0xDE15, 0xE635, 0xE655, 0xE675, 0xE656, 0xE676, 0xEE77, 0xEE97,
  0xA30D, 0xA2ED, 0x928B, 0x8A49, 0x7A28, 0x69E5, 0x5A04, 0x51E3, 0x41C2, 0x39A2, 0x39A1, 0x41C2, 0x5A66, 0x6AA9, 0x6AC9, 0x6AEA, 0x72C9, 0x72A8, 0x5AA5, 0x5AA5, 0x62A6, 0x6A86, 0x6A86, 0x5A45, 0x49E4, 0x39C3, 0x39A3, 0x39A3, 0x39A3, 0x41C3, 0x4A05, 
        0x5225, 0x5245, 0x5264, 0x5264, 0x5263, 0x5A65, 0x6285, 0x6AA7, 0x8309, 0x936B, 0xB3EE, 0xC451, 0xC430, 0xB3EE, 0xA3CD, 0x9BAD, 0x93AE, 0x9BAD, 0xA3AD, 0xABEF, 0xB430, 0xB451, 0xBC71, 0xC471, 0xC471, 0xCC92, 0xDCB3, 0xDCD3, 0xDCF3, 0xCCB3, 
        0xC472, 0xABCF, 0x932C, 0x82AA, 0x6A07, 0x61A6, 0x59C5, 0x4A04, 0x4223, 0x4203, 0x41C3, 0x51C5, 0x6207, 0x7A89, 0x8AEB, 0x92EC, 0x92ED, 0x8AEB, 0x82EA, 0x7AE9, 0x7309, 0x7B2A, 0x8B8B, 0x9BED, 0xA42E, 0x9C4D, 0x8C0C, 0x83CB, 0x6B28, 0x5AC5, 
        0x5AA5, 0x6B07, 0x7328, 0x7348, 0x7368, 0x7348, 0x7348, 0x6B28, 0x6B27, 0x6B07, 0x7327, 0x6B49, 0x6B49, 0x6B48, 0x6B48, 0x6B27, 0x62A7, 0x41C8, 0x3969, 0x314C, 0x312D, 0x312D, 0x312C, 0x49AB, 0x49CB, 0x418A, 0x3969, 0x3149, 0x3928, 0x4927, 
        0x4926, 0x3905, 0x3103, 0x3103, 0x3903, 0x3943, 0x4184, 0x49E6, 0x5A28, 0x6229, 0x7A6A, 0x9B0B, 0xA32B, 0xA32B, 0xA34B, 0xA36C, 0xABAD, 0xD391, 0xE392, 0xD3B1, 0xD3D0, 0xDBD1, 0xE3D1, 0xDBB0, 0xD3AF, 0xCBAE, 0xC3CE, 0xC3EE, 0xBC6E, 0xBD2D, 
        0xBD6D, 0xC54E, 0xBC8E, 0xB3CC, 0x9ACA, 0x9B0A, 0x9B4A, 0x9B6A, 0xA38B, 0xABEC, 0xBC6E, 0xC48E, 0xC46E, 0xCC30, 0xDC32, 0xDC53, 0xE474, 0xEC73, 0xEC52, 0xE412, 0xE412, 0xE432, 0xE451, 0xCC0F, 0xCC0F, 0xDC72, 0xDC72, 0xCC10, 0x9B09, 0x6204, 
        0x5203, 0x5AA4, 0x6305, 0x6305, 0x5AC4, 0x5B05, 0x5AE5, 0x5A85, 0x7B49, 0xA4B0, 0xE6DA, 0xFE9B, 0xFE5A, 0xFE99, 0xFED9, 0xFED9, 0xFED9, 0xFEBA, 0xFEBA, 0xFE9A, 0xFE9A, 0xFEBA, 0xFEBA, 0xFEFA, 0xFEF9, 0xFED8, 0xFEB7, 0xFEB7, 0xFEB7, 0xFEB8, 
        0xFEB8, 0xFEB7, 0xFEB6, 0xFE96, 0xFE75, 0xF5F4, 0xF593, 0xF572, 0xF531, 0xF531, 0xE4F0, 0xDCAE, 0xD46D, 0xD44D, 0xCC4D, 0xC42C, 0xBC0C, 0xC3EC, 0xC3EC, 0xC40D, 0xC42D, 0xC40C, 0xC40C, 0xB3CB, 0xB3CB, 0xB3CB, 0xBBAB, 0xBB8B, 0xB34A, 0x9B08, 
        0x92E8, 0x9B09, 0xAB4B, 0xBBAC, 0xD44F, 0xE512, 0xED53, 0xF595, 0xFDF6, 0xFE37, 0xFE77, 0xFE77, 0xFE57, 0xFE57, 0xFE57, 0xFE57, 0xFE56, 0xFE57, 0xFE37, 0xFE17, 0xFE36, 0xFE36, 0xFE56, 0xFDF6, 0xFDD6, 0xF5D5, 0xF5D5, 0xF5B5, 0xF594, 0xFD94, 
        0xF594, 0xF553, 0xF553, 0xED53, 0xED53, 0xED13, 0xE513, 0xE4F2, 0xE4F2, 0xE4F1, 0xDCD1, 0xD491, 0xD491, 0xD490, 0xCC90, 0xCC70, 0xCC4F, 0xCC0F, 0xCC0F, 0xC40F, 0xBC0F, 0xB3EE, 0xABCD, 0x9B8C, 0x9BAC, 0xB3EE, 0xB3ED, 0xA3AB, 0x72C7, 0x41E6, 
        0x31A5, 0x39C6, 0x4A27, 0x5269, 0x62AB, 0x62CA, 0x6AEB, 0x6B2C, 0x630C, 0x5AAB, 0x41E8, 0x2965, 0x2945, 0x2945, 0x2944, 0x2924, 0x2123, 0x31A3, 0x39E3, 0x41E3, 0x41E3, 0x41C4, 0x41C4, 0x41E3, 0x4A23, 0x4A64, 0x5245, 0x49E4, 0x4123, 0x30E3, 
        0x30C3, 0x30C2, 0x38E2, 0x4102, 0x4143, 0x31A4, 0x29A5, 0x2983, 0x2962, 0x2963, 0x3183, 0x31A4, 0x3184, 0x2962, 0x2941, 0x2962, 0x31A3, 0x4224, 0x4224, 0x39C2, 0x31C2, 0x39E2, 0x4A85, 0x5AE7, 0x5B28, 0x6368, 0x6B87, 0x6B67, 0x6347, 0x6B87, 
        0x6BA7, 0x6387, 0x6387, 0x5B87, 0x5B87, 0x5B25, 0x5AC4, 0x52A4, 0x5AE5, 0x6B67, 0x8C6B, 0x9CCD, 0xA4EE, 0x9CCD, 0x842B, 0x6B48, 0x4A64, 0x6345, 0x73C6, 0x6BA6, 0x73A8, 0x8409, 0x8C4A, 0x7387, 0x6325, 0x5B05, 0x6305, 0x6325, 0x6B66, 0x6BA7, 
        0x6BA7, 0x6B85, 0x6B84, 0x6BA4, 0x73E5, 0x73A7, 0x73C9, 0x946B, 0xAD0E, 0xB550, 0xBD92, 0xBD51, 0xBD51, 0xC571, 0xD5B2, 0xDDD2, 0xE654, 0xF6F8, 0xFF5A, 0xFF9B, 0xFFBC, 0xFFBD, 0xFFBD, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFDC, 0xFFDC, 0xFFDB, 0xFFDB, 
        0xFFDC, 0xFFFC, 0xFFFC, 0xFFFB, 0xFFDB, 0xFFDB, 0xFFDC, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFDD, 0xFFFE, 0xE71B, 0xA50F, 0x7386, 0x5B03, 0x5B22, 0x73A4, 0x7BC5, 0x7BC5, 0x7BC6, 0x7BE6, 0x948A, 0xBDD2, 
        0xD675, 0xDE55, 0xDDF4, 0xD5D4, 0xCDB4, 0xC592, 0xBD70, 0xB50E, 0xACAD, 0xA48D, 0xA48D, 0x948D, 0x946D, 0x9C8D, 0xA4AE, 0xACCE, 0xBD50, 0xCDD1, 0xD5F2, 0xCDD2, 0xD5B3, 0xD5D3, 0xDDF4, 0xDE14, 0xDE14, 0xDE35, 0xE656, 0xEE76, 0xEE97,
  0xA2ED, 0x9ACC, 0x8A8A, 0x7A48, 0x7227, 0x69E5, 0x59C4, 0x51A3, 0x49C3, 0x41E3, 0x41E3, 0x4A03, 0x5245, 0x6266, 0x62C8, 0x62E9, 0x62E9, 0x62A8, 0x5A85, 0x5A84, 0x5A85, 0x5A85, 0x5A65, 0x5225, 0x4203, 0x39E2, 0x41C3, 0x41A3, 0x41A3, 0x41E4, 0x5244, 
        0x5A65, 0x5A65, 0x5A85, 0x5A65, 0x5A64, 0x62A4, 0x62C4, 0x6AC6, 0x72C8, 0x7AE9, 0x936B, 0xB44F, 0xB470, 0xA3CE, 0x934C, 0x830A, 0x830A, 0x9B8D, 0xA3EE, 0xB450, 0xBC91, 0xBC91, 0xCCB2, 0xDCF4, 0xED14, 0xED55, 0xF575, 0xF595, 0xF575, 0xED13, 
        0xDCD2, 0xCC72, 0xBBF0, 0xAB8F, 0x9AEC, 0x8A89, 0x7A47, 0x5A25, 0x4203, 0x39E2, 0x39C2, 0x51E4, 0x6A46, 0x830B, 0x9BAE, 0xABF0, 0xB3D1, 0xAB6F, 0x9B2E, 0x8B2C, 0x832A, 0x7B29, 0x7B49, 0x836B, 0x838C, 0x8BAC, 0x83AB, 0x7B6A, 0x62E7, 0x5283, 
        0x5282, 0x5AA4, 0x62C6, 0x62C6, 0x62E6, 0x6306, 0x6306, 0x62E5, 0x62E5, 0x62E5, 0x6306, 0x6B28, 0x6B49, 0x6B29, 0x6B28, 0x6B09, 0x5AA9, 0x49E8, 0x4189, 0x418C, 0x398D, 0x316D, 0x314C, 0x416B, 0x496B, 0x496B, 0x416A, 0x4169, 0x4168, 0x5168, 
        0x5168, 0x4945, 0x4124, 0x4124, 0x4123, 0x3902, 0x3922, 0x49A4, 0x5A26, 0x6A88, 0x830B, 0x9B4B, 0xA34C, 0xAB2C, 0xAB4D, 0xAB8D, 0xB3CE, 0xC3D0, 0xCBB0, 0xC3AF, 0xCBAF, 0xD3AF, 0xDBD0, 0xDC2F, 0xCC6F, 0xBC6D, 0xAC8C, 0xAC8C, 0xAC8B, 0xAC8C, 
        0xA46C, 0xABCC, 0xB38C, 0xC36D, 0xC34D, 0x9289, 0x7A47, 0x82C7, 0x9369, 0xA3EB, 0xB48D, 0xBC2D, 0xC40D, 0xD430, 0xDC52, 0xE473, 0xE473, 0xDC31, 0xDC31, 0xEC72, 0xF493, 0xF4B3, 0xEC92, 0xDC51, 0xDC51, 0xDCB2, 0xD471, 0xBC0F, 0x92E9, 0x5A24, 
        0x4A23, 0x5AC5, 0x6325, 0x6305, 0x5AA3, 0x5AA4, 0x62C5, 0x8B89, 0xB4AE, 0xCD92, 0xF6D9, 0xFEBB, 0xFE7B, 0xFEBA, 0xFED9, 0xFEF9, 0xFEFA, 0xFEDB, 0xFEDA, 0xFEB9, 0xFEB8, 0xFEB8, 0xFEB8, 0xFEFA, 0xFEFA, 0xFED9, 0xFED7, 0xFED7, 0xFEF8, 0xFED9, 
        0xFED8, 0xFED7, 0xFED6, 0xFEB6, 0xFE75, 0xFDD4, 0xF593, 0xF573, 0xF552, 0xF531, 0xE4F0, 0xDCAE, 0xD4AE, 0xD48E, 0xD46E, 0xCC4D, 0xCC2C, 0xCC2C, 0xCC2D, 0xCC4D, 0xCC6D, 0xCC4D, 0xC42C, 0xC42C, 0xBC0C, 0xBBEB, 0xBBCB, 0xBBAB, 0xBB8B, 0xAB49, 
        0xA309, 0xA2E9, 0xAB2A, 0xB36B, 0xCC2D, 0xE4F2, 0xED54, 0xF595, 0xFDF6, 0xFE17, 0xFE57, 0xFE77, 0xFE77, 0xFE77, 0xFE77, 0xFE77, 0xF657, 0xFE37, 0xFE37, 0xFE37, 0xF636, 0xFE56, 0xFE56, 0xFE16, 0xFDF6, 0xF5D5, 0xF5B5, 0xF5B5, 0xF594, 0xFD94, 
        0xF574, 0xF573, 0xF553, 0xF553, 0xED53, 0xED33, 0xE513, 0xE4F2, 0xE4F2, 0xE4F2, 0xDCD2, 0xD491, 0xD470, 0xD491, 0xD490, 0xD470, 0xCC2F, 0xD42F, 0xD42F, 0xC3EF, 0xBBCE, 0xBBCE, 0xABCD, 0x9BED, 0x9BED, 0xA3AC, 0x9B4A, 0x9308, 0x6AA5, 0x5AC5, 
        0x4AA5, 0x31A3, 0x2102, 0x2102, 0x2122, 0x2102, 0x18E2, 0x18C2, 0x18C2, 0x18A2, 0x18A2, 0x2103, 0x2963, 0x31A3, 0x39C3, 0x39C3, 0x41C3, 0x39A3, 0x39A3, 0x49C3, 0x49E4, 0x5204, 0x5A24, 0x5A45, 0x5A45, 0x51E4, 0x4983, 0x4943, 0x4102, 0x30E2, 
        0x30E2, 0x38E2, 0x40E2, 0x4103, 0x4123, 0x2964, 0x2964, 0x2963, 0x3162, 0x3982, 0x41C3, 0x4224, 0x4224, 0x39E2, 0x39A2, 0x39C2, 0x4A04, 0x5AC5, 0x62E6, 0x5AC6, 0x52C6, 0x52E6, 0x5B27, 0x6B68, 0x6BA9, 0x7409, 0x7409, 0x73C7, 0x6346, 0x5B25, 
        0x5305, 0x5305, 0x5325, 0x5B46, 0x5B66, 0x6366, 0x5B25, 0x5B05, 0x6326, 0x6B67, 0x840A, 0x948C, 0x9CCD, 0xAD2F, 0xA52F, 0x94AD, 0x73A9, 0x4A83, 0x52A3, 0x7BE7, 0x9CCB, 0xA52E, 0x9CCD, 0x7386, 0x6303, 0x6304, 0x6325, 0x6346, 0x6B67, 0x7387, 
        0x73A6, 0x6B65, 0x6364, 0x5B64, 0x6385, 0x7BA6, 0x8C08, 0x9C8B, 0xA4ED, 0xAD0E, 0xB50F, 0xCD92, 0xDDD3, 0xDDF3, 0xE634, 0xEE55, 0xF6B6, 0xFF38, 0xFF7A, 0xFF9A, 0xFF9B, 0xFFBB, 0xFFBC, 0xFFBC, 0xFFBC, 0xFFBC, 0xFFDB, 0xFFDC, 0xFFDC, 0xFFDD, 
        0xFFDD, 0xFFFD, 0xFFFC, 0xFFFC, 0xFFFD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFFD, 0xFFFD, 0xFFDD, 0xFFFD, 0xFFFE, 0xFFDE, 0xEF7C, 0xD677, 0x948D, 0x6B25, 0x5AE3, 0x6343, 0x9467, 0xA4A9, 0x9C89, 0x94AA, 0xA4CB, 0xB54D, 0xC5AF, 
        0xC5B0, 0xC591, 0xC572, 0xC593, 0xBD52, 0x944B, 0x7BA7, 0x7345, 0x7305, 0x7325, 0x6B24, 0x5AE3, 0x5AE3, 0x6B44, 0x83A5, 0x8BE6, 0x9448, 0x9C69, 0x9C6A, 0xA4AD, 0xACEF, 0xB510, 0xC572, 0xE5F5, 0xEE16, 0xE5F5, 0xDDF5, 0xE636, 0xE676,
  0xA2CB, 0x9AAA, 0x8A48, 0x7A05, 0x71E4, 0x61C4, 0x51A4, 0x49A4, 0x4A24, 0x4A64, 0x4A64, 0x4A44, 0x5A85, 0x62A6, 0x62E7, 0x62E8, 0x62E8, 0x5AC7, 0x5AA6, 0x5AA6, 0x5285, 0x5245, 0x4A24, 0x41E3, 0x39C2, 0x39A2, 0x41C3, 0x41E3, 0x49E4, 0x4A04, 0x5245, 
        0x5265, 0x5285, 0x5285, 0x5A85, 0x5AA5, 0x52C4, 0x5AE4, 0x6B06, 0x6B07, 0x6AE8, 0x72C9, 0xA3AC, 0xABEE, 0x9BAC, 0x830A, 0x72A8, 0x7267, 0x934B, 0xA3EE, 0xBC71, 0xCCF3, 0xD514, 0xE555, 0xF576, 0xFD96, 0xFDB6, 0xFDB6, 0xFDD6, 0xFDD6, 0xFD96, 
        0xF556, 0xED14, 0xECD3, 0xE4B3, 0xDC52, 0xBBAE, 0xAB6C, 0x8AE9, 0x7287, 0x6246, 0x5204, 0x6A25, 0x82A7, 0xABAD, 0xCC92, 0xDCD4, 0xDCD5, 0xC3F1, 0xAB8E, 0x932B, 0x7AE9, 0x7AC8, 0x72A8, 0x6AC8, 0x6AE8, 0x6AC8, 0x6AA7, 0x6AA7, 0x5A65, 0x39E2, 
        0x31C1, 0x39E1, 0x4202, 0x4203, 0x4A45, 0x5AA5, 0x5AC5, 0x62C5, 0x62E5, 0x5B05, 0x5B25, 0x6B07, 0x6B08, 0x6B28, 0x6B28, 0x6B08, 0x6AE9, 0x62AA, 0x5A8B, 0x626C, 0x5A2D, 0x5A0D, 0x49CD, 0x414A, 0x412A, 0x496A, 0x49CA, 0x51CA, 0x5209, 0x6229, 
        0x6A28, 0x59E7, 0x51A6, 0x4985, 0x4164, 0x4163, 0x4983, 0x51E5, 0x6267, 0x72A9, 0x8B2C, 0x9BAE, 0xA3AE, 0xAB6E, 0xB36E, 0xBBAF, 0xC40F, 0xBBAD, 0xBB6D, 0xC34D, 0xCB6D, 0xCBAD, 0xC3ED, 0xBC6C, 0xB4AC, 0x9CAA, 0x8CA7, 0x8486, 0x8445, 0xAC48, 
        0xBC2A, 0xBBCA, 0xB3AB, 0xABAB, 0x8B6A, 0x6245, 0x49C3, 0x49E3, 0x6265, 0x72E7, 0x9389, 0x9307, 0x92E8, 0xAB8C, 0xC42F, 0xD491, 0xE513, 0xE555, 0xED56, 0xED35, 0xED14, 0xECF3, 0xECF3, 0xECB3, 0xEC93, 0xE492, 0xCC50, 0xB3EE, 0x8309, 0x5245, 
        0x5225, 0x7268, 0x8289, 0x8289, 0x7AA8, 0x9329, 0xA38A, 0xABEB, 0xBCAE, 0xD551, 0xEE77, 0xFEBB, 0xFEBC, 0xFEBA, 0xFEB9, 0xFEBA, 0xFEBA, 0xFEBA, 0xFEB9, 0xFEB7, 0xFEB7, 0xFEB7, 0xFEB9, 0xFED9, 0xFED9, 0xFED8, 0xFED8, 0xFEF9, 0xFF1A, 0xFF3A, 
        0xFF3A, 0xFF18, 0xFEF7, 0xFED6, 0xFE75, 0xF5D4, 0xF593, 0xF572, 0xF552, 0xED32, 0xE511, 0xDCCE, 0xDCAD, 0xD4AD, 0xD4AD, 0xD48D, 0xD44C, 0xCC2C, 0xCC2C, 0xCC4C, 0xCC4C, 0xCC4C, 0xCC2C, 0xCC4C, 0xCC4D, 0xCC4D, 0xCC4D, 0xCC4D, 0xC40C, 0xAB29, 
        0x9AA8, 0x9AC9, 0xA309, 0xB36A, 0xC42D, 0xE512, 0xED74, 0xF5B5, 0xFDF6, 0xFE16, 0xFE57, 0xFE57, 0xFE57, 0xFE57, 0xFE57, 0xF657, 0xF657, 0xFE57, 0xFE57, 0xFE16, 0xF616, 0xF5F6, 0xF5F6, 0xF5F5, 0xF5F5, 0xF5F5, 0xF5D5, 0xF5D5, 0xF5B5, 0xF594, 
        0xF574, 0xF554, 0xED53, 0xED53, 0xED53, 0xE512, 0xDCF2, 0xDCF2, 0xDCD2, 0xDCD1, 0xD4B1, 0xD4B1, 0xD4B1, 0xD490, 0xD470, 0xCC6F, 0xCC6F, 0xCC4F, 0xCC4E, 0xC40E, 0xBBED, 0xB3CD, 0xB3AC, 0xBC0D, 0xB40D, 0x9329, 0x7AA6, 0x6A65, 0x5264, 0x4AC5, 
        0x42C5, 0x4A84, 0x4A64, 0x4A63, 0x4263, 0x4A04, 0x49E4, 0x5204, 0x5204, 0x5204, 0x5204, 0x5224, 0x4A24, 0x4A04, 0x4A04, 0x5204, 0x5224, 0x5A25, 0x5A25, 0x6225, 0x6225, 0x6225, 0x61E5, 0x51A4, 0x5163, 0x4963, 0x4943, 0x4923, 0x4124, 0x30E2, 
        0x28E1, 0x30E1, 0x30E2, 0x38C2, 0x38A2, 0x30C2, 0x3123, 0x4A05, 0x5AA7, 0x5AC6, 0x5AE5, 0x5306, 0x5306, 0x5AE5, 0x5AC5, 0x62E5, 0x62E6, 0x6327, 0x6347, 0x6367, 0x6B87, 0x6BA7, 0x6B87, 0x4AE4, 0x42A3, 0x5305, 0x6386, 0x6BC7, 0x6BC7, 0x6365, 
        0x5B25, 0x5B05, 0x5B05, 0x5305, 0x5325, 0x6BA8, 0x73A9, 0x6B46, 0x6325, 0x5B05, 0x5B26, 0x6326, 0x7388, 0x9CCE, 0xBDD3, 0xCE35, 0xBDD2, 0x6B88, 0x6366, 0xA54D, 0xBE10, 0xAD8E, 0x7BE8, 0x6345, 0x5B25, 0x5B26, 0x6326, 0x6327, 0x6B47, 0x6B66, 
        0x6B65, 0x5B45, 0x5B44, 0x5B64, 0x6385, 0x83C7, 0x9408, 0xA48B, 0xACED, 0xACED, 0xB50F, 0xDDF3, 0xEE75, 0xF6B7, 0xF6F8, 0xF6F8, 0xFF18, 0xFF59, 0xFF7A, 0xFF79, 0xFF79, 0xFF9A, 0xFF9B, 0xFFBB, 0xFFDB, 0xFFDC, 0xFFBC, 0xFFBC, 0xFF9C, 0xFFDE, 
        0xFFFE, 0xFFFD, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xEF5B, 0xB54F, 0x9429, 0x7B85, 0x7384, 0x73C4, 0x8C46, 0x9468, 0x9449, 0x9448, 0x8C28, 0x8408, 0x8C29, 0xB52E, 
        0xBD8F, 0xB54E, 0xA4CC, 0x944B, 0x7368, 0x4A43, 0x4202, 0x4A62, 0x52A3, 0x5AC3, 0x5AE2, 0x6B63, 0x7383, 0x6B63, 0x6B63, 0x6B64, 0x7385, 0x6B25, 0x7346, 0x8BE7, 0x9C49, 0xA48A, 0xACED, 0xCD91, 0xD5F3, 0xDE34, 0xDE55, 0xDE55, 0xE655,
  0xA2AA, 0xA2AA, 0x9A89, 0x9269, 0x8A68, 0x7246, 0x5205, 0x4A04, 0x4A24, 0x4A44, 0x4A44, 0x5264, 0x52A5, 0x5AA5, 0x62E6, 0x62E7, 0x6308, 0x6308, 0x5B07, 0x5AE7, 0x5AA6, 0x5265, 0x5244, 0x4A23, 0x49C3, 0x49A3, 0x49C3, 0x49E4, 0x49E4, 0x49E4, 0x5265, 
        0x5A85, 0x5285, 0x5285, 0x5A85, 0x5AA4, 0x52A4, 0x52A5, 0x62C6, 0x6B07, 0x7328, 0x832A, 0x8B0A, 0x8B2A, 0x936C, 0x936C, 0x8B4B, 0x8AEB, 0x9B6D, 0xABCE, 0xB430, 0xCC92, 0xD4F4, 0xED56, 0xF555, 0xF555, 0xF576, 0xFDB6, 0xFDB7, 0xFDB7, 0xFDB7, 
        0xFDB6, 0xFD56, 0xFD15, 0xF4F4, 0xECB3, 0xDC52, 0xD411, 0xBBEF, 0xA3AD, 0x938B, 0x7B08, 0x7AA7, 0x82C9, 0xA36C, 0xBBEF, 0xCC51, 0xDC93, 0xDCB3, 0xCC92, 0xB3EE, 0x9B6C, 0x930A, 0x8AC9, 0x8308, 0x7B28, 0x7B28, 0x7328, 0x7308, 0x62C7, 0x41E3, 
        0x3182, 0x31A1, 0x39C2, 0x39E2, 0x4223, 0x5AA4, 0x62E5, 0x6305, 0x5B05, 0x5B05, 0x5B05, 0x6B28, 0x6B48, 0x6B48, 0x6B28, 0x6B29, 0x6B0A, 0x732B, 0x732D, 0x7B0E, 0x82CF, 0x82CF, 0x728E, 0x59CA, 0x5189, 0x59A9, 0x61E9, 0x6209, 0x6A49, 0x7269, 
        0x7A69, 0x6A28, 0x6207, 0x61C6, 0x59A5, 0x49A3, 0x49A3, 0x5A05, 0x6247, 0x7268, 0x82AA, 0xA34E, 0xB38F, 0xB38E, 0xBB8E, 0xBBAE, 0xBBCE, 0xB3AC, 0xB36B, 0xC36B, 0xC3AC, 0xC42D, 0xBCCD, 0xAC6B, 0xA469, 0x94A9, 0x94C8, 0x94E8, 0xA4C8, 0xCC2A, 
        0xDBEB, 0xD3AB, 0xBB8B, 0xAB6B, 0x8B29, 0x6A65, 0x6223, 0x6A64, 0x6AA5, 0x72C6, 0x82E7, 0x7B27, 0x7B27, 0x8B09, 0xA34C, 0xB3AE, 0xD492, 0xE4F5, 0xECF5, 0xF4F5, 0xF515, 0xF536, 0xFD36, 0xF516, 0xF4F5, 0xECB4, 0xD410, 0xAB6C, 0x6A65, 0x49E3, 
        0x5204, 0x7AA8, 0x9B6C, 0xABCD, 0xAC2D, 0xA38A, 0xAB8A, 0xC4AF, 0xDDF5, 0xEEB8, 0xF73C, 0xFE7A, 0xF639, 0xFE9A, 0xFEBA, 0xFEB9, 0xFEB8, 0xFEB9, 0xFEBA, 0xFEDA, 0xFED9, 0xFEF8, 0xFEF8, 0xFEF9, 0xFEF9, 0xFED9, 0xFED8, 0xFEF9, 0xFF3A, 0xFF7B, 
        0xFF7B, 0xFF3A, 0xFEF9, 0xFED8, 0xFE76, 0xFDD4, 0xF593, 0xF573, 0xED52, 0xED32, 0xE4F0, 0xDCAE, 0xDC8D, 0xD46D, 0xD46D, 0xD48D, 0xDCEF, 0xED51, 0xED72, 0xE572, 0xE572, 0xE552, 0xE531, 0xDCAE, 0xD46D, 0xDC8E, 0xDCAE, 0xDCAF, 0xD46E, 0xAB8B, 
        0x9B09, 0x9B08, 0xA349, 0xB3AC, 0xD490, 0xED53, 0xF594, 0xF594, 0xFDB5, 0xFDF6, 0xFE57, 0xFE77, 0xFE77, 0xFE77, 0xFE77, 0xFE77, 0xFE57, 0xFE57, 0xFE57, 0xFE37, 0xFE16, 0xFE16, 0xF616, 0xF616, 0xF5F6, 0xFDD6, 0xFDB5, 0xF5B5, 0xF5B5, 0xF594, 
        0xF574, 0xF574, 0xF554, 0xF553, 0xED33, 0xE533, 0xE513, 0xE4F2, 0xE4F2, 0xDCF2, 0xDCD2, 0xDC91, 0xD470, 0xD490, 0xD470, 0xDC6F, 0xD44F, 0xC44E, 0xBC4E, 0xBC2E, 0xBBEE, 0xBBCE, 0xBBCE, 0xC42E, 0xBBED, 0x9309, 0x6A86, 0x5A85, 0x4AA5, 0x42E5, 
        0x42C5, 0x52A4, 0x5AA5, 0x6306, 0x7389, 0x8B4A, 0x930A, 0x8B09, 0x8B29, 0x8B29, 0x8B29, 0x7B08, 0x7AE7, 0x7AC7, 0x7AC7, 0x72A6, 0x6A65, 0x7245, 0x7246, 0x6A26, 0x6A26, 0x6A06, 0x69E5, 0x61A4, 0x5964, 0x5964, 0x5143, 0x5164, 0x4944, 0x3903, 
        0x38E3, 0x30C2, 0x30C2, 0x30A2, 0x3082, 0x4081, 0x48C2, 0x5185, 0x6AC9, 0x8BCD, 0xA551, 0x9D6F, 0x8CED, 0x73C9, 0x6B47, 0x6B47, 0x73C8, 0x7C2A, 0x740A, 0x6B88, 0x6347, 0x6346, 0x6366, 0x6366, 0x6345, 0x5B24, 0x5304, 0x5304, 0x5B24, 0x6344, 
        0x6365, 0x6B85, 0x6B85, 0x6365, 0x6365, 0x7386, 0x7387, 0x6346, 0x6B67, 0x7BE9, 0x946B, 0x73A9, 0x5AE7, 0x4A66, 0x52A9, 0x6B4C, 0x94B1, 0xA50E, 0xB56E, 0xCE52, 0xC632, 0xAD6F, 0x7BE9, 0x6BA6, 0x6BA5, 0x6B85, 0x6B85, 0x6B65, 0x6B65, 0x6B86, 
        0x6B86, 0x6365, 0x6344, 0x5B44, 0x6365, 0x7BE7, 0x8428, 0x8C29, 0x9C8B, 0xACEE, 0xD5D2, 0xF6F7, 0xFF79, 0xFF7B, 0xFF9C, 0xFF9D, 0xFF9D, 0xFF9C, 0xFF9B, 0xFF9B, 0xFF9B, 0xFF9B, 0xFF9B, 0xFFDC, 0xFFFD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDE, 
        0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFFE, 0xFFFF, 0xF79D, 0xC614, 0xA52E, 0x8427, 0x73A3, 0x7BC3, 0x9466, 0xB56C, 0xBD8E, 0xACEC, 0x942A, 0x8389, 0x62C7, 0x4225, 
        0x4224, 0x4AA4, 0x52C3, 0x52A3, 0x4A62, 0x5AC2, 0x6302, 0x6B43, 0x6B43, 0x6323, 0x6323, 0x7BE5, 0x8405, 0x7384, 0x6343, 0x6343, 0x6B64, 0x73A6, 0x73A6, 0x7385, 0x7344, 0x7304, 0x72E4, 0x8386, 0x9409, 0xACED, 0xCDD2, 0xDE34, 0xEEB6,
  0xAA8B, 0xAAAB, 0xAAAB, 0xA2AB, 0x9A8B, 0x7A69, 0x5A66, 0x4A44, 0x4A24, 0x4A24, 0x5244, 0x5A84, 0x52A5, 0x52C5, 0x5AE6, 0x6307, 0x6307, 0x6307, 0x5AE7, 0x5AC6, 0x5AA6, 0x5A85, 0x5264, 0x4A23, 0x41C3, 0x41C3, 0x49E3, 0x4A04, 0x49E4, 0x41E4, 0x4A44, 
        0x5264, 0x4A64, 0x4A64, 0x4A64, 0x4A64, 0x4A43, 0x4A43, 0x5265, 0x62A7, 0x6B09, 0x834A, 0x8B2A, 0x932B, 0x934C, 0x936C, 0x936C, 0x938C, 0xABCF, 0xB410, 0xC471, 0xD4D3, 0xE534, 0xF596, 0xFD76, 0xFD76, 0xFD96, 0xFDB7, 0xFDD7, 0xFDD7, 0xFDD7, 
        0xFDB7, 0xFD96, 0xFD76, 0xFD75, 0xF534, 0xF4B3, 0xEC93, 0xDC72, 0xCC50, 0xC42F, 0xABEC, 0xA36A, 0xA349, 0xB38B, 0xC3ED, 0xD44F, 0xE4B1, 0xE4D2, 0xDCB2, 0xC450, 0xB3AD, 0xAB6C, 0x9B0A, 0x8B4A, 0x8B6A, 0x834A, 0x8349, 0x8349, 0x7309, 0x5244, 
        0x41C2, 0x3161, 0x2941, 0x2961, 0x39C2, 0x5284, 0x5AC5, 0x62E5, 0x62E5, 0x62E5, 0x62E5, 0x6B08, 0x7329, 0x7329, 0x7329, 0x7B09, 0x7B0A, 0x832D, 0x8B2E, 0x9B4F, 0xA350, 0xA351, 0xA310, 0x8A4B, 0x79E9, 0x71C9, 0x79E9, 0x7A29, 0x826A, 0x8A8A, 
        0x8A8A, 0x7A69, 0x7248, 0x6A27, 0x69C5, 0x5984, 0x5984, 0x61C6, 0x6A07, 0x7228, 0x8289, 0xA34D, 0xB3CF, 0xB3F0, 0xBC0F, 0xBBEF, 0xBBCD, 0xB36C, 0xBB6C, 0xCBED, 0xDC2E, 0xD46E, 0xC48D, 0xAC2B, 0xA42A, 0xA4A9, 0xA509, 0xA529, 0xAD0A, 0xC44B, 
        0xC3EB, 0xBBAB, 0xAB6B, 0x9B6B, 0x8309, 0x6204, 0x59E2, 0x6A65, 0x72E7, 0x7B08, 0x7B07, 0x6244, 0x5A03, 0x6225, 0x7287, 0x7AC9, 0x9B8C, 0xD4B1, 0xED14, 0xED14, 0xED15, 0xED36, 0xF577, 0xFDB7, 0xF5B7, 0xED35, 0xCC30, 0xA34B, 0x6245, 0x5285, 
        0x62E7, 0x7B6A, 0x940C, 0x9C4D, 0x9C4C, 0xA349, 0xAB8B, 0xD5B4, 0xEF3B, 0xF7BE, 0xFF9D, 0xFE78, 0xFE17, 0xFE59, 0xFE99, 0xFEB8, 0xFEB7, 0xFEB9, 0xFEBA, 0xFEDA, 0xFEDA, 0xFEFA, 0xFEF9, 0xFEF9, 0xFED9, 0xFED9, 0xFEB9, 0xFEB9, 0xFEDA, 0xFF5B, 
        0xFF7C, 0xFF3A, 0xFEF9, 0xFEB8, 0xFE56, 0xFDD4, 0xFD93, 0xF573, 0xF552, 0xED11, 0xE4AF, 0xE46E, 0xDC6E, 0xDC6D, 0xDCAE, 0xE510, 0xE593, 0xDDF5, 0xD5B4, 0xC511, 0xC4F1, 0xCD52, 0xDDD5, 0xE592, 0xE530, 0xE4CF, 0xDCAF, 0xDCB0, 0xD48F, 0xB38B, 
        0x9B09, 0x9B09, 0xAB6A, 0xBBEC, 0xDCB0, 0xF594, 0xFDB5, 0xFDB5, 0xFDD5, 0xFDF6, 0xFE57, 0xFE97, 0xFE97, 0xFE77, 0xFE76, 0xFE57, 0xFE57, 0xFE57, 0xFE57, 0xFE36, 0xFE16, 0xFE16, 0xFDF6, 0xFE17, 0xFE17, 0xFDD6, 0xFDD5, 0xFDB5, 0xFDB5, 0xFD94, 
        0xFD74, 0xF574, 0xF554, 0xF554, 0xF533, 0xED33, 0xE513, 0xE4F2, 0xE4F2, 0xE4F2, 0xDCF2, 0xDCB0, 0xDC90, 0xDC90, 0xD470, 0xD470, 0xCC4F, 0xC44E, 0xC44E, 0xC40E, 0xC40E, 0xC3EE, 0xC40E, 0xC44F, 0xB40D, 0x8B29, 0x6AA6, 0x62A5, 0x52C5, 0x3AA4, 
        0x42A5, 0x6307, 0x838A, 0x93CB, 0x93EC, 0xA36B, 0xAB2B, 0x9B0A, 0x932A, 0x932A, 0x930A, 0x8AE9, 0x8AC9, 0x82A8, 0x8287, 0x8286, 0x7A65, 0x7A46, 0x7246, 0x7226, 0x7226, 0x6A06, 0x69E5, 0x61C4, 0x5984, 0x5964, 0x5144, 0x4944, 0x4143, 0x4102, 
        0x40C2, 0x38C2, 0x30C3, 0x30C3, 0x28E3, 0x48C2, 0x48A2, 0x30A2, 0x3103, 0x41A6, 0x6B2A, 0x8C6C, 0x94CD, 0x8C6B, 0x7BEA, 0x6B89, 0x6347, 0x6B68, 0x73A9, 0x73C9, 0x73C9, 0x73E9, 0x73E9, 0x6BA8, 0x6B88, 0x6B66, 0x6345, 0x6345, 0x6324, 0x5B03, 
        0x5B24, 0x6B65, 0x73A6, 0x7BC7, 0x73A7, 0x5AE4, 0x5B05, 0x840A, 0xAD50, 0xCE33, 0xDEF5, 0xCE53, 0xBDB1, 0xA4F0, 0x8C6E, 0x840D, 0x738A, 0x52A7, 0x6329, 0xAD53, 0xC636, 0xADB3, 0x7C09, 0x6BA4, 0x73C3, 0x73C4, 0x73C5, 0x6B85, 0x6B65, 0x6B66, 
        0x6B86, 0x6B85, 0x6B65, 0x6345, 0x6345, 0x73C6, 0x7C07, 0x8C29, 0xA4CD, 0xC570, 0xEEB5, 0xFF59, 0xFF7B, 0xFF7C, 0xFF9D, 0xFFBD, 0xFFDD, 0xFFBC, 0xFF9B, 0xFFBC, 0xFFBC, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFFE, 0xFFFE, 0xEF7C, 0xBDD3, 0x948D, 0x6307, 0x5AA6, 0x7B88, 0xB54D, 0xCDEF, 0xCDCF, 0xBD8F, 0xBD6F, 0xC56F, 0xBD2F, 0x7389, 
        0x5AC6, 0x52C4, 0x5AE2, 0x6302, 0x6343, 0x6B43, 0x6B23, 0x6323, 0x6323, 0x6B63, 0x7BC5, 0x94A8, 0x8C88, 0x6B85, 0x5AE3, 0x5AE2, 0x6B44, 0x6B84, 0x73A4, 0x7384, 0x7384, 0x7385, 0x7B85, 0x6B04, 0x6B03, 0x7344, 0x8BC7, 0x9C6A, 0xBD2F,
  0xAA8B, 0xAA8B, 0xAA8B, 0xAA6B, 0xA26A, 0x8A2A, 0x6267, 0x4A66, 0x4225, 0x4204, 0x4224, 0x4A64, 0x4AC5, 0x52E6, 0x5AC6, 0x62C6, 0x62C6, 0x62C6, 0x52A6, 0x4AA6, 0x5285, 0x5265, 0x5244, 0x4A03, 0x41C3, 0x41C3, 0x41E4, 0x4204, 0x41E3, 0x41C2, 0x4203, 
        0x4224, 0x3A03, 0x39E2, 0x39E2, 0x3A02, 0x3A03, 0x4204, 0x4A25, 0x5266, 0x5AA8, 0x7309, 0x8B4B, 0x934B, 0x9B2B, 0x9B4B, 0x9B8C, 0xA3ED, 0xBC71, 0xCCB3, 0xDD14, 0xE555, 0xED75, 0xF576, 0xF597, 0xF5B7, 0xF5B7, 0xF5B7, 0xF5D7, 0xF5F7, 0xFDF7, 
        0xFDD7, 0xFD96, 0xFD75, 0xF555, 0xF555, 0xFCF4, 0xF4D3, 0xECB3, 0xE4B2, 0xE4D2, 0xDCD2, 0xCC8F, 0xCC8F, 0xD48F, 0xDC90, 0xDC70, 0xDC70, 0xDCB0, 0xDCB1, 0xD491, 0xC430, 0xC3EF, 0xB3CD, 0xB44E, 0xB46E, 0xA3EC, 0x9BAB, 0x938B, 0x834A, 0x5A65, 
        0x49E3, 0x3981, 0x2961, 0x2961, 0x3182, 0x4203, 0x4A43, 0x4A63, 0x4A84, 0x4AA4, 0x52E6, 0x6B69, 0x7B8A, 0x83AB, 0x838B, 0x8B6B, 0x8B6B, 0x8BAC, 0x93CE, 0xA3F0, 0xABF2, 0xABF2, 0xABF2, 0xB370, 0xAB2E, 0x9AED, 0x8AEB, 0x8B0B, 0x8B2B, 0x8AA9, 
        0x8289, 0x82A9, 0x8ACA, 0x8ACA, 0x8AEA, 0x8AEA, 0x8AEA, 0x8AEA, 0x8AEA, 0x8AEB, 0x9B0C, 0xBBB0, 0xCC31, 0xC472, 0xC491, 0xC44F, 0xBBAC, 0xA2C9, 0xAAA9, 0xCB8D, 0xDC8F, 0xDD2E, 0xC5AC, 0xA488, 0x9427, 0x9C87, 0xA508, 0xB549, 0xC52B, 0xBBAB, 
        0xB2CA, 0xA268, 0x8A27, 0x8206, 0x6A04, 0x6181, 0x5981, 0x51A2, 0x5202, 0x6263, 0x72C5, 0x6A85, 0x5A25, 0x4163, 0x3902, 0x4102, 0x61A5, 0xA32D, 0xC3D0, 0xCC10, 0xD451, 0xDC72, 0xE4D4, 0xED15, 0xED14, 0xDCB2, 0xC42F, 0xB3AD, 0x8AE9, 0x6266, 
        0x5A86, 0x7B49, 0x83CA, 0x83A9, 0x8327, 0x9AA6, 0xB349, 0xCD52, 0xE6DA, 0xEF7D, 0xFF9D, 0xFEFA, 0xFE78, 0xFE37, 0xF637, 0xF656, 0xF6B7, 0xFEBA, 0xFE9B, 0xFE9A, 0xFEB9, 0xFED9, 0xFEF9, 0xFED9, 0xFEB9, 0xFED9, 0xFEB9, 0xFEB9, 0xFEB9, 0xFEFA, 
        0xFF1A, 0xFEFA, 0xFED9, 0xFE98, 0xFE35, 0xF5F4, 0xF5B3, 0xF593, 0xED31, 0xDCAF, 0xCC2C, 0xE48F, 0xED31, 0xEDD3, 0xF5F2, 0xED70, 0xBC0B, 0x6268, 0x41C6, 0x3985, 0x3985, 0x49A6, 0x82AA, 0xD5F6, 0xF6D9, 0xEDD5, 0xE511, 0xE4F0, 0xD4AE, 0xAB29, 
        0x9AA8, 0xA309, 0xB3AB, 0xC42D, 0xDCF1, 0xF574, 0xFDB5, 0xF5D5, 0xF5F5, 0xF5F5, 0xFE15, 0xFE77, 0xFE77, 0xF657, 0xF657, 0xFE56, 0xFE56, 0xFE57, 0xFE57, 0xFE36, 0xFE16, 0xFDF6, 0xFDF7, 0xF5F6, 0xF5F5, 0xF5D5, 0xF5B5, 0xF5B5, 0xF595, 0xF594, 
        0xF594, 0xF554, 0xF554, 0xF554, 0xED53, 0xE512, 0xDCF2, 0xDCF2, 0xDCF2, 0xDCF2, 0xD4F1, 0xD4B0, 0xD490, 0xDC90, 0xD490, 0xD490, 0xCC6E, 0xC44E, 0xBC2E, 0xC40E, 0xC3EE, 0xCC0E, 0xCC0D, 0xC40D, 0xB3CC, 0x8B29, 0x6AE7, 0x5AE6, 0x52E5, 0x3263, 
        0x4284, 0x7BAA, 0xA44D, 0xA42D, 0x938B, 0x9AE9, 0x9AC9, 0x9AE9, 0x92E9, 0x92C9, 0x8AA7, 0x92A8, 0x92A8, 0x8A67, 0x8A46, 0x8A46, 0x8266, 0x7287, 0x6A67, 0x6A46, 0x6A25, 0x6A05, 0x61C5, 0x59A5, 0x5185, 0x5164, 0x5144, 0x4943, 0x4143, 0x38E2, 
        0x38C2, 0x38C3, 0x38C3, 0x38E3, 0x40E3, 0x4924, 0x4923, 0x30C2, 0x2081, 0x2081, 0x2903, 0x4A45, 0x6B68, 0x9CAD, 0x9CCD, 0x840A, 0x5AC6, 0x6B48, 0x73CA, 0x7C0A, 0x7C4A, 0x7C6A, 0x7C6A, 0x73C9, 0x6B89, 0x6B88, 0x6B67, 0x6346, 0x6325, 0x6346, 
        0x6B86, 0x73E7, 0x8428, 0x8449, 0x7BA8, 0x39E3, 0x3A04, 0x948D, 0xD695, 0xEF58, 0xF79A, 0xEF36, 0xE716, 0xDEF8, 0xB5D5, 0x8C6F, 0x52A7, 0x738A, 0x9CCF, 0xBE14, 0xBE33, 0xA58F, 0x6BE7, 0x6B85, 0x6B65, 0x6B85, 0x6B86, 0x6B86, 0x6B86, 0x6385, 
        0x6385, 0x6385, 0x6B85, 0x6365, 0x6365, 0x73A6, 0x8407, 0xA4AB, 0xC5B0, 0xD674, 0xF779, 0xFF7B, 0xFF7B, 0xFF7B, 0xFF9B, 0xFFBB, 0xFFDB, 0xFFDD, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFBC, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFBD, 0xFFDE, 
        0xFFDE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xDEDB, 0x632B, 0x41E5, 0x62C7, 0x9C2B, 0xBD2F, 0xD5F2, 0xC54E, 0xB4ED, 0xACED, 0xB54E, 0xC5B0, 0xC5F1, 0x9CAC, 
        0x7BA8, 0x5AE4, 0x52A2, 0x52A1, 0x62E2, 0x7344, 0x6B04, 0x4A23, 0x5285, 0x7BA8, 0xAD4C, 0x7BE6, 0x5B23, 0x6344, 0x6B85, 0x73A5, 0x73A5, 0x6323, 0x6303, 0x6B64, 0x73A5, 0x73A5, 0x73A4, 0x73A5, 0x7365, 0x6B03, 0x7324, 0x7B86, 0x9C4A,
  0xB28B, 0xB28B, 0xAA8B, 0xAA6B, 0xA26B, 0x9A4A, 0x6A69, 0x5268, 0x4A26, 0x4A05, 0x4A04, 0x4A45, 0x4AA5, 0x52C5, 0x5AC5, 0x5AA6, 0x62A6, 0x5AA5, 0x4A85, 0x4A85, 0x4A65, 0x4A44, 0x4A24, 0x49E3, 0x41C3, 0x41C3, 0x41E4, 0x4204, 0x41E3, 0x39C2, 0x3A04, 
        0x3A04, 0x39E3, 0x31C2, 0x31A2, 0x31C1, 0x3A03, 0x4224, 0x4A25, 0x5246, 0x5A87, 0x6AE9, 0x8B4B, 0x934B, 0x9B4B, 0xA36B, 0xA38C, 0xAC0E, 0xC492, 0xD4F4, 0xE555, 0xED76, 0xF576, 0xF576, 0xF597, 0xF5B7, 0xF597, 0xF5B7, 0xF5B6, 0xF5D6, 0xFDD7, 
        0xFDD7, 0xF576, 0xF555, 0xF555, 0xF555, 0xF4F4, 0xF4D3, 0xECD3, 0xECF3, 0xECF3, 0xED13, 0xDCF1, 0xDCD1, 0xE4D1, 0xE4B1, 0xE490, 0xDC70, 0xDC90, 0xDCB1, 0xDC91, 0xD471, 0xCC31, 0xC42F, 0xC4B0, 0xC4B0, 0xB42E, 0xABCC, 0x9BAC, 0x8B6B, 0x6286, 
        0x5204, 0x41A2, 0x3181, 0x3181, 0x3182, 0x39C2, 0x41E3, 0x4203, 0x4244, 0x4A84, 0x5AE6, 0x736A, 0x83CC, 0x8BED, 0x93ED, 0x93CC, 0x938C, 0x93CD, 0x93EE, 0xA3F0, 0xAC12, 0xAC32, 0xB432, 0xC3F2, 0xBBB0, 0xAB6F, 0x9B4D, 0x934C, 0x934B, 0x8AC9, 
        0x8AA9, 0x8ACA, 0x930B, 0x9B4C, 0x9B8D, 0x9B8D, 0x9B8D, 0x9B8C, 0x9B8C, 0x9B6D, 0xA36E, 0xC3F1, 0xD452, 0xD492, 0xCC91, 0xC44F, 0xB38C, 0xA2A8, 0xA2A8, 0xCB8D, 0xDCD0, 0xDD90, 0xCE0C, 0xA4A8, 0x9426, 0x9C87, 0xAD08, 0xBD4A, 0xC50B, 0xAB09, 
        0x9A28, 0x89E7, 0x79E6, 0x71E5, 0x61E3, 0x59A2, 0x51A1, 0x49C2, 0x4A02, 0x5242, 0x62A4, 0x6AE6, 0x6286, 0x4183, 0x30E1, 0x30C1, 0x4923, 0x8269, 0x9B0C, 0xAB4D, 0xB3AE, 0xC3F0, 0xD452, 0xDC72, 0xDC91, 0xD470, 0xC42F, 0xB3CD, 0x930A, 0x6A87, 
        0x62A7, 0x7B28, 0x8368, 0x8347, 0x7AC5, 0x9AE7, 0xB3AB, 0xCD73, 0xE6FA, 0xEF7D, 0xFFBE, 0xFF5B, 0xFEF9, 0xF658, 0xF636, 0xF656, 0xF6B7, 0xFE9A, 0xFE9A, 0xFE9A, 0xFEB9, 0xFED9, 0xFEF9, 0xFED9, 0xFEB9, 0xFED9, 0xFED9, 0xFED9, 0xFEB9, 0xFED9, 
        0xFED9, 0xFED9, 0xFEB9, 0xFE98, 0xFE56, 0xF5F4, 0xF5B3, 0xF573, 0xE511, 0xDCAF, 0xD44D, 0xE511, 0xED72, 0xDD72, 0xD4EF, 0xBC2C, 0x8A85, 0x4102, 0x2082, 0x2081, 0x2040, 0x2820, 0x5924, 0xCD74, 0xF6F9, 0xEDF5, 0xE531, 0xDCCF, 0xCC6D, 0xA2E9, 
        0x9AA8, 0xAB4A, 0xC3ED, 0xCC6F, 0xDCF1, 0xED73, 0xF594, 0xF5D5, 0xF5D5, 0xF5D5, 0xFDF5, 0xFE57, 0xF677, 0xF657, 0xF657, 0xF657, 0xFE36, 0xFE57, 0xFE36, 0xFE16, 0xF616, 0xF5F6, 0xF5F6, 0xF5D5, 0xF5D5, 0xF5B5, 0xF5B5, 0xF595, 0xF595, 0xF594, 
        0xF594, 0xF574, 0xF554, 0xF554, 0xED53, 0xE512, 0xDCF2, 0xDD12, 0xDCF2, 0xDCF2, 0xD4D1, 0xD4B1, 0xD491, 0xDC91, 0xD470, 0xD46F, 0xCC6E, 0xC46E, 0xBC4E, 0xBBEE, 0xC3EE, 0xC3EE, 0xCC2D, 0xC40D, 0xB3EC, 0x8B49, 0x6AE7, 0x5AC6, 0x4AC5, 0x4AC5, 
        0x6307, 0x93EB, 0xAC4D, 0xA40D, 0x934A, 0x92C8, 0x9AC8, 0x9AE9, 0x92E9, 0x8AC8, 0x8A87, 0x8AA7, 0x92A7, 0x8A87, 0x8A67, 0x8A66, 0x8266, 0x7287, 0x6A67, 0x6A46, 0x6A25, 0x6A05, 0x61E5, 0x59A5, 0x5185, 0x5165, 0x5164, 0x4943, 0x4123, 0x30E2, 
        0x30C2, 0x38C3, 0x38C3, 0x40E3, 0x40E3, 0x4944, 0x4143, 0x38E2, 0x2881, 0x1841, 0x1041, 0x2922, 0x4A25, 0x83EB, 0x9C8D, 0x8C2C, 0x7349, 0x73AA, 0x7BEB, 0x7C2A, 0x7C4A, 0x7C6A, 0x7C69, 0x7C0A, 0x7BCA, 0x7BC9, 0x73A9, 0x6BA8, 0x6B87, 0x7387, 
        0x73A8, 0x7C08, 0x8429, 0x8C49, 0x7BA8, 0x39E4, 0x4226, 0x9CCF, 0xDED7, 0xF77A, 0xFFBB, 0xF778, 0xF778, 0xF79B, 0xD6B9, 0xA554, 0x73AC, 0x9CCE, 0xBDD2, 0xCE94, 0xBE52, 0x9D6D, 0x6BC6, 0x6BA6, 0x6BA7, 0x6B87, 0x6B66, 0x6B66, 0x6B85, 0x6385, 
        0x6384, 0x6385, 0x6B85, 0x6B65, 0x6365, 0x6B85, 0x83E7, 0xAD0D, 0xD632, 0xE6D6, 0xF779, 0xF739, 0xF719, 0xF719, 0xF739, 0xF759, 0xF79A, 0xFFBD, 0xFFBE, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFBD, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFFE, 
        0xFFFE, 0xFFDE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFDE, 0xF7BE, 0xEF7D, 0xBE17, 0x5289, 0x41C4, 0x83AA, 0xC54F, 0xDDF2, 0xDDD2, 0xBD0E, 0xACAC, 0xACAD, 0xACEE, 0xB54F, 0xBD90, 0xAD2D, 
        0x9CAB, 0x7386, 0x5AC3, 0x52A2, 0x5AA2, 0x7324, 0x6AE4, 0x4203, 0x52A7, 0x8C2C, 0xC5F1, 0x6366, 0x3A21, 0x52C3, 0x6B64, 0x73A5, 0x7385, 0x6323, 0x6303, 0x6B44, 0x6B65, 0x6B64, 0x6B64, 0x7BC6, 0x7BA6, 0x6B24, 0x6B03, 0x7324, 0x7BA6,
  0xB2AD, 0xB2AD, 0xAAAD, 0xAAAC, 0xAAAC, 0xA28C, 0x82AB, 0x728A, 0x6A48, 0x6227, 0x6226, 0x5A26, 0x5264, 0x4A83, 0x52C4, 0x5AC5, 0x5AC5, 0x5285, 0x5285, 0x5265, 0x5265, 0x5244, 0x4A44, 0x4A23, 0x41E2, 0x41E2, 0x41E3, 0x4203, 0x4203, 0x39E3, 0x31E4, 
        0x31E4, 0x39C3, 0x39A3, 0x3982, 0x3982, 0x39E3, 0x4224, 0x4A44, 0x5265, 0x5A86, 0x6AC8, 0x8B2A, 0x934B, 0x9B6C, 0xA38D, 0xA3AE, 0xABEF, 0xC471, 0xCCD2, 0xDD14, 0xE555, 0xED55, 0xF576, 0xF576, 0xF576, 0xFD76, 0xFD96, 0xFD96, 0xFD97, 0xF5B7, 
        0xF5B7, 0xF596, 0xF576, 0xF576, 0xF555, 0xECF4, 0xECD4, 0xE4D3, 0xECF3, 0xECF3, 0xECF2, 0xE4B0, 0xDC8F, 0xDCAF, 0xDCAF, 0xE4B0, 0xECB0, 0xEC91, 0xEC92, 0xE472, 0xDC72, 0xDC52, 0xD451, 0xCC50, 0xC44F, 0xBC0E, 0xABCD, 0xABAD, 0x9B6C, 0x72C7, 
        0x5A65, 0x5203, 0x49C2, 0x41C2, 0x41C2, 0x3983, 0x3983, 0x49C3, 0x5224, 0x5244, 0x62A6, 0x834A, 0x93AD, 0xA40E, 0xAC0F, 0xABEE, 0xA3AE, 0xA38E, 0xA38F, 0xA3AF, 0xABD0, 0xB3F1, 0xBC12, 0xBC11, 0xBBD1, 0xB36F, 0xAB2D, 0xAB0C, 0xA2EA, 0x9AAA, 
        0x92AA, 0x92EB, 0x9B4C, 0xA36D, 0xABAE, 0xABAE, 0xABAE, 0xABAD, 0xA3AD, 0xA38E, 0xAB8F, 0xBC11, 0xCC51, 0xD471, 0xD450, 0xCBEF, 0xB36C, 0xAB0A, 0xB34B, 0xD471, 0xE553, 0xE592, 0xC54D, 0xAC69, 0xA448, 0xB4C9, 0xBD2B, 0xC54B, 0xB48A, 0x82A7, 
        0x69E6, 0x6A47, 0x7288, 0x6AA8, 0x62A7, 0x4A45, 0x4A24, 0x4A65, 0x52A5, 0x52A5, 0x5AE5, 0x7346, 0x7326, 0x6285, 0x51E3, 0x49C2, 0x49C2, 0x6225, 0x6A67, 0x7AA8, 0x8AEA, 0x9B4C, 0xB3CF, 0xC3EF, 0xCC0F, 0xD470, 0xC42F, 0xB3AC, 0x8AE9, 0x8309, 
        0x8329, 0x7B08, 0x7AE7, 0x7AC6, 0x8B27, 0xB46E, 0xCD73, 0xE6B9, 0xF79D, 0xFFDF, 0xFFFF, 0xFFDE, 0xFF9C, 0xF6D9, 0xFE78, 0xFE78, 0xFEB9, 0xFE98, 0xFE98, 0xFEB9, 0xFED9, 0xFED9, 0xFEF8, 0xFED9, 0xFEDA, 0xFEFA, 0xFEFA, 0xFEFA, 0xFED9, 0xFED8, 
        0xFEB8, 0xFEB8, 0xFEB8, 0xFEB8, 0xFE77, 0xF5D5, 0xF594, 0xF552, 0xED32, 0xED11, 0xED32, 0xE572, 0xD4F0, 0x92C9, 0x6985, 0x6123, 0x6164, 0x7A07, 0x8A47, 0x8205, 0x7183, 0x6123, 0x6985, 0xBC2D, 0xE531, 0xDCCF, 0xD46E, 0xCC2D, 0xBBCC, 0x9AE9, 
        0x9AE9, 0xB3AC, 0xCC6F, 0xDCB1, 0xE4F1, 0xE552, 0xED73, 0xED93, 0xF594, 0xF594, 0xFDB5, 0xFE36, 0xFE56, 0xFE56, 0xFE56, 0xFE56, 0xFE56, 0xFE36, 0xF616, 0xF5F6, 0xF616, 0xF616, 0xFE16, 0xFDD5, 0xFDB5, 0xF5B5, 0xF595, 0xF595, 0xF594, 0xF574, 
        0xFD74, 0xF574, 0xF574, 0xF554, 0xF553, 0xED33, 0xE532, 0xE512, 0xE512, 0xE4F2, 0xDCD2, 0xDCF2, 0xDCD2, 0xDC91, 0xDC70, 0xD44F, 0xCC4E, 0xC46F, 0xBC4F, 0xBC0E, 0xBBEE, 0xC3EE, 0xCC2E, 0xC46E, 0xB42D, 0x938A, 0x6AE7, 0x5286, 0x4AA5, 0x940B, 
        0xAC8D, 0xAC2C, 0xA3AB, 0xA36B, 0x9B2A, 0x9B0A, 0x9B0A, 0x9B2A, 0x9B2A, 0x930A, 0x8AE9, 0x92E9, 0x92C8, 0x8AC8, 0x8AC8, 0x82A7, 0x82A6, 0x7A66, 0x7A66, 0x7246, 0x7246, 0x7246, 0x6A25, 0x59A5, 0x5965, 0x5964, 0x5964, 0x5144, 0x4123, 0x38E3, 
        0x38C2, 0x38C2, 0x40E3, 0x40E3, 0x40E3, 0x4902, 0x4902, 0x38E2, 0x30C2, 0x28A2, 0x2062, 0x1881, 0x18C2, 0x39C5, 0x6B0A, 0x8C2E, 0xB531, 0x946D, 0x83EB, 0x842B, 0x7C0A, 0x73EA, 0x6BA9, 0x8C6B, 0x9CAC, 0x948C, 0x8C6B, 0x846B, 0x7C4A, 0x7BE9, 
        0x7BA8, 0x7BA8, 0x83C8, 0x83E9, 0x83EA, 0x73AC, 0x7C0E, 0xAD74, 0xDEB8, 0xEF3A, 0xF79B, 0xFFBB, 0xFFDC, 0xFFDD, 0xF79D, 0xE73C, 0xCE77, 0xB5B1, 0xB5D0, 0xCE94, 0xC654, 0xA54F, 0x6BA7, 0x7408, 0x7C49, 0x7C08, 0x73A6, 0x6B85, 0x6384, 0x6385, 
        0x6B85, 0x6BA6, 0x6B86, 0x6B65, 0x6345, 0x6B44, 0x7BC7, 0xB54F, 0xDE75, 0xEED7, 0xF6D7, 0xE655, 0xDE15, 0xDE35, 0xDE56, 0xDE76, 0xE6B8, 0xF73B, 0xFF9D, 0xFFBD, 0xFFBE, 0xFFBD, 0xFFBD, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 
        0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFBE, 0xF7BE, 0xE73C, 0xCE99, 0xAD53, 0x944B, 0x9C4A, 0xC54F, 0xD5D2, 0xD5D2, 0xC550, 0xBD2E, 0xBD0E, 0xB50F, 0xB4EE, 0xACCE, 0xACEE, 0xC5D1, 
        0xC5F1, 0xA4EC, 0x83E8, 0x6B66, 0x62C4, 0x62E4, 0x62E3, 0x5AA3, 0x7B88, 0xA4EE, 0xC614, 0x5AE8, 0x2981, 0x4221, 0x5AC2, 0x6302, 0x6B43, 0x6B84, 0x6B84, 0x6B43, 0x6323, 0x6323, 0x6343, 0x7364, 0x7B65, 0x7344, 0x6B23, 0x6303, 0x62C2,
  0xB2AD, 0xB2AD, 0xAA8D, 0xAA8C, 0xB2AC, 0xAACC, 0x92ED, 0x8AED, 0x8AEC, 0x8AEB, 0x8AEB, 0x7AA9, 0x6286, 0x5285, 0x52A4, 0x52C4, 0x52C4, 0x52A3, 0x5A64, 0x5A64, 0x5244, 0x4A44, 0x4A24, 0x4203, 0x4203, 0x4203, 0x4203, 0x4203, 0x39E3, 0x31C3, 0x29A3, 
        0x2982, 0x2983, 0x3163, 0x3163, 0x3162, 0x41C3, 0x4A03, 0x5224, 0x5A65, 0x5A66, 0x6AA8, 0x832A, 0x936B, 0x9B8C, 0xA3AD, 0xABCE, 0xB40F, 0xD491, 0xDCD2, 0xDD13, 0xE534, 0xED55, 0xF575, 0xFD76, 0xFD77, 0xFD76, 0xFD76, 0xFD96, 0xFD97, 0xF5D7, 
        0xF5D7, 0xF597, 0xF576, 0xF576, 0xF555, 0xED14, 0xECF4, 0xECD3, 0xF4D3, 0xF4D3, 0xF4F3, 0xF4F1, 0xECD0, 0xECCF, 0xECCF, 0xECD0, 0xF4F1, 0xF4B2, 0xF492, 0xEC92, 0xEC72, 0xEC72, 0xE472, 0xDC51, 0xD430, 0xC40F, 0xBBCF, 0xB3AE, 0xAB8D, 0x7B09, 
        0x62C7, 0x5A64, 0x5223, 0x5223, 0x5204, 0x4983, 0x4142, 0x4183, 0x49C3, 0x4A03, 0x5A65, 0x8B4B, 0xA3AE, 0xAC0F, 0xB430, 0xB430, 0xB410, 0xABAF, 0xAB8F, 0xABAF, 0xB3D0, 0xB3D1, 0xC3F2, 0xCC32, 0xCC31, 0xC410, 0xBBAF, 0xB36E, 0xAB0C, 0x9ACA, 
        0x9ACA, 0x92EB, 0x9B2C, 0xA36D, 0xB3EF, 0xC450, 0xC470, 0xBC30, 0xB3EF, 0xB3CF, 0xBBF0, 0xC431, 0xCC71, 0xD492, 0xD492, 0xCC50, 0xB3AD, 0xA32A, 0xAB8B, 0xD532, 0xDDF4, 0xD5F1, 0xAD29, 0x9C88, 0xA489, 0xB52A, 0xC54B, 0xC50B, 0xAC2A, 0x7287, 
        0x59E7, 0x6247, 0x6287, 0x6AA6, 0x62A5, 0x4A44, 0x4203, 0x4203, 0x5284, 0x6306, 0x840A, 0x9C4A, 0x9409, 0x7B68, 0x6AC6, 0x5A85, 0x4A22, 0x49C1, 0x49C2, 0x5A04, 0x6A86, 0x72E8, 0x836B, 0xABAE, 0xBBCF, 0xC40F, 0xBBEE, 0xA38B, 0x8B07, 0x9B4B, 
        0x934C, 0x72A8, 0x6265, 0x6284, 0x8BA8, 0xCE15, 0xEF3B, 0xF79D, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFBE, 0xFF3B, 0xFEBA, 0xFE9A, 0xFE9A, 0xF656, 0xF655, 0xF656, 0xF697, 0xFEB7, 0xFEF8, 0xFEFA, 0xFEFB, 0xFF1B, 0xFF1A, 0xFF1A, 0xFED9, 0xFEB7, 
        0xFE97, 0xFE97, 0xFE77, 0xFE77, 0xFE36, 0xF595, 0xF574, 0xF574, 0xF5B4, 0xF5F5, 0xE5B4, 0xAB69, 0x8204, 0x6964, 0x7185, 0x8A47, 0xC3CC, 0xDC8F, 0xDC8F, 0xCC0D, 0xBBAC, 0xBBAB, 0xBBAC, 0xC3CD, 0xBBAD, 0xAB4B, 0xA309, 0xA309, 0xA34A, 0xAB6A, 
        0xB3AB, 0xCC2E, 0xDC90, 0xDCD1, 0xE4F1, 0xE532, 0xED52, 0xF573, 0xF573, 0xF594, 0xF594, 0xF5D4, 0xFDF4, 0xFE15, 0xFE16, 0xFE36, 0xFE36, 0xF5F6, 0xF5F5, 0xFDF5, 0xFDF5, 0xFDF6, 0xFDF6, 0xFDF6, 0xFDD5, 0xFDB5, 0xF5B5, 0xF594, 0xFD74, 0xFD74, 
        0xF554, 0xF573, 0xF553, 0xF553, 0xF553, 0xED33, 0xED33, 0xE512, 0xE4F2, 0xE4F2, 0xE4F2, 0xDCF2, 0xDCD1, 0xDC91, 0xDC70, 0xD470, 0xCC6F, 0xBC6F, 0xBC4F, 0xBC2E, 0xC42F, 0xCC2F, 0xCC4F, 0xBC6E, 0xAC2D, 0x8B8A, 0x7329, 0x6B29, 0x7BAA, 0xB4AE, 
        0xBCAF, 0xABEC, 0xA34B, 0xA34B, 0xA34B, 0x9B2B, 0x932A, 0x934A, 0x934A, 0x934A, 0x9329, 0x9309, 0x8B09, 0x8B09, 0x82E9, 0x82E9, 0x82A8, 0x8286, 0x8285, 0x7A86, 0x7266, 0x7246, 0x6A05, 0x61C5, 0x5985, 0x5964, 0x5964, 0x5144, 0x4923, 0x40E2, 
        0x38C2, 0x38C2, 0x40C3, 0x40E3, 0x40E3, 0x4903, 0x48E2, 0x48E2, 0x40E3, 0x3904, 0x3945, 0x3124, 0x2902, 0x20E3, 0x4A48, 0x83EF, 0xC617, 0x9CD0, 0x8C2C, 0x8C6D, 0x8C4C, 0x840B, 0x73A9, 0x946D, 0x9CCE, 0x948D, 0x8C6D, 0x8C6D, 0x946D, 0x8C4B, 
        0x8C4B, 0x948D, 0x9CCE, 0xA4CE, 0xAD31, 0xD698, 0xE73C, 0xEF7D, 0xF7BD, 0xF7BD, 0xF79D, 0xFFDE, 0xFFFF, 0xFFDE, 0xEF3C, 0xD698, 0xB572, 0xA52E, 0xB58F, 0xCE75, 0xC655, 0xAD71, 0x73E8, 0x8429, 0x8C8A, 0x8449, 0x7BE8, 0x7386, 0x6B45, 0x6BC6, 
        0x6BE6, 0x73C6, 0x6B86, 0x6345, 0x5B04, 0x6B64, 0x8C28, 0xC58F, 0xE675, 0xEE96, 0xDE54, 0xCDD3, 0xCDB2, 0xCD92, 0xCD72, 0xCD52, 0xD5B3, 0xF718, 0xFFBB, 0xFFBC, 0xF77C, 0xEF3A, 0xEEF9, 0xF77C, 0xF7BE, 0xFFBD, 0xFFBD, 0xFFDD, 0xFFFE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDE, 0xF79D, 0xEF3C, 0xD677, 0xC570, 0xBD2E, 0xBD4F, 0xC570, 0xC571, 0xBD51, 0xC571, 0xC571, 0xBD50, 0xB52F, 0xB50F, 0xB4EF, 0xB4EF, 
        0xB50F, 0xB550, 0xAD0E, 0x946C, 0x6B48, 0x52A4, 0x52A3, 0x6B24, 0x8C07, 0xA4EA, 0xAD4D, 0x5AA5, 0x41E1, 0x62E3, 0x73C5, 0x7C05, 0x73C6, 0x6324, 0x6303, 0x6B43, 0x7363, 0x7363, 0x6B43, 0x6302, 0x6302, 0x6B43, 0x7363, 0x7363, 0x7343,
  0xB30E, 0xB2EE, 0xB2ED, 0xB2CD, 0xB2ED, 0xB2ED, 0xB2EE, 0xB2EE, 0xAB2D, 0xA36D, 0xA36D, 0xA38D, 0x834B, 0x7309, 0x5AA5, 0x4A63, 0x4A43, 0x4A03, 0x39E2, 0x39E2, 0x41C2, 0x39C2, 0x31C2, 0x31C2, 0x39C3, 0x41C3, 0x41E3, 0x39E3, 0x39E4, 0x39C4, 0x31A3, 
        0x3183, 0x3162, 0x3142, 0x2942, 0x3162, 0x39A3, 0x41E4, 0x4A25, 0x5266, 0x5A87, 0x6AA8, 0x8B0A, 0x9B4B, 0xABAC, 0xB3ED, 0xB40E, 0xBC71, 0xD4B1, 0xDCD1, 0xDCF2, 0xE513, 0xE534, 0xED55, 0xF535, 0xF535, 0xF555, 0xF575, 0xF575, 0xF555, 0xED76, 
        0xED76, 0xED35, 0xE515, 0xDD14, 0xD513, 0xCCB2, 0xCC92, 0xD4B2, 0xE4D3, 0xE4F3, 0xED14, 0xF534, 0xF534, 0xF533, 0xF533, 0xF532, 0xF512, 0xF4D3, 0xF4B3, 0xEC92, 0xE451, 0xDC10, 0xD3CF, 0xCBAE, 0xC38D, 0xBB8E, 0xBB8E, 0xBB8E, 0xB38D, 0x9329, 
        0x7AE7, 0x6AA6, 0x5A85, 0x5A65, 0x5225, 0x49A3, 0x4963, 0x49A4, 0x5A05, 0x6A66, 0x82E9, 0xABEE, 0xC471, 0xCCD3, 0xDCF3, 0xDCF3, 0xD4B2, 0xBC10, 0xB3CF, 0xBBCF, 0xC3CF, 0xC3F0, 0xD431, 0xE474, 0xEC94, 0xE452, 0xDBF0, 0xCB8E, 0xB32C, 0xB30C, 
        0xB34D, 0xBBB0, 0xCC52, 0xD493, 0xE515, 0xED34, 0xE514, 0xE4D4, 0xDCB3, 0xDC93, 0xDCB3, 0xE535, 0xE555, 0xE533, 0xD4B1, 0xC42E, 0xA34B, 0x92A8, 0xA309, 0xCC70, 0xEDB3, 0xEE52, 0xC66B, 0x8CE5, 0x8484, 0xAD47, 0xC5A9, 0xBD69, 0x8BE7, 0x3983, 
        0x20C2, 0x2944, 0x39C5, 0x4225, 0x5265, 0x5AA6, 0x5AA7, 0x5285, 0x4A44, 0x4243, 0x52E6, 0xAD8F, 0xCE71, 0xB56D, 0x9C8A, 0x9429, 0x73A7, 0x4A02, 0x3140, 0x3101, 0x3901, 0x4122, 0x51A3, 0x6227, 0x7289, 0x8AE9, 0x9B49, 0x9B49, 0x9B28, 0x9AEA, 
        0x9ACA, 0x8A88, 0x8246, 0x8205, 0x8A87, 0xBCF0, 0xD655, 0xEF3A, 0xFFBE, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFDE, 0xF75C, 0xF6FB, 0xF699, 0xFE38, 0xFE38, 0xF637, 0xF616, 0xF616, 0xF657, 0xFED9, 0xFED9, 0xFED9, 0xFEF9, 0xFEF9, 0xFEDA, 0xFEBA, 0xFEB9, 
        0xFEB9, 0xFE98, 0xFE57, 0xFE37, 0xF5F6, 0xF5B4, 0xF594, 0xF574, 0xF5B4, 0xF5D5, 0xE552, 0x9A88, 0x89C5, 0xB36B, 0xDCAF, 0xED31, 0xED51, 0xE530, 0xDCEF, 0xD46E, 0xCC0E, 0xC3ED, 0xBBAC, 0xAB4A, 0x9B09, 0x92C8, 0x92A8, 0x9AC8, 0xA329, 0xB3EB, 
        0xC44D, 0xD4AF, 0xDCD0, 0xE4F1, 0xDD11, 0xDCF1, 0xE511, 0xED52, 0xF573, 0xF573, 0xED73, 0xED93, 0xEDB3, 0xF5D4, 0xFDF5, 0xFDF5, 0xF5F5, 0xF616, 0xF615, 0xF5F5, 0xF5D5, 0xF5D5, 0xFDD5, 0xF5D5, 0xF5D5, 0xF5B5, 0xF5B5, 0xF5B4, 0xF594, 0xF573, 
        0xF573, 0xF573, 0xED54, 0xED54, 0xED53, 0xE513, 0xE4F2, 0xDCF2, 0xDCF1, 0xDCD1, 0xDCD1, 0xDCF1, 0xDCF1, 0xDCB1, 0xDC90, 0xD490, 0xCC6F, 0xCC6E, 0xCC4D, 0xCC0E, 0xC40E, 0xC42F, 0xC44E, 0xAC0C, 0x9BCB, 0x938A, 0x938B, 0x9BCC, 0xAC2D, 0xB3CC, 
        0xAB8B, 0xAB6B, 0xA36B, 0xA36B, 0xA36B, 0x9B2A, 0x9B0A, 0x9B2A, 0x9B4A, 0x9B29, 0x9B09, 0x8AE9, 0x82C9, 0x8AE9, 0x8AC8, 0x8AC8, 0x82C8, 0x7A87, 0x7286, 0x7266, 0x6A46, 0x6A25, 0x6205, 0x59C5, 0x59A5, 0x5184, 0x4964, 0x4963, 0x4143, 0x38E2, 
        0x38C1, 0x38C2, 0x38E2, 0x38E3, 0x4103, 0x48E3, 0x50E3, 0x48E3, 0x40E3, 0x3903, 0x2943, 0x29A3, 0x2162, 0x18E2, 0x3165, 0x5A8A, 0xA4F3, 0xD6BA, 0xDED9, 0xBDB4, 0xA4EF, 0x9CAE, 0x9CCE, 0xAD30, 0xAD31, 0xAD31, 0xB511, 0xB511, 0xB530, 0xB571, 
        0xB5B2, 0xC5F5, 0xCE15, 0xCDD4, 0xCDD4, 0xEF1B, 0xF7BF, 0xFFDF, 0xFFDE, 0xFFDE, 0xF7DE, 0xFFFE, 0xFFFF, 0xF79D, 0xCE37, 0x9CB0, 0x7B4A, 0xC5F6, 0xE75A, 0xD6D6, 0xB5D1, 0x950D, 0x7C08, 0x8C48, 0x8C69, 0x7BE8, 0x7387, 0x6B46, 0x6B45, 0x6BC7, 
        0x73E8, 0x7386, 0x6325, 0x5AE3, 0x5B03, 0x946A, 0xBD6F, 0xDE74, 0xE6D6, 0xE695, 0xD5F3, 0xD5D3, 0xD5D3, 0xD5D2, 0xD5B1, 0xD5B1, 0xDDF2, 0xF739, 0xF77B, 0xE6F9, 0xD697, 0xD698, 0xDED9, 0xDEB8, 0xDEB9, 0xE6FA, 0xF75B, 0xF79C, 0xFFDE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF7BE, 0xF77D, 0xDE99, 0xC5B5, 0xAC8F, 0xB550, 0xC5D1, 0xCDB2, 0xCD92, 0xCD72, 0xC552, 0xB531, 0xAD10, 0xB50E, 0xB50D, 0xB50D, 0xB4EE, 0xB4EF, 
        0xB510, 0xBD52, 0xB530, 0x9C8E, 0x7388, 0x5B24, 0x6365, 0x8407, 0x8C08, 0x7BA7, 0x62C4, 0x5A82, 0x62A3, 0x6B24, 0x7365, 0x6B45, 0x62E4, 0x5283, 0x5AA3, 0x6B45, 0x7386, 0x7385, 0x6B44, 0x6B43, 0x6B43, 0x6B23, 0x6B23, 0x6B22, 0x6B22,
  0xB36E, 0xBB6E, 0xBB6E, 0xBB6E, 0xBB6F, 0xC371, 0xCB92, 0xC392, 0xB370, 0xAB6E, 0xA34D, 0x9B4D, 0x9B6C, 0x934B, 0x72E7, 0x6285, 0x5A44, 0x4A23, 0x4224, 0x4224, 0x41E3, 0x39C2, 0x31A2, 0x29A2, 0x41A3, 0x41A3, 0x41C3, 0x41E4, 0x4204, 0x4204, 0x39A4, 
        0x3183, 0x3163, 0x3142, 0x3142, 0x3142, 0x3183, 0x39A3, 0x4A05, 0x5245, 0x5266, 0x62A7, 0x8B0A, 0x9B4C, 0xA38C, 0xA3CD, 0xB40E, 0xBC50, 0xCC90, 0xD4B0, 0xDCD1, 0xE4F2, 0xE513, 0xE533, 0xED14, 0xED14, 0xED14, 0xF514, 0xF514, 0xF514, 0xED36, 
        0xED36, 0xE515, 0xE4F4, 0xDCD3, 0xD4B2, 0xC451, 0xC451, 0xC471, 0xCC92, 0xD4B2, 0xE4F4, 0xF535, 0xFD55, 0xF554, 0xF554, 0xF573, 0xFD54, 0xF4F4, 0xF4D4, 0xF4B4, 0xEC72, 0xE431, 0xD3AE, 0xCB8D, 0xC38D, 0xC38D, 0xBB8E, 0xBBAE, 0xBBEE, 0xA3CC, 
        0x938A, 0x7B08, 0x6AC6, 0x6AA5, 0x6265, 0x61E5, 0x61C5, 0x61E5, 0x6A46, 0x7267, 0x82E9, 0xB3EE, 0xC470, 0xD4B2, 0xDCF3, 0xE4F4, 0xE4D3, 0xD473, 0xCC32, 0xC3F1, 0xC3D0, 0xC3D0, 0xD411, 0xEC93, 0xEC94, 0xEC73, 0xDC11, 0xD3D0, 0xC36E, 0xBB8E, 
        0xBBCF, 0xC3F0, 0xCC51, 0xD492, 0xE4D4, 0xE4F5, 0xE4F5, 0xE4D4, 0xE4D3, 0xE4B2, 0xE4D3, 0xE536, 0xE556, 0xDD34, 0xD4D1, 0xBC4F, 0xA36B, 0x8AC7, 0x9329, 0xCCB0, 0xE5D3, 0xDE31, 0xBDEA, 0x9CA7, 0x9C67, 0xBD09, 0xCD2A, 0xBCE9, 0x8BA6, 0x4A03, 
        0x2962, 0x3183, 0x39C4, 0x39E3, 0x4243, 0x4AA5, 0x52A5, 0x4A84, 0x52C4, 0x6326, 0x8C4A, 0xBDAE, 0xC5EF, 0xAD2D, 0x94AB, 0x8C4A, 0x73A8, 0x4A03, 0x4181, 0x49A2, 0x49A2, 0x4982, 0x4942, 0x51A3, 0x5A25, 0x72E8, 0x8B4A, 0x9B6B, 0xA32A, 0xAB28, 
        0xA2E6, 0x8A24, 0x79E4, 0x7A06, 0x8B2B, 0xD637, 0xF79C, 0xF79D, 0xFF9E, 0xFF9E, 0xFF9E, 0xFFBE, 0xFFBE, 0xF79D, 0xF73C, 0xF6DB, 0xFE59, 0xFE79, 0xFE78, 0xFE77, 0xFE97, 0xFE98, 0xFEBA, 0xFEDA, 0xFEFA, 0xFEFA, 0xFEFA, 0xFED9, 0xFEB9, 0xFEFB, 
        0xFEFB, 0xFED9, 0xFE98, 0xFE77, 0xFE57, 0xFE16, 0xF5F5, 0xF5D5, 0xFDD5, 0xFDF5, 0xF5D5, 0xED53, 0xE532, 0xF553, 0xF573, 0xF573, 0xED52, 0xED53, 0xE532, 0xDCD0, 0xD46F, 0xCC2E, 0xC3ED, 0xAB8B, 0xA36A, 0xAB8B, 0xAB8B, 0xAB8B, 0xABAB, 0xC46D, 
        0xD4AF, 0xDCD1, 0xDCF2, 0xDCF2, 0xDCF1, 0xE512, 0xED32, 0xED52, 0xED52, 0xED53, 0xED53, 0xF553, 0xF573, 0xF573, 0xF593, 0xF593, 0xF5B4, 0xF5F5, 0xFE15, 0xFDF5, 0xFDD5, 0xFDB5, 0xF594, 0xF594, 0xF594, 0xF594, 0xF594, 0xF594, 0xF594, 0xF594, 
        0xF574, 0xF573, 0xF553, 0xED53, 0xED33, 0xED33, 0xE513, 0xE4F2, 0xDCD2, 0xDCD1, 0xDCB1, 0xE4F1, 0xE4F1, 0xDCB1, 0xD491, 0xD491, 0xCC90, 0xCC6E, 0xCC4E, 0xCC0E, 0xCC0F, 0xCC2F, 0xC46F, 0xAC0C, 0xA3EC, 0xA40D, 0xAC2D, 0xAC0D, 0xABAC, 0xB38B, 
        0xB36B, 0xAB6C, 0xAB8C, 0xABAC, 0xAB8B, 0xA34B, 0xA32B, 0xA34A, 0xA34A, 0xA34A, 0x9B2A, 0x92E9, 0x92C8, 0x92C8, 0x92E8, 0x8AE8, 0x82C8, 0x7286, 0x6A86, 0x7266, 0x7246, 0x7245, 0x6225, 0x59E5, 0x51C4, 0x49A3, 0x4963, 0x4943, 0x4103, 0x38E3, 
        0x38E3, 0x40C3, 0x40C3, 0x48C3, 0x4903, 0x4123, 0x3963, 0x3163, 0x2962, 0x2142, 0x1921, 0x2183, 0x2163, 0x10E2, 0x1081, 0x1082, 0x39C7, 0xB575, 0xDEBA, 0xCE16, 0xB573, 0xAD31, 0xAD32, 0xBD94, 0xC5D5, 0xD616, 0xDE57, 0xDE77, 0xDE98, 0xDED8, 
        0xD6B7, 0xC5F5, 0xBD54, 0xBD34, 0xCD95, 0xE6FA, 0xF79C, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xEF5D, 0xCE37, 0xAD11, 0x8C2C, 0xD6B8, 0xF7BD, 0xE73A, 0xC614, 0xAD4F, 0x8C49, 0x9489, 0x9CA9, 0x8428, 0x7BC7, 0x73C7, 0x73C7, 0x7BE7, 
        0x7BE7, 0x6B85, 0x6344, 0x5B03, 0x6B84, 0xBDD0, 0xE6D5, 0xE695, 0xE654, 0xDE34, 0xDE75, 0xEF38, 0xF759, 0xE6D7, 0xE676, 0xE675, 0xEEB6, 0xEED6, 0xDE74, 0xC550, 0xB4CE, 0xB4EE, 0xBD51, 0xCD51, 0xD572, 0xD5F4, 0xDE76, 0xDEB8, 0xDEF9, 0xE73A, 
        0xE75B, 0xEF7C, 0xF79D, 0xF79D, 0xF79E, 0xF79D, 0xEF9D, 0xF79D, 0xF7BE, 0xF7BE, 0xF77D, 0xE6FA, 0xDE78, 0xC5D6, 0xBD73, 0xB532, 0xACCF, 0xACEE, 0xB52F, 0xBD51, 0xC552, 0xCD52, 0xCD52, 0xBD53, 0xBD52, 0xBD31, 0xBD2F, 0xB52F, 0xB50F, 0xACCD, 
        0xACAC, 0xB4EF, 0xBD72, 0xC5D4, 0xC615, 0xA52E, 0x94AA, 0x8C4A, 0x83E9, 0x7BC8, 0x7BC7, 0x9C88, 0x9C88, 0x83C6, 0x6B24, 0x62E4, 0x6B25, 0x9C49, 0xA4AB, 0x8C29, 0x7BC7, 0x7BA6, 0x83E6, 0x9427, 0x9C47, 0x9C48, 0x9C88, 0x9CA9, 0x9CCB,
  0xAB6C, 0xB38D, 0xB3AF, 0xBBF0, 0xC3F1, 0xC3F2, 0xCC13, 0xCC33, 0xC452, 0xBC31, 0xB3F0, 0xA36E, 0xA32D, 0x9B0C, 0x82EA, 0x6AC8, 0x5A85, 0x4A23, 0x4A44, 0x4A45, 0x4204, 0x39E4, 0x31C3, 0x31A3, 0x41A3, 0x49A3, 0x41E3, 0x4A04, 0x4A24, 0x4A25, 0x49E4, 
        0x41C4, 0x39A4, 0x3183, 0x3182, 0x2961, 0x3163, 0x39A4, 0x4A05, 0x5245, 0x5245, 0x5265, 0x72E9, 0x832A, 0x934B, 0xA38C, 0xABCD, 0xBC2F, 0xC470, 0xCC90, 0xD4D1, 0xDD12, 0xE512, 0xE512, 0xE512, 0xE4F3, 0xECD3, 0xECD3, 0xE4D3, 0xE4F3, 0xE4F5, 
        0xE515, 0xDCF4, 0xDCF4, 0xD4D3, 0xCC92, 0xB410, 0xB3F0, 0xBBF0, 0xC410, 0xD451, 0xE4B3, 0xF535, 0xFD75, 0xFD76, 0xFD76, 0xFD75, 0xFD75, 0xFD35, 0xFD15, 0xFCF4, 0xF4B4, 0xF493, 0xE411, 0xCB6D, 0xBB2C, 0xBB6D, 0xBBAD, 0xBBCE, 0xBBEE, 0xB44E, 
        0xA42C, 0x938A, 0x8B08, 0x82C7, 0x7A86, 0x7A25, 0x7205, 0x71E5, 0x7226, 0x7267, 0x82EA, 0xA3AD, 0xBC0F, 0xD492, 0xE4F4, 0xED14, 0xED14, 0xE493, 0xDC53, 0xDC32, 0xD412, 0xD3F2, 0xDBF2, 0xEC73, 0xEC94, 0xEC94, 0xE473, 0xDC32, 0xD3CF, 0xC36E, 
        0xC36E, 0xD3F0, 0xDC52, 0xE494, 0xECF5, 0xF515, 0xF515, 0xECD4, 0xE4B3, 0xE4B3, 0xECD4, 0xED16, 0xF537, 0xED36, 0xDCD3, 0xC471, 0xA38D, 0x8B28, 0x93A9, 0xC531, 0xDE34, 0xD652, 0xBDEC, 0xBD8C, 0xBD4D, 0xB50C, 0xA44A, 0x8387, 0x5A63, 0x41E2, 
        0x41E2, 0x4A04, 0x5204, 0x5204, 0x51E4, 0x4A04, 0x4224, 0x4A65, 0x6B48, 0x8C2B, 0xB54D, 0xAC69, 0xA448, 0xA4C9, 0x94A9, 0x8428, 0x52C4, 0x3942, 0x3902, 0x4184, 0x41C4, 0x41A3, 0x4141, 0x51A2, 0x59E4, 0x6266, 0x6B09, 0x836B, 0x938B, 0x82C7, 
        0x7265, 0x72A6, 0x8BAB, 0xA4D1, 0xDEB9, 0xF79A, 0xFFBB, 0xFF9D, 0xFF9E, 0xFFBE, 0xFFBD, 0xFF9D, 0xFF9E, 0xFFBE, 0xFF9D, 0xFF3C, 0xF6BA, 0xFE78, 0xFE77, 0xFE97, 0xFEB7, 0xFEB8, 0xFEB9, 0xFEB9, 0xFED9, 0xFED9, 0xFED9, 0xFED9, 0xFED9, 0xFF1A, 
        0xFF1A, 0xFEF9, 0xFED8, 0xFED8, 0xFE97, 0xF636, 0xF636, 0xFE56, 0xFE77, 0xFE97, 0xFEB7, 0xFE77, 0xFE36, 0xFDD5, 0xFDB4, 0xFDB4, 0xFDF5, 0xFDF5, 0xF5B4, 0xF553, 0xECF1, 0xDCD0, 0xCC8E, 0xBC0D, 0xB3ED, 0xBC2D, 0xC44E, 0xCC6E, 0xCC6E, 0xD4AE, 
        0xDCAF, 0xDCB0, 0xD4D1, 0xD4D1, 0xDCF1, 0xED52, 0xED72, 0xED52, 0xED51, 0xED51, 0xED52, 0xF572, 0xF572, 0xF573, 0xF573, 0xF553, 0xF573, 0xF593, 0xF5B3, 0xF5D4, 0xFDD4, 0xFDD4, 0xF5B4, 0xFD74, 0xFD73, 0xF574, 0xFD94, 0xFD94, 0xFD94, 0xF594, 
        0xF574, 0xF573, 0xF553, 0xF532, 0xED12, 0xED33, 0xE532, 0xE512, 0xE4F2, 0xECF2, 0xECF2, 0xE4D1, 0xDCD1, 0xDCB1, 0xDCB1, 0xD4B1, 0xD4B1, 0xD490, 0xD46F, 0xD42F, 0xD40F, 0xCC0E, 0xC40E, 0xC42F, 0xC42F, 0xBC2E, 0xB40E, 0xB3ED, 0xB3CC, 0xBBAD, 
        0xBBAD, 0xB3AD, 0xABAC, 0xABAC, 0xABAC, 0xAB8C, 0xAB6C, 0xA36C, 0xA36B, 0x9B6B, 0x9B4B, 0x9B09, 0x92E9, 0x92E9, 0x8AE9, 0x8AC9, 0x82A8, 0x7AA6, 0x7285, 0x7266, 0x7A46, 0x7246, 0x6A05, 0x61E5, 0x59C5, 0x5184, 0x5143, 0x5124, 0x4924, 0x40E4, 
        0x40C3, 0x40C3, 0x48C3, 0x50E3, 0x5103, 0x4184, 0x39A3, 0x29A2, 0x21A1, 0x1981, 0x1922, 0x10E1, 0x10E1, 0x1101, 0x10C1, 0x0881, 0x1061, 0x4186, 0x730B, 0xB554, 0xD698, 0xD698, 0xBDD5, 0xBD75, 0xC575, 0xC596, 0xCDF6, 0xD637, 0xDEB8, 0xE6F9, 
        0xE6D9, 0xDE78, 0xD618, 0xD5D7, 0xCDB7, 0xDE56, 0xE6F7, 0xF77B, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDE, 0xEF5C, 0xCE56, 0xAD50, 0x8C8B, 0xD6B8, 0xEF7D, 0xDE99, 0xC5D3, 0xB56F, 0xA52B, 0x9CEA, 0x9CCA, 0x94A9, 0x8468, 0x8447, 0x7C25, 0x7C27, 
        0x7C27, 0x73E6, 0x6364, 0x52C3, 0x5AE5, 0xC635, 0xEF39, 0xDE35, 0xDDD4, 0xDE36, 0xF77B, 0xFFDD, 0xFFBC, 0xF739, 0xF6F7, 0xF6F7, 0xF6F7, 0xE674, 0xDE53, 0xDE53, 0xD5F2, 0xCD90, 0xBCEE, 0xBD0F, 0xC550, 0xC550, 0xC550, 0xBD30, 0xACEF, 0x9C8D, 
        0x9CAE, 0xB572, 0xCE15, 0xDE37, 0xDE38, 0xCDD5, 0xC5D4, 0xCE16, 0xCE17, 0xCE16, 0xBDD5, 0xAD32, 0xA4D0, 0x9C8F, 0xA4AF, 0xAD10, 0xBD72, 0xBD52, 0xBD32, 0xC553, 0xC573, 0xC553, 0xC553, 0xC554, 0xC574, 0xC593, 0xC573, 0xBD53, 0xBD33, 0xCD71, 
        0xCD70, 0xBD2F, 0xB4EF, 0xACCF, 0xACF0, 0xD5F3, 0xE675, 0xDED6, 0xDED6, 0xDE94, 0xC5B0, 0x9CA9, 0x8405, 0x7364, 0x7B85, 0x9449, 0xC5AF, 0xCDF0, 0xC5AE, 0xACEB, 0xA4A9, 0xA4A9, 0xB52B, 0xC56E, 0xD5D0, 0xDE52, 0xE6D4, 0xE6F6, 0xE6F9,
  0xAB6F, 0xAB6E, 0xB38E, 0xBBAF, 0xBBB0, 0xC3D1, 0xC412, 0xC433, 0xCC13, 0xC412, 0xC3F1, 0xAB8E, 0x82AA, 0x7268, 0x5A66, 0x5265, 0x4A44, 0x4A24, 0x4A65, 0x4A65, 0x4A44, 0x4224, 0x4203, 0x41C3, 0x3982, 0x3182, 0x41E3, 0x4224, 0x4A25, 0x4A25, 0x4A25, 
        0x4205, 0x41E4, 0x31A3, 0x29A3, 0x2982, 0x31A3, 0x31A3, 0x31C3, 0x31C4, 0x31E4, 0x4205, 0x6AA7, 0x8309, 0x936A, 0xA3CD, 0xB40E, 0xBC50, 0xC470, 0xCC91, 0xD4D1, 0xD4F2, 0xD4F2, 0xD4F2, 0xD4D1, 0xD4D1, 0xD4B1, 0xD491, 0xD471, 0xCC71, 0xBC53, 
        0xB453, 0xAC32, 0xAC30, 0xA410, 0x9BAF, 0x830D, 0x82EC, 0x9B2D, 0xB38E, 0xC3CF, 0xDC72, 0xF536, 0xFD78, 0xFD98, 0xFDB8, 0xFDB8, 0xFD98, 0xF576, 0xF555, 0xF515, 0xF4D4, 0xEC74, 0xDBF1, 0xC32C, 0xBB0B, 0xC36D, 0xCBAF, 0xCBEF, 0xCC0F, 0xBC0E, 
        0xABEC, 0x9BAB, 0x938A, 0x938A, 0x936A, 0x936A, 0x936A, 0x934B, 0xA34C, 0xAB8C, 0xB3CD, 0xC431, 0xD472, 0xE4B3, 0xECD4, 0xECF4, 0xECD4, 0xE493, 0xE452, 0xDC32, 0xDC12, 0xDC11, 0xE411, 0xE433, 0xE453, 0xE432, 0xE410, 0xDBCF, 0xD3AF, 0xD3EF, 
        0xD430, 0xE472, 0xEC94, 0xECB5, 0xEC95, 0xE453, 0xE452, 0xE453, 0xE473, 0xECB3, 0xF4F4, 0xF518, 0xF538, 0xE4F4, 0xCC50, 0xB38C, 0x8AA7, 0x82A6, 0x9328, 0xBC6D, 0xD590, 0xDE50, 0xCEAD, 0xBDEC, 0xBD8D, 0xBD6D, 0xAD0C, 0x9469, 0x62E4, 0x2921, 
        0x20C1, 0x3142, 0x41A4, 0x49A5, 0x4185, 0x39C4, 0x39E3, 0x41E3, 0x5A84, 0x7B46, 0xAC8A, 0xC56B, 0xBD8A, 0xAD08, 0x9CA6, 0x9487, 0x83E8, 0x5266, 0x39A5, 0x3984, 0x3963, 0x3142, 0x3121, 0x3981, 0x41A2, 0x49C4, 0x5A26, 0x6A88, 0x72E9, 0x5A05, 
        0x5184, 0x59C5, 0x830A, 0xACB1, 0xEF3B, 0xFFDE, 0xFFBE, 0xFF9D, 0xF79D, 0xF79D, 0xF7BD, 0xFFBE, 0xFFBE, 0xFFBD, 0xF77C, 0xF73B, 0xF6D9, 0xFE79, 0xFE79, 0xFE58, 0xFE57, 0xFE77, 0xFE97, 0xFE97, 0xFE98, 0xFE98, 0xFEB8, 0xFEB9, 0xFED9, 0xFED8, 
        0xFED7, 0xFEB7, 0xFEB8, 0xFEB8, 0xFE77, 0xF615, 0xF5F5, 0xF636, 0xFE97, 0xFED7, 0xFEF8, 0xFE98, 0xFE57, 0xF636, 0xF656, 0xF676, 0xFEB7, 0xFE77, 0xFE36, 0xED94, 0xE532, 0xDCF0, 0xD4AF, 0xC46D, 0xC46D, 0xD4AE, 0xD4CF, 0xDCCF, 0xD4AE, 0xD4AE, 
        0xD4CF, 0xDCD0, 0xDCF1, 0xD511, 0xD510, 0xE511, 0xED12, 0xED11, 0xE531, 0xE531, 0xE551, 0xED72, 0xED73, 0xF553, 0xED52, 0xED52, 0xED72, 0xED73, 0xF593, 0xF5B4, 0xF5B4, 0xF5B4, 0xF593, 0xF574, 0xF574, 0xED73, 0xED73, 0xF593, 0xF593, 0xF573, 
        0xF553, 0xED73, 0xED73, 0xF553, 0xED52, 0xE532, 0xE512, 0xDCF1, 0xE4F1, 0xE511, 0xE4F1, 0xDCD1, 0xDCD0, 0xDCD1, 0xD4D1, 0xD4D1, 0xD4B1, 0xD4AF, 0xD48F, 0xCC6E, 0xCC2E, 0xC40E, 0xBC0E, 0xC42E, 0xC42E, 0xBC0E, 0xBBEE, 0xBBCD, 0xBBCC, 0xBBCD, 
        0xB3CD, 0xB3CD, 0xABAC, 0xABAC, 0xABAC, 0xAB8C, 0xAB8C, 0xAB8B, 0xA36B, 0xA36A, 0x9B2A, 0x930A, 0x9309, 0x92E9, 0x8AC8, 0x8AC8, 0x82A7, 0x7AA8, 0x7A87, 0x7246, 0x6A25, 0x6A25, 0x61E5, 0x59C5, 0x5185, 0x5164, 0x5143, 0x4923, 0x4103, 0x40E3, 
        0x40C3, 0x40C3, 0x40E4, 0x4925, 0x4965, 0x41A3, 0x39A2, 0x31A2, 0x2982, 0x2963, 0x2123, 0x10C1, 0x08A0, 0x08C0, 0x10A1, 0x1081, 0x1040, 0x1021, 0x2924, 0x83CD, 0xBDB4, 0xCE37, 0xCE38, 0xBD54, 0xBCF3, 0xB514, 0xBD75, 0xCDD6, 0xE678, 0xEF1B, 
        0xEF1C, 0xDE9A, 0xCE17, 0xC5D6, 0xBD95, 0xDE57, 0xEEF9, 0xF77C, 0xFFDE, 0xFFDF, 0xFFBE, 0xFFDF, 0xEF5C, 0xCE14, 0xB54E, 0xAD4C, 0xBE0E, 0xE759, 0xEF7B, 0xC614, 0xAD2E, 0x9CCD, 0x9CEC, 0x9D0A, 0x9CE9, 0x8C67, 0x7C26, 0x7405, 0x7425, 0x7C07, 
        0x73E8, 0x6B65, 0x6324, 0x6324, 0x83E9, 0xCE56, 0xE6FA, 0xD656, 0xD615, 0xDE98, 0xF77C, 0xF759, 0xF717, 0xEEB6, 0xEE96, 0xEEB7, 0xF6F8, 0xF739, 0xDE96, 0xACCE, 0x8BC9, 0x93C9, 0xACAC, 0xCDB2, 0xCDB3, 0xB4EF, 0x9C2A, 0x83A7, 0x7B66, 0xA4AC, 
        0xC58F, 0xD632, 0xDE54, 0xDE54, 0xDE14, 0xDE15, 0xD614, 0xCDF3, 0xBD50, 0xA4CE, 0x7BAA, 0x6B26, 0x7347, 0x8C0A, 0xA4AD, 0xAD0E, 0xB52F, 0xB511, 0xB511, 0xB4F1, 0xBCF1, 0xBCF2, 0xB4F2, 0xB512, 0xB532, 0xBD52, 0xBD52, 0xBD52, 0xBD31, 0xBD52, 
        0xC552, 0xBD50, 0xBD2E, 0xBD2E, 0xC530, 0xD5B4, 0xD5F6, 0xD615, 0xD633, 0xCDF1, 0xB52D, 0x7344, 0x5AA2, 0x6B45, 0x946B, 0xAD50, 0xCE14, 0x9C6C, 0x8BE9, 0xA48A, 0xBD2C, 0xCD6D, 0xD5AF, 0xD5F2, 0xCE13, 0xD5F2, 0xD5D3, 0xD5D3, 0xCD94,
  0x932A, 0x934B, 0x9B8C, 0xABCD, 0xABCD, 0xABAD, 0xA36D, 0xA34D, 0xAB8D, 0xB3AD, 0xABAD, 0x9B6C, 0x7AC9, 0x6A87, 0x5245, 0x4A44, 0x4A44, 0x4A64, 0x5285, 0x5A85, 0x5265, 0x4A44, 0x4A24, 0x49E4, 0x3983, 0x3183, 0x41C3, 0x4A24, 0x4A45, 0x4A45, 0x4A45, 
        0x4A25, 0x4205, 0x3A04, 0x31E3, 0x29C2, 0x31A2, 0x31A2, 0x2982, 0x2162, 0x2142, 0x3183, 0x5AA7, 0x7B29, 0x938B, 0xABCD, 0xB40D, 0xBC6E, 0xC491, 0xCCB2, 0xCCD1, 0xCCD1, 0xD4D1, 0xD4D2, 0xD4F1, 0xD4F1, 0xDCD1, 0xD4B1, 0xD490, 0xC450, 0xB3F0, 
        0xA3B0, 0xA3AF, 0x9BCF, 0x93AF, 0x938F, 0x8B2D, 0x8B0C, 0x932D, 0xAB8E, 0xBBF0, 0xDC93, 0xF536, 0xFD57, 0xFD78, 0xFD98, 0xFDB8, 0xFD98, 0xFD77, 0xFD56, 0xFD36, 0xF515, 0xECF5, 0xDC72, 0xCB2C, 0xC2EB, 0xCB6E, 0xCBD0, 0xCC10, 0xCC0F, 0xBC0E, 
        0xB3ED, 0xABCC, 0xA3AB, 0xA38B, 0xA38C, 0xABEC, 0xAC0C, 0xB3ED, 0xBBEE, 0xBBEF, 0xCC11, 0xD452, 0xDC72, 0xE493, 0xECD4, 0xECD4, 0xECD4, 0xDC72, 0xD431, 0xDBF2, 0xDBD2, 0xDBB1, 0xE3B1, 0xE3D2, 0xE3F2, 0xE3F1, 0xDBD0, 0xDBCF, 0xD3AE, 0xD3ED, 
        0xD40D, 0xDC30, 0xE452, 0xE452, 0xE473, 0xE432, 0xDC32, 0xE452, 0xEC72, 0xEC72, 0xF4B4, 0xF518, 0xED39, 0xE4F5, 0xBC10, 0x9B0B, 0x61E5, 0x7287, 0x8B4A, 0xB46E, 0xCD50, 0xDDF1, 0xDE6F, 0xC5CB, 0xBDAB, 0xC5CE, 0xB58E, 0xA4CB, 0x6AE5, 0x28C1, 
        0x1861, 0x3103, 0x3984, 0x3984, 0x3184, 0x39C4, 0x39C3, 0x39C3, 0x5A85, 0x83A7, 0xBD4A, 0xBD4B, 0xB50A, 0xACE8, 0xA4A7, 0xA486, 0x8BE6, 0x5AC4, 0x4A43, 0x41C3, 0x3963, 0x4143, 0x4142, 0x3942, 0x3962, 0x49A4, 0x6226, 0x7287, 0x72A7, 0x3123, 
        0x28E3, 0x6269, 0xA471, 0xC5D6, 0xF75D, 0xFF9F, 0xFF7F, 0xFF9E, 0xFFBE, 0xFFBD, 0xFF9C, 0xFF7D, 0xFF7D, 0xFF9D, 0xFF7C, 0xF73B, 0xF6DA, 0xF679, 0xFE39, 0xFE38, 0xFE57, 0xFE76, 0xFE77, 0xFE98, 0xFE98, 0xFE98, 0xFEB8, 0xFEB8, 0xFED8, 0xFED8, 
        0xFED7, 0xFEB7, 0xFEB7, 0xFEB7, 0xFE77, 0xF615, 0xF5F4, 0xF636, 0xFE97, 0xFED9, 0xFEFA, 0xFEB8, 0xF697, 0xF677, 0xF677, 0xF697, 0xFED8, 0xFEB8, 0xFE76, 0xF5F4, 0xE572, 0xDD31, 0xD4F1, 0xD4EF, 0xD4EE, 0xD4EF, 0xD4EF, 0xD4EF, 0xD4EF, 0xCCD0, 
        0xD4D0, 0xDCD1, 0xDCF1, 0xDCF1, 0xDD11, 0xE511, 0xE511, 0xE511, 0xE511, 0xE511, 0xE530, 0xE532, 0xE532, 0xED32, 0xED52, 0xED51, 0xED71, 0xED72, 0xED72, 0xED73, 0xED73, 0xED93, 0xF593, 0xF574, 0xED54, 0xED73, 0xED73, 0xF573, 0xF573, 0xED73, 
        0xED73, 0xED73, 0xF553, 0xF553, 0xED32, 0xE551, 0xE551, 0xE531, 0xE511, 0xDD11, 0xDCF1, 0xDCF1, 0xDCD1, 0xD4B0, 0xD4B0, 0xD4B1, 0xD4B1, 0xCC8F, 0xCC6E, 0xCC4E, 0xCC4E, 0xCC4E, 0xCC4E, 0xC44E, 0xBC2E, 0xBC2E, 0xBC0E, 0xBC0E, 0xB3ED, 0xB3CC, 
        0xB3CC, 0xB3CC, 0xB3CD, 0xABCC, 0xABAC, 0xAB8B, 0xAB6B, 0xAB6B, 0xAB6B, 0xA36A, 0x9B4A, 0x9B2A, 0x9B09, 0x92E9, 0x92C8, 0x8AC7, 0x8AC7, 0x7A87, 0x7267, 0x6A46, 0x6A25, 0x6A25, 0x61E5, 0x51A5, 0x5184, 0x5964, 0x5144, 0x4143, 0x2923, 0x40C2, 
        0x48A2, 0x48C3, 0x4904, 0x4944, 0x4184, 0x31A3, 0x29A2, 0x2982, 0x2162, 0x2122, 0x18E2, 0x18C1, 0x18C1, 0x10A1, 0x18A2, 0x18C2, 0x20C2, 0x0841, 0x0841, 0x2945, 0x5ACB, 0x8C71, 0xD679, 0xBD54, 0xACB2, 0xACB3, 0xBD35, 0xCD76, 0xE638, 0xEEFB, 
        0xEEFC, 0xE69A, 0xD618, 0xC5D6, 0xBD95, 0xD658, 0xE6FA, 0xF77D, 0xFFDE, 0xFFFF, 0xFFDF, 0xFFDF, 0xEF5B, 0xC5D3, 0xAD2F, 0xB570, 0xD676, 0xEF9C, 0xEF5C, 0xC5F4, 0xAD2F, 0xA4ED, 0xA52C, 0xA509, 0x9CE8, 0x8CC7, 0x8487, 0x7C66, 0x7C46, 0x7C29, 
        0x73C9, 0x5AE6, 0x6B27, 0x8C4B, 0xBDF2, 0xB572, 0xB553, 0xD657, 0xE73A, 0xF77B, 0xF73A, 0xE695, 0xE633, 0xE655, 0xEED7, 0xF739, 0xF75A, 0xE675, 0xBD2F, 0x72E7, 0x51C3, 0x59E3, 0x7B26, 0xA44B, 0xA46C, 0x940A, 0x83C9, 0x83A8, 0x83C8, 0x8BE7, 
        0x9428, 0x9C8A, 0xA4AC, 0xA4AD, 0xA48D, 0xB4CD, 0xB50E, 0xB52E, 0x9C8B, 0x7B88, 0x41E3, 0x3161, 0x39A2, 0x5264, 0x62E6, 0x6B26, 0x7B67, 0x946A, 0xA4CC, 0xA4AC, 0xA48C, 0xA48B, 0x9C8B, 0xACCE, 0xB4F0, 0xB510, 0xB530, 0xBD50, 0xBD51, 0xC571, 
        0xC551, 0xC531, 0xC531, 0xC531, 0xCD72, 0xD614, 0xDE54, 0xD613, 0xB52F, 0x8C2B, 0x5AA5, 0x5261, 0x6303, 0x9C8A, 0xB52D, 0xAD0D, 0x9C6C, 0xBD0F, 0xD591, 0xD5D2, 0xDE13, 0xDE13, 0xE633, 0xEE74, 0xEE75, 0xE655, 0xE635, 0xE636, 0xE617,
  0x8329, 0x8349, 0x938B, 0x9BCC, 0xA3CC, 0xA3AD, 0x9B4D, 0x9B2C, 0x9B4C, 0x9B6C, 0x9B8C, 0x936B, 0x7AE9, 0x6AA7, 0x5265, 0x4A44, 0x4A64, 0x5285, 0x5A85, 0x5A85, 0x5265, 0x5265, 0x5245, 0x4A04, 0x41A3, 0x3983, 0x41E3, 0x4224, 0x4A44, 0x4A45, 0x5245, 
        0x5245, 0x4A25, 0x3A23, 0x3223, 0x29E2, 0x31A2, 0x3182, 0x2961, 0x2141, 0x2121, 0x2942, 0x5286, 0x7309, 0x8B6B, 0xA3AC, 0xB3ED, 0xBC4E, 0xC4B1, 0xC4D2, 0xCCB1, 0xD4D1, 0xD4D1, 0xD4D1, 0xD4F1, 0xDCF1, 0xDCD1, 0xDCD1, 0xD4B1, 0xC470, 0xB3EF, 
        0xABAF, 0xA3AF, 0x9BAF, 0x93AF, 0x936F, 0x8B2D, 0x930D, 0x932D, 0xA36E, 0xB3D0, 0xD473, 0xED16, 0xFD57, 0xFD77, 0xFD98, 0xFD98, 0xFDB8, 0xFD77, 0xFD77, 0xFD56, 0xFD36, 0xF535, 0xE4B3, 0xD36D, 0xCB0C, 0xCB8E, 0xD3D0, 0xD3F0, 0xCC0F, 0xBC2E, 
        0xB40D, 0xB3EC, 0xABAC, 0xAB8C, 0xB38D, 0xB3ED, 0xBC0D, 0xBC0D, 0xC40F, 0xC410, 0xCC11, 0xDC32, 0xDC52, 0xE493, 0xECB3, 0xECD4, 0xECB3, 0xDC72, 0xDC31, 0xDBF1, 0xE3B2, 0xE391, 0xE391, 0xE3B1, 0xE3B1, 0xE3D1, 0xDBD0, 0xDBD0, 0xD3CE, 0xD3CC, 
        0xD3CC, 0xDC0F, 0xE430, 0xE451, 0xE472, 0xE452, 0xE431, 0xE452, 0xEC52, 0xEC52, 0xF493, 0xF517, 0xED38, 0xE515, 0xC451, 0x9B4C, 0x6206, 0x6246, 0x7B09, 0xAC8F, 0xD5B2, 0xDE32, 0xDE4F, 0xC5CC, 0xBDAB, 0xBDCE, 0xB54D, 0x9C6B, 0x6285, 0x28C1, 
        0x1861, 0x3103, 0x3984, 0x3984, 0x3184, 0x3983, 0x41A3, 0x4A04, 0x7307, 0x9429, 0xCD8C, 0xB509, 0xACA8, 0xA4C8, 0xA4A7, 0x9C66, 0x83A5, 0x6B05, 0x5AA5, 0x4A04, 0x4984, 0x4963, 0x4943, 0x4143, 0x4143, 0x51A5, 0x5A06, 0x6226, 0x6226, 0x3985, 
        0x41E7, 0x83CF, 0xC5B7, 0xDEBB, 0xF79E, 0xFF7F, 0xFF5E, 0xFF9E, 0xFFBD, 0xFFBD, 0xFF9C, 0xFF7D, 0xFF7D, 0xFF9D, 0xFF9C, 0xFF7C, 0xF6FB, 0xF679, 0xF639, 0xFE57, 0xFE77, 0xFE77, 0xFE97, 0xFE98, 0xFE98, 0xFEB8, 0xFEB8, 0xFEB8, 0xFED8, 0xFED8, 
        0xFED7, 0xFED7, 0xFEB7, 0xFEB7, 0xFE97, 0xFE15, 0xFDF5, 0xF656, 0xFEB8, 0xFED9, 0xFEFA, 0xF6D9, 0xF698, 0xF677, 0xF677, 0xFE97, 0xFED8, 0xFEF8, 0xFEB6, 0xF614, 0xED92, 0xE552, 0xDD11, 0xDD10, 0xDD0F, 0xDD10, 0xD510, 0xD4F0, 0xD4EF, 0xD4D0, 
        0xD4D1, 0xDCF1, 0xDCF1, 0xE4F1, 0xE511, 0xE511, 0xE511, 0xE511, 0xE511, 0xE531, 0xE530, 0xE531, 0xE532, 0xED31, 0xED31, 0xED51, 0xED51, 0xED72, 0xED72, 0xED53, 0xED73, 0xED73, 0xF573, 0xF574, 0xF574, 0xF573, 0xF573, 0xF553, 0xF553, 0xED73, 
        0xED73, 0xED53, 0xF553, 0xF533, 0xED32, 0xE551, 0xE551, 0xE531, 0xE512, 0xE511, 0xDD11, 0xDCF1, 0xDCD0, 0xD4B0, 0xD4B0, 0xD4B0, 0xD4B1, 0xCC6F, 0xCC6F, 0xCC4F, 0xCC4F, 0xD44E, 0xD44E, 0xC44F, 0xBC2F, 0xBC2E, 0xC42E, 0xBC2E, 0xB40E, 0xB3CD, 
        0xB3AC, 0xB3CC, 0xB3CD, 0xABCD, 0xABAD, 0xAB8C, 0xAB8B, 0xAB6C, 0xA36B, 0xA36B, 0xA34A, 0x9B2A, 0x9B0A, 0x92E9, 0x92C8, 0x8AC8, 0x8AC7, 0x7A88, 0x7267, 0x7246, 0x6A45, 0x6A25, 0x6205, 0x51A4, 0x5164, 0x5964, 0x5144, 0x4144, 0x2923, 0x40A2, 
        0x4881, 0x48C3, 0x4924, 0x4944, 0x3983, 0x29A3, 0x29A2, 0x2962, 0x2142, 0x2101, 0x18C1, 0x18C1, 0x18C1, 0x1881, 0x18A2, 0x20C3, 0x20E3, 0x0841, 0x0821, 0x20E3, 0x4A28, 0x7BAD, 0xC5F6, 0xC5B6, 0xB554, 0xB4F4, 0xBD14, 0xC555, 0xDDF7, 0xEEDB, 
        0xEF1C, 0xE6BA, 0xD638, 0xCDF7, 0xC5B6, 0xD657, 0xE6D9, 0xF77C, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xEF5B, 0xC5F3, 0xAD50, 0xB571, 0xCE78, 0xEF9D, 0xEF7C, 0xCE15, 0xB550, 0xAD2E, 0xAD4D, 0xA54A, 0x9D29, 0x9CE9, 0x94C8, 0x8CA8, 0x8488, 0x8449, 
        0x73C9, 0x5AC5, 0x6B48, 0x9CAE, 0xDEB7, 0xBD51, 0xB4F1, 0xDE98, 0xF79C, 0xFFBC, 0xF719, 0xE634, 0xDDF2, 0xE654, 0xF6D7, 0xF719, 0xEEF9, 0xCD90, 0xA44B, 0x7AE6, 0x6245, 0x6244, 0x7AE5, 0x8367, 0x8BC8, 0x8C09, 0x8C2A, 0x942A, 0x9409, 0x83A6, 
        0x83C6, 0x9428, 0x944A, 0x942B, 0x942B, 0xA46B, 0xACCC, 0xB50D, 0x946B, 0x6B48, 0x3162, 0x2921, 0x3161, 0x41E2, 0x4A22, 0x4A42, 0x5283, 0x83C6, 0x9468, 0x9C89, 0x9C88, 0x9467, 0x9447, 0x9C6B, 0xA4AD, 0xACCD, 0xACED, 0xACED, 0xACEE, 0xB4EE, 
        0xB4EE, 0xB4CF, 0xB4D1, 0xBCF1, 0xBD52, 0xC591, 0xC5B0, 0xB54E, 0x944A, 0x7347, 0x4223, 0x5AC2, 0x7BC5, 0xA4CA, 0xACEB, 0x9429, 0x8388, 0xD5D2, 0xF6D7, 0xF6B6, 0xE676, 0xE655, 0xE635, 0xF655, 0xF675, 0xEE96, 0xEE97, 0xEE98, 0xF699,
  0x7B6A, 0x7B49, 0x8349, 0x8B4A, 0x8B4B, 0x938D, 0xA3CF, 0xA3CF, 0x9B8E, 0x936D, 0x936D, 0x8B4C, 0x6AC8, 0x5A86, 0x5245, 0x5244, 0x5264, 0x5A85, 0x5AA5, 0x5AA5, 0x5A85, 0x5265, 0x5265, 0x4A44, 0x49E3, 0x49C3, 0x4203, 0x4224, 0x4224, 0x4A45, 0x5265, 
        0x5265, 0x4A44, 0x4243, 0x3A23, 0x3202, 0x31C2, 0x31A2, 0x3182, 0x2961, 0x2121, 0x2921, 0x5224, 0x6AC6, 0x8329, 0x9B6C, 0xABAD, 0xBC2F, 0xC4B0, 0xCCF1, 0xD4D1, 0xDCD1, 0xDCD1, 0xD4D1, 0xD4F0, 0xDCF1, 0xDCD1, 0xDCD1, 0xD4B1, 0xC490, 0xB430, 
        0xABF0, 0xA3D0, 0x9BAF, 0x938F, 0x934F, 0x8B2E, 0x8B0D, 0x9B2D, 0xA34E, 0xB38F, 0xC412, 0xED16, 0xFD57, 0xFD77, 0xFD78, 0xFD98, 0xFDB8, 0xF5B8, 0xF5B8, 0xFD77, 0xFD36, 0xFD16, 0xF4B4, 0xDBF0, 0xD3AF, 0xD3CF, 0xDBF0, 0xDC10, 0xDC10, 0xBC2E, 
        0xB42D, 0xB40D, 0xB3EC, 0xB3ED, 0xB3ED, 0xBBEE, 0xBC0F, 0xC40F, 0xC410, 0xCC10, 0xD430, 0xDC52, 0xE472, 0xEC93, 0xF494, 0xF4B4, 0xF494, 0xEC52, 0xEC11, 0xE3F1, 0xE3D2, 0xE3B2, 0xE3B2, 0xE3B1, 0xE3B0, 0xDBB0, 0xDBD0, 0xDBCF, 0xD3CE, 0xD3AE, 
        0xD3CE, 0xDC0F, 0xE470, 0xEC71, 0xEC71, 0xE451, 0xE431, 0xE432, 0xE432, 0xEC52, 0xEC93, 0xF4F4, 0xF515, 0xE514, 0xD492, 0xBC0F, 0x8AC9, 0x5983, 0x6205, 0xAC6F, 0xDE34, 0xE6B3, 0xDE8F, 0xC5CD, 0xBD8D, 0xB56D, 0x9CAB, 0x83A8, 0x51E3, 0x20E1, 
        0x18C2, 0x2923, 0x3184, 0x31A4, 0x3184, 0x3102, 0x3941, 0x6264, 0x93C8, 0xB4AB, 0xCD8D, 0xB509, 0xA4C7, 0x9CC7, 0x94A7, 0x8C47, 0x7BC7, 0x7B69, 0x7B09, 0x6247, 0x51C5, 0x5184, 0x4963, 0x4963, 0x4963, 0x5164, 0x5144, 0x4123, 0x4985, 0x8BAD, 
        0xB533, 0xD679, 0xEF5C, 0xF79D, 0xFF9E, 0xFF9D, 0xFF9D, 0xFF9D, 0xF79D, 0xF77D, 0xF77D, 0xF77C, 0xFF9C, 0xFFBD, 0xFFBD, 0xFF9C, 0xFF3B, 0xF67A, 0xF639, 0xFE57, 0xFE77, 0xFE97, 0xFE98, 0xFE98, 0xFE98, 0xFEB8, 0xFEB8, 0xFEB8, 0xFED8, 0xFED7, 
        0xFED7, 0xFEB6, 0xFEB7, 0xFEB7, 0xFE77, 0xFE16, 0xFE16, 0xFE77, 0xFEB8, 0xFED9, 0xFEFA, 0xFED8, 0xFEB7, 0xF676, 0xFE76, 0xFE97, 0xFED8, 0xFEF8, 0xFED7, 0xF635, 0xF5B3, 0xED72, 0xE531, 0xE531, 0xE531, 0xDD11, 0xDCF1, 0xD4D0, 0xD4AF, 0xD4CF, 
        0xD4D0, 0xDCF1, 0xDD11, 0xE512, 0xE512, 0xE511, 0xE530, 0xDD31, 0xDD31, 0xDD31, 0xE531, 0xE531, 0xE531, 0xE531, 0xED31, 0xED31, 0xED31, 0xED52, 0xED52, 0xED53, 0xED53, 0xF553, 0xF553, 0xF574, 0xF594, 0xF573, 0xF573, 0xF553, 0xF553, 0xF553, 
        0xF553, 0xF552, 0xF553, 0xF553, 0xF553, 0xED52, 0xE552, 0xED32, 0xED12, 0xED12, 0xE511, 0xDCD0, 0xDCB0, 0xDCB0, 0xD4B0, 0xD490, 0xD490, 0xD48F, 0xD48F, 0xD46F, 0xD46F, 0xCC6F, 0xCC4F, 0xC42F, 0xC42F, 0xC42F, 0xC42E, 0xC42E, 0xBC0E, 0xB3EE, 
        0xB3CD, 0xB3CD, 0xB3AD, 0xABAD, 0xABCD, 0xABAC, 0xABAC, 0xA38C, 0xA38C, 0xA36C, 0xA36B, 0x9B4A, 0x932A, 0x9309, 0x8AE9, 0x8AC8, 0x82C8, 0x7A88, 0x7288, 0x7246, 0x7245, 0x6A25, 0x6205, 0x5984, 0x5944, 0x5944, 0x5144, 0x5144, 0x4104, 0x48A2, 
        0x48A1, 0x5102, 0x4963, 0x4984, 0x31A3, 0x29C2, 0x29A2, 0x2941, 0x2101, 0x20E1, 0x18C0, 0x10C1, 0x10C1, 0x1081, 0x1882, 0x18A2, 0x18A3, 0x0841, 0x18A2, 0x5267, 0x7B4A, 0x838B, 0x942E, 0xD678, 0xE6FB, 0xCDD7, 0xBD14, 0xBD13, 0xD5B6, 0xEEDA, 
        0xEF3C, 0xE6DA, 0xD679, 0xCE37, 0xC615, 0xD636, 0xDE98, 0xEF5B, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFFF, 0xEF5B, 0xBDD3, 0xA52F, 0xAD51, 0xCE77, 0xEF7D, 0xF77C, 0xD656, 0xBD91, 0xB54E, 0xAD4D, 0xAD6D, 0xAD6C, 0xA50A, 0x9CE9, 0x94E9, 0x94C9, 0x7C69, 
        0x6BC7, 0x6306, 0x7BAA, 0xA4F0, 0xE6D9, 0xE635, 0xE5F4, 0xEED9, 0xFF7B, 0xFF5B, 0xF6D7, 0xDE14, 0xDDF3, 0xE634, 0xEE55, 0xEE55, 0xDDB2, 0xB46D, 0xA42C, 0xAC8D, 0xACAD, 0xAC6C, 0x93A9, 0x7B47, 0x83A8, 0x9C8B, 0xACEC, 0xA4AB, 0x9428, 0x9C69, 
        0xA4AA, 0xAD0C, 0xAD0D, 0xACED, 0xA4AD, 0xBD4E, 0xC5AE, 0xBD8F, 0x9CAD, 0x7389, 0x4203, 0x4A43, 0x5283, 0x4A82, 0x4241, 0x4221, 0x4241, 0x6AE3, 0x7B84, 0x8C06, 0x9467, 0x9446, 0x8C25, 0x8C07, 0x9428, 0x9448, 0x8C48, 0x8C28, 0x83E8, 0x8BA7, 
        0x93C7, 0x940A, 0xA46D, 0xAC8F, 0xAC8E, 0x8BE9, 0x7B86, 0x7325, 0x6B05, 0x6B05, 0x7346, 0x8C26, 0x9467, 0x8C07, 0x7B86, 0x7346, 0x83AA, 0xD656, 0xF75A, 0xF6D7, 0xEE75, 0xE635, 0xE5F5, 0xE5B5, 0xE5D5, 0xEE57, 0xEE98, 0xEE98, 0xF678,
  0x72E7, 0x72C7, 0x6A86, 0x6A65, 0x6266, 0x6AA9, 0x938D, 0x9BCE, 0x9B8C, 0x936B, 0x8B2A, 0x7AE9, 0x5A85, 0x4A44, 0x4A23, 0x4A23, 0x4A24, 0x4A44, 0x5244, 0x5244, 0x5244, 0x5265, 0x5265, 0x4A65, 0x4223, 0x4203, 0x4203, 0x4203, 0x4204, 0x4A24, 0x4A65, 
        0x4A65, 0x4A45, 0x4244, 0x4224, 0x4203, 0x39E2, 0x31C2, 0x31C2, 0x2982, 0x2962, 0x2962, 0x5244, 0x72C6, 0x8B29, 0xA36B, 0xABCC, 0xB42E, 0xC491, 0xCCB2, 0xD4D1, 0xD4D1, 0xD4F1, 0xD4F1, 0xD511, 0xDD11, 0xDCF1, 0xDCD1, 0xD4B0, 0xC46F, 0xABCE, 
        0xA38E, 0x938E, 0x936E, 0x8B4E, 0x8B4E, 0x9370, 0x9BB0, 0xABF0, 0xBC11, 0xBC31, 0xCC93, 0xED16, 0xF558, 0xFD57, 0xF577, 0xF577, 0xF597, 0xF598, 0xF598, 0xF557, 0xFD36, 0xFD16, 0xF4D4, 0xE432, 0xDC11, 0xDC11, 0xE431, 0xE451, 0xDC50, 0xBC0E, 
        0xB3CD, 0xB3ED, 0xB3ED, 0xB3ED, 0xBC0E, 0xC44F, 0xCC6F, 0xD470, 0xDC71, 0xDC92, 0xE4B3, 0xECB3, 0xECB3, 0xF494, 0xECB4, 0xECB4, 0xEC73, 0xE3B1, 0xE371, 0xE391, 0xE3B1, 0xE392, 0xDB71, 0xD36E, 0xCB6D, 0xD38D, 0xD3AD, 0xD3CD, 0xD3ED, 0xD42E, 
        0xD44E, 0xD44E, 0xD42E, 0xDC2D, 0xDC0D, 0xCC0E, 0xCC0E, 0xDC30, 0xE451, 0xE472, 0xECB3, 0xF495, 0xF495, 0xDC93, 0xCC72, 0xBC50, 0x9B8C, 0x61C5, 0x61C5, 0x938D, 0xC511, 0xD592, 0xDDCF, 0xCE0C, 0xCE0C, 0xCDEC, 0xBD6B, 0xA4C9, 0x7325, 0x2101, 
        0x0861, 0x2102, 0x2963, 0x3164, 0x2943, 0x1901, 0x2101, 0x3982, 0x62A6, 0x8BE9, 0xC58D, 0xC54C, 0xB4EA, 0xA4C8, 0xA4C7, 0xA4E7, 0x9CC7, 0x7BE7, 0x6B46, 0x62A6, 0x6246, 0x5A05, 0x51A4, 0x4984, 0x4143, 0x4922, 0x5122, 0x6164, 0x8AA9, 0xC554, 
        0xDEB9, 0xEF5C, 0xFF9C, 0xFF9B, 0xFF5B, 0xFF9D, 0xFFBD, 0xFFBD, 0xFF9D, 0xFF7C, 0xF75B, 0xF75B, 0xF75B, 0xF75C, 0xF75C, 0xF75C, 0xF71A, 0xFE78, 0xFE37, 0xFE37, 0xFE57, 0xFE57, 0xFE78, 0xFEB8, 0xFEB8, 0xFEB8, 0xFEB8, 0xFEB8, 0xFED8, 0xFED7, 
        0xFEB7, 0xFE97, 0xF677, 0xF656, 0xF656, 0xF656, 0xFE56, 0xFE57, 0xFE38, 0xFE37, 0xF617, 0xF636, 0xF656, 0xF636, 0xF656, 0xFE76, 0xFE96, 0xF635, 0xF5F5, 0xF5D4, 0xF593, 0xE572, 0xDD30, 0xDD31, 0xDD31, 0xDCEF, 0xDCAE, 0xDCAE, 0xD4AE, 0xCCCE, 
        0xCCEF, 0xD4F0, 0xDCF1, 0xDCF1, 0xDCF1, 0xD4F1, 0xD4F0, 0xD4F0, 0xD4F0, 0xD4F0, 0xDCF0, 0xDD10, 0xE530, 0xE511, 0xE511, 0xE511, 0xE4F0, 0xDCF0, 0xDD11, 0xE531, 0xE532, 0xE511, 0xE4F1, 0xED52, 0xED73, 0xF573, 0xF573, 0xED53, 0xED52, 0xED32, 
        0xED32, 0xED52, 0xED53, 0xED53, 0xF553, 0xED52, 0xE551, 0xE511, 0xE511, 0xDD11, 0xDCF1, 0xDCB0, 0xDCB0, 0xD4B0, 0xD4B1, 0xD4B0, 0xD4B0, 0xCC8F, 0xCC6E, 0xCC6F, 0xCC6F, 0xCC6F, 0xCC6F, 0xC46E, 0xBC4E, 0xC42E, 0xC42E, 0xC42E, 0xBC2D, 0xBC0D, 
        0xB3ED, 0xB3CC, 0xB3CC, 0xABCC, 0xABAC, 0xB3AC, 0xB3AC, 0xAB8C, 0xA36B, 0x9B6B, 0x9B6B, 0x932A, 0x9309, 0x92E9, 0x92E9, 0x8AE9, 0x82C8, 0x7A88, 0x7267, 0x6A46, 0x6A25, 0x6A05, 0x61C5, 0x5984, 0x5144, 0x5124, 0x5124, 0x4924, 0x4904, 0x40A3, 
        0x48C3, 0x5143, 0x49A3, 0x41C3, 0x31C2, 0x21C2, 0x19A1, 0x1941, 0x1900, 0x18C0, 0x10A0, 0x18C1, 0x18C2, 0x18C2, 0x18C2, 0x18A2, 0x1081, 0x1081, 0x3185, 0x83CD, 0x9CAF, 0x83EB, 0x62E8, 0xBDF6, 0xE71B, 0xDE78, 0xCDD5, 0xCDB4, 0xCDD5, 0xDE59, 
        0xE67B, 0xDE79, 0xCE57, 0xCE35, 0xC634, 0xD676, 0xDED8, 0xEF7C, 0xFFDE, 0xFFFF, 0xFFFF, 0xF7BD, 0xDF19, 0xB570, 0xA50E, 0xBDB2, 0xE73B, 0xF7BE, 0xEF3B, 0xC5F3, 0xAD2E, 0xAD2D, 0xAD4D, 0xAD4C, 0xA54B, 0x9D0A, 0x9D0A, 0xA54B, 0x9D2B, 0x6B85, 
        0x5B45, 0x8C6B, 0xBDB2, 0xD696, 0xF79C, 0xFF7C, 0xFF3B, 0xF6F9, 0xF6B8, 0xF697, 0xEE96, 0xDE35, 0xDE34, 0xDE34, 0xD5D3, 0xCD71, 0xC4CE, 0xBCEF, 0xC510, 0xCD50, 0xBD0F, 0xAC8D, 0x93C9, 0x93E9, 0x9429, 0x9409, 0x8C08, 0x83E7, 0x83E6, 0x9447, 
        0xA488, 0xACAA, 0xACCB, 0xA4AB, 0x9CAB, 0xBD8D, 0xBD4D, 0x83C8, 0x5285, 0x4203, 0x4201, 0x52C3, 0x5B04, 0x5AC3, 0x52A2, 0x4A82, 0x4AA2, 0x5AA3, 0x62C3, 0x7325, 0x8387, 0x8BE8, 0x9C69, 0x8C4A, 0x8C4B, 0x8C4A, 0x8C69, 0x8C68, 0x8C27, 0x9409, 
        0x9C2B, 0xA44C, 0xA44C, 0x9C2C, 0x8BAA, 0x6B05, 0x62C3, 0x6304, 0x7345, 0x7BC6, 0x9447, 0x9447, 0x8C07, 0x7BA7, 0x7BA8, 0x8BEA, 0xACEF, 0xE655, 0xF6D7, 0xF698, 0xEE57, 0xE637, 0xDDF6, 0xE5F6, 0xE5D6, 0xDDB6, 0xDDB6, 0xE5F7, 0xEE78,
  0x6B07, 0x6307, 0x62E5, 0x62A4, 0x6284, 0x5A65, 0x5A87, 0x62A8, 0x62C8, 0x6AC8, 0x62C8, 0x5AA6, 0x5264, 0x5244, 0x4A23, 0x4223, 0x4203, 0x4203, 0x4A23, 0x4A24, 0x4A44, 0x4A44, 0x4A44, 0x4A24, 0x4A24, 0x4A24, 0x4A03, 0x4203, 0x4203, 0x4224, 0x4244, 
        0x4244, 0x4224, 0x4A25, 0x4A25, 0x4224, 0x4203, 0x3A03, 0x39E3, 0x39C3, 0x3183, 0x3983, 0x5244, 0x6AC6, 0x8308, 0x9B6B, 0xA3AC, 0xB44E, 0xC491, 0xCCB1, 0xD4D1, 0xD4F1, 0xD4F1, 0xD4F2, 0xD511, 0xDD10, 0xDCF1, 0xE4F2, 0xDCF1, 0xD4D1, 0xC471, 
        0xBC51, 0xB452, 0xB452, 0xAC32, 0xA411, 0xA452, 0xAC52, 0xB431, 0xBC51, 0xCC72, 0xDCD3, 0xECD5, 0xECD5, 0xF4F5, 0xF536, 0xF536, 0xF556, 0xF557, 0xF557, 0xF557, 0xF537, 0xF536, 0xF4F5, 0xF473, 0xF453, 0xEC52, 0xE452, 0xE451, 0xDC50, 0xCC0E, 
        0xBBCD, 0xAB8C, 0xA34C, 0xA34C, 0xB38C, 0xBBEE, 0xC42F, 0xCC2F, 0xD450, 0xDC71, 0xE493, 0xEC93, 0xE493, 0xE493, 0xEC93, 0xEC73, 0xEC33, 0xE3D2, 0xE3B2, 0xE3D2, 0xE3D1, 0xDBB1, 0xDB90, 0xDBB1, 0xD3D0, 0xD3CF, 0xD3EE, 0xD40E, 0xD42E, 0xD42E, 
        0xD42D, 0xD42D, 0xD42D, 0xD42D, 0xD44E, 0xD46E, 0xD44E, 0xD42E, 0xDC50, 0xDC51, 0xE4B3, 0xECD4, 0xECD4, 0xE4D3, 0xDCB3, 0xDCB2, 0xCC70, 0x9B8C, 0x934C, 0xABEF, 0xBC90, 0xC4CF, 0xC52D, 0xD5CD, 0xDE0D, 0xCDAC, 0xC54B, 0xB4EA, 0x83A8, 0x2923, 
        0x1040, 0x18A1, 0x2102, 0x2942, 0x2162, 0x2101, 0x20E1, 0x3141, 0x4A03, 0x62C5, 0x9C49, 0xC5AC, 0xCDEC, 0xB569, 0xAD08, 0xA4E8, 0x9C88, 0x83C8, 0x7B48, 0x72C8, 0x6A67, 0x6A46, 0x5A06, 0x5A06, 0x59E6, 0x5964, 0x6143, 0x6943, 0x79C5, 0x7A67, 
        0x8B4B, 0xBD33, 0xE699, 0xEF1B, 0xF71B, 0xEED9, 0xEED9, 0xF73B, 0xFF5C, 0xFF5D, 0xFF5C, 0xF77B, 0xF77B, 0xF77B, 0xF77B, 0xF75B, 0xFF3B, 0xFF1A, 0xFEF9, 0xF698, 0xFE77, 0xFE57, 0xFE77, 0xFE97, 0xFE98, 0xFEB8, 0xFEB8, 0xFEB8, 0xFEB8, 0xFE97, 
        0xFE77, 0xFE97, 0xFE97, 0xFE96, 0xFE76, 0xF636, 0xF616, 0xF5F6, 0xF5D5, 0xF5B4, 0xED53, 0xDCD1, 0xD4B0, 0xDCD0, 0xE511, 0xED52, 0xF5B3, 0xF615, 0xF636, 0xF5F5, 0xF5D4, 0xEDB3, 0xE572, 0xDD52, 0xDD51, 0xE532, 0xE4F1, 0xE4D0, 0xDCAE, 0xD4EF, 
        0xD50F, 0xD4CE, 0xDCAE, 0xDCAE, 0xD4CE, 0xD4CF, 0xD4CF, 0xD4AF, 0xD4AF, 0xD4AE, 0xDCAE, 0xE4D1, 0xE4F2, 0xE4D1, 0xE4CF, 0xE4CF, 0xDCCE, 0xDCCF, 0xD4F0, 0xDCF1, 0xDD11, 0xDCF1, 0xD4D0, 0xDCF1, 0xE511, 0xED32, 0xED53, 0xED53, 0xED52, 0xED32, 
        0xED32, 0xED53, 0xED53, 0xED53, 0xF552, 0xED52, 0xE552, 0xE532, 0xE511, 0xDD11, 0xDCF1, 0xDCD0, 0xDCB0, 0xDCD0, 0xDCD1, 0xDCD1, 0xD4D1, 0xCC8F, 0xCC6E, 0xCC6E, 0xCC6E, 0xCC6E, 0xCC8F, 0xC46E, 0xC44E, 0xC42E, 0xC42E, 0xC42E, 0xBC0D, 0xBC2D, 
        0xBC0D, 0xBBED, 0xB3CC, 0xB3AC, 0xAB8B, 0xB3CD, 0xB3ED, 0xABAC, 0xA36B, 0x9B6B, 0x9B4A, 0x932A, 0x9309, 0x92E9, 0x92C9, 0x8AC8, 0x82A7, 0x7288, 0x6A67, 0x6A26, 0x6205, 0x61E5, 0x59A5, 0x5144, 0x5123, 0x5123, 0x4902, 0x4903, 0x48E3, 0x5103, 
        0x4943, 0x49A4, 0x41C3, 0x39E3, 0x31C2, 0x2982, 0x2162, 0x2121, 0x20E0, 0x18C0, 0x18C0, 0x10A1, 0x18C2, 0x20E3, 0x20C3, 0x1882, 0x18C2, 0x5A88, 0x83CC, 0xA4AE, 0x9CAD, 0x83CA, 0x52A6, 0x738B, 0x9CB0, 0xC616, 0xDE99, 0xD658, 0xC595, 0xCDD6, 
        0xD637, 0xDE58, 0xDE77, 0xD677, 0xCE56, 0xC615, 0xCE36, 0xE6FA, 0xF77D, 0xFFBE, 0xF7BD, 0xDED8, 0xC633, 0xB58E, 0xB5AF, 0xCE53, 0xEF7C, 0xF77C, 0xE6D8, 0xC5B2, 0xB52E, 0xAD4D, 0xB58E, 0xAD4E, 0xAD4E, 0xAD8D, 0xB5CD, 0xB5ED, 0xAD8C, 0x7BA7, 
        0x7B88, 0xB591, 0xE717, 0xF799, 0xFF9A, 0xFF1A, 0xFEDA, 0xF6D8, 0xF6D7, 0xEEB7, 0xEE96, 0xE676, 0xDE55, 0xDE14, 0xD5B3, 0xCD51, 0xBCD0, 0xB4AE, 0xB4AE, 0xBCEF, 0xC4F0, 0xC4D0, 0xC4AF, 0xAC8C, 0xA4AB, 0xACEB, 0xA4CA, 0x9448, 0x7364, 0x7303, 
        0x7B24, 0x7B45, 0x7B86, 0x83C7, 0x9428, 0xAD0B, 0xA4AA, 0x62E6, 0x39E3, 0x39C2, 0x4221, 0x5282, 0x52A3, 0x4A82, 0x52A2, 0x52C2, 0x6304, 0x6B47, 0x6307, 0x4A24, 0x41C3, 0x4A24, 0x7368, 0xAD72, 0xC656, 0xCE56, 0xCE73, 0xC610, 0xB54C, 0xBD8F, 
        0xBD90, 0xACCC, 0x9407, 0x7B85, 0x6B03, 0x6304, 0x6325, 0x7365, 0x7B85, 0x7365, 0x6B65, 0x7BA6, 0x7386, 0x6304, 0x6B05, 0x8388, 0xBD10, 0xEEB8, 0xFF1A, 0xF6B9, 0xEE58, 0xEE18, 0xEE18, 0xEE59, 0xEE59, 0xE638, 0xE617, 0xE637, 0xEE78,
  0x7B4B, 0x732A, 0x6AE9, 0x6AC8, 0x62C7, 0x6AA6, 0x6AA6, 0x6A86, 0x6AA7, 0x6AA8, 0x6AA7, 0x6AA6, 0x5A85, 0x4A64, 0x4A44, 0x4A23, 0x4223, 0x4223, 0x4A43, 0x4A43, 0x4A44, 0x4A44, 0x4A44, 0x5245, 0x4A44, 0x4A44, 0x4A24, 0x4223, 0x4203, 0x4203, 0x4244, 
        0x4A64, 0x4A24, 0x5225, 0x5225, 0x5A45, 0x5286, 0x5266, 0x4A25, 0x41C4, 0x3983, 0x4163, 0x5203, 0x6264, 0x7AC7, 0x932A, 0xA38C, 0xB40E, 0xC490, 0xCCD1, 0xD4F2, 0xDD12, 0xDD12, 0xDCF1, 0xDCF1, 0xDD11, 0xE512, 0xE512, 0xE512, 0xDCF2, 0xC492, 
        0xB472, 0xB472, 0xB492, 0xB492, 0xB472, 0xAC52, 0xAC31, 0xB410, 0xBC30, 0xCC51, 0xDC92, 0xF4D4, 0xF4F5, 0xECD5, 0xECF5, 0xF536, 0xF556, 0xF535, 0xF515, 0xF556, 0xF557, 0xF557, 0xF516, 0xF4B3, 0xF472, 0xF453, 0xEC52, 0xEC52, 0xE471, 0xD470, 
        0xC42F, 0xB3CD, 0xA36B, 0xA34B, 0xA36B, 0xABAE, 0xBBCF, 0xCC0F, 0xD430, 0xDC51, 0xE452, 0xEC73, 0xF494, 0xF494, 0xEC74, 0xEC54, 0xEC33, 0xF433, 0xF413, 0xEBF2, 0xE3F2, 0xE3F2, 0xE3D2, 0xDBD1, 0xD3D0, 0xDBF1, 0xE3F1, 0xE3F2, 0xE3F1, 0xDC2F, 
        0xDC2E, 0xD42E, 0xD42F, 0xD42F, 0xDC2F, 0xDC6F, 0xDC6E, 0xDC2F, 0xDC10, 0xDC30, 0xE451, 0xF4B3, 0xF4D3, 0xF4B3, 0xECB3, 0xE4B3, 0xDC92, 0xBBEF, 0xB3AF, 0xBBB0, 0xBBF0, 0xBC0F, 0xC4CE, 0xDDF0, 0xE650, 0xD5CD, 0xBD0A, 0xA468, 0x7325, 0x3922, 
        0x2060, 0x1860, 0x18A1, 0x20E2, 0x2923, 0x20E1, 0x20E1, 0x3182, 0x5285, 0x6B48, 0x9CAC, 0xBDAD, 0xC5CC, 0xB58A, 0x9D08, 0x8C86, 0x7BE4, 0x93E8, 0x93CA, 0x834A, 0x6AC8, 0x6267, 0x5A45, 0x5A65, 0x6246, 0x61C5, 0x6143, 0x5903, 0x6145, 0x92CB, 
        0xA38D, 0x938E, 0x9BAF, 0xAC10, 0xC4B2, 0xCD93, 0xD635, 0xE6D9, 0xF75C, 0xF77D, 0xFF9D, 0xFF9D, 0xFF9C, 0xFF7B, 0xFF7B, 0xFF9C, 0xFF7D, 0xF698, 0xF636, 0xF656, 0xFE77, 0xFE97, 0xFE98, 0xFE98, 0xFE98, 0xFE98, 0xFEB8, 0xFEB8, 0xFEB7, 0xFEB7, 
        0xFE97, 0xFE56, 0xFE15, 0xF615, 0xF636, 0xFEB8, 0xFED9, 0xFE98, 0xFE58, 0xFE37, 0xF5B5, 0xDC90, 0xD42E, 0xD44E, 0xDCB0, 0xE552, 0xF636, 0xFEFA, 0xFEFA, 0xFE38, 0xF575, 0xF534, 0xF4F4, 0xF534, 0xF555, 0xF554, 0xED53, 0xED33, 0xED33, 0xED33, 
        0xED33, 0xE511, 0xE510, 0xDD30, 0xDD10, 0xDCCF, 0xDCAE, 0xDCAF, 0xD4AF, 0xD4AF, 0xCCAF, 0xD4B0, 0xDCB0, 0xDCAF, 0xDCAF, 0xDCAF, 0xE4D0, 0xD4CF, 0xD4EF, 0xD4F0, 0xD4F1, 0xD4F1, 0xDCF1, 0xDCD1, 0xE4F1, 0xE511, 0xED52, 0xED52, 0xED53, 0xED52, 
        0xED52, 0xED52, 0xF573, 0xF573, 0xF553, 0xF532, 0xED32, 0xED12, 0xE512, 0xE511, 0xE4F1, 0xE4D0, 0xDCB0, 0xDCB0, 0xDCB0, 0xD4D0, 0xD4B0, 0xD48F, 0xD48F, 0xCC8F, 0xCC8F, 0xC48F, 0xC46F, 0xC46F, 0xC44F, 0xC44F, 0xC44E, 0xC44E, 0xBC4E, 0xB40D, 
        0xB3ED, 0xB3ED, 0xB3CD, 0xABCC, 0xABAB, 0xB3CC, 0xB3AC, 0xAB8C, 0xA38C, 0x9B8B, 0x9B6B, 0x9B2A, 0x930A, 0x8AE9, 0x8AC9, 0x82C9, 0x82A8, 0x7A66, 0x7245, 0x7225, 0x6A05, 0x69E5, 0x61C5, 0x6144, 0x5923, 0x5123, 0x5103, 0x50E3, 0x58E3, 0x5185, 
        0x51C5, 0x49E4, 0x41E3, 0x39E3, 0x29A2, 0x2161, 0x2121, 0x1921, 0x1901, 0x1901, 0x18C2, 0x10A1, 0x10A2, 0x20E3, 0x20C3, 0x18A2, 0x3165, 0xB573, 0xD696, 0x9CEF, 0x7C0B, 0x7C0B, 0x840B, 0x4A25, 0x41E5, 0x7BAD, 0xB574, 0xCE37, 0xE6D9, 0xD636, 
        0xCDF5, 0xCE16, 0xCE16, 0xCE16, 0xD616, 0xD656, 0xD656, 0xD677, 0xDEB9, 0xEF3B, 0xEF9C, 0xD6D4, 0xBDEF, 0xA4EC, 0xA4EE, 0xBDB3, 0xEF7C, 0xFFDE, 0xEF5A, 0xC5F2, 0xB52D, 0xB50D, 0xBD6F, 0xBDCF, 0xB5EF, 0xBDCE, 0xB58D, 0xAD4C, 0x948B, 0x8C29, 
        0x946B, 0xBD90, 0xDE96, 0xEF39, 0xF77C, 0xF6B9, 0xF678, 0xF6B7, 0xF6B6, 0xF6B6, 0xF696, 0xF6D7, 0xEED7, 0xE676, 0xDE14, 0xD5B3, 0xCD31, 0xBCD0, 0xB4AF, 0xB48F, 0xB48F, 0xB4B0, 0xBD11, 0xBD4F, 0xB52D, 0xA48A, 0x8C07, 0x83C5, 0x7B84, 0x8C07, 
        0x9C69, 0xA4CB, 0xB54D, 0xBD8E, 0xBD8E, 0xAD0C, 0xA4EB, 0x9CCC, 0x83EA, 0x62E7, 0x39A2, 0x5263, 0x62E3, 0x5AC2, 0x5AC2, 0x5B03, 0x6345, 0x7347, 0x7B48, 0x7B68, 0x7347, 0x6B27, 0x62C6, 0x5AC5, 0x6305, 0x7366, 0x7BC7, 0x83E7, 0x83E7, 0x7365, 
        0x6B24, 0x6B03, 0x6B03, 0x6B23, 0x7363, 0x7365, 0x7386, 0x73A6, 0x7385, 0x7385, 0x6B45, 0x7366, 0x7346, 0x6AE5, 0x7B27, 0x93EB, 0xCD94, 0xEEFB, 0xF75C, 0xF6DA, 0xF658, 0xF638, 0xF638, 0xEE37, 0xEE78, 0xEED9, 0xE6B8, 0xD616, 0xC513,
  0x7349, 0x6B29, 0x6308, 0x62E8, 0x6B08, 0x6B29, 0x7309, 0x7309, 0x7B29, 0x7B29, 0x7B09, 0x72C8, 0x62C5, 0x5AA4, 0x5264, 0x4A44, 0x4223, 0x4222, 0x4A23, 0x4A23, 0x4A23, 0x4A44, 0x4A64, 0x5265, 0x4A64, 0x4A63, 0x4A43, 0x4224, 0x4203, 0x39E3, 0x4223, 
        0x4A23, 0x4A23, 0x5224, 0x5225, 0x5A66, 0x62A6, 0x5AA6, 0x5266, 0x4225, 0x3A04, 0x39E3, 0x5A44, 0x6A85, 0x82C8, 0x932A, 0x9B8B, 0xB40D, 0xC4B1, 0xCCD2, 0xD4D2, 0xD4F1, 0xDCF1, 0xDCF1, 0xDD11, 0xE511, 0xE512, 0xE512, 0xE512, 0xE512, 0xDCF3, 
        0xD4D3, 0xCCD2, 0xC4D2, 0xC4D3, 0xBCF3, 0xB493, 0xAC52, 0xB431, 0xBC31, 0xCC51, 0xDC93, 0xECD5, 0xE4D4, 0xDCB3, 0xD4B3, 0xDCB3, 0xE4F3, 0xE4F5, 0xECF5, 0xF516, 0xF537, 0xF537, 0xF516, 0xF4D5, 0xFCB4, 0xF4B4, 0xF493, 0xEC92, 0xE451, 0xD42F, 
        0xC40E, 0xAB8C, 0x9B29, 0x92E9, 0x92C9, 0xAB2B, 0xB38D, 0xBBAD, 0xBBCE, 0xC3F0, 0xDC32, 0xEC54, 0xEC74, 0xEC74, 0xEC74, 0xEC54, 0xEC34, 0xEC53, 0xEC53, 0xEC33, 0xE413, 0xE413, 0xE413, 0xE413, 0xE433, 0xE432, 0xEC53, 0xEC53, 0xE433, 0xE432, 
        0xE430, 0xDC2F, 0xD42F, 0xD42F, 0xD430, 0xD430, 0xD410, 0xD40F, 0xDC0F, 0xDC10, 0xE432, 0xF472, 0xF492, 0xF493, 0xEC93, 0xE493, 0xE4B3, 0xE514, 0xE514, 0xDCB4, 0xC452, 0xB40F, 0xA42B, 0xBD4D, 0xD60E, 0xDE0D, 0xD5EC, 0xC58C, 0x9449, 0x4205, 
        0x20E2, 0x1881, 0x1881, 0x20E1, 0x2943, 0x2982, 0x2162, 0x1921, 0x2122, 0x2983, 0x5AC6, 0xB54B, 0xD60C, 0xBDAB, 0xAD29, 0x9CC8, 0x8C27, 0x7BC9, 0x738A, 0x6B29, 0x62E8, 0x62A7, 0x6287, 0x6AA8, 0x6AA9, 0x7A68, 0x9269, 0x9A8A, 0x928B, 0x71A7, 
        0x5925, 0x3904, 0x3104, 0x3104, 0x3924, 0x3944, 0x49A5, 0x7AA9, 0xAC2E, 0xBD53, 0xD658, 0xD6BA, 0xD6BA, 0xD699, 0xD6B9, 0xD6BA, 0xDE9A, 0xEE18, 0xEDD7, 0xF5F6, 0xF635, 0xF655, 0xFE96, 0xFE77, 0xFE78, 0xFE77, 0xFE98, 0xFEB8, 0xFEB8, 0xFE98, 
        0xFE77, 0xFE36, 0xFE36, 0xFE56, 0xFE97, 0xF6B9, 0xF678, 0xF595, 0xED13, 0xECF3, 0xF534, 0xF5F7, 0xF658, 0xF617, 0xF638, 0xF658, 0xF658, 0xED33, 0xEC70, 0xE38E, 0xE2ED, 0xE2AD, 0xEAAD, 0xEB0D, 0xEB2D, 0xDACC, 0xCAAA, 0xCAAA, 0xCB0B, 0xE3F0, 
        0xEC52, 0xECD3, 0xF533, 0xF554, 0xED53, 0xE510, 0xDCCF, 0xDCD0, 0xDCD0, 0xD4F0, 0xCCEF, 0xCCCE, 0xCCAE, 0xD48E, 0xDC8E, 0xDC8F, 0xE4AF, 0xDCD0, 0xDCD1, 0xDCB1, 0xD4B1, 0xD4D0, 0xD4F0, 0xDCF1, 0xDCF1, 0xDCF1, 0xE511, 0xE532, 0xED52, 0xED53, 
        0xED53, 0xED53, 0xED53, 0xED53, 0xF553, 0xED32, 0xED12, 0xE512, 0xE512, 0xDCF1, 0xDCF1, 0xDCB0, 0xDCB0, 0xDCB0, 0xDCB0, 0xD4AF, 0xD4AF, 0xD48F, 0xD48F, 0xD48F, 0xCC8F, 0xCC6E, 0xC44E, 0xCC4F, 0xCC4F, 0xC44E, 0xC44E, 0xBC2E, 0xBC2E, 0xBC0D, 
        0xBBED, 0xBBED, 0xB3CD, 0xB3CD, 0xABAC, 0xABAB, 0xAB8B, 0xAB8C, 0xA36C, 0xA36B, 0x9B4A, 0x932A, 0x930A, 0x8AE9, 0x8AC8, 0x8AC8, 0x8288, 0x7246, 0x6A25, 0x69E5, 0x61E5, 0x61C5, 0x59A5, 0x5923, 0x5903, 0x5924, 0x5924, 0x5103, 0x5103, 0x5205, 
        0x4A45, 0x41E4, 0x41A3, 0x3982, 0x3182, 0x2141, 0x1920, 0x1120, 0x1901, 0x1901, 0x20E2, 0x2102, 0x18E2, 0x1082, 0x1082, 0x18C2, 0x4A07, 0xBD93, 0xCE75, 0x94CE, 0x6BA9, 0x6369, 0x6BA9, 0x6306, 0x5A84, 0x5264, 0x6B48, 0x948E, 0xD697, 0xEF1B, 
        0xEEFB, 0xDE58, 0xCDB5, 0xC554, 0xC553, 0xD636, 0xD676, 0xD635, 0xDE56, 0xE6D8, 0xDED9, 0x94ED, 0x7C09, 0x94AB, 0xBDB1, 0xD696, 0xF79C, 0xFFDC, 0xEF38, 0xC5B1, 0xAD0D, 0xB52E, 0xBDB0, 0xB58D, 0xAD4B, 0xAD4C, 0xA50C, 0xA4EB, 0x9CCA, 0xB54D, 
        0xCDD1, 0xE6D7, 0xF77B, 0xFFBC, 0xF77B, 0xF6BA, 0xEE78, 0xEE76, 0xEE95, 0xEE96, 0xEEB7, 0xF6D7, 0xEEB6, 0xE676, 0xE635, 0xDDF4, 0xD592, 0xD551, 0xC4F0, 0xAC8D, 0xA46D, 0xAC8D, 0xB4EF, 0xACCD, 0xA48C, 0x8BE9, 0x7B67, 0x7305, 0x6B04, 0x8C08, 
        0x9CAA, 0xA4EC, 0xA4EC, 0x9C8B, 0x9C6A, 0xC5CF, 0xCE10, 0xAD0D, 0x83E9, 0x6B26, 0x5242, 0x4201, 0x4222, 0x5262, 0x5AA3, 0x5AA3, 0x52A2, 0x4A63, 0x5283, 0x6B44, 0x7BC5, 0x83E5, 0x7BC6, 0x6B63, 0x6341, 0x5B01, 0x6322, 0x6B43, 0x7385, 0x6B64, 
        0x6B44, 0x7385, 0x7BC7, 0x7BC7, 0x7BC6, 0x6B64, 0x6B43, 0x6B84, 0x6B84, 0x6364, 0x6344, 0x7326, 0x7B27, 0x8368, 0x9C6C, 0xBD71, 0xE6B9, 0xE638, 0xE5D7, 0xE617, 0xEE18, 0xEDF7, 0xEDF7, 0xF6B8, 0xF6D7, 0xDE35, 0xCDB3, 0xC572, 0xCD32,
  0x6B09, 0x6B08, 0x62E8, 0x62E8, 0x6B09, 0x732A, 0x7B4A, 0x7B49, 0x7B49, 0x7B49, 0x7B49, 0x7B29, 0x6AC8, 0x62A6, 0x5285, 0x4A84, 0x4A63, 0x4A43, 0x4223, 0x4223, 0x4A23, 0x4A43, 0x4A64, 0x4A84, 0x4A84, 0x4A64, 0x4A64, 0x4A63, 0x4223, 0x4202, 0x4202, 
        0x4202, 0x4A03, 0x4A24, 0x5245, 0x5A66, 0x6A68, 0x6A68, 0x6267, 0x5265, 0x4A45, 0x4A04, 0x49E3, 0x5A24, 0x7AC8, 0x9B4B, 0xABAC, 0xBC0D, 0xC4B1, 0xCCD2, 0xD4F2, 0xD4F1, 0xDCF1, 0xDCF1, 0xDD11, 0xDD11, 0xE512, 0xE512, 0xE512, 0xE512, 0xE533, 
        0xE534, 0xDD13, 0xCD14, 0xCD34, 0xBD14, 0xB492, 0xB472, 0xBC71, 0xC492, 0xD492, 0xE4B4, 0xE4B5, 0xE4B5, 0xDCB3, 0xD492, 0xCC70, 0xC450, 0xDC72, 0xE494, 0xF4F6, 0xFD57, 0xFD58, 0xFD38, 0xF4F5, 0xF4F4, 0xF4F5, 0xF4D5, 0xECB4, 0xE452, 0xD3CF, 
        0xC3AD, 0xAB8C, 0x9B4A, 0x92E9, 0x8A88, 0x92C9, 0x9B0A, 0xA36B, 0xABAD, 0xB3CF, 0xC411, 0xDC73, 0xE4B4, 0xECD5, 0xECD5, 0xECB5, 0xEC94, 0xE473, 0xE453, 0xE433, 0xE413, 0xE414, 0xDC14, 0xE433, 0xE453, 0xEC54, 0xF474, 0xF493, 0xEC72, 0xDBB1, 
        0xD391, 0xD3D0, 0xCBEF, 0xCBEE, 0xC3CE, 0xCBEF, 0xD3EF, 0xD3AF, 0xD38F, 0xD38F, 0xDBD0, 0xE452, 0xEC73, 0xEC73, 0xE473, 0xEC93, 0xECB4, 0xE4D4, 0xE4D4, 0xE4D5, 0xED35, 0xED95, 0xDDF3, 0xBCEC, 0xAC69, 0xAC89, 0xB4CB, 0xBD2D, 0xB4EE, 0x7308, 
        0x4A04, 0x39A2, 0x2960, 0x2940, 0x2941, 0x2981, 0x29A1, 0x2181, 0x2181, 0x29C1, 0x4262, 0x7386, 0x9447, 0xBD29, 0xD58A, 0xCD8A, 0xACC9, 0x5326, 0x3A85, 0x52C5, 0x6305, 0x6305, 0x5B06, 0x5B05, 0x6306, 0x72E8, 0x82E9, 0x82EA, 0x82CA, 0x7247, 
        0x6A27, 0x6A07, 0x69E6, 0x69C5, 0x5983, 0x4123, 0x38E3, 0x28A2, 0x28C3, 0x2903, 0x2945, 0x3185, 0x3986, 0x3985, 0x39A6, 0x39C6, 0x5A89, 0xC531, 0xF655, 0xF677, 0xF678, 0xF658, 0xF638, 0xF5F6, 0xF616, 0xFE56, 0xFE77, 0xFE77, 0xFE57, 0xFE76, 
        0xFE76, 0xFE76, 0xFEB7, 0xFED8, 0xF616, 0xDB2B, 0xC9C6, 0xB966, 0xB946, 0xC146, 0xD229, 0xECF4, 0xFDF9, 0xFD97, 0xF4B4, 0xF3F0, 0xDAAB, 0xB966, 0xB126, 0xB1A7, 0xB1E8, 0xB1E8, 0xC1C8, 0xD1E8, 0xD1E8, 0xC9E8, 0xC1C8, 0xC1A7, 0xB986, 0xB167, 
        0xB987, 0xC9E9, 0xD26B, 0xD2ED, 0xDBD0, 0xEC31, 0xEC72, 0xECD2, 0xECF3, 0xED12, 0xECF2, 0xECF3, 0xECF2, 0xECF1, 0xECF1, 0xECD1, 0xE4D1, 0xE4CF, 0xDCCF, 0xDC90, 0xD490, 0xD490, 0xDCD0, 0xDD11, 0xDD31, 0xDD11, 0xE511, 0xE532, 0xED52, 0xED53, 
        0xED53, 0xED53, 0xED53, 0xED53, 0xED32, 0xE532, 0xE531, 0xE511, 0xDCF1, 0xDCD1, 0xDCD1, 0xDCD0, 0xDCD0, 0xD4B1, 0xD4B1, 0xD4B0, 0xD4AF, 0xCC8F, 0xCC8F, 0xCC8F, 0xCC6F, 0xCC6F, 0xC46E, 0xCC4E, 0xCC4E, 0xC44E, 0xC44E, 0xC44E, 0xBC2E, 0xBC0D, 
        0xB3ED, 0xB3EC, 0xB3CC, 0xB3AC, 0xAB8C, 0xABAC, 0xABAC, 0xAB8B, 0xA36A, 0x9B4A, 0x934A, 0x930A, 0x930A, 0x92C9, 0x8AA8, 0x82A8, 0x7288, 0x7226, 0x6A05, 0x69E5, 0x61C5, 0x61A5, 0x5964, 0x5124, 0x5124, 0x5924, 0x5924, 0x5924, 0x5164, 0x49E4, 
        0x4A04, 0x39E3, 0x31A2, 0x3182, 0x3162, 0x2921, 0x2100, 0x2101, 0x18C0, 0x10A0, 0x10A1, 0x2943, 0x3163, 0x2103, 0x39C6, 0x630A, 0xA4CF, 0x9C0B, 0x8389, 0x73A8, 0x740A, 0x7C4C, 0x7C4D, 0x6307, 0x5264, 0x4A43, 0x5285, 0x5AE7, 0x840D, 0xBDF6, 
        0xDEBA, 0xE6BA, 0xDE78, 0xDE37, 0xD5D6, 0xCDD4, 0xD5F4, 0xDE76, 0xEED7, 0xEED8, 0xDE35, 0x8C2A, 0x7BA7, 0x9CAC, 0xC5F3, 0xDEB7, 0xF79C, 0xF73B, 0xEEB8, 0xCDF2, 0xBD8E, 0xB56D, 0xAD6C, 0xAD0C, 0xA4CC, 0xA48C, 0xA48C, 0xACCC, 0xC570, 0xE6F8, 
        0xF79C, 0xFFBC, 0xFFBC, 0xFF7B, 0xF719, 0xF6B7, 0xF697, 0xF6B7, 0xF6D8, 0xF6B7, 0xEEB7, 0xEEB6, 0xE696, 0xDE14, 0xD5D3, 0xD593, 0xC531, 0xAC6C, 0xA46B, 0xB4ED, 0xB52E, 0xB50D, 0xACAA, 0x9469, 0x9449, 0x9449, 0x9449, 0x944A, 0x9409, 0x7B25, 
        0x7304, 0x7B66, 0x9409, 0xACAC, 0xC54E, 0xB4EC, 0xA4AA, 0x9CAB, 0x946A, 0x8C09, 0x7346, 0x5AA4, 0x5AA3, 0x6B25, 0x7366, 0x7366, 0x7345, 0x83E7, 0x8427, 0x73A5, 0x6323, 0x5AC3, 0x5283, 0x5AA2, 0x5B03, 0x6B64, 0x6BA4, 0x6B84, 0x6B63, 0x73A3, 
        0x73C3, 0x73E5, 0x7C06, 0x7C27, 0x7C27, 0x73C6, 0x6B85, 0x6344, 0x6B45, 0x7B65, 0x8BC5, 0x7C06, 0x8C89, 0xBDB0, 0xDE76, 0xE697, 0xEE58, 0xEDD7, 0xEDD7, 0xEE38, 0xF678, 0xEE97, 0xE697, 0xE6B8, 0xD637, 0xB4D1, 0xAC70, 0xBD12, 0xE698,
  0x6B09, 0x6B09, 0x6B09, 0x6B09, 0x732A, 0x7B6A, 0x838B, 0x838A, 0x838A, 0x838A, 0x838A, 0x7B69, 0x6B09, 0x62C8, 0x5AA6, 0x5285, 0x5285, 0x5285, 0x4A64, 0x4A64, 0x4A44, 0x4A64, 0x4A64, 0x4A84, 0x4AA5, 0x4AC5, 0x4AA4, 0x4A83, 0x4243, 0x3A02, 0x3A02, 
        0x4222, 0x4A43, 0x5244, 0x5A45, 0x6A66, 0x7289, 0x72AA, 0x6AA8, 0x6287, 0x5A66, 0x5224, 0x5204, 0x5A45, 0x7AA8, 0x932A, 0xA36B, 0xB40D, 0xCC90, 0xD4D2, 0xDCF1, 0xDCF2, 0xE4F2, 0xE512, 0xE511, 0xE511, 0xE512, 0xED32, 0xED32, 0xED32, 0xE533, 
        0xE553, 0xE554, 0xDD34, 0xDD34, 0xD534, 0xB4D3, 0xACB2, 0xB491, 0xC471, 0xD472, 0xE493, 0xE4D4, 0xE4D4, 0xDC92, 0xCC70, 0xBC4F, 0xBC2E, 0xD452, 0xE494, 0xF4F6, 0xFD57, 0xFD58, 0xFD58, 0xF517, 0xF4F6, 0xFCF6, 0xFCF6, 0xFCF6, 0xECB4, 0xD410, 
        0xC3CF, 0xBBEF, 0xABEE, 0xA3AC, 0x9329, 0x82C7, 0x82C7, 0x934A, 0xA38D, 0xB3AE, 0xBBEF, 0xDC73, 0xECB4, 0xECB5, 0xF4B5, 0xF4B5, 0xECB5, 0xF474, 0xF473, 0xE453, 0xE433, 0xE413, 0xE413, 0xEC13, 0xEC33, 0xF454, 0xF454, 0xF454, 0xEC33, 0xDBF2, 
        0xD3F1, 0xD3F1, 0xD3F0, 0xCBF0, 0xCC10, 0xD3F0, 0xDBF0, 0xD3D0, 0xDBB1, 0xDBB1, 0xE3B1, 0xEC32, 0xEC53, 0xE453, 0xE453, 0xE474, 0xEC94, 0xECF5, 0xF4F5, 0xF4F6, 0xFD38, 0xFD98, 0xEDB6, 0xBC6D, 0xB3EA, 0xC48C, 0xD52E, 0xD570, 0xBD10, 0x8388, 
        0x5A83, 0x31C1, 0x1940, 0x1900, 0x2941, 0x31C3, 0x31E4, 0x2182, 0x1941, 0x2181, 0x4A85, 0xA4ED, 0xCDF0, 0xD5ED, 0xBD6A, 0x9CC8, 0x6BA5, 0x62C3, 0x6AC2, 0x6B04, 0x6344, 0x6364, 0x6344, 0x6345, 0x6B25, 0x7326, 0x7B08, 0x7B09, 0x7AEA, 0x7A87, 
        0x7A46, 0x8207, 0x79C7, 0x7186, 0x5964, 0x4163, 0x3143, 0x28C2, 0x1861, 0x1041, 0x1881, 0x51A5, 0x6A06, 0x6205, 0x6A26, 0x6A87, 0x8B4B, 0xD510, 0xEDF3, 0xF6D8, 0xFF5B, 0xFF3C, 0xFE9A, 0xFE38, 0xFE37, 0xFE76, 0xFE76, 0xFE56, 0xF5F5, 0xFE55, 
        0xFEB6, 0xFEF8, 0xF657, 0xED33, 0xD2EB, 0xC148, 0xC0E7, 0xC949, 0xD9A9, 0xD9C9, 0xDA09, 0xE28B, 0xEAAC, 0xF2AD, 0xF26C, 0xEA2A, 0xD988, 0xD128, 0xD149, 0xD189, 0xD1CA, 0xD9EA, 0xE1CA, 0xE1A9, 0xE189, 0xD989, 0xD969, 0xD168, 0xC968, 0xC967, 
        0xC947, 0xC126, 0xB0E6, 0xA8E5, 0xA126, 0xB9E9, 0xCA4A, 0xCA6A, 0xC28B, 0xC2AB, 0xC2EC, 0xCB2C, 0xD34D, 0xDBCE, 0xEC4F, 0xECB0, 0xF512, 0xED13, 0xECF2, 0xE4D0, 0xDCB0, 0xDCB0, 0xDCF2, 0xE532, 0xED52, 0xE511, 0xE511, 0xED11, 0xED32, 0xF573, 
        0xF573, 0xF553, 0xF553, 0xF552, 0xED32, 0xED52, 0xED32, 0xED32, 0xE512, 0xE4F1, 0xDCF1, 0xDCD0, 0xDCD0, 0xD4B0, 0xD4B0, 0xD4B0, 0xDCAF, 0xD4AF, 0xD4B0, 0xD48F, 0xD48F, 0xD470, 0xD470, 0xD46F, 0xCC6E, 0xC44E, 0xC44E, 0xC44E, 0xC42E, 0xB3ED, 
        0xB3ED, 0xB3ED, 0xB3CD, 0xB3CC, 0xABAC, 0xABCC, 0xABCC, 0xABAC, 0xA38B, 0xA38B, 0x9B6B, 0x932A, 0x8B09, 0x8AE9, 0x8AC8, 0x82A8, 0x7A86, 0x7225, 0x6A05, 0x69C5, 0x6185, 0x6165, 0x5965, 0x5964, 0x5964, 0x6165, 0x6165, 0x6145, 0x5964, 0x59E4, 
        0x5224, 0x4204, 0x31E3, 0x29A2, 0x2941, 0x2121, 0x2101, 0x2100, 0x2100, 0x18E1, 0x10E1, 0x18E1, 0x18C1, 0x18C2, 0x39A6, 0x6AEA, 0xACB0, 0x942C, 0x83AA, 0x73A9, 0x73E9, 0x740A, 0x7C2B, 0x6BAA, 0x6BAA, 0x7C2A, 0x73C9, 0x5AC7, 0x2923, 0x2144, 
        0x4A69, 0xA533, 0xE6FA, 0xF73A, 0xEEB8, 0xE616, 0xDDD6, 0xDE37, 0xDE98, 0xE699, 0xD5F6, 0x8BEC, 0x62E7, 0x6286, 0x836A, 0xACF1, 0xEF3B, 0xFF9E, 0xF73C, 0xE635, 0xCD70, 0xBD2E, 0xAD2D, 0xC56E, 0xD5D0, 0xE674, 0xEEF6, 0xEF17, 0xF758, 0xFF9C, 
        0xFF9D, 0xFF7B, 0xFF5A, 0xFF38, 0xF718, 0xF6F8, 0xFEF9, 0xFF1A, 0xF6F9, 0xF6B8, 0xEE97, 0xF73A, 0xEF19, 0xDE14, 0xC571, 0xC530, 0xBD10, 0xACAE, 0xA48D, 0xACCD, 0xA4CD, 0xA48B, 0x9C4A, 0x9C69, 0x9C89, 0x9C69, 0x9C69, 0x9C69, 0x9449, 0x9429, 
        0x9409, 0x9409, 0x9C4A, 0xACAB, 0xB52D, 0xACED, 0xACCD, 0xB4EE, 0xB52E, 0xB54E, 0xACEC, 0x8BE8, 0x8BC8, 0xA4AB, 0xB52D, 0xB54E, 0x9CAC, 0x6325, 0x52A3, 0x6305, 0x73A7, 0x8408, 0x8429, 0x62E5, 0x5263, 0x5262, 0x5AA2, 0x6AE3, 0x7B64, 0x7BA3, 
        0x6B82, 0x5B02, 0x5AE2, 0x6343, 0x8C47, 0xA56B, 0xAD6C, 0x94CA, 0x9469, 0x9469, 0xACEB, 0xC56E, 0xCD90, 0xC551, 0xBD12, 0xBCD2, 0xBCB2, 0xC4F4, 0xCD36, 0xE59A, 0xEE5C, 0xEEBC, 0xDE77, 0x8BAA, 0x7AE7, 0xA40E, 0xC4F5, 0xD558, 0xD57B,
  0x6B09, 0x6B08, 0x6AE8, 0x6B08, 0x6B29, 0x7B6A, 0x73AB, 0x7BAB, 0x7B8A, 0x838A, 0x836A, 0x7349, 0x62E7, 0x5AA5, 0x5285, 0x5265, 0x5285, 0x5285, 0x5265, 0x5265, 0x4A64, 0x4A63, 0x4A63, 0x4A84, 0x52A5, 0x52A5, 0x4A84, 0x4A43, 0x4223, 0x3A03, 0x41E2, 
        0x49E3, 0x5204, 0x5A24, 0x5A24, 0x6265, 0x6A87, 0x6A88, 0x6AA7, 0x62A7, 0x5286, 0x4A46, 0x5225, 0x6245, 0x7AA8, 0x9B2A, 0xA38C, 0xB42D, 0xCCB2, 0xD4D3, 0xDCF2, 0xE511, 0xE512, 0xE512, 0xED32, 0xF532, 0xED32, 0xE532, 0xE532, 0xED32, 0xED33, 
        0xE554, 0xDD54, 0xDD54, 0xDD54, 0xD534, 0xB4F3, 0xACB2, 0xBC92, 0xCC92, 0xD492, 0xE4B3, 0xE4B3, 0xDCB2, 0xC470, 0xB42E, 0xB40D, 0xB3CD, 0xBC11, 0xCC73, 0xE4D5, 0xF537, 0xFD58, 0xFD59, 0xF4F8, 0xF4D7, 0xFCF7, 0xFD16, 0xFD16, 0xF4F5, 0xDC12, 
        0xCBB0, 0xBBAF, 0xB3EE, 0xAC0E, 0x9BCB, 0x72A6, 0x6A45, 0x82C8, 0x9B4A, 0xA38C, 0xB3EE, 0xCC92, 0xDCF4, 0xDD15, 0xE535, 0xE535, 0xED34, 0xECB5, 0xEC95, 0xEC74, 0xE473, 0xE453, 0xE433, 0xE433, 0xEC53, 0xEC74, 0xF475, 0xF455, 0xF435, 0xDC32, 
        0xCC30, 0xC410, 0xC3F0, 0xBBF0, 0xC3F0, 0xCBD0, 0xCBB0, 0xC3AF, 0xC38F, 0xCB70, 0xDB90, 0xE3F2, 0xEC33, 0xE433, 0xE453, 0xE473, 0xEC94, 0xF4F6, 0xFD16, 0xFD37, 0xF557, 0xF577, 0xE574, 0xC4CE, 0xB48B, 0xBC8C, 0xCD2F, 0xD5D2, 0xDE95, 0xBD90, 
        0x8C2B, 0x41E5, 0x18A1, 0x10A1, 0x2963, 0x31E4, 0x31E4, 0x29A2, 0x2161, 0x2962, 0x41C5, 0x732C, 0x93EE, 0x9C2A, 0x8BE6, 0x7364, 0x52A3, 0x52C5, 0x5B06, 0x6325, 0x6325, 0x6304, 0x5B04, 0x6B45, 0x6B46, 0x7327, 0x7308, 0x7307, 0x7306, 0x6AA5, 
        0x6A66, 0x6A27, 0x6207, 0x6227, 0x5A06, 0x5984, 0x5103, 0x38A1, 0x2840, 0x2841, 0x4103, 0x8B0A, 0xABCD, 0xA38C, 0x92EA, 0x7A69, 0x7248, 0xBBEC, 0xE550, 0xF6B7, 0xFF7B, 0xFF7D, 0xFEDC, 0xFE3B, 0xFE39, 0xFE77, 0xFE76, 0xFE55, 0xFE15, 0xFE76, 
        0xFEB7, 0xF697, 0xE553, 0xCBAD, 0xB186, 0xD1CA, 0xEA2D, 0xF22C, 0xF22C, 0xF20C, 0xF1CC, 0xF189, 0xF169, 0xF189, 0xF1AA, 0xE18A, 0xD149, 0xB8E6, 0xB8C5, 0xC8C6, 0xD0E6, 0xD0C6, 0xC8A6, 0xC084, 0xB863, 0xB864, 0xC085, 0xC0A6, 0xC0E6, 0xC0A4, 
        0xC863, 0xD085, 0xD8C6, 0xD908, 0xD169, 0xB905, 0xB0C4, 0xB0A4, 0xB0A4, 0xA8A4, 0xA0C3, 0x90E3, 0x88E3, 0x9924, 0xA9C6, 0xBA48, 0xD34C, 0xDC30, 0xDC71, 0xDCB1, 0xDCD1, 0xE4F1, 0xED12, 0xED53, 0xED53, 0xED32, 0xE511, 0xE4F1, 0xE512, 0xF553, 
        0xF573, 0xF573, 0xF552, 0xF532, 0xED32, 0xED52, 0xED52, 0xE512, 0xE512, 0xE511, 0xE4F1, 0xDCB0, 0xDCB0, 0xD4B0, 0xD4D0, 0xD4D0, 0xD4AF, 0xD4AF, 0xD4AF, 0xD490, 0xD490, 0xD490, 0xCC6F, 0xCC6E, 0xCC6E, 0xC44E, 0xC44E, 0xC44E, 0xBC2E, 0xB3ED, 
        0xB3CD, 0xB3ED, 0xB3CD, 0xB3CD, 0xABAC, 0xABAC, 0xABAC, 0xA3AB, 0x9B8B, 0x9B8A, 0x9B6A, 0x8B09, 0x8AE9, 0x8AC9, 0x8AA8, 0x8286, 0x7265, 0x7226, 0x6A06, 0x61A5, 0x6165, 0x5945, 0x5945, 0x6164, 0x6184, 0x5984, 0x5964, 0x6144, 0x6944, 0x5A25, 
        0x5265, 0x4243, 0x3A02, 0x31A2, 0x2941, 0x2120, 0x1900, 0x20E1, 0x28E2, 0x2902, 0x2123, 0x1081, 0x1061, 0x2923, 0x5AA7, 0x83EB, 0xAD0E, 0x8389, 0x6AE7, 0x6B69, 0x7C2B, 0x848C, 0x94CD, 0x846B, 0x73E9, 0x5326, 0x3204, 0x2142, 0x0840, 0x0000, 
        0x2904, 0x83CE, 0xCE17, 0xE6FA, 0xEF1B, 0xE5D7, 0xDD55, 0xDDB5, 0xE637, 0xEE78, 0xD5D5, 0x6268, 0x4143, 0x6A65, 0x9C2B, 0xBD92, 0xEF7C, 0xFFDE, 0xF73B, 0xD5D3, 0xBCCE, 0xAC8C, 0xB4ED, 0xDE72, 0xF715, 0xF737, 0xF738, 0xF759, 0xFF7A, 0xFF9C, 
        0xFF9C, 0xFF5B, 0xFF3A, 0xFF1A, 0xFEF9, 0xF6D9, 0xF6DA, 0xF6D9, 0xF6B8, 0xF656, 0xF635, 0xFF5B, 0xEF3B, 0xBD72, 0xA46D, 0xAC8E, 0xC551, 0xB4EF, 0xACAE, 0x9C6C, 0x9C4B, 0x9C2B, 0x9C2A, 0x9449, 0x9469, 0xA48A, 0xA48B, 0xA48A, 0x9C6A, 0xA46B, 
        0xAC8C, 0xB4CD, 0xB50D, 0xB50D, 0xB4EC, 0xB4EC, 0xB4EC, 0xB4EC, 0xB4EC, 0xB50D, 0xB4EC, 0x9C29, 0x9C49, 0xBD6E, 0xD611, 0xCDF1, 0xB52E, 0x8BC9, 0x7326, 0x62C4, 0x6B46, 0x7C08, 0x9D2D, 0xACED, 0x9C2B, 0x7326, 0x62A3, 0x5AA3, 0x7345, 0x83C6, 
        0x8BE6, 0x7BA5, 0x6B84, 0x6B84, 0x6B84, 0x6305, 0x6B25, 0x83C8, 0x9CAC, 0xAD0E, 0xBD71, 0xCD33, 0xCCD3, 0xBC72, 0xB412, 0xABF3, 0xB3D6, 0xB3BA, 0xB3DC, 0xC47D, 0xCD1C, 0xCD58, 0xB50F, 0x8305, 0x82C5, 0xBCB1, 0xDD9A, 0xD55C, 0xBC5D,
  0x6B08, 0x6AE8, 0x62C7, 0x62E6, 0x6B07, 0x7349, 0x6B69, 0x7369, 0x7369, 0x7B49, 0x7349, 0x6B28, 0x5AA5, 0x5284, 0x4A85, 0x4A85, 0x5285, 0x52A5, 0x5285, 0x5285, 0x5284, 0x4A84, 0x4284, 0x4284, 0x52A5, 0x52A5, 0x4A65, 0x4A44, 0x4223, 0x3A02, 0x41E3, 
        0x49C3, 0x51C4, 0x59E4, 0x5A04, 0x6225, 0x6A66, 0x6A87, 0x6A86, 0x6287, 0x5287, 0x4A47, 0x5225, 0x6246, 0x7AA8, 0x932A, 0xA36B, 0xB40D, 0xC491, 0xCCD2, 0xDCF2, 0xDD12, 0xDD12, 0xE512, 0xED32, 0xED32, 0xED32, 0xE532, 0xE532, 0xED32, 0xED33, 
        0xE554, 0xDD54, 0xDD54, 0xD554, 0xCD34, 0xB4F2, 0xACB2, 0xBC92, 0xC492, 0xD4B2, 0xDCD3, 0xDCB2, 0xCC91, 0xBC4F, 0xAC0D, 0xABCC, 0xAB8C, 0xB3EF, 0xC431, 0xDCB4, 0xECF6, 0xF537, 0xF558, 0xF518, 0xF4F8, 0xF4F7, 0xF4F6, 0xF516, 0xECD5, 0xDC32, 
        0xD3D1, 0xBBAF, 0xB3AE, 0xB3ED, 0xA3CC, 0x7AA7, 0x6A45, 0x7AA6, 0x8B08, 0x934A, 0xABAD, 0xBC50, 0xCC92, 0xD4D4, 0xD4F4, 0xDCF4, 0xE4D3, 0xEC94, 0xEC74, 0xE474, 0xE474, 0xE454, 0xE434, 0xE454, 0xEC54, 0xEC74, 0xEC54, 0xEC34, 0xE3F3, 0xC3D0, 
        0xB3CE, 0xB3AE, 0xB3AF, 0xB3AF, 0xB3AF, 0xBB8F, 0xBB8F, 0xBB6E, 0xBB6F, 0xC36F, 0xD391, 0xE412, 0xEC33, 0xE433, 0xDC32, 0xDC32, 0xE473, 0xECD5, 0xF516, 0xF516, 0xED35, 0xED35, 0xDD12, 0xC4CE, 0xB48C, 0xAC2B, 0xB46D, 0xBD0F, 0xD5F3, 0xCE12, 
        0xB52F, 0x7309, 0x4184, 0x3143, 0x2963, 0x3183, 0x31A3, 0x29C2, 0x29A2, 0x2982, 0x3164, 0x4A48, 0x5AA9, 0x6AC6, 0x6283, 0x5242, 0x3A01, 0x4AC5, 0x5326, 0x52E5, 0x52A4, 0x52A3, 0x52C4, 0x6305, 0x6B26, 0x6B07, 0x6B07, 0x6B07, 0x6B26, 0x6AE6, 
        0x6AA6, 0x6A87, 0x6A88, 0x6AA8, 0x6AA7, 0x6A26, 0x61A5, 0x4903, 0x38A2, 0x38A2, 0x5185, 0x938C, 0xB44E, 0xB3ED, 0x9B2C, 0x82AA, 0x7248, 0xAB8A, 0xD4AE, 0xE635, 0xF71A, 0xF73C, 0xF6DC, 0xF63A, 0xF618, 0xFE57, 0xFE56, 0xFE35, 0xFE15, 0xFEB8, 
        0xF6B8, 0xEDD5, 0xD44F, 0xBACA, 0xB125, 0xD9EA, 0xF26D, 0xF24C, 0xF20B, 0xF1CB, 0xF18B, 0xF949, 0xF128, 0xE107, 0xD128, 0xC908, 0xC0E7, 0xB084, 0xB063, 0xB863, 0xB863, 0xB844, 0xA823, 0xA042, 0xA862, 0xA862, 0xA863, 0xB0A4, 0xB0C5, 0xB843, 
        0xC003, 0xD044, 0xE0C6, 0xE128, 0xD969, 0xB8A5, 0xA843, 0xB043, 0xB043, 0xA842, 0xA042, 0x8841, 0x8041, 0x8841, 0x9082, 0x98E4, 0xA9E7, 0xBACB, 0xC36D, 0xD42F, 0xDCD1, 0xE4F2, 0xE512, 0xED53, 0xED53, 0xED52, 0xE532, 0xE512, 0xE512, 0xED53, 
        0xF573, 0xF553, 0xED52, 0xED32, 0xED32, 0xE532, 0xE532, 0xE512, 0xE511, 0xDCF1, 0xDCD0, 0xDCB0, 0xDCB0, 0xDCB0, 0xD4B0, 0xD4B0, 0xD4AF, 0xD4AF, 0xD48F, 0xD48F, 0xCC8F, 0xCC8F, 0xCC8F, 0xCC6E, 0xCC4E, 0xC44E, 0xC44E, 0xC44E, 0xBC2E, 0xBBED, 
        0xB3ED, 0xB3CD, 0xB3CD, 0xB3AD, 0xABAC, 0xABAB, 0xA38B, 0x9B8B, 0x9B6A, 0x9B6A, 0x9B49, 0x8B09, 0x8AE9, 0x8AC8, 0x82A7, 0x7A86, 0x7245, 0x7206, 0x69E6, 0x61A5, 0x5964, 0x5944, 0x5944, 0x6164, 0x6184, 0x5984, 0x5964, 0x6144, 0x6944, 0x6245, 
        0x52A5, 0x4243, 0x31C2, 0x29A1, 0x2141, 0x2121, 0x2101, 0x20C1, 0x28C2, 0x2903, 0x2124, 0x0861, 0x1081, 0x41C5, 0x7349, 0x942B, 0x9CCC, 0x7367, 0x6AE6, 0x73C9, 0x848B, 0x8CCC, 0x8C8C, 0x73A9, 0x5AE6, 0x31E2, 0x1101, 0x08A0, 0x0881, 0x0020, 
        0x18A2, 0x62AA, 0xA4B2, 0xC617, 0xE71C, 0xDDD7, 0xD554, 0xDD95, 0xE5F5, 0xE615, 0xCD52, 0x6A88, 0x5A05, 0x8BCA, 0xBD91, 0xDE96, 0xF79D, 0xFF9D, 0xEEFA, 0xD592, 0xBCCE, 0xB4AD, 0xC550, 0xEEF5, 0xFF78, 0xF758, 0xF759, 0xF75A, 0xFF7B, 0xFF7B, 
        0xFF5B, 0xFF3B, 0xFF1A, 0xFEFA, 0xF6F9, 0xF6DA, 0xF6B9, 0xF6B9, 0xF698, 0xF677, 0xF677, 0xEEDA, 0xD678, 0xA4AF, 0x9C0C, 0xA46D, 0xC552, 0xB4EF, 0xA48D, 0x9C4C, 0x9C4C, 0xA44B, 0xA46B, 0x9C6A, 0x9C6A, 0xACAB, 0xACAC, 0xACAC, 0xA4AC, 0xB4CD, 
        0xBCEE, 0xBD0E, 0xBD0E, 0xB4CD, 0xAC8C, 0xB50D, 0xBD2D, 0xB50D, 0xB4ED, 0xB4ED, 0xB4CC, 0xA46A, 0x9C6A, 0xB50D, 0xC56F, 0xC590, 0xC54E, 0xB4CB, 0x9C49, 0x7BA7, 0x7BC8, 0x8C8C, 0xB5F1, 0xC5D1, 0xBD2E, 0x8BC9, 0x62A5, 0x5264, 0x5284, 0x6B46, 
        0x7BA7, 0x83E7, 0x7BE6, 0x73C5, 0x5B23, 0x4A61, 0x5AA3, 0x83E8, 0xA50D, 0xB54F, 0xB52F, 0xA44F, 0xA3CF, 0x9BCE, 0xA3D0, 0xA3F1, 0xABF5, 0xABDA, 0xABBB, 0xABD9, 0xABF5, 0xA3D1, 0x93CA, 0x9BA9, 0xAC0C, 0xC4F5, 0xD51B, 0xCCDD, 0xB3FD,
  0x6B09, 0x6AE8, 0x62C6, 0x5AC5, 0x62E5, 0x6B25, 0x6B06, 0x6B06, 0x6B07, 0x6307, 0x62E6, 0x5AC5, 0x5264, 0x4A64, 0x52A5, 0x52C6, 0x52E6, 0x5AC6, 0x5AC5, 0x5AA4, 0x52A5, 0x4AA5, 0x4AA5, 0x4AA4, 0x4A85, 0x4A85, 0x4A85, 0x4A64, 0x4A44, 0x4203, 0x39C2, 
        0x39A2, 0x4983, 0x5184, 0x59A5, 0x61E5, 0x6A25, 0x6A45, 0x6A66, 0x6286, 0x6286, 0x5A66, 0x5A46, 0x6267, 0x7AA8, 0x8AEA, 0x930B, 0xA36C, 0xBC2C, 0xC46D, 0xCCB0, 0xD4D2, 0xDCF2, 0xE512, 0xE512, 0xE512, 0xE532, 0xE552, 0xE553, 0xED53, 0xE553, 
        0xE553, 0xE554, 0xDD54, 0xDD54, 0xD554, 0xBCF2, 0xB4B2, 0xB491, 0xBC91, 0xC492, 0xCCB2, 0xC490, 0xC44F, 0xB3EE, 0xABAD, 0xA38C, 0x9B6B, 0xABAD, 0xBBEE, 0xCC52, 0xDCB4, 0xE4F5, 0xED16, 0xF558, 0xF558, 0xED16, 0xECD5, 0xE4D4, 0xE4B4, 0xD472, 
        0xCC31, 0xBBCF, 0xAB8D, 0xAB6D, 0xA36C, 0x9309, 0x82E8, 0x7AC7, 0x7AC7, 0x82E8, 0x932A, 0xA34C, 0xB38E, 0xC410, 0xCC31, 0xCBF2, 0xCBB1, 0xDC12, 0xDC52, 0xDC53, 0xDC33, 0xDC33, 0xDC33, 0xEC55, 0xEC55, 0xE433, 0xDBF1, 0xD3D0, 0xBB8E, 0x9AEB, 
        0x92CB, 0x9AEC, 0xA32D, 0xA34D, 0xA34D, 0xAB4E, 0xB34E, 0xB34E, 0xB36E, 0xBB8F, 0xCBD1, 0xE454, 0xE454, 0xE413, 0xDBD2, 0xD3B2, 0xD3D2, 0xDC73, 0xE4B4, 0xE4B4, 0xE494, 0xE492, 0xD470, 0xC42E, 0xB3ED, 0xA38B, 0x9329, 0x8B09, 0x936A, 0xBD0F, 
        0xCD90, 0xB50E, 0x8BEA, 0x6AE7, 0x3183, 0x2101, 0x2122, 0x31A3, 0x31C3, 0x31A2, 0x2981, 0x3222, 0x3242, 0x31A1, 0x2921, 0x2101, 0x2961, 0x4A83, 0x5AC3, 0x4A62, 0x4201, 0x3A21, 0x4262, 0x5284, 0x5A85, 0x5AA5, 0x5AC6, 0x6307, 0x6B49, 0x8368, 
        0x8B47, 0x8B28, 0x8B09, 0x8B09, 0x8B09, 0x732A, 0x6AEA, 0x6A48, 0x61C6, 0x59A5, 0x61E5, 0x8B29, 0x9BAB, 0xA3CC, 0xA3CC, 0xA3CC, 0xA3AB, 0xABAB, 0xBC0D, 0xD532, 0xE637, 0xF69A, 0xF6DB, 0xF638, 0xEE16, 0xF636, 0xF636, 0xF5F5, 0xF5D5, 0xFF1A, 
        0xEEDA, 0xCCB1, 0xBACA, 0xBA08, 0xD167, 0xD929, 0xE14A, 0xE1AA, 0xD9A9, 0xD968, 0xD927, 0xE127, 0xD907, 0xB0E5, 0xA105, 0xA925, 0xB966, 0xB986, 0xB186, 0xB166, 0xA167, 0x9946, 0x9166, 0xA209, 0xAA4A, 0xAA49, 0xA249, 0xA269, 0xA229, 0xB927, 
        0xC0A6, 0xC0A5, 0xB8C5, 0xB0E5, 0xB0E5, 0xA8C5, 0xB0A5, 0xB0E5, 0xB0E5, 0xB0E5, 0xA8C4, 0xA0E4, 0xA0E4, 0x9883, 0x9042, 0x8842, 0x7882, 0x8104, 0x91C7, 0xBB6D, 0xD491, 0xDCF2, 0xDCF2, 0xE531, 0xED32, 0xED52, 0xED53, 0xED33, 0xED33, 0xED53, 
        0xED73, 0xED52, 0xED52, 0xED32, 0xED32, 0xE512, 0xDD11, 0xDCF1, 0xDCF1, 0xDCD0, 0xD4D0, 0xDCB0, 0xDCB0, 0xDC90, 0xD490, 0xD48F, 0xCC8F, 0xD48F, 0xD48F, 0xCC8F, 0xCC8F, 0xCC8F, 0xCC8F, 0xCC4F, 0xCC4E, 0xC42E, 0xC44E, 0xC44E, 0xBC4E, 0xBC0D, 
        0xB3CD, 0xB3CC, 0xB3AC, 0xABAC, 0xABAC, 0xAB8A, 0xA36A, 0x9B4A, 0x9B4A, 0x9B2A, 0x9B2A, 0x92E9, 0x8AC8, 0x82A7, 0x7AA6, 0x7286, 0x6A26, 0x69C5, 0x6984, 0x5964, 0x5964, 0x5964, 0x5985, 0x6185, 0x6185, 0x5984, 0x5964, 0x5963, 0x6184, 0x6AA6, 
        0x62C6, 0x4204, 0x2962, 0x2141, 0x1941, 0x2142, 0x2102, 0x20C2, 0x20C2, 0x20E2, 0x2102, 0x1061, 0x20E3, 0x6AC8, 0x9BEB, 0x9C0B, 0x83A8, 0x73E8, 0x7449, 0x8CCA, 0x8CAA, 0x7C49, 0x5305, 0x2962, 0x10A1, 0x10A1, 0x10C1, 0x1102, 0x2142, 0x10A1, 
        0x0861, 0x20E3, 0x4A49, 0x7BCF, 0xC617, 0xCE37, 0xD616, 0xDE17, 0xDDB5, 0xCD32, 0xB46E, 0xACAD, 0xBD70, 0xDE96, 0xEF5B, 0xF79D, 0xFFBE, 0xF73B, 0xEE98, 0xDDB4, 0xD573, 0xDDD3, 0xEEB6, 0xF739, 0xF75A, 0xFF9B, 0xFFBC, 0xFFBC, 0xFF7C, 0xF71A, 
        0xF6F9, 0xF6D8, 0xF6B8, 0xF6D8, 0xF6F8, 0xF6F9, 0xF6FA, 0xF6B9, 0xF6D9, 0xF71B, 0xEF1B, 0xC574, 0xA46F, 0x93CB, 0x93EB, 0xAC8E, 0xCD93, 0xA48D, 0x9C2B, 0xAC6C, 0xB4AD, 0xB4CD, 0xACAC, 0xACAC, 0xACAC, 0xB4CD, 0xB4EE, 0xB4EE, 0xBD0F, 0xCD71, 
        0xCD91, 0xC52F, 0xB4AD, 0xAC4C, 0xA42B, 0xC54F, 0xCDB1, 0xC570, 0xBD4F, 0xBD2F, 0xBCEE, 0xACCD, 0xA46B, 0x93A8, 0x9388, 0xA40A, 0xC52D, 0xCDCE, 0xC5AE, 0xBD4E, 0xB54F, 0xBD92, 0xCE36, 0xC5F3, 0xB571, 0x9C8D, 0x7B49, 0x5A87, 0x39E4, 0x4223, 
        0x52A4, 0x7387, 0x83E8, 0x7BC6, 0x7363, 0x73E4, 0x8466, 0xA54B, 0xAD6D, 0xA54B, 0x7C47, 0x5AE5, 0x52A5, 0x6B26, 0x7BA8, 0x83EA, 0x842D, 0x8C71, 0x8C31, 0x834C, 0x7A89, 0x7247, 0x8ACA, 0xC536, 0xD5BB, 0xC49C, 0xB3BC, 0xB39D, 0xBBDD,
  0x734A, 0x734A, 0x6B29, 0x6B07, 0x6B06, 0x6325, 0x6305, 0x6306, 0x62C6, 0x5AC5, 0x5AA5, 0x5AA5, 0x5AA4, 0x5AC5, 0x5AE5, 0x5AE6, 0x6306, 0x6B07, 0x6B06, 0x6B06, 0x62E6, 0x62C5, 0x5AC5, 0x5AA5, 0x5285, 0x5285, 0x5285, 0x5285, 0x5265, 0x5244, 0x49E3, 
        0x49A3, 0x51A3, 0x59A4, 0x59A4, 0x61E4, 0x6A25, 0x6A45, 0x6265, 0x6285, 0x62A5, 0x6285, 0x5A65, 0x6286, 0x72C8, 0x830A, 0x8B0A, 0x9B4A, 0xABCC, 0xB40D, 0xBC4E, 0xC4B0, 0xD4D1, 0xE4F2, 0xE512, 0xED12, 0xED32, 0xED52, 0xED53, 0xED53, 0xED53, 
        0xED73, 0xE574, 0xE574, 0xE574, 0xDD54, 0xBD13, 0xB4D2, 0xB4B2, 0xBCB1, 0xC491, 0xC491, 0xBC50, 0xBC10, 0xB3EE, 0xB3CD, 0xABAC, 0x9B6C, 0x9B4B, 0xA36C, 0xBBEF, 0xD472, 0xDC93, 0xECD5, 0xF558, 0xFD78, 0xF537, 0xED16, 0xECF5, 0xE4B4, 0xCC51, 
        0xC40F, 0xBBCF, 0xABAF, 0xAB8E, 0xA34C, 0x932A, 0x8B09, 0x7AA8, 0x72A7, 0x7AA8, 0x8309, 0x934B, 0x938C, 0x9BCD, 0xA40E, 0xAC2E, 0xB42F, 0xBC30, 0xC431, 0xCC52, 0xD472, 0xD473, 0xDC73, 0xE473, 0xEC73, 0xE452, 0xDC51, 0xD430, 0xBBCE, 0x930B, 
        0x8ACA, 0x8B0B, 0x934C, 0x9B6D, 0xAB6D, 0xA34D, 0xA34E, 0xB36F, 0xBB8F, 0xBBB0, 0xC3D1, 0xE433, 0xEC34, 0xEC33, 0xE3F3, 0xDBD2, 0xD3B1, 0xCBD2, 0xD412, 0xDC73, 0xE4B3, 0xE4B3, 0xDC91, 0xC42E, 0xB3ED, 0xABAC, 0x9B6B, 0x932A, 0x932A, 0xABEC, 
        0xB44D, 0xAC4C, 0x940B, 0x7BA9, 0x52C6, 0x31C4, 0x2963, 0x3143, 0x3163, 0x3163, 0x3182, 0x31C2, 0x39E2, 0x41C1, 0x49E2, 0x4A03, 0x4A24, 0x4A44, 0x4A44, 0x4A24, 0x4A23, 0x4A43, 0x4A63, 0x5A65, 0x6286, 0x6AC6, 0x6B06, 0x6B26, 0x7346, 0x8387, 
        0x8B87, 0x8B67, 0x8B48, 0x9349, 0x934B, 0x9329, 0x92E9, 0x8AA8, 0x8247, 0x7A06, 0x7205, 0x9AE9, 0xABAC, 0xBC2E, 0xB42F, 0xABED, 0xA38C, 0xCC2E, 0xE4B0, 0xED52, 0xEDF5, 0xF658, 0xF69B, 0xF63A, 0xF619, 0xF657, 0xFE55, 0xFE15, 0xFDD6, 0xFEF9, 
        0xEE97, 0xCC0E, 0xBA48, 0xC1C7, 0xD9A8, 0xE109, 0xD8E9, 0xD149, 0xC9A9, 0xC1C9, 0xB187, 0x80A3, 0x80C4, 0xB28A, 0xD430, 0xE534, 0xEE39, 0xF6BA, 0xEEDA, 0xEEBA, 0xE69A, 0xE638, 0xDDB6, 0xEE79, 0xEEDB, 0xEEBA, 0xE679, 0xDE38, 0xCD75, 0xDBD0, 
        0xCACC, 0xA1E8, 0x8185, 0x8185, 0x89E6, 0x91E6, 0x9A07, 0xAA49, 0xAA28, 0xA1A7, 0x9105, 0x9125, 0x9125, 0x98C4, 0x9063, 0x9022, 0x9062, 0x9967, 0xA24A, 0xBB8D, 0xCC6F, 0xD4B0, 0xDCD1, 0xECF2, 0xF512, 0xF553, 0xF553, 0xF553, 0xED33, 0xF553, 
        0xF573, 0xF553, 0xF553, 0xF532, 0xED12, 0xE512, 0xE511, 0xE4F1, 0xE4F1, 0xDCF1, 0xDCD1, 0xDCB0, 0xDC90, 0xDC90, 0xDCB0, 0xD4AF, 0xD48F, 0xD4AF, 0xD4AF, 0xD48F, 0xD490, 0xD490, 0xD490, 0xC46F, 0xBC4E, 0xC44E, 0xC44E, 0xC44E, 0xBC2E, 0xB3ED, 
        0xB3CD, 0xB3CD, 0xB3CD, 0xB3CD, 0xABAC, 0xA38B, 0xA38B, 0x9B4A, 0x9B2A, 0x9B2A, 0x932A, 0x8AC9, 0x8A89, 0x7A68, 0x7A47, 0x7246, 0x6A26, 0x6185, 0x6144, 0x6164, 0x61A4, 0x61C5, 0x61C6, 0x6985, 0x6984, 0x69A5, 0x69C5, 0x71C4, 0x7204, 0x6AE7, 
        0x5AE7, 0x31E4, 0x1941, 0x1941, 0x2962, 0x1902, 0x18E2, 0x18C2, 0x18E2, 0x18E2, 0x18C1, 0x0860, 0x2923, 0x838B, 0xB4EE, 0xA4CD, 0x840B, 0x8C6C, 0x8C6B, 0x7388, 0x4A85, 0x31E3, 0x1901, 0x0880, 0x0880, 0x10C0, 0x1901, 0x1901, 0x2102, 0x2123, 
        0x2123, 0x20E2, 0x20C2, 0x2903, 0x5268, 0xBDF7, 0xEF7D, 0xEF3C, 0xE699, 0xE5F7, 0xDD95, 0xE678, 0xEF19, 0xF77A, 0xFF9B, 0xFFBC, 0xFFBD, 0xF71B, 0xF6FA, 0xF6FA, 0xF73A, 0xF77B, 0xFFBC, 0xFFDD, 0xFFBD, 0xFF9C, 0xFF7B, 0xFF7B, 0xF75A, 0xF71B, 
        0xF6FA, 0xF6D9, 0xFEF8, 0xFEF8, 0xF718, 0xF6FA, 0xF6FA, 0xF6D8, 0xFF19, 0xFF7B, 0xEF3A, 0xB4CF, 0x93AA, 0x8349, 0x8BCC, 0xA48F, 0xCD93, 0xB4F0, 0xACAE, 0xACAF, 0xB4AF, 0xB4AE, 0xB48E, 0xB48E, 0xB4AF, 0xB4AF, 0xB4CF, 0xB4EF, 0xBCEF, 0xB4B0, 
        0xBCD0, 0xCD51, 0xCD71, 0xC530, 0xB4CF, 0xB50F, 0xB52E, 0xB50E, 0xBD2E, 0xC54F, 0xCD91, 0xBD0E, 0xB4AC, 0xAC6B, 0xA42A, 0x9BEA, 0x940A, 0xA4AC, 0xACED, 0xB50E, 0xAC8D, 0x9BCB, 0x836A, 0xBD53, 0xDE57, 0xE6B7, 0xE6B6, 0xD674, 0xB570, 0x7B68, 
        0x62C5, 0x7346, 0x7BC6, 0x8407, 0x9467, 0xA4E9, 0xA509, 0x94A8, 0x7C26, 0x6BC5, 0x6383, 0x73C4, 0x7BC4, 0x6B84, 0x6384, 0x6B84, 0x6B65, 0x52A4, 0x4A24, 0x5A45, 0x82EA, 0xA3F0, 0xC519, 0xC45E, 0xBBFF, 0xBC1F, 0xC41E, 0xC41E, 0xCC1F,
  0x7B4C, 0x7B4C, 0x7B2A, 0x7308, 0x6B07, 0x6305, 0x62C7, 0x62C8, 0x5AA7, 0x5AC5, 0x5AC5, 0x5AC5, 0x62A7, 0x62A7, 0x5AE6, 0x6306, 0x6327, 0x6B49, 0x7349, 0x7B49, 0x7349, 0x6B28, 0x6B49, 0x6328, 0x5AA5, 0x5A84, 0x5A85, 0x52A5, 0x5285, 0x5264, 0x5203, 
        0x51E3, 0x59E4, 0x59E4, 0x61E5, 0x6A04, 0x6A25, 0x6A25, 0x6244, 0x6264, 0x6285, 0x62A5, 0x6AA5, 0x72A7, 0x82A9, 0x8ACA, 0x8AE9, 0x9309, 0x9B8B, 0xABED, 0xB42D, 0xBC6E, 0xC48F, 0xCCB1, 0xE4F2, 0xECF2, 0xED33, 0xED53, 0xED73, 0xED73, 0xED54, 
        0xED54, 0xE574, 0xE574, 0xDD74, 0xD554, 0xCCF3, 0xC4D3, 0xC4B2, 0xBCB1, 0xBC91, 0xBC50, 0xB3EE, 0xABCD, 0xA3AC, 0x9BAB, 0x9B8B, 0x932A, 0x92EA, 0x9AEA, 0xAB6C, 0xBBCE, 0xC40F, 0xCC72, 0xE515, 0xED57, 0xED36, 0xE514, 0xE4D3, 0xDC71, 0xBBEF, 
        0xB3AE, 0xB38D, 0xAB6C, 0xA32C, 0x9AEB, 0x9ACB, 0x9ACA, 0x8287, 0x7266, 0x6A86, 0x6AA7, 0x72A8, 0x72A8, 0x72C9, 0x730A, 0x7B4B, 0x8B6C, 0xA36D, 0xAB6F, 0xC3F1, 0xD453, 0xDC73, 0xE474, 0xEC95, 0xEC75, 0xDC12, 0xCBB0, 0xC38F, 0xA30D, 0x6A67, 
        0x5A25, 0x6267, 0x72A9, 0x82CA, 0x930B, 0x932D, 0x9B2D, 0xA34D, 0xB36F, 0xBBB0, 0xCBF2, 0xE433, 0xEC54, 0xEC33, 0xEC33, 0xEC13, 0xE3F2, 0xB3AE, 0xA3AD, 0xABCE, 0xB3EF, 0xC3F0, 0xCBCF, 0xB3AD, 0xA38C, 0xA34C, 0x9AEB, 0x928B, 0x8229, 0x8A49, 
        0x9AEB, 0xB40E, 0xC50F, 0xBD4E, 0x9CAA, 0x5A85, 0x3982, 0x2942, 0x2122, 0x2142, 0x21A3, 0x1A05, 0x1A25, 0x31E4, 0x41E3, 0x4A04, 0x4A24, 0x41A2, 0x4182, 0x41C2, 0x4A03, 0x4A03, 0x5203, 0x5A64, 0x62C5, 0x6327, 0x6B67, 0x6B86, 0x6B85, 0x7BA6, 
        0x8BC8, 0x93EA, 0x9C2C, 0xA44D, 0xAC6D, 0xA40D, 0xA3CD, 0xABAD, 0xA36E, 0x9B4D, 0x930D, 0xA38D, 0xB3EE, 0xBC2F, 0xBC30, 0xBC10, 0xB3EF, 0xD46F, 0xE4CF, 0xDCF0, 0xDD32, 0xDD75, 0xEDF8, 0xF65A, 0xF67A, 0xFE98, 0xFE56, 0xF615, 0xF5F6, 0xFF1B, 
        0xEEBA, 0xC42F, 0xAA27, 0xA965, 0xB906, 0xD0E8, 0xD929, 0xD1AA, 0xC1EA, 0xB1E9, 0x8965, 0x3881, 0x38A2, 0x7A48, 0xBBEF, 0xD513, 0xDE99, 0xF7BC, 0xFFDD, 0xF77D, 0xE6FB, 0xDE79, 0xD5D6, 0xD637, 0xDE77, 0xDE16, 0xC532, 0xA42E, 0x7AC9, 0x932B, 
        0xABAC, 0xB40E, 0xBC4F, 0xBC70, 0xBC2F, 0x9AA9, 0x8A07, 0x9227, 0x9A08, 0x99C7, 0x9166, 0x8185, 0x7945, 0x88C4, 0x8842, 0x8822, 0x90E4, 0xD32D, 0xEC51, 0xE471, 0xDC91, 0xD490, 0xDC90, 0xE511, 0xE532, 0xED33, 0xED33, 0xED33, 0xF553, 0xF573, 
        0xF593, 0xF573, 0xF552, 0xED52, 0xED32, 0xE512, 0xE512, 0xE4F1, 0xDCF1, 0xDCF0, 0xDCF0, 0xDCB1, 0xDC91, 0xDCB0, 0xDCB0, 0xD4AF, 0xD4AF, 0xD4AF, 0xD48F, 0xD48F, 0xD48F, 0xCC6F, 0xCC6F, 0xCC6F, 0xCC4E, 0xC44E, 0xC44F, 0xC44F, 0xBC2E, 0xB3ED, 
        0xB3CC, 0xB3CC, 0xB3CC, 0xABAC, 0xA38C, 0xA38B, 0xA36A, 0x9B4A, 0x932A, 0x930A, 0x8AEA, 0x8AA9, 0x8268, 0x7A27, 0x6A07, 0x69E6, 0x61C5, 0x6184, 0x6184, 0x61A5, 0x61C5, 0x61C5, 0x61A5, 0x6185, 0x6185, 0x69A5, 0x7205, 0x7245, 0x72A6, 0x4A44, 
        0x31E3, 0x1961, 0x1941, 0x2162, 0x3163, 0x18C2, 0x10A2, 0x2103, 0x2103, 0x18C2, 0x1081, 0x18C2, 0x39C5, 0x940D, 0xCD91, 0xCDB2, 0xA4AE, 0x5AE6, 0x3203, 0x2162, 0x1922, 0x1901, 0x18E0, 0x10C0, 0x10C0, 0x1901, 0x2102, 0x2102, 0x2102, 0x2943, 
        0x2984, 0x3185, 0x2924, 0x18C3, 0x2925, 0x8472, 0xBE39, 0xE73C, 0xF79E, 0xF77D, 0xEEBA, 0xDD53, 0xE552, 0xEE76, 0xF75A, 0xFF9B, 0xFF7C, 0xFF5C, 0xFF7C, 0xFFBD, 0xFFDD, 0xFFDE, 0xFFDD, 0xFFBB, 0xFF9B, 0xFF7B, 0xFF5A, 0xF73A, 0xF73A, 0xF6FA, 
        0xFEFA, 0xFEF9, 0xFEF9, 0xF6F9, 0xF6DA, 0xF6DA, 0xF6D9, 0xF6F8, 0xF739, 0xF759, 0xDEB7, 0x9C0D, 0x7B09, 0x836A, 0x940C, 0xA4AF, 0xC552, 0xB511, 0xACD0, 0xACAF, 0xACAE, 0xA48E, 0xAC6E, 0xAC4E, 0xAC4E, 0xAC6E, 0xB48E, 0xB4AE, 0xBCCF, 0xBD10, 
        0xBD10, 0xBCEF, 0xC510, 0xCD52, 0xCD92, 0xB4EE, 0xACAC, 0xACCD, 0xBD0F, 0xC571, 0xCDB2, 0xCD30, 0xBCCD, 0xAC4B, 0x9C0B, 0x9C2B, 0x9C6C, 0x9C4A, 0xA449, 0xA46A, 0xAC8B, 0xAC8B, 0xA46C, 0xA44C, 0xACCF, 0xD614, 0xEEF8, 0xEF18, 0xC633, 0x6B67, 
        0x5283, 0x6324, 0x7C06, 0x9489, 0xA54A, 0xA549, 0x9D08, 0x8466, 0x73C5, 0x6B64, 0x6344, 0x6BA5, 0x73E5, 0x73C5, 0x73A5, 0x6B85, 0x5B04, 0x39C2, 0x4A25, 0x9C4E, 0xCD96, 0xD55A, 0xC45D, 0xBBDF, 0xBBDF, 0xC43E, 0xC45E, 0xC43E, 0xC41E,
  0x7B4F, 0x7B2E, 0x730C, 0x6AEA, 0x62E9, 0x6308, 0x62C8, 0x62C9, 0x62C9, 0x62C9, 0x62C9, 0x62A9, 0x6AC9, 0x6AE9, 0x6B29, 0x6368, 0x6B89, 0x6BA9, 0x838A, 0x8B8A, 0x8B6A, 0x836A, 0x836A, 0x7B49, 0x72E8, 0x6AC8, 0x62A7, 0x6286, 0x6286, 0x6265, 0x6225, 
        0x6225, 0x6A25, 0x7245, 0x6A45, 0x6A25, 0x7205, 0x6A05, 0x6224, 0x6244, 0x6263, 0x6AA4, 0x72C6, 0x7AC8, 0x82A9, 0x92AA, 0x92AA, 0x92AA, 0x9AEA, 0x9B2A, 0xAB4B, 0xB38C, 0xB3AC, 0xB40E, 0xD4B0, 0xDCF2, 0xE512, 0xE533, 0xE553, 0xED53, 0xED53, 
        0xED54, 0xED54, 0xE554, 0xE554, 0xDD34, 0xCCB2, 0xC470, 0xBC2E, 0xB3ED, 0xABCC, 0xA36B, 0x9B09, 0x9B09, 0x9B09, 0x92E9, 0x92C8, 0x8287, 0x8267, 0x8288, 0x92EA, 0xA32C, 0xAB4C, 0xB38D, 0xB3EE, 0xBC0F, 0xC431, 0xC431, 0xC411, 0xB3AF, 0xAB4C, 
        0xAB2B, 0xA32B, 0xA32B, 0xA32B, 0xA30A, 0x92A9, 0x9269, 0x9289, 0x92A8, 0x92A8, 0x9286, 0x8287, 0x7A67, 0x7246, 0x6A25, 0x6225, 0x6226, 0x7A87, 0x8AC8, 0x8B4B, 0x93CD, 0xA3EF, 0xBC11, 0xD412, 0xD3F1, 0xC38E, 0xAB2B, 0x9AE9, 0x7AA7, 0x6265, 
        0x5A45, 0x6246, 0x6A67, 0x7288, 0x7AC9, 0x8B2A, 0x934B, 0x9B4C, 0xA38D, 0xABCE, 0xC450, 0xDCB3, 0xECB4, 0xE474, 0xE473, 0xDC73, 0xDC73, 0xC3CF, 0xB38D, 0xA38C, 0x9B6B, 0x9B4A, 0x9AEA, 0x8AE9, 0x82E9, 0x8AE8, 0x8AC8, 0x8AA7, 0x82A7, 0x7287, 
        0x7267, 0x6A46, 0x5A25, 0x4A04, 0x4224, 0x6B28, 0x7B48, 0x6AA6, 0x51E4, 0x4183, 0x3142, 0x3142, 0x3962, 0x4163, 0x4164, 0x4164, 0x3964, 0x3942, 0x3922, 0x3923, 0x3964, 0x41A5, 0x5246, 0x62C7, 0x6AE8, 0x7309, 0x7309, 0x7308, 0x7B47, 0x93C9, 
        0x9C2A, 0xAC6B, 0xB4AD, 0xBCAD, 0xC4AE, 0xBC8D, 0xB48D, 0xBC4D, 0xC40D, 0xC3CD, 0xC38C, 0xBB8D, 0xBBAD, 0xBBCD, 0xC40E, 0xCC50, 0xDC72, 0xD46F, 0xCC6E, 0xCC6E, 0xCC8F, 0xCC91, 0xD4B3, 0xDD35, 0xE5B6, 0xF637, 0xFE78, 0xFE98, 0xF699, 0xFEDA, 
        0xF6B9, 0xE5B5, 0xC40F, 0xA2AA, 0x88C4, 0xB8E6, 0xC927, 0xB906, 0xA8E6, 0xA106, 0x9106, 0x60E3, 0x48C2, 0x30A2, 0x30C3, 0x30E3, 0x4A07, 0xB553, 0xD637, 0xC513, 0xB471, 0xB450, 0xA40F, 0x6268, 0x51E6, 0x72A8, 0x936B, 0xA3EC, 0xAC0D, 0x9B8C, 
        0x9B8D, 0xBC4F, 0xBC4F, 0xB38D, 0x9A28, 0xA208, 0xA1C8, 0x9145, 0x90E4, 0x90E4, 0xA105, 0x9125, 0x88E4, 0x9083, 0x9883, 0xA8E4, 0xC24A, 0xEC93, 0xED55, 0xDCF2, 0xD4B1, 0xD490, 0xDCB1, 0xECF2, 0xED12, 0xE512, 0xE512, 0xE533, 0xE553, 0xF553, 
        0xF553, 0xED52, 0xED32, 0xE532, 0xE512, 0xE512, 0xE511, 0xDCF1, 0xDCD1, 0xDCD0, 0xD4D0, 0xD4B0, 0xDCB1, 0xD4B0, 0xD4B0, 0xD4AF, 0xD48E, 0xCCAE, 0xCCAE, 0xCC8E, 0xCC8E, 0xCC6E, 0xC44E, 0xCC6E, 0xCC6E, 0xC44E, 0xBC2E, 0xBC2E, 0xBC0D, 0xB3CC, 
        0xB3AC, 0xB3AC, 0xB3AC, 0xABAC, 0xAB6B, 0xA32A, 0x9B2A, 0x9309, 0x8AE8, 0x8AE8, 0x8AA9, 0x8289, 0x7A68, 0x7226, 0x69E5, 0x61E5, 0x59A5, 0x5983, 0x6163, 0x6184, 0x69A5, 0x69A5, 0x61C5, 0x61E5, 0x59E5, 0x59A4, 0x6A05, 0x7A87, 0x7B08, 0x3163, 
        0x10C1, 0x1921, 0x2162, 0x2162, 0x2122, 0x20C1, 0x20C1, 0x2922, 0x2102, 0x18C2, 0x2102, 0x6BA9, 0x9D0D, 0xAD4E, 0x9CAD, 0x7BA9, 0x39E4, 0x18E1, 0x1901, 0x31C4, 0x3A24, 0x31C3, 0x18E1, 0x18A1, 0x18C1, 0x2102, 0x2123, 0x2123, 0x2102, 0x20E2, 
        0x2923, 0x39A5, 0x39C5, 0x2964, 0x18C2, 0x18E4, 0x4208, 0x94B2, 0xD69A, 0xE6FB, 0xEEBA, 0xE678, 0xE677, 0xEE57, 0xF678, 0xF698, 0xF71A, 0xFF9C, 0xFFDD, 0xFFBC, 0xFFBC, 0xFFBC, 0xFFBC, 0xF73B, 0xF6FA, 0xF6FA, 0xF6FA, 0xF6FA, 0xF6D9, 0xF6B9, 
        0xF6B9, 0xF6D9, 0xF6D9, 0xF6FA, 0xF6D9, 0xEE97, 0xEEB7, 0xF719, 0xEF1A, 0xDEB8, 0xB553, 0x7349, 0x5AA6, 0x6B27, 0x8BEB, 0xA48F, 0xC553, 0xBD30, 0xB4EE, 0xACAC, 0xAC8C, 0xAC6C, 0xAC2D, 0xA40D, 0xA42E, 0xAC4E, 0xB48E, 0xB4AE, 0xACAE, 0xAC8F, 
        0xB4B0, 0xC511, 0xCD53, 0xCD53, 0xC532, 0xBD4F, 0xB54E, 0xB56E, 0xB50E, 0xA4AC, 0x940A, 0x9C2A, 0xA46B, 0xACAC, 0xACAB, 0xAC6B, 0xA44A, 0xBD2D, 0xC56E, 0xBD0D, 0xB4CC, 0xB48C, 0xAC6C, 0xA42B, 0xAC8C, 0xCD70, 0xC591, 0xACEE, 0x7B88, 0x6B26, 
        0x7386, 0x9489, 0xAD2A, 0xB54A, 0xA4E9, 0x73E6, 0x6365, 0x5B44, 0x6324, 0x6B04, 0x6B24, 0x6B44, 0x6B85, 0x73A8, 0x6328, 0x4A66, 0x39E4, 0x7C27, 0xA58C, 0xCE74, 0xDE78, 0xD598, 0xBC37, 0xB3FC, 0xB41E, 0xBC3E, 0xBC3E, 0xBC3D, 0xBC5D,
  0x8B51, 0x8350, 0x7B0F, 0x7AED, 0x72EC, 0x72EB, 0x6AEB, 0x6AEB, 0x6AEC, 0x72ED, 0x72CD, 0x72CE, 0x72AE, 0x6AAD, 0x6B0B, 0x6B69, 0x738A, 0x83AB, 0x93CC, 0x93CC, 0x93AC, 0x9BAB, 0x93AB, 0x938B, 0x8B4A, 0x832A, 0x7AE9, 0x72A8, 0x7287, 0x6A67, 0x7267, 
        0x7A87, 0x8A88, 0x9288, 0x9288, 0x8A67, 0x8245, 0x7A25, 0x6A44, 0x6264, 0x6284, 0x6AA4, 0x7AC8, 0x8ACA, 0x930B, 0x9B0C, 0xA30D, 0x9AEC, 0x9ACA, 0x9AC9, 0x9AEA, 0xA32B, 0xA34C, 0xABAE, 0xC44E, 0xCC8F, 0xD4D1, 0xDCF2, 0xE513, 0xE532, 0xED53, 
        0xF573, 0xED54, 0xED54, 0xED54, 0xE533, 0xD4F2, 0xCCB1, 0xBC4F, 0xB3ED, 0xABAD, 0xA36C, 0x9B2A, 0x9309, 0x92E9, 0x92E8, 0x92C8, 0x92A9, 0x8A69, 0x8A69, 0x92AA, 0xA2EB, 0xAB2C, 0xB38D, 0xB3CF, 0xB3CF, 0xBBEF, 0xC3F0, 0xC3F0, 0xBBEF, 0xB38E, 
        0xB36D, 0xAB6D, 0xAB6C, 0xAB4C, 0xAB2C, 0xA2EB, 0x9ACA, 0xA2CA, 0xA2AA, 0x9AA9, 0x92A8, 0x8AA8, 0x82A7, 0x82A7, 0x7AA6, 0x7286, 0x6A86, 0x6AA7, 0x72C9, 0x832A, 0x8B6B, 0x9B8C, 0xABED, 0xC42F, 0xC44F, 0xB40E, 0xA3AC, 0x9B6B, 0x8329, 0x6AA8, 
        0x6287, 0x6285, 0x6265, 0x6286, 0x72A8, 0x8B2B, 0x936C, 0x934B, 0x9B6B, 0xA3AC, 0xB40F, 0xD493, 0xDCB4, 0xE494, 0xE474, 0xE453, 0xD432, 0xC410, 0xB3EE, 0xABCD, 0xA3AD, 0xAB8D, 0xB34D, 0xA30B, 0x9AEA, 0x8AA8, 0x8287, 0x7A86, 0x82A6, 0x8AE8, 
        0x8AE9, 0x7AA8, 0x6267, 0x5A66, 0x5285, 0x5A63, 0x6242, 0x61E2, 0x5982, 0x5162, 0x4963, 0x49A4, 0x51C4, 0x5184, 0x4964, 0x4143, 0x4143, 0x4984, 0x4985, 0x4164, 0x3143, 0x3143, 0x3983, 0x5A86, 0x6AE8, 0x7B09, 0x8349, 0x8369, 0x8BA9, 0x8388, 
        0x8BA8, 0x9C0A, 0xAC6B, 0xB48C, 0xC48E, 0xC4B0, 0xC4B0, 0xC46F, 0xC42E, 0xC40E, 0xBBEE, 0xBBEF, 0xBBEE, 0xC3EE, 0xD42F, 0xDC71, 0xE4B2, 0xD450, 0xCC2F, 0xCC6E, 0xCC8F, 0xCC90, 0xD4B3, 0xDD76, 0xE5F7, 0xEE16, 0xF657, 0xFE79, 0xFE7B, 0xF616, 
        0xF636, 0xF698, 0xDDB6, 0xBC10, 0x9945, 0xA884, 0xB0A5, 0xB908, 0xB96A, 0xC1AB, 0xBA0B, 0xAA2A, 0x91E8, 0x7104, 0x4861, 0x3020, 0x2061, 0x4104, 0x61A6, 0x8AAA, 0xB3EF, 0xC4B2, 0xC4F3, 0x8B2B, 0x7A88, 0x8AC9, 0x9B6C, 0xABED, 0xB44F, 0xB38D, 
        0xAB0B, 0xAACB, 0xA249, 0x99A7, 0x9105, 0xA947, 0xA968, 0x98E5, 0x98A3, 0xA0C4, 0xB126, 0x98C4, 0x8883, 0x98A3, 0xB167, 0xCA6B, 0xE3F1, 0xE492, 0xDCB1, 0xDCD2, 0xDCD1, 0xDCB1, 0xDC91, 0xE4D1, 0xECF2, 0xECF2, 0xED12, 0xED12, 0xE512, 0xED52, 
        0xED52, 0xED52, 0xED32, 0xED32, 0xED32, 0xE512, 0xE4F2, 0xE4F1, 0xE4F1, 0xDCF1, 0xDCD1, 0xDCB1, 0xDCB1, 0xDCB0, 0xDCCF, 0xD4CF, 0xD4AF, 0xD48F, 0xD46F, 0xD48F, 0xCC6F, 0xCC6F, 0xC44F, 0xCC4F, 0xCC2F, 0xC44F, 0xBC4E, 0xBC2E, 0xBC0D, 0xB3CD, 
        0xB3AD, 0xABAC, 0xA38C, 0xA36C, 0xA36B, 0xA34A, 0x9B4A, 0x9329, 0x92E9, 0x8AC8, 0x8AA8, 0x7267, 0x6A47, 0x6A06, 0x69C5, 0x69A5, 0x61A5, 0x5984, 0x5984, 0x69C4, 0x71E5, 0x7205, 0x7205, 0x6225, 0x5A24, 0x6204, 0x7A87, 0x936A, 0x93ED, 0x3165, 
        0x1081, 0x2142, 0x31A3, 0x2962, 0x18E1, 0x20E2, 0x2903, 0x2943, 0x2123, 0x18C2, 0x2943, 0xA4ED, 0xBDF0, 0x8429, 0x4A84, 0x31C2, 0x2982, 0x29C2, 0x3A02, 0x4A63, 0x4A43, 0x39C2, 0x1901, 0x18E1, 0x1902, 0x2943, 0x2965, 0x2965, 0x2945, 0x2903, 
        0x3123, 0x3984, 0x49C6, 0x49E6, 0x41A5, 0x1082, 0x0841, 0x2945, 0x62CA, 0x9470, 0xD678, 0xEEFA, 0xEED9, 0xF6D9, 0xFED9, 0xFF1A, 0xFF7C, 0xFFDE, 0xFFFE, 0xFFBD, 0xFF9B, 0xFF9B, 0xFF7B, 0xF75C, 0xF73C, 0xF73B, 0xFF3B, 0xFF1B, 0xF71A, 0xF6F8, 
        0xF6D7, 0xF6F8, 0xFEF8, 0xFEF8, 0xF6D7, 0xEEB8, 0xEEB9, 0xF6F9, 0xF73A, 0xF75B, 0xCE57, 0x5248, 0x20A1, 0x20E2, 0x39A4, 0x5286, 0x940C, 0xD614, 0xDE55, 0xC550, 0xAC8C, 0xA44C, 0xA42D, 0xAC2E, 0xB44F, 0xB46F, 0xB48F, 0xB4AF, 0xB4B0, 0xBCCF, 
        0xBCEF, 0xBCD0, 0xBCD1, 0xBCB1, 0xC4F1, 0xCDB2, 0xD613, 0xCDD2, 0xBD50, 0xA4AE, 0x8BAA, 0x7B27, 0x8348, 0xAC2C, 0xBCCF, 0xBCEF, 0xB4AD, 0x9C89, 0x9C89, 0xA4EB, 0xACEC, 0xACCC, 0xA48B, 0xA48B, 0xA48A, 0x9C69, 0x9C68, 0x9489, 0x94C9, 0x9467, 
        0x9446, 0x9486, 0x94E8, 0x9D09, 0x950A, 0x8405, 0x6B63, 0x62E3, 0x62C4, 0x6AE5, 0x7B45, 0x7365, 0x6B25, 0x62A4, 0x5A65, 0x5A86, 0x7B6A, 0xC610, 0xDEB2, 0xD5B2, 0xC4D2, 0xBC93, 0xBC96, 0xB45A, 0xB43D, 0xBC5E, 0xC45E, 0xCC5E, 0xCC3D,
  0x8AD2, 0x8AD2, 0x8AF1, 0x8310, 0x830F, 0x7B0E, 0x72EE, 0x72CE, 0x72CF, 0x7AD0, 0x7AD2, 0x82F2, 0x7ACF, 0x72CD, 0x6B0A, 0x6B49, 0x7B89, 0x8BAA, 0x8BCD, 0x8BCE, 0x93AE, 0x9B8D, 0x9B8C, 0x9B8C, 0x936B, 0x932B, 0x930A, 0x8AC9, 0x8AA9, 0x82A9, 0x82C9, 
        0x82C9, 0x9ACA, 0xA2CB, 0xA2CB, 0x92AA, 0x8A86, 0x8264, 0x7A84, 0x72A5, 0x6A85, 0x7287, 0x8AEB, 0x932D, 0xA32D, 0xA32D, 0xA34D, 0xA34D, 0xA30C, 0x9AEB, 0x9AEB, 0x92EB, 0x930C, 0x9B4D, 0xABEE, 0xB450, 0xC491, 0xD4D2, 0xDD12, 0xE533, 0xED54, 
        0xF554, 0xED53, 0xED73, 0xED73, 0xED73, 0xDCF3, 0xD491, 0xC42F, 0xB3CD, 0xAB8C, 0x9B2A, 0x92E9, 0x92C9, 0x92C8, 0x92C9, 0x92EA, 0x9AEB, 0x928A, 0x9289, 0x9ACA, 0x9B0B, 0xA32B, 0xAB2C, 0xA34D, 0xA34D, 0xAB4D, 0xAB6D, 0xB36D, 0xB38D, 0xB3AD, 
        0xB3AD, 0xB38D, 0xB38C, 0xB36C, 0xB36C, 0xB36C, 0xB34C, 0xAB2B, 0xAB0B, 0xA2EB, 0x9ACA, 0x92E9, 0x8AE8, 0x8AE8, 0x82C8, 0x7AA9, 0x6A88, 0x6265, 0x6285, 0x72C8, 0x830A, 0x932C, 0x9B6D, 0xA3AF, 0xA3AF, 0xA3AD, 0x9B8C, 0x934B, 0x832A, 0x7B6A, 
        0x7B6A, 0x7329, 0x7308, 0x72E8, 0x72E8, 0x7B29, 0x8349, 0x8B6A, 0x9B8C, 0xA3AD, 0xB40F, 0xCC92, 0xDCB3, 0xE4D4, 0xE4B4, 0xDC93, 0xCC31, 0xBC10, 0xB3F0, 0xABCE, 0xA38C, 0x9B6B, 0x930A, 0x82C9, 0x7AC8, 0x72C6, 0x72E5, 0x7306, 0x7B28, 0x7B07, 
        0x72E7, 0x6AC8, 0x6AC9, 0x6AC9, 0x62A8, 0x5204, 0x49C2, 0x49E3, 0x5204, 0x5A25, 0x5A65, 0x5244, 0x4A24, 0x49C4, 0x49A4, 0x49A4, 0x4184, 0x4103, 0x38C2, 0x38C2, 0x4103, 0x4943, 0x59E6, 0x7AC9, 0x8B2A, 0x8B2A, 0x934A, 0x9349, 0x9349, 0x9349, 
        0x9B6A, 0xABEB, 0xB44D, 0xBC6D, 0xC46E, 0xDC91, 0xE492, 0xDC51, 0xD44F, 0xD44F, 0xD42F, 0xCBEF, 0xCBCE, 0xCBEE, 0xD3EE, 0xD40F, 0xDC51, 0xD46F, 0xD46E, 0xD46F, 0xDC6F, 0xDC70, 0xD450, 0xAB8D, 0xA36D, 0xC470, 0xE574, 0xEE17, 0xF69A, 0xFE56, 
        0xFE56, 0xFED9, 0xF698, 0xEDB5, 0xDBAE, 0xA126, 0x98C6, 0xC1CA, 0xDAAD, 0xDAED, 0xC2AC, 0xA9A8, 0x9947, 0x8166, 0x7145, 0x6945, 0x6124, 0x6925, 0x81A8, 0xAAEC, 0xBBCF, 0xBBCF, 0xAB8D, 0xAB8D, 0xAB6D, 0xA2EB, 0x92CA, 0x8AC8, 0x8AC7, 0xAA09, 
        0xB989, 0xB927, 0xC127, 0xC968, 0xC1A9, 0xA8C5, 0xA084, 0xB0A5, 0xB8C5, 0xB8C6, 0xB0A5, 0x9062, 0x98C4, 0xC209, 0xDB0D, 0xE38E, 0xE42F, 0xE4D1, 0xDCF2, 0xDCF1, 0xE4D1, 0xE4D1, 0xDCD1, 0xE4D1, 0xE4D1, 0xE4D1, 0xE4D1, 0xE4D1, 0xE4D1, 0xE4F1, 
        0xE511, 0xED32, 0xED32, 0xED32, 0xED11, 0xE511, 0xDD11, 0xE4F1, 0xE4F1, 0xE4F1, 0xDCD1, 0xDCB0, 0xDCB0, 0xDCB0, 0xDCB0, 0xD4D0, 0xD4AF, 0xD48F, 0xD46F, 0xD46F, 0xCC6F, 0xCC6F, 0xBC4F, 0xC44E, 0xC44E, 0xBC2E, 0xBC2E, 0xBC2D, 0xBC2D, 0xB3CC, 
        0xAB8C, 0xAB6C, 0xA36B, 0xA36B, 0xA34A, 0x930A, 0x92E9, 0x92CA, 0x8AA9, 0x8288, 0x7A47, 0x71C6, 0x71A5, 0x6985, 0x6185, 0x6185, 0x61A5, 0x69A5, 0x69C5, 0x69E5, 0x6A26, 0x6A26, 0x6A05, 0x61E5, 0x69E5, 0x7266, 0x8308, 0x8B8A, 0x8389, 0x3163, 
        0x10A1, 0x2142, 0x2983, 0x2942, 0x20E1, 0x2943, 0x3165, 0x3145, 0x2904, 0x28E3, 0x39A6, 0xA513, 0xB594, 0x632B, 0x31A4, 0x31A3, 0x4A65, 0x4A63, 0x4242, 0x3A21, 0x31E1, 0x2181, 0x1921, 0x2941, 0x3162, 0x3162, 0x3183, 0x2983, 0x2963, 0x3142, 
        0x3122, 0x3142, 0x3182, 0x39A4, 0x39A5, 0x18C2, 0x10A2, 0x3143, 0x5245, 0x6B08, 0x8BEB, 0xABEC, 0xBC8F, 0xDE37, 0xF77C, 0xFFBD, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFBD, 0xFF9C, 0xFF7C, 0xFF7C, 0xFF5B, 0xFF3A, 0xF6F9, 0xF6F8, 0xF6F7, 0xF6F7, 0xFEF9, 
        0xFEFA, 0xF6D8, 0xF6B7, 0xF696, 0xF676, 0xF6D8, 0xF71A, 0xF73A, 0xF75A, 0xF77A, 0xCE56, 0x4207, 0x0841, 0x1081, 0x2101, 0x3161, 0x6285, 0xBD51, 0xDE14, 0xC551, 0xACAE, 0x9C6D, 0x9C2C, 0xAC0D, 0xB40E, 0xAC4E, 0xAC6E, 0xAC8E, 0xB4AE, 0xB510, 
        0xB530, 0xB4EF, 0xB4CF, 0xBCCF, 0xBCF0, 0xBD50, 0xBD71, 0xBD72, 0xB531, 0xACAF, 0x9C2C, 0xA46C, 0xAC8C, 0xB4CD, 0xC54F, 0xCDD2, 0xC5D2, 0x73A8, 0x6324, 0x8447, 0xA4E9, 0xA4E9, 0x9448, 0x8BC6, 0x83A5, 0x8364, 0x7B84, 0x83E4, 0x8C84, 0x94A8, 
        0x9CE9, 0xA56A, 0xA56A, 0x9D28, 0x8445, 0x6B83, 0x6342, 0x6B64, 0x7365, 0x6B65, 0x6B25, 0x62C4, 0x5A84, 0x5285, 0x6B69, 0x948E, 0xCE14, 0xD593, 0xCD31, 0xD512, 0xD533, 0xD534, 0xC516, 0xBC7B, 0xBC5E, 0xC47E, 0xCC7E, 0xCC5E, 0xC43E,
  0x8A92, 0x8A92, 0x8AB2, 0x8AD1, 0x92F0, 0x92EE, 0x72ED, 0x6ACE, 0x6AB0, 0x7292, 0x7AB3, 0x82B3, 0x82B3, 0x7AB1, 0x6ACC, 0x6309, 0x5B29, 0x6B89, 0x93CB, 0xA3CC, 0xA3CC, 0xABCC, 0xABCD, 0xB3CE, 0xAB6C, 0xAB2B, 0xA30B, 0x9AEA, 0x9B0A, 0x9B2A, 0x9B2B, 
        0x9B2C, 0xA30C, 0xAB0C, 0xAB2B, 0x9B2A, 0x7AA7, 0x7286, 0x72A6, 0x82E7, 0x9307, 0xA349, 0x9B4B, 0x9B4D, 0xAB6E, 0xB36E, 0xB34D, 0xAB0C, 0x9AEB, 0x92AA, 0x9269, 0x8A28, 0x81E8, 0x8228, 0x9B2C, 0xA3AE, 0xB3EF, 0xC430, 0xCC71, 0xDCD2, 0xE554, 
        0xED94, 0xE574, 0xE574, 0xE573, 0xE553, 0xDCB2, 0xD471, 0xC44F, 0xBC2D, 0xB3EC, 0xAB8B, 0xA32B, 0xA30B, 0xA32A, 0x9B09, 0x9B09, 0x9AEA, 0xA2EB, 0xA30B, 0x9AEB, 0x9ACA, 0x92AA, 0x8A8A, 0x8A69, 0x8A69, 0x8289, 0x8A8A, 0x8A89, 0x92A9, 0x9AEA, 
        0x9AEA, 0x9AEA, 0x9B0A, 0x9B2B, 0xA32B, 0xAB0B, 0xAAEB, 0xAB0B, 0xAB2B, 0xAB2C, 0xB32C, 0xB34B, 0xB32B, 0xA30A, 0x9B09, 0x9B09, 0x92E8, 0x8AA7, 0x7AA6, 0x72A6, 0x7AA6, 0x82A6, 0x92C8, 0x9B2A, 0xA36A, 0xA38B, 0xA3AB, 0x9BAA, 0x93AA, 0x93AA, 
        0x93AB, 0x8B8A, 0x7B49, 0x7309, 0x6AE8, 0x7328, 0x7348, 0x7B28, 0x8328, 0x8308, 0x9329, 0xA3CD, 0xABEE, 0xB40F, 0xBC0F, 0xBC0F, 0xB3EE, 0xA38C, 0x9B6B, 0x936A, 0x8B6A, 0x8369, 0x6B28, 0x6B06, 0x6AE5, 0x6AE5, 0x7305, 0x7306, 0x7308, 0x7328, 
        0x7329, 0x7309, 0x72E9, 0x72EA, 0x6ACA, 0x5AA8, 0x5267, 0x4A26, 0x49E6, 0x41C5, 0x41C4, 0x5224, 0x5A24, 0x5204, 0x4A04, 0x4225, 0x4266, 0x4A46, 0x5246, 0x5A47, 0x6A67, 0x7288, 0x8AE9, 0x934A, 0x938A, 0x93AC, 0x93EC, 0x940C, 0x942A, 0x93C7, 
        0x93A6, 0x93A7, 0x93C8, 0x9BC9, 0xA3EB, 0xB40C, 0xBBEC, 0xBBCC, 0xBBCC, 0xC40D, 0xD44D, 0xDC4E, 0xDC4F, 0xD44F, 0xD450, 0xD450, 0xDC31, 0xE431, 0xE451, 0xDC51, 0xE471, 0xEC92, 0xE491, 0xBBAD, 0xB36D, 0xCC31, 0xE514, 0xED76, 0xF5F6, 0xFE35, 
        0xFE55, 0xF636, 0xF678, 0xF699, 0xE5D6, 0xA1E8, 0x88A3, 0xB1A8, 0xCA8B, 0xDAAC, 0xD24A, 0xA987, 0xA186, 0xB249, 0xC2CB, 0xC2EB, 0xC30B, 0xC32B, 0xC30B, 0xBAAA, 0xBA4A, 0xBA29, 0xB229, 0xBA6A, 0xBA8A, 0xBA6A, 0xB229, 0xB1C8, 0xA966, 0xC147, 
        0xC947, 0xD127, 0xC927, 0xC927, 0xB907, 0xA8C5, 0xA8C4, 0xB0E5, 0xB0C5, 0xA084, 0x9843, 0xA0A5, 0xB968, 0xDB0D, 0xE3EF, 0xE42E, 0xCC2D, 0xD4F0, 0xDD32, 0xDD32, 0xDD11, 0xDCF1, 0xDCF1, 0xD4B0, 0xD4B0, 0xDCD1, 0xDCD1, 0xDCF1, 0xDCF1, 0xDD11, 
        0xE511, 0xE511, 0xE511, 0xE4F1, 0xDCF1, 0xDCF1, 0xDD11, 0xDCF1, 0xDCF1, 0xDCD0, 0xDCD0, 0xD4D1, 0xCCD0, 0xCCAF, 0xD4AF, 0xD4CF, 0xD4CF, 0xCC6E, 0xCC4E, 0xCC4E, 0xC44E, 0xC44E, 0xBC2E, 0xBC2E, 0xBC2D, 0xBC2D, 0xBC2C, 0xBC0C, 0xBBAC, 0xABAB, 
        0xA38B, 0xAB6A, 0xAB4A, 0xA32A, 0x9B0A, 0x92C9, 0x8AA8, 0x8288, 0x7A68, 0x7247, 0x6A07, 0x69A5, 0x6964, 0x6985, 0x6185, 0x6185, 0x6185, 0x69E5, 0x6A05, 0x69E5, 0x6A05, 0x6A05, 0x6A06, 0x6985, 0x71C6, 0x82A8, 0x7AE9, 0x6287, 0x39A4, 0x2982, 
        0x21A2, 0x2982, 0x2942, 0x2901, 0x20E1, 0x2983, 0x29A3, 0x2123, 0x3145, 0x41E7, 0x62CB, 0x5269, 0x4227, 0x3A04, 0x3223, 0x3222, 0x3A22, 0x4242, 0x4242, 0x3202, 0x29A1, 0x2161, 0x2101, 0x3142, 0x3983, 0x41E5, 0x41E5, 0x31C4, 0x1942, 0x2943, 
        0x2963, 0x2982, 0x3182, 0x3182, 0x31A3, 0x31E5, 0x29C5, 0x2123, 0x20E2, 0x20E2, 0x41E6, 0xB533, 0xE6B9, 0xF75B, 0xFFBC, 0xFFDB, 0xFFDC, 0xFFBD, 0xFF9E, 0xFF9E, 0xFF7E, 0xF73D, 0xF6FC, 0xF6DA, 0xFED8, 0xFEF8, 0xF6F8, 0xF6D8, 0xF6D8, 0xF6D9, 
        0xF6D9, 0xF6B8, 0xF697, 0xEE77, 0xEE77, 0xF6B8, 0xF698, 0xDE16, 0xD5F5, 0xDE14, 0xBD71, 0x41C5, 0x1081, 0x2963, 0x31A3, 0x2962, 0x39C5, 0xBD92, 0xE6D7, 0xCDB2, 0xAC8E, 0x9C2C, 0x93EA, 0x9C0B, 0x9C0B, 0xA42C, 0xAC4C, 0xAC4D, 0xB48E, 0xB4AF, 
        0xB4D0, 0xBCF0, 0xBD10, 0xBD10, 0xBD10, 0xC550, 0xC551, 0xC532, 0xC512, 0xC4F1, 0xB48E, 0xA44B, 0xAC8C, 0xC570, 0xC5B0, 0xB52E, 0x940A, 0x8BA8, 0x8BA9, 0x8B89, 0x7B47, 0x6B06, 0x5AC4, 0x7B45, 0x8BA6, 0x8BE7, 0x8C27, 0x8C26, 0x9467, 0x9D29, 
        0xA56B, 0xA50A, 0x9467, 0x7BA5, 0x5AC2, 0x5AE3, 0x6343, 0x6B84, 0x6BA4, 0x7384, 0x62E3, 0x3161, 0x39C4, 0x8C4D, 0xC634, 0xDED7, 0xDE56, 0xC4F3, 0xBC91, 0xCCF2, 0xD554, 0xD556, 0xCCFB, 0xBC1D, 0xBBDE, 0xC41E, 0xC45E, 0xC45E, 0xBC3E,
  0x8A93, 0x8A93, 0x8AB2, 0x8AB2, 0x92D1, 0x92CF, 0x7AEF, 0x6AD0, 0x72B2, 0x7293, 0x7A93, 0x7AB3, 0x7AB3, 0x7AB1, 0x6ACD, 0x5AEA, 0x5B29, 0x6369, 0x93AA, 0xABCB, 0xABCB, 0xABED, 0xB3EE, 0xBBF0, 0xB36D, 0xB32C, 0xA30C, 0xA30C, 0xA32B, 0xA34B, 0xAB4D, 
        0xAB4D, 0xAB2D, 0xAB2D, 0xAB4D, 0x9B4B, 0x7AC9, 0x72A8, 0x7AC8, 0x8B09, 0x9B49, 0xAB8A, 0xA36D, 0xA34E, 0xAB6F, 0xB36F, 0xB32E, 0xA2ED, 0x9ACB, 0x92AA, 0x8A49, 0x81E8, 0x79A7, 0x71C6, 0x8AAB, 0x9B4D, 0xA3AE, 0xB3EF, 0xBC30, 0xD492, 0xE553, 
        0xE594, 0xE574, 0xE574, 0xE573, 0xE553, 0xDCD2, 0xD491, 0xC470, 0xBC4E, 0xBC0D, 0xB3AC, 0xAB4B, 0xAB2B, 0xAB4B, 0xA34A, 0xA32A, 0xA30A, 0xA32B, 0xA32B, 0x9AEB, 0x92AA, 0x928A, 0x8249, 0x8228, 0x7A28, 0x7A49, 0x7A49, 0x7A49, 0x8248, 0x8289, 
        0x8A89, 0x8AA9, 0x92C9, 0x92CA, 0x9AEA, 0xA2EB, 0xA2EB, 0xAB0B, 0xAB2C, 0xB34C, 0xB34C, 0xC34C, 0xC34C, 0xB32B, 0xAB0A, 0xAB09, 0xAB08, 0x92A8, 0x8A87, 0x7AA5, 0x7A85, 0x7A85, 0x8AA6, 0x9B28, 0xA369, 0xA38A, 0xABAA, 0xA3CA, 0x9BEA, 0x9BCB, 
        0x93AB, 0x8B8A, 0x7B69, 0x7328, 0x6AE8, 0x7327, 0x7328, 0x7328, 0x7307, 0x72E7, 0x8307, 0x938A, 0x9BAC, 0x9BAD, 0xA3AD, 0xABCD, 0xA3CD, 0x9B8B, 0x936A, 0x938A, 0x8B8A, 0x838A, 0x7369, 0x6B25, 0x6B04, 0x6B05, 0x7305, 0x7306, 0x6B07, 0x7349, 
        0x7369, 0x734A, 0x7B2A, 0x730B, 0x6AEB, 0x5ACA, 0x52A9, 0x4A27, 0x41C5, 0x39A4, 0x39A4, 0x5204, 0x6224, 0x5A24, 0x5225, 0x4A45, 0x4A87, 0x5AA7, 0x62A8, 0x6AA8, 0x7AC9, 0x8AEA, 0x9B2B, 0x9B6A, 0x9B8A, 0x9BCD, 0x9C2E, 0x9C4D, 0x9C4B, 0x93E8, 
        0x93A7, 0x9387, 0x9388, 0x93A9, 0x9BCA, 0xB3CB, 0xB3AB, 0xB38C, 0xBBAC, 0xC3EC, 0xD44D, 0xDC8F, 0xE490, 0xDC90, 0xD491, 0xD471, 0xDC51, 0xE432, 0xE432, 0xE452, 0xE472, 0xEC92, 0xE492, 0xD40F, 0xCC0F, 0xDC93, 0xE515, 0xED55, 0xF5B5, 0xFE15, 
        0xFE15, 0xF5D5, 0xF638, 0xF6DA, 0xE679, 0xA228, 0x88A2, 0xA986, 0xCA29, 0xDA4A, 0xD9E9, 0xB187, 0xA9A7, 0xC26A, 0xDB0C, 0xE34C, 0xE38C, 0xD36C, 0xCB0B, 0xBA29, 0xB987, 0xB967, 0xB988, 0xB987, 0xB9A8, 0xC9C9, 0xC9A8, 0xC167, 0xC106, 0xD147, 
        0xD968, 0xD988, 0xD168, 0xC127, 0xB0C5, 0xB105, 0xB105, 0xB0E5, 0xA083, 0x9862, 0x9062, 0xB1C8, 0xD2AC, 0xE3AF, 0xE42F, 0xDC2E, 0xCC2D, 0xDCF0, 0xDD32, 0xDD32, 0xDD11, 0xDD11, 0xDCF0, 0xD4AF, 0xD4AF, 0xD4B0, 0xDCD1, 0xDCF1, 0xDCF1, 0xDD31, 
        0xE531, 0xE511, 0xE4F1, 0xDCF1, 0xDCF1, 0xDD11, 0xDD11, 0xDCF1, 0xD4F1, 0xD4D0, 0xD4D0, 0xD4D0, 0xCCD0, 0xCCAF, 0xCCAE, 0xCCAE, 0xD4AF, 0xD46E, 0xCC4E, 0xC44E, 0xC42E, 0xC42E, 0xBC2E, 0xBC0D, 0xBC0D, 0xBC2C, 0xB40C, 0xB3EC, 0xB38C, 0xAB8B, 
        0xAB8B, 0xAB4A, 0xA32A, 0x9B0A, 0x92EA, 0x92A9, 0x8A89, 0x7A68, 0x7247, 0x6A27, 0x69E6, 0x6985, 0x6184, 0x6185, 0x6185, 0x6985, 0x69A5, 0x6A05, 0x6A04, 0x69E4, 0x6205, 0x6A05, 0x6A26, 0x71C6, 0x79E7, 0x8AC9, 0x72A8, 0x51E6, 0x18E2, 0x29C2, 
        0x3203, 0x29A3, 0x2922, 0x2101, 0x2101, 0x2983, 0x2983, 0x1902, 0x2965, 0x4A49, 0x736C, 0x3184, 0x18E1, 0x31C1, 0x4262, 0x3A62, 0x3201, 0x4243, 0x4A63, 0x3A03, 0x29A2, 0x2941, 0x2901, 0x3162, 0x41C4, 0x4A26, 0x4A26, 0x41E5, 0x2962, 0x2963, 
        0x2963, 0x2962, 0x2962, 0x2941, 0x2962, 0x4226, 0x4226, 0x2103, 0x1041, 0x1041, 0x41A6, 0xC618, 0xFFFF, 0xFFFE, 0xFFDC, 0xFFDB, 0xFFDB, 0xFF9D, 0xFF7E, 0xFF7E, 0xFF5E, 0xF73D, 0xF6FB, 0xF6D9, 0xFED8, 0xFEF8, 0xF6F8, 0xF6F9, 0xF6D9, 0xF6D9, 
        0xF6D8, 0xF698, 0xF697, 0xF697, 0xF697, 0xF6B8, 0xEE76, 0xDDB4, 0xCD72, 0xCDB2, 0xB530, 0x39C5, 0x18A1, 0x39A4, 0x4204, 0x3183, 0x3184, 0xA4F0, 0xD634, 0xC592, 0xB4CF, 0xA46D, 0x9BEB, 0x940B, 0x942B, 0xA42C, 0xAC2C, 0xAC4D, 0xB46E, 0xB48E, 
        0xB4AF, 0xBCD0, 0xBD11, 0xBD11, 0xBD11, 0xC531, 0xC551, 0xCD32, 0xCD32, 0xCD32, 0xC511, 0xAC6C, 0xAC8C, 0xBD4F, 0xB52E, 0xA46B, 0x8366, 0xAC8B, 0xBCED, 0xA40C, 0x8328, 0x62A5, 0x5283, 0x93E7, 0xACAA, 0xA4EA, 0x94C9, 0x9468, 0x9427, 0xA529, 
        0xA569, 0x9C88, 0x8385, 0x6AC3, 0x4A41, 0x52A2, 0x6303, 0x6344, 0x6324, 0x6303, 0x5A62, 0x49C4, 0x62A8, 0xB572, 0xEF18, 0xEF18, 0xD5D5, 0xC4D4, 0xC4B3, 0xCD32, 0xD552, 0xD554, 0xC4F9, 0xBBFD, 0xBBBE, 0xC3FE, 0xC43E, 0xC45E, 0xBC3E,
  0x8AB4, 0x8AB4, 0x8AB3, 0x8AB3, 0x8AD2, 0x8AD2, 0x8AF3, 0x8AF3, 0x82B3, 0x82B3, 0x7A94, 0x7A93, 0x7AB0, 0x72CE, 0x6AEC, 0x630A, 0x6329, 0x6B49, 0x8BAC, 0x9BED, 0xA3ED, 0xABEE, 0xAC0F, 0xB3F0, 0xB3B0, 0xB38F, 0xAB4E, 0xAB4E, 0xA32E, 0xA32E, 0xAB4E, 
        0xAB4E, 0xA34F, 0xA34F, 0xA36F, 0x9B6E, 0x930B, 0x8AEA, 0x8B0B, 0x8B0C, 0x932C, 0x9B4E, 0xA371, 0xAB72, 0xAB51, 0xA330, 0xA30F, 0x9AED, 0x92CC, 0x8AAB, 0x826A, 0x7249, 0x7208, 0x6A08, 0x7269, 0x82AA, 0x934C, 0xA3CE, 0xAC0F, 0xBC71, 0xD513, 
        0xE554, 0xE554, 0xED74, 0xED74, 0xED53, 0xE532, 0xDCF1, 0xD4B0, 0xCC50, 0xC42F, 0xBBED, 0xB36C, 0xAB4C, 0xAB4C, 0xAB4C, 0xAB4C, 0xAB4C, 0xA30B, 0x9AEB, 0x92CB, 0x9AAA, 0x9A8A, 0x9289, 0x7A69, 0x7269, 0x7A49, 0x7A49, 0x7A49, 0x7A49, 0x7A69, 
        0x7A69, 0x8269, 0x8A89, 0x8A89, 0x92AA, 0x9AEB, 0x9B0B, 0xAB2C, 0xB32C, 0xB34C, 0xBB4B, 0xBB2C, 0xBB0C, 0xBB0B, 0xB2EB, 0xAAEA, 0xA2CA, 0x92A8, 0x8A87, 0x8AA7, 0x8AA7, 0x8AA7, 0x92C9, 0x9B2A, 0xA36B, 0x9B8B, 0x9B8B, 0xA3AB, 0xA3CB, 0x93CA, 
        0x8BCA, 0x83A9, 0x7B69, 0x7B48, 0x7B28, 0x7327, 0x7327, 0x7328, 0x6B28, 0x6B27, 0x7347, 0x838A, 0x93AC, 0x93AC, 0x9BCC, 0x9BCD, 0xA3ED, 0xA40E, 0xA40E, 0x9C0D, 0x940C, 0x93EC, 0x93AA, 0x7B46, 0x6B25, 0x7325, 0x7325, 0x7305, 0x6B06, 0x7349, 
        0x736A, 0x7B6B, 0x7B4B, 0x7B2B, 0x6B0A, 0x5ACA, 0x4A89, 0x4205, 0x41C2, 0x39C2, 0x4203, 0x4A44, 0x5264, 0x5A65, 0x6285, 0x6266, 0x6246, 0x6A26, 0x6A06, 0x7A27, 0x8A68, 0x92A9, 0x9B0B, 0xA32B, 0xAB4B, 0xABAD, 0xABEE, 0xABEE, 0xABED, 0xAB8C, 
        0xAB8C, 0xAB8B, 0xAB8B, 0xAB8C, 0xB3AD, 0xC3AE, 0xCBCF, 0xCBEF, 0xD3EF, 0xD3EE, 0xD42F, 0xE491, 0xE4B2, 0xDC91, 0xDC71, 0xDC71, 0xDC71, 0xDC71, 0xDC51, 0xE472, 0xE472, 0xE472, 0xDC71, 0xDC91, 0xDCB2, 0xDCD3, 0xE514, 0xE535, 0xED75, 0xFDD6, 
        0xFDD5, 0xFD95, 0xFDF7, 0xFE99, 0xE659, 0xAA28, 0x98A2, 0xB986, 0xD9E9, 0xE1C9, 0xD948, 0xB948, 0xB168, 0xC1C8, 0xCA28, 0xCA68, 0xCA68, 0xB1E7, 0xA9A7, 0xB968, 0xB928, 0xB928, 0xB107, 0xB0E6, 0xB0E6, 0xC127, 0xD147, 0xD167, 0xD167, 0xD989, 
        0xD9AA, 0xE1C9, 0xD9A8, 0xC967, 0xB906, 0xB926, 0xB926, 0xA8A3, 0x9862, 0x9862, 0xA145, 0xD3EF, 0xECD3, 0xE471, 0xDC2F, 0xD40E, 0xD46F, 0xE4D2, 0xED12, 0xE512, 0xE4F2, 0xDCF1, 0xDCD1, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCD1, 0xDCF1, 0xE511, 
        0xE511, 0xE511, 0xE511, 0xE511, 0xE4F1, 0xE511, 0xE511, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xD4AF, 0xD4AE, 0xD48E, 0xCC8F, 0xCC8F, 0xD46F, 0xD46E, 0xD46E, 0xCC6F, 0xC46F, 0xC44F, 0xC44E, 0xC42E, 0xBC2D, 0xBC0D, 0xB3EC, 0xB3CC, 0xABAC, 0xAB8B, 
        0xAB6B, 0xA32A, 0x9B0A, 0x9309, 0x8B09, 0x8AAA, 0x8A8A, 0x7A48, 0x7207, 0x71E6, 0x71A5, 0x6185, 0x6185, 0x69C5, 0x69E5, 0x69E5, 0x69E5, 0x69C5, 0x69E5, 0x6A05, 0x6A25, 0x6A25, 0x7226, 0x8247, 0x8A67, 0x7AA7, 0x6246, 0x41C4, 0x2102, 0x31C3, 
        0x3A04, 0x2983, 0x2142, 0x2122, 0x2922, 0x2964, 0x2924, 0x18C3, 0x2945, 0x4A48, 0x6B8B, 0x4A24, 0x39A1, 0x4A43, 0x5283, 0x4A63, 0x3A22, 0x4A84, 0x4A85, 0x4243, 0x39C2, 0x2961, 0x2921, 0x4204, 0x4A85, 0x5286, 0x5265, 0x5224, 0x41C3, 0x3162, 
        0x2941, 0x2101, 0x18E1, 0x18E1, 0x2922, 0x49C4, 0x49A3, 0x38E2, 0x38E2, 0x5164, 0x934B, 0xDE99, 0xFFDF, 0xFFDE, 0xFFBD, 0xFFBD, 0xFF9D, 0xFF7D, 0xFF5D, 0xFF7D, 0xFF7D, 0xFF5C, 0xFF3B, 0xFF39, 0xFF38, 0xF719, 0xF71A, 0xF6FA, 0xF6FA, 0xF6D9, 
        0xF6B8, 0xF697, 0xF697, 0xF677, 0xF697, 0xF6F8, 0xEED7, 0xDE14, 0xD5D3, 0xD5F3, 0xB551, 0x39C6, 0x10A2, 0x39A4, 0x4A44, 0x4A23, 0x41C2, 0x62A5, 0x8BA9, 0xB510, 0xCD92, 0xC552, 0xAC8E, 0x9C2D, 0x9C0D, 0xA40D, 0xAC2E, 0xB42E, 0xB46E, 0xB48E, 
        0xB48E, 0xB4B0, 0xBCD1, 0xBCD1, 0xBCF1, 0xC511, 0xC531, 0xCD51, 0xD552, 0xDD73, 0xDD93, 0xC570, 0xB52D, 0xA46B, 0x93EA, 0x93C9, 0x9C6A, 0xD611, 0xE693, 0xCDD0, 0xACCC, 0x9408, 0x8386, 0xB54C, 0xD62E, 0xCE2D, 0xB58B, 0x9CE9, 0x8406, 0x9467, 
        0x9487, 0x7BC5, 0x6B23, 0x62C2, 0x5AA2, 0x52C2, 0x52C2, 0x5282, 0x4A42, 0x4A02, 0x5A85, 0xAC6C, 0xD591, 0xDE35, 0xDE36, 0xD5B5, 0xC4F3, 0xD536, 0xDD76, 0xDD73, 0xD571, 0xCD30, 0xC4D3, 0xC45A, 0xC43E, 0xC43E, 0xC43F, 0xC43F, 0xC41F,
  0x8AD4, 0x8AD4, 0x8AB4, 0x92B4, 0x8AB4, 0x8AD3, 0x8AF3, 0x8B13, 0x8AF2, 0x82D1, 0x7AF1, 0x72F1, 0x7AB2, 0x7AB1, 0x6ACE, 0x6B0B, 0x6B0A, 0x7329, 0x838B, 0x93CC, 0x9BED, 0xABEE, 0xABEF, 0xB3D1, 0xB3D2, 0xB3D3, 0xAB92, 0xA350, 0xA310, 0xA30F, 0x9B71, 
        0x9B92, 0xA390, 0xA390, 0xA38F, 0x9B6E, 0x92ED, 0x8ACC, 0x932D, 0x9B4F, 0x9B6F, 0x9B70, 0xA3B2, 0xA3B2, 0xA350, 0xA30E, 0x9ACE, 0x92AD, 0x828B, 0x7A6A, 0x7A2A, 0x7209, 0x69E8, 0x61C7, 0x61E6, 0x6A27, 0x82A9, 0x934C, 0x9BAE, 0xAC50, 0xC4B2, 
        0xCCF3, 0xDD34, 0xE554, 0xE554, 0xED53, 0xED31, 0xED11, 0xE4D1, 0xDCB1, 0xDC90, 0xCC2E, 0xBBAD, 0xB36D, 0xB38D, 0xB36D, 0xB36D, 0xB34D, 0xA32C, 0x9B0B, 0x92EB, 0x92CB, 0x92AB, 0x8AAB, 0x7269, 0x6A48, 0x6A08, 0x6208, 0x6208, 0x6208, 0x6208, 
        0x6A08, 0x7208, 0x7228, 0x7229, 0x7A69, 0x928B, 0x9AAC, 0xA30C, 0xAB2C, 0xAB4C, 0xB34C, 0xBB6D, 0xB36D, 0xB36C, 0xAB4B, 0xA34B, 0x9B2A, 0x8AE9, 0x8AC9, 0x8AC8, 0x8AE8, 0x8AE9, 0x9309, 0x9B09, 0xA329, 0xA36A, 0xA3AB, 0xABEC, 0xAC0B, 0x8BCA, 
        0x83A9, 0x8389, 0x8369, 0x7B49, 0x7B27, 0x7345, 0x7345, 0x7306, 0x6AE5, 0x6AC5, 0x6AC5, 0x7349, 0x7B8A, 0x7B6A, 0x836A, 0x838A, 0x8BCB, 0x9C0D, 0x9C2D, 0x9C2C, 0x9C2C, 0x942C, 0x8BEB, 0x8349, 0x7B08, 0x6B07, 0x6B07, 0x6B07, 0x6B28, 0x6B0A, 
        0x730B, 0x7B2D, 0x836D, 0x836E, 0x7B4C, 0x6AA8, 0x5A45, 0x4A04, 0x39C2, 0x39A2, 0x39C2, 0x5A85, 0x5AC6, 0x52A5, 0x4AA5, 0x52A5, 0x62A6, 0x7309, 0x832A, 0x934B, 0x9B6D, 0x9BAE, 0xA3CE, 0xABAD, 0xB3AC, 0xBBAD, 0xBBCE, 0xB3CF, 0xABCF, 0xB3AE, 
        0xB3AE, 0xB38D, 0xB38C, 0xB36B, 0xB36B, 0xBBAE, 0xC3D0, 0xCBF0, 0xD3CF, 0xD3CF, 0xDBEF, 0xE491, 0xECB2, 0xECB2, 0xE471, 0xE451, 0xE451, 0xECB3, 0xECF4, 0xECD3, 0xECB3, 0xECB3, 0xE4D4, 0xED35, 0xE514, 0xD492, 0xC470, 0xCC91, 0xDD12, 0xED94, 
        0xED94, 0xF554, 0xFD95, 0xFE38, 0xEE38, 0xC2CA, 0xB165, 0xB9E7, 0xCA29, 0xDA09, 0xE989, 0xD129, 0xC128, 0xC126, 0xB125, 0xA923, 0xA103, 0xB123, 0xC144, 0xC967, 0xD189, 0xD1A9, 0xC9C9, 0xC9E9, 0xD1E9, 0xD9E9, 0xDA2A, 0xE26B, 0xEACD, 0xEA6B, 
        0xE209, 0xD9C9, 0xD188, 0xC968, 0xC126, 0xA884, 0x9863, 0x90A3, 0xA145, 0xB228, 0xD38D, 0xDC10, 0xDC30, 0xD42F, 0xD44F, 0xD48F, 0xDCD0, 0xECF1, 0xF4F2, 0xECF2, 0xE4F2, 0xE4F2, 0xE4F1, 0xDCD0, 0xDCB0, 0xDCD0, 0xDCD1, 0xDCD1, 0xDCF1, 0xDCF1, 
        0xE4F0, 0xE4F1, 0xE4F1, 0xE511, 0xE512, 0xE511, 0xE511, 0xE4F1, 0xDCF1, 0xDCF1, 0xD4D1, 0xDCAF, 0xDC8E, 0xD48F, 0xD48F, 0xD46F, 0xCC6F, 0xC46E, 0xC46F, 0xC46F, 0xC44F, 0xC44F, 0xC42E, 0xBC4E, 0xBC4E, 0xB40D, 0xB3CC, 0xB3AB, 0xAB8A, 0xA34B, 
        0x9B2B, 0x9B2A, 0x9B0A, 0x9AEA, 0x92C9, 0x7288, 0x6A67, 0x6A06, 0x71C5, 0x71C5, 0x69C5, 0x69A5, 0x69A5, 0x6A05, 0x6A26, 0x6A26, 0x7206, 0x71E5, 0x7205, 0x7226, 0x7246, 0x6A46, 0x6A45, 0x7287, 0x7A87, 0x6A45, 0x5203, 0x39C3, 0x2163, 0x2982, 
        0x3182, 0x3162, 0x2962, 0x2963, 0x2983, 0x2942, 0x20E2, 0x20E3, 0x3185, 0x5287, 0x73C9, 0x52E5, 0x4263, 0x4A84, 0x5284, 0x5263, 0x5243, 0x4AA4, 0x4AA5, 0x4264, 0x3A03, 0x2982, 0x2962, 0x52A6, 0x6327, 0x6308, 0x52A7, 0x3A05, 0x2122, 0x2102, 
        0x2102, 0x2102, 0x3163, 0x49E5, 0x62A7, 0x4A06, 0x4185, 0x61C6, 0x930A, 0xB46F, 0xE699, 0xF77C, 0xFF9D, 0xFF5C, 0xFF3C, 0xFF5C, 0xFF7D, 0xFF7D, 0xFF7D, 0xFF7D, 0xFF7D, 0xFF5D, 0xFF5D, 0xFF7C, 0xF75B, 0xF73A, 0xF71A, 0xF6FA, 0xF6FA, 0xF6D9, 
        0xFEB8, 0xFE98, 0xF677, 0xF657, 0xF657, 0xFEF9, 0xF6F8, 0xDE35, 0xD5F4, 0xD5F4, 0xB552, 0x39A6, 0x1081, 0x2963, 0x4A44, 0x5283, 0x5262, 0x5201, 0x6284, 0x9C4B, 0xBD71, 0xC592, 0xAD30, 0xA44D, 0xA40C, 0xAC0D, 0xB42E, 0xB42E, 0xAC4D, 0xAC6E, 
        0xB48E, 0xBCB0, 0xBCD1, 0xBCD1, 0xBCF0, 0xD532, 0xDD52, 0xD572, 0xD573, 0xD573, 0xDD73, 0xD570, 0xC52E, 0xAC8D, 0xAC8D, 0xBD0F, 0xD5D2, 0xD5B2, 0xCD92, 0xD591, 0xD58F, 0xC54E, 0xB4EC, 0x9C89, 0xA4EA, 0xCDEF, 0xE671, 0xE651, 0xC54D, 0x7BA7, 
        0x6324, 0x6B45, 0x7367, 0x7B88, 0x83A8, 0x7BC7, 0x73A6, 0x6B25, 0x7387, 0x9449, 0xC5AE, 0xCD70, 0xC531, 0xC512, 0xCD33, 0xD555, 0xDD96, 0xCD35, 0xC514, 0xC4F3, 0xC4F3, 0xC4D4, 0xC498, 0xC45D, 0xC43F, 0xC41F, 0xC41F, 0xC41F, 0xC41F,
  0x8A74, 0x8A74, 0x8A94, 0x8AB4, 0x8AB4, 0x8AB3, 0x82D0, 0x82D0, 0x82D1, 0x82D1, 0x82D1, 0x7AEF, 0x730D, 0x72ED, 0x6ACC, 0x6ACC, 0x6AEB, 0x6B0A, 0x836A, 0x8B8B, 0x938E, 0x9B92, 0xA393, 0xAB75, 0xAB55, 0xAB34, 0xAB55, 0xAB54, 0xAB54, 0xA334, 0x9B14, 
        0x9B14, 0x9B34, 0x9B53, 0x9B33, 0x9312, 0x82D2, 0x82F2, 0x9B13, 0xA353, 0xA354, 0xA354, 0xAB75, 0xA355, 0x9AD4, 0x9272, 0x9271, 0x8A4D, 0x6A2A, 0x6229, 0x6A09, 0x6A08, 0x6A08, 0x6208, 0x6A08, 0x6A28, 0x6A28, 0x7268, 0x82A9, 0x9B2B, 0xB430, 
        0xC4B2, 0xCCF2, 0xD512, 0xDD33, 0xE553, 0xE553, 0xDD33, 0xDCF2, 0xD4B0, 0xD48F, 0xCC6E, 0xC44E, 0xC44E, 0xC40D, 0xBBCD, 0xBBAD, 0xB38D, 0xAB2C, 0xA30C, 0x9AEB, 0x8ACB, 0x82AA, 0x82A9, 0x8A8A, 0x8249, 0x69E8, 0x59C7, 0x59A7, 0x61C7, 0x61E6, 
        0x59E5, 0x59A5, 0x5965, 0x5945, 0x5945, 0x6185, 0x69E6, 0x8268, 0x92CA, 0x9AEB, 0xAB2C, 0xB34C, 0xB36C, 0xB34C, 0xB32B, 0xAB0A, 0x9AC9, 0x8266, 0x7A46, 0x8AA7, 0x92E8, 0x9B08, 0x9B29, 0xA34A, 0xA369, 0xA349, 0x9B48, 0x9B48, 0x9B48, 0x7B06, 
        0x6AE5, 0x6AE6, 0x6AE5, 0x62E5, 0x62E5, 0x6B05, 0x6B25, 0x7326, 0x7346, 0x7346, 0x6B26, 0x5AE5, 0x5AC4, 0x5AE5, 0x6306, 0x6B27, 0x7B89, 0x8BAA, 0x8BEB, 0x942C, 0x9C6D, 0xA46D, 0x9C4C, 0x944B, 0x8C0A, 0x7B89, 0x7348, 0x6B08, 0x6308, 0x834A, 
        0x938C, 0x9C2E, 0xA490, 0xA470, 0x93EF, 0x62EA, 0x4A27, 0x3184, 0x3122, 0x3162, 0x4204, 0x6B29, 0x7B8A, 0x838A, 0x8B6B, 0x936B, 0xA3AD, 0xABEF, 0xB3EF, 0xB3CF, 0xB3AE, 0xBBCE, 0xC3CE, 0xBBAD, 0xB36D, 0xBB4D, 0xC32D, 0xC34D, 0xC38E, 0xC3CE, 
        0xC40F, 0xC42F, 0xCC2F, 0xCC0F, 0xD3AE, 0xD38E, 0xD38E, 0xD3CF, 0xDBF0, 0xDBF0, 0xDC31, 0xDCB0, 0xDD10, 0xDD31, 0xDD12, 0xDD13, 0xDCF4, 0xE553, 0xE573, 0xE574, 0xE574, 0xE554, 0xDD53, 0xDD13, 0xDD55, 0xE638, 0xE699, 0xEE78, 0xE5B4, 0xC4B1, 
        0xC491, 0xDD54, 0xF5D6, 0xFE17, 0xFDF6, 0xED96, 0xDCB2, 0xC2CA, 0xB9A6, 0xC945, 0xE188, 0xE9EA, 0xEA2B, 0xE20A, 0xE1E9, 0xD9A7, 0xC965, 0xC9C8, 0xD1E9, 0xE1CA, 0xE9AB, 0xE9CB, 0xE20A, 0xEA0B, 0xEA0B, 0xE22B, 0xE24B, 0xEA4B, 0xF26C, 0xE2AC, 
        0xDAAB, 0xCA09, 0xC166, 0xB8E5, 0xA083, 0x88A3, 0x9125, 0xB269, 0xCB8D, 0xD40E, 0xCC6F, 0xE48F, 0xE48F, 0xE4F0, 0xDD31, 0xDD32, 0xDD12, 0xE512, 0xE4F1, 0xE4D1, 0xDCD1, 0xDCD1, 0xD4D1, 0xCC8E, 0xCC8D, 0xCC8E, 0xD4AE, 0xD4AF, 0xD4D0, 0xDCF1, 
        0xDCF1, 0xDCF1, 0xDCF0, 0xDCF0, 0xDCF0, 0xDCD1, 0xDCD1, 0xD4D1, 0xD4D0, 0xD4AF, 0xD4AF, 0xD4CF, 0xD4CF, 0xCC8E, 0xCC6E, 0xC44E, 0xC44E, 0xC46E, 0xC46E, 0xC44E, 0xBC2E, 0xBC2D, 0xB40D, 0xBBCD, 0xBB8C, 0xB38B, 0xAB8B, 0xA36A, 0xA34A, 0xA32A, 
        0x9B09, 0x92C9, 0x8AA8, 0x82A8, 0x7268, 0x69C5, 0x6184, 0x6185, 0x6985, 0x69A5, 0x69A5, 0x61C5, 0x61C5, 0x61E5, 0x61E5, 0x6205, 0x61E5, 0x69C6, 0x69A7, 0x69C6, 0x69E6, 0x6A06, 0x6A46, 0x72C7, 0x62A6, 0x39E3, 0x2161, 0x2141, 0x2962, 0x2983, 
        0x2163, 0x2122, 0x2922, 0x2943, 0x2943, 0x18A1, 0x20C1, 0x39A4, 0x5285, 0x5AC5, 0x6304, 0x5AC5, 0x52A4, 0x4A83, 0x4242, 0x4223, 0x4A45, 0x6305, 0x5AC4, 0x39A2, 0x3162, 0x41E3, 0x6B06, 0x7349, 0x62C8, 0x41C5, 0x3165, 0x3145, 0x49E6, 0x83EC, 
        0x948E, 0x7BED, 0x62EB, 0x5269, 0x5ACA, 0xB595, 0xD6BA, 0xDEBA, 0xEEFA, 0xF75B, 0xF79B, 0xF6D7, 0xEE97, 0xF6D9, 0xFF3B, 0xFF5C, 0xFF7C, 0xF77C, 0xF77C, 0xF77C, 0xFF5C, 0xF75C, 0xF73A, 0xF719, 0xF6F8, 0xF719, 0xF719, 0xF719, 0xF6F9, 0xEE98, 
        0xEE78, 0xF677, 0xF677, 0xEE57, 0xEE56, 0xF696, 0xEE55, 0xC551, 0xACEF, 0xAD0F, 0x948E, 0x31A5, 0x10A1, 0x3162, 0x4A44, 0x5AA4, 0x62C4, 0x51E1, 0x6244, 0xA46D, 0xCD92, 0xCD92, 0xB4EF, 0xA44E, 0x9C2D, 0xA42D, 0xAC2D, 0xAC2E, 0xAC4E, 0xAC6E, 
        0xAC6E, 0xAC8D, 0xB4CE, 0xBCEF, 0xCD11, 0xC531, 0xC511, 0xC511, 0xC551, 0xCD92, 0xD5B3, 0xBD31, 0xBCF0, 0xC50F, 0xCD4F, 0xC54F, 0xC550, 0xBCEF, 0xC4F0, 0xDD93, 0xDDB3, 0xD571, 0xB4AC, 0x93E8, 0x9409, 0xBD2F, 0xDE54, 0xEEF7, 0xE6B6, 0xA42B, 
        0x8B26, 0x8B88, 0x93E8, 0x9429, 0x9428, 0x9C09, 0xA44B, 0xC550, 0xDE55, 0xE6D8, 0xDE77, 0x8BEC, 0x7B29, 0xB491, 0xD575, 0xDDB6, 0xC574, 0xC534, 0xC513, 0xBCD1, 0xBCB1, 0xBC93, 0xC478, 0xC41D, 0xC41F, 0xC41F, 0xC41E, 0xC41E, 0xC41E,
  0x8AB6, 0x8AB6, 0x8AB6, 0x8AB5, 0x8AB5, 0x8AD4, 0x8AF3, 0x8AF3, 0x82F1, 0x82EF, 0x7B0E, 0x7B0E, 0x8311, 0x8B12, 0x82F1, 0x7AF0, 0x72CF, 0x72EE, 0x834E, 0x8B8E, 0x9390, 0x93B1, 0x9B92, 0xA372, 0x9B34, 0x9B15, 0x9B35, 0x9B35, 0x9B35, 0x9B35, 0x9B15, 
        0x9B15, 0x9B15, 0x9B14, 0x9334, 0x9333, 0x9313, 0x9313, 0x9334, 0x9B34, 0x9B54, 0x9B54, 0x9B15, 0x9AF5, 0x92D5, 0x92D4, 0x92B3, 0x8AAF, 0x7A8C, 0x728B, 0x726A, 0x724A, 0x724A, 0x6A49, 0x6A49, 0x6A48, 0x6A49, 0x7249, 0x7269, 0x8ACA, 0xAC0E, 
        0xBC90, 0xCCD2, 0xDCF3, 0xE534, 0xED53, 0xED53, 0xE533, 0xE4F2, 0xDCD1, 0xD4B0, 0xD46E, 0xC42E, 0xC42E, 0xBC2D, 0xBC0D, 0xC40E, 0xC3CE, 0xB3AE, 0xAB6D, 0xA32C, 0x930B, 0x92EA, 0x8ACA, 0x8AEC, 0x8AEC, 0x7AAB, 0x7269, 0x6A29, 0x6208, 0x6A28, 
        0x6A48, 0x6A07, 0x69E7, 0x69C6, 0x69C6, 0x71C7, 0x71E8, 0x7A49, 0x828A, 0x92AA, 0xA30C, 0xB36D, 0xBB8D, 0xB38D, 0xB36C, 0xAB4B, 0x9309, 0x72A7, 0x6AA5, 0x7AA6, 0x82E7, 0x8B08, 0x9B49, 0xA34A, 0xAB4A, 0xA369, 0x9B69, 0x9B69, 0xA389, 0x9B69, 
        0x9369, 0x8388, 0x7B87, 0x7367, 0x7347, 0x7B67, 0x8387, 0x8387, 0x8387, 0x8387, 0x8387, 0x7366, 0x6B46, 0x6305, 0x6B26, 0x6B47, 0x7BC9, 0x944C, 0x9C6C, 0x9C4D, 0xA46D, 0xAC6E, 0xAC8E, 0x9C4D, 0x940C, 0x8BAA, 0x8369, 0x7B49, 0x7329, 0x7B6B, 
        0x83AD, 0x9430, 0xA471, 0xA471, 0x9C30, 0x7B6C, 0x62CA, 0x49E6, 0x3983, 0x3162, 0x39E4, 0x62C8, 0x732A, 0x7B6A, 0x8B8B, 0x93AC, 0x9BED, 0xA40F, 0xAC0F, 0xB3CF, 0xBBAF, 0xC38F, 0xC38E, 0xBB8D, 0xB38D, 0xB36D, 0xB34D, 0xB34D, 0xBB6D, 0xC3AF, 
        0xC3F0, 0xCBF0, 0xCC31, 0xCC31, 0xCC31, 0xCBAE, 0xCB8E, 0xDBCF, 0xDBF0, 0xDBF0, 0xDC11, 0xE471, 0xE4B1, 0xE4D2, 0xE4F2, 0xE512, 0xE512, 0xE532, 0xE532, 0xE553, 0xE574, 0xE574, 0xE574, 0xDD54, 0xD513, 0xCD12, 0xCD33, 0xDD94, 0xE5F5, 0xCD33, 
        0xCCF2, 0xDD13, 0xED55, 0xF575, 0xFDD6, 0xF678, 0xE5B5, 0xC30B, 0xB9A6, 0xC9A7, 0xEA6C, 0xFA8E, 0xFA8E, 0xF26D, 0xF24B, 0xEA4A, 0xEA4A, 0xEB0D, 0xEB2E, 0xF2CE, 0xF26C, 0xEA2B, 0xE20B, 0xF28C, 0xFACE, 0xF32F, 0xF350, 0xEB4F, 0xE2EE, 0xDA4A, 
        0xC1C7, 0xA104, 0x8083, 0x8062, 0x9925, 0xCB2D, 0xE450, 0xEC91, 0xECB0, 0xDCAF, 0xD4AF, 0xE4D1, 0xECF2, 0xE512, 0xE511, 0xE511, 0xE4F1, 0xECF1, 0xECF1, 0xE4D1, 0xDCD1, 0xDCD1, 0xD4D0, 0xDCAF, 0xDCAF, 0xD490, 0xD490, 0xD490, 0xDCB0, 0xDCD0, 
        0xDCD1, 0xDCD1, 0xDCD1, 0xDCD1, 0xE4F1, 0xE4D1, 0xDCD1, 0xDCD0, 0xD4B0, 0xD4D0, 0xD4D0, 0xDCAF, 0xDCAF, 0xD48E, 0xCC6E, 0xC44D, 0xBC4D, 0xC44D, 0xC46E, 0xC44E, 0xC42E, 0xC42E, 0xBBEE, 0xB3CD, 0xB3CC, 0xABAC, 0xA38B, 0xA36B, 0x9B4A, 0x9B09, 
        0x9AC9, 0x8288, 0x7A47, 0x7227, 0x7226, 0x69E5, 0x69A4, 0x69A5, 0x69A5, 0x71A5, 0x69C6, 0x69A5, 0x61A5, 0x69E5, 0x6A05, 0x6A05, 0x6A05, 0x6A26, 0x6A26, 0x6A06, 0x6A06, 0x6A26, 0x6A47, 0x6A65, 0x5A44, 0x41E2, 0x31A1, 0x31A2, 0x31A3, 0x2962, 
        0x2162, 0x2962, 0x2963, 0x2963, 0x2943, 0x10C2, 0x18E2, 0x41C5, 0x5AA6, 0x6306, 0x6345, 0x62C5, 0x5A64, 0x4A63, 0x4A83, 0x4AA4, 0x52C5, 0x5AE4, 0x4A83, 0x3161, 0x2901, 0x3122, 0x41C4, 0x41E6, 0x4A08, 0x6ACB, 0x9C51, 0xBD55, 0xD699, 0xEF3B, 
        0xEF7C, 0xEF5C, 0xDEFB, 0xDEDB, 0xDEFB, 0xF79E, 0xFFDE, 0xF79C, 0xF77A, 0xF77A, 0xF75A, 0xFF39, 0xF71A, 0xF6FB, 0xF6FB, 0xF71C, 0xFF5D, 0xFF7C, 0xFF7C, 0xFF7C, 0xFF7C, 0xFF7B, 0xF75A, 0xFF3A, 0xFF19, 0xF739, 0xF719, 0xFF19, 0xFF1A, 0xFEFA, 
        0xF6FA, 0xF6D9, 0xF697, 0xEE77, 0xEE56, 0xF6D7, 0xEEB7, 0xD5F4, 0xBD52, 0xACF0, 0x842D, 0x3A65, 0x21A1, 0x31C2, 0x4A44, 0x5AE5, 0x7366, 0x5203, 0x49E3, 0x7B48, 0x9C8D, 0xB510, 0xBD51, 0xAC8E, 0xA44D, 0xA44E, 0xAC4E, 0xAC4E, 0xB44E, 0xA46E, 
        0xA46E, 0xAC6E, 0xB48F, 0xB4AF, 0xB4D1, 0xC512, 0xC512, 0xCD32, 0xCD32, 0xD552, 0xD553, 0xCD53, 0xCD53, 0xCD52, 0xC511, 0xBCCF, 0xB4AE, 0xC530, 0xD572, 0xDD73, 0xE5F4, 0xE655, 0xDE34, 0x9C0C, 0x8328, 0x8B89, 0xA48D, 0xBD70, 0xDE76, 0xDE14, 
        0xD571, 0xB4AD, 0xAC8C, 0xB4ED, 0xD5D1, 0xDE74, 0xE675, 0xDDF5, 0xD5B5, 0xCD74, 0xC533, 0xB492, 0xB492, 0xCD13, 0xD554, 0xCD53, 0xBCF2, 0xBCD1, 0xBCB2, 0xC476, 0xC459, 0xC45B, 0xC43D, 0xC43E, 0xC43F, 0xC43F, 0xC43E, 0xC43E, 0xC41F,
  0x92F4, 0x92F4, 0x8AD4, 0x8AD4, 0x92D3, 0x92F3, 0x8B12, 0x8B31, 0x8B2F, 0x832D, 0x832D, 0x832D, 0x8B50, 0x9331, 0x9312, 0x92F2, 0x92F2, 0x8AF2, 0x7B52, 0x7B71, 0x8371, 0x8B72, 0x9372, 0x9373, 0x92F4, 0x92D5, 0x92F5, 0x8B15, 0x8AF5, 0x8AF5, 0x9B36, 
        0x9B36, 0x9315, 0x9315, 0x92F5, 0x92F5, 0x92F6, 0x92F6, 0x9316, 0x9336, 0x9336, 0x9336, 0x9316, 0x92F6, 0x92D6, 0x92B4, 0x9293, 0x8A71, 0x828E, 0x828D, 0x828D, 0x826C, 0x7A6C, 0x7A8A, 0x7269, 0x7268, 0x6A48, 0x7249, 0x7A69, 0x8AC9, 0xA3CD, 
        0xAC4F, 0xC4B1, 0xD4F2, 0xE513, 0xED54, 0xF573, 0xED53, 0xE512, 0xE4F1, 0xE4D0, 0xDCAF, 0xCC4F, 0xBC2F, 0xB42F, 0xBC4F, 0xBC6F, 0xC470, 0xC3EF, 0xBBCF, 0xB3AF, 0xA38D, 0x934C, 0x8AEB, 0x8B2D, 0x934D, 0x8B2D, 0x82EC, 0x7AAB, 0x6A69, 0x6A69, 
        0x6A49, 0x7229, 0x7A29, 0x7A29, 0x7209, 0x7208, 0x7208, 0x7A09, 0x8249, 0x8A8A, 0x9B0C, 0xAB8E, 0xB3AE, 0xB3AE, 0xB38E, 0xAB6D, 0x9B0B, 0x8287, 0x7265, 0x72A5, 0x7AE6, 0x8328, 0x9B69, 0xA36A, 0xAB6A, 0xA369, 0xA369, 0x9B69, 0x9B69, 0x9BCA, 
        0x9BEA, 0x93EA, 0x8BA9, 0x8389, 0x8368, 0x83A9, 0x8BC9, 0x8BC9, 0x8BC9, 0x8BE9, 0x8BE9, 0x7BA8, 0x7347, 0x62E6, 0x62C5, 0x6AE6, 0x7348, 0x8BEA, 0x944B, 0x9C4D, 0xA46E, 0xAC8F, 0xB48F, 0xACAE, 0xA48D, 0x9C0D, 0x8B8B, 0x834A, 0x7B29, 0x736A, 
        0x7BAC, 0x942F, 0xA492, 0xACB2, 0xAC92, 0x940F, 0x7B8B, 0x5287, 0x31A3, 0x2942, 0x3943, 0x6289, 0x7B0B, 0x834B, 0x936C, 0x9B8D, 0xA3AE, 0xB3EE, 0xB3EE, 0xBBCF, 0xC3D0, 0xC3B0, 0xCBAF, 0xD36F, 0xD34F, 0xC32D, 0xB30C, 0xAB0C, 0xB30D, 0xD3AE, 
        0xE3EF, 0xE410, 0xE431, 0xE452, 0xE431, 0xD3B0, 0xD3B0, 0xDC11, 0xDC51, 0xDC71, 0xD491, 0xE4B2, 0xECD3, 0xED13, 0xE513, 0xE513, 0xDD12, 0xDD32, 0xDD32, 0xDD72, 0xDD93, 0xDD93, 0xDDB4, 0xE638, 0xE638, 0xD594, 0xC4F0, 0xBC6E, 0xBC8F, 0xDE16, 
        0xE678, 0xDD54, 0xDCB2, 0xE4B3, 0xF576, 0xF6DB, 0xEE59, 0xCB8E, 0xB9C7, 0xC987, 0xE24B, 0xF311, 0xF352, 0xF331, 0xF2EE, 0xF2CC, 0xF2AB, 0xFB30, 0xFB72, 0xF350, 0xEB4F, 0xEB4E, 0xEB6F, 0xEBD1, 0xEBF2, 0xEBD0, 0xDB2D, 0xC2AB, 0x9986, 0x90A3, 
        0x9882, 0xB0C4, 0xC168, 0xD20B, 0xE3B0, 0xF552, 0xF592, 0xE530, 0xE4EF, 0xE50F, 0xED31, 0xE532, 0xE512, 0xDD31, 0xDD11, 0xDD11, 0xE511, 0xE511, 0xE4F1, 0xE4D0, 0xE4D1, 0xE4D1, 0xE4F1, 0xDCAF, 0xD4AF, 0xDCB0, 0xDCB0, 0xDCB0, 0xDC90, 0xDCD1, 
        0xDCD1, 0xDCD1, 0xDCB0, 0xDCD0, 0xDCF1, 0xDCD1, 0xDCD1, 0xD4B0, 0xD4AF, 0xD4AF, 0xD4CF, 0xD48F, 0xD46F, 0xCC6E, 0xC44E, 0xC44E, 0xBC2D, 0xBC0E, 0xBC0E, 0xC42E, 0xC42E, 0xC42E, 0xBC0E, 0xB3CD, 0xAB8C, 0xA36B, 0x9B4A, 0x9B2A, 0x930A, 0x8AC9, 
        0x8288, 0x7A46, 0x7225, 0x7225, 0x7205, 0x71C5, 0x71A5, 0x71C5, 0x71C5, 0x71C5, 0x71C5, 0x6A05, 0x6A05, 0x69E5, 0x69E5, 0x69E5, 0x6A05, 0x6A26, 0x6A26, 0x6A05, 0x6A25, 0x7246, 0x7246, 0x51C3, 0x4181, 0x49E2, 0x4A02, 0x4203, 0x39C3, 0x2943, 
        0x2922, 0x2943, 0x3163, 0x3963, 0x3163, 0x1902, 0x1922, 0x4204, 0x5AA6, 0x6306, 0x6B26, 0x62C4, 0x62A4, 0x5AE5, 0x5AE5, 0x5AE4, 0x5282, 0x4204, 0x41E5, 0x6245, 0x7AE6, 0x8368, 0x944E, 0xC616, 0xDEDA, 0xE71B, 0xEF7D, 0xF79D, 0xFFDE, 0xFFDE, 
        0xFFBE, 0xFFDE, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBD, 0xF79D, 0xF77C, 0xFF9C, 0xFFBC, 0xFF9D, 0xFF9D, 0xFF9E, 0xFFBD, 0xFFBC, 0xFF9B, 0xFF7B, 0xFF7B, 0xFF7B, 0xFF7B, 0xFF5B, 0xFF3C, 0xFF5B, 0xFF5B, 0xFF3A, 0xFF1A, 0xFF1A, 
        0xFF1A, 0xF6F9, 0xF6D7, 0xF6D7, 0xF6F7, 0xFF39, 0xF718, 0xDE56, 0xC593, 0xAD11, 0x840D, 0x29E4, 0x1141, 0x31A2, 0x5264, 0x6306, 0x73A8, 0x6306, 0x5AA5, 0x6284, 0x7B27, 0x9C0C, 0xC552, 0xACAF, 0xA42D, 0xAC4E, 0xAC4F, 0xAC4F, 0xAC4F, 0xAC4E, 
        0xAC4E, 0xAC4F, 0xB44F, 0xAC4F, 0xAC4F, 0xBCD1, 0xC4F2, 0xCCF2, 0xC4F2, 0xC512, 0xCD33, 0xDD54, 0xDD54, 0xC512, 0xBCF1, 0xBCF1, 0xC532, 0xCD92, 0xCDB2, 0xC571, 0xCD71, 0xDD93, 0xE5F6, 0xDE56, 0xC5F3, 0xA4AD, 0x8BA9, 0x8B8A, 0xAC6F, 0xDE35, 
        0xEE76, 0xCD71, 0xACAE, 0xA46D, 0xAC8E, 0xC552, 0xD574, 0xD533, 0xCD33, 0xC533, 0xC554, 0xC514, 0xCCF3, 0xC513, 0xC513, 0xC4F2, 0xBCD2, 0xBCB2, 0xBCB3, 0xBC98, 0xC47B, 0xC47C, 0xC45E, 0xCC3F, 0xCC1F, 0xC43F, 0xC43F, 0xC43F, 0xC43F,
  0x9294, 0x9295, 0x8AB5, 0x8AB5, 0x8AD4, 0x8AF3, 0x7B32, 0x7B51, 0x8B4F, 0x934E, 0x934D, 0x932F, 0x8AF4, 0x8AD6, 0x8AB5, 0x92B5, 0x8AB5, 0x8AB5, 0x8AD4, 0x8AF3, 0x82F2, 0x82F1, 0x8AF1, 0x8AF2, 0x8AF3, 0x8AD4, 0x8AD4, 0x92D5, 0x92B5, 0x92B5, 0x8AB6, 
        0x8AD6, 0x92F6, 0x9AF6, 0x9AF6, 0x92D7, 0x92D7, 0x92F7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x92B6, 0x92B6, 0x92F7, 0x9B17, 0x9B16, 0x9AF5, 0xA2F3, 0x9B12, 0x9B10, 0x930F, 0x92EE, 0x92CD, 0x82CA, 0x82C9, 0x82C9, 0x8ACA, 0x8AAA, 0x8ACA, 0x9B6C, 
        0xABED, 0xB44F, 0xC4D0, 0xCCF1, 0xD533, 0xE533, 0xE513, 0xDCD2, 0xD491, 0xCC6F, 0xCC4E, 0xC42D, 0xC42D, 0xCC4E, 0xCC6F, 0xCC70, 0xC490, 0xBC2D, 0xB3ED, 0xB3AD, 0xAB8D, 0xAB6D, 0xA34C, 0x932C, 0x932C, 0x932C, 0x932C, 0x930C, 0x932C, 0x9B4D, 
        0x9B4D, 0x9B2C, 0x9B0B, 0x9B0B, 0x9B0B, 0x930C, 0x9B2C, 0xA34C, 0xAB6D, 0xB38D, 0xBBCE, 0xC3EE, 0xC3EE, 0xBBED, 0xB3CC, 0xB3CC, 0xAB8B, 0x9349, 0x8328, 0x8308, 0x8308, 0x8B08, 0x9329, 0x9B4A, 0xA34A, 0xA38A, 0xABCA, 0xABEB, 0xB40B, 0xB42B, 
        0xB42B, 0xAC2B, 0x9C2A, 0x942A, 0x942A, 0x9C2A, 0x9C4B, 0x9C6B, 0x9C8C, 0x9C8C, 0xA48C, 0xB4CD, 0xACCD, 0x9C6B, 0x8C2A, 0x8C09, 0x9C2A, 0xBD0F, 0xC550, 0xC550, 0xC550, 0xBD51, 0xBD51, 0xBCEF, 0xB4AE, 0xA44D, 0x9C0C, 0x93EB, 0x93CB, 0x942D, 
        0x9C8F, 0xA4D1, 0xACD3, 0xACB2, 0x9C50, 0x6B2C, 0x5289, 0x41C6, 0x3164, 0x3143, 0x39A3, 0x52A6, 0x6B27, 0x7B49, 0x8B49, 0x932A, 0x9B0A, 0xAB0B, 0xAB2C, 0xAB4D, 0xB36D, 0xB36D, 0xB32D, 0xB2CB, 0xB2AA, 0xAAAA, 0xAA89, 0xAA89, 0xB28A, 0xD36E, 
        0xDBAF, 0xCBAE, 0xC36D, 0xBB4C, 0xBB6D, 0xD430, 0xE492, 0xE472, 0xE431, 0xDC11, 0xD3F0, 0xC3ED, 0xC42C, 0xCC6F, 0xD4D1, 0xD4F1, 0xD512, 0xCD33, 0xC553, 0xC532, 0xC533, 0xC553, 0xC533, 0xBCD1, 0xB4B0, 0xB4B1, 0xB4B1, 0xB4B0, 0xC4B0, 0xD4F5, 
        0xDCD6, 0xD474, 0xCC12, 0xC3F1, 0xC452, 0xE5B5, 0xF657, 0xEDB6, 0xD492, 0xC34D, 0xA9E7, 0xC1E9, 0xD24C, 0xE2EF, 0xEB30, 0xEB0F, 0xE2CC, 0xEACB, 0xEACC, 0xEAED, 0xEAED, 0xEACD, 0xE28D, 0xC9E9, 0xB987, 0xA966, 0xA925, 0xB105, 0xB8E4, 0x9946, 
        0x9A09, 0xCB8D, 0xECB0, 0xF511, 0xF531, 0xE512, 0xE512, 0xED52, 0xED52, 0xE551, 0xDD31, 0xED53, 0xED53, 0xE532, 0xDD11, 0xE532, 0xED52, 0xE552, 0xE532, 0xDCF1, 0xD4D0, 0xD4D0, 0xD4B0, 0xD4D0, 0xCCD1, 0xD4D1, 0xCCB0, 0xCCAF, 0xCC8E, 0xCC8F, 
        0xCCAF, 0xCCB0, 0xD4B0, 0xD4CF, 0xD4CF, 0xD48E, 0xCC8E, 0xCC8E, 0xCC8E, 0xCC8E, 0xCC6E, 0xC46D, 0xC44D, 0xC44D, 0xC44D, 0xC42D, 0xBC2C, 0xB40C, 0xB3EC, 0xB3CD, 0xB3AD, 0xB3AD, 0xAB8C, 0xA34B, 0x9B2A, 0x930A, 0x92E9, 0x92C9, 0x8A88, 0x7A26, 
        0x7205, 0x69E5, 0x69E6, 0x71E6, 0x71E6, 0x61A4, 0x59A4, 0x69E4, 0x6A05, 0x69E5, 0x69C5, 0x61C5, 0x59E5, 0x61E5, 0x6205, 0x6A05, 0x6205, 0x61A5, 0x5985, 0x59A4, 0x59E5, 0x6A45, 0x6A66, 0x41A2, 0x2961, 0x31C2, 0x39E3, 0x39C3, 0x3163, 0x2142, 
        0x2122, 0x2943, 0x3164, 0x3185, 0x3185, 0x2123, 0x2963, 0x4A25, 0x5AC6, 0x5AE7, 0x52C6, 0x4AA4, 0x4A62, 0x39C2, 0x2942, 0x2942, 0x4A67, 0xAD74, 0xDEBA, 0xDEDA, 0xE71A, 0xEF3B, 0xEF5C, 0xF7DE, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDF, 0xFFDF, 0xF7BE, 0xFF5C, 0xF71B, 0xF71B, 0xEF3B, 0xF75B, 0xF77B, 0xF79B, 0xF79B, 0xF75B, 0xFF5A, 0xF73A, 0xF73A, 0xF739, 0xF739, 0xF739, 0xF71A, 0xF719, 0xF719, 0xF719, 
        0xF6F9, 0xF6B8, 0xF677, 0xF657, 0xF697, 0xF75A, 0xE6F9, 0xB532, 0x942D, 0x83EB, 0x6B69, 0x2143, 0x18C1, 0x4243, 0x6366, 0x6BC7, 0x6B88, 0x5286, 0x49E4, 0x49E3, 0x62A6, 0x7B6A, 0xA4D0, 0xBD10, 0xBD0F, 0xACAE, 0xA46E, 0xA42E, 0xAC0E, 0xA46E, 
        0xA48E, 0xAC6E, 0xAC4E, 0xB46F, 0xB470, 0xBCD1, 0xC4F2, 0xC4F1, 0xC4F1, 0xC4F2, 0xC4F2, 0xCD32, 0xCD53, 0xCD53, 0xBD12, 0xB4AF, 0xA42C, 0xBCAE, 0xD551, 0xDDF5, 0xDDD5, 0xCD72, 0xB4CE, 0xB551, 0xB551, 0xB4AD, 0xAC4B, 0xAC4B, 0xB4EF, 0xD5F4, 
        0xDE35, 0xCD71, 0xBD2E, 0xBD2E, 0xBD70, 0xDD93, 0xE594, 0xDD94, 0xD573, 0xC551, 0xBD10, 0xBCF2, 0xC4F2, 0xBCD2, 0xBCD2, 0xBCD2, 0xC4D4, 0xC4B7, 0xCCBA, 0xCC9C, 0xCC5E, 0xC43E, 0xBBFE, 0xC45E, 0xC47E, 0xC43E, 0xC41E, 0xC41E, 0xC3FE,
  0x82B3, 0x8AD4, 0x8AF4, 0x9314, 0x8B14, 0x8B33, 0x8330, 0x834F, 0x836E, 0x8B4F, 0x8B50, 0x8B13, 0x8AB6, 0x8AB6, 0x92D5, 0x92F4, 0x92F5, 0x92F6, 0x92D6, 0x92B6, 0x92D6, 0x92D6, 0x92D5, 0x8AF3, 0x8AF3, 0x92F4, 0x92F5, 0x92D5, 0x92F6, 0x92F6, 0x92D7, 
        0x92D7, 0x92F6, 0x9AF6, 0x9B17, 0x9AF7, 0x9AD7, 0x9AD7, 0x9AD6, 0x9AD6, 0x9AD6, 0x9AD6, 0x9316, 0x9B36, 0x9B37, 0xA316, 0xA316, 0xA316, 0x9B14, 0x9B13, 0x9B12, 0x9B10, 0x930F, 0x92ED, 0x92CB, 0x92EA, 0x930B, 0x930B, 0x92EB, 0x930B, 0xA3AC, 
        0xAC0D, 0xBC6F, 0xCCB1, 0xD4D2, 0xE512, 0xE512, 0xE512, 0xDCD2, 0xDCB1, 0xD490, 0xCC4E, 0xC44E, 0xC44E, 0xC46E, 0xC46F, 0xC470, 0xC470, 0xBC4E, 0xB42D, 0xB3EE, 0xB3CE, 0xABAE, 0xA3AD, 0xA38D, 0xA38D, 0x9B6D, 0x934C, 0x8B4C, 0x8B2C, 0x8B2C, 
        0x932C, 0x932C, 0x932D, 0x9B4D, 0x9B4D, 0xAB8E, 0xABAE, 0xABAD, 0xB3AD, 0xB3CD, 0xBC0E, 0xC42E, 0xC42E, 0xBC4E, 0xBC4E, 0xBC4E, 0xBC0D, 0xABAB, 0x9B8A, 0x8B49, 0x8B29, 0x8B49, 0x9349, 0x9369, 0x9B6A, 0xA38A, 0xA3AA, 0xABAB, 0xABCB, 0xB40C, 
        0xB42C, 0xAC2C, 0xA42B, 0x9C2B, 0x942A, 0x93EA, 0x93EA, 0x9C4B, 0xA48C, 0xA48C, 0xA48D, 0xB4CD, 0xB4CD, 0xACAD, 0x9C6C, 0x9C4B, 0x9C4B, 0xACCF, 0xB530, 0xBD30, 0xC550, 0xCD70, 0xC571, 0xC532, 0xBCF1, 0xAC90, 0xA44E, 0x9C2D, 0x8C0C, 0x940D, 
        0x9C2E, 0xA491, 0xACF3, 0xB513, 0xACD1, 0x83AF, 0x6AEC, 0x5248, 0x39A4, 0x3163, 0x3162, 0x4A25, 0x6287, 0x72C8, 0x8329, 0x8B4A, 0xA38C, 0xBB6E, 0xBB6E, 0xBB6D, 0xB34D, 0xB34D, 0xAB0C, 0xBACD, 0xBACC, 0xBAEB, 0xB2A9, 0xAA88, 0xAA88, 0xC38C, 
        0xCBED, 0xBBAC, 0xBBAE, 0xCC30, 0xDCF3, 0xB4EF, 0xA4CD, 0xBCCF, 0xC4B1, 0xC492, 0xBC71, 0xBC6F, 0xBC8E, 0xB48E, 0xBCAE, 0xC4EF, 0xDD31, 0xDD13, 0xDCF4, 0xD4F3, 0xD512, 0xD512, 0xD512, 0xBCD0, 0xAC6E, 0x8B8B, 0x830B, 0x8B2C, 0xA3EF, 0xBCB0, 
        0xCD12, 0xDD57, 0xCCB9, 0xB3D7, 0x92F1, 0xB4EF, 0xD5F0, 0xE5D4, 0xE596, 0xD574, 0xBC6E, 0xB229, 0xB946, 0xB146, 0xB147, 0xB166, 0xB986, 0xB966, 0xB946, 0xB926, 0xB906, 0xB906, 0xC126, 0xB946, 0xB1A7, 0x9A6A, 0x9AAC, 0xA2AC, 0xC32D, 0xDD55, 
        0xEE38, 0xF617, 0xF5B5, 0xF573, 0xF552, 0xF573, 0xF573, 0xF573, 0xF573, 0xF573, 0xED52, 0xED32, 0xED12, 0xED32, 0xF532, 0xF532, 0xED32, 0xE532, 0xDD12, 0xDD11, 0xDD11, 0xDCF0, 0xDCD0, 0xD4B1, 0xD4B1, 0xD4B0, 0xD4AF, 0xD4AF, 0xD48F, 0xD48F, 
        0xD4AF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD46F, 0xD46F, 0xD46F, 0xD46F, 0xD46F, 0xD46F, 0xD44E, 0xCC4D, 0xC44D, 0xC44D, 0xC44D, 0xBC2D, 0xB3ED, 0xB3CD, 0xB3AD, 0xB3AC, 0xB3AC, 0xAB8B, 0x9B6A, 0x9B2A, 0x92E9, 0x92A9, 0x8A89, 0x8249, 0x69A5, 
        0x6185, 0x69A6, 0x71C6, 0x71C6, 0x71C6, 0x6A05, 0x6A25, 0x6A05, 0x6A05, 0x6A05, 0x6A25, 0x6A25, 0x6225, 0x61E4, 0x59C4, 0x61C4, 0x61C4, 0x5164, 0x4944, 0x5165, 0x59C6, 0x5A46, 0x5A85, 0x41C3, 0x3182, 0x39A2, 0x39C2, 0x39C2, 0x31A2, 0x3183, 
        0x3164, 0x3163, 0x3163, 0x3163, 0x3184, 0x4205, 0x5266, 0x62E8, 0x6B29, 0x6328, 0x52C5, 0x4263, 0x3A02, 0x41E2, 0x5A64, 0x7B67, 0xB56E, 0xE75A, 0xFFFE, 0xFFFE, 0xFFDE, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFBD, 0xFFDD, 0xFFBD, 0xFF9C, 0xFF7C, 0xFF9C, 0xFF9B, 0xF75B, 0xF75A, 0xF75A, 0xF73A, 0xF73A, 0xF71A, 0xFF5A, 
        0xFF39, 0xF6F9, 0xF6FA, 0xF71B, 0xF75B, 0xEEF7, 0xDE75, 0xC591, 0x942D, 0x6B09, 0x2963, 0x0861, 0x10A1, 0x39E3, 0x5B06, 0x6BA9, 0x73EB, 0x5265, 0x3982, 0x3121, 0x3163, 0x49E5, 0x7B2A, 0xB511, 0xC593, 0xB511, 0xAC8F, 0xAC6E, 0xAC6E, 0xAC4E, 
        0xAC4E, 0xAC4E, 0xAC6F, 0xB46F, 0xB470, 0xB46E, 0xB48E, 0xB490, 0xB4B1, 0xB4B1, 0xBD10, 0xD5B2, 0xDDB3, 0xC511, 0xB4AF, 0xBC8F, 0xCCF0, 0xDDB4, 0xDD95, 0xBC91, 0x9B6C, 0x82A8, 0x7AC8, 0xBD52, 0xD636, 0xC572, 0xAC8D, 0x9BEA, 0x93A9, 0xC531, 
        0xDDD5, 0xDDD4, 0xD5B3, 0xCD71, 0xC52F, 0xC531, 0xC532, 0xC533, 0xCD53, 0xCD53, 0xC532, 0xBCF0, 0xBCD0, 0xBCF1, 0xC511, 0xC4F1, 0xC4D4, 0xBC7B, 0xBC3E, 0xBC3F, 0xC43F, 0xC43F, 0xC43F, 0xC43F, 0xC43F, 0xC43E, 0xC43E, 0xC43E, 0xC41E,
  0x8AF4, 0x8AF4, 0x9314, 0x9334, 0x9333, 0x9352, 0x8350, 0x836F, 0x836F, 0x8370, 0x8351, 0x8333, 0x92D5, 0x9AD5, 0x92F5, 0x92F5, 0x92F5, 0x92F6, 0x92D7, 0x92D8, 0x9AD8, 0x9AD8, 0x9AF7, 0x92F5, 0x9314, 0x9314, 0x92F4, 0x92F5, 0x92F5, 0x92F6, 0x9317, 
        0x9318, 0x9AF7, 0x9AF6, 0x9B16, 0x9317, 0xA2D8, 0xA2D8, 0x9AD7, 0x92D7, 0x92B7, 0x92B8, 0xA339, 0xA379, 0x9B37, 0xA337, 0xA337, 0xAB58, 0xA2F6, 0xA2F4, 0xA333, 0xA352, 0x9B51, 0x9B2F, 0x9B0D, 0x9B0C, 0x932C, 0x930C, 0x92EC, 0x92EC, 0xA36B, 
        0xABCC, 0xBC4F, 0xD4B1, 0xDCF2, 0xE531, 0xE533, 0xED33, 0xECF2, 0xE4B0, 0xDC90, 0xCC4F, 0xB42F, 0xB44F, 0xB46F, 0xC490, 0xD4B1, 0xDCD1, 0xBC90, 0xAC4F, 0xB42E, 0xBC0F, 0xBC0F, 0xABCF, 0x9B6D, 0x9B4C, 0x9B2C, 0x9B2C, 0x932C, 0x930B, 0x92EB, 
        0x92EB, 0xA30C, 0xA34C, 0xA34C, 0xA36C, 0xABCD, 0xB3EE, 0xBBCE, 0xBBCE, 0xBBEE, 0xBC2E, 0xBC2E, 0xC42E, 0xC42F, 0xCC6F, 0xCC8F, 0xC48E, 0xB38C, 0xAB2B, 0x9B4A, 0x9B49, 0x9329, 0x9329, 0x9369, 0x9B69, 0x9369, 0x9B69, 0xA3AA, 0xB3EB, 0xBC2C, 
        0xBC4D, 0xB46E, 0xB48E, 0xAC8D, 0xA46C, 0x9C4C, 0x9C2B, 0xA44C, 0xAC8C, 0xAC8C, 0xA4AC, 0xA46C, 0xA46C, 0x9C8D, 0x9C8D, 0x9C6C, 0x9C6B, 0xACEF, 0xB531, 0xB550, 0xC570, 0xD591, 0xDDB2, 0xC552, 0xB4F1, 0xAC8F, 0xA42D, 0x9C0D, 0x93EC, 0x942D, 
        0x944E, 0xA490, 0xACF3, 0xB513, 0xB513, 0x9C51, 0x8BAE, 0x62CA, 0x41C5, 0x3123, 0x20C1, 0x4183, 0x5A05, 0x6A66, 0x7AC9, 0x8B2A, 0xA38E, 0xCBD0, 0xD3F0, 0xC3CF, 0xABAE, 0xA38E, 0xA34D, 0xB2CC, 0xBAAB, 0xB2AA, 0xB289, 0xAA48, 0xB1E7, 0xDA8A, 
        0xEAAC, 0xE2AE, 0xE310, 0xEB72, 0xEC53, 0xCCF1, 0xBD10, 0xC511, 0xCCD1, 0xD4B1, 0xD491, 0xC450, 0xBC0E, 0xAC0D, 0xAC6D, 0xB50E, 0xCE13, 0xD678, 0xDE59, 0xD5D8, 0xD577, 0xD557, 0xCCD4, 0xB30B, 0xB32A, 0xCD33, 0xD617, 0xD657, 0xCDD2, 0x9329, 
        0x8AE9, 0xC553, 0xDE98, 0xCE76, 0xAD0D, 0xAAA6, 0xBA46, 0xDBAB, 0xF531, 0xF615, 0xEE99, 0xE4F5, 0xDBF2, 0xCB2F, 0xC2CC, 0xBAAA, 0xC2CA, 0xC2EC, 0xC2CD, 0xC28A, 0xC289, 0xBA8A, 0xC2EB, 0xDB6C, 0xE3ED, 0xDCB1, 0xDD54, 0xDDB5, 0xEDD5, 0xF574, 
        0xFD54, 0xFD53, 0xFD32, 0xF512, 0xF512, 0xFD94, 0xFDD5, 0xFDB4, 0xFD94, 0xFD74, 0xF574, 0xED32, 0xED32, 0xED52, 0xED53, 0xED53, 0xED32, 0xE511, 0xE510, 0xE511, 0xE512, 0xE512, 0xDCF1, 0xDCB0, 0xDCB0, 0xDCD0, 0xDCD0, 0xDCB0, 0xD4AF, 0xDCAF, 
        0xDCAF, 0xDCAF, 0xDC8F, 0xD490, 0xC470, 0xCC6F, 0xD48F, 0xCC8F, 0xCC8F, 0xCC6F, 0xC46E, 0xC48E, 0xC48E, 0xC44E, 0xBC2D, 0xBC0D, 0xBBED, 0xB40D, 0xB3ED, 0xB3CD, 0xABCD, 0xABAC, 0xA36B, 0x9B2A, 0x9AEA, 0x9AC9, 0x92A8, 0x82A7, 0x7245, 0x7185, 
        0x7145, 0x7185, 0x7185, 0x7186, 0x7166, 0x7A26, 0x7A66, 0x7245, 0x7225, 0x7225, 0x7226, 0x6A05, 0x61E5, 0x59C5, 0x59A5, 0x59A5, 0x51A4, 0x4903, 0x48E4, 0x5965, 0x61E6, 0x6227, 0x5A66, 0x49C2, 0x41A1, 0x41A2, 0x41C2, 0x39A2, 0x2961, 0x2964, 
        0x3184, 0x39A4, 0x3183, 0x2942, 0x2963, 0x7B4A, 0x93EE, 0x838F, 0x732F, 0x6AED, 0x6ACA, 0x5305, 0x42C2, 0x3221, 0x31A1, 0x39C3, 0x62E7, 0xCE53, 0xF7BA, 0xFFDC, 0xFFDE, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFBD, 0xFF9C, 0xFF7D, 0xFF7C, 0xFF7B, 0xFF7B, 0xFF7B, 0xFF5B, 0xFF3A, 
        0xFF39, 0xFF3A, 0xFF3B, 0xFF7C, 0xFF9C, 0xF73A, 0xF6F8, 0xDE55, 0xACEF, 0x736A, 0x2142, 0x10A0, 0x10C0, 0x2961, 0x5284, 0x7388, 0x8C6B, 0x4A44, 0x2921, 0x2121, 0x3161, 0x4182, 0x6203, 0x6AE7, 0x83AB, 0xACAF, 0xC511, 0xC4F0, 0xB46E, 0xAC2F, 
        0xAC50, 0xAC6F, 0xAC6F, 0xAC6F, 0xAC4F, 0xAC6F, 0xB48F, 0xB491, 0xBC92, 0xBC92, 0xC4D2, 0xDD95, 0xD594, 0xBCB1, 0xBCB1, 0xCD54, 0xDE15, 0xB46C, 0x9B88, 0x9347, 0x9347, 0x9388, 0x8BA8, 0x93A8, 0x93C8, 0x9C68, 0xA4C9, 0xB50B, 0xB4CE, 0x9C0E, 
        0x9C2F, 0xBD51, 0xD5D3, 0xD5D2, 0xCD70, 0xB4EC, 0xB4CC, 0xBD10, 0xC552, 0xCD73, 0xCD72, 0xBCF0, 0xBCB2, 0xC4B6, 0xC4BA, 0xC49B, 0xBC5B, 0xBBFE, 0xBBDF, 0xBC1F, 0xBC5F, 0xBC5F, 0xC45F, 0xCC3F, 0xCC1F, 0xC43F, 0xC45F, 0xC45E, 0xCC5E,
  0x8AF4, 0x8AF4, 0x8B14, 0x9313, 0x9333, 0x9331, 0x8350, 0x834F, 0x8370, 0x8351, 0x8352, 0x8313, 0x92D5, 0x9AB6, 0x92D6, 0x92F5, 0x92F5, 0x92D5, 0x92D7, 0x92D8, 0x92D8, 0x92D7, 0x92D7, 0x92F5, 0x92F5, 0x92F5, 0x92F5, 0x92F5, 0x92F6, 0x92F6, 0x9317, 
        0x9317, 0x9AF7, 0x9AF6, 0x9AF5, 0x9316, 0x9AD8, 0xA2D8, 0x9AD7, 0x92D7, 0x92D7, 0x9AD8, 0xA359, 0xA359, 0x9B37, 0x9B37, 0xA357, 0xAB58, 0xA2F5, 0x9AF3, 0xA332, 0xA371, 0xA370, 0xA36F, 0xA36E, 0xA36E, 0xA36D, 0xA36D, 0x9B4D, 0xA34D, 0xABAC, 
        0xB3ED, 0xC450, 0xD4B1, 0xD4D1, 0xDD11, 0xE533, 0xE513, 0xE4F1, 0xDCB0, 0xDC6F, 0xCC2F, 0xBC2E, 0xB44E, 0xB46F, 0xC490, 0xD4B0, 0xDCD1, 0xC490, 0xB470, 0xBC4F, 0xC44F, 0xBC2F, 0xB40F, 0xA3AD, 0x9B6C, 0xA36D, 0xA36D, 0xA36D, 0xA36C, 0xA34C, 
        0xA34D, 0xAB6D, 0xB38D, 0xB3AD, 0xB3AC, 0xB40E, 0xBC2E, 0xBC0E, 0xC40E, 0xBC2E, 0xBC4E, 0xC42E, 0xC42E, 0xC42E, 0xCC4E, 0xCC8E, 0xC48E, 0xBBCD, 0xB36C, 0xAB6A, 0xA36A, 0xA369, 0x9B49, 0x9B69, 0x9B69, 0x9B69, 0x9B89, 0xA3AA, 0xB3EB, 0xB40C, 
        0xB42C, 0xB42D, 0xAC4D, 0xA44C, 0x9C2B, 0x940B, 0x940B, 0xA44B, 0xAC8C, 0xB4AC, 0xB4CD, 0xACAD, 0xACAE, 0xACCE, 0xACEE, 0xACCE, 0xACCD, 0xBD51, 0xC572, 0xBD91, 0xC5B1, 0xD5B2, 0xDDB2, 0xC572, 0xBD31, 0xB4CF, 0xAC6E, 0xA42D, 0x9C0D, 0x942D, 
        0x9C4E, 0xA490, 0xACD2, 0xB4F4, 0xB4F4, 0x9C51, 0x83AE, 0x62A9, 0x41C5, 0x3144, 0x3103, 0x51C4, 0x6A46, 0x7AA8, 0x8B0A, 0x9B4C, 0xABAE, 0xCBD0, 0xCBD0, 0xBBAE, 0xAB6D, 0xA36D, 0xA34C, 0xAACB, 0xAA8A, 0xB28A, 0xB28A, 0xB269, 0xBA49, 0xCA2A, 
        0xDA6C, 0xE2EF, 0xEB72, 0xEBB4, 0xEC55, 0xDD34, 0xDD73, 0xDD53, 0xDD53, 0xDD33, 0xDCD2, 0xC3F0, 0xB38E, 0xABAD, 0xA42D, 0xACCE, 0xB5B1, 0xBE14, 0xBE16, 0xBD95, 0xBD35, 0xBD15, 0xB493, 0xA2EB, 0xAB0B, 0xBCF3, 0xBDD6, 0xBDF6, 0xB550, 0x934A, 
        0x932B, 0xBD54, 0xDED9, 0xDF57, 0xBE0F, 0x91C5, 0x90A3, 0xC2A9, 0xECB0, 0xF5B4, 0xF698, 0xFE19, 0xF598, 0xE4F4, 0xDC72, 0xD470, 0xDC70, 0xD472, 0xD472, 0xDC50, 0xD450, 0xD450, 0xD491, 0xECD0, 0xFD11, 0xFD73, 0xFE16, 0xF656, 0xF656, 0xF552, 
        0xF4D1, 0xFCF1, 0xF512, 0xF512, 0xF533, 0xF594, 0xFDB4, 0xFD94, 0xF594, 0xF594, 0xF574, 0xED52, 0xED52, 0xED52, 0xED53, 0xED53, 0xED32, 0xE511, 0xE510, 0xE511, 0xE4F1, 0xE4F2, 0xDCD1, 0xDCD0, 0xD4D0, 0xD4D0, 0xD4CF, 0xD4AF, 0xD48F, 0xD4AF, 
        0xD4AF, 0xDC8F, 0xD48F, 0xCC6F, 0xC46F, 0xC46F, 0xCC6F, 0xC48F, 0xC48F, 0xC46E, 0xBC4E, 0xBC6E, 0xBC6E, 0xBC2E, 0xBBED, 0xBBCD, 0xBBCC, 0xB3EC, 0xABCC, 0xABAC, 0xAB8C, 0xA36B, 0x9B4A, 0x92C9, 0x92A9, 0x8A88, 0x8267, 0x7A46, 0x7225, 0x71A5, 
        0x7985, 0x7185, 0x71A5, 0x7185, 0x71A6, 0x7A26, 0x7A46, 0x7225, 0x6A05, 0x69E5, 0x69C6, 0x61C5, 0x59A5, 0x5985, 0x5185, 0x5185, 0x4984, 0x4903, 0x48E3, 0x5945, 0x61C6, 0x6206, 0x5A45, 0x41C2, 0x3981, 0x41A2, 0x39C2, 0x31A2, 0x2962, 0x3183, 
        0x31A4, 0x39A4, 0x3183, 0x2942, 0x3183, 0x7B4B, 0x93EE, 0x7B6E, 0x6AEE, 0x6ACD, 0x6AEB, 0x4AC4, 0x42A2, 0x3A42, 0x3A03, 0x4205, 0x6309, 0xCE54, 0xF7BA, 0xFFDD, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDD, 0xFFDD, 0xFFDD, 0xFFDC, 0xFFBC, 0xFF7C, 0xFF7C, 0xFF7C, 0xFF7B, 0xFF7B, 0xFF7B, 0xFF5B, 0xFF3A, 
        0xFF39, 0xFF3A, 0xFF5B, 0xFF7C, 0xFF7C, 0xF73B, 0xEEF9, 0xD614, 0xA4AE, 0x6B49, 0x2943, 0x10A0, 0x18C1, 0x3182, 0x5285, 0x6B67, 0x83E9, 0x4223, 0x2120, 0x2101, 0x2921, 0x3921, 0x5182, 0x6AE8, 0x83EC, 0xB4D0, 0xC532, 0xC511, 0xAC6F, 0xAC2F, 
        0xAC4F, 0xAC6F, 0xAC8F, 0xAC6F, 0xAC4F, 0xAC6F, 0xAC70, 0xB491, 0xBC92, 0xC492, 0xC4B2, 0xCD34, 0xCD34, 0xBCB2, 0xC4F2, 0xCD74, 0xD5D4, 0x9BC8, 0x82E3, 0x8325, 0x8B87, 0x8BC8, 0x83C7, 0x8345, 0x8B64, 0xA488, 0xB54C, 0xBD6E, 0xBD0F, 0x940D, 
        0x93ED, 0xB510, 0xCDB2, 0xD5D3, 0xD591, 0xB4EB, 0xACCB, 0xBD0F, 0xC552, 0xCD72, 0xCD71, 0xBCF1, 0xBC93, 0xC499, 0xC47D, 0xC45F, 0xBC1F, 0xBBFF, 0xC3FF, 0xBC3F, 0xBC5F, 0xBC5F, 0xC43F, 0xCC1F, 0xCC1F, 0xCC3F, 0xC43E, 0xC43E, 0xC43E,
  0x8AD4, 0x8AD4, 0x8AF4, 0x8AF3, 0x8B12, 0x8B11, 0x8B30, 0x8B50, 0x8B51, 0x8B31, 0x8B12, 0x92D4, 0x92B7, 0x9298, 0x92B6, 0x92B6, 0x92B5, 0x92B6, 0x92D6, 0x92D6, 0x92B6, 0x92B6, 0x92D5, 0x92D4, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x9AD6, 0x9AD7, 0x92D6, 
        0x92D6, 0x92D6, 0x9AD6, 0x9AD5, 0x92D5, 0x92F6, 0x92F7, 0x9AF7, 0xA317, 0xA337, 0xAB56, 0xA336, 0xA336, 0xA336, 0xA336, 0x9B35, 0x9B33, 0x9B11, 0x9B0F, 0x9B0F, 0x9B2E, 0x9B4D, 0xA38D, 0xBBEF, 0xBC10, 0xBC0F, 0xBC2F, 0xBC2E, 0xBC4E, 0xC470, 
        0xC470, 0xCC90, 0xD4B1, 0xCCB1, 0xCCB1, 0xDCD1, 0xDCD0, 0xCC90, 0xC46F, 0xC44E, 0xC42D, 0xC42D, 0xC44E, 0xC44E, 0xC46E, 0xC46F, 0xCC90, 0xD4B1, 0xD4B1, 0xC491, 0xBC70, 0xBC6F, 0xBC6E, 0xBC4E, 0xB44F, 0xB44E, 0xB44F, 0xB44F, 0xB44F, 0xBC4F, 
        0xBC4F, 0xBC4F, 0xBC50, 0xC450, 0xC450, 0xC450, 0xC44F, 0xC46F, 0xC46E, 0xC46E, 0xC46E, 0xC46E, 0xCC6E, 0xC46D, 0xC44D, 0xC44D, 0xC44D, 0xCC4D, 0xC44D, 0xBBEC, 0xB3CB, 0xABEB, 0xABEA, 0xA3AA, 0xA38B, 0xABAB, 0xABAA, 0xABAB, 0xABAB, 0xA3AA, 
        0xA389, 0x9368, 0x8B48, 0x8347, 0x7B27, 0x8307, 0x8B47, 0x9BEA, 0xAC6C, 0xB4AD, 0xBCED, 0xC530, 0xCD51, 0xCD92, 0xCD92, 0xCD92, 0xCD91, 0xE612, 0xEE33, 0xDDF2, 0xD5D2, 0xCDB2, 0xC591, 0xCD92, 0xD592, 0xC552, 0xBD31, 0xB4F0, 0xACAD, 0xA44D, 
        0x9C4E, 0xA490, 0xACB2, 0xB4B3, 0xAC73, 0x83AF, 0x6B2B, 0x4A67, 0x3A05, 0x3A05, 0x4A66, 0x7B09, 0x936A, 0xA38C, 0xABAD, 0xB3CD, 0xB3CD, 0xAB8D, 0xAB4D, 0xAB0C, 0xAAEB, 0xA2CA, 0x9AAA, 0x9AAB, 0x9AAB, 0xAA8B, 0xBACC, 0xC32D, 0xC38E, 0xA30C, 
        0x9B4C, 0xBC51, 0xCD15, 0xD537, 0xD538, 0xE536, 0xED55, 0xED55, 0xED55, 0xE554, 0xD4D2, 0xBB4F, 0xB2EE, 0xB36E, 0xABCD, 0xA3CC, 0x938A, 0x93C9, 0x93E9, 0x8C0A, 0x8C2C, 0x8C2C, 0x8C4E, 0x8C0F, 0x7B8E, 0x4A49, 0x39C8, 0x31A8, 0x4A2A, 0x9C52, 
        0xBD37, 0xC51A, 0xCD9C, 0xD63C, 0xC618, 0x6A6C, 0x5949, 0x9ACE, 0xCBF1, 0xD471, 0xDCD0, 0xF5D5, 0xFE37, 0xF617, 0xF616, 0xF616, 0xF616, 0xF5F5, 0xF5F5, 0xF636, 0xF657, 0xF657, 0xF5F6, 0xED95, 0xED54, 0xED54, 0xED53, 0xED53, 0xE573, 0xEDB3, 
        0xF5B3, 0xF593, 0xF594, 0xF5B5, 0xF5D5, 0xF594, 0xF573, 0xED74, 0xED94, 0xED73, 0xE572, 0xED53, 0xF553, 0xED73, 0xED53, 0xED52, 0xED32, 0xDD31, 0xDD11, 0xDCF1, 0xDCD0, 0xDCD0, 0xDCD0, 0xD4D1, 0xCCD0, 0xCCAF, 0xCCAE, 0xCC8E, 0xCC8E, 0xCC6E, 
        0xC46E, 0xC48E, 0xC48D, 0xC46D, 0xC44D, 0xBC4F, 0xBC50, 0xBC4F, 0xBC2E, 0xBC2E, 0xBC0E, 0xBC0E, 0xBC0E, 0xBBED, 0xB3CC, 0xB3AC, 0xB38C, 0xAB6A, 0xA369, 0xA34A, 0xA32A, 0xA30A, 0x9AC9, 0x8A46, 0x7A06, 0x69C6, 0x61A6, 0x61A6, 0x69A6, 0x69C5, 
        0x69C5, 0x69C5, 0x69E5, 0x6A05, 0x6A25, 0x6A05, 0x61C5, 0x59A5, 0x5985, 0x5165, 0x5144, 0x5125, 0x4925, 0x4944, 0x4144, 0x4144, 0x4124, 0x3903, 0x4103, 0x4945, 0x49A6, 0x5205, 0x4A44, 0x39C2, 0x2982, 0x31A3, 0x31A3, 0x3183, 0x3163, 0x39E3, 
        0x3A03, 0x3182, 0x3141, 0x3981, 0x4A03, 0x5288, 0x52AA, 0x5269, 0x5AA8, 0x6308, 0x5B27, 0x39A3, 0x3162, 0x5A86, 0x8BEB, 0xAD0F, 0xD696, 0xF79C, 0xFFFE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBD, 0xFFBE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBE, 0xFFBD, 0xFF9C, 0xFF9C, 0xFF9B, 0xFF7B, 0xFF7A, 0xFF5A, 0xFF5A, 0xFF3A, 0xF719, 0xF719, 0xFF3A, 
        0xFF3A, 0xF73A, 0xF73A, 0xF73B, 0xF73B, 0xE6D7, 0xD655, 0xB551, 0x840C, 0x62E8, 0x2963, 0x0860, 0x18C2, 0x4A05, 0x62E8, 0x6307, 0x4AA5, 0x31C1, 0x2940, 0x28E0, 0x20A1, 0x20A1, 0x4184, 0xA4D0, 0xCDF5, 0xC594, 0xB512, 0xACD1, 0xAC8F, 0xA42D, 
        0xA40C, 0xAC4D, 0xB46F, 0xBC8F, 0xBC6F, 0xB42E, 0xAC2E, 0xB470, 0xBCB1, 0xB4B1, 0xB4B0, 0xB4B0, 0xB4D1, 0xC512, 0xC512, 0xBCD1, 0xAC2D, 0x83A8, 0x73A6, 0x73C8, 0x6B88, 0x5B26, 0x52C5, 0x9428, 0xB52D, 0xD612, 0xD614, 0xC571, 0xA46B, 0xA48B, 
        0xACCD, 0xC530, 0xCD73, 0xD594, 0xD593, 0xBD0F, 0xB4CE, 0xBCF0, 0xC532, 0xCD51, 0xC550, 0xC4D4, 0xBC97, 0xC47A, 0xC45D, 0xC45E, 0xBC3F, 0xBC3F, 0xBC3F, 0xC43F, 0xCC1E, 0xCC1E, 0xC41E, 0xBC1E, 0xBC1E, 0xC41E, 0xC41E, 0xC41E, 0xC3FE,
  0x92D4, 0x92D4, 0x8AF5, 0x8AF4, 0x8B13, 0x9312, 0x8B51, 0x8B51, 0x8B52, 0x8B33, 0x8B14, 0x92F5, 0x92B6, 0x9AB6, 0x92B6, 0x92B6, 0x92B6, 0x92B6, 0x92D6, 0x92D6, 0x92B6, 0x92D6, 0x92D6, 0x92D6, 0x9AF6, 0x9AF6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x9AF7, 
        0x9AF7, 0x9AF7, 0x9AD7, 0x92B7, 0x92B7, 0x9B18, 0xA358, 0xA359, 0xAB78, 0xAB78, 0xAB98, 0xB3B6, 0xB3B6, 0xAB76, 0xA355, 0xA354, 0x9353, 0x9B31, 0x9B30, 0x9B4F, 0x9B4D, 0xA34D, 0xAB8D, 0xBC0F, 0xC450, 0xBC50, 0xBC50, 0xC450, 0xC450, 0xBC71, 
        0xC471, 0xCC92, 0xD491, 0xD4B1, 0xD4B0, 0xD4D1, 0xD4B1, 0xD48F, 0xD44E, 0xD44E, 0xCC4E, 0xBC2E, 0xBC2E, 0xC44E, 0xC46F, 0xCC6F, 0xCCB1, 0xD4B1, 0xD4B1, 0xCCB1, 0xC4B1, 0xBCB0, 0xBC90, 0xC490, 0xC490, 0xBC70, 0xBC50, 0xBC50, 0xBC30, 0xC470, 
        0xC470, 0xC44F, 0xBC4F, 0xBC50, 0xC470, 0xCC70, 0xCC70, 0xCC6F, 0xCC6E, 0xCC6E, 0xCC6E, 0xCC4D, 0xCC4D, 0xCC6E, 0xCC6E, 0xCC6D, 0xCC4D, 0xCC4D, 0xC44D, 0xC42D, 0xBC2C, 0xB42C, 0xAC0B, 0xABEB, 0xABAB, 0xA38A, 0xAB8A, 0xAB8A, 0xABAA, 0xA38A, 
        0xA389, 0x9389, 0x8B68, 0x8B67, 0x8347, 0x8B48, 0x9389, 0xA3EA, 0xAC4B, 0xB48C, 0xBCCD, 0xC52E, 0xC54F, 0xCD70, 0xD571, 0xCD71, 0xCD91, 0xDDD3, 0xDDD3, 0xCD91, 0xC56F, 0xC54F, 0xC54F, 0xD592, 0xDD93, 0xD593, 0xCD51, 0xC510, 0xB48E, 0xAC6D, 
        0xAC6E, 0xAC70, 0xB490, 0xB4B0, 0xA4AF, 0x8C0E, 0x736C, 0x5AC8, 0x4A65, 0x4A64, 0x5285, 0x6B09, 0x7B4B, 0x8B6A, 0x936A, 0x936A, 0x9B6B, 0xB36D, 0xB36D, 0xB34D, 0xAB2C, 0xA2EC, 0x9AAC, 0xA2CB, 0xA2EB, 0xA30B, 0xA32B, 0xA34B, 0xB3AD, 0xD4B2, 
        0xE4F4, 0xE473, 0xDBF2, 0xD3D2, 0xD351, 0xDA10, 0xD9AF, 0xDA10, 0xD20F, 0xC9CE, 0xB98D, 0xDA30, 0xDA70, 0xC22F, 0xBA2D, 0xBA6C, 0xBAEA, 0xAB2A, 0x9B2A, 0x936B, 0x938C, 0x93CD, 0x836D, 0x39C7, 0x2125, 0x2167, 0x29CB, 0x29CF, 0x2991, 0x294C, 
        0x39CC, 0x7372, 0x9CB7, 0xAD38, 0xAD18, 0xCCB7, 0xCBF4, 0xAACF, 0xA28D, 0xAB0E, 0xCC71, 0xED33, 0xF553, 0xED13, 0xECF3, 0xECF3, 0xF533, 0xF553, 0xF573, 0xF5B4, 0xF5D4, 0xF5B4, 0xF553, 0xED33, 0xED33, 0xED53, 0xED53, 0xF573, 0xF594, 0xF574, 
        0xF574, 0xF594, 0xF594, 0xF594, 0xF594, 0xF5B4, 0xF5B4, 0xF594, 0xF574, 0xED93, 0xED93, 0xF574, 0xF554, 0xF553, 0xF573, 0xED73, 0xED73, 0xE511, 0xDCF1, 0xDCF1, 0xDCF1, 0xD4F1, 0xD4D0, 0xD4AF, 0xD48E, 0xCCAF, 0xCC8F, 0xCC8F, 0xCC8E, 0xCC8E, 
        0xCC6E, 0xC46D, 0xC44D, 0xC44D, 0xBC2E, 0xBC2E, 0xBC2E, 0xBC0E, 0xC3EE, 0xBBCE, 0xBBCD, 0xBC0E, 0xB40E, 0xB3ED, 0xABAC, 0xAB8C, 0xAB6B, 0x9B29, 0x9B09, 0x9B09, 0x9AE9, 0x9AC9, 0x8A88, 0x8225, 0x79E5, 0x71C6, 0x69A6, 0x69A6, 0x69A5, 0x69C5, 
        0x69C5, 0x69C5, 0x71E4, 0x71E4, 0x69E4, 0x61C5, 0x59A5, 0x5185, 0x5165, 0x5165, 0x5145, 0x4925, 0x4925, 0x4124, 0x4104, 0x3903, 0x38E2, 0x28A2, 0x30A3, 0x4926, 0x51C8, 0x5A08, 0x5247, 0x41E2, 0x31C1, 0x31A2, 0x31A4, 0x39A4, 0x41A4, 0x39A3, 
        0x31A2, 0x3962, 0x3982, 0x41A3, 0x4A06, 0x5A6C, 0x5A6E, 0x628D, 0x6AEC, 0x734B, 0x6B68, 0x39C4, 0x2943, 0x5266, 0x83EA, 0xA4EE, 0xDE75, 0xF79C, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFFBC, 0xFF9C, 0xFF9C, 0xFF7B, 0xFF7B, 0xFF5A, 0xFF3A, 0xF71A, 0xF71A, 0xFF1A, 0xFF3A, 0xFF5A, 
        0xFF5A, 0xFF3A, 0xFF3A, 0xFF3B, 0xF6FB, 0xDE56, 0xD635, 0xCE35, 0xAD52, 0x83EC, 0x31C3, 0x10C1, 0x1902, 0x4225, 0x5AC6, 0x5AC6, 0x3A23, 0x2101, 0x20C1, 0x3962, 0x5224, 0x6266, 0x72E8, 0x93CB, 0xA44D, 0xAC90, 0xB4D2, 0xB512, 0xB4F2, 0xAC4E, 
        0xAC0D, 0xAC2D, 0xAC4E, 0xAC6E, 0xB46F, 0xB42E, 0xB44E, 0xB46F, 0xBC90, 0xBC91, 0xBC91, 0xB490, 0xBCD1, 0xC552, 0xC512, 0xB470, 0x934B, 0x6308, 0x5B27, 0x5B86, 0x6387, 0x6387, 0x7367, 0x8387, 0x9408, 0xBD4D, 0xD5F0, 0xD611, 0xC54F, 0xA42B, 
        0x9C0B, 0xB4CE, 0xCD72, 0xDDF3, 0xE613, 0xC532, 0xB4D0, 0xB4CE, 0xB4CD, 0xBCEE, 0xC4D2, 0xC4BA, 0xC47D, 0xBC3E, 0xBC1E, 0xBC3E, 0xC45E, 0xC41E, 0xC41F, 0xC41F, 0xC43E, 0xCC3E, 0xCC3E, 0xC41E, 0xBC1F, 0xC3FF, 0xC3FF, 0xC3FF, 0xC3DF,
  0x8AB4, 0x92B4, 0x92D5, 0x92F5, 0x92F4, 0x8B32, 0x8B31, 0x8B31, 0x8B12, 0x8AF3, 0x8AF4, 0x8AD5, 0x92D6, 0x92D7, 0x92D6, 0x92D6, 0x92D6, 0x92D7, 0x9AF6, 0x9AF6, 0x9AF6, 0x9AF6, 0x9AF6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92F6, 0x9AF6, 0x9AF6, 0x9AF7, 
        0x9B17, 0x9B17, 0x9B17, 0x9AF6, 0x9AF6, 0xA357, 0xAB77, 0xAB96, 0xAB96, 0xB3B6, 0xB3B5, 0xBBD3, 0xB3F2, 0xABD2, 0xA393, 0x9B73, 0x9353, 0x9351, 0x934F, 0x9B4E, 0xA34D, 0xA36D, 0xABAD, 0xC46F, 0xCCB0, 0xC490, 0xBC70, 0xBC71, 0xBC71, 0xCC6F, 
        0xD48F, 0xDCB1, 0xDCD2, 0xDCD2, 0xDCB1, 0xDCD1, 0xDCD1, 0xDCB0, 0xD46F, 0xD44E, 0xCC0E, 0xBC2E, 0xBC4E, 0xC44E, 0xCC6F, 0xCC90, 0xCCB1, 0xD4D1, 0xDCD1, 0xD4B1, 0xD4D1, 0xD4D1, 0xD4D1, 0xD4D1, 0xCCB0, 0xCC90, 0xC490, 0xC490, 0xC490, 0xC490, 
        0xC490, 0xC470, 0xCC70, 0xCC90, 0xD491, 0xD48F, 0xD48F, 0xD46F, 0xD46F, 0xD46F, 0xD46F, 0xD48F, 0xD48F, 0xD48E, 0xD46E, 0xDC6E, 0xD46E, 0xC42D, 0xBC2D, 0xBC4D, 0xC44D, 0xC44D, 0xBC2D, 0xB40C, 0xB3EB, 0xABCB, 0xABAA, 0xABAA, 0xB3AB, 0xA38A, 
        0x9B89, 0x9B89, 0x9388, 0x8B88, 0x8368, 0x8347, 0x8B68, 0x9BEA, 0xAC4C, 0xB48D, 0xC4CE, 0xDD4F, 0xE56F, 0xE591, 0xDDB2, 0xDDB2, 0xE5D2, 0xE5F4, 0xE5F4, 0xE5D3, 0xD5B1, 0xCD70, 0xBD4F, 0xDD72, 0xED93, 0xE593, 0xDD72, 0xCD51, 0xBCF0, 0xA48D, 
        0xA46D, 0xAC8E, 0xB4AF, 0xACD0, 0xA4D1, 0xA46F, 0x940D, 0x7349, 0x5AA5, 0x5263, 0x5264, 0x6309, 0x736C, 0x8B8B, 0x93AB, 0x9BCC, 0xA3AD, 0xAB6E, 0xB34E, 0xAB6E, 0xAB4E, 0xAB2E, 0xA2CD, 0xA2AC, 0xA28B, 0xA28B, 0xA2CB, 0x9B0C, 0xA3AF, 0xDCD8, 
        0xF479, 0xE292, 0xD96D, 0xD12B, 0xD94C, 0xE911, 0xF0F4, 0xF114, 0xF134, 0xE953, 0xE153, 0xF194, 0xF174, 0xE8F2, 0xE8B0, 0xE8CE, 0xE12A, 0xB965, 0xA9C5, 0xB24A, 0xB2AC, 0xAA8C, 0x8A4A, 0x49A8, 0x3168, 0x2969, 0x296A, 0x212B, 0x10AC, 0x084B, 
        0x28ED, 0x8314, 0xB418, 0xB3D7, 0xA395, 0xCD59, 0xCD59, 0x9354, 0x7A31, 0x8A50, 0xBB70, 0xCC30, 0xDC71, 0xE4D2, 0xF514, 0xF515, 0xFD15, 0xFD56, 0xF576, 0xF574, 0xF554, 0xF553, 0xF554, 0xF574, 0xED74, 0xF554, 0xF554, 0xFD54, 0xFD74, 0xFD73, 
        0xFD73, 0xFD73, 0xF574, 0xF574, 0xF595, 0xFDB5, 0xFDD5, 0xF595, 0xF595, 0xF594, 0xED94, 0xF594, 0xF594, 0xF573, 0xED52, 0xED52, 0xED32, 0xE511, 0xE4F1, 0xE4F1, 0xDCD1, 0xDCD1, 0xDCB0, 0xD4B0, 0xD4B0, 0xD48F, 0xD48F, 0xCC6E, 0xC46E, 0xC44E, 
        0xC44E, 0xC42E, 0xC42E, 0xBC2E, 0xBC4D, 0xBC4D, 0xBC4D, 0xC40D, 0xC3ED, 0xBBED, 0xBBED, 0xB3CC, 0xB3CC, 0xB3AB, 0xAB8B, 0xAB8B, 0xA36A, 0x92E9, 0x92C9, 0x92CA, 0x92AA, 0x828A, 0x7A28, 0x7205, 0x7A05, 0x79E5, 0x79E6, 0x71E6, 0x71C5, 0x71C6, 
        0x71C6, 0x69E5, 0x71E5, 0x71E5, 0x69E5, 0x69A6, 0x6166, 0x5944, 0x5924, 0x5945, 0x5145, 0x30E3, 0x28A2, 0x30A2, 0x30A2, 0x30A2, 0x3904, 0x49A8, 0x5A2B, 0x72AD, 0x7AEE, 0x6ACD, 0x524A, 0x3183, 0x3141, 0x3982, 0x41A3, 0x41A3, 0x4183, 0x39C3, 
        0x4204, 0x5266, 0x5A89, 0x5A4A, 0x49EB, 0x49AD, 0x51CD, 0x5A4B, 0x6ACA, 0x732A, 0x7B89, 0x6B09, 0x5AA8, 0x5285, 0x6285, 0x82A6, 0xC3ED, 0xEEB9, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFE, 0xFFDC, 0xFFDC, 0xFF9C, 0xFF7C, 0xFF7C, 0xFF7B, 0xFF5A, 0xFF5A, 0xFF3B, 0xFF3B, 0xFF1B, 0xFF1B, 0xFF3A, 
        0xFF3A, 0xFF5B, 0xFF5B, 0xFF5B, 0xFF3A, 0xF6D8, 0xEEB8, 0xDE56, 0xAD11, 0x73AB, 0x29A3, 0x31A4, 0x4A25, 0x5A65, 0x5224, 0x41A3, 0x2902, 0x49C3, 0x6265, 0x7B08, 0x8BAB, 0x93EC, 0x9BED, 0x8BAB, 0x8BAB, 0x93ED, 0xA44F, 0xAC70, 0xBCD2, 0xBCF0, 
        0xB4CF, 0xAC4E, 0xA40E, 0xAC2E, 0xB48F, 0xAC4F, 0xAC4F, 0xB44F, 0xBC70, 0xB470, 0xB470, 0xBCB1, 0xC4D2, 0xC513, 0xC4F2, 0xB490, 0x9C0C, 0x83C8, 0x6B86, 0x5AE3, 0x5AE3, 0x6343, 0x7BC5, 0x8344, 0x8B45, 0xA3E7, 0xBC8C, 0xCD0F, 0xCD72, 0xB52D, 
        0xACEA, 0xACCB, 0xB50E, 0xCD71, 0xDE16, 0xC555, 0xB4D2, 0xB48F, 0xB46D, 0xB46F, 0xB474, 0xBC7B, 0xBC5E, 0xBC3F, 0xC41F, 0xC41F, 0xC43F, 0xBC5E, 0xBC5E, 0xC43E, 0xC41E, 0xC41E, 0xC43E, 0xCC3F, 0xCC3F, 0xCC1F, 0xCBFF, 0xCC1E, 0xCC3E,
  0x8A96, 0x8AB6, 0x8AB5, 0x8AD4, 0x8AD3, 0x8AD3, 0x8AF2, 0x8AF3, 0x8AF4, 0x8AD5, 0x8AB6, 0x9296, 0x92B6, 0x9AD5, 0x92D6, 0x92D6, 0x92D6, 0x92B6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x9AD7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AD6, 
        0x9AB6, 0x9AD7, 0x9AD8, 0x9AF8, 0xA318, 0xAB96, 0xB3D6, 0xBBF6, 0xBC17, 0xC437, 0xC435, 0xB3F3, 0xB3D2, 0xB391, 0xA371, 0x9B51, 0x8B10, 0x932E, 0x934D, 0x9B8E, 0xA3AE, 0xABCE, 0xBC0E, 0xC48E, 0xC4AF, 0xCCB1, 0xCCB2, 0xCCB2, 0xCCB1, 0xD4B1, 
        0xD4B1, 0xD4B1, 0xD4B0, 0xD4B1, 0xDCB1, 0xD4D1, 0xD4D1, 0xCC8F, 0xCC4D, 0xCC4D, 0xCC4D, 0xCC4E, 0xCC4E, 0xCC4E, 0xCC4E, 0xCC6F, 0xCCB0, 0xD4F1, 0xD512, 0xD4F2, 0xD4F2, 0xD4F2, 0xD4F1, 0xCCB1, 0xCC91, 0xD4B1, 0xD4D1, 0xD4D1, 0xD4B0, 0xD4B1, 
        0xD4B1, 0xD4B0, 0xD490, 0xCC91, 0xCC91, 0xCC8F, 0xCC6F, 0xD48F, 0xD48F, 0xD48F, 0xD48E, 0xD46F, 0xD46F, 0xD46F, 0xCC8E, 0xCC8E, 0xCC6E, 0xCC4E, 0xCC2E, 0xCC2D, 0xCC2D, 0xCC2D, 0xC42D, 0xC42C, 0xBC0B, 0xBBCC, 0xB3AB, 0xB3AB, 0xB38A, 0xAB69, 
        0xA348, 0x9348, 0x8B48, 0x8327, 0x8B28, 0x9B49, 0xAB6A, 0xB3CB, 0xB40C, 0xB44C, 0xB48C, 0xBCAE, 0xC4CE, 0xC4EE, 0xC4EE, 0xCCEE, 0xCCCE, 0xC4EE, 0xBCED, 0xB48C, 0xAC4B, 0xA44B, 0xACAD, 0xCD92, 0xDDF4, 0xDDF4, 0xDDB4, 0xD592, 0xCD30, 0xBCCE, 
        0xB4AE, 0xB4AE, 0xACAF, 0xACAF, 0xA46E, 0x7BAB, 0x6B29, 0x5AC6, 0x5285, 0x52A5, 0x5AC6, 0x6B06, 0x7326, 0x6B06, 0x72E7, 0x72C7, 0x82C8, 0xA30A, 0xAB4B, 0xAB4C, 0xAB4E, 0xAB4E, 0xB32E, 0x9AEA, 0x92E9, 0xB34C, 0xCBEF, 0xD472, 0xE516, 0xF537, 
        0xF455, 0xDA2F, 0xD0CB, 0xD88B, 0xF10E, 0xF9B2, 0xF9F4, 0xF1F4, 0xF215, 0xF236, 0xF257, 0xFA38, 0xFA19, 0xF1B9, 0xE956, 0xE133, 0xD0CC, 0xD087, 0xC865, 0xB086, 0xA0C8, 0xA929, 0xB9ED, 0xC1F1, 0xC9F4, 0xCA17, 0xAA18, 0x7A17, 0x3193, 0x188B, 
        0x2849, 0x512D, 0x8A2F, 0xA331, 0xBC33, 0x92DA, 0x8ADD, 0xB47B, 0xB4B7, 0x9B91, 0x7A0A, 0xC42F, 0xED32, 0xED12, 0xECD2, 0xECD3, 0xF4F4, 0xF555, 0xED75, 0xED75, 0xED75, 0xED75, 0xED94, 0xF594, 0xF594, 0xED74, 0xED74, 0xED74, 0xF594, 0xF594, 
        0xF595, 0xF595, 0xF595, 0xED75, 0xED55, 0xED74, 0xED94, 0xED74, 0xED74, 0xF594, 0xF594, 0xF5B3, 0xED93, 0xED73, 0xED52, 0xED32, 0xED12, 0xE531, 0xDD11, 0xDCF1, 0xDCD0, 0xD4D0, 0xD4AE, 0xD48F, 0xCC8F, 0xCC6E, 0xC46E, 0xC46E, 0xC46D, 0xC42D, 
        0xBC2D, 0xBC2D, 0xBC2C, 0xBC2C, 0xB40C, 0xBBAC, 0xBB8C, 0xBB8C, 0xB38C, 0xB38C, 0xB38C, 0xBBAB, 0xB38B, 0xAB4B, 0xA30A, 0xA30A, 0x9AE9, 0x92A8, 0x8A87, 0x8227, 0x71E6, 0x69A6, 0x6985, 0x71A5, 0x71A5, 0x71A6, 0x71A7, 0x71E7, 0x7A27, 0x7206, 
        0x6A06, 0x61C5, 0x5985, 0x5165, 0x4904, 0x30C3, 0x28A2, 0x28A2, 0x28A2, 0x28A2, 0x28A3, 0x28A5, 0x30C6, 0x3927, 0x49C9, 0x5A4B, 0x72EF, 0x7310, 0x72F1, 0x7291, 0x6A50, 0x622E, 0x49E9, 0x3182, 0x2961, 0x3182, 0x3983, 0x3983, 0x41C2, 0x5245, 
        0x5267, 0x4A09, 0x49CA, 0x49AB, 0x498A, 0x390A, 0x390A, 0x51EC, 0x6AED, 0x7B6E, 0x83CD, 0x62E7, 0x5285, 0x62E6, 0x83EA, 0xA4EE, 0xD676, 0xF79D, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDD, 0xFF9E, 0xFF7D, 0xF75C, 0xF75B, 0xF75B, 0xF75B, 0xF73A, 0xF719, 0xF6F9, 0xF6D9, 0xF6D9, 0xF6D9, 0xF71A, 
        0xF73B, 0xFF7C, 0xFF7B, 0xFF5B, 0xF6F8, 0xE676, 0xCDD3, 0x9C6D, 0x6308, 0x4225, 0x2962, 0x4246, 0x4A87, 0x39E4, 0x2962, 0x2142, 0x39C4, 0x8BCB, 0xB46E, 0xAC2D, 0xA3EC, 0x9BCC, 0x93EC, 0x9BED, 0x9BEC, 0x93CB, 0x93EC, 0x9C0D, 0xAC90, 0xBD12, 
        0xBD12, 0xB4B0, 0xAC4E, 0xAC2E, 0xAC2E, 0xAC4D, 0xAC6D, 0xAC4F, 0xB450, 0xB451, 0xB471, 0xBCD0, 0xBD11, 0xC513, 0xBC92, 0xABF0, 0x8B0A, 0x62C5, 0x5AE4, 0x5B44, 0x63A5, 0x73E6, 0x8426, 0x8407, 0x8407, 0x9449, 0xACAB, 0xB50D, 0xC52E, 0xBCAD, 
        0xB46C, 0xB4AC, 0xB50D, 0xBD4F, 0xC590, 0xCDF0, 0xCDD0, 0xBD31, 0xB494, 0xBC56, 0xBC3A, 0xC45C, 0xC45C, 0xBC3E, 0xBC1F, 0xBC1F, 0xC41F, 0xC43E, 0xBC3E, 0xC41F, 0xC43F, 0xC43F, 0xC45F, 0xC45E, 0xC45E, 0xC47E, 0xC47D, 0xBC5B, 0xB3F8,
  0x92B6, 0x92B6, 0x92D5, 0x92D5, 0x8AD4, 0x8AD3, 0x8AF3, 0x8AF4, 0x8AD5, 0x8AD6, 0x92B7, 0x92B7, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92B6, 0x92D6, 0x9AF6, 0x9AD6, 0x92D6, 0x92D6, 0x92D6, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AD6, 0x9AD6, 
        0x9AF7, 0x9AD7, 0x9AF7, 0x9AF8, 0xA338, 0xB3B6, 0xBC16, 0xBC16, 0xBC35, 0xC455, 0xC473, 0xBC12, 0xBBD1, 0xB392, 0xAB91, 0xA371, 0x9B4F, 0x930E, 0x932D, 0xA38E, 0xABEF, 0xB40F, 0xC430, 0xCC91, 0xCCB1, 0xCCB1, 0xCC91, 0xCC91, 0xD4B1, 0xD4B1, 
        0xD4B1, 0xD4B0, 0xDCB1, 0xDCB1, 0xDCD1, 0xD4B1, 0xD490, 0xCC6F, 0xCC4E, 0xCC4D, 0xCC4D, 0xCC4E, 0xCC4E, 0xCC4E, 0xCC4F, 0xCC70, 0xD4B1, 0xD4F1, 0xDD11, 0xDD11, 0xDCF2, 0xD4F2, 0xD4F1, 0xD4B1, 0xD4B1, 0xD4B1, 0xD4B1, 0xD4B1, 0xD491, 0xCCB1, 
        0xCCB1, 0xD4B0, 0xD490, 0xD4B0, 0xD4B0, 0xD491, 0xD490, 0xD4B0, 0xD4B0, 0xD4B0, 0xD490, 0xD48F, 0xD48F, 0xD48F, 0xD48F, 0xD48F, 0xD44F, 0xCC4F, 0xCC4F, 0xCC2E, 0xD42E, 0xD42D, 0xD40D, 0xBBCD, 0xB3AD, 0xBBAC, 0xBBAB, 0xB3AB, 0xAB8B, 0xA349, 
        0x9B28, 0x9348, 0x8B48, 0x8B48, 0x8B28, 0x9B08, 0xA329, 0xAB4A, 0xB38B, 0xB3CB, 0xB3EC, 0xB42D, 0xB42D, 0xBC0C, 0xBC0C, 0xB40C, 0xBC2C, 0xC44D, 0xC44D, 0xB42C, 0xAC0B, 0xAC2B, 0xB48D, 0xC551, 0xD5B3, 0xDDD4, 0xE5D3, 0xDDB3, 0xCD51, 0xB4EE, 
        0xB4CE, 0xB4AF, 0xB4CF, 0xB4D0, 0xACAF, 0x93EC, 0x8B6A, 0x7327, 0x62E5, 0x62C5, 0x5AC5, 0x5AC6, 0x62C6, 0x5AC6, 0x5AA6, 0x5A86, 0x6287, 0x8B0A, 0xA34C, 0xA34D, 0x9B4E, 0x9B4E, 0x9B0E, 0x9AC9, 0x9AE9, 0xA3CE, 0xB4D3, 0xC597, 0xDDDA, 0xEBD6, 
        0xEA93, 0xE192, 0xE911, 0xE910, 0xF151, 0xF192, 0xF1D4, 0xFA15, 0xFA16, 0xF9D6, 0xF1B6, 0xFA38, 0xFA39, 0xF9B8, 0xF176, 0xF195, 0xE192, 0xD90C, 0xD0A9, 0xC089, 0xB068, 0xB067, 0xB086, 0xC868, 0xD88A, 0xE0CD, 0xD930, 0xC170, 0x916E, 0x5887, 
        0x60A7, 0xA1CF, 0xC233, 0xB9F3, 0xA1D1, 0xB317, 0xC47B, 0xDDFC, 0xD5DA, 0xB495, 0x8A4D, 0xA28B, 0xC34D, 0xDC50, 0xECD2, 0xECD3, 0xECD2, 0xED33, 0xED54, 0xED54, 0xED74, 0xED75, 0xF596, 0xF595, 0xF574, 0xED74, 0xED74, 0xED95, 0xF5D5, 0xF5D6, 
        0xF5B6, 0xF596, 0xF575, 0xF575, 0xED54, 0xED55, 0xF555, 0xED75, 0xF594, 0xF595, 0xF5B5, 0xF594, 0xF573, 0xED72, 0xED52, 0xED51, 0xE531, 0xDD11, 0xDCF1, 0xDCD0, 0xD4AF, 0xD4AF, 0xD4AF, 0xCC8F, 0xCC6F, 0xCC6E, 0xC44D, 0xC44D, 0xC44D, 0xC44E, 
        0xBC4D, 0xBC2D, 0xBC2C, 0xBBEC, 0xBBCD, 0xB3AB, 0xB38B, 0xB38B, 0xB38B, 0xB36C, 0xB36C, 0xAB2C, 0xA32B, 0xA30B, 0x9AEA, 0x9AC9, 0x9288, 0x8268, 0x7A48, 0x71E7, 0x69A7, 0x6987, 0x6988, 0x71A8, 0x71C8, 0x7A07, 0x7A26, 0x7227, 0x69E7, 0x5985, 
        0x4943, 0x4103, 0x30C2, 0x28A2, 0x2882, 0x2883, 0x2883, 0x3084, 0x30A5, 0x38C7, 0x4949, 0x628E, 0x7310, 0x7B11, 0x7B11, 0x7AF1, 0x6AB0, 0x624F, 0x5A2F, 0x6A72, 0x6A72, 0x624F, 0x4A09, 0x2982, 0x2961, 0x39C4, 0x4A06, 0x5226, 0x5207, 0x51CA, 
        0x49AB, 0x498B, 0x496C, 0x494C, 0x412C, 0x416B, 0x49CB, 0x626C, 0x730D, 0x7B4D, 0x7B6C, 0x62AA, 0x5A69, 0x6AEA, 0x8BCD, 0xACB0, 0xDE16, 0xF77C, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBE, 0xFFBC, 0xFF9C, 0xF75B, 0xF73B, 0xF73B, 0xF73B, 0xF71A, 0xF6F9, 0xF6F9, 0xF6F9, 0xF6FA, 0xF6FA, 0xF719, 
        0xF75A, 0xFF7B, 0xFF9B, 0xFF7B, 0xEEF8, 0xCDB1, 0xACED, 0x83CA, 0x5AC6, 0x4224, 0x31C3, 0x4A26, 0x5207, 0x4184, 0x4184, 0x5205, 0x7B2A, 0xA40D, 0xAC2D, 0x9C0C, 0x93EC, 0x93EC, 0x9C0E, 0xA42E, 0x9C0D, 0x9BCD, 0x93AC, 0x93AC, 0xA40D, 0xBD12, 
        0xC553, 0xB4D1, 0xAC4F, 0xAC2E, 0xA40E, 0xAC2D, 0xAC2E, 0xB44F, 0xB46F, 0xAC70, 0xB470, 0xC4D2, 0xCCF3, 0xCCF3, 0xBC92, 0xAC0F, 0x8B2B, 0x7345, 0x7363, 0x7BC4, 0x8425, 0x8446, 0x7C48, 0x7B65, 0x8324, 0x93C5, 0xA448, 0xAC8B, 0xBCEF, 0xC530, 
        0xBD0F, 0xACCD, 0xACCC, 0xB50D, 0xC590, 0xDDD5, 0xDD96, 0xCD36, 0xC4D6, 0xBC97, 0xBC78, 0xC45B, 0xC43C, 0xBC1D, 0xB41E, 0xBC1E, 0xC43E, 0xCC5D, 0xCC5D, 0xCC3D, 0xC43D, 0xC43D, 0xC45C, 0xBC7C, 0xBC7C, 0xBC5B, 0xB418, 0xABF6, 0xA3D4,
  0x8A95, 0x8AB5, 0x92B6, 0x92D5, 0x92D5, 0x92D4, 0x92F5, 0x92F6, 0x92D6, 0x92B6, 0x92B6, 0x92B6, 0x92D6, 0x92D6, 0x92D7, 0x92D7, 0x92D7, 0x92F6, 0x9AF6, 0x9AF6, 0x9AF7, 0x9AF7, 0x92F6, 0x92F6, 0x92F7, 0x9AF7, 0x9AD7, 0x9AD6, 0x9AD6, 0x9AD7, 0x9AD7, 
        0x9AD7, 0x9AD8, 0x9AF8, 0x9B18, 0xA359, 0xB3B8, 0xB3F7, 0xBC16, 0xBC34, 0xC474, 0xC492, 0xB411, 0xB3D1, 0xB3B2, 0xB3B2, 0xAB92, 0xA370, 0x9B4E, 0x9B4E, 0xABCE, 0xB40F, 0xB430, 0xBC30, 0xDC90, 0xE4B0, 0xDC91, 0xD4B1, 0xD4B1, 0xD4B1, 0xD4B0, 
        0xD4B0, 0xDCB0, 0xE4D1, 0xE4D1, 0xE4D1, 0xDCB0, 0xDC8F, 0xD48F, 0xD46F, 0xD44E, 0xD44E, 0xCC4E, 0xCC6E, 0xCC4F, 0xD470, 0xD490, 0xDCD1, 0xDCF2, 0xDCF2, 0xDCF1, 0xDD11, 0xDD11, 0xDD12, 0xD4D1, 0xD4B1, 0xD4B1, 0xD4B1, 0xD491, 0xD491, 0xD4B1, 
        0xD4B1, 0xD4B1, 0xD4B1, 0xDCB1, 0xD491, 0xD491, 0xD491, 0xDCB0, 0xDCB0, 0xDCB1, 0xDC91, 0xDCAF, 0xDCAF, 0xDCAF, 0xDC8F, 0xDC90, 0xDC50, 0xCC4F, 0xCC4F, 0xD44F, 0xD42F, 0xD42F, 0xCC0E, 0xC3EE, 0xC3ED, 0xBBCD, 0xBBCD, 0xBBCD, 0xB3CC, 0x9349, 
        0x8328, 0x8B49, 0x9369, 0x9369, 0x9349, 0xA309, 0xA30A, 0xAB4B, 0xAB6C, 0xAB8C, 0xB3CC, 0xB3EC, 0xB40C, 0xB40B, 0xB40C, 0xB40D, 0xBC2D, 0xC40C, 0xBBEC, 0xB3CB, 0xABAB, 0xABAB, 0xB42D, 0xCD31, 0xDDB3, 0xE5F4, 0xEE14, 0xEDF4, 0xE592, 0xBCD0, 
        0xB48F, 0xB4AF, 0xB4AF, 0xB4AF, 0xB4AF, 0xA44E, 0x940C, 0x8369, 0x72E6, 0x6AA5, 0x62A5, 0x5AE5, 0x5B05, 0x5AE6, 0x5AA5, 0x6285, 0x6A65, 0x830A, 0x936C, 0x9B8C, 0xA3AD, 0xA3CE, 0xA38E, 0x932A, 0x9309, 0xB36D, 0xCC71, 0xE555, 0xE5D7, 0xBAF2, 
        0xB9B0, 0xD9D2, 0xF1F3, 0xF9B2, 0xF971, 0xF9F4, 0xFA35, 0xFA55, 0xFA36, 0xF9F6, 0xF9B7, 0xFA57, 0xFA77, 0xF1D6, 0xF197, 0xF197, 0xF1B6, 0xE92E, 0xE0CB, 0xD0AC, 0xC0AC, 0xB0AB, 0xB0A9, 0xB848, 0xC028, 0xC049, 0xB88A, 0xB0E9, 0x9929, 0x988D, 
        0xA070, 0xB113, 0xB933, 0xB111, 0x910F, 0x5A35, 0x5B78, 0xA579, 0xD639, 0xDE19, 0xCCF5, 0xA24B, 0x99C8, 0xCB4C, 0xE470, 0xECB1, 0xE4B1, 0xECD2, 0xECD2, 0xECD3, 0xECF4, 0xED34, 0xF555, 0xF574, 0xF574, 0xF555, 0xF555, 0xF575, 0xFDB4, 0xFDB6, 
        0xFDB6, 0xFDB6, 0xF596, 0xF595, 0xED75, 0xF575, 0xF595, 0xF595, 0xF595, 0xFDB4, 0xFDB4, 0xF574, 0xF573, 0xF553, 0xED72, 0xED71, 0xE551, 0xE4F1, 0xE4D1, 0xDCD0, 0xD4B0, 0xD4AF, 0xDC8F, 0xD46F, 0xD44E, 0xCC4E, 0xCC4E, 0xC44E, 0xBC4D, 0xB40D, 
        0xB3ED, 0xBBCD, 0xBBCD, 0xB3CD, 0xB3AD, 0xB38C, 0xB38B, 0xB38B, 0xAB8B, 0xA38B, 0x9B6C, 0x9B2C, 0x9B0C, 0x92CC, 0x8ACB, 0x8AAA, 0x8287, 0x71C5, 0x6985, 0x7186, 0x71A7, 0x79C8, 0x79C8, 0x71A7, 0x71C7, 0x71E6, 0x69C5, 0x5184, 0x38C2, 0x2082, 
        0x2062, 0x2062, 0x2863, 0x2864, 0x30A6, 0x494A, 0x59AC, 0x6A4E, 0x72B0, 0x7AF2, 0x8334, 0x8354, 0x8333, 0x72B2, 0x6271, 0x6250, 0x624E, 0x6A4F, 0x6A70, 0x6A71, 0x624F, 0x5A0D, 0x49C7, 0x4203, 0x4A43, 0x5248, 0x5A4A, 0x624B, 0x5A0B, 0x498D, 
        0x496E, 0x51AD, 0x51CD, 0x51CC, 0x51AC, 0x5A0E, 0x622E, 0x626C, 0x6AAB, 0x6AEB, 0x732B, 0x6B0B, 0x62AB, 0x49CA, 0x49CC, 0x6A6E, 0xA454, 0xE6FC, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFBD, 0xFF9D, 0xFF7D, 0xFF5D, 0xFF5C, 0xFF1B, 0xFEFA, 0xF6FA, 0xFEFA, 0xFEFA, 0xFEFA, 0xFF3B, 
        0xFF7B, 0xFF7A, 0xFF7A, 0xF759, 0xEEF8, 0xDE35, 0xC571, 0x940C, 0x62C7, 0x4A25, 0x39C3, 0x5287, 0x5AA8, 0x4225, 0x39C2, 0x41C2, 0x6285, 0xA44D, 0xBD10, 0xB510, 0xACCF, 0xA48E, 0x9C2D, 0xA470, 0xA471, 0xA450, 0x9BEE, 0x93AD, 0x8B8C, 0x9C2F, 
        0xACB1, 0xB4D1, 0xB4B0, 0xB46F, 0xA40F, 0xAC2F, 0xB450, 0xB450, 0xB470, 0xAC70, 0xAC70, 0xB490, 0xC4D2, 0xD534, 0xC492, 0xA38D, 0x72A7, 0x9CCB, 0xA56B, 0x8C87, 0x8425, 0x8467, 0x8CA9, 0x7387, 0x6B25, 0x7B65, 0x8BA6, 0x9BE8, 0xAC6D, 0xC552, 
        0xC572, 0xBD10, 0xB4AF, 0xB4CF, 0xBD10, 0xD572, 0xDD73, 0xD555, 0xCD17, 0xCD19, 0xCCD9, 0xB436, 0xB436, 0xCCB9, 0xD4DC, 0xD4DD, 0xC49C, 0xBC17, 0xBC15, 0xBC75, 0xB495, 0xA474, 0x9472, 0x9CD0, 0x9CCF, 0x8C0C, 0x83AA, 0x8BAA, 0x8BE9,
  0x92B6, 0x92B6, 0x92B5, 0x92D5, 0x92D5, 0x9AF5, 0x92D5, 0x92D5, 0x92D5, 0x92D5, 0x92B6, 0x92B6, 0x92D7, 0x92D7, 0x92B6, 0x9AB6, 0x92B6, 0x92D6, 0x92F7, 0x92F7, 0x92D7, 0x92D6, 0x92D6, 0x92D6, 0x9AD6, 0x9AD7, 0x9AF7, 0x9B18, 0xA338, 0xA339, 0x9317, 
        0x92F6, 0x92F7, 0x9B17, 0xA358, 0xAB78, 0xBBB6, 0xBBF5, 0xC434, 0xC453, 0xC452, 0xC431, 0xB3B1, 0xB391, 0xAB91, 0xAB91, 0xAB90, 0xA38F, 0x9B4D, 0x9B6D, 0xABAD, 0xB3EE, 0xB40F, 0xBC30, 0xD492, 0xDCD2, 0xDCB2, 0xD4D1, 0xD4D1, 0xD4D2, 0xDCD1, 
        0xDCB1, 0xDCD1, 0xDCF1, 0xDCF2, 0xDCD1, 0xDCAF, 0xDC8E, 0xD46E, 0xD46E, 0xD46E, 0xD46E, 0xCC2D, 0xCC2D, 0xCC6E, 0xCC90, 0xD490, 0xD491, 0xD4D1, 0xD4D1, 0xDCF2, 0xDCF2, 0xDCF1, 0xD4F1, 0xDCF1, 0xDCD1, 0xD4D1, 0xD4B1, 0xD4B1, 0xD4B1, 0xD491, 
        0xD491, 0xD4B1, 0xD4B1, 0xD4B1, 0xD4B1, 0xD4D1, 0xDCD1, 0xDCD1, 0xDCB1, 0xDCB1, 0xDCB1, 0xDC91, 0xDC91, 0xDC90, 0xDC90, 0xD490, 0xD46F, 0xCC6E, 0xC44E, 0xCC4E, 0xCC2E, 0xC40E, 0xC3CE, 0xBBCD, 0xBBCD, 0xBBAC, 0xB3AC, 0xAB8B, 0xA38A, 0x8B47, 
        0x8347, 0x8367, 0x8B68, 0x8B68, 0x9329, 0xA309, 0xAB09, 0xA32A, 0xA34A, 0x9B4A, 0x9B49, 0xA329, 0xA309, 0x9B08, 0x9AE8, 0x9AC8, 0x9AC8, 0x9B09, 0x9B08, 0x9AE7, 0x9AE8, 0x9B08, 0xA3AB, 0xBD0E, 0xCD90, 0xDDB3, 0xE5B4, 0xE5B4, 0xE5B2, 0xCD71, 
        0xBD30, 0xBD0F, 0xBCEF, 0xBCCF, 0xB48F, 0xAC4D, 0xA40B, 0x93AA, 0x8B49, 0x7B28, 0x6B07, 0x62C8, 0x5287, 0x4A25, 0x39C3, 0x39A2, 0x39A2, 0x49E3, 0x5225, 0x6AA8, 0x7B0A, 0x830B, 0x82EB, 0x8AAD, 0x92CE, 0xA370, 0xC4B4, 0xD597, 0xF5DA, 0xE233, 
        0xE0B0, 0xE911, 0xF173, 0xF193, 0xF993, 0xF993, 0xF174, 0xF194, 0xF1B6, 0xF1D7, 0xF1F8, 0xF176, 0xF956, 0xF977, 0xF975, 0xF933, 0xF0CF, 0xE8AD, 0xE0CD, 0xD8ED, 0xC8CC, 0xC0AB, 0xB869, 0xB0C8, 0xB0C8, 0xB067, 0xB047, 0xA846, 0xA866, 0xB088, 
        0xB068, 0xA067, 0xA066, 0xA065, 0x9085, 0x68A6, 0x58E7, 0x71A8, 0x89E8, 0x9A09, 0xB22C, 0xB26B, 0xB2CA, 0xCB6D, 0xD3AE, 0xDBAE, 0xDBAE, 0xD492, 0xD4F4, 0xDCF3, 0xE4D2, 0xE4B2, 0xE4B2, 0xED14, 0xF535, 0xF555, 0xF554, 0xF554, 0xF555, 0xF575, 
        0xF595, 0xF595, 0xF595, 0xF575, 0xF555, 0xED75, 0xED75, 0xED75, 0xF575, 0xF595, 0xF595, 0xF593, 0xF593, 0xF572, 0xED52, 0xED32, 0xE512, 0xDCF2, 0xDCD2, 0xD4B0, 0xD48F, 0xD46F, 0xD46F, 0xD46E, 0xD46E, 0xD44E, 0xCC4E, 0xC42D, 0xBC0D, 0xB3CD, 
        0xB3AD, 0xB38C, 0xAB8C, 0xAB8B, 0xAB8B, 0xAB6B, 0xA36B, 0xA32A, 0xA30A, 0x9B0A, 0x9B0B, 0x92CA, 0x92A9, 0x8A67, 0x8245, 0x7A25, 0x7205, 0x69A4, 0x6984, 0x71C5, 0x71C6, 0x71C7, 0x6986, 0x5123, 0x40E2, 0x30A2, 0x2882, 0x2061, 0x2041, 0x30C5, 
        0x3907, 0x4128, 0x4969, 0x518A, 0x6A2D, 0x7AF2, 0x8333, 0x7B13, 0x7AF3, 0x7AF2, 0x72D2, 0x6A70, 0x6230, 0x5A2F, 0x5A0F, 0x5A2E, 0x5A2E, 0x622F, 0x624F, 0x5A4E, 0x524C, 0x522A, 0x5208, 0x5A48, 0x6249, 0x5A2B, 0x520D, 0x520D, 0x51CD, 0x49AD, 
        0x49AD, 0x51CD, 0x51EC, 0x51EB, 0x51EA, 0x49AA, 0x59EC, 0x6ACE, 0x7B4F, 0x734F, 0x5AAD, 0x3186, 0x3945, 0x6A48, 0x936C, 0xAC4F, 0xBDB4, 0xEF5C, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFF9E, 0xF79D, 0xF79C, 0xF77C, 0xFF5C, 0xFF3C, 0xFF1C, 0xF6FA, 0xF6D9, 0xF6F9, 0xF6FA, 0xF6FA, 0xF71A, 0xFF3B, 
        0xFF5B, 0xF73A, 0xEEF9, 0xE698, 0xDE36, 0xD5F3, 0xBD71, 0x840C, 0x5AC7, 0x4225, 0x39E3, 0x5285, 0x52A5, 0x4243, 0x39C2, 0x41A2, 0x5A05, 0x9BCA, 0xAC6C, 0x93EB, 0x8BEC, 0x944D, 0xAD10, 0xA490, 0xA44F, 0x9C2F, 0x9BED, 0x938C, 0x8B2B, 0x9BED, 
        0xAC6F, 0xB4D1, 0xBCF2, 0xB4F1, 0xACAF, 0xAC4E, 0xB42E, 0xB450, 0xB471, 0xB451, 0xB450, 0xACB0, 0xBD32, 0xCDB5, 0xB512, 0x8BCC, 0x51C4, 0x81C4, 0x9A65, 0xA3A7, 0x9CA9, 0x94E9, 0x7CA6, 0x5BA3, 0x5B84, 0x7C08, 0x9C8C, 0xACCC, 0xC52C, 0xDDAF, 
        0xDDB0, 0xCD6F, 0xBD4F, 0xC56F, 0xC58E, 0xA528, 0xA529, 0xCD91, 0xE596, 0xDD36, 0xCCB5, 0xDDB9, 0xD5DA, 0xBCF6, 0xB4B6, 0xC539, 0xD5BC, 0xAC3A, 0x9376, 0x83AF, 0x946D, 0xAD0E, 0xBD70, 0x738A, 0x5286, 0x5264, 0x7346, 0x9469, 0xCE50,
  0x92D6, 0x92D6, 0x92B5, 0x92B5, 0x92D5, 0x92F5, 0x92D5, 0x8AB4, 0x92D5, 0x92D5, 0x92D6, 0x9AB6, 0x92B7, 0x92B7, 0x9AB6, 0x9AB6, 0x9AB6, 0x92B6, 0x92F7, 0x92F7, 0x92D6, 0x92B6, 0x92B6, 0x92D6, 0x9AD7, 0x9AD7, 0x9B17, 0xA338, 0xA358, 0xA379, 0x9B37, 
        0x9B36, 0x9B36, 0xA337, 0xA357, 0xAB77, 0xBBB5, 0xC3F4, 0xC433, 0xC452, 0xC452, 0xBC11, 0xB390, 0xB370, 0xAB70, 0xA36F, 0xA36F, 0xA36D, 0x9B4D, 0x9B4D, 0xA38D, 0xABCE, 0xB40E, 0xBC50, 0xD4B2, 0xDCD3, 0xDCD2, 0xD4D1, 0xD4D1, 0xD4D2, 0xE4D1, 
        0xE4D1, 0xDCD1, 0xD4F1, 0xD4F2, 0xDCD1, 0xDC8E, 0xD48D, 0xD46E, 0xD46E, 0xD46E, 0xD46E, 0xCC4D, 0xCC2D, 0xCC6E, 0xCC8F, 0xCC70, 0xCC71, 0xD4B1, 0xD4D1, 0xDCF2, 0xDCD2, 0xDCF1, 0xD4F1, 0xDCF1, 0xDCF2, 0xDCD1, 0xD4D1, 0xD4B1, 0xD4B1, 0xD491, 
        0xD491, 0xD4B1, 0xD4B1, 0xD4B1, 0xDCD1, 0xDCD1, 0xDCD1, 0xDCD1, 0xDCD2, 0xDCB1, 0xDCB1, 0xDCB2, 0xDC92, 0xDC91, 0xD490, 0xD48F, 0xD46F, 0xC46E, 0xC44D, 0xC44E, 0xC40E, 0xC3EE, 0xBBCD, 0xBBAD, 0xBBAD, 0xB3AC, 0xB38B, 0xAB8A, 0x9B69, 0x9347, 
        0x8B47, 0x8367, 0x8B68, 0x8B48, 0x9308, 0xA2E9, 0xAAE9, 0xA309, 0x9B29, 0x9B29, 0x9B09, 0x9AC8, 0x9AA8, 0x9AA8, 0x9287, 0x9287, 0x9267, 0x8AA7, 0x8AA7, 0x92A6, 0x92A7, 0x92C7, 0x9B69, 0xB4AB, 0xBD2D, 0xCD50, 0xDD72, 0xDD92, 0xDDB2, 0xCD91, 
        0xC570, 0xC530, 0xBD0F, 0xBCEF, 0xB48F, 0xAC4D, 0xA40B, 0x9BCB, 0x8B89, 0x8348, 0x6B07, 0x5AA7, 0x4A47, 0x39C4, 0x3162, 0x2941, 0x2941, 0x3161, 0x41A2, 0x5245, 0x6AA8, 0x72C9, 0x7AAA, 0x8AAE, 0x92D0, 0x9BB2, 0xB4F6, 0xCDB9, 0xE5BB, 0xF1F4, 
        0xF850, 0xF0B1, 0xF132, 0xF193, 0xF1B4, 0xF153, 0xF133, 0xF154, 0xF196, 0xF1D7, 0xF1F8, 0xF137, 0xF917, 0xF977, 0xF996, 0xF932, 0xF08D, 0xE06D, 0xD88D, 0xD0AD, 0xC8AB, 0xC08A, 0xB069, 0xB0C8, 0xB0C8, 0xB068, 0xB027, 0xB026, 0xB025, 0xB065, 
        0xB085, 0xA043, 0xA022, 0xA042, 0x9842, 0x8822, 0x8002, 0x7802, 0x7802, 0x7803, 0x8866, 0xA9EA, 0xBAAC, 0xCB2D, 0xD36D, 0xDB4D, 0xDB4D, 0xCC51, 0xCCD3, 0xDCD3, 0xE4B2, 0xE491, 0xDC91, 0xECF4, 0xF535, 0xF555, 0xF555, 0xF555, 0xF555, 0xF574, 
        0xF574, 0xF575, 0xF575, 0xF575, 0xF555, 0xED75, 0xED75, 0xED75, 0xF575, 0xF576, 0xF575, 0xF593, 0xED92, 0xED53, 0xED32, 0xED12, 0xE4F2, 0xDCD2, 0xDCB1, 0xD490, 0xCC6F, 0xCC4E, 0xD44E, 0xD44E, 0xD44E, 0xCC4E, 0xC42D, 0xBC0D, 0xBBED, 0xB3AD, 
        0xB38C, 0xB36C, 0xAB6B, 0xAB6A, 0xAB4A, 0xA34A, 0xA32A, 0x9AE9, 0x9AC9, 0x9ACA, 0x9ACB, 0x9289, 0x8A48, 0x8225, 0x7A03, 0x71E3, 0x69A4, 0x69A5, 0x61A5, 0x6985, 0x6185, 0x6165, 0x5124, 0x40C2, 0x3081, 0x2042, 0x1842, 0x1863, 0x30A4, 0x4969, 
        0x51CB, 0x59EC, 0x622D, 0x6A4E, 0x7AB0, 0x8353, 0x7B54, 0x72F3, 0x6AB2, 0x6AB1, 0x626F, 0x5A0F, 0x59EE, 0x5A0E, 0x5A2E, 0x5A2E, 0x5A2E, 0x5A2F, 0x5A2E, 0x5A4D, 0x5A4B, 0x524A, 0x5A49, 0x624A, 0x622B, 0x520C, 0x51ED, 0x51CD, 0x51CD, 0x49AC, 
        0x49AC, 0x51CC, 0x51EC, 0x51EB, 0x49EA, 0x4989, 0x51CA, 0x6ACE, 0x7B51, 0x7351, 0x526E, 0x20C5, 0x28A3, 0x6A47, 0xA3CC, 0xB4D0, 0xCE35, 0xEF9C, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFF9E, 0xF79D, 0xF77C, 0xF75C, 0xF73B, 0xF73B, 0xF71B, 0xF6D9, 0xEED8, 0xF6D9, 0xF6F9, 0xF6FA, 0xF71A, 0xFF3A, 
        0xFF3A, 0xF6F9, 0xE698, 0xDE57, 0xD5F5, 0xD614, 0xC591, 0x83CB, 0x5286, 0x4204, 0x3A03, 0x4A84, 0x52A5, 0x4A43, 0x39E3, 0x3983, 0x51C5, 0x8B8A, 0x9C0B, 0x8BAA, 0x8BAB, 0x942D, 0xACEF, 0xA48F, 0xA44F, 0xA44F, 0x9C2E, 0x9BCD, 0x936C, 0x93AC, 
        0xA42D, 0xB491, 0xBCF2, 0xBD12, 0xB4F0, 0xAC4D, 0xAC2D, 0xB450, 0xB471, 0xB451, 0xB450, 0xACB1, 0xB532, 0xC5D4, 0xB552, 0x8C0D, 0x51A4, 0x8084, 0x9905, 0xAAE8, 0xAC6A, 0xA4EA, 0x8CC8, 0x6BE4, 0x6BC4, 0x8C69, 0xA4ED, 0xB54D, 0xCD6C, 0xD56D, 
        0xDD6D, 0xCD6E, 0xCD8F, 0xCDAF, 0xCDCE, 0xAD4A, 0xA52A, 0xB54F, 0xBCD1, 0xB450, 0xB430, 0xE67A, 0xEEDD, 0xC577, 0xB4B5, 0xBCF6, 0xC578, 0x9BF8, 0x8355, 0x7B6C, 0x8C49, 0xAD0B, 0xBD4F, 0x6AC8, 0x41A3, 0x5223, 0x7BA6, 0xAD0B, 0xE713,
  0x92B5, 0x92B5, 0x8AB5, 0x8AB5, 0x92D5, 0x92D6, 0x92D5, 0x92B5, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92B7, 0x92B7, 0x92B6, 0x9AB6, 0x92B6, 0x92D6, 0x92D6, 0x92D6, 0x92D7, 0x92D7, 0x92D6, 0x92D6, 0x9B17, 0xA338, 0xA337, 0xA356, 0xA376, 0xA376, 0xAB76, 
        0xAB76, 0xAB76, 0xA376, 0xA356, 0xAB56, 0xB395, 0xBBD4, 0xBBF3, 0xBC12, 0xBC11, 0xB3F0, 0xAB8F, 0xAB4E, 0xA34E, 0xA34E, 0xA34D, 0x9B2D, 0x9B4D, 0x9B4D, 0xA38D, 0xABCE, 0xB40F, 0xBC50, 0xDCB1, 0xDCD2, 0xDCD2, 0xDCD1, 0xD4D1, 0xD4D1, 0xDCB1, 
        0xE4D1, 0xDCD1, 0xDCD2, 0xDCD2, 0xDCD1, 0xDC8E, 0xD48D, 0xD46E, 0xD46F, 0xD44F, 0xD44E, 0xCC6E, 0xCC6E, 0xD46F, 0xD46F, 0xD470, 0xD490, 0xDCD1, 0xDCD2, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCD1, 0xDCD1, 0xDCB1, 0xDCB1, 
        0xDCD1, 0xDCB1, 0xDCB1, 0xDCB1, 0xDCD1, 0xDCD1, 0xDCD1, 0xDCD1, 0xE4D2, 0xE4D2, 0xE4D1, 0xDCD1, 0xDCB1, 0xDCB0, 0xDC8F, 0xD48F, 0xD46F, 0xCC4E, 0xCC4E, 0xCC2E, 0xCC2E, 0xC40E, 0xC3CE, 0xBBAD, 0xBBAD, 0xBBAC, 0xB38B, 0xB38A, 0xAB6A, 0x9369, 
        0x8B68, 0x8B48, 0x9348, 0x9328, 0xA308, 0xAAE9, 0xAAEA, 0xA2E9, 0xA2E9, 0xA2E9, 0xA2E9, 0x9AC9, 0x9AC9, 0x9AC8, 0xA2E8, 0xA2E8, 0xA2E8, 0x9B08, 0x9AE8, 0x92C8, 0x92A8, 0x92C8, 0x9B28, 0xA3EA, 0xB44C, 0xBCCD, 0xCD2F, 0xD550, 0xDD52, 0xCD52, 
        0xC531, 0xC531, 0xBD31, 0xBD10, 0xBCCF, 0xAC6E, 0xA42D, 0x93CB, 0x8B69, 0x7B27, 0x6AC4, 0x4A44, 0x4203, 0x31A2, 0x2941, 0x2921, 0x3101, 0x3961, 0x49C3, 0x5A45, 0x6AA7, 0x72C9, 0x82EB, 0x8ACE, 0x9310, 0x9BD3, 0xACD7, 0xBD7A, 0xD53B, 0xE9F4, 
        0xF891, 0xF8D2, 0xF153, 0xF193, 0xF1D3, 0xF193, 0xF974, 0xF995, 0xF9B6, 0xF9B6, 0xF9B7, 0xF9B8, 0xF9B8, 0xF9D8, 0xF9D7, 0xF9B6, 0xF152, 0xD8AF, 0xD06D, 0xC04B, 0xB84A, 0xB049, 0xB068, 0xB048, 0xB049, 0xB069, 0xB048, 0xB047, 0xB046, 0xA867, 
        0xA867, 0xA867, 0xA847, 0xA847, 0xA847, 0xA825, 0xA825, 0xA827, 0x9046, 0x8046, 0x7066, 0x8087, 0x9909, 0xBA6C, 0xD34E, 0xDB6E, 0xDB6E, 0xCBCE, 0xCC0F, 0xDC31, 0xDC52, 0xDC52, 0xDC92, 0xE4F3, 0xED14, 0xED14, 0xED15, 0xED35, 0xED55, 0xF553, 
        0xF553, 0xF575, 0xF576, 0xF576, 0xF576, 0xF575, 0xF595, 0xF595, 0xF576, 0xF576, 0xF575, 0xF574, 0xF573, 0xED52, 0xED32, 0xE512, 0xE4F1, 0xDCB0, 0xDC90, 0xD46F, 0xD46E, 0xD44E, 0xD44E, 0xD42E, 0xCC2E, 0xC40D, 0xBBED, 0xBBCC, 0xBBAC, 0xB36C, 
        0xAB6C, 0xAB4C, 0xAB4B, 0xAB4B, 0xAB2A, 0xAB0A, 0xAAE9, 0xA2C9, 0xA2CA, 0x9ACA, 0x9AAA, 0x9229, 0x8A08, 0x79E5, 0x71C4, 0x69A4, 0x5965, 0x5965, 0x5145, 0x48C4, 0x4083, 0x3862, 0x3863, 0x38A4, 0x38C5, 0x40E8, 0x4929, 0x496A, 0x51CB, 0x6A4D, 
        0x6A8E, 0x6AAF, 0x6AB0, 0x72D1, 0x72B1, 0x6A70, 0x6250, 0x624F, 0x5A6F, 0x5A6F, 0x626F, 0x622F, 0x622F, 0x624F, 0x626F, 0x624F, 0x5A2F, 0x5A4E, 0x626E, 0x626E, 0x626D, 0x626C, 0x5A6A, 0x5A49, 0x5A2A, 0x59EC, 0x51CD, 0x51CD, 0x51CC, 0x49AC, 
        0x498C, 0x49AC, 0x51CC, 0x49CC, 0x49CC, 0x49AA, 0x51CA, 0x624D, 0x6AAF, 0x6AD0, 0x626E, 0x4169, 0x3906, 0x4167, 0x622A, 0x7B0E, 0xACD5, 0xDE9A, 0xEF5C, 0xF7BE, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xF7BE, 0xF79E, 0xF77D, 0xF75B, 0xF75B, 0xF73A, 0xF6FA, 0xF6F9, 0xF6F9, 0xF6D9, 0xF6D9, 0xF6F9, 0xFF3A, 
        0xFF3A, 0xF6D9, 0xE677, 0xDE36, 0xDE15, 0xEED8, 0xDE56, 0x940D, 0x5A86, 0x4203, 0x4202, 0x52A5, 0x5AE6, 0x52A6, 0x4225, 0x31A3, 0x3164, 0x6AC9, 0x8BCD, 0xA46E, 0xACAD, 0xAC8D, 0xA44C, 0xA48F, 0xACB1, 0xB4F2, 0xB4F2, 0xB4D1, 0xA44F, 0x938B, 
        0x936B, 0xA40E, 0xB490, 0xB4B1, 0xB4B0, 0xAC6F, 0xAC6E, 0xAC6F, 0xB46F, 0xB46F, 0xB450, 0xAC50, 0xB4D2, 0xCDD4, 0xC573, 0x9C4E, 0x7208, 0x990B, 0xB14C, 0xAA4A, 0xAB69, 0xB42B, 0xB4EC, 0x9489, 0x8C67, 0x94A8, 0xA4E9, 0xB52B, 0xBD2D, 0xB4AD, 
        0xBCAD, 0xCD2F, 0xD550, 0xD530, 0xCD11, 0xCE14, 0xBE13, 0x7C8D, 0x5B28, 0x5A86, 0x82CA, 0xC575, 0xDE5A, 0xD599, 0xC4D6, 0xB473, 0x8BF0, 0x8370, 0x8B4F, 0x93CB, 0xA449, 0xA469, 0x9409, 0x6A84, 0x6263, 0x83C8, 0xA50C, 0xB5AD, 0xCE0E,
  0x92D5, 0x92D6, 0x92B6, 0x92B6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92B6, 0x92B6, 0x92D6, 0x92D6, 0x92D6, 0x9AD6, 0x92F7, 0x9317, 0x9AF7, 0x9AF7, 0x92D7, 0x92D7, 0x9B17, 0xA357, 0xA376, 0xAB76, 0xAB95, 0xAB94, 0xB395, 
        0xB3B5, 0xB3D5, 0xB3D5, 0xB3D5, 0xB3B6, 0xB3D5, 0xB3D4, 0xBBD2, 0xBBB0, 0xB3AF, 0xB3AE, 0xA36E, 0xA36E, 0xA34E, 0xA36E, 0xA36E, 0x9B6D, 0xA38E, 0xAB8E, 0xAB8E, 0xB3CF, 0xB3F0, 0xBC31, 0xDC71, 0xE491, 0xE4B1, 0xE4D2, 0xDCF2, 0xDCD2, 0xDCD2, 
        0xDCD1, 0xE4D1, 0xE4F1, 0xE4F2, 0xE4D2, 0xE48F, 0xDC8E, 0xD48F, 0xD46F, 0xD44F, 0xD44F, 0xD46F, 0xD46F, 0xD46F, 0xD48F, 0xD490, 0xD4B1, 0xE4F1, 0xECF1, 0xE4F2, 0xE4F2, 0xE4F2, 0xE4F2, 0xE4F2, 0xE4F1, 0xE4F1, 0xDCD1, 0xDCD1, 0xDCD1, 0xDCB1, 
        0xDCB1, 0xE4D2, 0xE4F2, 0xE4F2, 0xE4D2, 0xECD2, 0xECD2, 0xECD2, 0xE4F2, 0xE4F2, 0xECF1, 0xE4B1, 0xE4B1, 0xDCB0, 0xDC90, 0xDC70, 0xDC50, 0xD46F, 0xCC6E, 0xD44F, 0xD42F, 0xCC2F, 0xC40E, 0xC3CE, 0xBBAD, 0xBBAD, 0xB3AC, 0xB3AC, 0xA38B, 0x8B69, 
        0x8B48, 0x9349, 0x9349, 0x9349, 0x9B2A, 0xA32A, 0xAB2B, 0xA2EA, 0xA2CA, 0x9ACA, 0x9AE9, 0x9AC9, 0x9AC8, 0x9AC8, 0x9AC8, 0x9AE8, 0xA2E9, 0xA2EA, 0xA2EA, 0xA2E9, 0x9AE8, 0x9AC8, 0x9AE8, 0xAB6A, 0xB3CB, 0xBC6D, 0xCCCF, 0xD50F, 0xDD30, 0xDD31, 
        0xDD11, 0xDD31, 0xD531, 0xCD31, 0xC4F1, 0xBC8F, 0xB44E, 0xA40C, 0x93AB, 0x8B6A, 0x72E8, 0x5266, 0x4205, 0x3982, 0x2921, 0x28E0, 0x28E1, 0x3144, 0x4187, 0x620A, 0x726C, 0x7A8E, 0x8290, 0x92B4, 0x9AF5, 0x9BB6, 0xAC38, 0xBC59, 0xE3BA, 0xF194, 
        0xF8D1, 0xF912, 0xF153, 0xF173, 0xF9B4, 0xF9B5, 0xF9B5, 0xF9D6, 0xF9D7, 0xF9D7, 0xF9B7, 0xF9B8, 0xF9B9, 0xF9B8, 0xF9D8, 0xF9F8, 0xFA18, 0xF1D5, 0xE993, 0xE0EF, 0xD88C, 0xD06A, 0xC048, 0xB027, 0xA826, 0xA024, 0xA024, 0xA825, 0xA827, 0x9828, 
        0x9827, 0x9025, 0x9825, 0x9826, 0xA828, 0xB048, 0xB048, 0xA847, 0xA889, 0xB0CC, 0xB90D, 0x9066, 0x8064, 0x9969, 0xB28C, 0xC30D, 0xCB8D, 0xC36E, 0xC34E, 0xC38F, 0xC3B0, 0xC3F0, 0xCC31, 0xDC72, 0xEC92, 0xEC92, 0xE4B2, 0xDCB2, 0xDCD2, 0xECF2, 
        0xF513, 0xF534, 0xF554, 0xFD55, 0xFD56, 0xFD95, 0xFDB5, 0xFD75, 0xF575, 0xF575, 0xF555, 0xF533, 0xF532, 0xED11, 0xE4F1, 0xE4F1, 0xE4D1, 0xDC8F, 0xD46E, 0xD46F, 0xD44F, 0xD44F, 0xCC4E, 0xC44E, 0xC42E, 0xC3ED, 0xBBCD, 0xB3AC, 0xB38C, 0xAB4C, 
        0xAB2B, 0xAB2B, 0xAB0B, 0xAB0B, 0xAAEB, 0xA2A9, 0xA2A8, 0xA2AA, 0xA2AA, 0x9A89, 0x9228, 0x7187, 0x6946, 0x6124, 0x6103, 0x58E3, 0x48C4, 0x38A5, 0x3085, 0x3064, 0x3864, 0x48A5, 0x5928, 0x69AC, 0x69ED, 0x720F, 0x7230, 0x7250, 0x6A6F, 0x626E, 
        0x5A6D, 0x628E, 0x628F, 0x628F, 0x6250, 0x6A0E, 0x6A0E, 0x624F, 0x626F, 0x626F, 0x624F, 0x626F, 0x626F, 0x6A6F, 0x6A4F, 0x624F, 0x624F, 0x624F, 0x626F, 0x6A70, 0x6A6F, 0x6A6F, 0x626D, 0x624C, 0x620C, 0x59CD, 0x59AD, 0x59AD, 0x51AC, 0x518C, 
        0x498D, 0x49AC, 0x51AC, 0x51CC, 0x51CD, 0x51AC, 0x59AC, 0x620D, 0x6A6E, 0x6A8E, 0x6AAF, 0x72AF, 0x728E, 0x622C, 0x61A9, 0x6188, 0x71E9, 0x8B6D, 0xA4B2, 0xCE58, 0xEF5D, 0xFFBE, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFF9D, 0xFF7C, 0xF75B, 0xFF3C, 0xFF1C, 0xF71B, 0xF6FA, 0xFEFA, 0xFF1B, 0xFF5B, 
        0xF73B, 0xEEF8, 0xE696, 0xE634, 0xE614, 0xF73B, 0xEF3B, 0xBD93, 0x7BCB, 0x5287, 0x2943, 0x4A04, 0x5285, 0x4285, 0x3A44, 0x31E4, 0x3163, 0x4163, 0x59E5, 0x8B68, 0xB48C, 0xC50E, 0xC510, 0xB4D1, 0xACB2, 0xB513, 0xBD54, 0xC554, 0xC534, 0xB4B0, 
        0xAC4F, 0xA40E, 0xA40F, 0xA42F, 0xB490, 0xBCB1, 0xBCB1, 0xB470, 0xAC4F, 0xAC4F, 0xB44F, 0xAC50, 0xB4F3, 0xD617, 0xC5B5, 0xA450, 0x69A8, 0x88EB, 0xA16D, 0xA28C, 0x9B0A, 0x82E8, 0x72C6, 0x9467, 0x9D07, 0x9CC6, 0x9C68, 0x9C4B, 0xAC50, 0xBCD2, 
        0xCD54, 0xDDD7, 0xD4F6, 0xBBB1, 0x8A6A, 0x8D4B, 0x96AD, 0xA62E, 0x9CCD, 0x8B4B, 0x6167, 0x5925, 0x6166, 0x7A2A, 0x9B6E, 0xAC50, 0xB552, 0x9C70, 0x942F, 0xA4AE, 0xACED, 0xA4CC, 0x8449, 0x5B25, 0x6387, 0xA54E, 0xBDD0, 0xAD2E, 0x7BA8,
  0x92B6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92B5, 0x92B6, 0x92B6, 0x92D6, 0x92B6, 0x9AB7, 0x9AB7, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D7, 0x92D7, 0x92F7, 0x92D7, 0x92D7, 0x92D7, 0xA317, 0xA337, 0xAB57, 0xAB77, 0xB376, 0xB395, 0xBBD5, 
        0xBBF5, 0xBBF4, 0xBBF3, 0xBBF4, 0xBBF4, 0xBBD3, 0xBBB2, 0xBB91, 0xB36F, 0xAB6E, 0xAB8D, 0xAB8D, 0xB38D, 0xB38E, 0xB3AF, 0xAB8E, 0xA38E, 0xB38E, 0xB3AE, 0xB3EE, 0xB42F, 0xB450, 0xC472, 0xDCB2, 0xE4D3, 0xE4F2, 0xDCF2, 0xDCF2, 0xE4D1, 0xE4D2, 
        0xECD2, 0xE4D1, 0xDCD1, 0xDCD1, 0xDCB1, 0xDCAF, 0xDC8E, 0xD48E, 0xD46D, 0xCC6D, 0xCC6D, 0xCC8E, 0xD48E, 0xD48E, 0xD4AE, 0xD4AE, 0xD4B0, 0xDCD2, 0xE4F2, 0xE4F2, 0xE4F2, 0xE512, 0xE512, 0xE4F2, 0xE4F1, 0xE4F1, 0xE4F1, 0xE4F1, 0xE4F2, 0xE4F2, 
        0xE4F2, 0xE4F2, 0xE4F2, 0xE4F2, 0xE4F2, 0xECF3, 0xECF2, 0xECF2, 0xE4F2, 0xE4F2, 0xE4D1, 0xE4D1, 0xDCD1, 0xDCB1, 0xDC91, 0xDC90, 0xD48F, 0xCC6E, 0xCC4E, 0xCC2E, 0xCC0E, 0xCC0E, 0xC3EE, 0xBBAE, 0xBBAE, 0xBB8D, 0xBB8C, 0xBB8B, 0xAB8A, 0x9B49, 
        0x9349, 0x9349, 0x9B49, 0x9B49, 0xA309, 0xAAEA, 0xAAEA, 0xA2EA, 0xA2EA, 0xAAEA, 0xAAE9, 0xA2E9, 0xA2C9, 0xA2C9, 0xA2E9, 0xA2E9, 0xAB09, 0xA309, 0xA309, 0xA2C9, 0x9AA8, 0x92A7, 0x8A86, 0x8285, 0x82A6, 0x9328, 0xA3AA, 0xB3EC, 0xC46E, 0xD4D0, 
        0xD4F1, 0xCCF1, 0xC511, 0xC511, 0xBCD0, 0xB3EE, 0xAB8D, 0x9B4B, 0x82E9, 0x72A7, 0x5203, 0x4162, 0x3122, 0x20E1, 0x18C0, 0x18A0, 0x18C1, 0x3102, 0x4164, 0x51C6, 0x6A4A, 0x728D, 0x8AF1, 0x9B14, 0xA396, 0xAC59, 0xB49A, 0xC418, 0xDAD5, 0xF174, 
        0xF913, 0xF953, 0xF173, 0xF173, 0xF193, 0xF9B5, 0xF9B5, 0xF9D6, 0xF9B7, 0xF9B7, 0xF998, 0xF998, 0xF997, 0xF9B7, 0xF9D8, 0xF9F9, 0xFA1B, 0xF9D9, 0xF9B7, 0xF1B4, 0xF172, 0xE950, 0xE0CF, 0xD88D, 0xD06C, 0xD08C, 0xD0AB, 0xD0AB, 0xD0AA, 0xC8A9, 
        0xC889, 0xC089, 0xC0AA, 0xC8AA, 0xD0CB, 0xC8CB, 0xC0AA, 0xB88A, 0xB06A, 0xB069, 0xA849, 0x9027, 0x9047, 0xA0E9, 0xB18A, 0xBA0B, 0xC2AC, 0xB2CC, 0xB2CD, 0xBB2D, 0xC36D, 0xC38D, 0xC3AD, 0xBBCF, 0xBBCF, 0xC40F, 0xCC2F, 0xCC30, 0xD450, 0xE492, 
        0xE4B2, 0xE4D2, 0xECF3, 0xECF4, 0xF515, 0xF555, 0xF575, 0xED54, 0xED53, 0xED54, 0xED34, 0xECF3, 0xECF3, 0xECD3, 0xECB2, 0xE492, 0xDC30, 0xD44E, 0xCC2D, 0xCBED, 0xCBED, 0xC40E, 0xC450, 0xC3CF, 0xBB8E, 0xBB8D, 0xB36C, 0xB36C, 0xAB2B, 0xA2C9, 
        0xA2A9, 0xA2AA, 0xAAAA, 0xA26A, 0x9A49, 0xA249, 0x9A28, 0x89E7, 0x79C7, 0x7186, 0x6145, 0x48C5, 0x4085, 0x40A4, 0x38C3, 0x30C4, 0x30C5, 0x4149, 0x496A, 0x516A, 0x516A, 0x598B, 0x61CD, 0x61ED, 0x61CC, 0x596B, 0x516B, 0x598C, 0x61CD, 0x59CC, 
        0x59AC, 0x51CC, 0x59ED, 0x5A0E, 0x622F, 0x622E, 0x620D, 0x5A0D, 0x520D, 0x5A0E, 0x620F, 0x624E, 0x624E, 0x624E, 0x622E, 0x624E, 0x624E, 0x624F, 0x624F, 0x6A2F, 0x6A0E, 0x620E, 0x59EE, 0x59ED, 0x59ED, 0x59CD, 0x51CD, 0x51CD, 0x51AD, 0x51CC, 
        0x51AC, 0x498C, 0x496C, 0x496B, 0x416B, 0x51AD, 0x51AE, 0x51AC, 0x49AB, 0x49CB, 0x51EC, 0x5A2E, 0x622E, 0x5A0D, 0x59EC, 0x59AC, 0x6A0E, 0x9C54, 0xBD77, 0xD5F8, 0xE69A, 0xEF1C, 0xFFBE, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFBE, 0xFF9D, 0xF77C, 0xF75B, 0xF73A, 0xF6DA, 0xF6D9, 0xF6D9, 0xF6F9, 0xF71A, 0xFF1A, 0xF6F9, 
        0xF6B7, 0xEE56, 0xE5F4, 0xDDD3, 0xDE15, 0xEF5B, 0xDEFB, 0x9491, 0x4A88, 0x2984, 0x10E1, 0x1921, 0x2162, 0x3183, 0x31A4, 0x3183, 0x2963, 0x2984, 0x39E5, 0x52A7, 0x6B69, 0x83EB, 0x9C8E, 0xBD12, 0xBD32, 0xB4F1, 0xACD1, 0xB4F2, 0xBD33, 0xC554, 
        0xC554, 0xBCF1, 0xB4B0, 0xB490, 0xB491, 0xB4B0, 0xB4AF, 0xAC6F, 0xAC4F, 0xB44F, 0xB44F, 0xABEE, 0xB471, 0xCDF5, 0xC5F4, 0xA4AF, 0x7208, 0x908E, 0xB0B2, 0xC1B2, 0xCA51, 0xC270, 0xB24E, 0x9AAB, 0x934A, 0xA42B, 0x9C4A, 0x8BA8, 0x82E8, 0xC4EF, 
        0xDDD2, 0xD550, 0xBC0C, 0xA2EA, 0x898A, 0xB2D4, 0xCC36, 0xC5D0, 0xB60C, 0xA52B, 0x7ACA, 0x48C3, 0x4862, 0x6946, 0x79A8, 0x71E8, 0x6AA9, 0xAD32, 0xC5B4, 0xA48F, 0x8B4A, 0x7AE7, 0x8388, 0xBDD0, 0xCE91, 0xB5AC, 0x9489, 0x83A9, 0x6AAA,
  0x92B6, 0x92B6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92B6, 0x92D6, 0x9AD6, 0x9AD7, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92F6, 0x9AF7, 0x9AF7, 0x9AD7, 0x9AD8, 0x92B7, 0x92D7, 0xA337, 0xAB77, 0xAB97, 0xB3B6, 0xB3B6, 
        0xBBB6, 0xBBF4, 0xBC13, 0xC413, 0xC413, 0xBBD3, 0xBBB2, 0xB370, 0xAB4E, 0xAB2D, 0xAB4C, 0xB38D, 0xB3AE, 0xB3CF, 0xBBF0, 0xBC11, 0xBC31, 0xBC11, 0xBC11, 0xBC30, 0xBC30, 0xBC2F, 0xC430, 0xD492, 0xE4D3, 0xE4F3, 0xE4F3, 0xDCF2, 0xDCF2, 0xE4F2, 
        0xE4F1, 0xDCD0, 0xDCCF, 0xDCAF, 0xDCAF, 0xDC8E, 0xDC8E, 0xD46E, 0xCC6D, 0xCC6D, 0xCC6D, 0xD46D, 0xD46D, 0xD46E, 0xCC6E, 0xCC8E, 0xCCAE, 0xDCD0, 0xE4D1, 0xDCD1, 0xDCF1, 0xDCF1, 0xE512, 0xE532, 0xE532, 0xE512, 0xE512, 0xE512, 0xED12, 0xED13, 
        0xF513, 0xED13, 0xED13, 0xED13, 0xECF2, 0xE4F2, 0xE4F2, 0xE512, 0xE4F2, 0xE4D2, 0xE4D2, 0xE4D1, 0xE4D1, 0xE4B2, 0xDC91, 0xDC90, 0xD46F, 0xD44E, 0xD44E, 0xCC2E, 0xCC2E, 0xCC0E, 0xCBEE, 0xC3CE, 0xC3AE, 0xBB8D, 0xBB6C, 0xBB8C, 0xB38B, 0x9349, 
        0x8B28, 0x9B49, 0xA34A, 0xA32A, 0xAB0A, 0xAB0A, 0xAB0A, 0xAAEA, 0xAAEA, 0xAAEA, 0xAB0A, 0xA309, 0xA2E9, 0xA2E9, 0xA2E9, 0xAAE9, 0xAAE9, 0xA2E9, 0x9AE9, 0x9AC9, 0x9AA8, 0x9A87, 0x9265, 0x79E4, 0x71E4, 0x8265, 0x92C7, 0x9B08, 0xAB8B, 0xCC6E, 
        0xD4B0, 0xCC90, 0xC48F, 0xC46F, 0xC42D, 0xA389, 0x9328, 0x7AC7, 0x6A66, 0x5A05, 0x4183, 0x3103, 0x28C3, 0x20C2, 0x18A2, 0x18A1, 0x20A2, 0x3926, 0x4968, 0x51CA, 0x6A4D, 0x7AB0, 0x9314, 0x9B39, 0xA39B, 0xBC5D, 0xD45C, 0xDBBA, 0xF236, 0xF954, 
        0xF913, 0xF952, 0xF172, 0xF192, 0xF193, 0xF974, 0xF975, 0xF996, 0xF9B7, 0xF9B7, 0xF9B8, 0xF9B9, 0xF9B9, 0xF9B8, 0xF9B8, 0xF9D8, 0xF9D8, 0xF9D7, 0xF9D7, 0xFA18, 0xFA37, 0xFA36, 0xF9D5, 0xF153, 0xF132, 0xF130, 0xF150, 0xF14F, 0xF150, 0xF110, 
        0xF110, 0xF150, 0xF190, 0xF190, 0xE950, 0xD8CC, 0xD08B, 0xC06B, 0xB84A, 0xB049, 0xA849, 0xA029, 0x9829, 0x9869, 0xA0C9, 0xA109, 0xB1AA, 0xC26B, 0xC2CC, 0xBB0C, 0xBB0D, 0xBB2D, 0xBB2D, 0xBB2C, 0xB34C, 0xBB6C, 0xC3AD, 0xC3CD, 0xCBEE, 0xDC0F, 
        0xDC10, 0xDC50, 0xDC71, 0xE492, 0xECD3, 0xF514, 0xF534, 0xED13, 0xE512, 0xE4F2, 0xE4F3, 0xE4D3, 0xE4D2, 0xE4B2, 0xDC71, 0xDC31, 0xD3EF, 0xD3EE, 0xD3CD, 0xCBCC, 0xCBAC, 0xCBCD, 0xC3CE, 0xBB8C, 0xBB6B, 0xB36B, 0xB34B, 0xAB2B, 0xA2CA, 0x9289, 
        0x9249, 0x9A49, 0x9A29, 0x9A28, 0x8A08, 0x81A6, 0x7966, 0x6104, 0x50C3, 0x4083, 0x3042, 0x2821, 0x2841, 0x2082, 0x20A3, 0x20A4, 0x28A5, 0x3107, 0x3128, 0x3908, 0x4108, 0x4929, 0x514A, 0x516B, 0x516B, 0x514A, 0x514A, 0x516B, 0x51AC, 0x516C, 
        0x496B, 0x518C, 0x51AC, 0x59AC, 0x59AD, 0x59ED, 0x5A0C, 0x59EC, 0x59CD, 0x59CD, 0x59CE, 0x51CD, 0x51CD, 0x520D, 0x5A0D, 0x5A0D, 0x5A0D, 0x5A2D, 0x622D, 0x622E, 0x5A2E, 0x5A2E, 0x5A0E, 0x51CE, 0x51AD, 0x51AD, 0x51AC, 0x518C, 0x518C, 0x498C, 
        0x498C, 0x498C, 0x496C, 0x496B, 0x416B, 0x51AD, 0x51AE, 0x496C, 0x494B, 0x496B, 0x51AC, 0x620E, 0x622F, 0x620E, 0x51CB, 0x4989, 0x4968, 0x82AD, 0xABD1, 0xCD76, 0xE6BA, 0xEF3C, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFE, 0xFFDF, 0xFFBF, 0xFF9E, 0xF77D, 0xF75C, 0xF71B, 0xF6D9, 0xF6D8, 0xF6D9, 0xF6FA, 0xF6FA, 0xF6FA, 0xF6D8, 
        0xF697, 0xEE35, 0xDDF4, 0xDDD4, 0xD616, 0xEF3B, 0xDEFA, 0x9CD0, 0x5AE7, 0x3A04, 0x1921, 0x1901, 0x2101, 0x2121, 0x2142, 0x2963, 0x2983, 0x2122, 0x1922, 0x2164, 0x3A26, 0x5AE8, 0x944D, 0xCD73, 0xD595, 0xBCF3, 0xAC92, 0xAC91, 0xB4D2, 0xC533, 
        0xC554, 0xC533, 0xBCF3, 0xB4D2, 0xA491, 0xB4B0, 0xB48F, 0xAC6E, 0xAC4E, 0xAC4E, 0xAC2E, 0xAC0F, 0xB492, 0xD5F7, 0xC5D6, 0xA471, 0x69A8, 0x908B, 0xA08E, 0xA0EE, 0xA94F, 0xB190, 0xB9F0, 0x9AAB, 0x9349, 0xA44B, 0xACAC, 0xB4AB, 0xAC29, 0x9BC7, 
        0x8B25, 0x7204, 0x6105, 0x60A8, 0x710D, 0x9BAD, 0xB54E, 0xCE50, 0xCE10, 0xBD0F, 0x8AAB, 0x60A4, 0x5842, 0x70E4, 0x91C7, 0x9A89, 0x9B2A, 0x6A67, 0x51E6, 0x4A07, 0x62C7, 0x9409, 0xCE2C, 0xD6AB, 0xCE2A, 0xAD0B, 0xACAE, 0xBCD3, 0xDD9A,
  0x92B6, 0x92B6, 0x92D6, 0x92D6, 0x92D6, 0x92F6, 0x92D6, 0x92D6, 0x92B6, 0x92B6, 0x92D6, 0x92F6, 0x9AD7, 0x9AD7, 0x9AD7, 0x92D6, 0x92D6, 0x92D6, 0x9AF6, 0x9AF6, 0x9AF7, 0x9AF7, 0x9AF7, 0x92F7, 0x92B7, 0x92B7, 0x9AF6, 0xA336, 0xA357, 0xAB97, 0xBBD6, 
        0xC3F5, 0xC414, 0xC413, 0xC433, 0xC432, 0xC412, 0xC3F1, 0xBBAF, 0xB38D, 0xAB4C, 0xAB4B, 0xB3CD, 0xBC0E, 0xC410, 0xCC32, 0xD452, 0xD473, 0xCC93, 0xCCB3, 0xD4B3, 0xD4B2, 0xD4B2, 0xD491, 0xDCB2, 0xE4D3, 0xE4F3, 0xE512, 0xDD12, 0xE4F2, 0xECF2, 
        0xECD2, 0xE4D1, 0xE4D0, 0xE4D0, 0xE4CF, 0xE4AF, 0xDC8F, 0xD46E, 0xCC4E, 0xCC4D, 0xCC2D, 0xCC4E, 0xD44E, 0xD44E, 0xD46E, 0xD46F, 0xD46F, 0xDCAF, 0xDCD0, 0xE4D1, 0xE4F1, 0xE4F1, 0xE511, 0xED32, 0xED32, 0xED12, 0xED12, 0xED12, 0xF532, 0xF513, 
        0xF513, 0xED13, 0xED33, 0xED13, 0xF513, 0xF513, 0xF533, 0xED13, 0xED12, 0xED12, 0xECF1, 0xE4D1, 0xE4B1, 0xE4B1, 0xE491, 0xDC70, 0xDC70, 0xDC6F, 0xDC6F, 0xD44F, 0xD42F, 0xD40E, 0xD3EE, 0xC3EE, 0xBBEE, 0xBBCD, 0xBBAD, 0xB3AD, 0xAB8C, 0x9B69, 
        0x9B68, 0xA369, 0xA34B, 0xAB4B, 0xAB2B, 0xAB2B, 0xAB2B, 0xAB2B, 0xAB0A, 0xAB0A, 0xAB0A, 0xA2EA, 0xA2E9, 0xA2E9, 0xA2EA, 0xAAEA, 0xAAEA, 0xAB09, 0xAB09, 0xA2C9, 0x9AC9, 0x9AC8, 0x92A7, 0x7225, 0x6A04, 0x7244, 0x8285, 0x8AC6, 0x9B68, 0xB40B, 
        0xC44C, 0xC46F, 0xCC90, 0xCCB1, 0xC470, 0xA3AB, 0x9348, 0x8307, 0x72A5, 0x6A24, 0x5162, 0x28E1, 0x18C2, 0x20C2, 0x20A1, 0x1881, 0x18A2, 0x3147, 0x41A9, 0x59EC, 0x724F, 0x82B1, 0x9B35, 0xABBC, 0xB41F, 0xBC7E, 0xCC5D, 0xDB9B, 0xF217, 0xF933, 
        0xF912, 0xF932, 0xF972, 0xF992, 0xF993, 0xF153, 0xF154, 0xF196, 0xF9D7, 0xF9D7, 0xF9D8, 0xF9DA, 0xF9DB, 0xF9BA, 0xF9B9, 0xF9B8, 0xF9B7, 0xF9F8, 0xF9F8, 0xF9FA, 0xFA1B, 0xFA3B, 0xFA5B, 0xFA37, 0xF9F6, 0xF9D5, 0xF9B4, 0xF993, 0xF973, 0xF932, 
        0xF932, 0xF952, 0xF972, 0xF972, 0xF972, 0xF130, 0xE90F, 0xD8EE, 0xD0CD, 0xD0AC, 0xC86B, 0xA849, 0x9829, 0x9827, 0x9047, 0x9887, 0xA109, 0xB1AB, 0xBA0C, 0xBA6C, 0xBA8C, 0xBA8C, 0xBA8C, 0xB2CC, 0xB2EC, 0xB30C, 0xBB0C, 0xBB0C, 0xBB2C, 0xC32D, 
        0xCB4D, 0xCB8D, 0xCBCE, 0xDBF0, 0xE452, 0xECD2, 0xECF2, 0xE4D1, 0xDCB1, 0xDCB1, 0xDC91, 0xDC30, 0xDC0F, 0xDBEF, 0xD3EF, 0xD3EF, 0xD3CF, 0xC36D, 0xBB4C, 0xBB6D, 0xC38D, 0xC38C, 0xBB8C, 0xBB6B, 0xBB6B, 0xAB2A, 0xA2E8, 0x9AA7, 0x9266, 0x89C7, 
        0x81A7, 0x81A7, 0x81A6, 0x7986, 0x6945, 0x58E3, 0x5082, 0x4861, 0x4021, 0x4021, 0x3001, 0x2820, 0x1821, 0x1041, 0x1042, 0x1042, 0x1843, 0x1863, 0x2064, 0x2885, 0x2885, 0x30A6, 0x30C7, 0x38E8, 0x3908, 0x3928, 0x3928, 0x4149, 0x496A, 0x518B, 
        0x518B, 0x516B, 0x516C, 0x518C, 0x51AC, 0x494B, 0x494A, 0x518B, 0x59AC, 0x59AD, 0x59AD, 0x518C, 0x518C, 0x59CC, 0x59ED, 0x59ED, 0x51CD, 0x59CD, 0x61CE, 0x622E, 0x624E, 0x622E, 0x59EE, 0x59AD, 0x518D, 0x518C, 0x518C, 0x516B, 0x496B, 0x494B, 
        0x494B, 0x496B, 0x494B, 0x494B, 0x496C, 0x498D, 0x496D, 0x494B, 0x492B, 0x512B, 0x518C, 0x622E, 0x624E, 0x624E, 0x5A4E, 0x5A2D, 0x520C, 0x514A, 0x594A, 0x7AAD, 0x9C11, 0xBD35, 0xE6BA, 0xF79E, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 
        0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBE, 0xFF9E, 0xF79E, 0xF77D, 0xF71B, 0xF6FA, 0xF6DA, 0xF6DA, 0xF6FA, 0xF71A, 0xFEF9, 
        0xF6D8, 0xF696, 0xEE55, 0xE635, 0xE636, 0xEEBA, 0xEEDA, 0xCDF3, 0xA4ED, 0x8409, 0x4A84, 0x18E1, 0x1060, 0x20A1, 0x28E2, 0x3102, 0x2922, 0x3162, 0x2942, 0x2101, 0x18C1, 0x18C2, 0x41A5, 0x93EE, 0xC533, 0xDDD6, 0xDDD6, 0xCD75, 0xB4D2, 0xB4D2, 
        0xB4F2, 0xBCF2, 0xBCF2, 0xB4F2, 0xB4D1, 0xB4B2, 0xAC91, 0xAC4F, 0xAC4F, 0xAC4F, 0xB490, 0xB471, 0xBCF3, 0xD617, 0xC5D5, 0x9C6F, 0x61A6, 0x906B, 0xA84E, 0xA8B0, 0xA0D0, 0xA8D1, 0xB0F1, 0xB171, 0xB1D1, 0xAA6F, 0xAB4E, 0xB42D, 0xBD2C, 0xAC2C, 
        0x932A, 0x59A6, 0x40A4, 0x4044, 0x6086, 0x81A6, 0x9A67, 0xB38B, 0xCCD0, 0xD572, 0xB531, 0x59E7, 0x4084, 0x5884, 0x60C5, 0x5905, 0x4966, 0x4947, 0x5A09, 0x9470, 0xC612, 0xDED1, 0xE6CC, 0xAD48, 0x83E6, 0x5A45, 0x6A09, 0x8AEF, 0xCCD8,
  0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92B6, 0x92B6, 0x92D6, 0x92D7, 0x92D6, 0x9AD6, 0x9AD6, 0x92D6, 0x92F7, 0x92F7, 0x92D6, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AF7, 0x92F7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AD8, 0x92D7, 0x9AD7, 0x9AF7, 0xA357, 0xB3D6, 
        0xBBF6, 0xBC15, 0xC434, 0xC434, 0xC413, 0xC3F1, 0xBBD0, 0xB3AE, 0xB38C, 0xB36C, 0xB38C, 0xBC0D, 0xC44F, 0xD491, 0xDCB3, 0xE4F4, 0xE535, 0xE556, 0xE556, 0xE576, 0xE575, 0xE575, 0xDD34, 0xDCD3, 0xDCB3, 0xDCD2, 0xDCF2, 0xE4F2, 0xE4F1, 0xE4D1, 
        0xE4D1, 0xECD1, 0xECD0, 0xE4D0, 0xDCAF, 0xDC8E, 0xDC8E, 0xD44E, 0xCC2D, 0xCC0C, 0xC40C, 0xCC2D, 0xCC4D, 0xD44D, 0xD44E, 0xD44E, 0xCC4E, 0xD46E, 0xD48F, 0xD490, 0xDC91, 0xDCB1, 0xDCD1, 0xECF1, 0xED11, 0xED32, 0xED32, 0xED33, 0xED12, 0xF533, 
        0xF533, 0xED32, 0xED12, 0xF513, 0xF513, 0xF513, 0xF512, 0xF4F2, 0xECF3, 0xECF3, 0xECF2, 0xE4D1, 0xE4B1, 0xE491, 0xDC71, 0xDC70, 0xD46F, 0xD46F, 0xD46F, 0xD44F, 0xCC0F, 0xCBEE, 0xCBCE, 0xC3EE, 0xC3EE, 0xBBAD, 0xB38D, 0xB38D, 0xAB8C, 0xAB6A, 
        0xAB6A, 0xA36B, 0xA34B, 0xA34B, 0xAB0B, 0xAB0B, 0xAB0B, 0xAB0A, 0xAAEA, 0xAAEA, 0xAB0A, 0xAB2A, 0xAB2A, 0xAB09, 0xAB09, 0xAB0A, 0xAB0A, 0xAAE9, 0xA2E8, 0xA2C9, 0x9AC8, 0x9AA7, 0x9265, 0x7A04, 0x71E4, 0x7204, 0x8224, 0x8A45, 0x9AA7, 0xAB6B, 
        0xB3AD, 0xBBCD, 0xBBEC, 0xC3EB, 0xBBA9, 0x9B07, 0x8286, 0x6A25, 0x51A3, 0x4142, 0x28C2, 0x20A3, 0x20A3, 0x2083, 0x2083, 0x18A3, 0x20E3, 0x4985, 0x61E7, 0x6A2B, 0x828F, 0x8AD2, 0xA356, 0xAC5C, 0xB49F, 0xCC3E, 0xE35C, 0xEA9A, 0xF956, 0xF934, 
        0xF953, 0xF193, 0xF193, 0xF992, 0xF952, 0xF154, 0xF175, 0xF997, 0xF9B8, 0xF9D8, 0xF9B8, 0xF9B9, 0xF9B9, 0xF9B9, 0xF9D9, 0xF9D9, 0xF9F8, 0xF1B6, 0xF196, 0xF1D6, 0xF9F7, 0xFA18, 0xFA18, 0xFA38, 0xFA38, 0xFA18, 0xFA18, 0xFA18, 0xFA18, 0xF9F6, 
        0xF9D5, 0xF1B4, 0xF193, 0xF193, 0xF193, 0xF973, 0xF952, 0xF130, 0xE92F, 0xE92F, 0xD92E, 0xC88B, 0xB849, 0xA827, 0x9806, 0x9827, 0xA048, 0xA8E8, 0xB148, 0xA148, 0xA188, 0xA1C8, 0xA249, 0xAAAB, 0xAAEC, 0xAAEB, 0xAAEA, 0xA2E9, 0xA2CA, 0xB2AB, 
        0xBAAB, 0xC2CB, 0xC32C, 0xC34D, 0xCBB0, 0xDBF1, 0xDC10, 0xD42F, 0xCC2E, 0xD44F, 0xDC51, 0xDBAF, 0xDB6D, 0xDB8D, 0xD38D, 0xCB6D, 0xBB4C, 0xB30B, 0xB30B, 0xBB2C, 0xBB4D, 0xBB6D, 0xBB4D, 0xBB0B, 0xB2CA, 0xA247, 0x91E6, 0x81A5, 0x7985, 0x7147, 
        0x6906, 0x60A4, 0x5863, 0x5042, 0x4842, 0x3821, 0x3821, 0x4022, 0x4822, 0x4822, 0x5023, 0x4823, 0x4823, 0x4063, 0x3883, 0x3884, 0x4064, 0x3824, 0x3024, 0x2823, 0x2022, 0x1842, 0x1842, 0x1023, 0x1843, 0x2063, 0x2083, 0x2084, 0x1884, 0x28A6, 
        0x30A7, 0x30C7, 0x30E8, 0x3909, 0x392A, 0x3107, 0x30E6, 0x3908, 0x4129, 0x492A, 0x512A, 0x492A, 0x494B, 0x494B, 0x516C, 0x518C, 0x51AC, 0x51AC, 0x51AC, 0x51CD, 0x59CD, 0x59CD, 0x51AD, 0x516D, 0x516C, 0x516C, 0x496C, 0x496B, 0x494B, 0x414B, 
        0x414B, 0x412B, 0x412A, 0x494A, 0x494B, 0x412B, 0x410B, 0x410B, 0x490A, 0x490A, 0x48E9, 0x5109, 0x5129, 0x4929, 0x492A, 0x494A, 0x498B, 0x594C, 0x69AD, 0x8ACF, 0xA3D1, 0xA472, 0xB556, 0xE6FC, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBF, 0xFFBE, 0xF79E, 0xF77D, 0xFF3C, 0xFF3C, 0xFF1B, 0xF6F9, 0xF6F8, 0xF6F9, 0xF6F9, 0xF6F9, 
        0xF6D8, 0xF6B8, 0xEE77, 0xE657, 0xE638, 0xF719, 0xEEF6, 0xBDAF, 0x8C49, 0x6367, 0x3A05, 0x10C1, 0x1081, 0x3122, 0x4183, 0x4983, 0x4143, 0x2922, 0x2101, 0x2901, 0x28E1, 0x28C1, 0x3122, 0x7AEA, 0xAC0E, 0xC513, 0xD575, 0xD555, 0xCCF4, 0xBCF3, 
        0xBCF3, 0xBCF2, 0xBCF2, 0xBD13, 0xBD13, 0xB4D3, 0xB491, 0xA42E, 0xA40D, 0xAC2E, 0xBC70, 0xBC71, 0xC4F3, 0xD5F6, 0xC594, 0x9C2F, 0x6166, 0x9049, 0xA84C, 0x98AC, 0x90EC, 0x90AD, 0x908D, 0x8149, 0x81E7, 0x82E7, 0x93C9, 0xA42C, 0xBC8F, 0xAC2B, 
        0x9B89, 0x8288, 0x6986, 0x60E5, 0x60A5, 0xA18D, 0xB270, 0xAB6B, 0xA449, 0x9CC9, 0x9CAB, 0x9AED, 0x9A0D, 0x9A2D, 0x9A8D, 0x9B0E, 0xA411, 0xC4F5, 0xCD34, 0xBD2D, 0xB509, 0xBCE9, 0xB429, 0x51E5, 0x38C3, 0x5086, 0x6088, 0x68A9, 0x5909,
  0x92D6, 0x92D6, 0x92D5, 0x92D5, 0x92D5, 0x92D6, 0x92B6, 0x92B6, 0x92D6, 0x9AD6, 0x9AD6, 0x92F6, 0x92D7, 0x92D7, 0x92D7, 0x92D7, 0x9AD7, 0x9AD7, 0x92D7, 0x92D7, 0x92F7, 0x9AF7, 0x9AF7, 0x9AF7, 0xA2F7, 0xA2F7, 0x9AD8, 0x9AD8, 0x9AD8, 0xA317, 0xAB77, 
        0xB3B6, 0xBBD6, 0xBBD5, 0xBBD5, 0xBBD4, 0xBBB2, 0xC3B0, 0xC3AE, 0xBBCD, 0xBBEE, 0xC42F, 0xD491, 0xDCB2, 0xDCD2, 0xDCF3, 0xDD13, 0xDD14, 0xD514, 0xD514, 0xDD14, 0xD514, 0xD4F3, 0xCCB3, 0xD4B3, 0xDCD3, 0xDCD2, 0xDCF2, 0xDCF2, 0xE4F2, 0xE4F1, 
        0xE4F1, 0xECF1, 0xECF1, 0xECD0, 0xE4CF, 0xDC8F, 0xD48E, 0xD44D, 0xCC2D, 0xCC0D, 0xCC0D, 0xCC4C, 0xD46D, 0xDC6D, 0xDC6D, 0xD46D, 0xCC4D, 0xCC4D, 0xCC4D, 0xCC6E, 0xD46E, 0xD46F, 0xDC90, 0xDCF1, 0xE512, 0xED12, 0xED32, 0xED32, 0xED32, 0xED33, 
        0xED33, 0xED13, 0xED13, 0xED13, 0xED13, 0xF513, 0xF512, 0xED12, 0xECF3, 0xECF3, 0xECF3, 0xE4D1, 0xE4B1, 0xE491, 0xE491, 0xDC70, 0xDC4E, 0xD44F, 0xCC4F, 0xCC2F, 0xCC2F, 0xD40E, 0xCBCE, 0xC3CE, 0xBBCD, 0xBBCD, 0xBBAD, 0xBB8D, 0xB38C, 0xAB6B, 
        0xA34A, 0xA34A, 0xA34A, 0xA34A, 0xAB2A, 0xB32B, 0xB32B, 0xB30A, 0xAAEA, 0xAB0A, 0xAB0A, 0xAB09, 0xAB09, 0xAB09, 0xAAE9, 0xAB09, 0xAB09, 0xA2E8, 0xA2E8, 0xA2C9, 0x9AA8, 0x9A88, 0x9266, 0x7A45, 0x7A45, 0x8245, 0x8A85, 0x92A6, 0xA2E7, 0xB369, 
        0xB3AA, 0xB3AA, 0xB3AA, 0xB38A, 0xAB48, 0x92A5, 0x8243, 0x61A2, 0x4941, 0x40E0, 0x30A0, 0x20A1, 0x20C2, 0x28C4, 0x28E5, 0x28E5, 0x2926, 0x5189, 0x61EC, 0x6A4D, 0x7AB0, 0x82D2, 0x9B57, 0xB45D, 0xBC7F, 0xCC1E, 0xDB3C, 0xEA5A, 0xF137, 0xF955, 
        0xF994, 0xF1B3, 0xF192, 0xF172, 0xF932, 0xF994, 0xF9B6, 0xF9D7, 0xF9D8, 0xF9F8, 0xF9F8, 0xF198, 0xF198, 0xF1B8, 0xF1D8, 0xF1D8, 0xF1B8, 0xF196, 0xF1B6, 0xF218, 0xFA39, 0xFA39, 0xFA39, 0xF1F9, 0xF1F9, 0xF219, 0xFA19, 0xFA39, 0xFA19, 0xF9DA, 
        0xF9D9, 0xF9F9, 0xF9F8, 0xF9D7, 0xF1B5, 0xF194, 0xF193, 0xF173, 0xF153, 0xF173, 0xE952, 0xD08D, 0xC02A, 0xB829, 0xB028, 0xB008, 0xB027, 0xA8A7, 0xA0C7, 0x98C7, 0x98E8, 0x9908, 0xA168, 0xB1C9, 0xB209, 0xB209, 0xAA29, 0xAA49, 0xAA48, 0xAA29, 
        0xAA29, 0xB249, 0xB289, 0xB2CA, 0xBB2C, 0xC36D, 0xCB6D, 0xC36D, 0xC38D, 0xC38D, 0xCB8E, 0xCB6D, 0xCB6D, 0xC32C, 0xC30B, 0xBB0B, 0xB2EA, 0xAACA, 0xB2EB, 0xBB4C, 0xBB4D, 0xBB2C, 0xA2AA, 0x81C7, 0x7945, 0x7124, 0x6903, 0x68E2, 0x60A2, 0x5062, 
        0x4822, 0x4822, 0x4802, 0x4802, 0x4802, 0x4802, 0x4822, 0x5023, 0x5843, 0x5844, 0x5824, 0x5844, 0x5864, 0x5864, 0x5885, 0x5885, 0x6066, 0x6045, 0x5845, 0x5065, 0x4886, 0x4886, 0x4085, 0x3845, 0x3024, 0x3023, 0x3023, 0x2823, 0x2023, 0x2024, 
        0x2044, 0x2044, 0x2043, 0x2044, 0x2064, 0x2885, 0x2885, 0x28A6, 0x28A6, 0x28C7, 0x30E8, 0x40E9, 0x4909, 0x410A, 0x494B, 0x514B, 0x518B, 0x49AB, 0x49AC, 0x51AC, 0x51AD, 0x59AD, 0x51AD, 0x496C, 0x416C, 0x414B, 0x412B, 0x412B, 0x390A, 0x30A9, 
        0x28A9, 0x38EA, 0x410A, 0x410A, 0x40E9, 0x3109, 0x3129, 0x412A, 0x492A, 0x492A, 0x4109, 0x40E9, 0x40C9, 0x40C9, 0x38C9, 0x38C9, 0x390A, 0x492A, 0x514A, 0x61AB, 0x7A4D, 0x8AEF, 0xB474, 0xD659, 0xE71B, 0xEF3C, 0xEF5C, 0xEF5C, 0xF79D, 0xFFBE, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDE, 0xFFDF, 0xFFBF, 0xFF9E, 0xFF9D, 0xFF7C, 0xF73B, 0xF6B8, 0xF697, 0xF6B8, 0xF6F9, 0xF71A, 0xF73A, 0xF6F9, 
        0xF6B8, 0xEE57, 0xEE79, 0xF6DA, 0xEF3B, 0xD675, 0xC5D1, 0x9CCC, 0x7BE8, 0x6B46, 0x4264, 0x1941, 0x1921, 0x39A2, 0x4A03, 0x5223, 0x5204, 0x49E4, 0x49E4, 0x49E3, 0x39A2, 0x3142, 0x2902, 0x4184, 0x6248, 0xA3EF, 0xCD14, 0xD576, 0xD576, 0xBCF3, 
        0xB4D2, 0xBCF3, 0xC534, 0xCD34, 0xC534, 0xBD13, 0xB4B2, 0xA42E, 0x9BCC, 0xA3CC, 0xB42E, 0xC4B3, 0xCD56, 0xDE17, 0xC573, 0x940D, 0x5966, 0x904C, 0xA86F, 0xA0EE, 0x912C, 0x890B, 0x88AA, 0xA0CD, 0xA94E, 0xB22D, 0xAB4B, 0xA428, 0x9D25, 0x9CC7, 
        0x8C07, 0x7265, 0x5924, 0x50A3, 0x5062, 0x6886, 0x8148, 0xA30C, 0xC4EE, 0xD5EF, 0xC62E, 0x7BCA, 0x62C9, 0x834D, 0xA410, 0xBCB2, 0xC513, 0xB451, 0xABCF, 0xA34C, 0x9288, 0x71E6, 0x4904, 0x58A5, 0x7087, 0x7869, 0x804A, 0x806A, 0x8089,
  0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x9AD6, 0x92D6, 0x92F6, 0x92F6, 0x92F6, 0x92D6, 0x92D7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x92F7, 0x92F7, 0x9B17, 0x9AF7, 0x9AF7, 0x9AF8, 0x9B17, 0x9B17, 0x9AF8, 0x9AD8, 0x9AD8, 0xA2F8, 0xA338, 
        0xA358, 0xAB97, 0xB3B6, 0xBBD5, 0xBBF3, 0xC3D2, 0xC3D1, 0xC3F0, 0xC3F0, 0xC410, 0xCC30, 0xD472, 0xD492, 0xDCB2, 0xDCD2, 0xDCB3, 0xDCB3, 0xDCD3, 0xDCF3, 0xD4F4, 0xCCF4, 0xC4F4, 0xBCD3, 0xCCB2, 0xD4B2, 0xD4D2, 0xDCF2, 0xDCF1, 0xE4F1, 0xED12, 
        0xED12, 0xED11, 0xED11, 0xECF1, 0xECF1, 0xDCB0, 0xDC8F, 0xDC6E, 0xDC4D, 0xD42D, 0xD42D, 0xD44C, 0xDC6C, 0xDC6D, 0xD46D, 0xD46D, 0xCC4D, 0xCC2D, 0xCC4D, 0xCC4E, 0xD46E, 0xD46E, 0xDC8E, 0xE4D1, 0xE512, 0xED12, 0xED12, 0xED12, 0xED12, 0xF513, 
        0xF513, 0xF513, 0xED13, 0xED13, 0xED13, 0xF513, 0xF513, 0xF512, 0xECF3, 0xED13, 0xED13, 0xECD1, 0xE4B1, 0xE4B1, 0xE491, 0xE470, 0xDC6F, 0xDC70, 0xD470, 0xD430, 0xD410, 0xD40F, 0xD40F, 0xCBCE, 0xC3CD, 0xBBCE, 0xBBCE, 0xBBAE, 0xB38D, 0xAB8B, 
        0xAB8A, 0xA36B, 0xAB6B, 0xAB6B, 0xAB6B, 0xB34B, 0xB34B, 0xB32B, 0xAB2B, 0xAB2B, 0xA32A, 0xAB0A, 0xAB0A, 0xAB09, 0xAB09, 0xAB0A, 0xAB2A, 0xA328, 0x9B08, 0xA2C9, 0xA2AA, 0x9AA9, 0x9287, 0x8246, 0x7A45, 0x8245, 0x9265, 0x9AA6, 0xA307, 0xAB89, 
        0xABAA, 0xB3AA, 0xB3AA, 0xB3AA, 0xB368, 0xAAC4, 0x9A62, 0x81E1, 0x6160, 0x4900, 0x30A0, 0x28C1, 0x28E3, 0x28E4, 0x28E4, 0x20C3, 0x2903, 0x51E9, 0x6A6C, 0x7AAD, 0x82EF, 0x9310, 0xA395, 0xB49C, 0xBCBF, 0xD3DE, 0xEAFC, 0xF23A, 0xF956, 0xF955, 
        0xF974, 0xF994, 0xF192, 0xF191, 0xF971, 0xF9B6, 0xF9D8, 0xF9D8, 0xF9F8, 0xF9F8, 0xF9F8, 0xF9B8, 0xF9B8, 0xF9F9, 0xF9F8, 0xF9D6, 0xF175, 0xF9F7, 0xFA38, 0xFA58, 0xFA38, 0xFA39, 0xFA1A, 0xF21A, 0xF219, 0xF219, 0xFA19, 0xFA3A, 0xFA7B, 0xFA3C, 
        0xFA1C, 0xFA3C, 0xFA3B, 0xFA3B, 0xFA19, 0xF9F6, 0xF9F4, 0xF9F5, 0xF9F5, 0xF9F5, 0xF193, 0xE8F1, 0xE0B0, 0xD8AE, 0xD08B, 0xC869, 0xB027, 0xA047, 0xA068, 0x9847, 0x9866, 0x9866, 0xA0C7, 0xA949, 0xB189, 0xA96A, 0xA98A, 0xA9AA, 0xA9E9, 0xA9E8, 
        0xA1E7, 0xA1E8, 0xA1E9, 0xA209, 0xAA2A, 0xB2CC, 0xB2ED, 0xB2CC, 0xAACC, 0xB2EB, 0xBB0B, 0xBB2B, 0xB30B, 0xB2CA, 0xAACA, 0xAACA, 0xAB0B, 0xB32D, 0xB32D, 0xAAEC, 0xA28A, 0x9228, 0x7965, 0x58A3, 0x5042, 0x5042, 0x4841, 0x4842, 0x4822, 0x4821, 
        0x4821, 0x4822, 0x4822, 0x4823, 0x5024, 0x5863, 0x5863, 0x5843, 0x6043, 0x6064, 0x5884, 0x6044, 0x6024, 0x6044, 0x6044, 0x6845, 0x6846, 0x7066, 0x7066, 0x7066, 0x7087, 0x70A8, 0x70A9, 0x7089, 0x6868, 0x6088, 0x5868, 0x5068, 0x5067, 0x4887, 
        0x48A7, 0x4085, 0x3064, 0x2043, 0x1022, 0x0823, 0x1044, 0x1044, 0x1865, 0x1885, 0x28C6, 0x30E7, 0x30E7, 0x40E9, 0x490A, 0x512B, 0x598B, 0x496C, 0x416C, 0x51AD, 0x59CE, 0x61CE, 0x59AE, 0x396C, 0x312B, 0x38EB, 0x38CB, 0x38CA, 0x30C9, 0x2888, 
        0x2868, 0x3889, 0x38AA, 0x40CA, 0x40E9, 0x3906, 0x3906, 0x40E8, 0x38E9, 0x38C9, 0x30A9, 0x4069, 0x488A, 0x48CA, 0x48C9, 0x40A8, 0x40A8, 0x618B, 0x69CC, 0x5189, 0x4947, 0x5147, 0x69C9, 0x832C, 0x93EE, 0xA46F, 0xACF1, 0xBD53, 0xCDF7, 0xEF5C, 
        0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDE, 0xFF9D, 0xF75B, 0xF6F8, 0xF6B6, 0xF6D7, 0xF71A, 0xF75C, 0xF79C, 0xF77B, 0xE677, 
        0xE636, 0xEEB7, 0xF75B, 0xFFBD, 0xDEFB, 0x738C, 0x52A6, 0x8C2A, 0xAD4E, 0xAD4F, 0x846D, 0x4244, 0x31A1, 0x5243, 0x6AE6, 0x7347, 0x7B69, 0x8389, 0x7B69, 0x7328, 0x6AE8, 0x6AC8, 0x6287, 0x4A06, 0x5227, 0x832C, 0xA410, 0xAC51, 0xAC91, 0xC4F2, 
        0xCD12, 0xCD33, 0xCD34, 0xCD54, 0xCD54, 0xC552, 0xBD32, 0xB4D1, 0xAC6F, 0xAC4E, 0xAC8D, 0xBD12, 0xCD96, 0xDDF8, 0xC515, 0x938F, 0x6107, 0x988B, 0xB0AE, 0xA0CD, 0xA0CD, 0xA08E, 0xA070, 0x88CB, 0x814A, 0x8A8A, 0x8BE8, 0x84A5, 0x7D43, 0x8C88, 
        0x93EB, 0x9B4B, 0x92AA, 0x8208, 0x6925, 0x5044, 0x5045, 0x6926, 0x8AA8, 0xA40B, 0xC62F, 0xC66E, 0xBDEE, 0x9CAE, 0x83AD, 0x734B, 0x6AA8, 0x5985, 0x5905, 0x68E7, 0x68A8, 0x6888, 0x6047, 0x7849, 0x886A, 0x886A, 0x8869, 0x8049, 0x7848,
  0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x9AF6, 0x9AF6, 0x92F6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9B17, 0x9B17, 0x9B17, 0x9B17, 0x9AF7, 0x9AF8, 0x9B17, 0x9B17, 0x9AF8, 0x9AD8, 0x9AD8, 0x9AF8, 0x9B18, 
        0xA358, 0xAB77, 0xB3B6, 0xBBD5, 0xBBD4, 0xBBF2, 0xC3F2, 0xC3F1, 0xC411, 0xCC11, 0xD431, 0xD473, 0xD4B3, 0xDCD3, 0xE4D3, 0xDCD3, 0xDCB3, 0xD4B2, 0xD4B2, 0xCCD3, 0xC4D3, 0xC4D3, 0xBCB2, 0xBC51, 0xC451, 0xCC91, 0xD4D1, 0xDCD1, 0xE4D2, 0xED13, 
        0xED13, 0xF512, 0xED11, 0xED12, 0xECF2, 0xE4D0, 0xDCAF, 0xDC6E, 0xDC4E, 0xD42D, 0xD42D, 0xD44C, 0xD44D, 0xD46D, 0xD46E, 0xD46D, 0xD44D, 0xCC2D, 0xCC2D, 0xCC4D, 0xCC6E, 0xD46D, 0xD48E, 0xE4F1, 0xED12, 0xED12, 0xED12, 0xED12, 0xED12, 0xF513, 
        0xF513, 0xF513, 0xED13, 0xED13, 0xF513, 0xF533, 0xF533, 0xF513, 0xED13, 0xED13, 0xECF3, 0xECD1, 0xE4B1, 0xE4B1, 0xE491, 0xE471, 0xE470, 0xDC70, 0xDC70, 0xD430, 0xD430, 0xD42F, 0xCC2F, 0xCBEE, 0xCBCE, 0xC3CE, 0xBBCE, 0xBBAE, 0xB38D, 0xAB8C, 
        0xAB8B, 0xAB8C, 0xAB8C, 0xAB8C, 0xAB8B, 0xB34B, 0xB34C, 0xB34C, 0xAB2B, 0xAB2B, 0xA32A, 0xAB0A, 0xAB0A, 0xAB2A, 0xAB2A, 0xAB2A, 0xAB2A, 0xA329, 0x9B09, 0xA2C9, 0xA2A9, 0x9AA9, 0x9287, 0x8266, 0x7A46, 0x8266, 0x9286, 0x92C7, 0x9B28, 0xA389, 
        0xABAA, 0xB3AA, 0xBBAA, 0xBBAA, 0xB388, 0xA2E5, 0x9283, 0x79E2, 0x5961, 0x40E1, 0x2881, 0x28C2, 0x28E3, 0x28E4, 0x28E3, 0x28C3, 0x2923, 0x5A27, 0x72AA, 0x7ACC, 0x8AEF, 0x9310, 0xA394, 0xB49C, 0xBCBF, 0xDBBD, 0xEABB, 0xF219, 0xF975, 0xF954, 
        0xF974, 0xF994, 0xF993, 0xF992, 0xF172, 0xF9B6, 0xF9D8, 0xF9D8, 0xF9F8, 0xF9F8, 0xF9D8, 0xF9D8, 0xF9D8, 0xF9F8, 0xF9D7, 0xF9B6, 0xF995, 0xFA58, 0xFA99, 0xFA58, 0xFA38, 0xFA19, 0xFA1A, 0xFA3A, 0xFA19, 0xFA1A, 0xFA1A, 0xFA3A, 0xFA5A, 0xFA3C, 
        0xFA3D, 0xFA5D, 0xFA5C, 0xFA5C, 0xFA5B, 0xFA37, 0xFA16, 0xFA37, 0xFA37, 0xFA17, 0xF9D6, 0xF154, 0xF113, 0xE911, 0xE0CE, 0xD8AC, 0xC069, 0xA848, 0xA028, 0xA027, 0xA046, 0xA046, 0xA086, 0xA908, 0xA929, 0xA129, 0xA149, 0xA969, 0xA9A9, 0xA9C8, 
        0xA1C8, 0x99C8, 0x99A8, 0x99A8, 0xA1A8, 0xAA4A, 0xAA8A, 0xA26A, 0xAA4A, 0xAA6A, 0xB2AA, 0xB2CA, 0xB2CA, 0xAA89, 0xA269, 0xA289, 0xAAAA, 0xA2CB, 0xA2AB, 0x9229, 0x81A7, 0x7145, 0x58A2, 0x4841, 0x4821, 0x4021, 0x4002, 0x4002, 0x4022, 0x4822, 
        0x4822, 0x4822, 0x4823, 0x5023, 0x5044, 0x5884, 0x6084, 0x6044, 0x6044, 0x6064, 0x6085, 0x6045, 0x6824, 0x6844, 0x6845, 0x6845, 0x6826, 0x7066, 0x7866, 0x7887, 0x7888, 0x7889, 0x808A, 0x808A, 0x808A, 0x78AA, 0x70AA, 0x6889, 0x6889, 0x68A9, 
        0x60A9, 0x58A7, 0x4886, 0x3864, 0x2043, 0x1023, 0x1023, 0x1024, 0x1845, 0x2065, 0x2085, 0x20A5, 0x28A6, 0x30C8, 0x40E9, 0x490A, 0x494B, 0x496B, 0x496C, 0x518D, 0x59AE, 0x59AE, 0x518D, 0x310B, 0x28CA, 0x30AA, 0x388A, 0x388A, 0x38A9, 0x3888, 
        0x3888, 0x3869, 0x3869, 0x388A, 0x38A9, 0x38C5, 0x38C4, 0x38A6, 0x30A8, 0x28A9, 0x2889, 0x4048, 0x4869, 0x48CA, 0x48CA, 0x40A8, 0x4087, 0x616B, 0x61AC, 0x5169, 0x4106, 0x38A4, 0x40A4, 0x61C9, 0x7AAC, 0x8B4E, 0x9BCF, 0x9C30, 0xB512, 0xE71B, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFF7C, 0xF71A, 0xF6B7, 0xFEF7, 0xFF18, 0xFF3B, 0xFF7C, 0xFF9D, 0xF75B, 0xE656, 
        0xE635, 0xEF18, 0xEF5A, 0xE6FA, 0xB575, 0x52A9, 0x4A65, 0x948B, 0xC5F0, 0xCE32, 0xA510, 0x5245, 0x3982, 0x5A85, 0x7B68, 0x8BCA, 0x93EB, 0x93EB, 0x93EB, 0x93CB, 0x93CB, 0x93CB, 0x938B, 0x6AA8, 0x6248, 0x72CA, 0x834C, 0x938D, 0x9C2F, 0xC4D1, 
        0xCD12, 0xCD13, 0xC533, 0xCD54, 0xCD54, 0xC573, 0xBD52, 0xBD12, 0xB4D0, 0xACAE, 0xA4AD, 0xB532, 0xC595, 0xCD96, 0xB4B2, 0x8B2D, 0x58C7, 0x988A, 0xB0CD, 0xA0CC, 0xA0AD, 0xA06E, 0xA06F, 0x80CA, 0x7968, 0x8A8A, 0x938A, 0x9429, 0x8487, 0x8449, 
        0x8C0A, 0x9BEB, 0xA38B, 0x92EA, 0x79E7, 0x60E4, 0x58A4, 0x6104, 0x79E6, 0x9309, 0xBD4E, 0xDEAF, 0xD66F, 0x9C6C, 0x62A9, 0x51E7, 0x5145, 0x5084, 0x5844, 0x6026, 0x6828, 0x7028, 0x7849, 0x804B, 0x884B, 0x886A, 0x8869, 0x8048, 0x7028,
  0x92B6, 0x92B6, 0x92D6, 0x92D6, 0x92D7, 0x92D7, 0x92F6, 0x92F6, 0x9AD6, 0x9AD6, 0x9AD6, 0x92D7, 0x92D7, 0x92D7, 0x9AF7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AF7, 0x9B17, 0x9B17, 0x9AF7, 0x9AF7, 0x9B17, 0x9B18, 0x9B18, 0x9B18, 0x9AF8, 0x9AF7, 0x9AF7, 0x9B17, 
        0xA338, 0xAB78, 0xB398, 0xB397, 0xB3B6, 0xBBD4, 0xC3F3, 0xC413, 0xCC33, 0xD453, 0xDC93, 0xE4D4, 0xE4F5, 0xED14, 0xED14, 0xED13, 0xDCD3, 0xBC72, 0xB451, 0xB450, 0xB42F, 0xABEE, 0x9BAD, 0x938C, 0x9B8D, 0xB3EF, 0xC450, 0xD491, 0xDCF2, 0xED32, 
        0xED32, 0xED12, 0xED12, 0xED12, 0xED12, 0xE4CF, 0xDC8E, 0xD46E, 0xCC4D, 0xCC2D, 0xCC2D, 0xCC2D, 0xD44D, 0xD44D, 0xD46D, 0xD46D, 0xD44D, 0xCC2D, 0xCC0D, 0xCC2D, 0xCC4D, 0xCC6D, 0xD48F, 0xE4F1, 0xED32, 0xED12, 0xED12, 0xED12, 0xED32, 0xED33, 
        0xED13, 0xED13, 0xF513, 0xF513, 0xED13, 0xED33, 0xED33, 0xED13, 0xED12, 0xECF2, 0xECD2, 0xE4B1, 0xE4B1, 0xDC91, 0xDC91, 0xE471, 0xE451, 0xDC51, 0xD450, 0xD44F, 0xD42F, 0xD44F, 0xCC2F, 0xD3EF, 0xD3CE, 0xCBCE, 0xC3CE, 0xC3CD, 0xBBAC, 0xB38D, 
        0xAB8D, 0xAB8C, 0xABAC, 0xABAC, 0xB38C, 0xAB4B, 0xAB2B, 0xAB4B, 0xAB4A, 0xAB2A, 0xAB2A, 0xAB2A, 0xAB4A, 0xAB2A, 0xAB2A, 0xAB2A, 0xAB2A, 0xA2EA, 0xA2E9, 0xA2C8, 0x9AA7, 0x9A86, 0x9266, 0x8246, 0x8267, 0x82A8, 0x8AE8, 0x9309, 0x9B49, 0xAB89, 
        0xB389, 0xB38A, 0xB38A, 0xB389, 0xA328, 0x82A6, 0x6A45, 0x51A4, 0x3103, 0x28A2, 0x2061, 0x20A3, 0x28E4, 0x3104, 0x3125, 0x3145, 0x4185, 0x6285, 0x72E7, 0x7AEB, 0x8AEF, 0x9311, 0xA394, 0xB49B, 0xC49E, 0xDB7C, 0xF259, 0xF9D7, 0xF975, 0xF994, 
        0xF1B4, 0xF193, 0xF194, 0xF174, 0xF194, 0xF1B5, 0xF9B6, 0xF9D7, 0xF9D7, 0xF9D8, 0xF9B8, 0xF9D8, 0xF9D8, 0xF9B7, 0xF997, 0xF9B7, 0xF9F8, 0xFA5A, 0xFA7B, 0xFA3A, 0xFA19, 0xFA19, 0xFA19, 0xFA19, 0xFA19, 0xFA39, 0xFA19, 0xF1F8, 0xF1B8, 0xFA1B, 
        0xFA3C, 0xFA3C, 0xFA5C, 0xFA5C, 0xFA5B, 0xFA3A, 0xFA1A, 0xFA3A, 0xFA1B, 0xFA1B, 0xF9FA, 0xF9F8, 0xF9D6, 0xF173, 0xF131, 0xF111, 0xE0CE, 0xB869, 0xA847, 0xA847, 0xA847, 0xA046, 0x9866, 0x98A6, 0x98C7, 0x98E6, 0x98E6, 0x9906, 0xA127, 0xA169, 
        0x99A9, 0x9987, 0x9986, 0xA186, 0xA186, 0x9986, 0x99A6, 0xA1A7, 0xA1A8, 0xA1C8, 0xA1E9, 0xAA29, 0xAA29, 0x99E7, 0x91C6, 0x91A6, 0x8986, 0x7946, 0x7105, 0x60A3, 0x5062, 0x5041, 0x4841, 0x4841, 0x4841, 0x4042, 0x4022, 0x4822, 0x4822, 0x4843, 
        0x4844, 0x4824, 0x5023, 0x5023, 0x5843, 0x5865, 0x5866, 0x6045, 0x6045, 0x6865, 0x6865, 0x6845, 0x6845, 0x7045, 0x7066, 0x7067, 0x7067, 0x6846, 0x6846, 0x7068, 0x7869, 0x7869, 0x8068, 0x8069, 0x786A, 0x7889, 0x7088, 0x7888, 0x8088, 0x7848, 
        0x7848, 0x7069, 0x6889, 0x6088, 0x5086, 0x4045, 0x4044, 0x3845, 0x3045, 0x3045, 0x2844, 0x1845, 0x1865, 0x2086, 0x28C6, 0x28C7, 0x28E8, 0x416A, 0x498B, 0x496B, 0x414B, 0x412A, 0x38EA, 0x2888, 0x2868, 0x386A, 0x488B, 0x588B, 0x60AA, 0x60A8, 
        0x60A8, 0x5068, 0x4048, 0x4048, 0x3867, 0x3044, 0x3043, 0x2845, 0x2066, 0x2067, 0x2868, 0x3066, 0x3066, 0x30A8, 0x38C9, 0x38C9, 0x38A8, 0x30A8, 0x38C8, 0x48E8, 0x48E7, 0x38C6, 0x30A6, 0x59AE, 0x7A52, 0x8AF4, 0x9373, 0x93D2, 0x9CD1, 0xDEFA, 
        0xFFBE, 0xFF9F, 0xFF7F, 0xFF7F, 0xFF9F, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBF, 0xFF9F, 0xFF5D, 0xFF1B, 0xF6FA, 0xF6D9, 0xFF3A, 0xFF5B, 0xFF5A, 0xF71A, 0xF71B, 0xF6FA, 0xF6B6, 
        0xEED6, 0xDEB7, 0xBDB5, 0x9450, 0x62A8, 0x7BEB, 0x9CED, 0xB5AF, 0xC610, 0xBDCF, 0x9C8C, 0x49C5, 0x3923, 0x6A88, 0x8B8B, 0x93CB, 0x93AA, 0x938A, 0x93AA, 0xA40B, 0xB46C, 0xB46D, 0xB42D, 0x934A, 0x82C8, 0x7287, 0x7AA7, 0x8B09, 0xA3CD, 0xBC71, 
        0xBCB2, 0xBCD2, 0xC4F2, 0xC513, 0xC554, 0xC554, 0xC554, 0xBD31, 0xB4EF, 0xACCD, 0x9CAD, 0xA4F1, 0xAD12, 0xACF0, 0x93EC, 0x72A8, 0x58C6, 0x988B, 0xB8AD, 0xA0CC, 0x90CA, 0x88C9, 0x88A9, 0x98EA, 0xA14C, 0xB1EE, 0xBA70, 0xC2B1, 0xB350, 0x9427, 
        0x7C63, 0x7444, 0x73E6, 0x7B87, 0x8AE8, 0x8224, 0x81E3, 0x8A26, 0x9AA9, 0xA32B, 0xB40D, 0xB4AC, 0x9C29, 0x6A66, 0x5104, 0x5085, 0x6868, 0x88AA, 0x88AB, 0x7889, 0x7868, 0x8068, 0x8869, 0x806A, 0x786A, 0x7869, 0x8049, 0x7849, 0x7848,
  0x92D6, 0x92D6, 0x92D6, 0x92B6, 0x92B6, 0x92B6, 0x92D6, 0x92D6, 0x92D7, 0x9AD7, 0x92D7, 0x92D7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AF7, 0x92F7, 0x92F7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF6, 0x9AF6, 0x9AF7, 0x9AF8, 0x9B18, 0x9B18, 0xA318, 0xA318, 0xA2F8, 0x9B18, 
        0x9B18, 0xA359, 0xA359, 0xAB78, 0xB377, 0xBBD6, 0xC3F5, 0xCC35, 0xD474, 0xDC94, 0xE4D4, 0xED14, 0xED34, 0xED14, 0xE4F4, 0xE4F4, 0xDCD3, 0xBC72, 0xAC10, 0x9B4C, 0x82C9, 0x7268, 0x5A26, 0x6A88, 0x7AEA, 0x9B8C, 0xB42E, 0xC470, 0xDCD2, 0xE512, 
        0xE512, 0xE512, 0xE512, 0xE512, 0xE4F2, 0xDCAF, 0xD48D, 0xCC4D, 0xCC2D, 0xCC2C, 0xCC0C, 0xCC2C, 0xCC4C, 0xCC4D, 0xCC6D, 0xCC6D, 0xCC4D, 0xCC2D, 0xCC4D, 0xCC6D, 0xD48E, 0xD48F, 0xDCB1, 0xDD12, 0xDD32, 0xDD31, 0xE512, 0xE512, 0xE512, 0xE512, 
        0xE512, 0xE512, 0xE512, 0xE512, 0xE512, 0xDCF2, 0xDCF2, 0xE4F2, 0xECF2, 0xECF2, 0xE4D1, 0xE4B2, 0xE4B2, 0xDCB1, 0xDCB1, 0xE491, 0xE471, 0xD450, 0xCC4F, 0xD44F, 0xD44F, 0xD44F, 0xD42F, 0xCC0E, 0xCC0E, 0xCBEE, 0xC3CE, 0xC3CE, 0xBBCD, 0xBB8C, 
        0xBB8C, 0xBB8C, 0xB38C, 0xB38C, 0xB36C, 0xAB6B, 0xAB4B, 0xAB4A, 0xAB4A, 0xAB2A, 0xAB0A, 0xAB2A, 0xAB4A, 0xAB2A, 0xAB2A, 0xAB2A, 0xA329, 0xA2E8, 0x9AC8, 0x9AC7, 0x9AA7, 0x9287, 0x8A67, 0x8A46, 0x8A66, 0x8AA8, 0x92E9, 0x9B09, 0xAB49, 0xB389, 
        0xB3A9, 0xB3CA, 0xB3A9, 0xB369, 0x9AC6, 0x6A03, 0x4982, 0x3942, 0x30E2, 0x28C2, 0x28A2, 0x3125, 0x4187, 0x49A7, 0x49C7, 0x49C8, 0x51E8, 0x6269, 0x72A9, 0x82EA, 0x930C, 0x932D, 0x9BD2, 0xB4F9, 0xC4DB, 0xDB3B, 0xF219, 0xF9B8, 0xF996, 0xF994, 
        0xF194, 0xF194, 0xF194, 0xF995, 0xF9B6, 0xF195, 0xF195, 0xF9B6, 0xF9D7, 0xF9D8, 0xF9B8, 0xF1B8, 0xF197, 0xF197, 0xF9B8, 0xF9F9, 0xFA3A, 0xF218, 0xF1F8, 0xF9F8, 0xFA18, 0xFA18, 0xF219, 0xF219, 0xF219, 0xF1D8, 0xF1B7, 0xF1B7, 0xF1D7, 0xFA3A, 
        0xFA5B, 0xFA3B, 0xF23A, 0xF23A, 0xF23B, 0xF25B, 0xF25B, 0xFA3B, 0xFA1B, 0xF9FB, 0xFA1B, 0xFA5A, 0xFA59, 0xF1F7, 0xF195, 0xF154, 0xE8F2, 0xC88C, 0xB86A, 0xB82A, 0xB029, 0xA828, 0xA026, 0x9024, 0x9023, 0x9043, 0x9084, 0x9084, 0x90A5, 0x90E5, 
        0x8905, 0x9106, 0x9906, 0x9906, 0x9905, 0x8945, 0x8966, 0x8946, 0x8946, 0x8946, 0x7926, 0x70E4, 0x68C4, 0x60A3, 0x5883, 0x5082, 0x4862, 0x4041, 0x4041, 0x4021, 0x4802, 0x4802, 0x5022, 0x4842, 0x4042, 0x4042, 0x4843, 0x4822, 0x4823, 0x5024, 
        0x5024, 0x4844, 0x5044, 0x5844, 0x6024, 0x5024, 0x5045, 0x5845, 0x6025, 0x6025, 0x6025, 0x6045, 0x6045, 0x6845, 0x6846, 0x6846, 0x6866, 0x6046, 0x6046, 0x6046, 0x6027, 0x6027, 0x6026, 0x6847, 0x6847, 0x6025, 0x6025, 0x6025, 0x6845, 0x6825, 
        0x6826, 0x6847, 0x6847, 0x6847, 0x6046, 0x6087, 0x60A7, 0x60A7, 0x5887, 0x5087, 0x4086, 0x3866, 0x3065, 0x2865, 0x2885, 0x28A6, 0x30E8, 0x4149, 0x4149, 0x3108, 0x28E9, 0x30E9, 0x40CA, 0x50C9, 0x60C9, 0x70EB, 0x810D, 0x88ED, 0x88AC, 0x8069, 
        0x8068, 0x80A9, 0x88CA, 0x890B, 0x812C, 0x710A, 0x60C9, 0x4867, 0x3045, 0x2845, 0x2044, 0x2023, 0x2023, 0x2024, 0x2045, 0x2865, 0x2886, 0x2887, 0x28A7, 0x30E7, 0x3909, 0x412A, 0x492D, 0x40CC, 0x308A, 0x30E8, 0x4A2A, 0x7BCF, 0xD699, 0xF79D, 
        0xFF9D, 0xFF5D, 0xFF3D, 0xFF3D, 0xFF5E, 0xF79E, 0xF7BE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFDF, 0xFFDE, 0xFFFE, 0xFFFF, 0xFFDF, 0xFFBF, 0xFF7E, 0xFF3D, 0xF6DA, 0xF6D9, 0xF71A, 0xFF7B, 0xFF3A, 0xFEF9, 0xF6B8, 0xEE76, 0xEE55, 0xEE96, 0xF75B, 
        0xDED9, 0x944E, 0x5A86, 0x5244, 0x6B05, 0x9CEC, 0xB5CF, 0xC5F0, 0xBD6F, 0xA4CD, 0x7B68, 0x5A25, 0x5A05, 0x82C7, 0x9349, 0x9369, 0x8B49, 0x9B8A, 0xA3AA, 0xABCA, 0xABAB, 0xA3AB, 0xA38B, 0xA3CC, 0xABEC, 0xA3AC, 0x9B6B, 0x934A, 0x932A, 0xABCE, 
        0xBC30, 0xBC71, 0xC4B2, 0xC4B2, 0xC4D3, 0xBCF2, 0xBD11, 0xBD31, 0xBD31, 0xB531, 0xAD0F, 0xB52E, 0xACED, 0x940B, 0x7308, 0x6266, 0x6166, 0xA08D, 0xB850, 0xA8AD, 0x98CB, 0x90EA, 0x90CA, 0x88EB, 0x894B, 0x922B, 0xA2EB, 0xB38D, 0xBC4D, 0x94A8, 
        0x8485, 0x7C24, 0x8404, 0x93E6, 0x9BA8, 0x8286, 0x71C5, 0x7966, 0x8A08, 0xA32A, 0xBCED, 0x9C2B, 0x8329, 0x6986, 0x5885, 0x6025, 0x7027, 0x704A, 0x786A, 0x806A, 0x8889, 0x8889, 0x8889, 0x80AA, 0x80AA, 0x888A, 0x886A, 0x8049, 0x7848,
  0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x92D6, 0x9AD6, 0x92F6, 0x92F6, 0x9AF7, 0x9AF7, 0x9AD7, 0x9AD7, 0x92F6, 0x92F6, 0x92F7, 0x92F7, 0x92F7, 0x9AF7, 0x9AF7, 0x9AF8, 0x9B17, 0x9B17, 0x9AF7, 0x9AF7, 0x9AF7, 0x9B17, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA337, 
        0xAB57, 0xAB78, 0xB398, 0xB397, 0xBBB6, 0xC3D5, 0xC3F4, 0xCC34, 0xD474, 0xDC74, 0xE4B4, 0xECF3, 0xED13, 0xED14, 0xE4F4, 0xE4F4, 0xDCF4, 0xD4B2, 0xC471, 0xABEE, 0x8B4C, 0x7AEA, 0x6A68, 0x6A47, 0x6A67, 0x8309, 0x9BAC, 0xB40D, 0xCC90, 0xE4D2, 
        0xE4F2, 0xED13, 0xED13, 0xE4F3, 0xE4D2, 0xE4AF, 0xDCAE, 0xDC6E, 0xCC4D, 0xCC2D, 0xC42D, 0xCC2C, 0xCC4D, 0xCC4D, 0xD46D, 0xD46E, 0xDC4E, 0xD46F, 0xCC6F, 0xD48F, 0xD4B0, 0xDCB0, 0xE4D2, 0xE512, 0xE532, 0xE512, 0xE512, 0xE512, 0xE512, 0xE4F2, 
        0xE4F2, 0xE4F2, 0xE4F2, 0xE4F2, 0xED13, 0xED12, 0xED12, 0xE4F2, 0xE4F2, 0xECF2, 0xECD1, 0xE4B1, 0xE4B1, 0xE4B1, 0xE4B1, 0xE4B1, 0xDC90, 0xD44F, 0xD44E, 0xDC4F, 0xDC50, 0xDC50, 0xD44F, 0xD42F, 0xD42F, 0xCC2F, 0xCC0E, 0xC3EE, 0xBBCD, 0xBBCE, 
        0xBBCD, 0xBBAD, 0xBB8D, 0xBB8C, 0xB38C, 0xB38B, 0xAB8B, 0xAB6B, 0xAB4B, 0xAB4B, 0xAB4B, 0xAB4A, 0xAB4A, 0xA32A, 0xA32A, 0xA32A, 0xA32A, 0xA329, 0xA308, 0x9AE8, 0x92C8, 0x92A7, 0x8AA6, 0x8286, 0x8286, 0x8AA7, 0x92E9, 0x9B09, 0xA369, 0xB38A, 
        0xB3AA, 0xB3AA, 0xABAA, 0xABAA, 0xA349, 0x7245, 0x59A4, 0x4163, 0x3103, 0x20E3, 0x20E3, 0x4125, 0x5166, 0x51A7, 0x51E7, 0x5208, 0x5249, 0x6AAA, 0x7AEB, 0x8B2C, 0x934E, 0x936E, 0x93F1, 0xBCF8, 0xD4BA, 0xEB1A, 0xF1F9, 0xF9B8, 0xF9B6, 0xF9B4, 
        0xF9B4, 0xF9B5, 0xF9B5, 0xF9B6, 0xF9B6, 0xF9D6, 0xF9F6, 0xF9D7, 0xF9D8, 0xF9D8, 0xF1B7, 0xF977, 0xF977, 0xF9B7, 0xFA18, 0xFA59, 0xFA79, 0xF196, 0xF155, 0xF996, 0xF9F8, 0xFA39, 0xFA5A, 0xFA39, 0xF217, 0xF1B6, 0xF196, 0xF176, 0xF996, 0xFA18, 
        0xFA3A, 0xFA3A, 0xFA3A, 0xFA3A, 0xFA3B, 0xF29C, 0xF29D, 0xF25C, 0xF9FB, 0xF9B9, 0xF998, 0xF9FA, 0xFA5A, 0xFA7A, 0xFA7A, 0xFA59, 0xF1F6, 0xE951, 0xE10F, 0xD8AC, 0xC86B, 0xB84A, 0xA828, 0xA046, 0x9824, 0x9023, 0x8822, 0x8842, 0x8862, 0x8084, 
        0x8084, 0x8065, 0x8845, 0x8844, 0x8063, 0x7043, 0x6843, 0x6842, 0x6842, 0x6042, 0x6042, 0x6042, 0x6042, 0x5022, 0x4822, 0x4822, 0x4822, 0x5863, 0x5863, 0x5863, 0x5844, 0x5844, 0x5844, 0x5863, 0x5863, 0x5864, 0x5044, 0x5823, 0x5823, 0x6044, 
        0x6064, 0x5885, 0x5885, 0x6065, 0x6045, 0x6845, 0x6845, 0x6025, 0x6825, 0x6825, 0x6845, 0x5845, 0x5844, 0x6025, 0x6025, 0x6825, 0x6025, 0x5845, 0x5045, 0x5824, 0x5824, 0x5824, 0x5804, 0x5024, 0x5023, 0x5024, 0x5004, 0x5024, 0x5024, 0x5824, 
        0x6024, 0x6045, 0x6826, 0x6826, 0x6847, 0x7047, 0x7046, 0x6825, 0x6025, 0x6025, 0x5845, 0x5888, 0x58C9, 0x50C8, 0x50C8, 0x48A8, 0x48C8, 0x40E8, 0x3908, 0x4109, 0x4109, 0x48E9, 0x50A9, 0x708A, 0x808B, 0x90AB, 0x988C, 0x988B, 0x906B, 0x98EC, 
        0x98EB, 0x90AA, 0x90AA, 0x90CB, 0x992D, 0xA9D0, 0xA9F0, 0xA18F, 0x914E, 0x914D, 0x792C, 0x50C8, 0x4086, 0x3865, 0x3865, 0x3044, 0x2844, 0x2045, 0x1845, 0x2086, 0x30C7, 0x4109, 0x492A, 0x2064, 0x1042, 0x2925, 0x5A8A, 0x9451, 0xE6FA, 0xFF39, 
        0xFF19, 0xFF1B, 0xFF1C, 0xFEFC, 0xF6FC, 0xFF1D, 0xFF3D, 0xFF5E, 0xFF9E, 0xFFBE, 0xFFBE, 0xFFDF, 0xFFDF, 0xFFBF, 0xFF9E, 0xFF9E, 0xFF5D, 0xFF1B, 0xFEFB, 0xF6FB, 0xF71B, 0xF73C, 0xF77C, 0xFF7B, 0xFF5A, 0xF6F9, 0xF6B8, 0xF696, 0xEE96, 0xDEB9, 
        0xB5B6, 0x6B2B, 0x4A26, 0x5AC6, 0x948B, 0x9CCB, 0x9D0C, 0xBDB0, 0xC5D0, 0xB52E, 0x8369, 0x4963, 0x40E2, 0x61C4, 0x8287, 0x8AA8, 0x92C9, 0x932A, 0x934A, 0x932A, 0x932A, 0x9B4A, 0x9B4B, 0xA36C, 0xA38C, 0xAB8D, 0xABCD, 0xB3EE, 0xAC0D, 0xA36C, 
        0xA32B, 0xA36C, 0xABCD, 0xB3EE, 0xB40F, 0x9BAD, 0x93AC, 0xAC0E, 0xBCB0, 0xC511, 0xC552, 0xAC6F, 0x9BCD, 0x834A, 0x72C8, 0x6A87, 0x71E7, 0xA0CC, 0xB06E, 0xA88E, 0xA8CE, 0xA0CE, 0xA0ED, 0x90EC, 0x910C, 0x912C, 0x998C, 0xA20D, 0xB30D, 0xBC4F, 
        0xB48E, 0xA44A, 0x9C07, 0x9406, 0x8C05, 0x9403, 0x93A3, 0x8284, 0x81C6, 0x81C9, 0x9AAC, 0xC530, 0xC54E, 0x8328, 0x6165, 0x58A4, 0x6827, 0x8029, 0x884A, 0x804A, 0x786A, 0x786A, 0x786A, 0x806A, 0x808B, 0x888B, 0x808B, 0x806A, 0x7849,
  0x9AF7, 0x9AD6, 0x92D6, 0x92D6, 0x92D6, 0x9AF7, 0x9AF6, 0x9AF6, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AD6, 0x92D6, 0x92F6, 0x9AF7, 0x9B17, 0x9B18, 0x9AF8, 0x9AF8, 0x9AF8, 0x9B17, 0x9B17, 0x9AF7, 0x9AF7, 0x9B17, 0x9B17, 0x9B17, 0x9B18, 0xA2F8, 0xA318, 0xAB78, 
        0xB398, 0xB397, 0xB3B6, 0xB3B6, 0xB3B5, 0xBBD5, 0xC3F4, 0xCC14, 0xD434, 0xD454, 0xDC94, 0xECF5, 0xF515, 0xECF5, 0xECF6, 0xECF5, 0xE4F5, 0xDCF4, 0xD4B3, 0xBC71, 0xB430, 0xAC0F, 0xABCE, 0x8AEA, 0x82A9, 0x8B0A, 0x934B, 0x9B6B, 0xABCD, 0xC491, 
        0xD4D2, 0xD4D2, 0xDCD1, 0xDCD1, 0xDCB1, 0xDC8F, 0xD46E, 0xCC4D, 0xC42D, 0xC40D, 0xBC2D, 0xBC4D, 0xC44E, 0xCC4E, 0xD44E, 0xD46E, 0xD48F, 0xDC8F, 0xDC90, 0xDCB1, 0xDCD1, 0xDCF1, 0xE511, 0xE512, 0xE532, 0xE532, 0xE532, 0xE512, 0xE4F2, 0xDCF2, 
        0xDCF2, 0xDCF2, 0xE4F2, 0xE512, 0xE512, 0xDD12, 0xE4F2, 0xE4F2, 0xECD2, 0xE4D1, 0xE4D1, 0xE4B1, 0xE4B0, 0xE4B0, 0xE4B0, 0xE490, 0xDC8F, 0xD46F, 0xD470, 0xDC70, 0xDC70, 0xDC50, 0xD44F, 0xD46F, 0xD44F, 0xD44E, 0xD42E, 0xD42E, 0xD40E, 0xC3EE, 
        0xBBEE, 0xBBCD, 0xBBCD, 0xBBCD, 0xBBAC, 0xB38B, 0xB38B, 0xB36B, 0xAB6B, 0xAB6B, 0xAB4B, 0xAB4A, 0xAB4A, 0xAB2A, 0xA32A, 0xA34A, 0xA349, 0x9B09, 0x9AE8, 0x9AC8, 0x9AA7, 0x92A7, 0x9286, 0x92A8, 0x8AA8, 0x8AA8, 0x8AE8, 0x9308, 0x9B69, 0xB3EB, 
        0xBBEC, 0xB3AB, 0xB3AB, 0xB3AA, 0xA369, 0x7204, 0x5142, 0x40E2, 0x30C2, 0x30E3, 0x3945, 0x4987, 0x51A8, 0x5A09, 0x6249, 0x6269, 0x6289, 0x62AA, 0x72EB, 0x8B8D, 0x9BEF, 0xA40F, 0xA431, 0xACD6, 0xBC99, 0xDAF9, 0xF1D9, 0xF998, 0xF9B6, 0xF9B4, 
        0xF1B4, 0xF195, 0xF195, 0xF175, 0xF175, 0xF9D7, 0xF9F8, 0xF9D8, 0xF1B7, 0xF196, 0xF156, 0xF176, 0xF9B7, 0xFA19, 0xFA7A, 0xFA7A, 0xFA38, 0xF956, 0xF115, 0xF196, 0xF9F7, 0xFA38, 0xFA59, 0xFA38, 0xF217, 0xF1B6, 0xF196, 0xF175, 0xF175, 0xF996, 
        0xF9B7, 0xF9D8, 0xF9D9, 0xF9D9, 0xF9FA, 0xFA5B, 0xFA7C, 0xFA5B, 0xF1FA, 0xF199, 0xE937, 0xF178, 0xF9DA, 0xFA3C, 0xFA7C, 0xFA7C, 0xFA3A, 0xF1F7, 0xF1B5, 0xE952, 0xE0EF, 0xD8CE, 0xD08C, 0xB84A, 0xA828, 0xA026, 0x9825, 0x9024, 0x9024, 0x8825, 
        0x8025, 0x8025, 0x8045, 0x8025, 0x7824, 0x7824, 0x7845, 0x7845, 0x8045, 0x8045, 0x7844, 0x7844, 0x7845, 0x7045, 0x7065, 0x7065, 0x7065, 0x7844, 0x7844, 0x7844, 0x7844, 0x7844, 0x7044, 0x7045, 0x7865, 0x7045, 0x7065, 0x7865, 0x7866, 0x7047, 
        0x7047, 0x7066, 0x7066, 0x7866, 0x7866, 0x7866, 0x7866, 0x7866, 0x7867, 0x7867, 0x7087, 0x7046, 0x6825, 0x7045, 0x7045, 0x7045, 0x7045, 0x6845, 0x6825, 0x6045, 0x6845, 0x6845, 0x6045, 0x6045, 0x6065, 0x6064, 0x6065, 0x6065, 0x6066, 0x6045, 
        0x6045, 0x6025, 0x6825, 0x6825, 0x7026, 0x7088, 0x7089, 0x6868, 0x6848, 0x6847, 0x6827, 0x6045, 0x6045, 0x6046, 0x6047, 0x6047, 0x6067, 0x4848, 0x4848, 0x5088, 0x6088, 0x6888, 0x6868, 0x7028, 0x7829, 0x884A, 0x884A, 0x8849, 0x7829, 0x908C, 
        0x98ED, 0xA14D, 0x994B, 0x8909, 0x78A8, 0x910B, 0x996D, 0xA98F, 0xB1B2, 0xB1B3, 0xB9D4, 0xCA33, 0xCA32, 0xB1F1, 0xA9B1, 0xA191, 0x9130, 0x68CD, 0x58AB, 0x4909, 0x3907, 0x28C6, 0x1864, 0x2083, 0x41A7, 0x9492, 0xD679, 0xEF3B, 0xF77B, 0xFF3C, 
        0xFF3D, 0xF75C, 0xF77C, 0xFF7C, 0xFF5C, 0xFEFC, 0xFEFB, 0xFEFC, 0xFF1C, 0xFF1C, 0xFF3C, 0xFF3D, 0xFF3D, 0xFF3D, 0xFF1C, 0xFEFB, 0xF6DA, 0xF6D8, 0xF6F8, 0xF73A, 0xF6F9, 0xEE98, 0xE616, 0xEE97, 0xF6B7, 0xF6B6, 0xFED8, 0xFF19, 0xD678, 0x5ACB, 
        0x3165, 0x4204, 0x6B26, 0x9409, 0xB54E, 0xAD4F, 0xB590, 0xC5F1, 0xB50F, 0x8BAB, 0x4164, 0x48E2, 0x6123, 0x71A5, 0x7A08, 0x8249, 0x92AA, 0x9B0A, 0x9B0A, 0x92EA, 0x92EA, 0x92EA, 0x9B0B, 0xA36C, 0xA38D, 0xAB6D, 0xA34D, 0xA30C, 0x9B0B, 0xB38C, 
        0xB3AD, 0xABAC, 0xA38C, 0xA36D, 0xA36D, 0xABAD, 0xB3ED, 0xAC0E, 0xAC4F, 0xB44F, 0xAC2F, 0x934B, 0x830A, 0x8309, 0x7B08, 0x7AE7, 0x7A66, 0x896A, 0x90EC, 0x90EC, 0x90CC, 0x98CD, 0xA0AE, 0xA8AF, 0xA8AF, 0xA88D, 0xA0CB, 0x9949, 0x92C9, 0xAD0C, 
        0xB5AC, 0xA4E9, 0x9465, 0x9C44, 0x9C43, 0x9C05, 0x9B87, 0x8A69, 0x81A9, 0x8188, 0x8A68, 0xB54D, 0xB5AE, 0x936B, 0x7189, 0x70A8, 0x7849, 0x906B, 0x908B, 0x808B, 0x788A, 0x786A, 0x786B, 0x784B, 0x804B, 0x806B, 0x806B, 0x806A, 0x786A,
  0x92D7, 0x92D7, 0x92D6, 0x92B6, 0x92B6, 0x92D6, 0x92D7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9B18, 0x9B18, 0xA318, 0xA318, 0xA338, 0xA358, 0xAB58, 
        0xB378, 0xB396, 0xB3B6, 0xB3B5, 0xB3B5, 0xB3D5, 0xB3D5, 0xBBB4, 0xBBD3, 0xC3F3, 0xCC54, 0xDCB4, 0xE4F4, 0xE4F5, 0xECF6, 0xE4F5, 0xE4D4, 0xD4B4, 0xCC94, 0xC472, 0xB450, 0xB42F, 0xABCE, 0x932B, 0x92E9, 0x8AE9, 0x8AE9, 0x8AE9, 0x9B2A, 0xB3ED, 
        0xBC2E, 0xC44F, 0xCC6F, 0xCC6F, 0xD48F, 0xCC8F, 0xC46E, 0xC44E, 0xC44D, 0xC44D, 0xC44D, 0xCC8E, 0xCC8E, 0xD48E, 0xDC8F, 0xD48F, 0xD4B0, 0xDCD0, 0xDCD0, 0xDCF1, 0xE4F2, 0xE512, 0xE531, 0xED32, 0xED33, 0xE512, 0xE512, 0xE512, 0xE4F2, 0xE4F2, 
        0xDCD2, 0xDCD2, 0xDCD2, 0xD4D1, 0xDCB1, 0xDCB1, 0xDCB1, 0xDCB1, 0xDCB1, 0xDCD1, 0xDCD0, 0xDCD1, 0xDCD1, 0xDCB0, 0xDCB1, 0xDC91, 0xDC70, 0xD46F, 0xCC6F, 0xD470, 0xD470, 0xD470, 0xD46F, 0xD46F, 0xD46F, 0xD46F, 0xD44E, 0xD44E, 0xCC2E, 0xC40D, 
        0xC40D, 0xC3ED, 0xC3AD, 0xBBAC, 0xBB8C, 0xB38B, 0xB38B, 0xAB8B, 0xAB6A, 0xAB6B, 0xB34B, 0xAB4A, 0xAB49, 0xAB29, 0xAB4A, 0xAB4A, 0xA349, 0x92E8, 0x92A7, 0x92A7, 0x92A6, 0x9285, 0x9286, 0x9288, 0x92A9, 0x92A8, 0x92C8, 0x92E8, 0xA369, 0xB42C, 
        0xC46C, 0xC42B, 0xBBEA, 0xB3CA, 0xA349, 0x7A65, 0x61E4, 0x5184, 0x4164, 0x4165, 0x49E8, 0x6289, 0x6ACA, 0x6ACB, 0x6AAB, 0x6A8B, 0x628B, 0x72AB, 0x830C, 0x9BCE, 0xAC4F, 0xA490, 0x9CB2, 0xA4D6, 0xBC58, 0xDAB9, 0xF199, 0xF978, 0xF996, 0xF194, 
        0xF193, 0xF1B5, 0xF1B5, 0xF195, 0xF175, 0xF9B6, 0xF9D7, 0xF9D7, 0xF1B7, 0xF196, 0xF196, 0xF9F8, 0xFA39, 0xFA7A, 0xFA79, 0xFA58, 0xF9F6, 0xF176, 0xF156, 0xF176, 0xF1B7, 0xF1D7, 0xF217, 0xF218, 0xF218, 0xF1B7, 0xF196, 0xF176, 0xF176, 0xF196, 
        0xF196, 0xF196, 0xF196, 0xF196, 0xF1B7, 0xFA1B, 0xFA3C, 0xF21B, 0xF1B8, 0xE957, 0xE0F5, 0xF177, 0xF9F9, 0xFA5C, 0xFA7D, 0xFA5D, 0xFA3C, 0xFA3A, 0xFA18, 0xF1B5, 0xE952, 0xE910, 0xD8AE, 0xC08B, 0xB869, 0xA868, 0x9846, 0x9825, 0x9824, 0x9024, 
        0x9045, 0x8866, 0x8866, 0x8866, 0x8846, 0x8866, 0x8866, 0x8847, 0x8847, 0x8846, 0x8846, 0x8866, 0x8866, 0x8846, 0x8046, 0x8046, 0x7866, 0x8067, 0x8068, 0x8046, 0x8025, 0x8025, 0x8025, 0x8046, 0x8047, 0x8868, 0x9087, 0x8887, 0x8067, 0x7869, 
        0x7849, 0x8068, 0x8887, 0x8887, 0x8888, 0x8868, 0x8869, 0x8889, 0x8889, 0x8869, 0x8068, 0x8027, 0x8847, 0x8868, 0x88A9, 0x88A9, 0x8888, 0x90A9, 0x90A9, 0x8088, 0x7888, 0x7888, 0x7088, 0x80A8, 0x80A8, 0x8088, 0x8087, 0x8088, 0x7868, 0x7067, 
        0x6847, 0x6847, 0x6847, 0x6847, 0x6047, 0x6846, 0x7066, 0x78A9, 0x80EA, 0x810B, 0x80EA, 0x78A8, 0x7867, 0x7847, 0x7848, 0x7868, 0x8089, 0x686A, 0x6849, 0x6849, 0x7849, 0x8069, 0x88AA, 0x7849, 0x7849, 0x888A, 0x908A, 0x906A, 0x8029, 0x7829, 
        0x7849, 0x80AA, 0x910B, 0x912B, 0x910A, 0x7889, 0x7049, 0x808B, 0x88ED, 0x914F, 0xA191, 0xC151, 0xC951, 0xB992, 0xB9D3, 0xB9D4, 0xC1D5, 0xB9B3, 0xB1F2, 0x9251, 0x6A0D, 0x4168, 0x3105, 0x8AEE, 0xC495, 0xE67A, 0xFF7D, 0xFF9D, 0xFF5C, 0xFF3E, 
        0xFF5E, 0xF77C, 0xF77C, 0xF77C, 0xFF3C, 0xFEFA, 0xFED9, 0xF6D9, 0xF6B9, 0xF6B9, 0xF6B9, 0xF6D9, 0xF6D9, 0xF6D9, 0xF6B9, 0xF6B9, 0xF698, 0xF697, 0xEE77, 0xEE77, 0xE636, 0xDE15, 0xD5F4, 0xEE56, 0xF697, 0xF719, 0xF73A, 0xE719, 0xB594, 0x41E6, 
        0x2922, 0x6B07, 0xA4CC, 0xBD6E, 0xCDF0, 0xD632, 0xC5F2, 0x9CAD, 0x7328, 0x5205, 0x30E1, 0x4142, 0x59A4, 0x7205, 0x8A47, 0x9268, 0x9AA9, 0xA2CB, 0xA2EC, 0x9B0B, 0x9B0B, 0x9B0B, 0xA32C, 0xABAE, 0xABAE, 0xAB4D, 0xA32C, 0xA32D, 0xAB4D, 0xAB2C, 
        0xAB4B, 0xB38C, 0xB3AD, 0xAB8C, 0xA32B, 0xA34C, 0xAB6D, 0xB3ED, 0xB42E, 0xB42E, 0x9B8D, 0x5A07, 0x49A6, 0x7AA9, 0x9B6B, 0xA3AB, 0x8B49, 0x6264, 0x59E4, 0x7187, 0x892A, 0x90EC, 0x98AD, 0xA08D, 0xA08E, 0xA08F, 0xA110, 0xA9D0, 0xB34F, 0xBCAD, 
        0xB4EB, 0x9C86, 0x9463, 0x9C83, 0x9CC5, 0x8C45, 0x7364, 0x59C5, 0x6107, 0x8129, 0xB28E, 0xC50E, 0xAD4C, 0x7307, 0x5965, 0x58C6, 0x78A9, 0x908B, 0x988B, 0x906B, 0x886A, 0x888A, 0x888B, 0x888B, 0x886B, 0x886A, 0x804A, 0x806A, 0x786A,
  0x92D7, 0x92D7, 0x92D6, 0x92F6, 0x92F6, 0x92F6, 0x9AF7, 0x9AF8, 0x9AD7, 0x9AD7, 0x9AD7, 0x92D7, 0x9AF7, 0x9AF7, 0x92F7, 0x9AD8, 0x9AF8, 0x9B18, 0x9AF8, 0x9AF8, 0x9B17, 0x9B17, 0x9AF8, 0x9AF8, 0xA318, 0xA338, 0x9B18, 0x9B18, 0xA318, 0xA338, 0xAB77, 
        0xAB97, 0xB3B6, 0xB3D5, 0xB3D5, 0xB3D5, 0xB3D6, 0xB3B6, 0xB395, 0xB394, 0xB3B4, 0xBBD5, 0xCC34, 0xDC54, 0xDC95, 0xE4D5, 0xE4D5, 0xE4D4, 0xE4D5, 0xDCD4, 0xCC93, 0xBC71, 0xBC30, 0xABCE, 0x9B6C, 0x932B, 0x8B0A, 0x8AE9, 0x8AE9, 0x8B09, 0x9B6B, 
        0xABCC, 0xB42E, 0xBC6F, 0xC46F, 0xC490, 0xD490, 0xD490, 0xD490, 0xCC8F, 0xCC8F, 0xCC6F, 0xCC8F, 0xCC8F, 0xD490, 0xD490, 0xDC90, 0xDCB0, 0xDCF1, 0xDD11, 0xDD11, 0xE511, 0xE511, 0xE531, 0xED32, 0xED32, 0xE512, 0xE512, 0xE512, 0xE4F2, 0xE4D2, 
        0xE4D2, 0xDCF1, 0xDCD1, 0xDCD1, 0xD4B0, 0xD490, 0xD490, 0xDCB0, 0xDCD0, 0xDCD1, 0xDCB1, 0xDCB0, 0xDCB0, 0xDCB0, 0xDCB0, 0xDCB0, 0xDCB0, 0xD470, 0xD470, 0xDC90, 0xDC91, 0xDC91, 0xDC91, 0xD46F, 0xD46E, 0xD46F, 0xD46F, 0xD46F, 0xD44E, 0xC42E, 
        0xC40D, 0xC3ED, 0xC3ED, 0xBBED, 0xBBCD, 0xB38C, 0xB38B, 0xB38B, 0xB38B, 0xB38B, 0xB36B, 0xAB8A, 0xAB6A, 0xA34A, 0xA349, 0x9B4A, 0x9B2A, 0x9B09, 0x9AE8, 0x92C7, 0x92A6, 0x92A6, 0x92A6, 0x8A86, 0x8AA6, 0x92C8, 0x9309, 0x9B29, 0xA36A, 0xB40C, 
        0xBC4D, 0xC44C, 0xC42C, 0xBBEB, 0xAB8A, 0x8AC7, 0x7A66, 0x6205, 0x51C5, 0x49A5, 0x49C7, 0x628A, 0x6ACB, 0x72EB, 0x72EC, 0x6ACB, 0x6AAA, 0x7AEB, 0x834B, 0x93ED, 0x9C6F, 0x9CB0, 0x9CD2, 0xACB5, 0xBBF7, 0xDA98, 0xF198, 0xF978, 0xF996, 0xF194, 
        0xF194, 0xF1B5, 0xF9B5, 0xF9B6, 0xF9B7, 0xF9F7, 0xF9F7, 0xF197, 0xF176, 0xF9B7, 0xFA18, 0xFA7A, 0xFA7B, 0xFA5A, 0xFA5A, 0xFA39, 0xFA39, 0xF9F7, 0xF9D7, 0xF9B7, 0xF997, 0xF977, 0xF997, 0xFA18, 0xFA39, 0xF218, 0xF1D7, 0xF1B7, 0xF9B7, 0xF197, 
        0xF197, 0xF176, 0xF155, 0xE934, 0xF155, 0xFA19, 0xFA7C, 0xFA7C, 0xF21B, 0xE998, 0xE0D4, 0xE914, 0xF176, 0xF1F9, 0xFA5C, 0xFA7D, 0xFA7E, 0xFA9E, 0xFA9D, 0xFA3A, 0xF9F8, 0xF9B6, 0xF175, 0xE911, 0xE0CF, 0xC88D, 0xB84C, 0xB84A, 0xB028, 0x9846, 
        0x9065, 0x8865, 0x8865, 0x8885, 0x8886, 0x9068, 0x9048, 0x9049, 0x9029, 0x8828, 0x8848, 0x8868, 0x8868, 0x9068, 0x9068, 0x8867, 0x8867, 0x908A, 0x908A, 0x9069, 0x9068, 0x9068, 0x9068, 0x9849, 0x9849, 0x9069, 0x9089, 0x8867, 0x8046, 0x7847, 
        0x8047, 0x8066, 0x8866, 0x8887, 0x8889, 0x806A, 0x806A, 0x806A, 0x8849, 0x8849, 0x9029, 0x8848, 0x8848, 0x8849, 0x8029, 0x8049, 0x8048, 0x8849, 0x9049, 0x908A, 0x88AA, 0x88AA, 0x88AB, 0x90CA, 0x90CA, 0x90AA, 0x90A9, 0x9089, 0x88A8, 0x808A, 
        0x808A, 0x8089, 0x7869, 0x7868, 0x7868, 0x90CA, 0x910B, 0x88EB, 0x88CB, 0x80CB, 0x80AA, 0x88AA, 0x90AA, 0x908A, 0x908A, 0x90AB, 0x90EC, 0x910E, 0x90ED, 0x806B, 0x7829, 0x8029, 0x886A, 0x90CC, 0x90EC, 0x98AC, 0x98AC, 0x988C, 0x988B, 0x804A, 
        0x7049, 0x7028, 0x7048, 0x8069, 0x908A, 0x886D, 0x884D, 0x804C, 0x884C, 0x884C, 0x90AD, 0x994F, 0x9991, 0xA171, 0xA971, 0xA971, 0xB151, 0xB8F1, 0xB111, 0x89AF, 0x61CB, 0x5148, 0x61A8, 0xC596, 0xF77E, 0xFFBE, 0xFFBE, 0xFF9E, 0xFF9E, 0xFF9F, 
        0xFF9F, 0xFF9E, 0xFF7D, 0xFF7C, 0xF73C, 0xF6FA, 0xF6DA, 0xFED9, 0xFED9, 0xFEF9, 0xF6F9, 0xF6DA, 0xF6DA, 0xFEFA, 0xF6FA, 0xF6F9, 0xF6F7, 0xEE77, 0xEE36, 0xEDF5, 0xDD52, 0xC4D1, 0xACAF, 0xDE55, 0xF738, 0xDEB9, 0xB575, 0x840F, 0x4A27, 0x5224, 
        0x6AA6, 0x8328, 0x8B69, 0x8389, 0x8BA8, 0xA4AC, 0xA46B, 0x6AE6, 0x49C2, 0x4161, 0x5182, 0x7A87, 0x82A8, 0x79E6, 0x7965, 0x7946, 0x81C9, 0x9ACC, 0xAB4D, 0xAB6E, 0xAB4E, 0xAB4E, 0xA34E, 0xB3AF, 0xBBD0, 0xB3AF, 0xB38E, 0xB36E, 0xB38E, 0xBBCE, 
        0xBBEE, 0xBBCE, 0xB3CD, 0xB3AD, 0xB3AD, 0xB3AD, 0xB3CD, 0xB3CD, 0xB3CD, 0xB3CD, 0xABCE, 0xB42F, 0xB42F, 0xB3EE, 0xABCD, 0xA3EC, 0x9409, 0x7B65, 0x7B04, 0x92A7, 0x9A2A, 0x99AB, 0x910C, 0x98CD, 0xA0AE, 0xA0AF, 0xA10F, 0x99AD, 0x9B09, 0x9466, 
        0x94E5, 0x9503, 0x9503, 0x9504, 0x94E7, 0x9469, 0x9389, 0x81C9, 0x70A8, 0x7067, 0x8187, 0xAD0A, 0xB5CB, 0x93CA, 0x79E9, 0x7909, 0x8069, 0x808A, 0x808A, 0x806A, 0x886A, 0x886B, 0x906B, 0x90AB, 0x90AB, 0x908B, 0x886B, 0x886B, 0x886B,
  0x9AF6, 0x9AF6, 0x92F6, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x92F7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF8, 0x9AF8, 0x9B18, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B19, 0xA31A, 0xA31A, 0xAB3A, 0xAB97, 
        0xABB6, 0xB3B6, 0xB3B6, 0xB3B6, 0xB3B6, 0xB397, 0xB397, 0xB377, 0xB357, 0xB376, 0xB396, 0xBBD5, 0xC414, 0xD474, 0xE494, 0xE4B4, 0xECD4, 0xDCF4, 0xD4D3, 0xCC92, 0xC450, 0xC40F, 0xB3AE, 0xA36D, 0x932C, 0x82E9, 0x7A88, 0x7267, 0x7267, 0x92E9, 
        0xA34B, 0xABCD, 0xAC0E, 0xAC2E, 0xBC4F, 0xDCD2, 0xECD2, 0xDCB1, 0xDC90, 0xD490, 0xDCB0, 0xDCD2, 0xDCD2, 0xDCB1, 0xDCD0, 0xDCD0, 0xE4F1, 0xE513, 0xE513, 0xED13, 0xED33, 0xED33, 0xED34, 0xECF3, 0xECD3, 0xECF2, 0xE512, 0xE512, 0xE4F2, 0xE4F3, 
        0xE4F3, 0xDCD2, 0xDCB1, 0xD4B0, 0xD490, 0xD450, 0xD450, 0xD470, 0xDCB0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCB0, 0xDCD0, 0xDCD1, 0xDCB1, 0xE490, 0xE490, 0xDC90, 0xDCB1, 0xDCB1, 0xDCB0, 0xD48F, 0xD48F, 0xD48F, 0xD48F, 0xD46E, 0xD44E, 0xC42E, 
        0xC42D, 0xC40E, 0xBC0D, 0xBC0D, 0xBC0D, 0xBBCD, 0xBBAD, 0xB3AC, 0xB3AB, 0xB3AB, 0xB3AB, 0xAB8B, 0xAB6B, 0xAB6B, 0xAB6A, 0xA34A, 0xA32A, 0x9B0A, 0x9AE9, 0x92C7, 0x8AA6, 0x8AA5, 0x8AA6, 0x92A7, 0x92C7, 0x92E8, 0x9B09, 0x9B29, 0xA36A, 0xABEB, 
        0xB40C, 0xC42C, 0xCC4C, 0xCC4C, 0xBC0B, 0xA348, 0x8AE7, 0x72A8, 0x5A48, 0x5228, 0x5229, 0x6AAA, 0x72EB, 0x7B2B, 0x732B, 0x72EB, 0x72AB, 0x830D, 0x936D, 0xA3EE, 0xB48F, 0xB4F0, 0xB513, 0x9CB4, 0xA3F5, 0xD2B7, 0xF1D8, 0xF998, 0xF996, 0xF9B6, 
        0xF1B5, 0xF996, 0xF9D6, 0xFA17, 0xFA38, 0xF956, 0xF915, 0xF156, 0xF1B7, 0xF9F7, 0xFA38, 0xFA78, 0xFA78, 0xFA39, 0xFA3A, 0xFA5A, 0xFA5A, 0xF9D8, 0xF9B7, 0xF9B8, 0xF9B8, 0xF9B8, 0xF9F9, 0xFA5A, 0xFA5A, 0xFA19, 0xF9F8, 0xF9D7, 0xF996, 0xF976, 
        0xF976, 0xF976, 0xF176, 0xF155, 0xE955, 0xF1F9, 0xFA3B, 0xFA3B, 0xF9F9, 0xF197, 0xF0F3, 0xE8B3, 0xE8F5, 0xF199, 0xFA3C, 0xFA7D, 0xFA9E, 0xFA7E, 0xFA5D, 0xFA5C, 0xFA5B, 0xFA5A, 0xFA38, 0xF994, 0xF133, 0xE0F1, 0xD8CF, 0xD8CE, 0xC8AC, 0xA847, 
        0x9025, 0x8825, 0x8045, 0x8846, 0x9048, 0x8849, 0x8849, 0x8848, 0x9048, 0x9068, 0x9067, 0x8846, 0x8046, 0x8848, 0x8849, 0x8849, 0x8849, 0x9069, 0x9069, 0x8869, 0x9069, 0x9069, 0x986A, 0x906B, 0x906B, 0x9069, 0x8848, 0x8046, 0x7025, 0x7025, 
        0x7825, 0x7024, 0x6824, 0x6824, 0x6825, 0x7025, 0x7025, 0x7025, 0x7825, 0x7825, 0x8005, 0x7827, 0x7828, 0x8029, 0x8849, 0x906A, 0x988B, 0x8848, 0x7827, 0x7826, 0x7846, 0x7847, 0x7847, 0x7046, 0x6846, 0x6845, 0x6025, 0x6025, 0x6846, 0x7868, 
        0x8089, 0x8089, 0x88AA, 0x90CB, 0x98CC, 0x7889, 0x6867, 0x6847, 0x7047, 0x8047, 0x8849, 0x908C, 0x98AD, 0x90AC, 0x90CC, 0x90CC, 0x98ED, 0xA92F, 0xA10F, 0x908C, 0x7829, 0x7808, 0x7849, 0xA10F, 0xB150, 0xA0CD, 0x908C, 0x906C, 0x988D, 0xA0EE, 
        0x90EC, 0x7069, 0x6027, 0x6826, 0x8028, 0x884D, 0x904E, 0x906D, 0x906C, 0x904C, 0x906D, 0x88CD, 0x890D, 0x9150, 0x9950, 0x992E, 0xA0ED, 0xB8F2, 0xA8F2, 0x68AB, 0x5087, 0x6087, 0x99CE, 0xE5FA, 0xFFDF, 0xFFFF, 0xFFDE, 0xFFDE, 0xFFDF, 0xFF9F, 
        0xFF7F, 0xFF9E, 0xFF9E, 0xFF9D, 0xF75C, 0xFF1B, 0xFEFB, 0xFEFA, 0xFEFA, 0xFEFA, 0xFF1B, 0xFF3B, 0xFF3B, 0xFF1A, 0xFF19, 0xFEF8, 0xF6F8, 0xF6B7, 0xF676, 0xDDD3, 0xC4CF, 0xBC0B, 0xBBCB, 0xE697, 0xE6D9, 0x9C50, 0x5A28, 0x3964, 0x39C3, 0x93CB, 
        0xAC2D, 0x82C8, 0x61E4, 0x51A3, 0x59C4, 0x7A67, 0x7A87, 0x6203, 0x49A1, 0x4981, 0x6224, 0xA3CC, 0xB40D, 0x92CA, 0x79C6, 0x7145, 0x7925, 0x89E9, 0x9AAC, 0xB34E, 0xBBAF, 0xB3AF, 0xB3AF, 0xBBF0, 0xC411, 0xBC11, 0xBC11, 0xC3F1, 0xCC11, 0xCC31, 
        0xC430, 0xBBCE, 0xB3AD, 0xB38D, 0xBBAF, 0xC450, 0xC490, 0xAC0E, 0xABCD, 0xABAD, 0xBC0F, 0xCCF1, 0xC4F2, 0xB44F, 0xABCD, 0xA3CD, 0xABED, 0xB42D, 0xB3ED, 0xAB4B, 0xA2CB, 0xAAAC, 0xB22D, 0x990B, 0x90EC, 0xA190, 0xAA10, 0xA24E, 0x9268, 0x72A6, 
        0x7B07, 0x9C29, 0xACEA, 0xAD08, 0x94E5, 0x8D04, 0x8464, 0x7A85, 0x7906, 0x7867, 0x8909, 0xB44C, 0xB54C, 0x9448, 0x72E6, 0x69C5, 0x6867, 0x8029, 0x884A, 0x886A, 0x886B, 0x888B, 0x886A, 0x884B, 0x884B, 0x906B, 0x908C, 0x908C, 0x988C,
  0x9AD6, 0x9AD6, 0x92F6, 0x92F7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9AF8, 0x9AF8, 0x9B19, 0xA31A, 0xA31B, 0xAB3A, 0xAB78, 
        0xAB97, 0xAB77, 0xAB77, 0xAB77, 0xAB77, 0xAB78, 0xAB78, 0xB358, 0xB358, 0xB358, 0xB377, 0xB3D5, 0xBC14, 0xD475, 0xDC94, 0xE4B4, 0xE4B3, 0xDCD3, 0xD4D2, 0xCC71, 0xC430, 0xBBEF, 0xB38D, 0x9B2C, 0x8AEA, 0x7AA8, 0x7267, 0x6A26, 0x6A26, 0x8288, 
        0x92E9, 0x9B6B, 0xA3CC, 0xA3ED, 0xB40E, 0xD4B1, 0xE4D2, 0xDCB1, 0xDC91, 0xDC91, 0xDCB1, 0xDCF2, 0xDCF2, 0xDCD1, 0xDCD1, 0xDCF0, 0xDD11, 0xE4F2, 0xE4F3, 0xED13, 0xED13, 0xED33, 0xED14, 0xE4D3, 0xE4D3, 0xE4D2, 0xE4F2, 0xE4D1, 0xE4D1, 0xDCB2, 
        0xDC92, 0xD470, 0xCC4F, 0xCC4F, 0xC44F, 0xC42F, 0xCC2F, 0xD46F, 0xDCAF, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCD1, 0xDCD1, 0xDCD1, 0xDCB0, 0xDC90, 0xDCB0, 0xDCB1, 0xDCB1, 0xDCB0, 0xD4AF, 0xD4AF, 0xD48E, 0xD48E, 0xD46E, 0xD44E, 0xC44E, 
        0xBC2D, 0xBC2D, 0xBC0D, 0xBC0D, 0xBC0D, 0xBBED, 0xBBCD, 0xB3AC, 0xB38B, 0xB3AB, 0xB3AA, 0xAB8B, 0xAB6B, 0xAB6B, 0xAB6A, 0xAB4A, 0xA32A, 0x9AE9, 0x92E9, 0x92C7, 0x8AA6, 0x8AA6, 0x82A6, 0x8AA8, 0x92A8, 0x92C8, 0x9B09, 0x9B29, 0xA36A, 0xB3CB, 
        0xBC0B, 0xC42C, 0xCC4C, 0xCC4C, 0xBC2B, 0xA389, 0x8B28, 0x7AE9, 0x6AAA, 0x628A, 0x628A, 0x72EB, 0x7B2C, 0x7B6B, 0x7B4A, 0x732B, 0x7AEC, 0x832D, 0x938E, 0xA40E, 0xB48E, 0xB4CF, 0xB4F1, 0xAC93, 0xB3F4, 0xDA97, 0xF1B8, 0xF977, 0xF996, 0xF9F6, 
        0xF9F6, 0xF9B6, 0xF1D6, 0xF9F7, 0xF9F7, 0xF915, 0xF8D5, 0xF956, 0xF9D7, 0xF9F7, 0xFA38, 0xFA57, 0xFA57, 0xFA38, 0xFA39, 0xFA3B, 0xFA5B, 0xF9D8, 0xF997, 0xF9B8, 0xF1D9, 0xF1F9, 0xFA1A, 0xFA5A, 0xFA5A, 0xFA1A, 0xF9D9, 0xF9B7, 0xF176, 0xF976, 
        0xF976, 0xF996, 0xF196, 0xF176, 0xE975, 0xF1D8, 0xFA1A, 0xFA1A, 0xF1D8, 0xF176, 0xE8F2, 0xE0D3, 0xE915, 0xF1B9, 0xFA3C, 0xFA5E, 0xFA7E, 0xFA3D, 0xFA3C, 0xFA3D, 0xFA5C, 0xFA9B, 0xFA79, 0xF1B6, 0xF134, 0xE8F2, 0xE0B0, 0xD8CF, 0xD0CD, 0xB069, 
        0xA026, 0x9046, 0x9046, 0x9047, 0x9028, 0x8828, 0x8047, 0x8847, 0x8867, 0x9067, 0x9086, 0x8845, 0x8025, 0x8827, 0x8829, 0x8829, 0x9029, 0x9049, 0x8849, 0x8869, 0x8869, 0x9069, 0x906A, 0x904B, 0x904B, 0x9049, 0x8827, 0x7826, 0x6824, 0x6803, 
        0x6803, 0x6003, 0x6003, 0x6003, 0x6823, 0x7845, 0x8045, 0x7845, 0x7844, 0x7823, 0x8003, 0x7826, 0x8048, 0x908A, 0xA8CC, 0xB0ED, 0xB0ED, 0x8849, 0x7806, 0x7005, 0x6804, 0x7005, 0x6805, 0x5804, 0x5003, 0x4802, 0x4803, 0x4803, 0x5825, 0x6846, 
        0x7067, 0x7067, 0x7888, 0x88AA, 0x90AA, 0x6046, 0x4804, 0x5804, 0x6825, 0x7826, 0x8847, 0x886A, 0x888B, 0x88AB, 0x88AA, 0x88AA, 0x90AB, 0xA90E, 0xA8EF, 0x908C, 0x8029, 0x7008, 0x7849, 0xA0EE, 0xA92F, 0x98CD, 0x906C, 0x904B, 0x986C, 0xA92F, 
        0xA12E, 0x80AA, 0x6847, 0x6026, 0x7027, 0x884B, 0x904C, 0x906C, 0x906C, 0x906C, 0x804C, 0x808B, 0x80CB, 0x892E, 0x912E, 0x990D, 0xA0ED, 0xB933, 0xA912, 0x6889, 0x50A6, 0x7149, 0xC333, 0xF67C, 0xFFDF, 0xFFDE, 0xFFDE, 0xFFDE, 0xFFBF, 0xFF7F, 
        0xFF7E, 0xFF7E, 0xFF7D, 0xFF7D, 0xFF5C, 0xFF1B, 0xFEFB, 0xF6FB, 0xF6FB, 0xFEFB, 0xFF1B, 0xF73B, 0xF73B, 0xFF1A, 0xFEF8, 0xFED8, 0xFED7, 0xFEF8, 0xEE96, 0xCD71, 0xBC8D, 0xBC2C, 0xCC4D, 0xDDF5, 0xBD94, 0x6AC9, 0x3923, 0x3923, 0x62A6, 0xB42E, 
        0xBC0E, 0x7A47, 0x4922, 0x3901, 0x4942, 0x69A5, 0x69C5, 0x61C3, 0x59E2, 0x5A02, 0x72A5, 0xAC0C, 0xBC2E, 0x9AEA, 0x79C7, 0x7145, 0x7904, 0x91C9, 0xA28C, 0xB36F, 0xC3F0, 0xC3F0, 0xC3F0, 0xC3F0, 0xBC11, 0xBC11, 0xC432, 0xCC32, 0xD431, 0xD432, 
        0xCC31, 0xC40F, 0xBBCE, 0xBBAE, 0xC3CF, 0xC450, 0xC470, 0xB40E, 0xABCD, 0xB3CD, 0xBC0E, 0xC491, 0xBCB1, 0xB40F, 0xABAE, 0xABAE, 0xB3AF, 0xC3F0, 0xC3CF, 0xAB4D, 0xAAEC, 0xB2CC, 0xB24D, 0x912A, 0x890A, 0x99EE, 0xA26F, 0xA26D, 0x9249, 0x7A68, 
        0x82E8, 0xA40A, 0xB4EA, 0xB528, 0x9D04, 0x84A3, 0x7BE3, 0x6A44, 0x70E5, 0x7886, 0x9929, 0xBC6D, 0xB56D, 0x9428, 0x72A5, 0x61A5, 0x6867, 0x8829, 0x902A, 0x886A, 0x808A, 0x808A, 0x806A, 0x804A, 0x804A, 0x886B, 0x908B, 0x908C, 0x988C,
  0x92D6, 0x92D6, 0x92D6, 0x92D7, 0x92D7, 0x9AD7, 0x92F7, 0x92F7, 0x9AF7, 0x9AF7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AD7, 0x9AD8, 0x9AF8, 0x9AF8, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9B18, 0x9B18, 0x9B18, 0x9AF8, 0x9AF8, 0xA319, 0xA319, 0xA31A, 0xA31A, 0x9B19, 
        0x9B18, 0x9B18, 0xA338, 0xA338, 0xA338, 0xA359, 0xA35A, 0xAB5A, 0xB339, 0xB339, 0xB358, 0xC3D5, 0xCC35, 0xD495, 0xDCD5, 0xDCB4, 0xDC93, 0xDCB3, 0xDCB2, 0xCC51, 0xBC10, 0xB3EE, 0xA36C, 0x8AA8, 0x7A47, 0x7226, 0x6A26, 0x6A26, 0x6A05, 0x6225, 
        0x6A45, 0x82C8, 0x934A, 0x9B6C, 0xABAD, 0xBC2F, 0xC490, 0xD491, 0xD4B2, 0xD492, 0xD491, 0xD4B0, 0xDCB0, 0xD4B0, 0xDCB1, 0xDCB0, 0xDCF0, 0xDCD1, 0xDCD1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCD1, 0xDCD1, 0xDCB1, 0xDC91, 0xDC90, 0xD470, 0xD46F, 0xCC0E, 
        0xC3ED, 0xBBCD, 0xB3AD, 0xB3AD, 0xB3AD, 0xBC0E, 0xBC4E, 0xCC6E, 0xD48E, 0xD4AF, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCB0, 0xDCB0, 0xDCB1, 0xDCB0, 0xD48F, 0xD48F, 0xD4AF, 0xD4B0, 0xD4B0, 0xCCB0, 0xD4AF, 0xDC8E, 0xD48E, 0xD48E, 0xD46E, 0xD44E, 0xC44E, 
        0xBC4D, 0xC42D, 0xC40D, 0xC40D, 0xBBCC, 0xB3CC, 0xB3CB, 0xB3AC, 0xB3AC, 0xB38C, 0xB38B, 0xB38A, 0xAB89, 0xAB69, 0xAB49, 0xAB49, 0xA329, 0x92E7, 0x92C6, 0x92A6, 0x8AA6, 0x8AA6, 0x82A7, 0x82A8, 0x8AA8, 0x92A8, 0x92E8, 0x9B08, 0xAB69, 0xC3C9, 
        0xCBEA, 0xCC4B, 0xCC6B, 0xCC4B, 0xBC0A, 0x9368, 0x8328, 0x830A, 0x7AEB, 0x7AEB, 0x730B, 0x7B4D, 0x7B6D, 0x7B8B, 0x7B8B, 0x7B6B, 0x834D, 0x8BAD, 0x8C0D, 0x946D, 0x94AD, 0x8C8D, 0x946E, 0xCC53, 0xEBD6, 0xF257, 0xF977, 0xF937, 0xF996, 0xFA36, 
        0xFA36, 0xF1F6, 0xF195, 0xF155, 0xF114, 0xF135, 0xF176, 0xF9D7, 0xF9F7, 0xFA18, 0xFA18, 0xFA19, 0xFA19, 0xF9F9, 0xFA1A, 0xFA3B, 0xFA5B, 0xF1B7, 0xF196, 0xF1D7, 0xF219, 0xFA1A, 0xFA1A, 0xFA1A, 0xFA19, 0xF9F9, 0xF1D8, 0xF197, 0xF155, 0xF155, 
        0xF176, 0xF197, 0xF197, 0xF196, 0xF196, 0xF1D8, 0xF1F9, 0xF1D8, 0xE976, 0xD913, 0xD091, 0xE934, 0xF1B6, 0xF9FA, 0xFA1C, 0xFA1D, 0xFA1E, 0xFA3C, 0xFA3C, 0xFA3C, 0xFA3D, 0xFA5D, 0xFA5C, 0xF1D8, 0xE956, 0xE0F3, 0xD890, 0xD86F, 0xD06D, 0xC88A, 
        0xC08A, 0xB889, 0xB069, 0xA848, 0x9828, 0x8826, 0x8825, 0x8845, 0x8865, 0x9065, 0x9065, 0x8845, 0x8845, 0x8827, 0x9008, 0x9008, 0x9028, 0x9048, 0x9069, 0x9068, 0x8868, 0x8848, 0x8829, 0x8829, 0x8829, 0x8827, 0x8026, 0x7825, 0x6823, 0x5001, 
        0x5001, 0x5822, 0x6843, 0x7864, 0x88A6, 0xA8EA, 0xB10A, 0xA0E8, 0x90A5, 0x8864, 0x8023, 0x9046, 0xA0A9, 0xC16E, 0xE1F2, 0xE9F3, 0xE172, 0xA8AB, 0x8848, 0x8046, 0x7025, 0x7024, 0x6003, 0x4001, 0x3001, 0x3802, 0x4823, 0x5044, 0x5844, 0x5845, 
        0x5824, 0x5824, 0x5824, 0x6024, 0x5824, 0x4823, 0x4823, 0x6044, 0x6846, 0x7066, 0x7085, 0x6846, 0x6846, 0x7066, 0x7066, 0x7847, 0x8048, 0x986B, 0x988C, 0x886B, 0x8049, 0x7828, 0x8028, 0x908A, 0x98AC, 0x908C, 0x886B, 0x884A, 0x8849, 0xA8EE, 
        0xB10F, 0x98CD, 0x806A, 0x7048, 0x6026, 0x8888, 0x9089, 0x886A, 0x784A, 0x704A, 0x684A, 0x6888, 0x68A8, 0x80CA, 0x910C, 0xA12D, 0xB170, 0xB952, 0xA8F0, 0x78C9, 0x79E9, 0x9B8F, 0xE65A, 0xFFBE, 0xFFFF, 0xFFDE, 0xFFBE, 0xFF9E, 0xFF7E, 0xFF7E, 
        0xFF7D, 0xFF5D, 0xFF5C, 0xFF3B, 0xFF1B, 0xF71B, 0xF71B, 0xF6FB, 0xF6FB, 0xF71A, 0xF71A, 0xF6FA, 0xF6D9, 0xF6B8, 0xF698, 0xF697, 0xFEB7, 0xFF18, 0xE675, 0xBCAE, 0xAC4D, 0xBD11, 0xD616, 0x9C2D, 0x6AA7, 0x4184, 0x41C5, 0x6AC9, 0xB46E, 0xB38D, 
        0x9289, 0x5965, 0x38E2, 0x3902, 0x4963, 0x59C3, 0x6A03, 0x7244, 0x8285, 0x8AC6, 0x9329, 0xA36B, 0xA32B, 0x8A68, 0x79A6, 0x7145, 0x7966, 0xA24B, 0xB2EE, 0xBB6F, 0xC3D1, 0xD412, 0xD433, 0xC411, 0xBC11, 0xBC11, 0xC411, 0xC411, 0xC411, 0xCC11, 
        0xD431, 0xD451, 0xD470, 0xD470, 0xCC4F, 0xBBCD, 0xB3CD, 0xBC0E, 0xBC0F, 0xB3EE, 0xB3AD, 0xB3CF, 0xBBCF, 0xB3AE, 0xB38E, 0xBB8F, 0xBB8F, 0xB32E, 0xB30E, 0xB30D, 0xB2EC, 0xAAAB, 0x9A0A, 0x91AA, 0x89AA, 0x81E9, 0x81E9, 0x81C8, 0x89E8, 0xA369, 
        0xAC28, 0xA487, 0xA506, 0xAD45, 0xA526, 0x8B68, 0x7228, 0x6105, 0x5865, 0x6845, 0x9188, 0xBD2D, 0xBDED, 0x93C9, 0x71E7, 0x68E7, 0x7049, 0x902A, 0x984A, 0x8069, 0x7069, 0x7069, 0x7069, 0x7069, 0x7869, 0x7869, 0x806A, 0x886A, 0x904B,
  0x92D6, 0x92D7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AD7, 0x92F7, 0x92F7, 0x9AF7, 0x9AF7, 0x9AD7, 0x9AD7, 0x92D7, 0x92D7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9B17, 0x9B18, 0x9AF8, 0x9B18, 0x9B18, 0x9B38, 0x9B38, 0x9B18, 0xA2F8, 0xA318, 0xA319, 0x9B19, 0x9B19, 0xA319, 
        0xA319, 0xA319, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA35A, 0xAB5A, 0xAB79, 0xB378, 0xBBB6, 0xC3F5, 0xDC95, 0xE4D5, 0xE4F5, 0xE4D4, 0xECF4, 0xECF4, 0xDCD3, 0xD4B2, 0xD4B2, 0xCC4F, 0xA36B, 0x92C8, 0x8266, 0x7225, 0x7205, 0x6A25, 0x6A65, 
        0x72A5, 0x7AE7, 0x8B08, 0x9329, 0x9B4B, 0xB3EF, 0xBC30, 0xCC71, 0xCC92, 0xD471, 0xD450, 0xD44F, 0xD46F, 0xD46F, 0xD470, 0xDC70, 0xDC70, 0xD490, 0xD490, 0xD470, 0xD470, 0xD470, 0xD470, 0xD470, 0xDC50, 0xD430, 0xD410, 0xD410, 0xD3EF, 0xBBAD, 
        0xB38D, 0xB38D, 0xB38D, 0xB38D, 0xBBAD, 0xC42E, 0xC46F, 0xCC6F, 0xCC8F, 0xD490, 0xDCB0, 0xDCD0, 0xDCD0, 0xDCD1, 0xDCD1, 0xE4D1, 0xE4D0, 0xD4AF, 0xD4AE, 0xD4AF, 0xDCB0, 0xDCD0, 0xDCD0, 0xD48F, 0xD46E, 0xD48F, 0xD48F, 0xD46F, 0xD46E, 0xCC4D, 
        0xCC4D, 0xC44D, 0xC42D, 0xBC0D, 0xBBED, 0xBBEC, 0xBBEC, 0xB3CC, 0xB3AC, 0xB38C, 0xB38B, 0xABA9, 0xABA9, 0xAB69, 0xA349, 0xA349, 0x9B29, 0x9AE7, 0x92C6, 0x92C6, 0x92C6, 0x92C7, 0x8AC7, 0x8AC8, 0x8AC8, 0x8AC8, 0x92E8, 0x9B08, 0xAB68, 0xB3A9, 
        0xBBCA, 0xCC2B, 0xD46B, 0xD46B, 0xC42A, 0xA3A9, 0x9369, 0x8B49, 0x830B, 0x82EB, 0x7AEC, 0x7B2D, 0x7B6D, 0x838D, 0x8BAC, 0x8BAC, 0x8BAC, 0x93CD, 0x93EE, 0x944E, 0x8C6D, 0x844C, 0x842D, 0xCC54, 0xEBD8, 0xF258, 0xF978, 0xF957, 0xF995, 0xF9B4, 
        0xF9B4, 0xF1B4, 0xF195, 0xF196, 0xF1B7, 0xFA39, 0xFA79, 0xFA59, 0xFA39, 0xFA38, 0xFA17, 0xFA1A, 0xFA1B, 0xFA3B, 0xFA3A, 0xFA3A, 0xFA39, 0xF9D7, 0xF1B7, 0xF1F8, 0xF219, 0xF219, 0xFA1A, 0xFA7B, 0xFA7B, 0xF1F8, 0xF196, 0xF176, 0xF135, 0xE914, 
        0xE935, 0xF156, 0xF196, 0xF9B6, 0xF1D6, 0xF197, 0xF177, 0xF136, 0xE8F4, 0xE0B3, 0xE092, 0xF0F4, 0xF936, 0xF998, 0xF9FA, 0xFA1B, 0xFA3B, 0xFA3C, 0xFA1C, 0xFA1C, 0xFA1C, 0xFA1B, 0xFA3C, 0xFA5D, 0xFA5C, 0xF218, 0xF1B5, 0xE953, 0xE8F1, 0xD8CE, 
        0xC8AD, 0xC08B, 0xB88B, 0xB88B, 0xB08A, 0xA049, 0x9828, 0x9848, 0x9847, 0x9847, 0x9847, 0x90A8, 0x90C8, 0x9088, 0x9068, 0x9048, 0x9049, 0x9869, 0x9889, 0x9069, 0x9069, 0x9069, 0x9049, 0x9029, 0x9828, 0x9027, 0x8845, 0x7824, 0x6823, 0x6863, 
        0x78A5, 0x9909, 0xB94C, 0xC14C, 0xC94C, 0xB10B, 0xA0C9, 0x9887, 0x8845, 0x8823, 0x8023, 0x9847, 0xB0AA, 0xD150, 0xE9B4, 0xF1B6, 0xF196, 0xE993, 0xD971, 0xB92D, 0x98C9, 0x8886, 0x6823, 0x4022, 0x3822, 0x5064, 0x68A5, 0x78A5, 0x80A5, 0x7044, 
        0x6024, 0x6024, 0x6025, 0x6824, 0x7045, 0x78A7, 0x78A7, 0x7887, 0x7066, 0x7866, 0x7867, 0x7867, 0x7847, 0x6826, 0x6825, 0x6826, 0x7027, 0x8049, 0x884A, 0x8029, 0x8029, 0x7828, 0x7828, 0x8069, 0x888A, 0x908B, 0x906B, 0x8049, 0x7848, 0x98AD, 
        0xA8CF, 0xA0CE, 0x90AC, 0x886A, 0x7027, 0x8068, 0x8088, 0x8089, 0x806A, 0x786B, 0x704A, 0x5826, 0x5025, 0x7067, 0x90EB, 0xA96E, 0xB9D1, 0xA0CF, 0x886D, 0x912C, 0xA2AF, 0xC474, 0xEF1C, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFF9E, 0xFF7E, 0xFF5E, 
        0xFF7E, 0xFF7D, 0xFF7D, 0xFF5D, 0xFF3C, 0xFF3B, 0xFF5B, 0xFF3B, 0xFF3B, 0xFF3B, 0xFF3A, 0xFEFA, 0xF6D9, 0xF6B8, 0xF6B8, 0xF6D8, 0xF6D8, 0xEE56, 0xDDD3, 0xCD2F, 0xCD71, 0xD615, 0xCE38, 0x4A48, 0x18A1, 0x2962, 0x5AE6, 0x8C2A, 0xBD4E, 0x9B4A, 
        0x79E7, 0x5903, 0x50C2, 0x5903, 0x61E5, 0x6A65, 0x72A6, 0x8B08, 0x9B69, 0xA36A, 0xAB8B, 0xB3CC, 0xB3CC, 0xA34B, 0x8AC9, 0x8288, 0x7A07, 0x89E8, 0x920A, 0x9A8B, 0xAB0E, 0xBB90, 0xD433, 0xDC73, 0xDC73, 0xD452, 0xCC52, 0xCC52, 0xCC52, 0xD452, 
        0xD452, 0xDC72, 0xDC92, 0xDC92, 0xD470, 0xB3CD, 0xAB8D, 0xBBCE, 0xC3EE, 0xBBCE, 0xB3AE, 0xC3EF, 0xC40F, 0xC3CF, 0xBBAF, 0xBBAF, 0xC3F0, 0xD411, 0xDC31, 0xCBF0, 0xBBAF, 0xAB6D, 0x9B0B, 0xAB0E, 0xAB0E, 0x92AB, 0x7A28, 0x71A6, 0x6126, 0x7967, 
        0x9229, 0xB3CB, 0xBCEB, 0xB52A, 0x9CE6, 0x7C24, 0x6B24, 0x61A4, 0x6064, 0x6025, 0x7907, 0xBC0E, 0xCD2F, 0xAC6C, 0x8328, 0x7206, 0x6885, 0x8049, 0x904B, 0x806A, 0x7069, 0x7069, 0x7069, 0x7849, 0x7849, 0x7049, 0x7849, 0x7849, 0x8049,
  0x92F7, 0x92F7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9B18, 0x9B18, 0x9AF8, 0x9AF7, 0x9AF7, 0x9AF8, 0x9AF8, 0x9AF7, 0x9AF7, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA318, 0xA338, 0xA338, 0x9B38, 0x9B17, 0x9B17, 0x9B18, 0x9B19, 0x9B1A, 0x9B1A, 0xA339, 
        0xA359, 0xAB3A, 0xA35A, 0xA35A, 0xA35A, 0xA33A, 0xA33A, 0xA33A, 0xAB5B, 0xAB7A, 0xB399, 0xB3B7, 0xBBD6, 0xD455, 0xE4D5, 0xECF5, 0xF515, 0xF534, 0xF534, 0xF534, 0xED14, 0xE513, 0xDCD2, 0xD44F, 0xC3ED, 0xA34B, 0x8AA8, 0x7A66, 0x6A04, 0x7245, 
        0x7A65, 0x7AA6, 0x7AC7, 0x8308, 0x936B, 0xABCF, 0xB411, 0xB430, 0xBC4F, 0xBC6F, 0xC46F, 0xC42E, 0xC40D, 0xCC2F, 0xCC50, 0xC450, 0xBC30, 0xCC30, 0xD410, 0xD410, 0xCBF0, 0xCBEF, 0xC3CF, 0xBB8E, 0xBB6E, 0xBB6F, 0xBB6E, 0xBB8E, 0xB38D, 0xAB2C, 
        0xAB0B, 0xA30B, 0xA32B, 0xA34B, 0xAB8C, 0xBC0E, 0xC42E, 0xCC4F, 0xCC90, 0xD490, 0xDCB0, 0xE4D1, 0xE4F1, 0xE4F1, 0xE4F1, 0xE4F0, 0xDCCF, 0xDCB0, 0xD4B0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCB0, 0xDC8F, 0xDC8F, 0xD48F, 0xD48E, 0xD48E, 0xD46E, 0xCC4D, 
        0xC42D, 0xC42E, 0xC42E, 0xC42E, 0xC40E, 0xBBED, 0xBBEC, 0xBBCC, 0xB3AC, 0xB3AB, 0xB3AA, 0xABAA, 0xABAA, 0xAB8A, 0xA369, 0xA348, 0xA327, 0x9AC8, 0x9AA7, 0x92C7, 0x92E7, 0x92E8, 0x92C9, 0x92C9, 0x8AC8, 0x8AC9, 0x8AC9, 0x8AC9, 0x9B09, 0xB36A, 
        0xBBAB, 0xCC0B, 0xD44B, 0xD46B, 0xCC6B, 0xB3EB, 0xA3AB, 0x934A, 0x830A, 0x7B0A, 0x7B0B, 0x732C, 0x734D, 0x838D, 0x8BCD, 0x8BED, 0x8C0D, 0x9C2F, 0xA450, 0x948F, 0x7C8E, 0x6C4E, 0x73EF, 0xCC15, 0xF378, 0xFA18, 0xF977, 0xF997, 0xFA15, 0xF974, 
        0xF955, 0xF9F8, 0xFA7A, 0xFABB, 0xFABB, 0xFA7A, 0xFA5A, 0xFA59, 0xFA58, 0xFA39, 0xFA3A, 0xFA3B, 0xFA3B, 0xFA39, 0xFA39, 0xFA39, 0xFA3A, 0xFA17, 0xF9F6, 0xFA18, 0xF219, 0xFA3A, 0xFA3B, 0xFA3B, 0xF9FA, 0xF9B7, 0xF176, 0xF155, 0xE914, 0xE0F4, 
        0xE8F4, 0xF135, 0xF176, 0xF996, 0xF196, 0xF135, 0xF0F5, 0xE8D4, 0xE8B3, 0xE893, 0xE8B2, 0xF114, 0xF955, 0xF997, 0xF9B8, 0xF9B9, 0xF1DA, 0xFA3A, 0xFA5B, 0xFA3C, 0xFA3C, 0xFA3C, 0xFA5B, 0xFA5D, 0xFA7D, 0xFA7C, 0xFA5B, 0xFA39, 0xF1D5, 0xF130, 
        0xE8EE, 0xD8EE, 0xD0CD, 0xC8CD, 0xC08B, 0xB049, 0xA848, 0xB068, 0xB069, 0xB08A, 0xB08A, 0xB0AB, 0xB0CB, 0xA8AA, 0xA8AA, 0xA0A9, 0xA089, 0xA06A, 0xA04A, 0xA049, 0xA069, 0xA069, 0xA089, 0x9848, 0x9827, 0x9027, 0x9047, 0x9847, 0xA8C9, 0xC9EE, 
        0xDA30, 0xD1AF, 0xC12E, 0xB0CD, 0x986A, 0x8866, 0x8864, 0x8844, 0x8844, 0x8843, 0x8844, 0xA8C9, 0xC12C, 0xD950, 0xE132, 0xE0F2, 0xD8B1, 0xE113, 0xE134, 0xE112, 0xD0F0, 0xC8CE, 0xA8AC, 0x9069, 0x8868, 0x88A9, 0x90C9, 0x98A8, 0x9066, 0x7824, 
        0x7024, 0x7865, 0x88A8, 0x90A9, 0x98AB, 0x90A8, 0x88A7, 0x8067, 0x8068, 0x8869, 0x908A, 0x908A, 0x8889, 0x7848, 0x7868, 0x8089, 0x88CA, 0x7846, 0x7005, 0x7025, 0x7846, 0x7846, 0x7866, 0x7026, 0x7847, 0x8869, 0x888A, 0x8069, 0x7027, 0x886B, 
        0x988D, 0x98AD, 0x988C, 0x906B, 0x8849, 0x8028, 0x8049, 0x88AB, 0x88CB, 0x80AA, 0x6868, 0x6024, 0x6824, 0x7867, 0x88AB, 0x90ED, 0x910C, 0x58A8, 0x5969, 0xA413, 0xDE3A, 0xF71D, 0xFF9E, 0xFF5E, 0xFF5E, 0xFF9F, 0xFFDF, 0xFFDF, 0xFFBE, 0xFF9F, 
        0xFF9F, 0xFF9E, 0xFF9E, 0xFF9E, 0xFF9E, 0xFF9D, 0xFF7C, 0xFF7C, 0xFF7C, 0xFF5C, 0xFF1B, 0xFEB9, 0xFE98, 0xF6B8, 0xF6F8, 0xFF39, 0xF6F8, 0xDD51, 0xD4CF, 0xDD94, 0xE678, 0xE6B9, 0xB5B6, 0x39E7, 0x18E2, 0x52A5, 0x940A, 0xB4AD, 0xCC4E, 0x9A08, 
        0x70E4, 0x58C3, 0x5124, 0x59A6, 0x7288, 0x82A5, 0x8AA5, 0x9B28, 0xB3CC, 0xCC4F, 0xD4D1, 0xABED, 0xA38C, 0xABAD, 0xABAD, 0xAB8C, 0xA30B, 0x9A6B, 0x9A4B, 0x9A4B, 0x9A4B, 0x9A0B, 0x9A4C, 0xC3B0, 0xD452, 0xDC93, 0xDC94, 0xD473, 0xCC52, 0xD472, 
        0xD492, 0xDC92, 0xDC72, 0xDC72, 0xCC50, 0xC40E, 0xBBCE, 0xBBAD, 0xBBAE, 0xBBCE, 0xBBCF, 0xB36E, 0xB36E, 0xBB8E, 0xBB8E, 0xB36E, 0xB34E, 0xBB50, 0xC371, 0xB38E, 0xA36D, 0x9B4C, 0xA34D, 0xCC11, 0xDC72, 0xD471, 0xC430, 0xBBCF, 0x9AAD, 0x5927, 
        0x4945, 0x8386, 0xA528, 0xB5C9, 0xAD49, 0x8B68, 0x8248, 0x7928, 0x7067, 0x7027, 0x70E6, 0x93C8, 0xA52A, 0xACEC, 0xA3CC, 0x8A8A, 0x68A7, 0x786A, 0x886C, 0x806B, 0x806A, 0x788A, 0x786A, 0x784A, 0x784A, 0x7849, 0x7849, 0x7849, 0x7849,
  0x9AD7, 0x9AD7, 0x9AD7, 0x92D7, 0x92D6, 0x92F7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9B17, 0x9B18, 0x9B18, 0xA319, 0xA319, 0xA339, 0xA319, 0xA319, 0xA319, 0xA339, 0xA339, 
        0xA339, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xAB5A, 0xAB5B, 0xB37A, 0xBB98, 0xC3D6, 0xD455, 0xDCB4, 0xE4F4, 0xE513, 0xF554, 0xF554, 0xED54, 0xED34, 0xED34, 0xE514, 0xDD13, 0xD4D2, 0xBC0E, 0xA36B, 0x9309, 0x7A87, 0x6A26, 
        0x6A26, 0x6A46, 0x7267, 0x7A88, 0x82EA, 0x9B8C, 0xA3CD, 0xA3AD, 0xABAD, 0xABAD, 0xB3AD, 0xAB6B, 0xAB4B, 0xAB6C, 0xAB6C, 0xAB4C, 0xAB2C, 0xB32D, 0xB32D, 0xB32D, 0xB32C, 0xAB2C, 0xAAEC, 0xA2AB, 0xA28B, 0xA28B, 0xA28B, 0xA28A, 0xA28A, 0xA2AB, 
        0xAACB, 0xB30C, 0xBB4D, 0xBB8D, 0xC40F, 0xCC6F, 0xCCAF, 0xD4B0, 0xD4B1, 0xDCD1, 0xDCD0, 0xE4D1, 0xE4F1, 0xDCD0, 0xDCD0, 0xD4D0, 0xD4D0, 0xD4B1, 0xD4B0, 0xD4AF, 0xD4AF, 0xD4AF, 0xD48F, 0xD48E, 0xD48E, 0xD48E, 0xD48E, 0xD48E, 0xCC6D, 0xC44D, 
        0xC44D, 0xC42D, 0xC42E, 0xC40E, 0xBBEE, 0xBBCC, 0xBBAB, 0xB3AB, 0xB3AB, 0xB3AA, 0xB389, 0xAB89, 0xAB69, 0xA349, 0x9B28, 0x9B28, 0x9AE7, 0x8AA6, 0x8A86, 0x8AA6, 0x8AA6, 0x8AA6, 0x8AC7, 0x930A, 0x9B2B, 0x9B2B, 0x9B2A, 0xA32A, 0xAB6A, 0xB3CA, 
        0xC40A, 0xCC2B, 0xDC6C, 0xE4AC, 0xDCAC, 0xC48C, 0xAC2B, 0x9B8A, 0x8B09, 0x82E9, 0x72E9, 0x6AEB, 0x6B0C, 0x7B6C, 0x83CD, 0x8C0E, 0x8C4E, 0x9C2F, 0x9C2E, 0x842D, 0x6C0B, 0x53A9, 0x5369, 0xC433, 0xFBF7, 0xFA78, 0xF977, 0xF136, 0xF196, 0xF9D8, 
        0xF9FA, 0xFA1A, 0xFA19, 0xF9F9, 0xF9D8, 0xF1F8, 0xF1F8, 0xF1F8, 0xF9F9, 0xF9D9, 0xF1D9, 0xF1D8, 0xF1D8, 0xF1B7, 0xF1B7, 0xF1B7, 0xF1F7, 0xF219, 0xF21A, 0xF21A, 0xF219, 0xF219, 0xF1F8, 0xF198, 0xF177, 0xE976, 0xE955, 0xE934, 0xE914, 0xE114, 
        0xE114, 0xE935, 0xE936, 0xE936, 0xE935, 0xF114, 0xF114, 0xE0F3, 0xE0D3, 0xE0D3, 0xE8D3, 0xF135, 0xF977, 0xF997, 0xF1B8, 0xF1B8, 0xF1B8, 0xF9BA, 0xF9DB, 0xF9FB, 0xFA1B, 0xFA1B, 0xFA1B, 0xF9FE, 0xFA1E, 0xFA3E, 0xFA3C, 0xF9FB, 0xF1B8, 0xF134, 
        0xE912, 0xE0F0, 0xD8AE, 0xD08D, 0xC86C, 0xB049, 0xA848, 0xA849, 0xB04B, 0xB06B, 0xB88C, 0xB88C, 0xB88B, 0xB06A, 0xB06A, 0xA86A, 0xA849, 0xA849, 0xA829, 0xA829, 0xA048, 0x9848, 0x8847, 0x8044, 0x8845, 0xA8A9, 0xC92D, 0xD96F, 0xE1B0, 0xD14D, 
        0xB8EB, 0xA088, 0x9087, 0x9887, 0xA8A9, 0xC12B, 0xC96D, 0xC96D, 0xC96D, 0xC94D, 0xC94D, 0xE1D0, 0xE9D2, 0xE973, 0xE933, 0xE114, 0xE134, 0xE113, 0xE113, 0xE954, 0xE973, 0xE952, 0xE110, 0xC8CD, 0xB88B, 0xA06A, 0x9049, 0x8827, 0x8026, 0x8867, 
        0x8888, 0x9068, 0x9869, 0x986A, 0x986A, 0x8888, 0x8087, 0x7867, 0x8068, 0x8069, 0x908A, 0x90AA, 0x88A9, 0x8068, 0x8868, 0x88A9, 0x88C9, 0x6845, 0x5803, 0x6024, 0x6845, 0x7025, 0x7025, 0x7025, 0x7046, 0x8068, 0x8068, 0x7048, 0x6827, 0x8049, 
        0x906A, 0x988B, 0x988C, 0x908C, 0x886B, 0x8049, 0x8048, 0x8069, 0x7869, 0x7068, 0x6847, 0x70A8, 0x78A9, 0x7068, 0x6046, 0x4845, 0x50C6, 0xAA50, 0xDBD6, 0xEDFB, 0xFF5E, 0xFF9F, 0xFF7E, 0xFF9F, 0xFFBF, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 
        0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFFBE, 0xFF9D, 0xFF7C, 0xFF5C, 0xFF5B, 0xF73B, 0xF6FA, 0xF698, 0xF677, 0xF6B8, 0xF6D9, 0xF6F9, 0xEE97, 0xC4EF, 0xC4AE, 0xD5F5, 0xBDB6, 0x9471, 0x3A07, 0x1942, 0x29E3, 0x6B8A, 0xA48D, 0xAC6D, 0xA30A, 0x8104, 
        0x7062, 0x7104, 0x71A6, 0x71E8, 0x7A68, 0x82A8, 0x9309, 0xB40D, 0xCCAF, 0xCCAF, 0xC42E, 0xABAD, 0xA38D, 0xABAC, 0xB3AC, 0xB36C, 0xAAEC, 0x9249, 0x8A08, 0x9209, 0x9A2A, 0x9A4B, 0xAAAD, 0xBB70, 0xCBD2, 0xD453, 0xDC74, 0xDC73, 0xD453, 0xD474, 
        0xD494, 0xD473, 0xD452, 0xCC31, 0xC40F, 0xC3EE, 0xC3CE, 0xBB8D, 0xB36D, 0xB34D, 0xBB6D, 0xB36C, 0xAB6C, 0xAB2C, 0xAB0C, 0xAB2C, 0xAB2D, 0xAAEE, 0xAACE, 0xAAED, 0xA30B, 0xA30A, 0xAB6C, 0xDCB6, 0xF539, 0xE4F5, 0xCC31, 0xBB6D, 0xA22A, 0xA20B, 
        0xB26D, 0xC3AE, 0xC4CD, 0xBD4C, 0xA509, 0x6244, 0x48C3, 0x5044, 0x6025, 0x7006, 0x90E9, 0xC3EF, 0xCCEF, 0x9C2A, 0x72E5, 0x59E4, 0x5085, 0x784A, 0x906C, 0x906B, 0x906A, 0x886A, 0x786A, 0x782A, 0x7829, 0x7849, 0x7849, 0x7869, 0x7869,
  0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x92F7, 0x92D8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B38, 0x9B18, 0x9B18, 0xA318, 0xA319, 0x9B1A, 0x9B1A, 0xA319, 0xA339, 0xA339, 0xA339, 0xA339, 
        0xA339, 0xA33A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xAB3A, 0xAB3B, 0xAB3B, 0xB37B, 0xB3B9, 0xBBD7, 0xC415, 0xCC53, 0xD472, 0xDCD2, 0xED53, 0xED74, 0xF574, 0xF574, 0xF575, 0xF555, 0xED35, 0xDCF4, 0xCC72, 0xBC0F, 0xABAD, 0x9309, 0x7246, 
        0x6205, 0x6A26, 0x7248, 0x7A69, 0x82AA, 0x930D, 0x934F, 0xA36F, 0xAB70, 0xB36F, 0xB32E, 0xAAEB, 0xAACB, 0xAACB, 0xAACB, 0xAACB, 0xA2CC, 0xB2ED, 0xB2ED, 0xAAEC, 0xA2CC, 0xA2CC, 0xA2AB, 0xA26A, 0x9A6A, 0xA26B, 0xA28B, 0xA28B, 0xAAAB, 0xB2EC, 
        0xB30D, 0xBB6E, 0xC3CF, 0xCBEF, 0xD430, 0xD491, 0xD4B1, 0xD4D1, 0xDCD1, 0xDCD1, 0xE4D1, 0xDCD1, 0xDCD1, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCB0, 0xD4B0, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD48F, 0xD48F, 0xD48E, 0xD46E, 0xD46D, 0xC44D, 
        0xBC2D, 0xC42D, 0xC42E, 0xC42E, 0xC42E, 0xBBEC, 0xBBAC, 0xBBCB, 0xBBCB, 0xB3CA, 0xB3AA, 0xA369, 0xA349, 0x9B28, 0x9B08, 0x9B08, 0x92E8, 0x8AA7, 0x82A6, 0x82A6, 0x8AA7, 0x8AA7, 0x8AC9, 0x9B0B, 0x9B4C, 0xA36D, 0xAB6D, 0xAB6D, 0xB38E, 0xBBCD, 
        0xBC0C, 0xCC6C, 0xDCAD, 0xECED, 0xED0E, 0xDD0E, 0xCCAD, 0xA40A, 0x8B69, 0x8328, 0x7B09, 0x72EB, 0x72EB, 0x7B2B, 0x7B8C, 0x7BCC, 0x7C0D, 0x942E, 0x9C2E, 0x840D, 0x6BCB, 0x5B6A, 0x634A, 0xC3F3, 0xF397, 0xF9F7, 0xF916, 0xF936, 0xF1F6, 0xFA5A, 
        0xFA3B, 0xF197, 0xF155, 0xF155, 0xF196, 0xF1B8, 0xF1B8, 0xF9B8, 0xF198, 0xF197, 0xF177, 0xF156, 0xF156, 0xF156, 0xF156, 0xF156, 0xF176, 0xF1FA, 0xFA3C, 0xF25B, 0xFA3A, 0xF9F9, 0xF9B8, 0xF197, 0xE976, 0xE955, 0xE934, 0xE934, 0xE934, 0xE914, 
        0xE914, 0xE914, 0xE8F4, 0xE8F4, 0xF0F4, 0xF114, 0xF134, 0xE914, 0xE8F4, 0xE8F3, 0xE914, 0xF135, 0xF156, 0xF977, 0xF9B7, 0xF9B7, 0xF196, 0xF178, 0xF17A, 0xF1BC, 0xF9FD, 0xFA1D, 0xFA3D, 0xFA5E, 0xFA5F, 0xFA7F, 0xFA5E, 0xFA3E, 0xF9FB, 0xF196, 
        0xF154, 0xE912, 0xE0F0, 0xE110, 0xE10E, 0xC8A9, 0xC067, 0xB046, 0xA025, 0xA025, 0xA027, 0xA84A, 0xB04B, 0xB049, 0xA827, 0xA827, 0xA827, 0xA849, 0xA849, 0xA026, 0x9024, 0x8023, 0x8085, 0xA92A, 0xC98D, 0xE1B0, 0xE9B1, 0xE170, 0xC8CD, 0x9867, 
        0x9086, 0xA109, 0xC1AD, 0xD20F, 0xE252, 0xEA13, 0xF1F3, 0xF214, 0xEA14, 0xEA14, 0xE1F4, 0xF193, 0xF174, 0xF194, 0xF1B5, 0xF1B6, 0xF1D6, 0xF236, 0xF237, 0xFA38, 0xFA38, 0xFA38, 0xFA17, 0xF153, 0xE0F0, 0xC08D, 0xA04A, 0x9028, 0x8026, 0x9068, 
        0x9889, 0x9089, 0x9069, 0x9069, 0x9869, 0x90A9, 0x90A9, 0x8068, 0x7847, 0x7828, 0x8048, 0x8868, 0x8068, 0x8047, 0x8047, 0x8047, 0x8047, 0x6825, 0x6024, 0x6024, 0x6825, 0x7026, 0x7846, 0x7866, 0x7086, 0x7866, 0x7867, 0x7047, 0x7028, 0x7869, 
        0x8089, 0x908B, 0x988B, 0x988B, 0x906B, 0x90AB, 0x88AA, 0x8069, 0x7828, 0x7027, 0x7047, 0x7069, 0x7069, 0x6846, 0x6065, 0x68E5, 0x928B, 0xDD58, 0xFEBE, 0xFF7E, 0xFFBF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 
        0xFFDE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDE, 0xFFBE, 0xFF9E, 0xFF5C, 0xF73B, 0xF73B, 0xF6FA, 0xF6B8, 0xF6B8, 0xFED9, 0xF6D9, 0xF6B8, 0xEE15, 0xE572, 0xE593, 0xE657, 0xB595, 0x7BEF, 0x2964, 0x31A2, 0x5245, 0x82E9, 0xAB4B, 0xB32C, 0xB26A, 0x8104, 
        0x7082, 0x7104, 0x71A6, 0x7A08, 0x8289, 0x8AA8, 0x9309, 0xB3ED, 0xD490, 0xDCD1, 0xDCB0, 0xBBAD, 0xB36C, 0xBBEE, 0xC450, 0xCC50, 0xC3EF, 0xAB2C, 0x9AAB, 0x9229, 0x89C8, 0x81A8, 0x8988, 0x99EB, 0xAA6D, 0xBB30, 0xCC13, 0xD494, 0xE4F6, 0xDCB4, 
        0xDC73, 0xD472, 0xD431, 0xCC10, 0xC3EF, 0xC3CE, 0xC3CE, 0xC3CE, 0xC3CE, 0xBB8D, 0xAB0C, 0x9AAB, 0x9A8A, 0x9269, 0x8A48, 0x8A68, 0x9289, 0xA2AC, 0xB2EE, 0xC3AF, 0xD430, 0xD450, 0xD471, 0xDCD6, 0xDCD7, 0xCC72, 0xBB8F, 0xB2ED, 0xAA2C, 0x9A29, 
        0x9AA9, 0xA3CA, 0xB4CB, 0xB56C, 0xAD2C, 0x7227, 0x60A5, 0x6045, 0x6826, 0x7026, 0x88E7, 0xA3EA, 0xAD0B, 0x9C8A, 0x8B49, 0x7228, 0x6087, 0x7849, 0x886A, 0x906A, 0x906A, 0x906B, 0x886B, 0x884A, 0x884A, 0x804A, 0x8069, 0x7869, 0x786A,
  0x92F7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF7, 0x9AF8, 0x9B18, 0x9B18, 0x9AF8, 0x9AF8, 0x9AF7, 0x9B17, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA318, 0xA338, 0xA338, 0xA338, 0xA339, 0xA339, 0x9B1A, 0xA31A, 0xA319, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 
        0xA33A, 0xA35A, 0xAB5A, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB5A, 0xA33B, 0xA33B, 0xA33B, 0xAB7C, 0xB3B9, 0xBBD8, 0xC3D5, 0xC3F3, 0xCC11, 0xDC50, 0xE4D1, 0xE513, 0xED53, 0xF554, 0xF574, 0xF575, 0xED35, 0xED14, 0xDCB3, 0xCC71, 0xC430, 0xABAD, 0x7A88, 
        0x6A26, 0x6A28, 0x7249, 0x7A6A, 0x82AB, 0x8AEC, 0x932D, 0x9B2F, 0x9B50, 0x9B30, 0x9AEF, 0x9AAB, 0x9A6A, 0x9A6A, 0x9A6A, 0x9A6A, 0xAA6C, 0xAA8D, 0xB28D, 0xB28D, 0xAA8D, 0xAA6D, 0xAA6D, 0xA24B, 0xA24B, 0xA24B, 0xA26B, 0xA28B, 0xAACB, 0xB36D, 
        0xBBAE, 0xCBF0, 0xD431, 0xDC51, 0xDC91, 0xDCD2, 0xDCD2, 0xDCF1, 0xDCF1, 0xDCD1, 0xE4B1, 0xE4D0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCCF, 0xDCCF, 0xDCD0, 0xDCD0, 0xDCD0, 0xD4D0, 0xDCAF, 0xDCAF, 0xD48E, 0xD48E, 0xD46E, 0xD46E, 0xD44D, 
        0xCC2D, 0xC42E, 0xC42E, 0xC42E, 0xC42D, 0xBBED, 0xBBED, 0xC3EC, 0xBBEB, 0xBBEA, 0xB3C9, 0xA369, 0xA349, 0x9B49, 0x9B4A, 0x9B2A, 0x92E9, 0x8AA8, 0x82A7, 0x82A7, 0x82A7, 0x82A7, 0x8AA8, 0x9AEB, 0xA32D, 0xA38D, 0xABCE, 0xABEF, 0xB3F0, 0xBC0E, 
        0xC42E, 0xD46E, 0xE4CE, 0xED0F, 0xFD4F, 0xFD90, 0xED90, 0xD52F, 0xBC8D, 0xA42C, 0x7B8A, 0x6B0A, 0x6AEB, 0x7B0B, 0x7B4C, 0x7B6C, 0x7BCD, 0x83EE, 0x83EF, 0x83EF, 0x73AD, 0x5B6B, 0x536B, 0xB413, 0xE3D8, 0xF238, 0xF957, 0xF936, 0xF9B6, 0xFA5B, 
        0xFA5C, 0xF219, 0xF1D5, 0xF194, 0xF153, 0xF176, 0xF196, 0xF996, 0xF975, 0xF975, 0xF176, 0xF956, 0xF956, 0xF176, 0xF176, 0xF156, 0xF157, 0xFA1B, 0xFA5D, 0xFA5B, 0xFA3A, 0xF9F9, 0xF997, 0xF177, 0xF156, 0xE914, 0xE8F3, 0xE8F3, 0xF134, 0xF134, 
        0xF133, 0xE913, 0xE8F4, 0xE8F4, 0xF0F4, 0xE8F4, 0xE8F4, 0xE8F4, 0xE8F4, 0xE8F3, 0xE914, 0xF156, 0xF178, 0xF998, 0xF9B7, 0xF9D7, 0xF9D8, 0xF999, 0xF99A, 0xF9D9, 0xFA19, 0xFA5A, 0xFA9B, 0xFABC, 0xFABD, 0xFA7E, 0xFA5E, 0xFA3E, 0xFA3D, 0xF9FA, 
        0xF1B8, 0xF155, 0xF134, 0xF153, 0xF172, 0xE0EF, 0xD8AD, 0xC88C, 0xB86A, 0xA847, 0x9004, 0x8004, 0x8004, 0x8004, 0x8803, 0x8804, 0x9025, 0x9066, 0x8865, 0x7864, 0x80A5, 0x9907, 0xC9EE, 0xE294, 0xEA54, 0xD950, 0xB88C, 0xA849, 0x9869, 0xC92F, 
        0xE1D2, 0xEA34, 0xEA55, 0xEA14, 0xE951, 0xE0F1, 0xE0F1, 0xE911, 0xE932, 0xE112, 0xE0F2, 0xE0D2, 0xE0D2, 0xE912, 0xF173, 0xF1B4, 0xFA16, 0xFA37, 0xFA38, 0xFA5A, 0xFA5A, 0xFA7A, 0xFA78, 0xFA36, 0xFA15, 0xE9B2, 0xD92F, 0xC8ED, 0xA86A, 0x9027, 
        0x8826, 0x9067, 0x9088, 0x9089, 0x906A, 0x9889, 0x9088, 0x9068, 0x8848, 0x8048, 0x8048, 0x8828, 0x8848, 0x9089, 0x8889, 0x8067, 0x6844, 0x7085, 0x7885, 0x7045, 0x7045, 0x7866, 0x80A7, 0x7864, 0x7043, 0x7025, 0x7046, 0x7047, 0x7047, 0x7026, 
        0x7826, 0x8049, 0x886A, 0x906A, 0x904A, 0x90AC, 0x90AC, 0x806A, 0x7848, 0x7828, 0x8048, 0x7869, 0x7069, 0x6886, 0x7969, 0xA2CE, 0xDD59, 0xF73E, 0xFFDF, 0xFFBF, 0xFFBE, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFBE, 0xFF9D, 0xFF7D, 0xFF7C, 0xFF5C, 0xFF5B, 0xFF1B, 0xF6FA, 0xF6FA, 0xF6F9, 0xEE97, 0xE5F4, 0xDD72, 0xEED9, 0xEF1B, 0xC5D7, 0x8C10, 0x5AAB, 0x2143, 0x3A64, 0x5B06, 0x8329, 0xA2EB, 0xB2AC, 0xB20B, 0x90C5, 
        0x7863, 0x70C4, 0x7146, 0x71A8, 0x7A4A, 0x7A28, 0x8268, 0x9B4B, 0xBC4F, 0xD4F1, 0xED54, 0xDC50, 0xCBCF, 0xBBEF, 0xC450, 0xD4B1, 0xDCD2, 0xC3CF, 0xB34D, 0xA2EC, 0x9A8B, 0x9A4A, 0x91EA, 0x91C9, 0x91C9, 0x91EA, 0x9A2C, 0xAAAD, 0xC391, 0xE4F5, 
        0xF536, 0xE4D5, 0xDC53, 0xD412, 0xC3D0, 0xB3AF, 0xB3CF, 0xC3EF, 0xCBEF, 0xCBCF, 0xBB8D, 0xBB8E, 0xC3AE, 0xC38E, 0xBB4D, 0xB32D, 0xAB4D, 0xCC0F, 0xDC71, 0xE4B2, 0xECB4, 0xECB4, 0xE473, 0xBBD1, 0xAB70, 0xAB2D, 0xA2EC, 0x9AAD, 0x8A0C, 0x8146, 
        0x91A6, 0xB38C, 0xC4EE, 0xB52D, 0x8C28, 0x6165, 0x5846, 0x7048, 0x7849, 0x7849, 0x80A8, 0xA2C9, 0xAC0B, 0xA48B, 0x8C0A, 0x72C7, 0x50C5, 0x7829, 0x884B, 0x886B, 0x888A, 0x908A, 0x908B, 0x886B, 0x886B, 0x886B, 0x886A, 0x806A, 0x804A,
  0x9AF7, 0x9AF7, 0x9AF7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF9, 0x9B19, 0x9B38, 0x9B37, 0x9B18, 0x9B18, 0x9AF9, 0xA319, 0xA319, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA31A, 0xA339, 
        0xA339, 0xA339, 0xA33A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA33A, 0xA33B, 0xAB3B, 0xAB5B, 0xB39A, 0xBBB9, 0xBBD7, 0xC415, 0xCC33, 0xD451, 0xDC91, 0xDCB1, 0xE4D2, 0xE512, 0xED13, 0xED33, 0xE534, 0xE514, 0xD492, 0xC431, 0xBBF0, 0xAB8D, 0x7A88, 
        0x6226, 0x6206, 0x6A27, 0x7A48, 0x828A, 0x8ACD, 0x92EE, 0x9AEF, 0x9AEF, 0x9ACE, 0x928D, 0x9A2C, 0x99EB, 0x99CA, 0xA1EA, 0xA20A, 0xB22B, 0xB26C, 0xB26D, 0xB28D, 0xB28E, 0xB26E, 0xB26D, 0xB26D, 0xB28D, 0xB2AD, 0xBAED, 0xBB2E, 0xC38F, 0xD410, 
        0xD451, 0xDC71, 0xE492, 0xE4B2, 0xE4D2, 0xDD12, 0xDD32, 0xDD12, 0xDCF1, 0xDCD1, 0xDCB1, 0xDCD0, 0xDCCF, 0xDCCF, 0xDCCF, 0xDCCF, 0xDCAF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AE, 0xD48F, 0xD48E, 0xD48E, 0xD48E, 0xD48E, 0xCC6D, 0xC44D, 
        0xC42D, 0xC40D, 0xBC0D, 0xBC0D, 0xBC2C, 0xBBEC, 0xB3CC, 0xB3CB, 0xB3CB, 0xABAA, 0xA389, 0xA307, 0x9AC6, 0x8AC6, 0x82A6, 0x8286, 0x7A66, 0x7A45, 0x7A45, 0x7A66, 0x7AA7, 0x7AA8, 0x82EB, 0xA36D, 0xABCE, 0xBC30, 0xC452, 0xC472, 0xCC72, 0xD451, 
        0xDC91, 0xE511, 0xF571, 0xF591, 0xFDB1, 0xFE34, 0xFE54, 0xF612, 0xE590, 0xD52E, 0xAC6C, 0x8BCB, 0x838B, 0x834B, 0x7B2B, 0x732B, 0x6B2A, 0x6B0A, 0x730A, 0x6B0A, 0x62E9, 0x52E8, 0x632A, 0xC413, 0xEBF7, 0xF297, 0xF997, 0xF977, 0xF9B8, 0xFA1C, 
        0xFA3C, 0xFA3A, 0xF216, 0xF1D5, 0xF172, 0xE912, 0xE112, 0xE932, 0xE932, 0xE953, 0xE955, 0xF197, 0xF1B8, 0xF1B8, 0xF1B9, 0xF199, 0xF19A, 0xF1F9, 0xF238, 0xFA1A, 0xFA1A, 0xFA19, 0xF1B7, 0xE0F5, 0xD8B4, 0xD8D3, 0xE0F3, 0xE0F3, 0xE913, 0xE933, 
        0xE913, 0xE8F3, 0xE8F3, 0xE8F3, 0xE0F3, 0xD8B2, 0xD8B2, 0xE8F3, 0xF134, 0xF175, 0xF196, 0xF197, 0xF178, 0xF177, 0xF977, 0xF977, 0xF176, 0xF156, 0xF157, 0xF979, 0xF9DB, 0xFA1C, 0xFA9D, 0xFA7E, 0xFA3D, 0xFA1C, 0xFA1C, 0xFA3C, 0xFA3C, 0xF9D8, 
        0xF197, 0xF156, 0xE935, 0xE915, 0xE913, 0xE912, 0xE8F1, 0xD8EF, 0xD0AC, 0xC88B, 0xB848, 0x9024, 0x8003, 0x7822, 0x7802, 0x7802, 0x7002, 0x6022, 0x6863, 0x9949, 0xC20E, 0xDA91, 0xEA92, 0xD12E, 0xB88B, 0xA047, 0xA047, 0xB06A, 0xD110, 0xF257, 
        0xF278, 0xE994, 0xD8D1, 0xD88E, 0xD08D, 0xD8B0, 0xE0D2, 0xE112, 0xE111, 0xE112, 0xE0F2, 0xE0F2, 0xE0F2, 0xE113, 0xE954, 0xF194, 0xF1F5, 0xF9F7, 0xFA18, 0xFA19, 0xFA3A, 0xFA3A, 0xFA3A, 0xFA5A, 0xFA39, 0xF1D6, 0xE953, 0xE0F1, 0xC88C, 0x9027, 
        0x8005, 0x8827, 0x9068, 0x9089, 0x98A9, 0x9048, 0x9027, 0x9048, 0x9068, 0x8868, 0x8868, 0x8828, 0x9048, 0x988A, 0x908A, 0x7868, 0x6024, 0x6865, 0x7085, 0x7065, 0x7065, 0x7066, 0x7087, 0x6023, 0x6002, 0x6824, 0x7045, 0x7866, 0x7866, 0x7025, 
        0x7026, 0x7847, 0x8068, 0x8048, 0x8028, 0x906A, 0x906B, 0x8869, 0x8068, 0x7867, 0x7047, 0x6828, 0x6829, 0x80AB, 0xA20F, 0xC3D4, 0xF67C, 0xFFBF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFBF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFBF, 0xFFBE, 0xFF9E, 0xFF5C, 0xFF5B, 0xFF5B, 0xFF3B, 0xF73B, 0xF6FA, 0xF6B8, 0xF677, 0xEE56, 0xE615, 0xE5D4, 0xE5F5, 0xF73B, 0xD69A, 0x73AD, 0x3185, 0x1902, 0x29A2, 0x72A6, 0x9AE9, 0xAAAA, 0xB24B, 0xBA0B, 0xA169, 0x6883, 
        0x5862, 0x6105, 0x6987, 0x71A8, 0x71C7, 0x8227, 0x92C9, 0xC40E, 0xE513, 0xED54, 0xE4F3, 0xCBEF, 0xC3AE, 0xCC30, 0xD492, 0xDC92, 0xD430, 0xC36E, 0xBB0D, 0xAACC, 0xA28A, 0x9A4A, 0x91E9, 0x89A8, 0x91A9, 0xA20B, 0xB28D, 0xBAEF, 0xCB91, 0xE4B4, 
        0xECF5, 0xDC93, 0xCC11, 0xC3AF, 0xBB8E, 0xCBF0, 0xCC11, 0xCC10, 0xC3EF, 0xC3CE, 0xC3CE, 0xCC10, 0xCC31, 0xD431, 0xCC10, 0xC40F, 0xBBEE, 0xCC50, 0xD471, 0xCC11, 0xCBD1, 0xCBB1, 0xCB8F, 0xAB4E, 0xAB4E, 0xB34D, 0x9ACB, 0x7208, 0x5126, 0xA28C, 
        0xD3CF, 0xDCF1, 0xBCCE, 0x93CA, 0x51A4, 0x4064, 0x5025, 0x7048, 0x8029, 0x882A, 0x90EA, 0xABCC, 0xB4EB, 0x9C29, 0x7B07, 0x69E6, 0x6087, 0x7829, 0x804A, 0x886A, 0x888A, 0x908A, 0x908B, 0x886B, 0x806B, 0x886A, 0x884A, 0x804A, 0x7849,
  0x9AF7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x92F8, 0x9AF7, 0xA2F7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF9, 0x9AFA, 0x9B37, 0x9B36, 0x9B17, 0xA318, 0xA2F9, 0xA319, 0xA319, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA319, 0xA33A, 
        0xA33A, 0xA359, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xAB5A, 0xAB3B, 0xAB3B, 0xA33B, 0xAB7B, 0xB3BA, 0xC3F8, 0xD436, 0xD455, 0xD472, 0xDC71, 0xDC91, 0xDCB1, 0xE4F1, 0xE4F2, 0xE513, 0xDD13, 0xDCF2, 0xCC91, 0xC42F, 0xBBEE, 0xA36C, 0x82A8, 
        0x7267, 0x6A46, 0x7227, 0x7A48, 0x8A8A, 0x8ACD, 0x92EE, 0x9AEE, 0x9AEE, 0x9ACE, 0x9A8D, 0x9A0C, 0xA1CC, 0xA1AB, 0xA9CB, 0xAA0B, 0xB26C, 0xB26D, 0xB26D, 0xB28D, 0xB28E, 0xB2AE, 0xB2AE, 0xB28D, 0xBAAD, 0xBB0D, 0xBB6E, 0xBBAF, 0xBC0F, 0xD470, 
        0xDCB1, 0xDCB1, 0xDCB1, 0xDCD1, 0xDCF1, 0xDD31, 0xDD31, 0xDCF1, 0xDCD1, 0xDCD1, 0xDCD1, 0xDCD0, 0xDCAF, 0xDCCF, 0xDCCF, 0xDCCF, 0xDCAF, 0xD4AF, 0xD48F, 0xD48F, 0xD4AF, 0xD4AF, 0xCCAF, 0xD48F, 0xD48F, 0xD48E, 0xD48D, 0xD48D, 0xCC8D, 0xBC4D, 
        0xBC2D, 0xBC0D, 0xC40C, 0xC40C, 0xBC0C, 0xB3CB, 0xB3AB, 0xB3AA, 0xB38A, 0xB36A, 0xAB28, 0x8AE5, 0x82C5, 0x7AA6, 0x7A87, 0x7A66, 0x7A45, 0x7265, 0x7285, 0x7AA7, 0x7AC9, 0x82E9, 0x8B0B, 0xA36C, 0xB3AE, 0xB410, 0xBC52, 0xC473, 0xD453, 0xD433, 
        0xD453, 0xE512, 0xF571, 0xF591, 0xFD91, 0xFE13, 0xFE33, 0xF632, 0xEDD0, 0xDD6E, 0xC4AC, 0x93CA, 0x836A, 0x836B, 0x7B6B, 0x736B, 0x6B49, 0x6329, 0x6329, 0x6B09, 0x62E8, 0x5AC8, 0x630A, 0xBC72, 0xE476, 0xF317, 0xFA17, 0xF998, 0xF99A, 0xFA1C, 
        0xFA5C, 0xFA5B, 0xFA18, 0xF1F6, 0xF173, 0xE0D0, 0xE0B0, 0xE0F0, 0xE912, 0xE912, 0xE934, 0xF1B6, 0xF9F7, 0xF9F8, 0xF1D9, 0xF1D9, 0xF1B9, 0xF9F8, 0xFA19, 0xFA1A, 0xFA1B, 0xF9FA, 0xF1B6, 0xE113, 0xD8D2, 0xD8D2, 0xE0D3, 0xE0F2, 0xE912, 0xE933, 
        0xE933, 0xE0F3, 0xE0D3, 0xE0B3, 0xE0B3, 0xE8D3, 0xE8F3, 0xF134, 0xF996, 0xF9D6, 0xF9F7, 0xF177, 0xF136, 0xF136, 0xF115, 0xF115, 0xF0F4, 0xF113, 0xF114, 0xF136, 0xF958, 0xF99A, 0xF9FD, 0xFA3E, 0xFA5E, 0xFA3D, 0xFA1C, 0xFA1C, 0xFA1B, 0xF9F7, 
        0xF1B6, 0xF156, 0xE916, 0xE915, 0xE914, 0xE8F2, 0xE8F2, 0xE130, 0xD92F, 0xD8EE, 0xD08B, 0xB866, 0xA864, 0x9063, 0x8042, 0x7041, 0x6821, 0x8821, 0xA0E5, 0xD26F, 0xEAF5, 0xF294, 0xD94E, 0x9846, 0x8824, 0xA067, 0xC12D, 0xD9D2, 0xF258, 0xF195, 
        0xE8F2, 0xD8B0, 0xD08F, 0xD0AF, 0xD0CF, 0xD8D0, 0xE0F1, 0xE111, 0xE131, 0xE132, 0xE112, 0xE0F2, 0xE0F2, 0xE113, 0xE933, 0xE953, 0xF174, 0xF9D6, 0xF9F7, 0xFA19, 0xFA1A, 0xFA3A, 0xFA3A, 0xFA3C, 0xFA3C, 0xFA1A, 0xF9D7, 0xF195, 0xD8EF, 0x9847, 
        0x8005, 0x8805, 0x9026, 0x9067, 0x9068, 0x9048, 0x9028, 0x9848, 0x9068, 0x9088, 0x9068, 0x9068, 0x9868, 0x9889, 0x8869, 0x7848, 0x6025, 0x6044, 0x6864, 0x7084, 0x7885, 0x7086, 0x6846, 0x6003, 0x6023, 0x7845, 0x8067, 0x8067, 0x7846, 0x6825, 
        0x6845, 0x7867, 0x8068, 0x7847, 0x7827, 0x802A, 0x884B, 0x908A, 0x88A8, 0x8887, 0x7866, 0x7049, 0x6849, 0x7069, 0x916B, 0xB2B0, 0xED39, 0xFF5E, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFF9E, 0xFF5C, 0xFF1B, 0xFF3B, 0xF71B, 0xF71A, 0xF6FA, 0xFED8, 0xFE97, 0xF636, 0xEE36, 0xF677, 0xF73B, 0xF77D, 0xCE39, 0x630C, 0x1943, 0x1161, 0x3283, 0x8327, 0xA309, 0xAA49, 0xB1CA, 0xB18B, 0xA929, 0x6883, 
        0x5861, 0x5904, 0x6166, 0x69A6, 0x71E7, 0x9269, 0xAAEC, 0xD430, 0xED34, 0xF575, 0xED55, 0xCBD0, 0xC36E, 0xCBF1, 0xD472, 0xDC93, 0xDC72, 0xCBAF, 0xBB2D, 0xAACC, 0x9AAB, 0x9AAB, 0xA28A, 0x9209, 0x91C9, 0x91E9, 0x9A0A, 0xA20B, 0xAA6D, 0xC390, 
        0xD412, 0xDC53, 0xDC33, 0xD411, 0xCBD0, 0xD412, 0xD433, 0xD431, 0xCC10, 0xC410, 0xC430, 0xDD34, 0xED76, 0xED15, 0xDCB3, 0xD472, 0xC430, 0xBBCE, 0xC3AE, 0xC3B0, 0xCB91, 0xC370, 0xBB2D, 0xB38D, 0xB38D, 0xBB4E, 0x9A6B, 0x69A8, 0x3924, 0x934C, 
        0xCC70, 0xDCB0, 0xBBCC, 0x82A8, 0x38C2, 0x40A3, 0x58C4, 0x7046, 0x8828, 0x980B, 0xA8CE, 0xBB30, 0xBC4F, 0x9C2A, 0x7326, 0x5A24, 0x4884, 0x7848, 0x904A, 0x886A, 0x8889, 0x888A, 0x908B, 0x906B, 0x884B, 0x884B, 0x882A, 0x804A, 0x7849,
  0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF7, 0x9AF8, 0xA2F8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9B19, 0x9B1A, 0x9B38, 0x9B37, 0xA318, 0xA319, 0xA319, 0xA31A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 
        0xA33A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xAB7A, 0xAB5B, 0xAB5B, 0xA33B, 0xA33B, 0xAB7B, 0xB39A, 0xC3F8, 0xD436, 0xD455, 0xDC74, 0xDC92, 0xE491, 0xDCB1, 0xE4D1, 0xE4F2, 0xE4F2, 0xDCF3, 0xDCF2, 0xCCB1, 0xC44F, 0xBC0E, 0xA38C, 0x8AE9, 
        0x82A7, 0x7A67, 0x7A48, 0x7A68, 0x8A8A, 0x8ACD, 0x92EE, 0x92EF, 0x9AEF, 0x9ACE, 0x9AAE, 0xA22D, 0xA1EC, 0xA1CC, 0xA9EB, 0xAA2C, 0xAA6C, 0xB26D, 0xB26D, 0xB28D, 0xB2AD, 0xB2AD, 0xB2CD, 0xB2CC, 0xBAEC, 0xBB2D, 0xBB8E, 0xBBCF, 0xBC2F, 0xD490, 
        0xDCB1, 0xDCB0, 0xDCD1, 0xDCD1, 0xDCF1, 0xE511, 0xE511, 0xDCF1, 0xDCD1, 0xDCD1, 0xDCD1, 0xDCB0, 0xDCAF, 0xDCCF, 0xDCCF, 0xDCCF, 0xDCAF, 0xD4AF, 0xD48F, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD48F, 0xD48E, 0xD48E, 0xD48E, 0xD48D, 0xCC6D, 0xC44D, 
        0xC42E, 0xC42D, 0xC42D, 0xC42D, 0xC40D, 0xBBEB, 0xB3CA, 0xB3AA, 0xB38A, 0xB369, 0xA328, 0x82E6, 0x72C6, 0x6A87, 0x6A67, 0x7246, 0x7245, 0x7286, 0x72A7, 0x72C9, 0x7AC9, 0x7AEA, 0x8B0A, 0xA36D, 0xABAE, 0xB410, 0xBC51, 0xC472, 0xD453, 0xD413, 
        0xD452, 0xE4F2, 0xED71, 0xF591, 0xFDB2, 0xFE13, 0xFE54, 0xF652, 0xF611, 0xE5AF, 0xCCCD, 0x9BCA, 0x834A, 0x834B, 0x7B4B, 0x732A, 0x6309, 0x5B29, 0x632A, 0x6B09, 0x6AE9, 0x5AC8, 0x5B09, 0xAC71, 0xD475, 0xEB17, 0xFA19, 0xF9B9, 0xF9BA, 0xFA3B, 
        0xFA7C, 0xFA7B, 0xFA59, 0xFA17, 0xF194, 0xE8F1, 0xE0B0, 0xE0D0, 0xE0F1, 0xE8F2, 0xE914, 0xF196, 0xF9D7, 0xF9D7, 0xF9D8, 0xF1D7, 0xF1D7, 0xF1B8, 0xF9D9, 0xFA1A, 0xFA1B, 0xF9F9, 0xF196, 0xE933, 0xE0F2, 0xE0D2, 0xE0D2, 0xE0D2, 0xE0F2, 0xE933, 
        0xE133, 0xE0F3, 0xE0D2, 0xE0B2, 0xE8B3, 0xF0F3, 0xF134, 0xF975, 0xF996, 0xF9B7, 0xF1B7, 0xF135, 0xF114, 0xF135, 0xF135, 0xF135, 0xF114, 0xF133, 0xF133, 0xF114, 0xF935, 0xF937, 0xF99A, 0xFA3C, 0xFA5D, 0xFA5D, 0xFA3C, 0xFA3C, 0xFA3B, 0xFA18, 
        0xF1F7, 0xF176, 0xF136, 0xF135, 0xF155, 0xF133, 0xF132, 0xE952, 0xE952, 0xE131, 0xE0EF, 0xD0CA, 0xC8C8, 0xB0C7, 0xA0A6, 0x9085, 0x8864, 0xB0A6, 0xD14A, 0xEA71, 0xEA94, 0xE1F2, 0xC08A, 0x9825, 0x9866, 0xB92D, 0xE1F3, 0xEA76, 0xF278, 0xE8F2, 
        0xE06F, 0xD88F, 0xD8D0, 0xD8F0, 0xD8F1, 0xD8D0, 0xE0F0, 0xE111, 0xE131, 0xD932, 0xD912, 0xE912, 0xE913, 0xE933, 0xE953, 0xE953, 0xF174, 0xF9B5, 0xF9F6, 0xFA18, 0xFA19, 0xFA3A, 0xFA3A, 0xFA1C, 0xFA1C, 0xFA3B, 0xFA39, 0xFA17, 0xE172, 0xB0AA, 
        0x9847, 0x9026, 0x9026, 0x9026, 0x9047, 0x9849, 0x9869, 0x9869, 0x9889, 0x9888, 0x9088, 0x9889, 0xA069, 0x9869, 0x8868, 0x7847, 0x6825, 0x6043, 0x6063, 0x70A4, 0x78A5, 0x7085, 0x6825, 0x6004, 0x6824, 0x8067, 0x9088, 0x8868, 0x7846, 0x6825, 
        0x6845, 0x7867, 0x8067, 0x7848, 0x7828, 0x7809, 0x8029, 0x8869, 0x9088, 0x8887, 0x7887, 0x7869, 0x7069, 0x6847, 0x78C8, 0x91AB, 0xC3B2, 0xE65A, 0xEF5D, 0xF7BE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFBE, 0xFF7C, 0xFF3B, 0xFF3B, 0xF71A, 0xF6FA, 0xF6D9, 0xFEF9, 0xF6B7, 0xEE15, 0xEE35, 0xEEB8, 0xFF9D, 0xF77E, 0xCE18, 0x630C, 0x2984, 0x29E4, 0x5B07, 0x8AE8, 0xA288, 0xAA09, 0xB1AA, 0xB98B, 0xB12A, 0x7083, 
        0x5861, 0x58C3, 0x5924, 0x6145, 0x7186, 0x922B, 0xB2EE, 0xD411, 0xED14, 0xF596, 0xF576, 0xDC32, 0xCBB0, 0xCBF1, 0xD432, 0xDC52, 0xDC72, 0xDC30, 0xCBCF, 0xB32D, 0xAAEC, 0xAAEC, 0xAAEC, 0xA26B, 0x9A2A, 0x9A0A, 0x9A0A, 0x9A0A, 0xA20B, 0xAA6D, 
        0xB2CE, 0xC330, 0xCBB1, 0xD3D1, 0xD411, 0xD432, 0xD453, 0xD452, 0xD451, 0xCC31, 0xC472, 0xDD35, 0xED76, 0xED36, 0xE4F5, 0xDCD4, 0xCC51, 0xB38D, 0xB34D, 0xC36F, 0xC370, 0xC350, 0xBB2E, 0xBBAD, 0xC3CE, 0xBB2E, 0x9A4C, 0x6988, 0x3104, 0x7AE9, 
        0xB3EC, 0xCC2D, 0xBB6B, 0x8A48, 0x38A3, 0x58C4, 0x70E6, 0x88A8, 0x988B, 0x988C, 0xA0CE, 0xA28E, 0xA38D, 0x942B, 0x7BA8, 0x6AA6, 0x58E5, 0x7849, 0x884A, 0x8069, 0x7869, 0x8069, 0x886A, 0x906B, 0x904B, 0x882B, 0x802B, 0x804A, 0x784A,
  0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9AF8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA318, 0xA318, 0x9B18, 0x9B18, 0x9B18, 0xA318, 0xA33A, 0xA33A, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA35A, 0xA35A, 
        0xA35A, 0xAB5A, 0xAB5B, 0xAB5B, 0xA35B, 0xA37A, 0xA37A, 0xAB7B, 0xAB5B, 0xAB5B, 0xA35C, 0xA33C, 0xAB5B, 0xBBB9, 0xCC18, 0xD437, 0xDC76, 0xE4D4, 0xECF3, 0xE4D2, 0xE4D2, 0xDCB1, 0xDCB1, 0xDCD2, 0xDCD3, 0xD4B1, 0xCC90, 0xBC4F, 0xABCD, 0x9B2A, 
        0x92C9, 0x8AA9, 0x8A89, 0x8A89, 0x8AAA, 0x92CD, 0x92EE, 0x92D0, 0x9AF1, 0x9AF1, 0xA2D1, 0xA28E, 0xA24D, 0xA24D, 0xA24D, 0xAA4C, 0xAA6C, 0xAA8C, 0xAAAC, 0xAAAC, 0xAACC, 0xAACC, 0xAAEC, 0xB34D, 0xBB6D, 0xBBAD, 0xC3EE, 0xCC0F, 0xD450, 0xDC91, 
        0xE4B1, 0xE4D1, 0xECF2, 0xECF2, 0xE512, 0xE512, 0xE512, 0xE4F2, 0xE4F1, 0xDCD0, 0xDCD0, 0xDCB0, 0xDCB0, 0xD4CF, 0xD4CF, 0xD4CF, 0xD4CF, 0xDCAF, 0xDCAF, 0xDCAF, 0xD4AF, 0xD4AF, 0xD48F, 0xD48E, 0xD48E, 0xD48E, 0xD46E, 0xD46E, 0xCC4D, 0xCC4E, 
        0xCC6E, 0xC46E, 0xC44D, 0xC44D, 0xC40D, 0xBBEB, 0xBBCB, 0xB3AA, 0xA38A, 0xA369, 0x9328, 0x7AC8, 0x6A88, 0x6247, 0x6205, 0x6204, 0x6A25, 0x7289, 0x72CA, 0x72CA, 0x72CA, 0x7ACA, 0x7AEA, 0x93AE, 0xA410, 0xAC30, 0xBC50, 0xC451, 0xD451, 0xDC50, 
        0xDC70, 0xE4D0, 0xED51, 0xF592, 0xFDF4, 0xFE35, 0xFE75, 0xFE95, 0xF674, 0xF612, 0xDD2F, 0xA3EB, 0x8B4A, 0x7B2A, 0x72C9, 0x6AA9, 0x5A88, 0x5AE9, 0x630A, 0x6B0A, 0x62E9, 0x5AE8, 0x5B09, 0x9BF0, 0xCBF4, 0xE2D8, 0xFA1A, 0xF9BA, 0xF9D9, 0xFA5B, 
        0xFA9B, 0xFA9A, 0xFA79, 0xFA38, 0xF996, 0xF112, 0xE8F0, 0xE0D0, 0xE0D0, 0xE0D0, 0xE0D2, 0xF135, 0xF176, 0xF9B6, 0xF9D6, 0xF9D6, 0xF9D6, 0xF177, 0xF178, 0xF1DA, 0xF9FA, 0xF9F9, 0xF9B6, 0xE953, 0xE912, 0xE8F2, 0xE0F2, 0xE0D2, 0xE0F2, 0xE113, 
        0xE113, 0xE0F3, 0xE8D3, 0xE8D3, 0xF113, 0xF975, 0xF997, 0xF9B7, 0xF176, 0xF135, 0xE8D3, 0xE0B2, 0xE8F2, 0xF175, 0xF9D6, 0xF9D6, 0xF996, 0xF996, 0xF995, 0xF954, 0xF933, 0xF114, 0xF955, 0xF9F8, 0xFA3A, 0xFA3C, 0xFA3C, 0xFA3C, 0xFA3B, 0xFA3B, 
        0xFA1A, 0xF9B8, 0xF176, 0xF176, 0xF196, 0xF995, 0xF994, 0xF175, 0xF155, 0xF155, 0xE934, 0xE933, 0xE931, 0xE930, 0xE10E, 0xD90D, 0xD0ED, 0xE16F, 0xE990, 0xE14F, 0xC8EB, 0xB088, 0x9866, 0xC90D, 0xE1B2, 0xEA76, 0xF298, 0xF236, 0xF132, 0xE8D2, 
        0xE8F2, 0xE111, 0xD931, 0xD931, 0xD911, 0xD8D1, 0xD8D1, 0xE0F1, 0xE112, 0xD8F2, 0xD8F2, 0xE933, 0xF173, 0xF174, 0xF174, 0xF174, 0xF175, 0xF9B5, 0xF9D5, 0xF1F6, 0xF217, 0xFA18, 0xFA1A, 0xFA1B, 0xFA1B, 0xFA3B, 0xFA5A, 0xFA79, 0xF257, 0xD950, 
        0xC8CC, 0xA848, 0x9827, 0x9006, 0x9027, 0x9869, 0x9889, 0xA089, 0xA089, 0xA089, 0xA08A, 0xA88B, 0xA06B, 0x8848, 0x8046, 0x7865, 0x7064, 0x6023, 0x6043, 0x7085, 0x78A6, 0x7885, 0x7024, 0x7025, 0x7847, 0x888A, 0x988B, 0x988A, 0x8829, 0x6825, 
        0x6024, 0x6845, 0x7847, 0x7868, 0x8069, 0x7826, 0x7805, 0x8027, 0x8048, 0x8049, 0x7869, 0x788A, 0x786A, 0x6847, 0x6045, 0x5864, 0x6167, 0xA492, 0xCE38, 0xE73C, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFBF, 0xFFBF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFBE, 0xFF9D, 0xF77C, 0xF73B, 0xF6FA, 0xF6B8, 0xF697, 0xEE76, 0xDE13, 0xD634, 0xDEB7, 0xEF5C, 0xDE99, 0xB514, 0x62AA, 0x49C7, 0x6A49, 0xAB6E, 0xA9E9, 0xA948, 0xB9AA, 0xC1CC, 0xC9CC, 0xB149, 0x7063, 
        0x5021, 0x5061, 0x5082, 0x5883, 0x68A5, 0x91CB, 0xAACF, 0xD453, 0xF536, 0xFD77, 0xF557, 0xECD5, 0xE473, 0xDC31, 0xD410, 0xDC11, 0xDC32, 0xECD2, 0xE4B2, 0xD3F0, 0xC36E, 0xBB2E, 0xB30D, 0xB2EE, 0xB2ED, 0xB2CD, 0xB2CD, 0xB2CD, 0xB28C, 0x9149, 
        0x88E8, 0x8949, 0xA24C, 0xB30F, 0xD432, 0xDC73, 0xDC72, 0xD452, 0xD451, 0xD452, 0xCC52, 0xCC53, 0xCC73, 0xDCB4, 0xECD4, 0xECD3, 0xDC91, 0xB3AE, 0xA32D, 0xB32D, 0xBB2E, 0xBB2E, 0xBB4F, 0xCBF1, 0xD3F1, 0xCB30, 0xA20C, 0x7148, 0x38C3, 0x6A46, 
        0x9349, 0xAB8A, 0xA309, 0x8206, 0x5083, 0x8088, 0xA8EC, 0xB98F, 0xB1B1, 0xA16F, 0x810B, 0x61E6, 0x6AE6, 0x8C09, 0x9C2C, 0x9B6C, 0x898B, 0x7869, 0x7029, 0x7048, 0x7067, 0x7848, 0x8048, 0x884A, 0x886B, 0x884A, 0x804A, 0x806A, 0x786A,
  0x9AF8, 0x9AF8, 0x9AF7, 0x9AF7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0xA2F8, 0xA319, 0xA318, 0x9B18, 0x9B18, 0x9B18, 0x9B17, 0x9B17, 0xA319, 0xA33A, 0xA33A, 0xA339, 0xA339, 0xA33A, 0xA31A, 0xA31A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xAB39, 
        0xAB3A, 0xA33A, 0xA33B, 0xA33B, 0xA33A, 0xA35A, 0xA35A, 0xAB5A, 0xAB5B, 0xAB5B, 0xAB5B, 0xA31B, 0xA33B, 0xBBDA, 0xCC39, 0xD458, 0xDC77, 0xE4F6, 0xE515, 0xE513, 0xDCF2, 0xDCD1, 0xDCB1, 0xD4B2, 0xCC92, 0xC451, 0xC410, 0xBBEF, 0xB3AE, 0xA34C, 
        0x9B2B, 0x9B2B, 0x9B2B, 0x9B2B, 0x9B2C, 0x9B2C, 0xA32D, 0xA32F, 0xAB11, 0xAB12, 0xB313, 0xB2F3, 0xB2D2, 0xB2B2, 0xBAB0, 0xBAAF, 0xBAAD, 0xB2CD, 0xB2ED, 0xBAED, 0xBAED, 0xBB0D, 0xBB2E, 0xC3AF, 0xCBF0, 0xCC30, 0xD470, 0xD491, 0xDCD1, 0xE4F2, 
        0xE4F2, 0xE511, 0xE511, 0xE4F1, 0xE511, 0xE511, 0xDD11, 0xDCF1, 0xDCD0, 0xDCD0, 0xDCCF, 0xDCCF, 0xDCCF, 0xDCAF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4CF, 0xD4CF, 0xD4AF, 0xCC8E, 0xCC8E, 0xCC8E, 0xCC8E, 0xCC8E, 0xCC8D, 0xD46D, 0xD44D, 0xD44D, 0xC44D, 
        0xC44D, 0xC42C, 0xBC0C, 0xBBEB, 0xB3CB, 0xA349, 0x9B08, 0x92E7, 0x8AC6, 0x82A5, 0x7265, 0x6A25, 0x6A05, 0x6205, 0x6A05, 0x6A06, 0x7A67, 0x82EA, 0x8B4C, 0x8B4C, 0x8B4C, 0x8B4C, 0x938D, 0xA40F, 0xA44F, 0xAC4F, 0xAC4F, 0xB44F, 0xBC2F, 0xC3EE, 
        0xCBEE, 0xDC6F, 0xE4F1, 0xED31, 0xF592, 0xF5B3, 0xF5D3, 0xEDD3, 0xEDB2, 0xE590, 0xD52E, 0xAC4D, 0x9BCC, 0x834A, 0x6AE9, 0x5AA8, 0x5288, 0x6A89, 0x72AA, 0x730B, 0x632B, 0x532A, 0x532A, 0x9B6F, 0xC372, 0xE2F6, 0xF279, 0xFA1A, 0xF9D9, 0xFA3A, 
        0xFA7B, 0xFA9A, 0xFA79, 0xFA39, 0xF196, 0xE111, 0xD8EF, 0xD8CF, 0xD8CF, 0xD8CF, 0xD8D0, 0xE933, 0xF155, 0xF996, 0xF9B7, 0xF9B7, 0xF197, 0xE935, 0xE935, 0xF1B7, 0xF9F8, 0xF1F8, 0xF196, 0xF155, 0xF114, 0xE8F2, 0xE0B1, 0xD8B1, 0xD891, 0xD8B2, 
        0xE0F3, 0xE914, 0xE934, 0xF154, 0xF154, 0xF9B6, 0xF9B7, 0xF175, 0xE913, 0xE0B1, 0xD84E, 0xE0B1, 0xE913, 0xF175, 0xF9D6, 0xF9D7, 0xF9D7, 0xF9B7, 0xF196, 0xF156, 0xF155, 0xF155, 0xF155, 0xF997, 0xF9B8, 0xF9DA, 0xF9FB, 0xF9FB, 0xFA1B, 0xF1FC, 
        0xF1DB, 0xF198, 0xE996, 0xE996, 0xE997, 0xF1B7, 0xF996, 0xF176, 0xF155, 0xF135, 0xF114, 0xE913, 0xE0F2, 0xE0D1, 0xE0D0, 0xE0EF, 0xE10F, 0xD8CE, 0xC88C, 0xB047, 0xA045, 0xA865, 0xC12A, 0xEB16, 0xFB7A, 0xF236, 0xE953, 0xE8F1, 0xE0D1, 0xE933, 
        0xE953, 0xD912, 0xD8F1, 0xD8F1, 0xD911, 0xD8F1, 0xD8F1, 0xD8D1, 0xD8F1, 0xD8F2, 0xE132, 0xF174, 0xF175, 0xF995, 0xF995, 0xF1B5, 0xF1B6, 0xF1B5, 0xF1B5, 0xF1D6, 0xF1F6, 0xF9D6, 0xF9D7, 0xFA19, 0xFA3A, 0xFA19, 0xFA19, 0xFA39, 0xF218, 0xE953, 
        0xD8D0, 0xB86C, 0xA829, 0x9808, 0x9807, 0x9827, 0x9847, 0x9867, 0xA088, 0xA089, 0xA8AA, 0xA8AB, 0x9889, 0x7045, 0x6843, 0x7083, 0x80A5, 0x6844, 0x6024, 0x7045, 0x7846, 0x8045, 0x7825, 0x8868, 0x90AA, 0x98AA, 0xA0AB, 0xA8AB, 0xA06A, 0x6846, 
        0x5825, 0x6025, 0x6826, 0x6847, 0x7047, 0x7025, 0x7825, 0x7027, 0x7028, 0x7827, 0x7847, 0x7869, 0x788A, 0x6847, 0x5825, 0x4823, 0x4904, 0xA450, 0xD617, 0xEF1B, 0xFFBE, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 
        0xFFDF, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFDE, 0xFF9D, 0xFF5C, 0xF73C, 0xF6FA, 0xF6F9, 0xEE96, 0xE5B4, 0xDD95, 0xE656, 0xE719, 0xEF7B, 0xD69A, 0x5ACB, 0x3124, 0x4105, 0x7187, 0x9A2A, 0xCA8D, 0xC9AC, 0xC14B, 0xC96B, 0xC96A, 0xB929, 0x90A5, 0x5062, 
        0x3882, 0x40C3, 0x48C3, 0x58A3, 0x78C6, 0xBAEF, 0xDC34, 0xED36, 0xFDB8, 0xFD98, 0xF516, 0xDC93, 0xD452, 0xD431, 0xDC31, 0xDC72, 0xDC93, 0xDC72, 0xD431, 0xCBCF, 0xBB4E, 0xB32D, 0xAAED, 0xB32E, 0xBB6E, 0xBB4E, 0xB30D, 0xB2AC, 0xA20A, 0x9987, 
        0x9968, 0xA1EA, 0xB26D, 0xB2CF, 0xC370, 0xCC52, 0xD472, 0xCC11, 0xCBD1, 0xCBD1, 0xD411, 0xD473, 0xDCB4, 0xDCB4, 0xDCB3, 0xDC92, 0xD431, 0xBB6E, 0xB30C, 0xB32C, 0xB32C, 0xBB4E, 0xC371, 0xE3F3, 0xDBD2, 0xAAAD, 0x7187, 0x48E4, 0x4145, 0xACB2, 
        0xCD54, 0x830B, 0x4124, 0x2861, 0x3063, 0xA1AB, 0xDA4F, 0xDA91, 0xC251, 0xA9AE, 0x78EA, 0x6207, 0x6AE7, 0x8BA8, 0x93A8, 0x82E8, 0x6966, 0x6847, 0x6807, 0x7027, 0x7048, 0x7048, 0x7048, 0x7047, 0x7047, 0x7867, 0x7868, 0x7848, 0x7028,
  0x9AF8, 0x9AF8, 0x9AF8, 0x9AF7, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9AF8, 0xA2F8, 0xA319, 0xA339, 0x9B18, 0x9B18, 0x9B18, 0xA319, 0xA319, 0xA319, 0xA319, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 
        0xA33A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xAB5A, 0xAB5B, 0xAB5B, 0xAB5C, 0xA31C, 0xAB3B, 0xB3DA, 0xBC39, 0xC458, 0xD477, 0xE4F6, 0xED15, 0xE515, 0xE514, 0xE4F4, 0xDCD3, 0xD494, 0xCC73, 0xC431, 0xBC0F, 0xBC0E, 0xBBED, 0xABCC, 
        0xA3AC, 0xA38C, 0xA36D, 0xA38D, 0xAB8E, 0xAB8E, 0xA36F, 0xA352, 0xA355, 0xA355, 0xAB36, 0xBB36, 0xBB35, 0xBB14, 0xB333, 0xB351, 0xBB6F, 0xC34D, 0xC34C, 0xC36D, 0xC38E, 0xC38E, 0xC3AF, 0xCC10, 0xCC51, 0xD490, 0xDCB1, 0xDCB1, 0xDCD2, 0xE511, 
        0xE511, 0xE511, 0xE511, 0xE511, 0xE511, 0xDCF1, 0xDCF1, 0xDCF0, 0xDCF0, 0xDCD0, 0xDCD0, 0xDCCF, 0xD4CE, 0xDCCF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AF, 0xD4AE, 0xCC8E, 0xCC8E, 0xCC8E, 0xCC8E, 0xCC8E, 0xCC8D, 0xD48D, 0xCC8D, 0xCC6E, 0xC42C, 
        0xBBEB, 0xBBCB, 0xB3CB, 0xB3AB, 0xA36A, 0x8AC7, 0x8286, 0x82A7, 0x7AA7, 0x7AA7, 0x7AA7, 0x7AC7, 0x7AE8, 0x8309, 0x8309, 0x832A, 0x8B4A, 0x8BAD, 0x93CE, 0x93CE, 0x93EE, 0x940E, 0x940E, 0x940D, 0x9C0D, 0xA40D, 0xAC0D, 0xB40D, 0xBC0D, 0xCBEC, 
        0xCBEC, 0xCC2D, 0xCC6D, 0xD4AE, 0xE52F, 0xED52, 0xED53, 0xED73, 0xED73, 0xE572, 0xDD2F, 0xC48E, 0xB42D, 0x9BCC, 0x834B, 0x7309, 0x62A8, 0x72CA, 0x7B0B, 0x7B2B, 0x6B4B, 0x6329, 0x5B08, 0x7B0C, 0xA310, 0xD2F6, 0xF2BA, 0xFA5B, 0xF9FA, 0xFA3B, 
        0xFA7B, 0xFA9B, 0xFA79, 0xFA58, 0xF1D6, 0xE113, 0xD8B1, 0xD8AF, 0xD8AE, 0xD8AE, 0xD8AF, 0xE8F1, 0xF132, 0xF174, 0xF1B6, 0xF1D6, 0xF1B6, 0xE114, 0xD8F3, 0xE955, 0xF1B7, 0xF1B7, 0xF176, 0xF135, 0xF114, 0xE8F3, 0xE0B1, 0xD890, 0xD070, 0xE0B2, 
        0xE8F4, 0xF155, 0xF196, 0xF9B6, 0xF996, 0xF974, 0xF153, 0xE8F2, 0xD890, 0xD06E, 0xD04E, 0xD8D1, 0xE913, 0xF154, 0xF176, 0xF196, 0xF1B7, 0xF197, 0xE977, 0xF197, 0xF197, 0xF197, 0xF1B7, 0xF9B7, 0xF9B7, 0xF9B8, 0xF9D9, 0xF9FA, 0xFA1B, 0xF1DA, 
        0xF1B9, 0xF197, 0xE996, 0xE996, 0xE997, 0xF177, 0xF176, 0xF154, 0xE953, 0xE933, 0xE0D2, 0xD06D, 0xC84C, 0xD04C, 0xD04D, 0xD86D, 0xC86C, 0xB027, 0xA025, 0xA886, 0xB96B, 0xD250, 0xEB36, 0xF236, 0xF175, 0xE913, 0xE912, 0xE912, 0xE933, 0xE112, 
        0xE112, 0xD8F1, 0xD8D0, 0xD0D0, 0xD0D0, 0xD8F0, 0xE0F1, 0xE0F1, 0xE112, 0xE112, 0xE953, 0xF195, 0xF996, 0xF9B6, 0xF9B6, 0xF1B5, 0xF195, 0xF1B6, 0xF1B6, 0xF1B6, 0xF1B6, 0xF1B6, 0xF1B7, 0xF9D8, 0xF9D9, 0xF9FA, 0xF9FA, 0xF9FA, 0xF9F9, 0xF9B6, 
        0xE973, 0xD0EF, 0xB86B, 0xA849, 0x9827, 0x9848, 0x9848, 0xA068, 0xA888, 0xB0A9, 0xB0AB, 0xA04A, 0x8828, 0x6824, 0x6042, 0x6863, 0x88A5, 0x8066, 0x8046, 0x8847, 0x8847, 0x8847, 0x9048, 0xA0AA, 0xA0CB, 0xA0CB, 0xA8AB, 0xB0AB, 0xB08B, 0x8088, 
        0x6867, 0x6045, 0x6025, 0x6826, 0x7047, 0x7846, 0x7845, 0x7046, 0x7046, 0x6825, 0x6825, 0x7048, 0x7849, 0x7068, 0x6066, 0x5084, 0x40C3, 0x5965, 0x7AAA, 0xB514, 0xDEDA, 0xEF7D, 0xFFDE, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDE, 0xF75C, 0xF71B, 0xF6DA, 0xF6B9, 0xF6B8, 0xEE56, 0xE5B4, 0xE5D5, 0xEEDA, 0xEF5C, 0xE73C, 0xB5D6, 0x41E7, 0x2883, 0x8988, 0xCA2C, 0xD22D, 0xD1ED, 0xDA2D, 0xDA2D, 0xB9AB, 0xA129, 0x90E6, 0x7084, 0x4862, 
        0x4062, 0x5062, 0x6063, 0x7064, 0x9127, 0xCB92, 0xECB6, 0xF557, 0xFD98, 0xFD78, 0xF557, 0xECF5, 0xDCB3, 0xD432, 0xD431, 0xDC72, 0xE4D4, 0xE4B4, 0xDC93, 0xD431, 0xCBCF, 0xC38E, 0xBB2D, 0xBB6E, 0xC38F, 0xCBD0, 0xCBD1, 0xCB90, 0xBACD, 0xA9E9, 
        0xA1A8, 0x99E9, 0x9A2A, 0x9A4B, 0xA2AC, 0xB36F, 0xC3F0, 0xD432, 0xDC32, 0xDC12, 0xD3F2, 0xD452, 0xDC92, 0xDCB3, 0xE4B3, 0xE494, 0xDC32, 0xC38E, 0xB34C, 0xB2EC, 0xB2ED, 0xBB0E, 0xCB70, 0xDC32, 0xCBF0, 0x9A8A, 0x6925, 0x50A3, 0x5145, 0xC512, 
        0xDD94, 0x82AA, 0x38A2, 0x2000, 0x38A3, 0xB2AD, 0xE392, 0xDBB2, 0xBB51, 0x9AAE, 0x6988, 0x5985, 0x6205, 0x82A7, 0x8AA8, 0x7A27, 0x60E5, 0x6026, 0x6807, 0x6827, 0x6827, 0x6827, 0x6846, 0x6866, 0x7066, 0x7066, 0x7066, 0x7046, 0x7027,
  0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA33A, 0xA33B, 0xA33A, 0xA339, 0xA339, 0xA33A, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33B, 0xAB3B, 0xAB5A, 
        0xA35A, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB5C, 0xAB3C, 0xAB5C, 0xAB7B, 0xB3DB, 0xC41B, 0xD49B, 0xE517, 0xED36, 0xED36, 0xED56, 0xED56, 0xE536, 0xDCB5, 0xD474, 0xC433, 0xBBF2, 0xB3F1, 0xB3EF, 0xB3EF, 
        0xB3CE, 0xABCE, 0xABCF, 0xB3D0, 0xB3F1, 0xABB1, 0xAB91, 0xAB93, 0xA375, 0xA376, 0xA378, 0xB399, 0xBB99, 0xBB97, 0xBB96, 0xBB94, 0xC3B1, 0xC3EF, 0xC3EE, 0xC40E, 0xC40F, 0xC40F, 0xC430, 0xD471, 0xDC91, 0xDCB0, 0xDCD0, 0xDCD0, 0xDCF0, 0xE531, 
        0xE531, 0xED31, 0xED11, 0xED11, 0xE4F1, 0xE4F1, 0xDCF1, 0xDCF1, 0xE4F1, 0xDCF1, 0xDCD0, 0xD4CF, 0xD4CF, 0xD4CF, 0xDCCF, 0xDCAF, 0xD4AF, 0xD4CF, 0xD4D0, 0xD4AF, 0xD4AF, 0xD48F, 0xD48E, 0xCC8E, 0xCC6E, 0xCC6D, 0xCC4D, 0xC44D, 0xBC4D, 0xC40C, 
        0xBBEC, 0xB3CB, 0xABCB, 0xABAB, 0x9B6B, 0x8B08, 0x82C7, 0x82C8, 0x82E9, 0x82E9, 0x832B, 0x8BAC, 0x8BCC, 0x93ED, 0x940D, 0x940E, 0x942E, 0x9C4F, 0x9C70, 0x9C70, 0x9C71, 0x9C70, 0x9C50, 0x940E, 0x93ED, 0x9BED, 0xA3ED, 0xA3EC, 0xABEC, 0xC40B, 
        0xCC0A, 0xC40B, 0xC42C, 0xCC6D, 0xDCAF, 0xED11, 0xF532, 0xED53, 0xE553, 0xE532, 0xDD11, 0xC4B0, 0xBC90, 0xB46F, 0x9BED, 0x8B6C, 0x6AEA, 0x7B2C, 0x836D, 0x7B6D, 0x736D, 0x6B6C, 0x630B, 0x6288, 0x728A, 0xB2F2, 0xE318, 0xF2B9, 0xFA19, 0xFA1B, 
        0xFA3C, 0xFA7B, 0xFA7B, 0xFA7A, 0xFA37, 0xF135, 0xF0D3, 0xE8B1, 0xE0AF, 0xE08F, 0xE08F, 0xE8F0, 0xE932, 0xF133, 0xF955, 0xF975, 0xF196, 0xE914, 0xE8F3, 0xE914, 0xF114, 0xF134, 0xF134, 0xF936, 0xF135, 0xE8F3, 0xE0B1, 0xD870, 0xD070, 0xE955, 
        0xF9B7, 0xF996, 0xF996, 0xF995, 0xF174, 0xE8F1, 0xE090, 0xD890, 0xD870, 0xD86F, 0xD090, 0xD891, 0xE0D2, 0xE933, 0xF175, 0xF175, 0xF175, 0xE976, 0xE976, 0xF197, 0xF997, 0xF997, 0xF9B7, 0xF9B8, 0xF1B8, 0xF9B9, 0xF9DA, 0xF9FB, 0xFA1B, 0xFA19, 
        0xF9F7, 0xF1B6, 0xF175, 0xE975, 0xE954, 0xE934, 0xE0F3, 0xD8B1, 0xD06F, 0xC84D, 0xC02B, 0xB82A, 0xB82A, 0xC00A, 0xB809, 0xB006, 0xA824, 0xB866, 0xC8EA, 0xD9F2, 0xEAB7, 0xF2D8, 0xFA76, 0xF155, 0xF0D4, 0xE913, 0xE933, 0xE932, 0xE932, 0xE112, 
        0xE112, 0xD8F1, 0xD8D1, 0xD8D0, 0xD8D1, 0xE0D1, 0xE0F2, 0xF153, 0xF173, 0xF193, 0xF194, 0xF9B5, 0xF9D6, 0xF9D6, 0xF9D7, 0xF9B6, 0xF9B6, 0xF9B6, 0xF9D6, 0xF1B6, 0xF1B6, 0xF1B6, 0xF9B7, 0xF9D7, 0xF9D7, 0xF9D8, 0xF9B9, 0xF9B9, 0xF9B8, 0xF9F7, 
        0xF9D6, 0xF193, 0xD930, 0xC8CE, 0xB06A, 0xA849, 0xB049, 0xB089, 0xB8AB, 0xB8AC, 0xA8AC, 0x8026, 0x6803, 0x6002, 0x6022, 0x6863, 0x88A5, 0x98A9, 0xA08A, 0x906A, 0x904A, 0x906A, 0x98AB, 0xA0AC, 0xA8AB, 0xA88B, 0xA86B, 0xA86B, 0xA88C, 0xA0EC, 
        0x90CB, 0x7067, 0x6025, 0x6004, 0x6845, 0x7867, 0x7867, 0x7046, 0x7046, 0x6845, 0x6845, 0x6846, 0x6847, 0x6847, 0x70A7, 0x7908, 0x6987, 0x30A3, 0x28A2, 0x5206, 0x93CC, 0xBD33, 0xEF3C, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFFF, 0xFFFF, 
        0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFBF, 0xFF7D, 0xF75C, 0xF71B, 0xF6D9, 0xF698, 0xF657, 0xF656, 0xF697, 0xE6B9, 0xBDB6, 0x8430, 0x41E7, 0x3945, 0x59C8, 0xAB0E, 0xCB51, 0xC2D0, 0xA98B, 0xB9CB, 0xC1CB, 0xB149, 0xA0E7, 0x98A6, 0x8064, 0x5062, 
        0x4062, 0x4842, 0x5863, 0x6884, 0x9149, 0xDB71, 0xF475, 0xFCD6, 0xFD37, 0xFD57, 0xFD98, 0xFD99, 0xF559, 0xECF5, 0xECB3, 0xE492, 0xE493, 0xE493, 0xECD4, 0xED15, 0xED15, 0xE4D4, 0xDC72, 0xDC72, 0xE472, 0xE472, 0xE473, 0xE453, 0xE413, 0xDB91, 
        0xDB70, 0xD34F, 0xC32E, 0xBB2D, 0xAAED, 0xA2AD, 0xAAAD, 0xB30E, 0xC370, 0xCB91, 0xDBD2, 0xDC32, 0xDC52, 0xDC52, 0xDC72, 0xDC92, 0xDCB2, 0xDC52, 0xD3F1, 0xBB8E, 0xAB4C, 0xB32B, 0xBB4C, 0xBB70, 0xBB91, 0xB34F, 0x92AC, 0x7A09, 0x6A07, 0xBCD0, 
        0xCD32, 0x8289, 0x5082, 0x4800, 0x6062, 0x8987, 0xA22A, 0xAA8B, 0xA2AC, 0x9A6C, 0x79EA, 0x6145, 0x6123, 0x7144, 0x7125, 0x68E5, 0x5865, 0x6826, 0x6827, 0x6827, 0x6827, 0x6826, 0x6825, 0x7066, 0x7086, 0x7065, 0x7046, 0x7046, 0x7048,
  0x9AD8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA31A, 0xA31A, 0xA31A, 0xA339, 0xA339, 0xA339, 0xA339, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33B, 0xA33B, 0xAB3A, 0xA35A, 
        0xA35A, 0xA35A, 0xA35B, 0xA35B, 0xA35B, 0xAB5A, 0xAB5A, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB5B, 0xA33B, 0xAB3B, 0xAB7B, 0xB3FB, 0xBC3B, 0xCCBB, 0xDCF7, 0xDD16, 0xE536, 0xE537, 0xE518, 0xDCF9, 0xD498, 0xC456, 0xBBF4, 0xABB3, 0xABB2, 0xABB1, 0xABD0, 
        0xABD0, 0xB3F0, 0xB411, 0xB412, 0xB413, 0xABB4, 0xAB95, 0xABB7, 0xB3D9, 0xABBB, 0xABBC, 0xBBBC, 0xBBDB, 0xC3FA, 0xBC18, 0xC416, 0xC413, 0xC450, 0xC46F, 0xC46F, 0xCC90, 0xCC90, 0xCC91, 0xD4B1, 0xDCD0, 0xDCD0, 0xDCF1, 0xDD11, 0xDD11, 0xDD11, 
        0xDD11, 0xE511, 0xE511, 0xE511, 0xE4F1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCD0, 0xD4CF, 0xD4CF, 0xD4CF, 0xD4CF, 0xD4CF, 0xCCAF, 0xD4AF, 0xD48F, 0xD48F, 0xD48E, 0xCC8E, 0xCC8E, 0xCC6E, 0xCC4D, 0xCC4D, 0xC44D, 0xC42C, 0xC3EB, 0xB3CB, 
        0xABAB, 0xA3AB, 0x9BAB, 0x9BAB, 0x93AB, 0x93CC, 0x93EC, 0x9C0D, 0xA42E, 0xA44E, 0xA46F, 0xAC8F, 0xAC8F, 0xACB0, 0xACB1, 0xA4D1, 0xA4D1, 0xACD1, 0xACD1, 0xA4D1, 0xA4D1, 0xA4D1, 0xA490, 0x944E, 0x942D, 0x940C, 0x9BEB, 0xA3CA, 0xABE9, 0xBC2A, 
        0xC44B, 0xC44B, 0xCC6C, 0xCC8C, 0xD4AD, 0xDCAE, 0xDCAF, 0xDCD0, 0xDCF1, 0xDD12, 0xDD12, 0xE511, 0xDD11, 0xCCF1, 0xB4AF, 0xA44D, 0x7BAA, 0x734C, 0x734D, 0x734D, 0x6B2C, 0x632C, 0x5AEB, 0x5ACA, 0x72EC, 0xB352, 0xE337, 0xF2D8, 0xFA19, 0xFA1B, 
        0xFA3C, 0xFA7B, 0xFA7A, 0xFA59, 0xF9F7, 0xE953, 0xE8F2, 0xE0B0, 0xE08F, 0xD86E, 0xD88E, 0xE0F1, 0xE112, 0xE934, 0xF135, 0xF155, 0xF176, 0xE954, 0xE933, 0xE113, 0xE0F3, 0xE0F3, 0xE914, 0xF175, 0xF955, 0xE913, 0xE0D2, 0xE0B1, 0xE0F2, 0xF196, 
        0xF9D7, 0xF996, 0xF974, 0xF154, 0xE912, 0xD890, 0xD86F, 0xD08F, 0xD08E, 0xD08E, 0xD88E, 0xD8B0, 0xE0F2, 0xE933, 0xE933, 0xE933, 0xE113, 0xF155, 0xF156, 0xF176, 0xF176, 0xF176, 0xF177, 0xF977, 0xF998, 0xF1B8, 0xF9D9, 0xF9FA, 0xF9FB, 0xF1D9, 
        0xF1B7, 0xE955, 0xE914, 0xE0F3, 0xD8B2, 0xD08F, 0xC86D, 0xB82B, 0xB029, 0xB009, 0xB029, 0xB849, 0xB048, 0xA825, 0xA823, 0xA823, 0xC0A6, 0xE1F2, 0xF277, 0xFA98, 0xFA78, 0xFA17, 0xF956, 0xE913, 0xE112, 0xE0F2, 0xE0F2, 0xD8F2, 0xD8F1, 0xD911, 
        0xE111, 0xD8F1, 0xD8F1, 0xD0D1, 0xD0D1, 0xD8D1, 0xE0F2, 0xF174, 0xF1B5, 0xF1D5, 0xF1B5, 0xF1D6, 0xF9D7, 0xF9F7, 0xF9F7, 0xF9F8, 0xF9D7, 0xF1D6, 0xF1B6, 0xF1B6, 0xF9D6, 0xF9F6, 0xF9F7, 0xF1D7, 0xF1B7, 0xF1B7, 0xF9B7, 0xF9B7, 0xF9B8, 0xF9F7, 
        0xF9F7, 0xF195, 0xE132, 0xD8CF, 0xC08C, 0xB069, 0xB089, 0xB089, 0xB08B, 0xB08C, 0xA86B, 0x8025, 0x6802, 0x5821, 0x6041, 0x7062, 0x9085, 0xA0AA, 0xA08B, 0x984A, 0x904A, 0x986A, 0x988A, 0x9849, 0x9029, 0x9029, 0x982A, 0xA02A, 0xA86B, 0xB0CD, 
        0xA0CC, 0x8868, 0x7025, 0x6804, 0x6025, 0x7066, 0x7066, 0x7066, 0x6845, 0x6045, 0x6065, 0x6046, 0x6846, 0x6866, 0x68C7, 0x6927, 0x61A6, 0x3962, 0x3141, 0x51C4, 0x72C9, 0x93EE, 0xCDD7, 0xF77D, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 
        0xFFDF, 0xFFDF, 0xFFBF, 0xFF9F, 0xFF7E, 0xFF7D, 0xFF5C, 0xF6FA, 0xF698, 0xF637, 0xF637, 0xFF3B, 0xEF1B, 0xBD33, 0x832B, 0x5A27, 0x4A08, 0xACB3, 0xD556, 0xC350, 0xB18A, 0xA0E7, 0xA0A6, 0xB129, 0xB96A, 0xA969, 0x9127, 0x80E5, 0x6062, 0x4061, 
        0x4061, 0x5862, 0x78A5, 0x9128, 0xC24E, 0xEC33, 0xF4F5, 0xFD36, 0xFD78, 0xFD98, 0xFDB9, 0xF558, 0xF4F6, 0xE494, 0xE493, 0xECB4, 0xECD5, 0xE4D4, 0xE4D4, 0xE4F4, 0xE4F4, 0xDCD4, 0xDCB3, 0xE4B3, 0xE4B3, 0xDC93, 0xDC73, 0xDC33, 0xE413, 0xDC13, 
        0xDC12, 0xD3B0, 0xCB6E, 0xC32D, 0xBB0D, 0xBB50, 0xBB50, 0xBB2F, 0xBB2F, 0xBB4F, 0xC3B1, 0xDC11, 0xDC52, 0xDC52, 0xDC92, 0xDC93, 0xDC92, 0xCBF0, 0xC3AE, 0xBB8D, 0xB36C, 0xB32C, 0xB30D, 0xC3D2, 0xBBD2, 0x9AED, 0x9AEB, 0xAB6C, 0xB3ED, 0x9269, 
        0x7165, 0x58A3, 0x5841, 0x5841, 0x70C3, 0x81A6, 0x8208, 0x89C8, 0x8167, 0x8127, 0x78E6, 0x8107, 0x8107, 0x78E6, 0x70A6, 0x70A6, 0x7087, 0x7068, 0x7048, 0x7068, 0x7067, 0x7088, 0x7088, 0x6847, 0x6826, 0x6826, 0x6827, 0x6847, 0x7048,
  0x9AF8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9AF8, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA318, 0xA319, 0xA31A, 0xA31A, 0xA319, 0xA319, 0xA319, 0xA319, 0xA339, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA35A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xAB3A, 0xA35A, 
        0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xAB5A, 0xAB5A, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xB37B, 0xBBBC, 0xBBFC, 0xC47C, 0xD4D9, 0xD4F8, 0xDD16, 0xDD16, 0xDCF6, 0xD4D7, 0xCC57, 0xC417, 0xB3B5, 0xAB73, 0xA373, 0xA372, 0xAB91, 
        0xABB0, 0xABD1, 0xB3F1, 0xB412, 0xB433, 0xABD4, 0xABB5, 0xB3D8, 0xB3DB, 0xB3DC, 0xB3BE, 0xBBBD, 0xBBBC, 0xC3FB, 0xC439, 0xBC38, 0xC435, 0xCC91, 0xD490, 0xD4B0, 0xD4B0, 0xD4B0, 0xD4D1, 0xD4B1, 0xD4B1, 0xDCD1, 0xDD11, 0xE511, 0xE532, 0xDD32, 
        0xDD32, 0xE512, 0xE511, 0xE511, 0xE531, 0xDD10, 0xDCF0, 0xDCF0, 0xDCF1, 0xDCF1, 0xDCF0, 0xDCEF, 0xD4EE, 0xD4CF, 0xD4CF, 0xD4CF, 0xD4CF, 0xD48F, 0xD48F, 0xD48E, 0xD48E, 0xCC6E, 0xCC6E, 0xCC4E, 0xCC4D, 0xC44D, 0xBC2C, 0xB3EB, 0xB3AA, 0xABEB, 
        0xAC0C, 0xA3EC, 0x9C0C, 0x9C0C, 0x9C2D, 0xA46E, 0xA46F, 0xAC90, 0xACB1, 0xB4D1, 0xACD2, 0xB4D2, 0xB4F2, 0xB512, 0xB533, 0xBD33, 0xB553, 0xB513, 0xACF2, 0xA4F2, 0xA4F1, 0xA4F1, 0x9CB0, 0x946E, 0x944D, 0x942C, 0x9C0B, 0xA40A, 0xAC2A, 0xC46B, 
        0xD4AC, 0xD4ED, 0xDD0E, 0xDD2F, 0xE530, 0xDD11, 0xDD11, 0xD4F1, 0xD4D2, 0xDCF2, 0xDD12, 0xE512, 0xE532, 0xD530, 0xBD0F, 0xACCE, 0x8C2C, 0x6B29, 0x62C9, 0x6AEB, 0x6B0C, 0x6B0C, 0x630B, 0x5B2A, 0x738C, 0xA3F2, 0xCBD5, 0xE336, 0xF217, 0xF9FA, 
        0xFA1C, 0xFA5B, 0xFA7B, 0xFA5A, 0xF9F7, 0xE993, 0xE931, 0xE0F0, 0xE0AE, 0xE08D, 0xD88D, 0xD8AF, 0xE0D1, 0xE112, 0xE953, 0xF174, 0xF175, 0xE954, 0xE133, 0xE0F3, 0xE0F3, 0xE0F3, 0xE933, 0xF154, 0xF155, 0xE934, 0xE934, 0xF134, 0xF154, 0xF955, 
        0xF975, 0xF174, 0xF133, 0xE8F2, 0xE090, 0xD08E, 0xD0AE, 0xC88E, 0xC88E, 0xD08E, 0xD8AE, 0xD8D1, 0xD8F2, 0xE113, 0xE132, 0xE112, 0xE112, 0xE955, 0xF176, 0xF155, 0xF135, 0xF156, 0xF176, 0xF176, 0xF176, 0xF198, 0xF9DA, 0xF9FB, 0xFA1A, 0xF996, 
        0xF134, 0xE8D3, 0xD892, 0xD051, 0xC02E, 0xB82A, 0xB828, 0xA826, 0xA826, 0xA847, 0xB047, 0xA024, 0xA023, 0xB065, 0xC8C9, 0xD94D, 0xEA13, 0xFA98, 0xFA99, 0xFA17, 0xF9B7, 0xF997, 0xF177, 0xE0D2, 0xD8B0, 0xD8D1, 0xD8F1, 0xE0F2, 0xD8D1, 0xD8D1, 
        0xD8D1, 0xD8D1, 0xD0D1, 0xD0D0, 0xD0D0, 0xE112, 0xE953, 0xF174, 0xF1B5, 0xF1D5, 0xF1F6, 0xFA17, 0xFA18, 0xFA18, 0xFA38, 0xFA18, 0xFA18, 0xF1D7, 0xF1D7, 0xF9D6, 0xF9F6, 0xF9F6, 0xFA17, 0xF1D7, 0xF1B7, 0xF1D7, 0xF1B7, 0xF9B8, 0xF9B8, 0xFA18, 
        0xFA18, 0xF1D6, 0xE954, 0xE112, 0xD0AE, 0xB08A, 0xA889, 0xB0AA, 0xB08B, 0xA88B, 0xA06A, 0x7825, 0x6003, 0x5821, 0x6042, 0x7884, 0x98A8, 0xA0AB, 0xA08B, 0x9869, 0x9048, 0x9027, 0x9026, 0x9007, 0x9007, 0x9828, 0x9828, 0x9828, 0xA049, 0xB8AD, 
        0xB8CD, 0x988A, 0x8046, 0x7024, 0x6023, 0x6065, 0x6865, 0x6866, 0x6845, 0x6045, 0x5825, 0x5845, 0x6066, 0x6887, 0x68A7, 0x68E6, 0x5985, 0x5244, 0x4244, 0x3163, 0x3944, 0x51C7, 0x93AE, 0xE6BA, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFDF, 0xFFDF, 0xFFBF, 0xFF9F, 0xFF7E, 0xFF5D, 0xF73C, 0xF6B9, 0xF698, 0xF6B8, 0xFF1B, 0xF71C, 0xCE17, 0x734D, 0x5229, 0x72AB, 0xC432, 0xDBD1, 0xD2EE, 0xB1AA, 0xA0E8, 0xA108, 0xA969, 0xB96A, 0xB149, 0x9927, 0x80E5, 0x7083, 0x5821, 0x4842, 
        0x4863, 0x6905, 0x9189, 0xA9EB, 0xD2B0, 0xEC13, 0xFCD5, 0xFD36, 0xFD77, 0xFDB9, 0xF5F9, 0xF578, 0xF536, 0xE4D5, 0xE494, 0xE493, 0xECB4, 0xED15, 0xED36, 0xED35, 0xED35, 0xED35, 0xED15, 0xE4F4, 0xDCD3, 0xDCB3, 0xDC93, 0xDC53, 0xDC32, 0xE473, 
        0xE473, 0xE453, 0xDC12, 0xD3F1, 0xC36F, 0xB30D, 0xB2EC, 0xBB0E, 0xBB4F, 0xBB70, 0xBB91, 0xCC12, 0xD432, 0xD432, 0xD453, 0xDC93, 0xE4B4, 0xCC30, 0xC3CE, 0xBBAD, 0xB34B, 0xB30A, 0xB30B, 0xCC11, 0xD453, 0xBBCF, 0xB36D, 0xAB8D, 0x9B2B, 0x5904, 
        0x4821, 0x5841, 0x6882, 0x70A3, 0x70C4, 0x60A4, 0x5883, 0x6063, 0x6884, 0x68A4, 0x70C5, 0x8905, 0x9105, 0x88E6, 0x80C7, 0x78C8, 0x78A8, 0x7068, 0x7048, 0x8089, 0x88AA, 0x88CA, 0x80CA, 0x7048, 0x6828, 0x7048, 0x7069, 0x7069, 0x7069,
  0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA318, 0xA318, 0xA318, 0xA318, 0xA318, 0xA318, 0xA319, 0x9B1A, 0x9B1A, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA35A, 0xA35A, 0xAB5A, 0xAB5A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA33A, 0xA33A, 0xA35A, 0xAB5A, 
        0xAB5A, 0xA37B, 0xA37B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB5C, 0xAB7C, 0xB3DC, 0xBC5D, 0xDCBB, 0xE4DA, 0xDCF8, 0xD4F7, 0xD4F7, 0xD4D8, 0xC43A, 0xBBDA, 0xABB8, 0xA377, 0xA356, 0xA355, 0xA393, 
        0xA3B2, 0xA3B2, 0xA3D2, 0xA3F3, 0xAC14, 0xB3D5, 0xB3D6, 0xB3D8, 0xB3DB, 0xB3DC, 0xB3BE, 0xB3BD, 0xB3DD, 0xB3DC, 0xBBFB, 0xBC3A, 0xC457, 0xCC73, 0xD491, 0xD4B0, 0xD4D0, 0xDCD0, 0xDCD0, 0xD4D1, 0xD4F1, 0xDD11, 0xDD11, 0xDD31, 0xE511, 0xE532, 
        0xE532, 0xE532, 0xE532, 0xE532, 0xE531, 0xE511, 0xE511, 0xE4F1, 0xDCF1, 0xDCF1, 0xDCD0, 0xDCB0, 0xDCAF, 0xDCAF, 0xDCAF, 0xDCAF, 0xD4AF, 0xCC8F, 0xCC8F, 0xD48F, 0xDC8F, 0xDC6F, 0xDC4E, 0xCC0C, 0xC40C, 0xBC2C, 0xBC2C, 0xBBEB, 0xB3CB, 0xA42D, 
        0xA44D, 0xA44D, 0xA44D, 0xA44E, 0xA46F, 0xA4B0, 0xACD0, 0xACF1, 0xB4F2, 0xB4F2, 0xB4F3, 0xB512, 0xB532, 0xB512, 0xB532, 0xB533, 0xB554, 0xBD75, 0xBD74, 0xB533, 0xAD12, 0xA4F2, 0x9CD1, 0x9C6E, 0x9C2C, 0x9C0B, 0x9C0A, 0xA3EA, 0xAC0A, 0xCC8B, 
        0xDCCC, 0xE50D, 0xED4F, 0xED50, 0xF570, 0xF570, 0xED70, 0xED30, 0xE52F, 0xE52F, 0xE52F, 0xE531, 0xDD31, 0xD530, 0xCD0F, 0xBD0F, 0xA48D, 0x7369, 0x6307, 0x6B09, 0x730B, 0x730B, 0x630B, 0x5B8B, 0x6BEC, 0x9410, 0xC3D4, 0xDB36, 0xF258, 0xF9FB, 
        0xFA1B, 0xFA5B, 0xFA7B, 0xFA7A, 0xFA57, 0xF1D5, 0xF173, 0xE912, 0xE0F0, 0xE0CF, 0xD8AE, 0xD88E, 0xD8AE, 0xE0F0, 0xE932, 0xE953, 0xF154, 0xF154, 0xF134, 0xE913, 0xE913, 0xE912, 0xE912, 0xF0F3, 0xF0F4, 0xF134, 0xF154, 0xF154, 0xF954, 0xF995, 
        0xF995, 0xF132, 0xE8D1, 0xE0AF, 0xD86E, 0xD88F, 0xD08F, 0xD08F, 0xD08F, 0xD0AF, 0xD8AE, 0xD8B0, 0xD8D1, 0xE0F1, 0xE111, 0xE112, 0xE112, 0xF154, 0xF155, 0xF134, 0xF134, 0xF154, 0xF975, 0xF176, 0xF196, 0xF9B8, 0xF9FA, 0xFA3B, 0xFA3B, 0xF956, 
        0xF0B2, 0xD86F, 0xC02D, 0xB82C, 0xB00A, 0xA828, 0xA847, 0xB026, 0xB024, 0xA823, 0x9823, 0xA805, 0xB868, 0xD990, 0xEA75, 0xF2D7, 0xFAB8, 0xF9F7, 0xF996, 0xF976, 0xF976, 0xF976, 0xF136, 0xE0D1, 0xD8B0, 0xE0F1, 0xE0F2, 0xE0F2, 0xE0F1, 0xD8D1, 
        0xD0D1, 0xD8F0, 0xD8F0, 0xD8F0, 0xE111, 0xE933, 0xF154, 0xF175, 0xF1B6, 0xF9F6, 0xFA37, 0xFA38, 0xFA39, 0xFA18, 0xFA18, 0xFA38, 0xFA38, 0xFA18, 0xFA17, 0xFA17, 0xFA17, 0xFA17, 0xF9F7, 0xF9D7, 0xF9D7, 0xF9F7, 0xF9D7, 0xF9D8, 0xF9D9, 0xFA19, 
        0xFA38, 0xFA17, 0xF9F6, 0xF1D5, 0xE972, 0xC88C, 0xB84B, 0xB06B, 0xB08C, 0xB08C, 0xA06B, 0x7024, 0x5801, 0x5821, 0x6843, 0x7885, 0x98CA, 0xA0AB, 0x988A, 0x988A, 0x9069, 0x9048, 0x8807, 0x9006, 0x9807, 0xA047, 0xA048, 0xA068, 0xA069, 0xB06D, 
        0xB88E, 0xB0CC, 0x98A9, 0x8086, 0x6023, 0x6044, 0x6065, 0x6846, 0x6845, 0x6025, 0x5024, 0x6025, 0x6846, 0x6886, 0x60C6, 0x5905, 0x4963, 0x4A04, 0x4A24, 0x41C3, 0x3942, 0x3102, 0x5207, 0xC5F6, 0xFFBD, 0xFFDF, 0xFFFF, 0xFFDF, 0xFFDF, 0xFFFF, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFF9E, 0xF73C, 0xF677, 0xF656, 0xF6B8, 0xF6FA, 0xD4F3, 0xA34C, 0x51A6, 0x4967, 0x7A4C, 0xD393, 0xCA0D, 0xB96A, 0xB9EB, 0xC26D, 0xCA8F, 0xD24F, 0xB96B, 0xA8E9, 0x90A6, 0x7883, 0x6842, 0x5821, 0x4842, 
        0x50A4, 0x7947, 0x99CA, 0xB1EC, 0xCA8F, 0xE3B3, 0xEC74, 0xF4F6, 0xFD57, 0xFD99, 0xFDDA, 0xFE1A, 0xFDF9, 0xF598, 0xF536, 0xF516, 0xECB4, 0xDC52, 0xDC73, 0xED15, 0xF576, 0xF597, 0xF597, 0xF535, 0xED14, 0xECF4, 0xE4B4, 0xE493, 0xE472, 0xEC93, 
        0xEC93, 0xEC73, 0xEC93, 0xEC93, 0xE472, 0xDBD0, 0xD38F, 0xCBB0, 0xCBD2, 0xD3F2, 0xD3F2, 0xBB90, 0xB370, 0xC3D1, 0xD432, 0xDC53, 0xE473, 0xD470, 0xCC6F, 0xD46F, 0xCC0D, 0xC38C, 0xB2EB, 0xBB6F, 0xC3D1, 0xC3F1, 0xC412, 0xC3F1, 0xAB2E, 0x68E4, 
        0x5000, 0x6021, 0x7083, 0x78E5, 0x8105, 0x7063, 0x7022, 0x7863, 0x8083, 0x8083, 0x7883, 0x80A5, 0x88C6, 0x914A, 0x998B, 0x916B, 0x812A, 0x80A9, 0x8088, 0x88A9, 0x90CA, 0x90CB, 0x90EB, 0x808A, 0x7869, 0x786A, 0x786A, 0x784A, 0x7049,
  0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA318, 0xA318, 0xA318, 0xA338, 0xA338, 0xA338, 0xA319, 0x9B19, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA35A, 0xA33A, 0xA35A, 0xA35A, 0xAB5A, 0xAB5A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA35B, 0xAB7A, 
        0xAB7A, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB5B, 0xAB7C, 0xABBC, 0xB45C, 0xD49B, 0xDCBA, 0xDCD9, 0xD4D9, 0xD4D8, 0xCC98, 0xBC1A, 0xB3DA, 0xAB99, 0xA378, 0xA357, 0xA355, 0x9B74, 
        0x9B94, 0x9B93, 0x9BD3, 0x9BD3, 0xA3F4, 0xABD5, 0xB3D6, 0xB3F9, 0xB3FB, 0xB3DC, 0xB3DD, 0xABBD, 0xABBD, 0xB3BD, 0xB3FC, 0xBC1A, 0xC477, 0xCC73, 0xCC72, 0xD4B1, 0xDCD0, 0xDCD0, 0xDCD0, 0xDCF1, 0xDD12, 0xDD11, 0xDD31, 0xDD11, 0xE511, 0xE532, 
        0xED52, 0xED32, 0xED32, 0xE512, 0xE511, 0xE511, 0xE511, 0xE4F1, 0xE4F1, 0xE4F1, 0xDCD0, 0xDCB0, 0xDC90, 0xDC8F, 0xDC8F, 0xDC8F, 0xD48F, 0xCC8F, 0xCC8F, 0xD48F, 0xDC8E, 0xDC6E, 0xDC4E, 0xC40C, 0xBC0B, 0xBC2C, 0xBC2C, 0xB40C, 0xABEC, 0xA44D, 
        0xA46E, 0xA46E, 0xA46E, 0xA46F, 0xAC90, 0xACD0, 0xACF0, 0xB531, 0xB532, 0xBD33, 0xBD13, 0xB532, 0xB552, 0xB552, 0xB553, 0xB553, 0xB574, 0xBD95, 0xBD95, 0xB554, 0xAD13, 0xA4F2, 0x9CB1, 0x9C6E, 0x9C2C, 0x9C0B, 0x9BEA, 0xA3E9, 0xAC09, 0xD4AB, 
        0xE4ED, 0xED4E, 0xF58F, 0xF590, 0xF5B1, 0xFDD0, 0xFDD0, 0xF56F, 0xED4E, 0xED2E, 0xE54E, 0xE52F, 0xE530, 0xDD0F, 0xCD0F, 0xC4EE, 0xA48D, 0x7369, 0x6308, 0x6B29, 0x732B, 0x732B, 0x6B2B, 0x63CB, 0x6C0C, 0x9430, 0xBBF3, 0xD376, 0xF298, 0xFA1B, 
        0xFA1B, 0xFA3B, 0xFA7B, 0xFA9A, 0xFA78, 0xF1B5, 0xF154, 0xE913, 0xE0F1, 0xE0F0, 0xD8AE, 0xD88D, 0xD88E, 0xE0D0, 0xE912, 0xE953, 0xF154, 0xF154, 0xF134, 0xE933, 0xE933, 0xE912, 0xE8F2, 0xE8D3, 0xF0F4, 0xF154, 0xF175, 0xF974, 0xF954, 0xF994, 
        0xF994, 0xF111, 0xE0AF, 0xD88E, 0xD08E, 0xD08F, 0xD090, 0xD090, 0xD0AF, 0xD0AF, 0xD0AE, 0xD8AF, 0xD8B0, 0xE0F1, 0xE0F1, 0xE112, 0xE112, 0xE933, 0xF154, 0xF134, 0xF134, 0xF154, 0xF995, 0xF175, 0xF176, 0xF9B8, 0xF9FA, 0xFA3B, 0xFA1B, 0xE8F4, 
        0xD870, 0xC82C, 0xB80A, 0xB009, 0xB009, 0xA848, 0xA847, 0xB026, 0xB024, 0xA803, 0xA024, 0xB8A9, 0xD14F, 0xEA35, 0xFAD9, 0xFAFA, 0xFA99, 0xF996, 0xF935, 0xF976, 0xF976, 0xF156, 0xF115, 0xE0F2, 0xE0F1, 0xE111, 0xE112, 0xE112, 0xE0F2, 0xD8D1, 
        0xD8D1, 0xD8F0, 0xD8F0, 0xE110, 0xE931, 0xF153, 0xF154, 0xF175, 0xF1B6, 0xF9F7, 0xFA58, 0xFA58, 0xFA39, 0xFA18, 0xFA18, 0xFA18, 0xFA38, 0xFA38, 0xFA18, 0xFA17, 0xF217, 0xF1F7, 0xF1D7, 0xF9D7, 0xF9D7, 0xF9F7, 0xF9F7, 0xF9F8, 0xF9F9, 0xFA19, 
        0xFA39, 0xFA38, 0xFA37, 0xFA16, 0xF1B3, 0xD0AE, 0xC04C, 0xB86C, 0xB08C, 0xB08C, 0xA06A, 0x7023, 0x5800, 0x5801, 0x6843, 0x8086, 0xA0CB, 0xA0AB, 0x988A, 0x988A, 0x9069, 0x9049, 0x8807, 0x9006, 0x9826, 0x9847, 0xA067, 0xA088, 0xA089, 0xB06C, 
        0xB88E, 0xB8CD, 0xA0CB, 0x8888, 0x6824, 0x6024, 0x6045, 0x6846, 0x6045, 0x5845, 0x5024, 0x6025, 0x6826, 0x6886, 0x60C5, 0x50E4, 0x4143, 0x49C3, 0x4A04, 0x49C3, 0x3942, 0x30C1, 0x4165, 0xBD74, 0xF75C, 0xFFDE, 0xFFFF, 0xFFFF, 0xFFDF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFDF, 0xFF7D, 0xF71B, 0xF677, 0xF697, 0xF6F9, 0xEEBA, 0xA36D, 0x71C6, 0x5124, 0x6167, 0x8A2B, 0xD2F1, 0xC9AC, 0xB94A, 0xBA0D, 0xC2AE, 0xCAAF, 0xD20E, 0xB12A, 0x98C7, 0x8885, 0x7063, 0x6842, 0x5021, 0x4041, 
        0x50A3, 0x8168, 0xAA0B, 0xBA2D, 0xD2B0, 0xE3D3, 0xEC75, 0xF4F6, 0xFD57, 0xFD79, 0xFDBB, 0xFE3B, 0xFE3A, 0xF5D9, 0xF577, 0xF536, 0xECB4, 0xDC32, 0xDC32, 0xECF4, 0xF577, 0xFDB7, 0xFD97, 0xF555, 0xF514, 0xECF4, 0xECD4, 0xE4B3, 0xE493, 0xEC93, 
        0xF493, 0xEC73, 0xEC93, 0xECB3, 0xECB3, 0xE432, 0xDBF1, 0xD3F2, 0xD413, 0xDC33, 0xD413, 0xAB0F, 0xA30E, 0xBBB0, 0xD432, 0xDC52, 0xDC52, 0xD491, 0xD4B0, 0xDC8F, 0xD42E, 0xCBAD, 0xB30C, 0xB30D, 0xB36F, 0xC3F1, 0xC433, 0xC3F2, 0xAB0E, 0x8146, 
        0x6883, 0x6883, 0x70A4, 0x78E5, 0x8906, 0x8084, 0x8044, 0x8884, 0x88A4, 0x8883, 0x7862, 0x80A5, 0x9108, 0x998B, 0xA1AC, 0x998C, 0x892A, 0x80C9, 0x88A8, 0x88A9, 0x90CA, 0x98CA, 0x98CB, 0x88AA, 0x788A, 0x786A, 0x786A, 0x784A, 0x7029,
  0x9AF8, 0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA318, 0xA318, 0xA319, 0xA319, 0xA319, 0xA319, 0xA31A, 0xA33A, 0xA33A, 0xA33A, 0xA339, 0xA339, 0xA33A, 0xA35A, 0xA33A, 0xA33A, 0xA33A, 0xA33B, 0xA35B, 0xAB5B, 0xA35B, 0xA35A, 0xA35A, 
        0xA35A, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5C, 0xAB5C, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB5C, 0xAB5C, 0xAB5B, 0xAB7B, 0xB3BB, 0xBC3B, 0xC47A, 0xCC99, 0xCCB9, 0xCC98, 0xC478, 0xBC38, 0xB3D8, 0xB398, 0xAB77, 0xAB77, 0xAB56, 0xA335, 0x9B34, 
        0x9B54, 0x9B74, 0x9B93, 0x9BB3, 0xA3D3, 0xABD6, 0xB3F8, 0xB3F9, 0xB3DB, 0xB3DB, 0xB3BC, 0xAB9C, 0xAB7C, 0xAB9C, 0xB3BB, 0xB3FA, 0xBC57, 0xC474, 0xC472, 0xD491, 0xD4B1, 0xDCD0, 0xD4F0, 0xDCF1, 0xDD11, 0xDD11, 0xDD11, 0xE531, 0xE532, 0xE532, 
        0xED32, 0xE512, 0xE512, 0xE512, 0xE4F1, 0xE4F1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCF1, 0xDCD1, 0xD4B0, 0xD490, 0xD46F, 0xD46E, 0xD46E, 0xD48E, 0xCC6E, 0xCC6E, 0xCC6D, 0xCC6D, 0xCC6D, 0xC44D, 0xBC4C, 0xB44C, 0xB42C, 0xAC2D, 0xA40C, 0xA40D, 0xA44D, 
        0xA46E, 0xA4AE, 0xACAF, 0xACD0, 0xACD1, 0xAD11, 0xAD31, 0xB552, 0xBD93, 0xBD94, 0xBD94, 0xC573, 0xC574, 0xC594, 0xC5B5, 0xC5B5, 0xBDB4, 0xBD73, 0xB553, 0xAD33, 0xA512, 0x9CF2, 0x9CB1, 0x9C6E, 0x9C4D, 0x9C2C, 0x9C0A, 0xA40A, 0xB44A, 0xDCED, 
        0xED6F, 0xF5D0, 0xFE11, 0xFE12, 0xFE12, 0xFE52, 0xFE32, 0xF590, 0xED2F, 0xED0F, 0xE50F, 0xE50F, 0xDD0F, 0xD4EE, 0xC4CE, 0xB48D, 0x8C0B, 0x6B09, 0x62C8, 0x6B2A, 0x6B4B, 0x6B4C, 0x6B4C, 0x7BED, 0x8C6D, 0x9CB0, 0xB473, 0xCBF5, 0xEAD7, 0xFA1A, 
        0xF9FC, 0xFA3C, 0xFA7B, 0xFA9A, 0xFA78, 0xF174, 0xE913, 0xE8F2, 0xE0F1, 0xE0D0, 0xD88E, 0xD86E, 0xD88E, 0xE0D0, 0xE911, 0xE933, 0xF154, 0xE934, 0xE933, 0xE912, 0xE112, 0xE0F2, 0xE8D2, 0xE8F3, 0xF114, 0xF155, 0xF175, 0xF994, 0xF973, 0xF132, 
        0xF111, 0xE0AF, 0xD88E, 0xD06E, 0xD08E, 0xC88E, 0xC88E, 0xC8AE, 0xC8AE, 0xC8AE, 0xD08E, 0xD88E, 0xE0AF, 0xE0F1, 0xE112, 0xE112, 0xE112, 0xE113, 0xE913, 0xE913, 0xF154, 0xF154, 0xF174, 0xF155, 0xF156, 0xF9B8, 0xF9FA, 0xF9FB, 0xE9B9, 0xC090, 
        0xB02B, 0xB009, 0xB008, 0xB808, 0xB828, 0xB048, 0xB047, 0xA827, 0xA826, 0xB047, 0xC8CA, 0xE253, 0xF2D7, 0xFA98, 0xFA58, 0xFA17, 0xF9B6, 0xF195, 0xF195, 0xF195, 0xF195, 0xF155, 0xE913, 0xE112, 0xE111, 0xE112, 0xE112, 0xE112, 0xD912, 0xD8D1, 
        0xD8D1, 0xD8D0, 0xD8F0, 0xE110, 0xE131, 0xE953, 0xF154, 0xF175, 0xF1B6, 0xF1F6, 0xF238, 0xFA59, 0xFA39, 0xFA39, 0xFA39, 0xFA19, 0xFA18, 0xF9F7, 0xF9F7, 0xF1F7, 0xF1D7, 0xF1D6, 0xF1B6, 0xF1D6, 0xF9D6, 0xF9D7, 0xF9D7, 0xF9F8, 0xFA18, 0xFA19, 
        0xFA19, 0xFA38, 0xFA37, 0xFA17, 0xF195, 0xD8B0, 0xC84D, 0xB84C, 0xB04B, 0xA84A, 0x9828, 0x6802, 0x5800, 0x6001, 0x7844, 0x9087, 0xA8CA, 0xA08A, 0x986A, 0x9889, 0x9889, 0x9067, 0x8825, 0x8825, 0x9025, 0x9846, 0x9867, 0xA067, 0xA068, 0xA88B, 
        0xB0AD, 0xB8CD, 0xA8AB, 0x9089, 0x6825, 0x5804, 0x5824, 0x5845, 0x5845, 0x5845, 0x5844, 0x6024, 0x6825, 0x6866, 0x60A6, 0x50C5, 0x4123, 0x49C4, 0x5204, 0x41A3, 0x3921, 0x30A1, 0x4924, 0xB4B2, 0xE679, 0xF75C, 0xFFDE, 0xFFDF, 0xFFBF, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFFF, 0xFFFF, 0xFFBE, 0xF6BA, 0xF678, 0xF6B9, 0xF71A, 0xEF1A, 0xC5D6, 0x5208, 0x30C3, 0x6965, 0x9A29, 0xBA6B, 0xDA6D, 0xD1CD, 0xC98C, 0xB98B, 0xA94A, 0xA929, 0xA8E7, 0x98C5, 0x90C4, 0x8084, 0x6863, 0x5842, 0x4841, 0x5842, 
        0x70A4, 0xA1A9, 0xC28D, 0xDAEF, 0xE372, 0xF435, 0xF4B7, 0xFD37, 0xFD78, 0xFD79, 0xFD7A, 0xFDDA, 0xF5D9, 0xED78, 0xED36, 0xECF5, 0xE4B3, 0xEC94, 0xECB4, 0xF516, 0xF556, 0xF557, 0xF556, 0xED15, 0xECF4, 0xE4D4, 0xE4D4, 0xE4B4, 0xE4B3, 0xEC94, 
        0xEC74, 0xEC53, 0xE453, 0xE453, 0xE473, 0xDC52, 0xDC32, 0xD3F2, 0xD3D2, 0xD3D2, 0xC391, 0xA2CD, 0xA2CD, 0xC3D0, 0xDC73, 0xE493, 0xE473, 0xD472, 0xD472, 0xD410, 0xCBCF, 0xCB8E, 0xC34E, 0xB2EC, 0xB30D, 0xC3B0, 0xC3F1, 0xB390, 0x9AAC, 0x91C9, 
        0x8968, 0x80E6, 0x80C5, 0x80C5, 0x88E6, 0x90C6, 0x90C5, 0x88C6, 0x80A5, 0x7884, 0x8083, 0x9946, 0xA988, 0xA169, 0x9129, 0x88E9, 0x80A8, 0x88A8, 0x88A8, 0x88A9, 0x88A9, 0x88A9, 0x88CA, 0x786A, 0x706A, 0x786A, 0x786A, 0x7869, 0x7049,
  0x9AF8, 0x9AF8, 0x9B18, 0x9B18, 0x9B18, 0x9B18, 0xA319, 0xA2F9, 0xA319, 0xA319, 0xA319, 0xA319, 0xA2F9, 0xA2FA, 0xA31A, 0xA33A, 0xA33A, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33B, 0xA33B, 0xA33B, 0xAB3B, 0xAB3A, 0xA33A, 0xA35B, 
        0xA35B, 0xAB5A, 0xAB5A, 0xAB5A, 0xAB5A, 0xAB5B, 0xAB5B, 0xAB7C, 0xAB7C, 0xB37C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB9C, 0xB3BB, 0xBC1A, 0xBC58, 0xBC57, 0xBC56, 0xBC36, 0xBBF6, 0xB3B7, 0xAB98, 0xAB78, 0xAB58, 0xAB38, 0xA337, 0x9315, 
        0x9333, 0x9352, 0x9371, 0x9B91, 0xA3D2, 0xABD7, 0xABD9, 0xB3D9, 0xABBA, 0xABBA, 0xAB9B, 0xAB9D, 0xAB7C, 0xAB9A, 0xAB99, 0xB3B8, 0xBBF7, 0xBC55, 0xC474, 0xCCB3, 0xD4D2, 0xD4D2, 0xD4F1, 0xD4F1, 0xD4F1, 0xDCF2, 0xE512, 0xE512, 0xE532, 0xE532, 
        0xE532, 0xE512, 0xE512, 0xE511, 0xE4F1, 0xDCF0, 0xDCF0, 0xDCF1, 0xD4D1, 0xDCD1, 0xDCB0, 0xD48F, 0xD48E, 0xD46E, 0xD46E, 0xCC6E, 0xCC6D, 0xBC6D, 0xBC4D, 0xBC0C, 0xBBEC, 0xBC0C, 0xB42D, 0xAC2D, 0xAC4C, 0xA42C, 0xA44D, 0xA44E, 0xA46F, 0xA48F, 
        0xA4AF, 0xACD0, 0xAD11, 0xAD12, 0xAD32, 0xB572, 0xBD73, 0xBD93, 0xBD93, 0xBDB3, 0xBDD4, 0xCDD5, 0xD5D6, 0xD5D6, 0xCDD5, 0xCDD5, 0xC5D4, 0xBD73, 0xB553, 0xA533, 0x9CF2, 0x9CD0, 0x9C8E, 0x946F, 0x946F, 0x9C2C, 0xA40B, 0xAC2B, 0xC48D, 0xE550, 
        0xEDB2, 0xF613, 0xF614, 0xF614, 0xFDD4, 0xF5F3, 0xF5D2, 0xED50, 0xE4EF, 0xDCCF, 0xD4CE, 0xCCCD, 0xC4ED, 0xBCCE, 0xB48E, 0xA44D, 0x7BAB, 0x5B09, 0x52C9, 0x630B, 0x6B2C, 0x734D, 0x838D, 0x944D, 0x9CAE, 0x9D10, 0xACF2, 0xBC73, 0xDB35, 0xF1F9, 
        0xF9BB, 0xFA5C, 0xFA9C, 0xFA9C, 0xFA3A, 0xF154, 0xE912, 0xE8F2, 0xE0D1, 0xD8B0, 0xD88E, 0xD88D, 0xD88E, 0xE0F0, 0xE911, 0xE912, 0xE0F2, 0xE0F2, 0xE112, 0xE113, 0xE113, 0xE0F2, 0xE8D3, 0xF175, 0xF996, 0xF134, 0xE8F3, 0xE8F2, 0xE0F0, 0xD88E, 
        0xD88E, 0xD88E, 0xD88F, 0xD08F, 0xD06E, 0xC06D, 0xC08D, 0xC88D, 0xC88D, 0xC8AD, 0xD0CE, 0xD88F, 0xE0B0, 0xE0D1, 0xD8F2, 0xE0F2, 0xE0D1, 0xE0F2, 0xE112, 0xE933, 0xF154, 0xF154, 0xF154, 0xF176, 0xF997, 0xF9B9, 0xF199, 0xE957, 0xD0B2, 0xA82B, 
        0xA008, 0xA807, 0xB807, 0xB807, 0xB007, 0xA825, 0xA826, 0xC069, 0xD0ED, 0xE170, 0xF255, 0xFAB7, 0xFAB7, 0xFA37, 0xF9B6, 0xF196, 0xF174, 0xF1B4, 0xF1D4, 0xF1B5, 0xF174, 0xE934, 0xE8F3, 0xE912, 0xE932, 0xE132, 0xE112, 0xE112, 0xD8F2, 0xD0B1, 
        0xD0B1, 0xD8D0, 0xD8F0, 0xD8F0, 0xE111, 0xE953, 0xF174, 0xF196, 0xF1B6, 0xF1F6, 0xFA37, 0xFA5A, 0xFA5B, 0xFA3A, 0xFA19, 0xFA18, 0xF9F8, 0xF9B7, 0xF9B7, 0xF1B7, 0xF9D7, 0xF9D7, 0xF9D7, 0xF1D6, 0xF1B6, 0xF1D6, 0xF9D7, 0xF9D7, 0xF9F8, 0xFA38, 
        0xFA59, 0xFA39, 0xFA19, 0xFA19, 0xF1D7, 0xE0D4, 0xD051, 0xC04D, 0xA82A, 0xA029, 0x8826, 0x6003, 0x5801, 0x6821, 0x7843, 0x9086, 0xA8CA, 0xA86B, 0xA04A, 0xA04A, 0x9848, 0x9046, 0x8024, 0x9064, 0x9085, 0x9867, 0xA067, 0xA047, 0xA048, 0xA08A, 
        0xA8AC, 0xB8CD, 0xB0CD, 0xA08B, 0x7847, 0x5823, 0x5023, 0x5044, 0x5845, 0x5844, 0x5823, 0x5024, 0x5825, 0x6086, 0x60E6, 0x5925, 0x4984, 0x41C3, 0x41E3, 0x41C3, 0x3962, 0x2902, 0x3103, 0x82EB, 0xB471, 0xDE38, 0xEF5C, 0xF7BE, 0xFFBF, 0xFFDF, 
        0xFFFF, 0xFFDF, 0xFFDF, 0xFFDF, 0xF77C, 0xE5D4, 0xDD93, 0xDE36, 0xC5D5, 0x9C90, 0x5206, 0x3082, 0x48A3, 0x91C9, 0xC28C, 0xCA6C, 0xB9AA, 0xA8E8, 0xA8A7, 0xA8A7, 0xA8C7, 0xA8E7, 0x9906, 0x78C3, 0x68A3, 0x5862, 0x5842, 0x5822, 0x6844, 0xA127, 
        0xB9AA, 0xCA4E, 0xD2F1, 0xDB52, 0xEBF4, 0xF4D7, 0xFD58, 0xFD79, 0xFDB9, 0xFDB9, 0xFDD9, 0xFDDA, 0xF5B9, 0xED57, 0xE515, 0xDCB3, 0xE493, 0xF537, 0xFD78, 0xF557, 0xED36, 0xED36, 0xED36, 0xED16, 0xE4F5, 0xE4D4, 0xDCD3, 0xDCB3, 0xDCB4, 0xE493, 
        0xE492, 0xE474, 0xE454, 0xDC34, 0xDC33, 0xE494, 0xE494, 0xD3D2, 0xBB0F, 0xB2CD, 0xA28B, 0xB30E, 0xBB70, 0xCBF2, 0xDC73, 0xE493, 0xECB4, 0xE4B4, 0xDC73, 0xD3F1, 0xCB8F, 0xCB8F, 0xCB8F, 0xB30D, 0xAAED, 0xB32E, 0xC36F, 0xC390, 0xBB4F, 0x91CA, 
        0x8907, 0x80C6, 0x8885, 0x8885, 0x90A5, 0x90C5, 0x88C5, 0x80A4, 0x7884, 0x7883, 0x8084, 0x90C6, 0x90E7, 0x90E7, 0x90E7, 0x90E7, 0x90E7, 0x90A8, 0x8888, 0x8088, 0x78A9, 0x78C9, 0x78C9, 0x7068, 0x7048, 0x8089, 0x80AA, 0x7889, 0x7048,
  0xA2F8, 0xA2F8, 0x9B18, 0xA318, 0xA319, 0xA31A, 0xA339, 0xA319, 0xA31A, 0xA319, 0xA319, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA35A, 0xA35B, 0xA35B, 0xA35A, 0xA35A, 0xA35A, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xA33B, 0xA35B, 
        0xAB5B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7D, 0xAB7D, 0xAB5D, 0xAB5C, 0xB3BC, 0xB3DC, 0xB39C, 0xB37C, 0xB37C, 0xAB7C, 0xB3BC, 0xB3DB, 0xBBF8, 0xBC16, 0xBC15, 0xB415, 0xB3B7, 0xB379, 0xAB7B, 0xA37D, 0xA37D, 0xA35B, 0x9336, 
        0x9334, 0x9332, 0x9371, 0x9390, 0x9BD1, 0xA3B5, 0xA397, 0xA397, 0xAB98, 0xAB99, 0xAB9B, 0xAB9D, 0xAB9D, 0xAB9C, 0xAB9A, 0xAB99, 0xABB7, 0xC456, 0xCC95, 0xD4B4, 0xDCB3, 0xDCD3, 0xDCD2, 0xDCF2, 0xDCF2, 0xE513, 0xE512, 0xE512, 0xE511, 0xED12, 
        0xED12, 0xE511, 0xE511, 0xE511, 0xE511, 0xDCF1, 0xDCD1, 0xDCD1, 0xDCD0, 0xDCD0, 0xDCAF, 0xDC8E, 0xD46E, 0xD46E, 0xD46E, 0xD46E, 0xD46E, 0xBC4D, 0xB40D, 0xB3ED, 0xB3CD, 0xB3CD, 0xB3ED, 0xA3EC, 0x9BEC, 0x9C0C, 0x9C4D, 0x9C6D, 0xA48E, 0xAC90, 
        0xACB1, 0xACF1, 0xAD11, 0xAD31, 0xB551, 0xBDB3, 0xBDD4, 0xBDD4, 0xBDD4, 0xBDF4, 0xC5F4, 0xCE15, 0xCE36, 0xD616, 0xD5F5, 0xCDF5, 0xC5D4, 0xB594, 0xAD54, 0xA513, 0xA4D2, 0xA4B1, 0x9C90, 0x948E, 0x946D, 0x9C4C, 0xA42C, 0xAC2C, 0xBC6D, 0xDD30, 
        0xED72, 0xF592, 0xF5B2, 0xF5F3, 0xF634, 0xF673, 0xF653, 0xF5D2, 0xF571, 0xED50, 0xDD2D, 0xBCCA, 0xB4AA, 0xBC8B, 0xBC6D, 0xB44D, 0x9BEC, 0x736A, 0x632A, 0x634B, 0x6B6D, 0x736E, 0x83AF, 0xA470, 0xACD0, 0xA510, 0xB530, 0xC532, 0xE476, 0xFA59, 
        0xF9BA, 0xFA3B, 0xFA9B, 0xFABB, 0xFA98, 0xF1D4, 0xF173, 0xE933, 0xE0F2, 0xE0D1, 0xD8AF, 0xD88D, 0xD88E, 0xE0D0, 0xE0D1, 0xE0D1, 0xE0B1, 0xE8F3, 0xE914, 0xF114, 0xF114, 0xF113, 0xF934, 0xF9D7, 0xF9D7, 0xF114, 0xE091, 0xD84F, 0xD04D, 0xD06D, 
        0xD08D, 0xC8AD, 0xC8AD, 0xC88D, 0xC86D, 0xD08E, 0xD08E, 0xD06E, 0xD06E, 0xD08E, 0xD08E, 0xD0CF, 0xD0CF, 0xD0B0, 0xD0B0, 0xD8B1, 0xE0D2, 0xE8F2, 0xE912, 0xF152, 0xF153, 0xF153, 0xF154, 0xF9D7, 0xF9D8, 0xE956, 0xD8D3, 0xC870, 0xB02B, 0xB029, 
        0xB027, 0xB006, 0xB004, 0xB004, 0xB826, 0xD88B, 0xE90F, 0xF1F3, 0xF276, 0xFAB7, 0xFA77, 0xF1B5, 0xF195, 0xF9B6, 0xF9B6, 0xF9B5, 0xF173, 0xF173, 0xF194, 0xF174, 0xE954, 0xE933, 0xE8F2, 0xE934, 0xE934, 0xE933, 0xE912, 0xE911, 0xE0F1, 0xD8B1, 
        0xD091, 0xD8B0, 0xD8F0, 0xE111, 0xE132, 0xF153, 0xF974, 0xF996, 0xF9D6, 0xF9F7, 0xFA38, 0xFA5B, 0xFA5B, 0xFA19, 0xF1D8, 0xF1D7, 0xF9D7, 0xF9B7, 0xF9B8, 0xF9D8, 0xF9D7, 0xF9F7, 0xF9F7, 0xF9B6, 0xF196, 0xF1B6, 0xF1D6, 0xF1D6, 0xF1F6, 0xF9F7, 
        0xF9F8, 0xFA19, 0xFA3A, 0xFA5B, 0xFA3B, 0xF197, 0xF135, 0xE112, 0xD0CE, 0xB88B, 0x9026, 0x6802, 0x5801, 0x7043, 0x8885, 0xA0C8, 0xB0EB, 0xA86A, 0xA04A, 0xA04A, 0x9849, 0x9047, 0x8024, 0x8864, 0x9085, 0x9867, 0xA048, 0xA068, 0xA069, 0xA04A, 
        0xA86B, 0xB88D, 0xC8CF, 0xC0CF, 0xA8CD, 0x6044, 0x4821, 0x5043, 0x5865, 0x6065, 0x5864, 0x5024, 0x5023, 0x48A4, 0x4924, 0x4984, 0x49C3, 0x4182, 0x4162, 0x4183, 0x49A4, 0x49A4, 0x4983, 0x28E3, 0x3965, 0x838E, 0xC596, 0xE6BA, 0xF79E, 0xFFDF, 
        0xFFDF, 0xFFDF, 0xFFDF, 0xFFDF, 0xFF9E, 0xEF3B, 0xDE77, 0xACF0, 0x7B69, 0x62A5, 0x49C2, 0x48C3, 0x58A5, 0x8968, 0x99CA, 0x99AA, 0x9108, 0x98C5, 0xA0C5, 0xA908, 0xB14A, 0xB94A, 0xB128, 0x90A5, 0x8063, 0x6822, 0x6022, 0x6022, 0x6884, 0x9147, 
        0xA9EA, 0xCA8E, 0xDB11, 0xEB73, 0xF3D5, 0xFCB6, 0xFCF7, 0xFD18, 0xFD39, 0xFD5A, 0xFDBB, 0xFE1C, 0xFE3C, 0xF61B, 0xF5FA, 0xEDB9, 0xED77, 0xF556, 0xFD36, 0xF4F4, 0xECF5, 0xF515, 0xF577, 0xF578, 0xF557, 0xED36, 0xED15, 0xF4F4, 0xECF4, 0xE4B4, 
        0xDCB4, 0xE495, 0xECB5, 0xECD5, 0xECD4, 0xDC32, 0xDBD2, 0xD371, 0xC330, 0xBAEF, 0xAAAD, 0xAACD, 0xAACC, 0xAB0D, 0xB34F, 0xC3B1, 0xDC53, 0xECD4, 0xECD4, 0xE493, 0xE452, 0xDC31, 0xDC11, 0xCBF0, 0xC3AF, 0xB30E, 0xB2ED, 0xBB2F, 0xCBD1, 0xD3B1, 
        0xCB4F, 0xB2AD, 0x99C9, 0x8147, 0x70A4, 0x80C5, 0x88C5, 0x8084, 0x8083, 0x88A4, 0x90C5, 0x9085, 0x8865, 0x8864, 0x8884, 0x8884, 0x90A5, 0x98E8, 0x9909, 0x90E8, 0x90C8, 0x88A8, 0x8089, 0x7888, 0x7887, 0x7889, 0x7889, 0x7889, 0x7869,
  0xA318, 0xA318, 0x9B18, 0x9B18, 0x9B17, 0x9B18, 0xA319, 0xA31A, 0xA339, 0xA339, 0xA339, 0xA31A, 0xA31A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA35A, 0xA35B, 0xA35A, 0xA33A, 0xA33A, 0xA33B, 0xAB5B, 0xAB5B, 0xAB5B, 0xA35B, 0xA35B, 0xAB3B, 0xAB5B, 
        0xAB7B, 0xAB7B, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7C, 0xB37C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xB3BC, 0xBBBC, 0xB39C, 0xB37C, 0xB39C, 0xB3BB, 0xB3B9, 0xABB7, 0xABB5, 0xABD3, 0xABF2, 0xB3F3, 0xBB97, 0xBB7A, 0xB37C, 0xB39D, 0xAB9C, 0xA37A, 0x9315, 
        0x9312, 0x8B10, 0x8B2E, 0x8B4D, 0x8B6D, 0x9392, 0x9B94, 0x9B75, 0xA376, 0xA377, 0xA399, 0xAB9C, 0xAB9C, 0xAB9B, 0xA37A, 0xA379, 0xA398, 0xBC37, 0xC476, 0xCC95, 0xCCB4, 0xD4B4, 0xDCD3, 0xE4D2, 0xE4D2, 0xE4F2, 0xDD12, 0xDD12, 0xDD11, 0xE4F2, 
        0xECF2, 0xE4F1, 0xE4F1, 0xE4F1, 0xDCF1, 0xDCD2, 0xDCD1, 0xDCD0, 0xDCB0, 0xDCAF, 0xD4AE, 0xCC8E, 0xC46D, 0xC44D, 0xC44D, 0xC44E, 0xBC2E, 0xB40C, 0xAC0C, 0x9BEB, 0x9BEB, 0x9BEC, 0x9C0C, 0x9C2C, 0x942C, 0x9C4C, 0xA46D, 0xA48E, 0xA4CF, 0xACF1, 
        0xB511, 0xB532, 0xBD53, 0xBD73, 0xBD94, 0xC5F5, 0xCE36, 0xCE36, 0xD636, 0xD636, 0xD636, 0xD656, 0xD656, 0xD636, 0xCE15, 0xC5F5, 0xB594, 0xAD32, 0xACF2, 0xA4F2, 0x9CD2, 0x9CB1, 0x9490, 0x94AE, 0x9CAD, 0xA48D, 0xAC6E, 0xB46F, 0xC4B0, 0xE532, 
        0xF573, 0xF574, 0xF575, 0xED95, 0xEDB5, 0xED94, 0xE573, 0xE532, 0xDCF2, 0xD4D1, 0xBC6F, 0xAC2D, 0xA42C, 0xA42C, 0xA42C, 0x9C0C, 0x8BCB, 0x6B2A, 0x5B0A, 0x6B4C, 0x738D, 0x7BAE, 0x8C10, 0xAD12, 0xBD72, 0xAD72, 0xAD92, 0xB592, 0xCCD3, 0xEA57, 
        0xF97A, 0xF9DC, 0xFA5D, 0xFA9C, 0xFA7A, 0xF1D4, 0xF172, 0xE932, 0xE0F1, 0xD8D0, 0xD8AE, 0xD88E, 0xD88E, 0xD8B0, 0xE0B1, 0xE0B1, 0xE0B1, 0xE912, 0xE933, 0xF133, 0xF134, 0xF934, 0xF954, 0xF9D7, 0xF9D7, 0xE975, 0xE0F2, 0xD890, 0xC82C, 0xC84C, 
        0xC84C, 0xC86C, 0xC86C, 0xC86C, 0xC88B, 0xC86C, 0xC86D, 0xD06D, 0xD08D, 0xC88D, 0xC8AD, 0xD0AF, 0xD0B0, 0xD0D0, 0xD0F0, 0xD0F1, 0xD8D2, 0xE0D2, 0xE8F2, 0xF112, 0xF153, 0xF974, 0xF975, 0xF176, 0xE935, 0xD091, 0xC02D, 0xB82B, 0xB008, 0xB004, 
        0xB003, 0xB024, 0xB826, 0xC868, 0xE0EC, 0xF214, 0xFA98, 0xFA78, 0xFA38, 0xFA17, 0xF1B6, 0xF195, 0xF175, 0xF9B6, 0xF9B5, 0xF9B5, 0xF174, 0xF134, 0xE934, 0xE933, 0xE933, 0xE133, 0xE113, 0xE113, 0xE113, 0xE0F3, 0xE112, 0xE112, 0xE112, 0xD8D1, 
        0xD8B1, 0xD8B1, 0xE0F1, 0xE132, 0xE973, 0xF174, 0xF175, 0xF996, 0xF9D7, 0xF9F8, 0xFA39, 0xFA39, 0xFA18, 0xF1D7, 0xF1B7, 0xF197, 0xF9B8, 0xF9F8, 0xFA18, 0xF9F8, 0xF9F8, 0xF9F8, 0xF9F7, 0xF9B6, 0xF996, 0xF195, 0xF195, 0xF1B4, 0xF1D5, 0xF996, 
        0xF997, 0xF9D8, 0xFA19, 0xFA3A, 0xFA3B, 0xF9DA, 0xF998, 0xF154, 0xE111, 0xC8CE, 0xA069, 0x6822, 0x5821, 0x7844, 0x9887, 0xA8C9, 0xB8EA, 0xA08A, 0xA06A, 0xA06A, 0x9869, 0x8847, 0x6823, 0x8063, 0x9085, 0x9866, 0xA068, 0xA868, 0xA889, 0xA84A, 
        0xA84A, 0xB06C, 0xC0AE, 0xC8CF, 0xB8AE, 0x6045, 0x4001, 0x4822, 0x4843, 0x5044, 0x5064, 0x5824, 0x5824, 0x5084, 0x4904, 0x4943, 0x4183, 0x4163, 0x4143, 0x4142, 0x4163, 0x4183, 0x4163, 0x1861, 0x28C3, 0x7AEC, 0xC514, 0xDE59, 0xF79E, 0xFFFF, 
        0xFFDF, 0xFFDF, 0xFFFF, 0xFFDF, 0xEF5C, 0xC593, 0x942E, 0x5A87, 0x3984, 0x3983, 0x49C5, 0x6905, 0x80C6, 0x9128, 0x9968, 0x9948, 0x98E6, 0xA908, 0xB129, 0xA929, 0xA929, 0xA908, 0xA0C6, 0x7864, 0x6842, 0x6021, 0x6822, 0x6862, 0x80E5, 0xA1AA, 
        0xBA4D, 0xD311, 0xE3B3, 0xF415, 0xFC56, 0xF4B7, 0xF4F8, 0xFD19, 0xFD5A, 0xFD9B, 0xFDFC, 0xFE7C, 0xFE7C, 0xF63B, 0xF5DA, 0xED98, 0xED56, 0xF516, 0xF536, 0xF536, 0xF556, 0xF535, 0xF535, 0xF577, 0xED77, 0xED36, 0xED14, 0xECF3, 0xECF3, 0xED15, 
        0xED16, 0xECD6, 0xECD5, 0xECD5, 0xECD5, 0xDC13, 0xD3B2, 0xD391, 0xC32F, 0xB2CE, 0xA28C, 0xBB2D, 0xC36E, 0xB30D, 0xAACD, 0xAAED, 0xBB6F, 0xE4B5, 0xF516, 0xECB4, 0xDC52, 0xDC11, 0xD3CF, 0xCC10, 0xCBF0, 0xBB8E, 0xBB4D, 0xBB4E, 0xC390, 0xC391, 
        0xC371, 0xBB0F, 0xB28D, 0x9A2B, 0x8188, 0x7084, 0x7042, 0x8063, 0x88A4, 0x90C5, 0x98E6, 0x90A5, 0x9085, 0x90A4, 0x88A4, 0x8884, 0x9085, 0xA109, 0xA12A, 0x90C8, 0x88A8, 0x88A8, 0x88A9, 0x7068, 0x6847, 0x7047, 0x7048, 0x7868, 0x8089,
  0xA319, 0xA319, 0x9B18, 0x9B17, 0x9B17, 0x9B18, 0xA319, 0xA319, 0xA339, 0xA339, 0xA339, 0xA31A, 0xA31A, 0xA31A, 0xA319, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33B, 0xA35B, 0xAB5A, 0xAB5A, 0xAB3A, 0xAB3B, 0xAB5B, 0xAB5B, 0xAB5B, 
        0xAB5B, 0xAB5A, 0xAB7A, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7B, 0xAB7B, 0xAB7B, 0xB39A, 0xBB9B, 0xBB9B, 0xBB9B, 0xB3BB, 0xB3BB, 0xB39B, 0xAB9A, 0xABB7, 0xABD4, 0xABD2, 0xABF2, 0xBBB6, 0xBB99, 0xBB9B, 0xB37C, 0xB37C, 0xA33B, 0x92F7, 
        0x82D4, 0x72AF, 0x6AAD, 0x6AAC, 0x72EC, 0x832C, 0x8B4D, 0x9351, 0x9B54, 0x9B55, 0x9B57, 0xAB7A, 0xAB7B, 0xAB5B, 0xA35A, 0x9B59, 0x9B58, 0xB3D7, 0xBC16, 0xBC56, 0xC475, 0xC494, 0xD494, 0xDC92, 0xDCB2, 0xDCD1, 0xE4F1, 0xE4F1, 0xDCF2, 0xDCF2, 
        0xDCF2, 0xDCF2, 0xDCD1, 0xDCD0, 0xDCB0, 0xDCB0, 0xDCB0, 0xD48F, 0xD48F, 0xD48E, 0xD48E, 0xC44D, 0xBC2D, 0xBC2D, 0xB42D, 0xAC0D, 0xABEC, 0xABCB, 0xA3EB, 0xA40C, 0x9C2C, 0x9C4D, 0x9C4D, 0xACAE, 0xACEE, 0xACEF, 0xACF0, 0xB511, 0xB552, 0xBD73, 
        0xBD93, 0xC593, 0xC5B4, 0xC5B4, 0xCDD5, 0xD636, 0xD656, 0xD636, 0xD636, 0xD636, 0xD636, 0xCE16, 0xC5F5, 0xC5F5, 0xBDD4, 0xBDB4, 0xB573, 0xAD32, 0xAD12, 0xAD33, 0xA533, 0xA512, 0x9CF1, 0xA4F0, 0xAD10, 0xB4F1, 0xBD12, 0xC513, 0xD534, 0xED54, 
        0xF554, 0xED34, 0xE535, 0xE515, 0xDD14, 0xDCB3, 0xD493, 0xC472, 0xB451, 0xAC30, 0xA3EF, 0xA3CF, 0xA3AE, 0x9BAC, 0x938A, 0x836A, 0x732A, 0x632A, 0x634B, 0x738D, 0x7BEE, 0x8C10, 0x9C92, 0xAD34, 0xB574, 0xB592, 0xAD90, 0xA56F, 0xACB0, 0xDAF5, 
        0xF238, 0xF21A, 0xFA5C, 0xFA9C, 0xFA9A, 0xF194, 0xF112, 0xE0F2, 0xD8F1, 0xD8F1, 0xD0AF, 0xD08E, 0xD08D, 0xD8AE, 0xE0CE, 0xE0AF, 0xE0B0, 0xE932, 0xF153, 0xF153, 0xF134, 0xF134, 0xF134, 0xF9D6, 0xFA38, 0xF217, 0xE995, 0xE133, 0xD08E, 0xD04C, 
        0xD04B, 0xD04C, 0xC84C, 0xC02B, 0xB84B, 0xC06C, 0xC86C, 0xC08C, 0xC08B, 0xC0AB, 0xC8AC, 0xD0AF, 0xD8B0, 0xD0AF, 0xD0CF, 0xD8D0, 0xD8D0, 0xE0B1, 0xE8D1, 0xF113, 0xF154, 0xF975, 0xE954, 0xD092, 0xC02F, 0xB82C, 0xB008, 0xB006, 0xB024, 0xB023, 
        0xC045, 0xD0AB, 0xE930, 0xF192, 0xFA15, 0xFA78, 0xFA78, 0xF218, 0xF1D7, 0xF1B7, 0xF196, 0xF1B6, 0xF195, 0xF174, 0xF154, 0xF154, 0xF154, 0xE934, 0xE934, 0xE113, 0xE112, 0xE112, 0xE113, 0xE112, 0xD912, 0xE0F2, 0xE0F2, 0xE112, 0xE0F2, 0xD8B1, 
        0xD8B0, 0xD8F1, 0xE131, 0xE172, 0xF194, 0xF196, 0xF197, 0xF1B7, 0xF1F7, 0xF217, 0xFA18, 0xF9F8, 0xF9D8, 0xF1B8, 0xF1B8, 0xF1B8, 0xF9D8, 0xFA18, 0xFA18, 0xFA19, 0xF9F8, 0xFA17, 0xF9F6, 0xF1D7, 0xF1B6, 0xF195, 0xF174, 0xF174, 0xF194, 0xF995, 
        0xF996, 0xF9B7, 0xF9F8, 0xFA38, 0xFA59, 0xFA39, 0xF9F8, 0xF1B6, 0xE134, 0xD8F1, 0xB06C, 0x7024, 0x6021, 0x8064, 0xA0C7, 0xB0E9, 0xB0CA, 0xA08A, 0x986A, 0xA06A, 0x9868, 0x8046, 0x6023, 0x7862, 0x8863, 0x9866, 0xA067, 0xA868, 0xB068, 0xA849, 
        0xA84A, 0xB06B, 0xC8AD, 0xD0CF, 0xC8CE, 0x7866, 0x5022, 0x4822, 0x4823, 0x4843, 0x5064, 0x5824, 0x5824, 0x50A4, 0x4904, 0x4143, 0x3943, 0x3943, 0x3943, 0x3943, 0x4163, 0x4183, 0x3942, 0x1861, 0x2904, 0x8B8D, 0xCDB5, 0xE6DA, 0xF7BE, 0xFFFF, 
        0xFFDF, 0xF79D, 0xE73C, 0xDEDA, 0xBD94, 0x62A9, 0x4205, 0x6308, 0x6B48, 0x52C7, 0x41A4, 0x8208, 0xA22A, 0x99A9, 0x9127, 0x9106, 0x9906, 0xA928, 0xB128, 0xA0C7, 0x98A6, 0x9885, 0x9885, 0x7842, 0x6021, 0x6021, 0x6883, 0x7905, 0xA209, 0xCAEF, 
        0xDB52, 0xEBD3, 0xF434, 0xFC75, 0xFCB7, 0xF4F8, 0xF518, 0xFD59, 0xFD9B, 0xFDDB, 0xFE1C, 0xFE9C, 0xFE9C, 0xF63B, 0xF5DB, 0xED9A, 0xED38, 0xE4B5, 0xECB4, 0xF536, 0xFD77, 0xFD77, 0xF537, 0xED38, 0xED37, 0xE535, 0xE514, 0xED14, 0xF4F4, 0xF515, 
        0xED15, 0xECF5, 0xECD5, 0xF4D5, 0xECB5, 0xDC13, 0xD3B2, 0xCB91, 0xC30F, 0xAAAD, 0x920B, 0x91E9, 0x9209, 0x9A69, 0x9AAA, 0xAAEB, 0xBB6F, 0xDC74, 0xE4B5, 0xE493, 0xDC52, 0xDC52, 0xD412, 0xC38F, 0xB32E, 0xB32E, 0xB30D, 0xB30C, 0xB34D, 0xD3D2, 
        0xDBF3, 0xD3B2, 0xC34F, 0xAACD, 0x89C9, 0x6884, 0x6023, 0x78A4, 0x9105, 0x9926, 0xA127, 0x90C7, 0x90A6, 0x88A5, 0x8884, 0x8884, 0x9085, 0xA908, 0xA929, 0x98C8, 0x8887, 0x8886, 0x8066, 0x7866, 0x7067, 0x7048, 0x7849, 0x7849, 0x7869,
  0xA31A, 0xA319, 0xA338, 0xA338, 0xA339, 0xA33A, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA31A, 0xA31A, 0xA33A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xA35A, 0xAB5B, 0xAB3B, 0xAB3B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5C, 0xAB7C, 
        0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB9C, 0xAB9C, 0xAB9B, 0xB3BA, 0xB3DA, 0xBBDA, 0xBBFA, 0xBBF9, 0xBBF8, 0xBC17, 0xB416, 0xB413, 0xB3F2, 0xB3F1, 0xB3F2, 0xB3D5, 0xB3B8, 0xB3BB, 0xB39D, 0xB39D, 0xA35A, 0x9335, 
        0x8B12, 0x7AED, 0x72EA, 0x72C9, 0x72C8, 0x6AC8, 0x6AC9, 0x7AED, 0x8310, 0x8312, 0x8B15, 0x9B38, 0xA358, 0x9B38, 0x9B37, 0x9B37, 0x9B56, 0xA376, 0xAB96, 0xB3D5, 0xB415, 0xBC34, 0xC453, 0xD493, 0xDC93, 0xDCB2, 0xDCB2, 0xDCB1, 0xDCB1, 0xDCD2, 
        0xDCF2, 0xDCD2, 0xDCD1, 0xDCB1, 0xD490, 0xD470, 0xD470, 0xD46F, 0xD46F, 0xD46F, 0xD44E, 0xCC2D, 0xC42D, 0xBC4D, 0xB44D, 0xAC4D, 0xAC2C, 0xB42D, 0xB44D, 0xAC8F, 0xA4B0, 0xA4B0, 0xA4B0, 0xB511, 0xB552, 0xBD72, 0xBD72, 0xBD93, 0xBDB3, 0xBDD4, 
        0xC5F5, 0xC5F5, 0xCE15, 0xD636, 0xDE36, 0xD656, 0xD656, 0xD636, 0xCE36, 0xCE56, 0xC635, 0xC5F5, 0xBDB4, 0xBDD4, 0xBDB4, 0xBDB4, 0xB594, 0xB574, 0xB574, 0xB574, 0xB574, 0xB573, 0xB573, 0xB553, 0xB553, 0xB553, 0xBD53, 0xBD54, 0xC554, 0xE555, 
        0xED55, 0xED54, 0xE554, 0xDD53, 0xD533, 0xDD13, 0xD4F3, 0xC492, 0xAC51, 0xA430, 0x942F, 0x8C6D, 0x8C6C, 0x8C0C, 0x83AC, 0x7B6C, 0x736C, 0x6B6C, 0x6B8C, 0x738D, 0x7BCF, 0x83EF, 0x9451, 0xACF1, 0xB511, 0xAD10, 0xA4EF, 0xA4CE, 0xAC30, 0xDB18, 
        0xF29C, 0xFA5D, 0xFA7C, 0xFA9B, 0xFAB9, 0xF216, 0xF194, 0xE913, 0xE8F2, 0xE8F1, 0xE0D0, 0xD88F, 0xD86E, 0xD88D, 0xD88D, 0xD8AE, 0xE0CF, 0xF172, 0xF993, 0xF953, 0xF8F3, 0xF0D2, 0xF113, 0xFA38, 0xFABB, 0xFAFC, 0xFAFC, 0xF2BA, 0xF216, 0xE911, 
        0xE8AF, 0xE8CF, 0xE0CF, 0xE0AE, 0xD88D, 0xD06C, 0xD04C, 0xC84C, 0xC06C, 0xB86C, 0xC08C, 0xD06D, 0xD86E, 0xD8AF, 0xD8F0, 0xE111, 0xE932, 0xF111, 0xF111, 0xF153, 0xF154, 0xE912, 0xD88F, 0xC82C, 0xC00A, 0xB008, 0xA805, 0xA824, 0xB865, 0xE0EE, 
        0xF173, 0xF1F6, 0xFA59, 0xFA79, 0xFA59, 0xF9F7, 0xF9B6, 0xF9B7, 0xF1B7, 0xF197, 0xF176, 0xF175, 0xF154, 0xE933, 0xE913, 0xE113, 0xE913, 0xE934, 0xE934, 0xE913, 0xE0F2, 0xE0F2, 0xE912, 0xE933, 0xE934, 0xE933, 0xE913, 0xE912, 0xE0F1, 0xE0B0, 
        0xD890, 0xD8D0, 0xE111, 0xE932, 0xF174, 0xF9D7, 0xF9F7, 0xFA17, 0xFA38, 0xFA38, 0xFA59, 0xF1D8, 0xF197, 0xF9B8, 0xF9B8, 0xF9D7, 0xF9D7, 0xF9F9, 0xFA1A, 0xFA19, 0xFA39, 0xFA38, 0xFA38, 0xF9F7, 0xF1D7, 0xF1B6, 0xF175, 0xF155, 0xF134, 0xF153, 
        0xF953, 0xF194, 0xF1D6, 0xF217, 0xFA59, 0xFA5B, 0xFA5B, 0xFA7B, 0xFA5A, 0xF238, 0xE193, 0xA068, 0x9024, 0x9846, 0xA088, 0xB0A9, 0xB0AB, 0xA08B, 0x988B, 0xA8AA, 0xA089, 0x9067, 0x7024, 0x6842, 0x7042, 0x9064, 0xA866, 0xB047, 0xB049, 0xB049, 
        0xA86A, 0xA88A, 0xB0AB, 0xB8AD, 0xC0CE, 0xA8CC, 0x90A9, 0x6045, 0x4822, 0x4842, 0x5843, 0x5823, 0x5823, 0x5083, 0x48E3, 0x4123, 0x3943, 0x3942, 0x3942, 0x4122, 0x3942, 0x3942, 0x3922, 0x2881, 0x2861, 0x4965, 0x7B0B, 0xACB2, 0xE6FB, 0xE73B, 
        0xD679, 0xB4F3, 0x7B6E, 0x62AA, 0x4A27, 0x6B48, 0x83EA, 0x8C2B, 0x840B, 0x7B89, 0x6A66, 0x7925, 0x88C6, 0x9127, 0x9947, 0x9947, 0xA107, 0xB107, 0xB0E7, 0xA8E7, 0xA8E6, 0xA8C6, 0xA0C6, 0x7863, 0x6842, 0x6843, 0x7084, 0x78C5, 0x9188, 0xC2AF, 
        0xDB52, 0xEBF4, 0xF455, 0xFC96, 0xFCD7, 0xFD18, 0xFD38, 0xFD59, 0xFD9A, 0xFDBB, 0xFDFC, 0xFE5D, 0xFE7E, 0xFE7D, 0xFE5C, 0xFE5C, 0xF5FB, 0xED18, 0xECD7, 0xF4F6, 0xF516, 0xF516, 0xF517, 0xF598, 0xF5B9, 0xF5B7, 0xF576, 0xF556, 0xF536, 0xF516, 
        0xECF5, 0xECF5, 0xF4F5, 0xF4F5, 0xECD5, 0xEC74, 0xE454, 0xE454, 0xE475, 0xE495, 0xDC73, 0xB34E, 0x926A, 0x7165, 0x60E4, 0x6905, 0x89A8, 0xAA8B, 0xB30D, 0xCBB0, 0xE453, 0xE4D4, 0xE4F4, 0xDC11, 0xD3B0, 0xD3B0, 0xCB8F, 0xC36E, 0xB32D, 0xC36F, 
        0xCBD1, 0xE452, 0xECB3, 0xE473, 0xBB70, 0x7105, 0x5821, 0x7043, 0x80A4, 0x90C5, 0x9907, 0x9928, 0x9908, 0x90E7, 0x90A6, 0x90A6, 0x98A6, 0x98C6, 0x98C7, 0x98C7, 0x90A6, 0x8066, 0x7866, 0xA96C, 0xB1CF, 0x994D, 0x80EB, 0x788A, 0x7028,
  0xA339, 0xA339, 0xA339, 0xA339, 0xA339, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA31A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA35B, 0xA35A, 0xA33A, 0xAB3B, 0xAB5B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xA35B, 0xA35B, 0xAB5C, 0xAB5C, 0xAB5C, 0xAB5C, 0xAB5C, 
        0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xB37C, 0xB39C, 0xB3BC, 0xABBC, 0xB3D9, 0xB3F8, 0xBBF8, 0xBBD7, 0xBBF6, 0xB3F5, 0xB434, 0xB453, 0xB412, 0xB411, 0xB411, 0xB431, 0xB3F4, 0xB3B6, 0xB3B8, 0xB39A, 0xB37C, 0xA35B, 0x8B14, 
        0x7AF0, 0x72ED, 0x72CA, 0x6AA9, 0x6A87, 0x6266, 0x6266, 0x6A89, 0x72AC, 0x7ACE, 0x82F2, 0x9335, 0x9B56, 0x9B35, 0x9B35, 0x9B55, 0x9B75, 0x9355, 0x9B75, 0xA3B5, 0xB3F5, 0xB414, 0xBC53, 0xC454, 0xC454, 0xCC73, 0xCC72, 0xCC92, 0xD492, 0xDCB2, 
        0xDCB2, 0xD4D2, 0xD4B1, 0xD4B0, 0xCC90, 0xCC70, 0xCC6F, 0xCC4F, 0xC44E, 0xC42E, 0xBC2D, 0xB42D, 0xB42D, 0xB44D, 0xAC4D, 0xAC4D, 0xA42D, 0xAC6E, 0xACAF, 0xACF1, 0xAD33, 0xAD33, 0xB533, 0xBD93, 0xC5D3, 0xC5D4, 0xBDF5, 0xBDF5, 0xBDF5, 0xCE35, 
        0xD656, 0xD636, 0xD656, 0xD657, 0xD676, 0xCE35, 0xCE35, 0xCE35, 0xCE35, 0xC615, 0xBDF5, 0xBDD4, 0xBDD4, 0xBDD4, 0xBDD4, 0xBDD5, 0xBDF5, 0xC615, 0xC615, 0xCE36, 0xCE36, 0xCE36, 0xCE16, 0xC5F6, 0xC5D5, 0xCDD5, 0xCDD5, 0xD5B5, 0xDDB6, 0xDD97, 
        0xE577, 0xE555, 0xDD34, 0xD514, 0xCCF3, 0xD4D3, 0xD4F3, 0xC4F2, 0xC512, 0xC512, 0xB4F2, 0x94CE, 0x848D, 0x842D, 0x83ED, 0x83CD, 0x73AD, 0x6B8D, 0x6B8D, 0x738E, 0x83AF, 0x83D0, 0x8C11, 0x944F, 0x9C6F, 0x946E, 0x8C4D, 0x840C, 0x8BCD, 0xCB77, 
        0xEB1C, 0xF29D, 0xFA5E, 0xFA7D, 0xFABB, 0xF216, 0xE993, 0xE131, 0xE0F0, 0xE0EF, 0xE0CF, 0xD88E, 0xD86D, 0xD86D, 0xD8AE, 0xE0CE, 0xF130, 0xF153, 0xF133, 0xF0D2, 0xF0D1, 0xF8F2, 0xF9B6, 0xFABB, 0xFAFE, 0xFABE, 0xFA9D, 0xF27D, 0xF25B, 0xF9F8, 
        0xF9B6, 0xF996, 0xF955, 0xF934, 0xF132, 0xE112, 0xD8F1, 0xD8AF, 0xD08E, 0xC84D, 0xC84C, 0xD04D, 0xD88E, 0xE0CF, 0xE910, 0xE931, 0xE932, 0xE911, 0xE8F1, 0xE8F1, 0xE0D0, 0xD0AE, 0xB84B, 0xB008, 0xB006, 0xB845, 0xC086, 0xD0E9, 0xE990, 0xFA17, 
        0xFA3A, 0xFA19, 0xF9F8, 0xF9F7, 0xF9F6, 0xF1B6, 0xF196, 0xF175, 0xF175, 0xF154, 0xE914, 0xF113, 0xF112, 0xE912, 0xE112, 0xE112, 0xE113, 0xE112, 0xE0F2, 0xE0F3, 0xE0F3, 0xE0F2, 0xE112, 0xE954, 0xE954, 0xE954, 0xE933, 0xE913, 0xE0F2, 0xE0B1, 
        0xD8B0, 0xD8D1, 0xE112, 0xE933, 0xF195, 0xF9F7, 0xFA17, 0xFA37, 0xFA38, 0xFA59, 0xFA3A, 0xF9F8, 0xF9D7, 0xF9D8, 0xF9B8, 0xF9B7, 0xF9B7, 0xF9B9, 0xF9D9, 0xFA19, 0xFA39, 0xFA59, 0xFA38, 0xF9F7, 0xF9D6, 0xF1B5, 0xF174, 0xF154, 0xF113, 0xE912, 
        0xE932, 0xE953, 0xF194, 0xF1B6, 0xFA18, 0xFA7A, 0xFA9A, 0xFA7B, 0xFA7B, 0xFA7A, 0xEA16, 0xC8CD, 0xB049, 0xA869, 0xA889, 0xA88A, 0xA86A, 0xA08A, 0x98AA, 0xA0AA, 0xA089, 0x9868, 0x8025, 0x7042, 0x7862, 0x9064, 0xA866, 0xA867, 0xA868, 0xA869, 
        0xB069, 0xB06A, 0xB06B, 0xB86C, 0xC0AD, 0xC8EE, 0xB8EC, 0x8067, 0x5043, 0x4842, 0x4843, 0x5023, 0x5823, 0x5063, 0x48C3, 0x4903, 0x4163, 0x4162, 0x3941, 0x3922, 0x3922, 0x4123, 0x4123, 0x20A1, 0x2081, 0x4144, 0x6AA9, 0x93CE, 0xB513, 0x8B8A, 
        0x6245, 0x5184, 0x4964, 0x51C6, 0x62A8, 0x7327, 0x7B87, 0x83E9, 0x7BA9, 0x6B07, 0x51A4, 0x70A3, 0x8885, 0x9928, 0xA989, 0xB189, 0xB149, 0xB0E8, 0xA8C8, 0xB0C8, 0xB0C7, 0xA8C6, 0x9885, 0x6822, 0x5021, 0x6083, 0x78E5, 0x8167, 0xA22B, 0xD2F0, 
        0xEB73, 0xF415, 0xFC96, 0xFCD7, 0xFD18, 0xF53A, 0xFD3A, 0xFD5A, 0xFD7A, 0xFDBA, 0xFDFB, 0xFE1C, 0xFE3D, 0xFE3D, 0xFE5D, 0xFE5D, 0xFE3C, 0xED7A, 0xED38, 0xF537, 0xF536, 0xF536, 0xF537, 0xFD58, 0xF558, 0xF597, 0xF5B7, 0xF597, 0xF556, 0xECF4, 
        0xE4D4, 0xECB5, 0xECB5, 0xECB5, 0xECB4, 0xED16, 0xED16, 0xECF6, 0xECD6, 0xECB6, 0xDC54, 0xB36E, 0x92AA, 0x69E6, 0x59A4, 0x61A4, 0x7A06, 0x99C7, 0xAA09, 0xBAED, 0xC390, 0xBBB0, 0xBBB0, 0xDBD2, 0xE3D2, 0xDBF1, 0xD3F0, 0xCBB0, 0xCB4F, 0xC390, 
        0xCBD0, 0xDC11, 0xD412, 0xCBB1, 0x9AAD, 0x60C4, 0x5822, 0x7064, 0x8086, 0x88A6, 0x90C6, 0x90E6, 0x90E6, 0x90E7, 0x90C8, 0x98C8, 0x98A8, 0x9086, 0x90A5, 0x98C7, 0x98C7, 0xA0C7, 0xA108, 0xA22E, 0x9A6F, 0x918D, 0x80CA, 0x7868, 0x7025,
  0xA319, 0xA319, 0x9B19, 0x9B19, 0xA319, 0xA319, 0xA339, 0xA339, 0xA319, 0xA31A, 0xA33A, 0xA33A, 0xA33A, 0xA31A, 0xA31A, 0xA33A, 0xA33A, 0xA31A, 0xA33A, 0xA35A, 0xA35A, 0xA33A, 0xA33A, 0xAB3A, 0xAB5B, 0xAB5C, 0xAB5C, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 
        0xB37B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xB39B, 0xB39C, 0xB39B, 0xB3DB, 0xBC19, 0xC438, 0xBC17, 0xB3D6, 0xB3D5, 0xB3D3, 0xABD2, 0xABF1, 0xB410, 0xB42F, 0xB44E, 0xB44E, 0xB412, 0xB3D5, 0xB397, 0xB379, 0xB35A, 0xA338, 0x82B1, 
        0x728D, 0x6A8A, 0x6289, 0x6268, 0x6267, 0x6286, 0x6286, 0x6A87, 0x7289, 0x72AB, 0x82EF, 0x9314, 0x9B36, 0x9B54, 0x9B53, 0x9B53, 0x9333, 0x9333, 0x9333, 0x9B53, 0xA394, 0xABD4, 0xB3F3, 0xB3D3, 0xB3D3, 0xBBF3, 0xBC13, 0xBC33, 0xC453, 0xCC74, 
        0xCC74, 0xC452, 0xC452, 0xBC32, 0xC432, 0xC412, 0xC411, 0xBBEE, 0xB3CC, 0xABCC, 0xABEC, 0xA3ED, 0xA3EE, 0xA42E, 0xA42E, 0xA42D, 0xA44E, 0xAC90, 0xB4F1, 0xB553, 0xB594, 0xB594, 0xBDB4, 0xCE15, 0xCE36, 0xCE56, 0xCE56, 0xCE56, 0xCE36, 0xD676, 
        0xD676, 0xCE56, 0xCE56, 0xCE56, 0xCE56, 0xC615, 0xBDF5, 0xC5F5, 0xC5F5, 0xC5F5, 0xC5F5, 0xC615, 0xC636, 0xCE36, 0xCE57, 0xCE57, 0xD677, 0xD6B7, 0xD6D8, 0xDED8, 0xE6D9, 0xDEB8, 0xDE97, 0xDE77, 0xDE77, 0xD657, 0xD637, 0xD617, 0xDDF6, 0xD5D6, 
        0xD5B6, 0xD575, 0xCD14, 0xCCF4, 0xCCF4, 0xD5B7, 0xDE17, 0xD5F6, 0xD5D5, 0xCDB5, 0xBD74, 0x9D0F, 0x94CD, 0x946D, 0x8C0E, 0x83EE, 0x73CD, 0x73ED, 0x73CE, 0x7BAE, 0x838E, 0x838E, 0x7B8E, 0x83CE, 0x83ED, 0x7BCC, 0x6B8A, 0x6329, 0x6AEB, 0xCB58, 
        0xF35D, 0xFA9C, 0xFA5B, 0xFA7B, 0xF299, 0xE994, 0xE112, 0xD931, 0xD110, 0xC910, 0xD0D0, 0xD86E, 0xD84D, 0xD86C, 0xD8AD, 0xE0EE, 0xF111, 0xF113, 0xF0D3, 0xF0B2, 0xF8F2, 0xF974, 0xFA38, 0xFABC, 0xFADE, 0xFA7D, 0xFA7D, 0xFA7D, 0xFA9C, 0xFA19, 
        0xF9D7, 0xF1B6, 0xF1B5, 0xF1B5, 0xF9B5, 0xF1D4, 0xF193, 0xE111, 0xD8B0, 0xD86F, 0xD04E, 0xD86D, 0xD88C, 0xD8CD, 0xD8ED, 0xD0ED, 0xD0AE, 0xD88F, 0xE06E, 0xD84D, 0xC04C, 0xB02B, 0x9828, 0xA004, 0xB044, 0xD109, 0xE9CF, 0xF233, 0xFA57, 0xF9F7, 
        0xF9B7, 0xF9B7, 0xF9B6, 0xF9B5, 0xF194, 0xE954, 0xE114, 0xE0F2, 0xE0F1, 0xE0F1, 0xE0F1, 0xE0D1, 0xE0D1, 0xE0F2, 0xE112, 0xE112, 0xE112, 0xE0F2, 0xE0D2, 0xE0D2, 0xE0F2, 0xE0F2, 0xE112, 0xE153, 0xE154, 0xE954, 0xE934, 0xE113, 0xD8D2, 0xD890, 
        0xD8B0, 0xE0F2, 0xE953, 0xE994, 0xF1B5, 0xF217, 0xFA18, 0xFA38, 0xFA18, 0xFA18, 0xF9F8, 0xF9F9, 0xF9F9, 0xF9B8, 0xF9B8, 0xF997, 0xF997, 0xF9B8, 0xF9D8, 0xFA18, 0xFA38, 0xFA39, 0xFA38, 0xF1F6, 0xF1B5, 0xE973, 0xE953, 0xE953, 0xE933, 0xE0F2, 
        0xE0F2, 0xE934, 0xF195, 0xF9D7, 0xFA18, 0xFA99, 0xFAB9, 0xFA7B, 0xFA5B, 0xFA5A, 0xE9D6, 0xC88C, 0xB829, 0xB069, 0xA889, 0xA88A, 0xA86B, 0xA08A, 0xA08A, 0xA08A, 0x9889, 0x9048, 0x8025, 0x7842, 0x8062, 0x9064, 0xA066, 0xA086, 0xA886, 0xB069, 
        0xB04A, 0xB04A, 0xB06A, 0xB88B, 0xC8CD, 0xC0EE, 0xB0EC, 0x8067, 0x6024, 0x5023, 0x4823, 0x4823, 0x5023, 0x4863, 0x48A3, 0x48E3, 0x4943, 0x3941, 0x3121, 0x3921, 0x3922, 0x4123, 0x3923, 0x2102, 0x2101, 0x3122, 0x4964, 0x61E5, 0x6A67, 0x5A24, 
        0x51E2, 0x59C3, 0x6205, 0x6A46, 0x72C8, 0x7B27, 0x8367, 0x83A9, 0x6B08, 0x4A26, 0x30E3, 0x8125, 0xA988, 0xB9AA, 0xC18B, 0xC16A, 0xC129, 0xB0A7, 0xA887, 0xA0A6, 0x98A5, 0x9084, 0x7822, 0x5001, 0x5041, 0x7925, 0xA1E9, 0xBA8D, 0xD351, 0xEC15, 
        0xF477, 0xFCB8, 0xFCD8, 0xFCF8, 0xFD38, 0xF55A, 0xF57A, 0xF55A, 0xFD7A, 0xFD9A, 0xFDFB, 0xFE3C, 0xFE5D, 0xFE5D, 0xFE3C, 0xFE1C, 0xF5DB, 0xED17, 0xECD6, 0xECD6, 0xF517, 0xF558, 0xFD99, 0xF579, 0xF578, 0xED77, 0xED56, 0xED36, 0xE4F5, 0xE4F4, 
        0xED14, 0xE4F5, 0xE4D5, 0xDC94, 0xDC74, 0xED98, 0xF5FA, 0xF599, 0xF517, 0xE495, 0xC3D0, 0x7A88, 0x59E4, 0x51A2, 0x5982, 0x61A4, 0x71A6, 0x8126, 0x9147, 0xB28C, 0xCB4F, 0xCBB0, 0xC3D0, 0xDC54, 0xE454, 0xD3D1, 0xCB8F, 0xC34E, 0xCB4E, 0xC38E, 
        0xCBCF, 0xD411, 0xC36F, 0xA28C, 0x6906, 0x5844, 0x6025, 0x8086, 0x88C6, 0x90C6, 0x88C5, 0x90E6, 0x98E7, 0x90C7, 0x98C8, 0x98C8, 0x98A7, 0x9064, 0x8864, 0x98E6, 0xA9AA, 0xC26D, 0xCB10, 0x918C, 0x78C9, 0x7088, 0x7047, 0x7026, 0x7025,
  0xA319, 0xA319, 0x9B19, 0x9B19, 0x9B19, 0xA319, 0x9B39, 0xA339, 0xA31A, 0xA33A, 0xA33A, 0xA33A, 0xA31A, 0xA31A, 0xA31A, 0xA33A, 0xA33A, 0xA33A, 0xA35A, 0xA35A, 0xA35A, 0xA33A, 0xA33A, 0xAB3A, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 
        0xB37B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xB39C, 0xB3BC, 0xB3BB, 0xB3DB, 0xBC3A, 0xC459, 0xBC16, 0xB3F4, 0xB3D3, 0xB3D1, 0xABD0, 0xABEF, 0xAC0E, 0xB44D, 0xB44C, 0xB44C, 0xB411, 0xB3F4, 0xB3B6, 0xB378, 0xB358, 0xA337, 0x82AF, 
        0x728B, 0x6A89, 0x6288, 0x6268, 0x6287, 0x6AC7, 0x72E7, 0x6AC8, 0x72C9, 0x7ACB, 0x82EE, 0x9313, 0x9B34, 0x9B53, 0x9B72, 0x9B72, 0x9B52, 0x9312, 0x9B12, 0x9B32, 0xA393, 0xABB3, 0xABD3, 0xABB2, 0xAB92, 0xB3D2, 0xB3D2, 0xBBF3, 0xBC14, 0xBC54, 
        0xC454, 0xBC32, 0xBC12, 0xBBF2, 0xBBF3, 0xC3F2, 0xBBF1, 0xB3CE, 0xA3AC, 0xA3AC, 0xA3CC, 0x9BCD, 0x9BEE, 0xA40E, 0xA42E, 0xA44E, 0xA44E, 0xACB0, 0xAD12, 0xB574, 0xBDB5, 0xBDD5, 0xC5F5, 0xCE56, 0xD677, 0xCE77, 0xCE77, 0xD676, 0xD656, 0xD677, 
        0xD677, 0xCE57, 0xCE56, 0xCE56, 0xCE36, 0xBE15, 0xBDF5, 0xBDF5, 0xC5F5, 0xC615, 0xC615, 0xCE56, 0xCE77, 0xD698, 0xD698, 0xDEB8, 0xDEB8, 0xDEF8, 0xDEF9, 0xE6FA, 0xE6FA, 0xE6F9, 0xE6D8, 0xE6B8, 0xE698, 0xDE78, 0xD657, 0xD637, 0xD616, 0xD5F6, 
        0xD5D5, 0xD595, 0xCD34, 0xCD14, 0xCD34, 0xD618, 0xDE79, 0xDE38, 0xD617, 0xD5F7, 0xC5B5, 0xA530, 0x9CEE, 0x948E, 0x8C4F, 0x840E, 0x73EE, 0x7C0E, 0x7BEE, 0x7BAE, 0x7B8E, 0x7B6D, 0x7B8D, 0x7B8E, 0x7B8D, 0x738B, 0x6329, 0x5AE8, 0x62AA, 0xC337, 
        0xF33C, 0xFA9C, 0xFA5B, 0xFA7A, 0xF2B8, 0xF194, 0xE912, 0xD931, 0xC910, 0xC910, 0xD0B0, 0xD86E, 0xE04D, 0xD86D, 0xD8AD, 0xE0CF, 0xF0F1, 0xF0D3, 0xF0D3, 0xF0F3, 0xF955, 0xF9D6, 0xFA5A, 0xFABC, 0xFA9D, 0xFA7D, 0xFA7D, 0xFA7D, 0xFA9C, 0xFA1A, 
        0xF9F8, 0xF1D7, 0xF1F6, 0xF1F6, 0xFA16, 0xFA16, 0xF9F5, 0xE974, 0xE133, 0xE113, 0xE0F2, 0xE0CE, 0xE0CD, 0xD8CC, 0xD0AC, 0xC88C, 0xC86C, 0xD04C, 0xD04C, 0xC82A, 0xB009, 0xA809, 0x9827, 0xB086, 0xC107, 0xE1AE, 0xF254, 0xFA76, 0xFA38, 0xF9B6, 
        0xF975, 0xF975, 0xF175, 0xF174, 0xE953, 0xE112, 0xD8D2, 0xD0B0, 0xD0B0, 0xD8B0, 0xD8D0, 0xD8B0, 0xD8B1, 0xD8F1, 0xE111, 0xE111, 0xD8F1, 0xE0F1, 0xE0D2, 0xD8D2, 0xE0F2, 0xE0F2, 0xE132, 0xE153, 0xE153, 0xE933, 0xE933, 0xE113, 0xD8F2, 0xD8B0, 
        0xD8B0, 0xE112, 0xE974, 0xF194, 0xF1B5, 0xFA18, 0xFA39, 0xFA39, 0xFA18, 0xFA18, 0xF9F8, 0xF9F9, 0xF9D9, 0xF998, 0xF197, 0xF997, 0xF996, 0xF9D8, 0xF9F8, 0xFA18, 0xFA39, 0xFA39, 0xFA18, 0xF1D6, 0xF194, 0xE953, 0xE952, 0xE953, 0xE953, 0xE0F2, 
        0xE0F2, 0xE934, 0xF175, 0xF9B6, 0xFA18, 0xFA98, 0xFAB9, 0xFA7B, 0xFA5C, 0xFA5B, 0xF1F7, 0xD0EF, 0xC08B, 0xB889, 0xB089, 0xB08A, 0xA88B, 0xA06A, 0xA06A, 0xA08A, 0xA08A, 0x9068, 0x8026, 0x8043, 0x8063, 0x9065, 0x9866, 0xA086, 0xA8A6, 0xB069, 
        0xB84A, 0xB04A, 0xB06A, 0xB88B, 0xC0CD, 0xC90E, 0xB8ED, 0x9088, 0x6825, 0x5803, 0x4822, 0x4822, 0x4843, 0x4843, 0x4883, 0x48C4, 0x4923, 0x3141, 0x3141, 0x3942, 0x4123, 0x4123, 0x3903, 0x2121, 0x2121, 0x3942, 0x4963, 0x59A4, 0x6225, 0x6AA6, 
        0x72C6, 0x72A6, 0x6A86, 0x6A66, 0x6A87, 0x8368, 0x8BA9, 0x7B48, 0x5A66, 0x3984, 0x28A2, 0x8967, 0xB9E9, 0xC1CB, 0xC18B, 0xC16A, 0xC109, 0xB086, 0xA065, 0xA085, 0x9085, 0x8863, 0x6821, 0x5021, 0x5862, 0x8947, 0xBA2B, 0xCACF, 0xE3B3, 0xF476, 
        0xFCB7, 0xFCD8, 0xFCD8, 0xFCF9, 0xFD39, 0xF57A, 0xF57A, 0xF57A, 0xF57A, 0xFD7A, 0xFDBB, 0xFE1C, 0xFE3D, 0xFE5D, 0xFE3C, 0xFE3C, 0xF5DB, 0xED37, 0xECF6, 0xECD6, 0xECF7, 0xF558, 0xF599, 0xF599, 0xF578, 0xF577, 0xED56, 0xED36, 0xE4F6, 0xED14, 
        0xED14, 0xE535, 0xE4F5, 0xDCB4, 0xDC94, 0xF5B8, 0xFDFA, 0xF599, 0xECF6, 0xE494, 0xBBAF, 0x7A88, 0x6225, 0x6204, 0x6A05, 0x7206, 0x79E7, 0x68E5, 0x70C5, 0x99C9, 0xB28C, 0xBAED, 0xBB6F, 0xD412, 0xDC33, 0xD3F1, 0xD3D0, 0xCB8F, 0xCB6F, 0xC36E, 
        0xC38E, 0xCBF0, 0xC36F, 0xA28B, 0x6925, 0x6045, 0x6825, 0x7886, 0x88C6, 0x88C6, 0x88A5, 0x90C5, 0x90C6, 0x90C7, 0x98C8, 0x98C8, 0x98A6, 0x9065, 0x8865, 0x90E6, 0xA9EA, 0xC2CE, 0xD372, 0x994B, 0x7847, 0x7026, 0x7026, 0x7026, 0x7046,
  0xA319, 0xA319, 0xA339, 0xA339, 0xA319, 0xA319, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33B, 0xA35B, 0xA35B, 0xAB5A, 0xA35B, 0xA35B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB5C, 0xAB5C, 0xAB7B, 
        0xAB9B, 0xB39B, 0xB39C, 0xB39C, 0xAB9C, 0xB37C, 0xB39C, 0xB3BC, 0xBBFD, 0xBBFD, 0xB41C, 0xBC5A, 0xBC58, 0xBC35, 0xBC12, 0xB411, 0xB40F, 0xAC0E, 0xAC0D, 0xAC0C, 0xAC0B, 0xAC2B, 0xAC2C, 0xB40F, 0xB3F1, 0xBBD4, 0xB3B6, 0xB396, 0xA375, 0x930F, 
        0x8AEC, 0x7AE9, 0x72C8, 0x72A8, 0x7AC9, 0x8B69, 0x8BA9, 0x836A, 0x832A, 0x832B, 0x8B2D, 0x9351, 0x9351, 0x9B71, 0xA390, 0xA391, 0xAB92, 0xA332, 0xA332, 0xA371, 0xAB91, 0xABB1, 0xABB1, 0xAB71, 0xAB71, 0xAB90, 0xB391, 0xB392, 0xBBB4, 0xBBF4, 
        0xBC13, 0xBC12, 0xB412, 0xB3F2, 0xB3D2, 0xBBD1, 0xB3D1, 0xABD1, 0xA3D0, 0x9BCF, 0x9BCE, 0x93CE, 0x93CE, 0x940E, 0x9C2F, 0x9C4F, 0xA471, 0xA4F1, 0xAD52, 0xB594, 0xBDB5, 0xBDD5, 0xC615, 0xCE77, 0xD697, 0xD697, 0xD697, 0xD697, 0xD677, 0xD697, 
        0xD697, 0xD697, 0xD677, 0xD677, 0xD656, 0xC636, 0xBE15, 0xC615, 0xC615, 0xCE35, 0xD656, 0xDE97, 0xDEB8, 0xDED8, 0xE6D8, 0xE6F8, 0xE6F9, 0xE71A, 0xE71A, 0xE71A, 0xE6FA, 0xE6FA, 0xE6D9, 0xE6D8, 0xE6B7, 0xE697, 0xDE77, 0xDE76, 0xDE56, 0xDE16, 
        0xDDF6, 0xDDD5, 0xD5B4, 0xD594, 0xD5B4, 0xDDF7, 0xDE18, 0xDE18, 0xDE37, 0xDE37, 0xD5F5, 0xB573, 0xA512, 0x94D1, 0x8C90, 0x846F, 0x7C2F, 0x7BEF, 0x7BCF, 0x73AF, 0x73AE, 0x7BAE, 0x7B8E, 0x736E, 0x736E, 0x734C, 0x6B2A, 0x62E9, 0x6AAA, 0xB2F5, 
        0xDAFA, 0xEA9C, 0xFA7C, 0xFA9C, 0xFABA, 0xFA16, 0xF194, 0xE132, 0xD8F0, 0xD8AF, 0xD86E, 0xD88E, 0xD88E, 0xE0AF, 0xE0AF, 0xE8D0, 0xF0F2, 0xF0F4, 0xF136, 0xF9B8, 0xFA3A, 0xFA5B, 0xFA7C, 0xFA7C, 0xFA7C, 0xFA5C, 0xFA5C, 0xFA5C, 0xFA5C, 0xFA5C, 
        0xFA5B, 0xFA5B, 0xFA5A, 0xFA59, 0xFA38, 0xFA39, 0xFA39, 0xFA39, 0xFA59, 0xF258, 0xF256, 0xF1D3, 0xF192, 0xE0F0, 0xD88E, 0xD86E, 0xD84C, 0xD02A, 0xC828, 0xB808, 0xB028, 0xB029, 0xC08A, 0xE1CF, 0xF252, 0xF254, 0xFA15, 0xF9D5, 0xF954, 0xF133, 
        0xF133, 0xE912, 0xE912, 0xE0F1, 0xD0D1, 0xD0AF, 0xD0AF, 0xD08F, 0xD08F, 0xD0B0, 0xD8B1, 0xD8B0, 0xD8D0, 0xD8F0, 0xE110, 0xE0F0, 0xD8F0, 0xD8F1, 0xD8F1, 0xE0D1, 0xE0D2, 0xE0F2, 0xE113, 0xE953, 0xE953, 0xE933, 0xE933, 0xE933, 0xE132, 0xD8D1, 
        0xD8D1, 0xE112, 0xE954, 0xF175, 0xF9B6, 0xFA37, 0xFA58, 0xFA38, 0xFA38, 0xFA38, 0xFA38, 0xF9B8, 0xF978, 0xF177, 0xF176, 0xF176, 0xF9B7, 0xFA19, 0xFA3A, 0xFA3A, 0xFA3A, 0xFA1A, 0xF9F8, 0xF176, 0xF155, 0xF154, 0xF153, 0xF153, 0xF153, 0xE932, 
        0xE912, 0xE912, 0xF133, 0xF154, 0xF9B6, 0xFA38, 0xFA79, 0xFA7B, 0xFA7C, 0xFA7C, 0xFA5B, 0xF216, 0xE9B2, 0xD8ED, 0xC08B, 0xB88A, 0xA88B, 0xA04B, 0xA84B, 0xB08C, 0xA8AB, 0xA069, 0x8826, 0x8024, 0x8044, 0x9065, 0x9886, 0xA0A7, 0xA8A8, 0xB049, 
        0xB849, 0xB86A, 0xB08B, 0xB08B, 0xB8AC, 0xD930, 0xE151, 0xB0CC, 0x8047, 0x6024, 0x4001, 0x4022, 0x4823, 0x4844, 0x4865, 0x4884, 0x40E4, 0x3942, 0x3962, 0x4144, 0x4144, 0x4123, 0x4101, 0x28C1, 0x3122, 0x5206, 0x6AC8, 0x7309, 0x836A, 0xA42C, 
        0xA44C, 0x8BAA, 0x72C7, 0x6266, 0x6246, 0x838A, 0x83AB, 0x6A87, 0x4963, 0x30C2, 0x38A3, 0x99C9, 0xBA2C, 0xB9CB, 0xB169, 0xA928, 0xA8C7, 0xA065, 0xA045, 0xA065, 0x9864, 0x8843, 0x7022, 0x7063, 0x80A4, 0x9928, 0xB1CC, 0xC24E, 0xDB32, 0xF414, 
        0xFC55, 0xFC76, 0xFCB8, 0xFCD9, 0xFD1A, 0xFD5A, 0xFD7A, 0xF57A, 0xF57A, 0xF57A, 0xFD7A, 0xFDBC, 0xFDDD, 0xFE1D, 0xFE3D, 0xFE5D, 0xFE5C, 0xF5FB, 0xF5BA, 0xF558, 0xF537, 0xF537, 0xF557, 0xFD37, 0xFD37, 0xF598, 0xF5B9, 0xF5B9, 0xED78, 0xF536, 
        0xF514, 0xED34, 0xE515, 0xE515, 0xED16, 0xED37, 0xED37, 0xED17, 0xE4B6, 0xDC74, 0xC3D2, 0xAB6D, 0x9B4B, 0x9B6A, 0x9B8A, 0x9B69, 0x8AE8, 0x6164, 0x50C3, 0x60E4, 0x7105, 0x8166, 0x9A29, 0xB2CD, 0xBB4F, 0xDC33, 0xECB4, 0xEC93, 0xDBF1, 0xC32E, 
        0xBB2D, 0xC36F, 0xC38F, 0xBB4E, 0xA28B, 0x7907, 0x6886, 0x7867, 0x7867, 0x8067, 0x8086, 0x8085, 0x80A5, 0x88A7, 0x88C7, 0x88C7, 0x90A7, 0x90A8, 0x98A8, 0x9108, 0x9989, 0xA1EB, 0xB20D, 0xA12B, 0x90A9, 0x8088, 0x7068, 0x7869, 0x788A,
  0xA339, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33B, 0xA33B, 0xAB3B, 0xAB5B, 0xAB5B, 0xA35B, 0xAB5B, 0xAB5B, 0xA35B, 0xAB7B, 0xAB7C, 0xAB5C, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB9C, 
        0xAB9C, 0xAB9C, 0xAB9C, 0xAB9C, 0xB39C, 0xB3BC, 0xB3BC, 0xB3DC, 0xBBFC, 0xBC1C, 0xC45C, 0xBC77, 0xBC55, 0xB412, 0xB3F0, 0xABEF, 0xA3ED, 0x9BAD, 0x9B8D, 0xA3CC, 0xA40B, 0xAC2B, 0xAC4B, 0xBC4E, 0xBC30, 0xBC11, 0xB3F2, 0xABD3, 0xA392, 0x934E, 
        0x932B, 0x8B0A, 0x8B09, 0x8AE9, 0x930A, 0x9B8B, 0x9BAB, 0x9B8B, 0x9B6C, 0x9B4C, 0xA32D, 0xA36E, 0xAB8F, 0xABB0, 0xB3D1, 0xBBF1, 0xBBF1, 0xBBD0, 0xB3B0, 0xABAE, 0xAB8E, 0xA36D, 0xA34D, 0x9B0D, 0x9B0E, 0xA32E, 0xA34F, 0xA350, 0xAB72, 0xB371, 
        0xB371, 0xB392, 0xB3B3, 0xABD3, 0xA3D3, 0xA3B2, 0x9BB2, 0x9B73, 0x9B73, 0x9B72, 0x9390, 0x836D, 0x836D, 0x8BAD, 0x93EF, 0x9430, 0x9C71, 0xA4D2, 0xA4F3, 0xAD53, 0xB594, 0xBDB5, 0xBDF6, 0xC636, 0xCE56, 0xD677, 0xDE97, 0xD697, 0xD697, 0xDE98, 
        0xDE98, 0xD697, 0xD677, 0xD677, 0xD657, 0xD677, 0xCE77, 0xCE56, 0xD656, 0xDE56, 0xE6B7, 0xE6F9, 0xE71A, 0xE6F9, 0xE71A, 0xEF3A, 0xEF5B, 0xEF3B, 0xEF1B, 0xEF1A, 0xEEF9, 0xE6D8, 0xDEB7, 0xDED6, 0xE6D6, 0xE6D7, 0xE6F6, 0xE6F6, 0xDED5, 0xD615, 
        0xD5B5, 0xD5D5, 0xDE35, 0xDE55, 0xDE96, 0xDE56, 0xDE36, 0xE677, 0xE677, 0xE676, 0xDE35, 0xD5B5, 0xC554, 0xAD12, 0x9CB1, 0x9C90, 0x942F, 0x7BEE, 0x73CE, 0x73AF, 0x738E, 0x736E, 0x6B2C, 0x732D, 0x732D, 0x7B0E, 0x730E, 0x6B0D, 0x6B0E, 0xAAF4, 
        0xD2D8, 0xEA7B, 0xFA5C, 0xFA5D, 0xFA7B, 0xFA17, 0xF1B4, 0xE931, 0xE0CF, 0xE08E, 0xD86E, 0xD88D, 0xE08E, 0xE0AF, 0xE8D0, 0xF0F1, 0xF953, 0xF9B9, 0xF9FB, 0xFA5C, 0xFA7C, 0xFA7D, 0xFA7D, 0xFA3C, 0xFA3C, 0xFA5D, 0xFA7D, 0xFA5D, 0xFA3C, 0xFA3B, 
        0xFA3B, 0xFA5C, 0xFA5C, 0xFA7C, 0xFA7C, 0xFA5B, 0xFA5B, 0xFA7A, 0xFA59, 0xFA38, 0xFA17, 0xFA38, 0xFA39, 0xF218, 0xF1D7, 0xF175, 0xE8F1, 0xE06B, 0xD829, 0xD04B, 0xD88D, 0xD8F0, 0xE973, 0xF1F5, 0xF1F5, 0xE973, 0xE911, 0xE8F0, 0xE8F0, 0xD8B0, 
        0xD0B0, 0xD88F, 0xD08E, 0xD08E, 0xC88E, 0xD08E, 0xD08E, 0xD0AF, 0xD0AF, 0xD0B0, 0xC890, 0xD090, 0xD0B0, 0xD0B0, 0xD0AF, 0xD8AF, 0xD8D0, 0xD8D0, 0xD8D1, 0xD8B1, 0xD8B1, 0xD8D1, 0xD8F2, 0xE933, 0xF134, 0xF155, 0xF175, 0xF154, 0xE933, 0xD8B1, 
        0xD891, 0xE112, 0xF154, 0xF195, 0xF9D7, 0xF258, 0xF279, 0xFA59, 0xFA38, 0xFA18, 0xF1F8, 0xF977, 0xF956, 0xF956, 0xF977, 0xF997, 0xF9B9, 0xFA1A, 0xFA5B, 0xFA3B, 0xFA3A, 0xFA3A, 0xF9F8, 0xF156, 0xF115, 0xF134, 0xF134, 0xF133, 0xF113, 0xF152, 
        0xF172, 0xF152, 0xF132, 0xF132, 0xF954, 0xFA38, 0xFA7A, 0xFA5B, 0xFA3B, 0xFA1B, 0xFA1B, 0xFA1A, 0xF1F7, 0xE152, 0xD0CE, 0xC8AC, 0xB08B, 0xB08B, 0xB08B, 0xB0AB, 0xB08A, 0xA869, 0x9027, 0x8844, 0x8864, 0x9084, 0x9886, 0x9887, 0xA868, 0xB869, 
        0xB849, 0xB86A, 0xB86B, 0xB06B, 0xB86C, 0xE0EF, 0xE910, 0xC0ED, 0x98A9, 0x7866, 0x5022, 0x4821, 0x4822, 0x5024, 0x5045, 0x4865, 0x40C5, 0x4143, 0x4162, 0x3943, 0x3902, 0x40C2, 0x48C1, 0x5985, 0x6227, 0x72E9, 0x7329, 0x6AE8, 0x6AA7, 0x9BEB, 
        0xA42C, 0x8B8A, 0x7B49, 0x7B4A, 0x7B4B, 0x7ACA, 0x6A28, 0x4124, 0x38A2, 0x50C3, 0x9187, 0xBACD, 0xC2CE, 0xA989, 0x90A5, 0x9065, 0x9885, 0x98C6, 0x98C5, 0x98A5, 0x9064, 0x8043, 0x7043, 0x78C4, 0x8926, 0x9989, 0xA1EC, 0xAA2C, 0xB2AE, 0xDBB3, 
        0xF436, 0xFC97, 0xFCF9, 0xFD1A, 0xFD3B, 0xFD5A, 0xFD5A, 0xFD7A, 0xFD7A, 0xFD5A, 0xFD5B, 0xFDDC, 0xFE1D, 0xFDFD, 0xFDFD, 0xFE1C, 0xFE1B, 0xF61A, 0xF5F9, 0xF5B9, 0xF599, 0xF598, 0xF578, 0xF537, 0xF516, 0xF536, 0xF577, 0xF598, 0xF5B9, 0xF558, 
        0xF516, 0xE4D5, 0xE4D5, 0xE4F6, 0xED37, 0xE4D6, 0xE4B5, 0xDCB5, 0xD4B3, 0xCC72, 0xB3CE, 0x9B6B, 0x936A, 0x9BAA, 0x9BA9, 0x9388, 0x8B07, 0x9AEA, 0x9ACA, 0x9229, 0x89C8, 0x89A7, 0x99C9, 0xAA8C, 0xBB0F, 0xCBF2, 0xDC73, 0xE474, 0xE432, 0xDBD0, 
        0xD38F, 0xC36E, 0xBB4D, 0xB30D, 0xA28C, 0xA20D, 0x99AC, 0x88E9, 0x7887, 0x7865, 0x7084, 0x78A5, 0x80C6, 0x80A5, 0x80A6, 0x88C6, 0x90C8, 0x98E8, 0x9908, 0x9108, 0x9928, 0x9948, 0xA129, 0x88A8, 0x7888, 0x80EB, 0x890C, 0x890C, 0x88CB,
  0xA339, 0xA339, 0xA319, 0xA319, 0xA319, 0x9B19, 0xA339, 0xA339, 0xA339, 0xA35A, 0xA35A, 0xA33A, 0xAB3B, 0xAB3B, 0xA33B, 0xA35B, 0xA35A, 0xAB5A, 0xA35B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5C, 0xAB5C, 0xAB5C, 0xAB5B, 0xAB5C, 0xAB5C, 0xAB7C, 
        0xAB7C, 0xAB7B, 0xAB7B, 0xAB7C, 0xB3BC, 0xBBDC, 0xBBDC, 0xBBFC, 0xBC1C, 0xBC1C, 0xBC3B, 0xBC79, 0xBC56, 0xB3F3, 0xABB0, 0x9B8D, 0x936A, 0x8B48, 0x8B48, 0x93A9, 0x9BCA, 0x9BCA, 0xA3EA, 0xB42C, 0xBC4D, 0xB42E, 0xB3EF, 0xB3CF, 0xAB8F, 0x9B4D, 
        0x934C, 0x934B, 0x9B6B, 0x9B6C, 0xA38D, 0xABED, 0xAC0D, 0xABCD, 0xB38D, 0xB38D, 0xB38D, 0xB38E, 0xB38E, 0xBBCF, 0xBC10, 0xC430, 0xC451, 0xC3EF, 0xBBCE, 0xB38E, 0xA36E, 0xA34D, 0x9B0B, 0x9AEB, 0x9ACC, 0x9AEE, 0xA30F, 0xA330, 0xAB71, 0xAB71, 
        0xAB71, 0xAB92, 0xAB93, 0xA393, 0xA394, 0x9B74, 0x9333, 0x92F3, 0x8AD2, 0x8AD1, 0x82CF, 0x730C, 0x6B2B, 0x7B6B, 0x7BAC, 0x83EE, 0x8450, 0x9C91, 0xA4B2, 0xA4F3, 0xA533, 0xA553, 0xB574, 0xBDB5, 0xC5D6, 0xC616, 0xCE36, 0xCE37, 0xCE57, 0xCE77, 
        0xCE77, 0xCE57, 0xCE56, 0xCE56, 0xCE56, 0xD677, 0xD677, 0xD677, 0xDE77, 0xDE97, 0xE6B8, 0xE6F9, 0xDEF9, 0xDED9, 0xDEF9, 0xE71A, 0xE73A, 0xDED9, 0xDEB8, 0xDEB7, 0xDEB7, 0xDED6, 0xDED6, 0xDED7, 0xDED7, 0xE6F7, 0xE6F7, 0xEF17, 0xEF17, 0xE716, 
        0xE6F7, 0xE6D7, 0xE6B8, 0xDED8, 0xDF18, 0xE738, 0xE717, 0xDEB6, 0xD635, 0xCDF4, 0xC5B3, 0xB5B3, 0xB572, 0xA511, 0x9C90, 0x8C4F, 0x7BEE, 0x7BCD, 0x7BCD, 0x736D, 0x6B4D, 0x6B4E, 0x734E, 0x7B2E, 0x7B0E, 0x82F0, 0x7AD0, 0x72CF, 0x6AF0, 0x9395, 
        0xBBB8, 0xDB3A, 0xF2DB, 0xFABB, 0xFA5B, 0xF1B6, 0xF133, 0xE8D1, 0xD890, 0xD88F, 0xD06E, 0xD88D, 0xE08D, 0xE8CF, 0xF110, 0xF132, 0xF994, 0xFA5A, 0xFA9C, 0xFA7B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA1B, 0xFA1B, 0xFA3B, 0xFA5C, 0xFA5C, 0xFA1B, 0xFA1A, 
        0xFA1A, 0xFA3B, 0xFA5C, 0xFA5C, 0xFA5B, 0xFA5A, 0xFA39, 0xFA19, 0xF9F9, 0xF9B9, 0xF999, 0xFA3C, 0xFA9D, 0xFA7C, 0xFA5A, 0xFA39, 0xF1B5, 0xE0D0, 0xE08E, 0xE8F0, 0xF152, 0xF172, 0xF173, 0xE0B2, 0xD871, 0xD06F, 0xD06D, 0xD06D, 0xD06C, 0xD04E, 
        0xD04F, 0xC86E, 0xC08D, 0xC88D, 0xC8AD, 0xC08E, 0xC08E, 0xC08D, 0xC08D, 0xC08E, 0xC88F, 0xD0AF, 0xD0AF, 0xD08F, 0xC890, 0xD090, 0xD090, 0xD890, 0xD891, 0xD0B0, 0xD0D0, 0xD0D0, 0xD8F1, 0xE933, 0xE955, 0xE975, 0xE975, 0xE995, 0xE974, 0xE0F2, 
        0xE0F2, 0xE934, 0xF175, 0xF196, 0xF1D7, 0xF238, 0xF258, 0xFA38, 0xFA18, 0xF9F8, 0xF1B7, 0xF156, 0xF137, 0xF978, 0xF9B8, 0xF9F8, 0xFA18, 0xFA19, 0xFA1A, 0xFA1A, 0xFA39, 0xFA39, 0xF1F7, 0xF154, 0xE913, 0xE933, 0xE933, 0xE912, 0xE912, 0xF193, 
        0xF993, 0xF173, 0xF153, 0xF153, 0xF195, 0xFA38, 0xFA59, 0xFA1A, 0xF9FB, 0xF9FB, 0xFA1A, 0xF1F7, 0xE9B5, 0xE132, 0xD0CF, 0xC8AD, 0xB86B, 0xB06A, 0xA889, 0xA889, 0xA868, 0xA047, 0x9025, 0x9044, 0x9064, 0x9085, 0x9885, 0xA086, 0xA867, 0xB068, 
        0xB869, 0xB869, 0xB86A, 0xB86A, 0xC06B, 0xD8ED, 0xD90E, 0xC8CD, 0xA88B, 0x9068, 0x6824, 0x4802, 0x4821, 0x4842, 0x4843, 0x5044, 0x5065, 0x48C5, 0x38E4, 0x3102, 0x3101, 0x38E1, 0x5142, 0x6A66, 0x72E8, 0x7B08, 0x6AC8, 0x6286, 0x5A65, 0x93AB, 
        0xAC2D, 0x93CB, 0x8B6A, 0x834A, 0x72E9, 0x51A5, 0x4943, 0x59A4, 0x7A26, 0x9288, 0xB2AA, 0xA169, 0x98C7, 0x98A6, 0xA085, 0xA865, 0xA865, 0xA0A5, 0x98A4, 0x8082, 0x7842, 0x7042, 0x6862, 0x5902, 0x69C4, 0xA2CA, 0xC36E, 0xC3AF, 0xC411, 0xDCB6, 
        0xED18, 0xF559, 0xFD5A, 0xFD5A, 0xFD5B, 0xF519, 0xF518, 0xF539, 0xF53A, 0xF51A, 0xFD3A, 0xFDFB, 0xFE5C, 0xFE3C, 0xFE3D, 0xFE1D, 0xFE1C, 0xF5DA, 0xF599, 0xED58, 0xED57, 0xED57, 0xF577, 0xF598, 0xFD98, 0xF558, 0xED17, 0xECF6, 0xE4D6, 0xE517, 
        0xED17, 0xED16, 0xED15, 0xED15, 0xED36, 0xE537, 0xE516, 0xD474, 0xBB90, 0xA2ED, 0x8249, 0x92AA, 0xA32C, 0xB40E, 0xB46D, 0xA40B, 0x9348, 0xA30A, 0xA2CA, 0x9248, 0x81E6, 0x79C5, 0x8A26, 0xBB4D, 0xD411, 0xDCB3, 0xE4F5, 0xE4D5, 0xDC53, 0xCBAE, 
        0xCB6D, 0xCBAE, 0xCBCF, 0xCBAF, 0xBAED, 0x8968, 0x70C6, 0x68A6, 0x6885, 0x6865, 0x6044, 0x6865, 0x7065, 0x8885, 0x98A7, 0x98C8, 0x98E8, 0x88A6, 0x80A5, 0x90E7, 0xA129, 0xA96A, 0xA149, 0x78A6, 0x7086, 0x80C8, 0x8909, 0x88C9, 0x7868,
  0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA339, 0xA339, 0xA35A, 0xA35B, 0xA35A, 0xA33A, 0xA33B, 0xA33B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB5C, 0xAB5C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xB39C, 
        0xAB7D, 0xAB7C, 0xAB7C, 0xAB9C, 0xB39C, 0xBBDD, 0xC41C, 0xC43C, 0xC45B, 0xC45B, 0xC47A, 0xC477, 0xC476, 0xBC14, 0xABB1, 0x938E, 0x7B49, 0x7B05, 0x82E5, 0x8B27, 0x8B69, 0x9389, 0x9BAA, 0xA40A, 0xAC2B, 0xB40C, 0xB3ED, 0xABEE, 0xA3CE, 0xA38D, 
        0xA38D, 0xA38D, 0xA38D, 0xAB8D, 0xB38E, 0xBC0F, 0xBC2E, 0xBBEE, 0xBBAE, 0xBBAD, 0xB38D, 0xB38D, 0xB3AD, 0xBBCD, 0xBBED, 0xBC0E, 0xBC2E, 0xC470, 0xC470, 0xBC2F, 0xB3EF, 0xB3CE, 0xAB8D, 0xA32C, 0xA30D, 0xA32E, 0xA32F, 0xAB4F, 0xAB6F, 0xAB91, 
        0xAB92, 0xAB93, 0xAB93, 0xA393, 0x9B73, 0x9331, 0x8AF0, 0x82AF, 0x7A6E, 0x724C, 0x6A4A, 0x72CB, 0x730B, 0x6B2C, 0x6B4C, 0x738D, 0x7BEE, 0x9C8F, 0xA4D0, 0x9CD1, 0x9CF2, 0xA4F3, 0xAD33, 0xAD74, 0xB595, 0xBDB5, 0xBDD6, 0xC5F6, 0xCE16, 0xD677, 
        0xD697, 0xD677, 0xCE56, 0xCE56, 0xD656, 0xD676, 0xD677, 0xD676, 0xD676, 0xD676, 0xDE97, 0xDE97, 0xDEB7, 0xDE97, 0xDEB6, 0xDEB7, 0xE6D7, 0xDED8, 0xDED8, 0xE6F7, 0xE6F7, 0xE6F7, 0xE6F7, 0xEF19, 0xEF3A, 0xEF39, 0xEF59, 0xEF38, 0xEF58, 0xF799, 
        0xF79A, 0xF77A, 0xF75A, 0xF759, 0xE737, 0xDED6, 0xDEB6, 0xDE96, 0xDE96, 0xDEB7, 0xDEB6, 0xC5F3, 0xAD51, 0x9470, 0x83F0, 0x7BAF, 0x7B6E, 0x7B6E, 0x7B6E, 0x7B4F, 0x7B50, 0x7B30, 0x8331, 0x7B32, 0x7B32, 0x8312, 0x8311, 0x7311, 0x6B10, 0x72F0, 
        0x8AF2, 0xC2F7, 0xEAFB, 0xFABC, 0xFA5C, 0xF9F9, 0xF1B7, 0xF134, 0xE8B1, 0xE090, 0xD88E, 0xE0AE, 0xE8CE, 0xF0D0, 0xF8F1, 0xF911, 0xF953, 0xFA1A, 0xFA7C, 0xFA9C, 0xFA7C, 0xFA5B, 0xFA3B, 0xFA5B, 0xFA5B, 0xFA5C, 0xFA3C, 0xFA3C, 0xF9FB, 0xFA1B, 
        0xFA1B, 0xFA3B, 0xFA3B, 0xFA5C, 0xFA5C, 0xFA3B, 0xFA1A, 0xF9F9, 0xF9D9, 0xF9FA, 0xFA3B, 0xFA9D, 0xFABE, 0xFA9D, 0xFA9D, 0xFA7C, 0xFA3A, 0xF1F6, 0xF1D4, 0xF193, 0xF132, 0xF0F1, 0xE08F, 0xD04D, 0xC82D, 0xC82C, 0xC84C, 0xC84B, 0xC82C, 0xD04C, 
        0xD04D, 0xC86C, 0xC06C, 0xC88C, 0xC88D, 0xC88D, 0xC06E, 0xC06D, 0xC86D, 0xC86E, 0xC86E, 0xD08E, 0xD08E, 0xC88E, 0xD08E, 0xD08F, 0xD8B0, 0xD8D1, 0xD8D1, 0xE0F1, 0xE112, 0xE112, 0xE933, 0xF153, 0xF174, 0xF175, 0xF9B5, 0xF9D6, 0xF1D5, 0xE913, 
        0xE8F2, 0xF154, 0xF195, 0xF9B6, 0xF9D7, 0xFA18, 0xFA38, 0xF9F8, 0xF9D7, 0xF9B7, 0xF196, 0xF176, 0xF976, 0xF9B8, 0xF9F9, 0xFA39, 0xFA3A, 0xF9F8, 0xF9F8, 0xFA18, 0xFA39, 0xFA39, 0xFA17, 0xF196, 0xF154, 0xE913, 0xE912, 0xE8F2, 0xE8F1, 0xF112, 
        0xF132, 0xF132, 0xF153, 0xF173, 0xF1B5, 0xF9F9, 0xFA1B, 0xFA1B, 0xFA1B, 0xFA1B, 0xFA1B, 0xFA38, 0xFA16, 0xF1B4, 0xE952, 0xD8EF, 0xC08C, 0xA849, 0xA069, 0xA089, 0xA0A8, 0xA087, 0x9045, 0x9866, 0x9886, 0x9866, 0xA066, 0xA847, 0xB849, 0xB069, 
        0xB089, 0xB069, 0xB06A, 0xB04A, 0xB86B, 0xC8CD, 0xD0EE, 0xD0EE, 0xC0CD, 0xB08C, 0x8847, 0x4823, 0x3041, 0x3041, 0x3042, 0x3823, 0x4023, 0x3882, 0x38C2, 0x4162, 0x51E3, 0x6204, 0x7265, 0x7AE7, 0x7B08, 0x7B28, 0x7B08, 0x72E8, 0x6AA8, 0x7B07, 
        0x8B28, 0x938A, 0x93CB, 0x8BCB, 0x6B69, 0x41E5, 0x49A5, 0x92A9, 0xBB4B, 0xBB2C, 0xAA4A, 0x98C6, 0xA065, 0xA8A6, 0xA8C7, 0xA8C6, 0xA0C5, 0x98A4, 0x9083, 0x8864, 0x8043, 0x7842, 0x6861, 0x50C1, 0x5923, 0x8228, 0x9ACB, 0xAB2D, 0xBBB0, 0xD434, 
        0xE497, 0xECF8, 0xF519, 0xF4FA, 0xECFA, 0xF55B, 0xF59B, 0xF55A, 0xF539, 0xF539, 0xFD5A, 0xFD9B, 0xFDBB, 0xFDFC, 0xFE1C, 0xFE1D, 0xFE1C, 0xFE5D, 0xFE5C, 0xF5FB, 0xF59A, 0xED7A, 0xF559, 0xFD77, 0xFD77, 0xFD57, 0xF557, 0xF558, 0xED58, 0xED37, 
        0xED36, 0xED36, 0xED35, 0xED15, 0xED16, 0xE516, 0xE4F5, 0xD473, 0xBBD1, 0xAB4F, 0x92EC, 0xA34C, 0xABAC, 0xABAC, 0xA3CB, 0xA3CA, 0xA3CA, 0xAB8A, 0xAB6A, 0xA34A, 0x932A, 0x8AEA, 0x8288, 0x9207, 0x9A08, 0xA28A, 0xAB4D, 0xBBCF, 0xCC72, 0xD412, 
        0xCBB1, 0xCBAF, 0xD3AF, 0xD3D0, 0xD3D1, 0xBB0F, 0xAA8D, 0x9A2C, 0x91CB, 0x918A, 0x8909, 0x80A7, 0x8066, 0x8886, 0x90A7, 0x90E7, 0x90E7, 0x88C7, 0x88C7, 0x9108, 0x9929, 0x9909, 0x9909, 0x9949, 0xA18A, 0xA98C, 0xA98D, 0xA18D, 0x916C,
  0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA35A, 0xA33A, 0xA33A, 0xA33B, 0xA35B, 0xA35B, 0xAB3B, 0xA33B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB9C, 0xB39C, 
        0xB39C, 0xB39C, 0xB39C, 0xB39C, 0xB39C, 0xB3DC, 0xBBFC, 0xC43C, 0xC47C, 0xCC9C, 0xD4BB, 0xDC98, 0xD476, 0xC434, 0xB3F1, 0xA3CF, 0x8B4B, 0x6AA5, 0x6A84, 0x7AC4, 0x8306, 0x8B27, 0x8B68, 0x9BEB, 0xA40B, 0xABEB, 0xABCB, 0xABCB, 0xA3CB, 0xA3CB, 
        0xABCB, 0xABAC, 0xB3AD, 0xB3AE, 0xBBCF, 0xC3F0, 0xC410, 0xC3EF, 0xC3CF, 0xC3AF, 0xC38E, 0xBB8D, 0xBBAC, 0xB3AD, 0xB3CD, 0xB3ED, 0xBC0E, 0xC44F, 0xCC50, 0xC46F, 0xBC4F, 0xBC2F, 0xBBEF, 0xB3AE, 0xAB8E, 0xAB8F, 0xABAF, 0xABAE, 0xABAD, 0xABD0, 
        0xABD1, 0xABD2, 0xA3D2, 0xA3B2, 0x9372, 0x8AEF, 0x82AE, 0x7A8D, 0x726B, 0x6A4A, 0x6248, 0x6AC9, 0x730A, 0x732B, 0x732C, 0x734D, 0x838E, 0x9430, 0x9C70, 0x9C90, 0x94B1, 0x9CD2, 0x9CF2, 0xA532, 0xA552, 0xB574, 0xBD95, 0xBD95, 0xBDD4, 0xC636, 
        0xCE56, 0xCE56, 0xD657, 0xCE57, 0xCE57, 0xCE56, 0xCE56, 0xCE36, 0xCE35, 0xCE35, 0xCE35, 0xD676, 0xD696, 0xD696, 0xD675, 0xD675, 0xDE95, 0xE6B7, 0xE6D7, 0xE6F8, 0xE717, 0xEEF7, 0xEEF7, 0xEF3B, 0xF75C, 0xF79B, 0xF79A, 0xF779, 0xEF58, 0xF75A, 
        0xF75A, 0xF75A, 0xF73A, 0xF739, 0xEF38, 0xE739, 0xE719, 0xDEF9, 0xDE97, 0xCE35, 0xAD51, 0x8C0D, 0x7B8C, 0x736E, 0x734F, 0x7B50, 0x7B30, 0x7B0F, 0x7B0F, 0x8331, 0x8352, 0x7B32, 0x7B31, 0x7B31, 0x7B31, 0x8312, 0x8312, 0x7B32, 0x7311, 0x6ACF, 
        0x7AD0, 0xAAF4, 0xD2F8, 0xEAFA, 0xF2BC, 0xFA5B, 0xFA19, 0xF996, 0xF113, 0xE8D1, 0xE0AF, 0xE0AE, 0xE0AE, 0xF0F0, 0xF8F0, 0xF8D0, 0xF8F2, 0xFA18, 0xFA9A, 0xFA9B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA9B, 0xFA5B, 0xFA3B, 0xFA1B, 0xF9FB, 0xFA1B, 
        0xFA3B, 0xFA3C, 0xFA5C, 0xFA5C, 0xFA7C, 0xFA5B, 0xFA3B, 0xF9B9, 0xF199, 0xF9DA, 0xFA5C, 0xFABE, 0xFADF, 0xFA9D, 0xFA7D, 0xFA7C, 0xFA5A, 0xFA37, 0xF9F5, 0xF9B5, 0xF174, 0xF153, 0xF112, 0xE0CF, 0xE0CE, 0xE0CE, 0xE0CE, 0xE0AD, 0xD88D, 0xD04C, 
        0xC84B, 0xC86C, 0xC88C, 0xD08C, 0xD06D, 0xC86D, 0xC86D, 0xD06E, 0xD06E, 0xD06E, 0xD06E, 0xC86D, 0xC86D, 0xD08E, 0xD8AF, 0xD8AF, 0xE0D0, 0xE0F1, 0xE912, 0xE953, 0xF154, 0xF174, 0xF155, 0xF954, 0xF954, 0xF995, 0xF9B5, 0xF9B5, 0xF174, 0xF113, 
        0xF113, 0xF975, 0xF9F6, 0xFA17, 0xFA37, 0xFA18, 0xF9F8, 0xF9D7, 0xF996, 0xF975, 0xF976, 0xF9B7, 0xF9D8, 0xF9D8, 0xF9D8, 0xF9D8, 0xF9B9, 0xF9D9, 0xF9D9, 0xF9F8, 0xFA18, 0xFA38, 0xFA17, 0xF995, 0xF154, 0xF133, 0xE912, 0xE912, 0xE0F1, 0xE0F0, 
        0xE0D0, 0xE8F1, 0xF112, 0xF133, 0xF1B5, 0xFA78, 0xFA9A, 0xFA5A, 0xFA1B, 0xF9FB, 0xF9DB, 0xF9D9, 0xF9D8, 0xF9F6, 0xF1B4, 0xE152, 0xC8AE, 0xB04B, 0xA069, 0xA089, 0xA088, 0xA087, 0x9867, 0x9888, 0xA088, 0xA088, 0xA868, 0xB048, 0xB048, 0xB089, 
        0xB0AA, 0xB08A, 0xB06A, 0xB04A, 0xB86B, 0xC0AD, 0xC8CE, 0xC8EE, 0xC8CE, 0xC8AD, 0xA86A, 0x6825, 0x4823, 0x3822, 0x2801, 0x2801, 0x3021, 0x4882, 0x5904, 0x61E5, 0x6AA6, 0x72E7, 0x7306, 0x7B06, 0x7B07, 0x7B08, 0x7B29, 0x832A, 0x7B09, 0x6285, 
        0x6284, 0x8307, 0x8B6A, 0x836A, 0x62C8, 0x39A5, 0x4964, 0x9268, 0xBB0A, 0xC30B, 0xAA6A, 0x98E5, 0x9843, 0x9864, 0x98A4, 0xA0C4, 0xA0C4, 0xA0A4, 0x9884, 0x9845, 0x9044, 0x8043, 0x6861, 0x5082, 0x50E4, 0x71E7, 0x8AA9, 0x9B2B, 0xABCD, 0xB40F, 
        0xBC31, 0xCC73, 0xDC95, 0xE497, 0xECB8, 0xECF8, 0xECF8, 0xF518, 0xF518, 0xFD19, 0xFD1A, 0xFD5B, 0xFD9C, 0xFDBC, 0xFDDC, 0xFDDC, 0xFDFC, 0xFE5D, 0xFE7D, 0xFE5D, 0xF63C, 0xF5FC, 0xED9B, 0xF599, 0xFD78, 0xFD57, 0xFD56, 0xFD57, 0xF557, 0xED78, 
        0xED78, 0xED56, 0xED35, 0xED35, 0xE516, 0xE515, 0xE515, 0xE4F5, 0xDC94, 0xC432, 0xA36F, 0x92CB, 0x8AA9, 0x92EA, 0x9B6B, 0xA3CB, 0xABEB, 0x8A66, 0x81E5, 0x8A67, 0x92EA, 0x9B4B, 0x9B6C, 0x9AEA, 0x9289, 0x8A48, 0x8A07, 0x89E8, 0x9229, 0xAAED, 
        0xB34F, 0xBB90, 0xC3B0, 0xCBB0, 0xD3B1, 0xDBD2, 0xDBB2, 0xD370, 0xCB0F, 0xC2CE, 0xBA6D, 0xA1EA, 0x9989, 0x8929, 0x88E8, 0x88E7, 0x90E6, 0x9108, 0x9129, 0x994A, 0xA14A, 0xA12A, 0xA129, 0xB1CB, 0xB1EB, 0xA16B, 0xA16C, 0xA9EE, 0xC2D1,
  0xA33A, 0xA339, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xAB5A, 0xA35B, 0xA35B, 0xAB3B, 0xA33B, 0xA33B, 0xA33A, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB5C, 0xB35C, 0xB37C, 0xAB9C, 
        0xAB9C, 0xAB9C, 0xB39C, 0xB39C, 0xB39C, 0xB3BB, 0xB3DB, 0xC45C, 0xD49C, 0xDCBB, 0xDCDA, 0xDCD8, 0xD4B6, 0xBC33, 0xABD0, 0xA38D, 0x932A, 0x6285, 0x5A63, 0x6AA4, 0x7AE5, 0x7AE5, 0x8306, 0x8B89, 0x93CB, 0x9BAA, 0xA3AA, 0xA3AA, 0xA3AA, 0xA3AD, 
        0xABAE, 0xB3AF, 0xBBCF, 0xBBCF, 0xC3AE, 0xCB8E, 0xCB8E, 0xCB8E, 0xC38D, 0xC36D, 0xBB2C, 0xBB8D, 0xBBAD, 0xBBAE, 0xBBCE, 0xBBEE, 0xB40F, 0xB40E, 0xB42E, 0xB44E, 0xBC6E, 0xBC6F, 0xC470, 0xC491, 0xC472, 0xBC32, 0xBC11, 0xB3F1, 0xABAF, 0xA3AF, 
        0xA3AF, 0x9B8F, 0x936F, 0x936E, 0x8B2E, 0x7B0E, 0x72ED, 0x6ACA, 0x6AA8, 0x6AA7, 0x6AA7, 0x72E8, 0x7AE9, 0x7B0A, 0x732B, 0x734B, 0x736B, 0x734C, 0x7B8D, 0x8C0E, 0x946F, 0x9490, 0x9490, 0x9CD1, 0xA511, 0xAD32, 0xB553, 0xB574, 0xB594, 0xB5B3, 
        0xB5B3, 0xB5B4, 0xBDB4, 0xBDB4, 0xBDB4, 0xB5B3, 0xB5B3, 0xB5B3, 0xB5B3, 0xB593, 0xB593, 0xB5B3, 0xBDD4, 0xC5F5, 0xCE36, 0xD656, 0xD697, 0xDED7, 0xE6F8, 0xEF39, 0xF77A, 0xF79A, 0xFFBB, 0xF7BC, 0xFFBC, 0xFFBD, 0xFFDE, 0xFFDD, 0xF7BD, 0xF79B, 
        0xF75A, 0xEF39, 0xEF3A, 0xEF3A, 0xE71A, 0xCE36, 0xB574, 0x9470, 0x83CE, 0x7B8E, 0x736E, 0x630F, 0x62EF, 0x6B0F, 0x7330, 0x7351, 0x7B51, 0x7B11, 0x7AF0, 0x7AF1, 0x7B11, 0x7B11, 0x7B31, 0x7B11, 0x7B10, 0x7B10, 0x7B11, 0x8311, 0x7B11, 0x6AD0, 
        0x72D0, 0xA2F4, 0xD2F8, 0xE2FA, 0xF2BC, 0xFA7C, 0xF23A, 0xF1B7, 0xE913, 0xE0B1, 0xD86D, 0xE0AD, 0xE8EE, 0xF0F0, 0xF0F1, 0xF0F1, 0xF112, 0xFA38, 0xFABB, 0xFA7B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA5C, 0xFA3B, 0xFA3B, 0xFA1B, 0xFA3B, 
        0xFA3B, 0xFA3B, 0xFA5C, 0xFA5C, 0xFA3B, 0xF9D9, 0xF9B8, 0xF9B8, 0xF9F9, 0xFA5B, 0xFADD, 0xFA7D, 0xFA1C, 0xF9DB, 0xF9BA, 0xF9D9, 0xF9DA, 0xF9F9, 0xF9D8, 0xF996, 0xF174, 0xF153, 0xE932, 0xE952, 0xE951, 0xE910, 0xE0EF, 0xE0EE, 0xD8CD, 0xD88D, 
        0xD88D, 0xD88D, 0xD08C, 0xD08C, 0xC86D, 0xC86D, 0xC06D, 0xC86C, 0xD06D, 0xD06D, 0xD88D, 0xD0AE, 0xD0CE, 0xD910, 0xE911, 0xE912, 0xE912, 0xE933, 0xE954, 0xE953, 0xE953, 0xE953, 0xF153, 0xF174, 0xF195, 0xF175, 0xF155, 0xF155, 0xF175, 0xFA16, 
        0xFA37, 0xF9F7, 0xF9F6, 0xF9F6, 0xF9F6, 0xF9D7, 0xF1B7, 0xF195, 0xF194, 0xF194, 0xF9B5, 0xF997, 0xF998, 0xF998, 0xF997, 0xF997, 0xF997, 0xF9DA, 0xF9FB, 0xFA3A, 0xFA39, 0xFA38, 0xF217, 0xF1B5, 0xF173, 0xF152, 0xE932, 0xE112, 0xD911, 0xD8AF, 
        0xD8AF, 0xE0F0, 0xE951, 0xE993, 0xF215, 0xFA78, 0xFA59, 0xFA19, 0xF9D9, 0xF9B8, 0xF998, 0xF9B9, 0xF9B9, 0xF197, 0xE934, 0xE0D1, 0xC86D, 0xB06A, 0xA869, 0xA068, 0xA048, 0xA048, 0xA048, 0xA088, 0xA889, 0xA889, 0xA868, 0xA848, 0xB048, 0xB869, 
        0xB889, 0xB889, 0xB889, 0xB889, 0xB86A, 0xB08B, 0xB8AC, 0xC0CD, 0xD0CD, 0xD0AD, 0xC04B, 0x7025, 0x4803, 0x3001, 0x2001, 0x2021, 0x3082, 0x61C5, 0x7246, 0x7266, 0x6AA7, 0x6AC7, 0x72E6, 0x72C4, 0x6AA4, 0x6AA5, 0x6AA6, 0x6A86, 0x6A86, 0x7B08, 
        0x8348, 0x8B48, 0x8306, 0x7AA5, 0x72A6, 0xA3AB, 0xBBED, 0xBB0B, 0xB248, 0xA1C7, 0x9105, 0x9864, 0x9844, 0x9884, 0xA0A5, 0xA8A5, 0xA8A5, 0x90A4, 0x8883, 0x8042, 0x7822, 0x7022, 0x6083, 0x61A4, 0x6245, 0x6A85, 0x7AA6, 0x8AC8, 0xAB4B, 0xC431, 
        0xCC73, 0xD434, 0xDC15, 0xE436, 0xEC76, 0xF4F8, 0xF539, 0xF518, 0xF4F8, 0xF4D8, 0xFCD9, 0xFD9B, 0xFDFC, 0xFE1C, 0xFE3C, 0xFE5D, 0xFE7E, 0xFE3C, 0xFDFB, 0xF5DB, 0xED99, 0xED58, 0xE516, 0xF579, 0xFDBA, 0xFDDA, 0xF599, 0xF577, 0xED15, 0xE4F5, 
        0xE4F5, 0xED36, 0xED36, 0xED36, 0xE515, 0xDCD5, 0xD4B4, 0xCC52, 0xB3CF, 0xA36C, 0x7AA8, 0x6205, 0x6A26, 0x92E9, 0x9B29, 0x9309, 0x8267, 0x8228, 0x926A, 0xAB6B, 0xB3EB, 0xABCA, 0x9308, 0x7A08, 0x71A8, 0x79C8, 0x8A29, 0x9A8B, 0xB30E, 0xBB2F, 
        0xBB50, 0xC392, 0xCBD3, 0xCBD3, 0xCBB1, 0xCB4F, 0xD34F, 0xD390, 0xCB90, 0xC32E, 0xAA4B, 0xA1AA, 0x9169, 0x8107, 0x78E7, 0x80E7, 0x88E7, 0x98E7, 0x98E6, 0x98E7, 0x90C6, 0x90C6, 0x9148, 0xCB10, 0xD372, 0xAA6D, 0x99CB, 0xA1CB, 0xB20E,
  0xA33A, 0xA33A, 0xA339, 0xA339, 0xA339, 0xA33A, 0xA33A, 0xA33A, 0xA33B, 0xAB5A, 0xAB5A, 0xA35A, 0xA33A, 0xA33B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xB37C, 0xB37C, 0xAB7C, 0xAB7C, 
        0xAB9C, 0xAB9C, 0xB39C, 0xB39C, 0xB3BD, 0xB3DD, 0xBBFD, 0xC43C, 0xCC7B, 0xD47B, 0xDC9A, 0xDCD8, 0xD4B6, 0xC453, 0xB3F1, 0xABCF, 0x9B6B, 0x72A6, 0x6284, 0x6AC5, 0x6AC5, 0x72C5, 0x72C5, 0x8348, 0x938A, 0x938A, 0x9B89, 0x9B89, 0xA389, 0xAB8D, 
        0xB38E, 0xB3AE, 0xB3CE, 0xB3CE, 0xBBAD, 0xD38D, 0xDB8D, 0xCB6D, 0xC34D, 0xBB4C, 0xBB2C, 0xBB4D, 0xBB6D, 0xBB6E, 0xBB8E, 0xB3AE, 0xABAE, 0xABAE, 0xABCE, 0xAC0E, 0xB44E, 0xBC8F, 0xC4B0, 0xC4B1, 0xC4B1, 0xC471, 0xBC32, 0xB3F1, 0xA3B0, 0x9B8E, 
        0x938D, 0x936D, 0x8B4D, 0x832C, 0x7B0B, 0x7AEA, 0x7AC9, 0x72A8, 0x72A7, 0x72A6, 0x7AA7, 0x82C9, 0x82CA, 0x7AE9, 0x7329, 0x7348, 0x7368, 0x732C, 0x7B2E, 0x8BAF, 0x8C0F, 0x944F, 0x946F, 0x9CD1, 0xA4F2, 0xA512, 0xA512, 0xAD32, 0xB553, 0xB574, 
        0xB574, 0xB594, 0xB593, 0xBD93, 0xB593, 0xB572, 0xAD73, 0xB593, 0xBDB4, 0xBD93, 0xBD93, 0xBDD3, 0xBDF4, 0xCE35, 0xD676, 0xDE96, 0xE6D7, 0xE718, 0xEF18, 0xF759, 0xF79A, 0xF7BA, 0xFFBC, 0xFFBC, 0xF79C, 0xFFBD, 0xF79D, 0xF79D, 0xF7BC, 0xFFDD, 
        0xFFDE, 0xF79D, 0xEF5B, 0xDEB9, 0xB574, 0x9431, 0x7BB0, 0x6B2E, 0x62AD, 0x62AD, 0x6ACE, 0x8373, 0x8394, 0x7B53, 0x7B31, 0x7B31, 0x7B31, 0x7B12, 0x7AF2, 0x7B11, 0x7B11, 0x7B11, 0x7B11, 0x7B11, 0x7B11, 0x7AF1, 0x7AF1, 0x8312, 0x8B12, 0x6AD1, 
        0x6AB1, 0x8AB2, 0xB2D6, 0xCB19, 0xF35D, 0xFABD, 0xFA5B, 0xF1F9, 0xE975, 0xE0F2, 0xD86D, 0xD88C, 0xE0CE, 0xE931, 0xF152, 0xF132, 0xF112, 0xF9D6, 0xFA38, 0xFA3A, 0xFA3A, 0xFA3A, 0xFA5A, 0xFA5A, 0xFA7B, 0xFA7B, 0xFA7C, 0xFA7C, 0xFA7C, 0xFA5C, 
        0xFA5C, 0xFA5B, 0xFA7C, 0xFA5C, 0xFA3B, 0xF9FA, 0xF9F9, 0xFA5B, 0xFABC, 0xFADD, 0xFABD, 0xF177, 0xF0F4, 0xF115, 0xF156, 0xF996, 0xF9F7, 0xFA37, 0xFA37, 0xFA16, 0xF9F6, 0xF1D5, 0xF194, 0xF173, 0xF173, 0xF153, 0xF133, 0xF132, 0xF131, 0xE8EF, 
        0xE0CE, 0xE0CF, 0xE0CF, 0xE0CE, 0xE0CE, 0xD8CF, 0xD8CF, 0xD8CF, 0xE0EE, 0xE8EE, 0xE90F, 0xE110, 0xE110, 0xE111, 0xE931, 0xE931, 0xF132, 0xF174, 0xF194, 0xF174, 0xF154, 0xF154, 0xF174, 0xF1B5, 0xF1B5, 0xF195, 0xF195, 0xF1B5, 0xF216, 0xFA98, 
        0xFA97, 0xF1F5, 0xF174, 0xF953, 0xF954, 0xF1B5, 0xF1D6, 0xF1D6, 0xF9B5, 0xF195, 0xF174, 0xF196, 0xF197, 0xF9B7, 0xF9B7, 0xF9B7, 0xF1D7, 0xFA7B, 0xFABC, 0xFA9B, 0xFA7B, 0xFA5A, 0xFA18, 0xF1B4, 0xF173, 0xF152, 0xE932, 0xE132, 0xE111, 0xD8AF, 
        0xD88E, 0xD8B0, 0xE111, 0xE953, 0xF1D6, 0xFA78, 0xFA79, 0xFA19, 0xF1B8, 0xF197, 0xF156, 0xF997, 0xF9B8, 0xF9B7, 0xF176, 0xE933, 0xD8AF, 0xB86B, 0xA869, 0xA049, 0xA049, 0xA049, 0xA049, 0xB089, 0xB0A9, 0xB089, 0xB069, 0xB048, 0xB028, 0xB868, 
        0xB869, 0xB889, 0xB869, 0xB86A, 0xB86A, 0xB86C, 0xB88D, 0xC8CE, 0xD0EE, 0xD8EF, 0xC8AD, 0x9827, 0x7004, 0x4002, 0x2842, 0x3083, 0x5145, 0x6A26, 0x7287, 0x7AA6, 0x7AA6, 0x7AC6, 0x72C6, 0x6242, 0x6242, 0x7AE6, 0x8B29, 0x8308, 0x72A7, 0x7AE7, 
        0x8307, 0x8B27, 0x8B26, 0x8346, 0x8B67, 0xABEB, 0xB3CC, 0xA2C9, 0x91E6, 0x9145, 0x98A4, 0xA085, 0xA0A5, 0x98C6, 0xA0E6, 0xA906, 0xA8E6, 0x9884, 0x9042, 0x9022, 0x8022, 0x7042, 0x60C2, 0x7986, 0x79E7, 0x69E5, 0x6205, 0x6225, 0x7266, 0x8AE8, 
        0x9B4A, 0xAB8E, 0xBBD0, 0xC3F1, 0xD433, 0xF497, 0xFCD8, 0xFD18, 0xF518, 0xF4D7, 0xF4B7, 0xFD5A, 0xFDBB, 0xFDBC, 0xFDFD, 0xFE1D, 0xFE5E, 0xFE5D, 0xFE5D, 0xFE3C, 0xF61B, 0xF5DA, 0xED78, 0xF579, 0xF579, 0xFD98, 0xFD77, 0xF577, 0xF556, 0xED75, 
        0xED75, 0xED55, 0xED55, 0xED36, 0xED16, 0xE516, 0xDCD4, 0xBBF0, 0xA34D, 0x9B2C, 0x8AEA, 0x69E6, 0x69C5, 0x7A88, 0x934A, 0xA3AC, 0xAB8C, 0x69A6, 0x5104, 0x69A5, 0x8A48, 0x9AA9, 0xAB2B, 0xBB8E, 0xB34D, 0x9A8A, 0x8228, 0x8208, 0x8A4A, 0x9A6A, 
        0xA28B, 0xAAED, 0xB370, 0xC3F3, 0xE496, 0xEC35, 0xEC15, 0xEC54, 0xE473, 0xE472, 0xDC10, 0xBB0E, 0xAA8C, 0xA20A, 0x99C9, 0x99A8, 0x9968, 0x9927, 0x9126, 0x9106, 0x88E6, 0x80C6, 0x88E7, 0xA1E9, 0xB22A, 0xAA0C, 0xA9ED, 0xAA0D, 0xAA2D,
  0xA33A, 0xA33A, 0xA35A, 0xA35A, 0xA339, 0xA33A, 0xA33B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xA35B, 0xA33B, 0xA33B, 0xA35B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xB37D, 0xB37D, 0xAB7C, 0xAB7C, 
        0xAB9C, 0xAB9C, 0xB39D, 0xB39D, 0xBBBD, 0xBBDD, 0xBBFD, 0xBC3C, 0xC45B, 0xCC5B, 0xDC7B, 0xDCD8, 0xD4D7, 0xCC75, 0xBC13, 0xB3F1, 0x9B8D, 0x7AE8, 0x6AC6, 0x6AC6, 0x6AC5, 0x72A5, 0x72A6, 0x8328, 0x8B6A, 0x9389, 0x9B89, 0x9B89, 0xA389, 0xAB6C, 
        0xB36D, 0xB38D, 0xBBAD, 0xBBAD, 0xC3AD, 0xD38E, 0xD38E, 0xCB6D, 0xC34D, 0xC34D, 0xBB4D, 0xBB4D, 0xBB4E, 0xB34E, 0xAB4E, 0xA34E, 0x9B6D, 0xA36D, 0xA38E, 0xABEE, 0xB44E, 0xBC6F, 0xC4B0, 0xC4B0, 0xC4B1, 0xC472, 0xC452, 0xBC11, 0xA3CF, 0x938D, 
        0x8B6D, 0x8B6D, 0x8B4C, 0x832C, 0x7B0B, 0x7ACA, 0x7AC9, 0x7AC8, 0x7AA7, 0x82A6, 0x82A6, 0x8AC9, 0x82EA, 0x7AEA, 0x7309, 0x7348, 0x7368, 0x7B2D, 0x834F, 0x8B8F, 0x8BEF, 0x8C0E, 0x946E, 0x9CD1, 0xA4F2, 0xA4F2, 0xA4F2, 0xA512, 0xB533, 0xB554, 
        0xB574, 0xB574, 0xBD93, 0xBD93, 0xBD93, 0xAD73, 0xAD73, 0xB593, 0xBDB4, 0xBDB4, 0xBDB3, 0xBE14, 0xC635, 0xCE55, 0xD696, 0xDED6, 0xE718, 0xEF39, 0xF75A, 0xF77A, 0xF79B, 0xF79B, 0xF79C, 0xF79C, 0xF7BD, 0xF7BD, 0xF7BD, 0xF7BD, 0xF79C, 0xEF5B, 
        0xE73B, 0xDEFB, 0xCE79, 0xBD96, 0x8C10, 0x6B0E, 0x62CE, 0x6AEF, 0x6AEF, 0x6ACF, 0x72F0, 0x8B94, 0x93B6, 0x8373, 0x7B32, 0x7B31, 0x8331, 0x7B12, 0x7B12, 0x7B12, 0x7B31, 0x7B31, 0x7B11, 0x8311, 0x7B11, 0x7AF2, 0x7AF2, 0x82F2, 0x8B12, 0x72F1, 
        0x6AB1, 0x7A91, 0x9AB4, 0xBB17, 0xEB7C, 0xFAFD, 0xFA9C, 0xFA3A, 0xF1D7, 0xE954, 0xD8AF, 0xD86C, 0xD88D, 0xE910, 0xF152, 0xF952, 0xF912, 0xF975, 0xF9D7, 0xF9F9, 0xFA3A, 0xFA3A, 0xFA5A, 0xFA7B, 0xFA7B, 0xFA9B, 0xFA9C, 0xFA9C, 0xFA7C, 0xFA7C, 
        0xFA7C, 0xFA7C, 0xFA7C, 0xFA7C, 0xFA5C, 0xFA3B, 0xFA5C, 0xFABD, 0xFADD, 0xFABD, 0xF21A, 0xF0D4, 0xF072, 0xF0F4, 0xF156, 0xF9B6, 0xFA17, 0xFA37, 0xFA36, 0xFA37, 0xFA37, 0xFA17, 0xF9B6, 0xF974, 0xF953, 0xF154, 0xF954, 0xF954, 0xF152, 0xE8EF, 
        0xE0CF, 0xE8EF, 0xE8EF, 0xE90F, 0xE910, 0xE931, 0xE931, 0xE930, 0xE930, 0xE92F, 0xE92F, 0xE910, 0xE111, 0xE931, 0xF131, 0xF131, 0xF132, 0xF973, 0xF994, 0xF194, 0xF174, 0xF174, 0xF174, 0xF995, 0xF9B5, 0xF9B5, 0xF9D6, 0xFA16, 0xFA57, 0xFA36, 
        0xF215, 0xF193, 0xF132, 0xF112, 0xF913, 0xF194, 0xF1D5, 0xF9D5, 0xF9B5, 0xF995, 0xF174, 0xF195, 0xF1B5, 0xF9B6, 0xF9D7, 0xF9D6, 0xF1D6, 0xFA7A, 0xFABC, 0xFA7B, 0xFA5A, 0xFA3A, 0xFA18, 0xF194, 0xF152, 0xE932, 0xE911, 0xE111, 0xE111, 0xE0AF, 
        0xD88F, 0xD8B0, 0xE0F1, 0xE933, 0xF1B6, 0xFA78, 0xFA99, 0xFA18, 0xF997, 0xF176, 0xF156, 0xF976, 0xF9B7, 0xF9D8, 0xF9D7, 0xF195, 0xE111, 0xB88C, 0xA84A, 0xA04A, 0xA04A, 0xA04A, 0xA849, 0xB08A, 0xB8AA, 0xB08A, 0xB069, 0xB049, 0xB829, 0xB869, 
        0xB869, 0xB869, 0xB86A, 0xB86A, 0xB86B, 0xC06C, 0xC88D, 0xD0CE, 0xD90F, 0xD90F, 0xD0CE, 0xB048, 0x9005, 0x5823, 0x4082, 0x4903, 0x61E6, 0x6A47, 0x7266, 0x7A86, 0x7AA5, 0x7AC5, 0x72C5, 0x6AA4, 0x72C5, 0x9349, 0x9B6A, 0x8B29, 0x72A6, 0x6A65, 
        0x6A85, 0x82E6, 0x9B88, 0xA3E9, 0xA40A, 0xA36B, 0x9AEA, 0x9227, 0x9185, 0x9124, 0xA0A5, 0xA0A5, 0xA0C6, 0xA0E5, 0xA0E6, 0xA906, 0xA8E6, 0xA084, 0x9843, 0x9823, 0x8822, 0x7842, 0x60C2, 0x7986, 0x79C7, 0x61A5, 0x59C4, 0x59E4, 0x6244, 0x7265, 
        0x8287, 0x92EA, 0xA34D, 0xAB6E, 0xBBB0, 0xE415, 0xF477, 0xFCD8, 0xF518, 0xF4D7, 0xF4B6, 0xF538, 0xFD5A, 0xFD7B, 0xFD9C, 0xFDBD, 0xFDFD, 0xFE5E, 0xFE9E, 0xFE9D, 0xFE7D, 0xF65C, 0xF61B, 0xF599, 0xF578, 0xFD77, 0xFD56, 0xFD76, 0xF576, 0xF5B6, 
        0xF5B6, 0xF596, 0xF576, 0xF556, 0xED36, 0xED36, 0xDCD5, 0xC411, 0xB38F, 0xAB8E, 0x9B6D, 0x8A89, 0x7A27, 0x7A68, 0x82E9, 0x9B6B, 0xABAC, 0x7248, 0x6165, 0x6104, 0x7125, 0x8186, 0xA28A, 0xC3AD, 0xC3CD, 0x9ACA, 0x7A07, 0x69A6, 0x71A7, 0x9249, 
        0xA28A, 0xA28B, 0xA2CD, 0xB330, 0xCBF3, 0xE435, 0xF456, 0xF495, 0xF4D5, 0xF514, 0xF4F3, 0xDC10, 0xCB8F, 0xC32D, 0xBACC, 0xBA8B, 0xB24B, 0xAA2A, 0xA22A, 0xA209, 0x99C9, 0x9969, 0x9929, 0x9967, 0xA1C8, 0xAA0C, 0xB24E, 0xB24E, 0xAA4E,
  0xA33A, 0xA35A, 0xA35A, 0xA35A, 0xA33A, 0xA33A, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xA35B, 0xA35B, 0xA35B, 0xAB5C, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7D, 0xB37D, 0xB37D, 0xAB7D, 0xB39C, 
        0xB39C, 0xB39D, 0xB3BD, 0xB3BD, 0xB3BD, 0xBBFD, 0xBC1D, 0xBC3C, 0xC45C, 0xCC7C, 0xDC9C, 0xDCDB, 0xD4BA, 0xC457, 0xB416, 0xB3F5, 0xA3B2, 0x8B4B, 0x7B08, 0x72C6, 0x72A5, 0x7AA5, 0x7AC6, 0x8329, 0x8B4A, 0x9369, 0x9B69, 0x9B69, 0xA349, 0xA34B, 
        0xAB4B, 0xBB4C, 0xC36C, 0xC38D, 0xCB8E, 0xCB6E, 0xCB6F, 0xCB4E, 0xCB4E, 0xC34E, 0xBB4E, 0xBB6F, 0xB34F, 0xA30F, 0x92CE, 0x92CD, 0x8AEC, 0x8B4D, 0x936D, 0xA3CE, 0xAC2E, 0xB44E, 0xB48F, 0xBCB1, 0xC492, 0xC493, 0xC473, 0xBC52, 0xAC0F, 0x9BAD, 
        0x8B6C, 0x834C, 0x834C, 0x834C, 0x7B2B, 0x72EA, 0x72C9, 0x7AC8, 0x82C6, 0x82A5, 0x8AA5, 0x92E8, 0x8B0A, 0x830A, 0x7B0B, 0x7B0B, 0x732B, 0x7B2D, 0x7B4E, 0x838E, 0x83CE, 0x8BEE, 0x8C2F, 0x9490, 0x9CD1, 0x9CD2, 0xA4F2, 0xA512, 0xAD32, 0xB554, 
        0xB574, 0xB574, 0xB573, 0xB573, 0xB594, 0xAD93, 0xAD92, 0xB593, 0xBDB4, 0xBDB4, 0xBDB4, 0xC635, 0xCE76, 0xD696, 0xDED6, 0xDEF7, 0xE739, 0xF77B, 0xFF9B, 0xFFBC, 0xFFBC, 0xFF9C, 0xFF7B, 0xF7BD, 0xFFDE, 0xFFDE, 0xFFDE, 0xF7BE, 0xE75B, 0xBDF5, 
        0xA551, 0x94B0, 0x83EF, 0x736E, 0x628D, 0x526D, 0x5A8E, 0x7311, 0x8373, 0x8B93, 0x8373, 0x7B34, 0x7B33, 0x7B32, 0x7B51, 0x7B51, 0x7B51, 0x8332, 0x8332, 0x7B31, 0x8331, 0x8331, 0x8331, 0x8311, 0x82F1, 0x7AF2, 0x82F3, 0x82D3, 0x8AF2, 0x7B31, 
        0x6B10, 0x72B0, 0x9292, 0xB2B4, 0xE2F9, 0xFAFC, 0xFADD, 0xFA9B, 0xFA59, 0xF1F7, 0xE953, 0xD86D, 0xD84C, 0xE8EF, 0xF151, 0xF972, 0xF973, 0xF955, 0xF976, 0xF9D7, 0xFA39, 0xFA5A, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7C, 0xFA7C, 0xFA7C, 0xFA9C, 
        0xFA9C, 0xFA9C, 0xFA7C, 0xFA7C, 0xFA9C, 0xFABD, 0xFADE, 0xFABD, 0xFA5B, 0xF1B9, 0xF0F6, 0xF0B4, 0xF0D4, 0xF177, 0xF9D8, 0xF9F9, 0xFA18, 0xF1F7, 0xF1F7, 0xFA18, 0xFA38, 0xFA18, 0xF9B7, 0xF155, 0xF134, 0xF134, 0xF113, 0xF112, 0xE910, 0xE0AF, 
        0xE08E, 0xE0CF, 0xE0EF, 0xE10F, 0xE130, 0xE952, 0xE972, 0xE930, 0xE10F, 0xE0EF, 0xE0EE, 0xE0AF, 0xE0CF, 0xE930, 0xF151, 0xF151, 0xF132, 0xF152, 0xF173, 0xF9B4, 0xF9B5, 0xF9B4, 0xF194, 0xF995, 0xF995, 0xF9D6, 0xFA16, 0xFA37, 0xF216, 0xF133, 
        0xF0D1, 0xF0F1, 0xF112, 0xF112, 0xF133, 0xF952, 0xF952, 0xF953, 0xF974, 0xF974, 0xF973, 0xF193, 0xF1B4, 0xF9B5, 0xF9B6, 0xF9D6, 0xF9D5, 0xF9F7, 0xF9F8, 0xF9F8, 0xF9F8, 0xF9F8, 0xF1B7, 0xE934, 0xE0F2, 0xD8F1, 0xD8F0, 0xD8F1, 0xE0F1, 0xE0D0, 
        0xD8CF, 0xE0F0, 0xE912, 0xE933, 0xF195, 0xFA38, 0xFA38, 0xF9B7, 0xF956, 0xF936, 0xF936, 0xF977, 0xF9B7, 0xF9F8, 0xFA18, 0xF9F7, 0xE973, 0xB8AC, 0xA86A, 0xA84A, 0xA84A, 0xA849, 0xA86A, 0xB0AB, 0xB8CB, 0xB8AB, 0xB88B, 0xB86B, 0xB82A, 0xB84A, 
        0xB869, 0xC06A, 0xC04A, 0xB84A, 0xB86B, 0xC88C, 0xD0AD, 0xD8EF, 0xE110, 0xE10F, 0xD8CE, 0xB84B, 0x9828, 0x7044, 0x58E3, 0x61A4, 0x6AA6, 0x6A86, 0x6A85, 0x7AA5, 0x82C5, 0x82C5, 0x8305, 0x8BA9, 0x93CB, 0x8B6A, 0x82E9, 0x72A7, 0x6245, 0x6244, 
        0x6A85, 0x8B47, 0xAC0A, 0xBC6D, 0xC42F, 0xA26A, 0x9167, 0x9106, 0x98E5, 0xA0C5, 0xA8A5, 0xA8A5, 0xA8C5, 0xA8E5, 0xA8E5, 0xA0C5, 0xA0A4, 0x9883, 0x9863, 0xA044, 0x9843, 0x8023, 0x6082, 0x61C5, 0x6225, 0x59E4, 0x59E3, 0x6224, 0x72A6, 0x7A47, 
        0x8A28, 0x924A, 0x9A6C, 0xA28C, 0xAACD, 0xCB31, 0xDB93, 0xEC56, 0xF4D8, 0xF4D8, 0xF4B8, 0xF4F7, 0xF538, 0xF559, 0xFD5B, 0xFD7B, 0xFDBC, 0xFE3D, 0xFE9E, 0xFEBE, 0xFEBD, 0xFEBD, 0xF67C, 0xF5D9, 0xF598, 0xFD77, 0xFD56, 0xFD56, 0xFD76, 0xF5B7, 
        0xF5D7, 0xF5B7, 0xF597, 0xF576, 0xED36, 0xED16, 0xE4F5, 0xDC73, 0xC431, 0xBC10, 0xB3EF, 0xB40E, 0xABAC, 0x8AA8, 0x7205, 0x6A04, 0x82A6, 0xB3EE, 0xBBAE, 0x89E7, 0x68A3, 0x6062, 0x68E3, 0x8A46, 0x92A7, 0x9288, 0x8208, 0x71A7, 0x6987, 0x9AAC, 
        0xAB0D, 0xA28D, 0x9A0C, 0x91EB, 0x9A2B, 0xC370, 0xDC13, 0xEC73, 0xF4B4, 0xF4F4, 0xF514, 0xF4F2, 0xF4D2, 0xECB2, 0xE452, 0xE411, 0xD3B1, 0xCBB0, 0xCBAF, 0xC36E, 0xC30D, 0xC2AD, 0xC22D, 0xB1ED, 0xAA2D, 0xBAEF, 0xBB30, 0xBAEF, 0xAA6D,
  0xA33A, 0xA33A, 0xA319, 0xA31A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA35A, 0xA35B, 0xA35B, 0xA33B, 0xAB5B, 0xAB5B, 0xAB3B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xB37D, 0xB37D, 0xB37D, 0xB37C, 0xB37C, 0xAB7C, 0xAB9C, 
        0xAB9C, 0xAB9C, 0xAB9C, 0xAB9C, 0xAB9C, 0xB3DC, 0xB3FC, 0xC43C, 0xCC5C, 0xCC7C, 0xCC9C, 0xCC9B, 0xC45A, 0xB3F8, 0xABB6, 0xAB96, 0xA353, 0x8B0D, 0x82C9, 0x7AC7, 0x7AC6, 0x7AE6, 0x8306, 0x8307, 0x8308, 0x8B08, 0x9308, 0x9308, 0x9B08, 0xAB2A, 
        0xB32A, 0xBB4C, 0xC34C, 0xC36C, 0xC36D, 0xC34D, 0xC32D, 0xC34D, 0xCB4D, 0xC34D, 0xC34E, 0xBB50, 0xB310, 0xA2AF, 0x926D, 0x824C, 0x7A6A, 0x7ACB, 0x830C, 0x8B6D, 0x9BCD, 0xA40D, 0xB46E, 0xB491, 0xB492, 0xB452, 0xB411, 0xABF1, 0x9BAF, 0x8B6B, 
        0x7B2A, 0x730A, 0x6AE9, 0x6AE9, 0x6AE8, 0x6AE6, 0x6AC6, 0x72A5, 0x82A5, 0x8AA5, 0x8AA6, 0x8AA6, 0x8AA7, 0x7AC8, 0x72C9, 0x6AAA, 0x62AA, 0x6AEB, 0x6B0C, 0x734C, 0x738D, 0x7BAD, 0x840E, 0x946E, 0x9CAF, 0x9CD0, 0xA4D1, 0xA4F2, 0xA4F2, 0xAD32, 
        0xAD53, 0xB553, 0xB553, 0xB553, 0xAD73, 0xADB3, 0xB5B3, 0xB5B3, 0xBDD4, 0xC5F5, 0xC616, 0xCE76, 0xCE96, 0xDED6, 0xE6F7, 0xEF18, 0xEF39, 0xEF5A, 0xEF5A, 0xEF5A, 0xF77A, 0xF77B, 0xF77C, 0xEF7C, 0xEF5C, 0xE73B, 0xDEB9, 0xCE58, 0xB554, 0x948D, 
        0x7BEA, 0x6309, 0x5289, 0x526A, 0x62AE, 0x7373, 0x7BB5, 0x7B73, 0x7B32, 0x7B32, 0x7B12, 0x6AF2, 0x6AF2, 0x7332, 0x7332, 0x7332, 0x7B12, 0x8B52, 0x8B52, 0x8351, 0x7B31, 0x7B11, 0x7AF0, 0x72F0, 0x7AF1, 0x82F2, 0x8AF3, 0x92D3, 0x8AF2, 0x7B11, 
        0x72F0, 0x7AB0, 0x82B1, 0x92D3, 0xB337, 0xE2D9, 0xFABA, 0xFABA, 0xF259, 0xE9D8, 0xE0F4, 0xE06E, 0xE88D, 0xF0F0, 0xF132, 0xF153, 0xF173, 0xF9B4, 0xF9D5, 0xF9F6, 0xFA16, 0xFA37, 0xFA58, 0xFA5A, 0xFA3B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA7B, 0xFA7C, 
        0xFA9C, 0xFA7C, 0xFA9C, 0xFA9C, 0xFA9B, 0xFABC, 0xFA7B, 0xF1D8, 0xF136, 0xE8D4, 0xE8B4, 0xF197, 0xFA18, 0xFA39, 0xFA38, 0xFA18, 0xF9D7, 0xF1D8, 0xF1F8, 0xF218, 0xFA38, 0xFA17, 0xF1B6, 0xE954, 0xE914, 0xE0F4, 0xE0D3, 0xE0D2, 0xD8B0, 0xD8AE, 
        0xD8CE, 0xD8CE, 0xD8EF, 0xD8EF, 0xD0CE, 0xD0CE, 0xD0AD, 0xD06D, 0xC86C, 0xC86C, 0xD06C, 0xD08D, 0xD8AD, 0xE90F, 0xF151, 0xF152, 0xF173, 0xF173, 0xF173, 0xF194, 0xF194, 0xF174, 0xF974, 0xF9B5, 0xF9F6, 0xF1F6, 0xF194, 0xE953, 0xE8D0, 0xE8D1, 
        0xF113, 0xF194, 0xF9B5, 0xF9B4, 0xF153, 0xF132, 0xF132, 0xF133, 0xF153, 0xF153, 0xF173, 0xF194, 0xF1B4, 0xF194, 0xF195, 0xF196, 0xF196, 0xF174, 0xF194, 0xF9D6, 0xF1D6, 0xF196, 0xE913, 0xD8D1, 0xD0B1, 0xD0D1, 0xD8D2, 0xD8F2, 0xD8F1, 0xD8D1, 
        0xD8F1, 0xE933, 0xF195, 0xF9D6, 0xFA17, 0xF997, 0xF956, 0xF156, 0xF156, 0xF156, 0xF976, 0xF9D8, 0xFA18, 0xFA39, 0xFA18, 0xF1D6, 0xE132, 0xC08C, 0xB04A, 0xA829, 0xA029, 0xA029, 0xA84A, 0xB0CB, 0xB90B, 0xB8EB, 0xB0AA, 0xB88B, 0xB84B, 0xB84A, 
        0xC049, 0xC069, 0xC069, 0xB869, 0xB869, 0xC06B, 0xC88D, 0xD0EE, 0xD90F, 0xD90E, 0xD8CD, 0xB86B, 0xA04A, 0x9068, 0x80E7, 0x7967, 0x7247, 0x6AE5, 0x7325, 0x8368, 0x93AA, 0x9BEB, 0x940B, 0x7B26, 0x6A64, 0x49A5, 0x4185, 0x4A07, 0x732A, 0xB4CD, 
        0xCD4D, 0xB4CB, 0x93C8, 0x82C7, 0x7944, 0xA083, 0xB064, 0xA085, 0x98A6, 0xA0C7, 0xB0E8, 0xB8C6, 0xB8C5, 0xB0C5, 0xA8C5, 0xA0A4, 0x9063, 0x9042, 0x9041, 0x9062, 0x8883, 0x7062, 0x58A2, 0x69A5, 0x6A06, 0x59E4, 0x5204, 0x5A65, 0x6AE6, 0x8AA7, 
        0x9287, 0xA2CA, 0xAB2D, 0xB36F, 0xBB91, 0xC30F, 0xCB0F, 0xDBD2, 0xE476, 0xECD8, 0xF519, 0xF538, 0xF559, 0xFD7B, 0xFD9C, 0xFDBD, 0xFDFD, 0xFE5D, 0xFE5D, 0xFE5C, 0xFE3C, 0xF61B, 0xF5DA, 0xED56, 0xED36, 0xF577, 0xFDB8, 0xFDB8, 0xFD97, 0xF576, 
        0xED56, 0xED56, 0xE556, 0xE536, 0xE536, 0xE516, 0xD4B4, 0xB3AF, 0x9AEB, 0x92AA, 0x92CB, 0xB3CD, 0xABCC, 0x7AA7, 0x6204, 0x6A04, 0x8AA7, 0x9B4B, 0x930B, 0x71C6, 0x58C3, 0x5882, 0x60A2, 0x8965, 0xA207, 0xAA6A, 0xAA6B, 0x9A0A, 0x8187, 0x6985, 
        0x69C6, 0x8A6A, 0xAB0E, 0xBB8F, 0xC411, 0xCBB3, 0xCB73, 0xD393, 0xDBB3, 0xDBF3, 0xE494, 0xF515, 0xF556, 0xED36, 0xE4F5, 0xDCB4, 0xCC52, 0xC3B0, 0xB34E, 0xA2ED, 0x9ACC, 0xA2ED, 0xAACF, 0xAA6D, 0xB2AD, 0xCBD1, 0xD412, 0xC390, 0xAA6C,
  0xA35A, 0xA35A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xAB5A, 0xAB5B, 0xA35B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xB37D, 0xAB5C, 0xAB7C, 0xAB7D, 0xAB5D, 0xB37D, 
        0xB37C, 0xB39C, 0xAB9B, 0xAB9B, 0xAB9C, 0xAB9D, 0xAB9E, 0xB3BD, 0xB3FD, 0xBC1D, 0xC43D, 0xBBDD, 0xB3DD, 0xB3DC, 0xB3DA, 0xB3B8, 0xAB94, 0x934F, 0x8B2C, 0x830A, 0x82E8, 0x82C7, 0x82C6, 0x82E5, 0x82E5, 0x8AE8, 0x92E9, 0x9AE9, 0xA309, 0xB32B, 
        0xB32C, 0xBB2C, 0xBB2D, 0xC32D, 0xC32D, 0xBB6D, 0xBB6D, 0xBB6D, 0xC34D, 0xC36E, 0xBB6F, 0xAB51, 0xA331, 0x92F0, 0x82AE, 0x726C, 0x622A, 0x628B, 0x6AAB, 0x72CC, 0x830E, 0x8B6F, 0xA412, 0xB453, 0xB453, 0xAC12, 0xABD1, 0xA3B0, 0x934D, 0x6B0B, 
        0x5AEA, 0x62CA, 0x6AC9, 0x6AC9, 0x6AC8, 0x7286, 0x7265, 0x7245, 0x7225, 0x7204, 0x7204, 0x7223, 0x7244, 0x7245, 0x6A66, 0x6A66, 0x5A67, 0x5A8A, 0x62AB, 0x6B0C, 0x7B6C, 0x83AD, 0x8BEE, 0x944E, 0x948F, 0x9CB0, 0xA4D1, 0xA4D1, 0xA4D1, 0x9CB1, 
        0x9CD1, 0xA513, 0xAD34, 0xAD33, 0xB553, 0xBDD5, 0xBDF5, 0xBDD5, 0xBDD4, 0xC615, 0xCE55, 0xCE36, 0xD636, 0xD656, 0xD676, 0xD697, 0xDE97, 0xDEB7, 0xDED7, 0xE6F9, 0xE73A, 0xEF5B, 0xDEFB, 0xACF4, 0x9411, 0x8BD0, 0x734F, 0x62CD, 0x4A0B, 0x5A8C, 
        0x6AEE, 0x7B50, 0x8372, 0x8372, 0x7B53, 0x7B53, 0x7B53, 0x7B53, 0x7B53, 0x7B53, 0x7353, 0x8352, 0x8352, 0x8333, 0x8313, 0x8312, 0x7B12, 0x7B32, 0x7B32, 0x7B11, 0x7AF1, 0x7AF2, 0x7B12, 0x8B11, 0x8AF1, 0x8AF1, 0x82F2, 0x82F2, 0x82F2, 0x82D2, 
        0x82B1, 0x7290, 0x62AF, 0x5AEF, 0x6B11, 0xC2D9, 0xF29D, 0xF29C, 0xFA5B, 0xFA3A, 0xF195, 0xE0AF, 0xE06D, 0xE8CF, 0xE912, 0xF153, 0xF175, 0xF974, 0xF994, 0xF9B5, 0xF9F6, 0xFA17, 0xFA38, 0xFA7A, 0xFA7B, 0xFA7B, 0xFA7A, 0xFA7A, 0xFA7A, 0xFA5B, 
        0xFA5B, 0xFA7B, 0xFA9C, 0xFABC, 0xFA9B, 0xF1D8, 0xF156, 0xF0F5, 0xF0F5, 0xF116, 0xF977, 0xF9F8, 0xFA18, 0xF9F7, 0xF1D6, 0xF196, 0xF196, 0xFA18, 0xFA59, 0xFA59, 0xFA59, 0xFA38, 0xF1F6, 0xF175, 0xE954, 0xE913, 0xE8D3, 0xE0B2, 0xE0B2, 0xE0D0, 
        0xE0EF, 0xD8CE, 0xD8AE, 0xD8AE, 0xD0AE, 0xD08E, 0xD08D, 0xD08D, 0xD08D, 0xD08D, 0xC86D, 0xC84B, 0xD06C, 0xE0CE, 0xF131, 0xF172, 0xF973, 0xF153, 0xF154, 0xF154, 0xF954, 0xF974, 0xF9B5, 0xFA37, 0xF216, 0xE932, 0xE0AF, 0xE090, 0xE913, 0xF217, 
        0xF258, 0xF217, 0xF1D6, 0xF9B5, 0xF9B5, 0xF1B6, 0xF1B6, 0xF9D6, 0xF9D5, 0xF9B5, 0xF195, 0xF1D6, 0xF1D6, 0xF9B5, 0xF995, 0xF996, 0xF9B8, 0xF218, 0xFA18, 0xF1B6, 0xF154, 0xE913, 0xD8D2, 0xD8D2, 0xD8F2, 0xE0F2, 0xE0F2, 0xD8F1, 0xD8D1, 0xE913, 
        0xF134, 0xF174, 0xF9B5, 0xF9F6, 0xFA17, 0xF9F7, 0xF9D7, 0xF9B6, 0xF196, 0xF997, 0xF997, 0xF9D8, 0xF9F9, 0xFA1A, 0xFA19, 0xF9F8, 0xF194, 0xD8AF, 0xC84C, 0xB02B, 0xA82A, 0xA84A, 0xB08A, 0xB0EB, 0xB10C, 0xB8CC, 0xC0CC, 0xC0CC, 0xB8AB, 0xB86A, 
        0xB849, 0xB86A, 0xB889, 0xB889, 0xC06A, 0xD0CC, 0xD90D, 0xD90E, 0xD90F, 0xD8EF, 0xD8CF, 0xC0AD, 0xB0AC, 0xA8CA, 0x98E9, 0x8908, 0x7966, 0x8246, 0x8287, 0x8288, 0x7A27, 0x69E6, 0x49A5, 0x49A5, 0x6227, 0xA34D, 0xCCB2, 0xD555, 0xCCF3, 0xB289, 
        0xA165, 0x9105, 0x88C4, 0x80A3, 0x8883, 0xB8C6, 0xC8E7, 0xC0E6, 0xB106, 0xB106, 0xB0E6, 0xB0C5, 0xA8A5, 0xA0A4, 0x98A4, 0x9883, 0x9083, 0x98A3, 0x9083, 0x7883, 0x68A2, 0x58E2, 0x5122, 0x5903, 0x5904, 0x4963, 0x4A03, 0x5284, 0x6B45, 0x7385, 
        0x7B65, 0x7AC5, 0x8267, 0x8A6A, 0x926D, 0xAA6D, 0xBA8D, 0xCB30, 0xD3D3, 0xE455, 0xECD7, 0xECD7, 0xF4D7, 0xF51A, 0xFD7C, 0xFDBC, 0xF5FC, 0xFE7E, 0xFE9E, 0xFE7D, 0xFE5C, 0xF63C, 0xF61A, 0xF5B8, 0xF5B8, 0xF5D8, 0xFDD8, 0xFDB8, 0xFD98, 0xF597, 
        0xED97, 0xED77, 0xED57, 0xED57, 0xED36, 0xE515, 0xDCD3, 0xBC11, 0x9B0E, 0x8A6B, 0x69A8, 0x7A07, 0x7A47, 0x6206, 0x51C5, 0x51A4, 0x6205, 0x9B6B, 0xA36C, 0x8207, 0x6904, 0x68C3, 0x70C4, 0x7084, 0x6864, 0x60A4, 0x68C4, 0x6924, 0x81E6, 0x926A, 
        0x8A6A, 0x71E7, 0x6186, 0x6986, 0x79C9, 0xAA6E, 0xBAD0, 0xBAF1, 0xBB32, 0xC352, 0xD3D4, 0xDC95, 0xE4F6, 0xE557, 0xE5B9, 0xE5F9, 0xE65A, 0xE67A, 0xE67A, 0xDE59, 0xDE39, 0xE61A, 0xE5D9, 0xDD95, 0xD573, 0xCD33, 0xC492, 0xB3D0, 0xA2AB,
  0xA33A, 0xA33A, 0xA35A, 0xA35A, 0xA33B, 0xA33B, 0xAB3B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xA33B, 0xAB5B, 0xAB5B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xB37C, 0xB37C, 0xAB9C, 0xAB7C, 0xAB7B, 0xAB7A, 0xAB7B, 0xAB7B, 0xAB5C, 0xA35C, 0xA35D, 0xA37D, 0xB37C, 
        0xB39C, 0xB39B, 0xAB9B, 0xAB9B, 0xAB7C, 0xAB9E, 0xB39E, 0xB39D, 0xB3BD, 0xB3BE, 0xBBDE, 0xB3BD, 0xB3DC, 0xB3FD, 0xB3FD, 0xB3FC, 0xABD8, 0xA3B3, 0x9B70, 0x934D, 0x930A, 0x8B09, 0x8AE7, 0x8B06, 0x8B06, 0x8AE7, 0x8AC8, 0x8AC8, 0x92C9, 0xAB2B, 
        0xB34C, 0xBB4C, 0xC32D, 0xC30D, 0xC30E, 0xBBB0, 0xB3D0, 0xB38F, 0xBB6E, 0xBB6F, 0xB370, 0xAB51, 0x9B51, 0x8B10, 0x7ACE, 0x6AAD, 0x626C, 0x5A8B, 0x5A8B, 0x62AC, 0x6B0D, 0x7B4E, 0x8BB1, 0x9C12, 0x9C31, 0x940F, 0x93CE, 0x8B8E, 0x834E, 0x6B0C, 
        0x62EB, 0x62CA, 0x6AAA, 0x6AA9, 0x72A8, 0x7A47, 0x7A26, 0x7A26, 0x7A06, 0x79E5, 0x71C3, 0x7A22, 0x7242, 0x6A43, 0x6A24, 0x6225, 0x6246, 0x62AB, 0x62CC, 0x6B2C, 0x7B4C, 0x836D, 0x8BAE, 0x8C2E, 0x8C6F, 0x9490, 0x9C90, 0xA4B1, 0xA4D1, 0x9CB1, 
        0xA4B2, 0xA513, 0xAD33, 0xAD53, 0xAD53, 0xB5B4, 0xBDF5, 0xC636, 0xC656, 0xCE56, 0xCE56, 0xD636, 0xD637, 0xD657, 0xD678, 0xDE98, 0xE6DA, 0xEF1B, 0xE71B, 0xD679, 0xBDD7, 0xAD55, 0x9473, 0x6AAD, 0x520B, 0x522C, 0x628E, 0x72F0, 0x8373, 0x8395, 
        0x7B96, 0x8374, 0x8373, 0x8354, 0x8355, 0x8354, 0x8354, 0x8374, 0x8394, 0x8374, 0x8354, 0x8B52, 0x8B52, 0x8352, 0x8352, 0x8353, 0x8B52, 0x8B53, 0x8B32, 0x8332, 0x8332, 0x8B33, 0x9353, 0x9312, 0x8B12, 0x8331, 0x8331, 0x8332, 0x8B12, 0x8AF2, 
        0x82D2, 0x7AF1, 0x72D0, 0x72CF, 0x82D1, 0xBB36, 0xD33A, 0xEAFC, 0xF2DE, 0xFABE, 0xF25B, 0xF173, 0xF0EF, 0xF0CF, 0xF0D0, 0xF0F1, 0xF952, 0xF1B5, 0xF1D5, 0xF9D5, 0xF9D5, 0xF9F6, 0xFA37, 0xFA58, 0xFA58, 0xFA59, 0xFA59, 0xFA59, 0xFA5A, 0xFA5A, 
        0xFA5A, 0xFA7A, 0xFA5A, 0xFA5A, 0xF9F8, 0xF115, 0xF0D3, 0xF915, 0xF956, 0xF977, 0xF998, 0xF9F9, 0xF9F8, 0xF1B7, 0xF196, 0xF976, 0xF996, 0xFA37, 0xFA78, 0xFA59, 0xFA39, 0xFA38, 0xFA17, 0xF9B7, 0xF176, 0xF134, 0xF113, 0xF112, 0xE8F2, 0xE0D0, 
        0xE0AF, 0xE0CF, 0xD8AF, 0xD8AF, 0xD8AF, 0xD8AE, 0xD8AE, 0xD8AE, 0xD8AE, 0xD8AE, 0xD0AD, 0xC84B, 0xD04B, 0xE0CE, 0xF131, 0xF972, 0xF993, 0xF133, 0xF113, 0xF933, 0xF974, 0xF9B5, 0xF9B4, 0xE8F1, 0xE890, 0xE8D0, 0xF152, 0xF1D5, 0xF237, 0xF195, 
        0xF134, 0xF133, 0xF154, 0xF174, 0xF9D6, 0xFA38, 0xFA39, 0xF9F7, 0xF9B6, 0xF9B6, 0xF9B6, 0xF9B6, 0xF996, 0xF9B6, 0xF9B6, 0xF9D7, 0xF9F8, 0xF9F8, 0xF1B6, 0xE934, 0xE8D2, 0xE0B2, 0xE0B3, 0xE0F2, 0xE112, 0xE912, 0xE112, 0xE112, 0xE912, 0xF134, 
        0xF154, 0xF995, 0xF9D6, 0xF9F7, 0xFA18, 0xF9F7, 0xF9B6, 0xF996, 0xF976, 0xF976, 0xF977, 0xF978, 0xF998, 0xF9B8, 0xF9F8, 0xFA18, 0xF1F6, 0xE931, 0xE0AE, 0xC86C, 0xB04B, 0xB04A, 0xA84A, 0xB88B, 0xC0AB, 0xC0AC, 0xC0ED, 0xD12E, 0xD94E, 0xC8AB, 
        0xC06A, 0xC069, 0xC869, 0xD069, 0xD08A, 0xD12F, 0xD150, 0xD930, 0xD92F, 0xD910, 0xD8F0, 0xC88E, 0xC06D, 0xB88B, 0xA889, 0x9867, 0x7084, 0x5166, 0x41A7, 0x49C7, 0x69E7, 0x8A68, 0xBBAE, 0xCD14, 0xD536, 0xDC34, 0xDB50, 0xD2AD, 0xB9CA, 0xA8E7, 
        0xA087, 0xA867, 0xA867, 0xB087, 0xB8C7, 0xC108, 0xC929, 0xC908, 0xC8E7, 0xC8E6, 0xC0E5, 0xA8C5, 0xA0C5, 0xA0A4, 0xA084, 0x9883, 0x9082, 0x98A3, 0x9083, 0x8063, 0x7883, 0x70A3, 0x6102, 0x48E1, 0x40E1, 0x4122, 0x49C3, 0x6265, 0x7346, 0x6B24, 
        0x6AE2, 0x6AC4, 0x72A5, 0x7A66, 0x81E8, 0x7927, 0x70E7, 0x7948, 0x89AA, 0x9A2C, 0xBB11, 0xE497, 0xF539, 0xFD7A, 0xFD7A, 0xFD9B, 0xF59B, 0xFDDD, 0xFE1D, 0xFE5E, 0xFE9E, 0xFEBE, 0xFEBD, 0xF65C, 0xF65C, 0xFE5C, 0xFE3B, 0xFE1A, 0xFDB8, 0xFD76, 
        0xF556, 0xF597, 0xF5B8, 0xF5D8, 0xF597, 0xDCD4, 0xD493, 0xD493, 0xD473, 0xCC32, 0xAB4F, 0x59A6, 0x4103, 0x5124, 0x6185, 0x69E5, 0x6A45, 0x6A24, 0x7204, 0x7205, 0x71A5, 0x6944, 0x6083, 0x6864, 0x7065, 0x6845, 0x6044, 0x5863, 0x48A3, 0x6125, 
        0x6967, 0x71A6, 0x71C7, 0x69C7, 0x69E7, 0x71E7, 0x71E7, 0x81C8, 0x91AA, 0x99AC, 0xA9AE, 0xA1CD, 0xA20D, 0xAA6F, 0xB2D1, 0xB331, 0xC3B2, 0xC493, 0xC4D4, 0xCC74, 0xCC75, 0xD496, 0xDD38, 0xE5F9, 0xE619, 0xDD97, 0xDD16, 0xD494, 0xCBF2,
  0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA35B, 0xA35B, 0xA33B, 0xA33B, 0xA33B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5C, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xB37B, 0xB37B, 0xAB7B, 0xAB7C, 0xAB5D, 0xAB5D, 0xAB5C, 0xAB79, 
        0xAB98, 0xAB79, 0xAB7A, 0xAB7C, 0xAB5D, 0xAB5E, 0xAB5E, 0xAB7D, 0xB39D, 0xB39D, 0xB3BD, 0xB3BB, 0xB3BA, 0xB3BB, 0xB3DC, 0xB3DC, 0xABBA, 0xA395, 0x9B72, 0x934F, 0x932C, 0x8B0A, 0x82E8, 0x82C7, 0x8AC7, 0x8AC7, 0x8AA7, 0x8AA7, 0x92C9, 0xAB4B, 
        0xB36D, 0xBB4F, 0xBB31, 0xC312, 0xC333, 0xB372, 0xAB92, 0xB371, 0xB371, 0xB350, 0xAB50, 0x9B31, 0x92F1, 0x7AAF, 0x6A8D, 0x6A6C, 0x626C, 0x5A8C, 0x62AC, 0x6ACC, 0x72ED, 0x72ED, 0x7B2E, 0x8BAF, 0x8BCE, 0x838D, 0x7B6C, 0x734D, 0x732D, 0x6AEB, 
        0x62AA, 0x62A9, 0x6AA9, 0x6AA8, 0x7287, 0x7226, 0x71E5, 0x79A5, 0x7984, 0x7164, 0x6983, 0x69E2, 0x6A22, 0x6202, 0x59E3, 0x59E4, 0x5205, 0x5227, 0x5288, 0x62E9, 0x734B, 0x7B4C, 0x8B8E, 0x8C4E, 0x8C8F, 0x9491, 0xA4B1, 0xA4D1, 0xA4D1, 0x9CB2, 
        0x9CB3, 0xA4F3, 0xAD12, 0xAD33, 0xAD53, 0xB594, 0xB594, 0xB5B4, 0xBDB4, 0xBDB4, 0xBDB4, 0xC5D4, 0xCE14, 0xD677, 0xDED9, 0xE71B, 0xDEFB, 0xBD95, 0xACF3, 0xA492, 0x8BF0, 0x732E, 0x526D, 0x6AF2, 0x7B75, 0x8374, 0x8B74, 0x8374, 0x7B54, 0x7B35, 
        0x7B34, 0x8353, 0x8353, 0x8353, 0x7B54, 0x7B54, 0x7B74, 0x8B74, 0x8B74, 0x9374, 0x8B54, 0x8B74, 0x8B73, 0x8B53, 0x8B53, 0x9353, 0x9374, 0x8B53, 0x8353, 0x8B53, 0x8B53, 0x8B53, 0x8B33, 0x8B33, 0x8B32, 0x8B12, 0x8B12, 0x8B12, 0x8B33, 0x8B53, 
        0x8B73, 0x8332, 0x82F1, 0x82D0, 0x8AD1, 0xC376, 0xE3BA, 0xEB3B, 0xF2DC, 0xFABD, 0xFA5B, 0xE996, 0xE932, 0xE910, 0xF0F0, 0xF0F1, 0xF913, 0xF194, 0xF1D5, 0xF1D5, 0xF1D5, 0xF9D6, 0xF9D7, 0xF9D6, 0xF9F6, 0xF1F7, 0xF1F7, 0xF1F7, 0xF1D8, 0xF1D7, 
        0xF1D6, 0xF9D6, 0xF9B6, 0xF975, 0xF114, 0xF0D4, 0xF0D5, 0xF936, 0xF977, 0xF9B8, 0xF9D8, 0xF9D7, 0xF1B7, 0xF176, 0xF176, 0xF196, 0xF9F7, 0xFA18, 0xF218, 0xF219, 0xFA19, 0xF9F8, 0xF9B7, 0xF197, 0xF196, 0xF155, 0xE934, 0xE913, 0xE0F2, 0xE0F0, 
        0xD8CF, 0xD8AE, 0xD8AE, 0xD08E, 0xD08E, 0xD0AD, 0xD0AD, 0xD0AD, 0xD08C, 0xD08C, 0xD08C, 0xD08C, 0xD8CD, 0xE92F, 0xF191, 0xF1B2, 0xF193, 0xF952, 0xF952, 0xF952, 0xF973, 0xF994, 0xF173, 0xE0EE, 0xE0EE, 0xE9B3, 0xF216, 0xF1D6, 0xE934, 0xE8F2, 
        0xE912, 0xF153, 0xF194, 0xF1B5, 0xF1F6, 0xF218, 0xF1F9, 0xF1D7, 0xF1B6, 0xF1B6, 0xF1B6, 0xF1B6, 0xF1D7, 0xF1F7, 0xFA18, 0xF9F8, 0xF9B7, 0xF175, 0xE934, 0xE0F2, 0xD8D2, 0xD8D2, 0xE0F2, 0xD8F2, 0xD8F1, 0xE111, 0xE111, 0xE912, 0xE932, 0xF195, 
        0xF9B6, 0xF9F7, 0xFA18, 0xFA18, 0xF9D8, 0xF9B7, 0xF976, 0xF155, 0xF135, 0xF935, 0xF955, 0xF977, 0xF998, 0xF9B9, 0xF9D9, 0xF1F8, 0xF1B6, 0xE911, 0xD8AE, 0xC88C, 0xB06A, 0xA86A, 0xA86A, 0xB88A, 0xB88B, 0xC0AC, 0xC8ED, 0xC90D, 0xD12E, 0xD0CD, 
        0xC88C, 0xC86B, 0xC86B, 0xC86B, 0xD08B, 0xD0ED, 0xD92F, 0xD930, 0xD910, 0xD0F0, 0xD0CE, 0xD10E, 0xD14E, 0xC9AE, 0xC1AD, 0xB1AB, 0xAA0B, 0xC4B3, 0xCDB6, 0xCD76, 0xD576, 0xD4F5, 0xE3B3, 0xDAB0, 0xD22D, 0xB14A, 0x98C7, 0x90A5, 0x98A5, 0xC169, 
        0xD1AB, 0xC98A, 0xC969, 0xC969, 0xD169, 0xC908, 0xC8E7, 0xC107, 0xB906, 0xB106, 0xB0E5, 0xA084, 0xA063, 0x9883, 0xA0A3, 0xA0A3, 0x9883, 0x7842, 0x7042, 0x7063, 0x68C3, 0x6103, 0x4942, 0x38C1, 0x38A2, 0x4923, 0x59E4, 0x6285, 0x6B26, 0x7325, 
        0x72E4, 0x7264, 0x69A4, 0x5944, 0x50E5, 0x7988, 0x920A, 0xAA8D, 0xBACF, 0xBACF, 0xBB10, 0xDC76, 0xED19, 0xF57A, 0xFDBB, 0xFDDC, 0xFE1D, 0xFE3E, 0xFE5E, 0xFE9E, 0xFEBE, 0xFE9D, 0xFE5C, 0xEDDA, 0xEDB9, 0xF5D9, 0xF61A, 0xF63A, 0xFE39, 0xF576, 
        0xF515, 0xED35, 0xE556, 0xED56, 0xED56, 0xED16, 0xDC94, 0xB38F, 0x92CB, 0x8A4A, 0x71A8, 0x5104, 0x4903, 0x5964, 0x59C5, 0x59E5, 0x5A24, 0x6A65, 0x7265, 0x69C4, 0x6144, 0x58E3, 0x5883, 0x6845, 0x7026, 0x6825, 0x6044, 0x5863, 0x48C3, 0x48E5, 
        0x5946, 0x71E7, 0x8227, 0x81E6, 0x7945, 0x60C5, 0x68A5, 0x80E7, 0x88C8, 0x88A8, 0x8089, 0x892B, 0x91CD, 0xAA6F, 0xB311, 0xBB52, 0xBB91, 0xBB91, 0xBB71, 0xBB90, 0xB3D0, 0xB3F0, 0xBC31, 0xCC76, 0xCC36, 0xBB52, 0xBB30, 0xC391, 0xDC73,
  0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33A, 0xA33B, 0xA35A, 0xAB5A, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xB37C, 0xAB7C, 0xAB9B, 0xB39B, 0xB39A, 0xAB7A, 0xAB7A, 0xA379, 0xA379, 0xA396, 
        0x9B95, 0x9B75, 0x9B76, 0xA377, 0xAB99, 0xA39B, 0xA39C, 0xABBC, 0xB3BC, 0xB39D, 0xB39D, 0xB39D, 0xB3BD, 0xABBC, 0xABBB, 0xB3BB, 0xB3BB, 0xAB96, 0xA394, 0x9371, 0x8B2F, 0x8B0D, 0x82EB, 0x92C9, 0x92C8, 0x8AC7, 0x8AC7, 0x8AC7, 0x92C9, 0xAB4C, 
        0xB36E, 0xB350, 0xBB32, 0xBB14, 0xBB15, 0xAB95, 0xA3B4, 0xAB74, 0xB353, 0xB353, 0xB332, 0x9B10, 0x8AEF, 0x72AE, 0x628E, 0x628D, 0x62AC, 0x6AEC, 0x6B0C, 0x6B0C, 0x6B2C, 0x6B2C, 0x6B2C, 0x734C, 0x734D, 0x734C, 0x734C, 0x732C, 0x732D, 0x730C, 
        0x730B, 0x730A, 0x72EA, 0x72E9, 0x72A8, 0x7226, 0x71E5, 0x71A5, 0x7185, 0x7985, 0x79A4, 0x69A2, 0x61C2, 0x59C2, 0x49C3, 0x49A2, 0x39A3, 0x41E5, 0x4A26, 0x5AA8, 0x62E9, 0x6B0B, 0x736D, 0x942F, 0x9C90, 0x9C90, 0x9C90, 0x9C90, 0xA491, 0xA4D2, 
        0xA4F3, 0xACF2, 0xAD13, 0xAD33, 0xAD53, 0xAD53, 0xAD73, 0xB594, 0xBDB5, 0xBDB5, 0xCDF6, 0xDEB9, 0xDF1A, 0xDEFB, 0xD699, 0xC5F7, 0x94B3, 0x6ACE, 0x5A2C, 0x520C, 0x5A6E, 0x62F1, 0x7BB4, 0x7B75, 0x7B54, 0x8333, 0x8333, 0x7B34, 0x7B34, 0x8355, 
        0x8B74, 0x8B74, 0x8B94, 0x9394, 0x9395, 0x9B95, 0x9B95, 0x9BB5, 0x9BD5, 0x9BB5, 0x93B5, 0x9BD4, 0x9BD4, 0x93B4, 0x9394, 0x9394, 0x9394, 0x8B73, 0x8B53, 0x9373, 0x9394, 0x9394, 0x9394, 0x8B53, 0x8B53, 0x8B33, 0x8B33, 0x8B33, 0x9333, 0x9353, 
        0x9353, 0x9373, 0x9373, 0x8B73, 0x8B73, 0xA352, 0xBB53, 0xD356, 0xE359, 0xEB3B, 0xFAFD, 0xFA5C, 0xF1DA, 0xF176, 0xE912, 0xE8F2, 0xF0F2, 0xF173, 0xF994, 0xF9B4, 0xF9B5, 0xF996, 0xF196, 0xF1F6, 0xF216, 0xF1F6, 0xF9D6, 0xF9B6, 0xF996, 0xF9D6, 
        0xF9D6, 0xF996, 0xF155, 0xF134, 0xF135, 0xF9B7, 0xF9D9, 0xF9D9, 0xF9B8, 0xF9B8, 0xF997, 0xF176, 0xF156, 0xF156, 0xF176, 0xF9B6, 0xF9F7, 0xFA37, 0xFA38, 0xF1F8, 0xF1D7, 0xF1B7, 0xF1B6, 0xF9D7, 0xF9D7, 0xF1B6, 0xF195, 0xF174, 0xF153, 0xD8EF, 
        0xD8CE, 0xD8AE, 0xD0AE, 0xD0AE, 0xD0AD, 0xD0AD, 0xD08C, 0xD0AD, 0xD0AC, 0xD08C, 0xD08B, 0xD8CD, 0xE0EE, 0xE930, 0xF152, 0xF973, 0xF194, 0xF174, 0xF173, 0xF132, 0xF0D0, 0xE8AF, 0xE910, 0xF2B6, 0xF318, 0xF215, 0xE933, 0xE0B1, 0xD870, 0xE0F1, 
        0xE912, 0xE932, 0xE953, 0xF174, 0xF1B5, 0xFA17, 0xFA17, 0xF1F7, 0xF1D7, 0xF1B7, 0xF9B6, 0xF1D7, 0xF1F8, 0xFA18, 0xFA18, 0xF9F8, 0xF196, 0xE934, 0xE113, 0xE113, 0xE112, 0xE0F2, 0xD8F2, 0xE0F2, 0xE112, 0xE933, 0xF173, 0xF173, 0xF194, 0xF9D7, 
        0xFA18, 0xFA38, 0xFA38, 0xF9F7, 0xF175, 0xE914, 0xE8F3, 0xF114, 0xF155, 0xF976, 0xF997, 0xF9D8, 0xF9F8, 0xFA19, 0xFA39, 0xFA39, 0xF9F7, 0xF154, 0xE8F2, 0xD0AF, 0xC06D, 0xB84C, 0xB04B, 0xB06A, 0xB08A, 0xB8AC, 0xC0ED, 0xC92D, 0xD12D, 0xD0AC, 
        0xC86B, 0xC84A, 0xC84A, 0xD08B, 0xD8ED, 0xD0CD, 0xD0AD, 0xC88D, 0xC88E, 0xC88E, 0xC8EE, 0xD1D1, 0xDA52, 0xE2D3, 0xE334, 0xE375, 0xDB75, 0xD2AE, 0xCA2A, 0xB9A9, 0xB18A, 0xB1AA, 0xB1CC, 0xDA0E, 0xE20F, 0xD9AD, 0xD16C, 0xD16B, 0xD18B, 0xD9ED, 
        0xDA0D, 0xDA0C, 0xD1CB, 0xD1AB, 0xD16A, 0xC928, 0xC107, 0xB8E6, 0xB0C5, 0xB0C5, 0xA8C5, 0xA085, 0x9885, 0x9884, 0x9883, 0x9882, 0x9062, 0x8842, 0x8842, 0x8083, 0x78C4, 0x68E4, 0x5903, 0x48E1, 0x48E1, 0x4942, 0x51C3, 0x5224, 0x62A4, 0x72E4, 
        0x72C4, 0x6243, 0x5182, 0x4101, 0x3861, 0x4062, 0x48A3, 0x7167, 0x8A0A, 0x9A8C, 0xAB0F, 0xCB92, 0xDC14, 0xECD7, 0xF57A, 0xFDBB, 0xFDFC, 0xFE1D, 0xFE3E, 0xFE7E, 0xFE9E, 0xFE9E, 0xFE7E, 0xFE3C, 0xFE1B, 0xF63B, 0xF63A, 0xF61A, 0xF5D9, 0xFD56, 
        0xFD15, 0xF535, 0xED56, 0xED76, 0xED77, 0xED56, 0xDCF4, 0xBBCF, 0x9AEC, 0x928B, 0x81E9, 0x48C4, 0x3882, 0x48E3, 0x5984, 0x6205, 0x6A66, 0x5A04, 0x51C3, 0x59A3, 0x6163, 0x6123, 0x60A3, 0x6044, 0x6025, 0x6845, 0x6885, 0x68A5, 0x58E4, 0x48C4, 
        0x48A3, 0x50C3, 0x6104, 0x7145, 0x91A8, 0x89A8, 0x8167, 0x7905, 0x70A4, 0x7065, 0x6825, 0x6044, 0x5864, 0x5084, 0x48A5, 0x48C5, 0x40C5, 0x50C4, 0x60C4, 0x68E5, 0x6905, 0x6105, 0x5105, 0x6926, 0x7147, 0x81C9, 0x924C, 0xA2AE, 0xB310,
  0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB3B, 0xA35B, 0xA35B, 0xAB5B, 0xAB5B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9C, 0xB3BD, 0xB39D, 0xB39D, 0xB37D, 0xB37D, 0xA37C, 0xA37C, 0xA35B, 0x9B5A, 0x9B5A, 0x9338, 0x8AF5, 
        0x8AF3, 0x92F3, 0x92F4, 0x92F5, 0x92F6, 0x9B39, 0xA37A, 0xA39A, 0xA399, 0xA379, 0xA359, 0xA35B, 0xA35A, 0x9B78, 0x9B97, 0xA397, 0xABB8, 0xABB7, 0xA396, 0x9B74, 0x9352, 0x9351, 0x932F, 0x932D, 0x8B2C, 0x8B0B, 0x8AE9, 0x82C8, 0x82A9, 0x9B4C, 
        0xA38F, 0xAB52, 0xB315, 0xB316, 0xBB37, 0xABD6, 0xA415, 0xABD4, 0xB393, 0xB393, 0xAB71, 0x9350, 0x832F, 0x730F, 0x6B0F, 0x6AEE, 0x6B0D, 0x732E, 0x7B4E, 0x734D, 0x736D, 0x736D, 0x736C, 0x734C, 0x6B4B, 0x736C, 0x736C, 0x7B6C, 0x734C, 0x732C, 
        0x732C, 0x7B4C, 0x832B, 0x830B, 0x82A9, 0x7A46, 0x7205, 0x71C5, 0x71A5, 0x71A4, 0x79A4, 0x69A4, 0x61A4, 0x59A3, 0x49A2, 0x41A2, 0x3982, 0x31C4, 0x3205, 0x4A47, 0x5AA9, 0x6AEA, 0x734D, 0x83EF, 0x8C30, 0x9450, 0x946F, 0x9470, 0x9470, 0x9CB2, 
        0xA4D2, 0xACF3, 0xAD33, 0xB554, 0xB594, 0xB595, 0xB595, 0xBDD6, 0xCE58, 0xDEDA, 0xDEFB, 0xB5B7, 0x9CF4, 0x9452, 0x7B8F, 0x6ACC, 0x522B, 0x6AF0, 0x7B73, 0x8394, 0x8374, 0x7B54, 0x7B13, 0x7B54, 0x7B54, 0x7B53, 0x7B33, 0x8353, 0x8374, 0x8B95, 
        0x8B95, 0x93B4, 0x9BD4, 0x9BF5, 0xA416, 0xAC17, 0xAC37, 0xAC37, 0xAC57, 0xAC57, 0xAC77, 0xB456, 0xB456, 0xAC56, 0xA436, 0xA436, 0x9C15, 0x9BF4, 0x9BD4, 0x9BB5, 0x9BB5, 0x9BB5, 0x9B94, 0x9B74, 0x9374, 0x9373, 0x8B73, 0x8B73, 0x8B53, 0x9353, 
        0x9B74, 0x9BB5, 0xA3D5, 0xA3F5, 0x9BF5, 0x9392, 0x9352, 0xB314, 0xD2F7, 0xE2D9, 0xF2BC, 0xFABD, 0xFABC, 0xFA59, 0xF1F6, 0xF173, 0xF111, 0xE933, 0xF174, 0xF194, 0xF9B4, 0xF9B5, 0xF9B6, 0xF997, 0xF9B7, 0xF9F8, 0xFA18, 0xFA17, 0xFA16, 0xFA38, 
        0xFA38, 0xF9D7, 0xF977, 0xF176, 0xF197, 0xFA1B, 0xFA3B, 0xF9D9, 0xF998, 0xF997, 0xF997, 0xF976, 0xF176, 0xF996, 0xF996, 0xF9B6, 0xF9D6, 0xFA17, 0xFA16, 0xF9D5, 0xF995, 0xF995, 0xF976, 0xF9B7, 0xF9B7, 0xF9D6, 0xF9B6, 0xF9B5, 0xF174, 0xE0F0, 
        0xD8AE, 0xD8AE, 0xD0AF, 0xD8AE, 0xD8CE, 0xD8CD, 0xD8CD, 0xD8CD, 0xD8AD, 0xD8AD, 0xD8AD, 0xE0CE, 0xE90F, 0xF172, 0xF9B3, 0xF9B3, 0xF993, 0xF132, 0xF0F2, 0xF0D1, 0xF0D1, 0xF0F2, 0xF195, 0xFAB9, 0xFAB8, 0xF194, 0xE8B1, 0xE870, 0xE08F, 0xE0D0, 
        0xE0D0, 0xE0D0, 0xE8F1, 0xE911, 0xF173, 0xF9F6, 0xFA17, 0xF9F7, 0xF9B7, 0xF9B7, 0xF9B7, 0xF1D7, 0xF1D7, 0xF1B7, 0xF997, 0xF976, 0xF154, 0xE934, 0xE933, 0xE933, 0xE913, 0xE113, 0xE0F3, 0xE113, 0xE933, 0xF153, 0xF954, 0xF975, 0xF9B6, 0xFA78, 
        0xFA99, 0xFA58, 0xF9D6, 0xF155, 0xF0D4, 0xF135, 0xF976, 0xF9B7, 0xF9F8, 0xFA18, 0xFA39, 0xFA3A, 0xFA3A, 0xFA3A, 0xFA3A, 0xFA5A, 0xFA39, 0xF9F6, 0xF1B4, 0xE931, 0xD8EF, 0xC8AD, 0xB06B, 0xB06A, 0xB86B, 0xC0CC, 0xC8ED, 0xD10D, 0xD10D, 0xD8EE, 
        0xD8CD, 0xD08D, 0xD08D, 0xD8CD, 0xE0EE, 0xE0AE, 0xE0AE, 0xE0EF, 0xD910, 0xD0F0, 0xC8EF, 0xC92D, 0xC92C, 0xC0EB, 0xB0EA, 0xB0EA, 0xA8EA, 0xA92A, 0xB14A, 0xC98B, 0xD9CC, 0xE1ED, 0xE22D, 0xE24D, 0xE24E, 0xE24E, 0xEA6F, 0xEA8F, 0xF2AF, 0xEA8E, 
        0xE24D, 0xDA0C, 0xD9EC, 0xD9CB, 0xD18A, 0xB8E7, 0xB0A5, 0xB0A6, 0xB0E6, 0xB0E6, 0xB0E5, 0xA0A4, 0x9884, 0x98A4, 0x98A4, 0x9884, 0x9063, 0x90A4, 0x90C5, 0x80E5, 0x6904, 0x6124, 0x5142, 0x4962, 0x4161, 0x3941, 0x3981, 0x41E1, 0x5283, 0x6AA4, 
        0x6A64, 0x61A3, 0x5922, 0x50C1, 0x4882, 0x4021, 0x4002, 0x5043, 0x60A5, 0x7906, 0x8989, 0x8989, 0x91CA, 0xB2F0, 0xCBF4, 0xE476, 0xF539, 0xFD9D, 0xFDFE, 0xFE5F, 0xFE9F, 0xFEBE, 0xFEDE, 0xFE9D, 0xFE9D, 0xF6BD, 0xF6DD, 0xF6BC, 0xF65A, 0xFD78, 
        0xFD17, 0xF536, 0xF576, 0xF596, 0xF5B7, 0xF516, 0xE4B5, 0xD493, 0xCC72, 0xC452, 0xB3B0, 0x71A8, 0x50C4, 0x48C2, 0x4902, 0x5143, 0x59E5, 0x6A64, 0x6A43, 0x61A3, 0x6123, 0x60C3, 0x6083, 0x6065, 0x6045, 0x6065, 0x6884, 0x6884, 0x6864, 0x6085, 
        0x60A5, 0x60A4, 0x60A3, 0x60C3, 0x6923, 0x89C7, 0x91E7, 0x8126, 0x70A5, 0x6884, 0x7045, 0x7026, 0x7026, 0x7046, 0x7046, 0x7046, 0x6846, 0x6865, 0x68A6, 0x8128, 0x8969, 0x8969, 0x8148, 0x81CA, 0x922C, 0xA2CD, 0xAB2F, 0xB30F, 0xB2D0,
  0xA35B, 0xA35B, 0xA33A, 0xA33A, 0xAB3A, 0xAB5B, 0xA37B, 0xA37B, 0xAB5B, 0xAB5C, 0xAB5C, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xB37B, 0xAB9C, 0xAB9C, 0xB39C, 0xB37D, 0xB37D, 0xAB5E, 0xA35C, 0x9B5C, 0xA35B, 0xA35B, 0xA35A, 0x9B39, 0x92F6, 
        0x92F4, 0x9313, 0x8B12, 0x8AF1, 0x82F1, 0x9313, 0x9B54, 0x9B55, 0x9B56, 0x9336, 0x9316, 0x92F8, 0x9318, 0x9336, 0x9355, 0x9355, 0xA375, 0xA356, 0xA356, 0x9B55, 0x9334, 0x9B34, 0x9B54, 0x9B50, 0x932E, 0x930C, 0x92EA, 0x92CA, 0x92C9, 0x9B6C, 
        0x9BAE, 0xA371, 0xAB35, 0xB2F7, 0xB2F9, 0x9BB5, 0x9BF3, 0xA3B3, 0xA393, 0xA372, 0x9B70, 0x932E, 0x830E, 0x730F, 0x6AEF, 0x62EE, 0x6AED, 0x732D, 0x732D, 0x6B2C, 0x6B2C, 0x6B4C, 0x736D, 0x736C, 0x734C, 0x734B, 0x734B, 0x734C, 0x734C, 0x6B2C, 
        0x732C, 0x834C, 0x8B2B, 0x930B, 0x8AC9, 0x6A47, 0x6206, 0x6A06, 0x71E5, 0x71A5, 0x7185, 0x69A5, 0x61A4, 0x51A3, 0x4182, 0x3982, 0x2942, 0x2163, 0x2183, 0x31C5, 0x4A26, 0x5248, 0x62CB, 0x738D, 0x7BCE, 0x83CE, 0x8BEE, 0x940E, 0x944F, 0xA4F2, 
        0xA513, 0xA513, 0xA513, 0xAD13, 0xB574, 0xD657, 0xE6D9, 0xEEFB, 0xEF5C, 0xEF7C, 0xD6DA, 0x8C31, 0x6AAC, 0x5A4B, 0x624D, 0x6AAF, 0x8353, 0x7352, 0x7352, 0x7B74, 0x8375, 0x7B75, 0x7B54, 0x8B74, 0x9394, 0x8B74, 0x8B73, 0x8373, 0x8B73, 0x9396, 
        0x9396, 0x9BB5, 0x9BD5, 0x9C15, 0xA456, 0xAC56, 0xB457, 0xB498, 0xACB9, 0xACB9, 0xB4B9, 0xC4B9, 0xC499, 0xC4B9, 0xC4B9, 0xC4DA, 0xBCD9, 0xAC77, 0xA416, 0x9BB5, 0x9395, 0x93B5, 0x9BB5, 0xA374, 0xAB54, 0x9B53, 0x9333, 0x9333, 0x9333, 0x9395, 
        0x9BD6, 0xA3D6, 0xABD6, 0xABD5, 0xA3B3, 0x8B72, 0x9372, 0xAB53, 0xC354, 0xD356, 0xDB38, 0xF2FA, 0xFABB, 0xF27B, 0xF23A, 0xF1D8, 0xF176, 0xF113, 0xF133, 0xF194, 0xF1D6, 0xF9F6, 0xF9D7, 0xF995, 0xF994, 0xFA16, 0xFA57, 0xFA58, 0xFA18, 0xF9F8, 
        0xF9D7, 0xF1B7, 0xF198, 0xF198, 0xF9B9, 0xF9D9, 0xF9B8, 0xF197, 0xF197, 0xF9D7, 0xFA38, 0xF177, 0xF136, 0xF176, 0xF9B6, 0xF9D6, 0xF9F6, 0xF9D6, 0xF9B5, 0xF1B4, 0xF1D4, 0xF1D5, 0xF1B7, 0xF9B6, 0xF996, 0xF9B6, 0xF995, 0xF995, 0xF133, 0xD8B0, 
        0xD86E, 0xD88E, 0xD8AE, 0xD0AE, 0xD0AE, 0xD0ED, 0xD8ED, 0xD8CD, 0xD8AD, 0xD88D, 0xD8AD, 0xE90E, 0xF150, 0xF992, 0xF9D4, 0xF9D4, 0xF972, 0xF0AF, 0xE86F, 0xF0D2, 0xF174, 0xF1F6, 0xFA58, 0xFA17, 0xF9B5, 0xE912, 0xE090, 0xE06F, 0xD86E, 0xD8AE, 
        0xD8CE, 0xE0CF, 0xE0F1, 0xE931, 0xF193, 0xF9D7, 0xF9F8, 0xF9D7, 0xF1B6, 0xF1B6, 0xF1B6, 0xF197, 0xF197, 0xE976, 0xE956, 0xE975, 0xF175, 0xF174, 0xE954, 0xE934, 0xE934, 0xE914, 0xE934, 0xE954, 0xF153, 0xF154, 0xF195, 0xF9D5, 0xFA57, 0xFA9A, 
        0xFA5A, 0xF176, 0xF0D3, 0xE892, 0xE8B3, 0xF219, 0xFA9B, 0xFA9A, 0xFA7A, 0xFA5A, 0xFA5A, 0xFA3B, 0xFA1B, 0xFA39, 0xFA59, 0xFA59, 0xFA38, 0xF9D7, 0xF175, 0xE112, 0xD8AF, 0xD08D, 0xC86C, 0xB88B, 0xB08B, 0xC0CC, 0xC8ED, 0xD10D, 0xD10E, 0xE12F, 
        0xE92F, 0xD8EE, 0xD8EE, 0xD90F, 0xE150, 0xE950, 0xE94F, 0xE12F, 0xD92F, 0xD911, 0xD932, 0xE990, 0xE1AF, 0xD12D, 0xB8EB, 0xB0AA, 0xA8A9, 0xA90A, 0xB98C, 0xDA4F, 0xF270, 0xF250, 0xF1CE, 0xF20E, 0xF24F, 0xEA4F, 0xEA4F, 0xE24E, 0xE26E, 0xEA6E, 
        0xE22D, 0xD1AA, 0xC969, 0xC969, 0xC169, 0xB0A7, 0xB065, 0xB065, 0xA8A5, 0xA8A5, 0xA0A5, 0x9884, 0x9863, 0x9042, 0x8822, 0x8821, 0x8822, 0x9885, 0x98A6, 0x90C5, 0x78A4, 0x68A3, 0x50E1, 0x5962, 0x5183, 0x3962, 0x31A2, 0x3A03, 0x5284, 0x6223, 
        0x59E2, 0x4981, 0x4121, 0x4101, 0x40A1, 0x4821, 0x4801, 0x5042, 0x68C5, 0x8168, 0xAA8E, 0xBB4F, 0xBB6F, 0xB330, 0xBB51, 0xCBB2, 0xDCB6, 0xF5FC, 0xFE7E, 0xFE9F, 0xFE9F, 0xFE9F, 0xFE9E, 0xFE7D, 0xF65C, 0xF63C, 0xF65C, 0xF65C, 0xF61B, 0xFD7A, 
        0xF538, 0xF517, 0xED36, 0xF557, 0xF577, 0xF535, 0xE4B2, 0xBBEF, 0xA36E, 0xA34D, 0x8ACB, 0x4904, 0x3862, 0x40C2, 0x4944, 0x51A5, 0x61E6, 0x61A4, 0x5983, 0x5143, 0x5102, 0x58E2, 0x6082, 0x5864, 0x5865, 0x5885, 0x60A4, 0x60A4, 0x6884, 0x6844, 
        0x6845, 0x6884, 0x60C4, 0x60C3, 0x6924, 0x9268, 0x9288, 0x6965, 0x5083, 0x5064, 0x6865, 0x6845, 0x6846, 0x7026, 0x7847, 0x7847, 0x7867, 0x7886, 0x80A7, 0x9128, 0x9927, 0x90E6, 0x80E6, 0xA20E, 0xAAB1, 0xA2AE, 0xA2AD, 0xA2AD, 0xAACE,
  0xAB5B, 0xA35B, 0xA33A, 0xA33A, 0xA33A, 0xAB5A, 0xA37B, 0xA37B, 0xAB5B, 0xAB5C, 0xAB3C, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xB37B, 0xAB7C, 0xAB7C, 0xAB7C, 0xB37C, 0xB37D, 0xAB7D, 0xA35B, 0xA35B, 0x9B5A, 0x9B59, 0x9B59, 0x9B58, 0x92F5, 
        0x8AF3, 0x8B12, 0x8310, 0x7AEE, 0x7ACD, 0x8B0F, 0x9331, 0x9333, 0x9334, 0x9315, 0x92F5, 0x8AD6, 0x8AD5, 0x82D4, 0x82F3, 0x8312, 0x9333, 0x9335, 0x9336, 0x9335, 0x9356, 0x9B56, 0xA356, 0xA352, 0x9B30, 0x930D, 0x8ACB, 0x8ACA, 0x8ACA, 0x936B, 
        0x9BAD, 0xA370, 0xA334, 0xAAF6, 0xAAF8, 0x9374, 0x93B2, 0x9372, 0x9B51, 0x9B30, 0x932E, 0x830D, 0x7AED, 0x6AEE, 0x62EE, 0x62EE, 0x6AED, 0x6B0C, 0x6B2C, 0x6B2B, 0x6B2C, 0x6B4C, 0x6B6D, 0x736D, 0x734C, 0x734C, 0x734B, 0x732C, 0x6B4C, 0x734C, 
        0x7B4C, 0x834C, 0x932B, 0x930B, 0x92CA, 0x6A47, 0x6226, 0x6A06, 0x69E6, 0x69C6, 0x6986, 0x6185, 0x5984, 0x4984, 0x3983, 0x3162, 0x2942, 0x2143, 0x2163, 0x3184, 0x39C5, 0x4A07, 0x5A69, 0x6B2C, 0x738D, 0x7BAD, 0x83CE, 0x8BCE, 0x942F, 0xA4F2, 
        0xAD34, 0xA534, 0xA513, 0xA513, 0xB574, 0xE6D9, 0xF77C, 0xEF3C, 0xE6FA, 0xD698, 0xA554, 0x732E, 0x5A2B, 0x5A0C, 0x6A8F, 0x7B13, 0x8BB6, 0x7B53, 0x6B12, 0x7313, 0x7B34, 0x7B54, 0x7B74, 0x8B74, 0x9374, 0x9394, 0x9394, 0x8B93, 0x8B94, 0x9BB6, 
        0x9BD6, 0x9BD6, 0xA3F5, 0xA436, 0xA476, 0xB477, 0xB497, 0xB4B8, 0xB4D9, 0xB4FA, 0xBCFA, 0xCCFA, 0xD4FA, 0xD4FA, 0xD51B, 0xD53B, 0xCD3B, 0xBCB9, 0xAC77, 0xA417, 0xA416, 0xA416, 0xA416, 0xABB5, 0xAB74, 0xA353, 0x9B53, 0x9B53, 0x9B53, 0x9B95, 
        0x9BB6, 0xA3B6, 0xA3B5, 0xA3B4, 0x9B92, 0x9B72, 0x9B52, 0xAB72, 0xB393, 0xBB94, 0xD356, 0xEADA, 0xFABC, 0xF27D, 0xF25C, 0xF21B, 0xF1B7, 0xF113, 0xF112, 0xF173, 0xF1B5, 0xF9D6, 0xF9D6, 0xF994, 0xF9B3, 0xFA14, 0xFA36, 0xFA37, 0xF9F8, 0xF9B7, 
        0xF996, 0xF176, 0xF177, 0xF177, 0xF9B8, 0xF9B7, 0xF997, 0xF196, 0xF1B7, 0xF1F7, 0xFA38, 0xF196, 0xF156, 0xF176, 0xF9B6, 0xF9D6, 0xF9D6, 0xF9B5, 0xF995, 0xF1B4, 0xF1D4, 0xF1D5, 0xF1B6, 0xF9B6, 0xF9B6, 0xF995, 0xF995, 0xF974, 0xF132, 0xD88F, 
        0xD86E, 0xD88D, 0xD8AD, 0xD8AE, 0xD0CE, 0xD8EE, 0xD90E, 0xD8CD, 0xD88D, 0xD88D, 0xD8AD, 0xE950, 0xF991, 0xF9B3, 0xF9B3, 0xF993, 0xF132, 0xF0B0, 0xE8B0, 0xF133, 0xF1D6, 0xFA38, 0xFA78, 0xF9F6, 0xF174, 0xE8F1, 0xD890, 0xD86F, 0xD86E, 0xD8AE, 
        0xD8CF, 0xE0D0, 0xE111, 0xE931, 0xE993, 0xF1D6, 0xF9D7, 0xF9B6, 0xF1B6, 0xF1B6, 0xF1B6, 0xF197, 0xF177, 0xE956, 0xE955, 0xE955, 0xF175, 0xF174, 0xE974, 0xE934, 0xE134, 0xE134, 0xE934, 0xF154, 0xF175, 0xF195, 0xF1D6, 0xFA16, 0xFA78, 0xFA19, 
        0xF198, 0xF115, 0xF0D3, 0xE8D3, 0xF156, 0xFA7A, 0xFABC, 0xFA9B, 0xFA7A, 0xFA5A, 0xFA3A, 0xFA3B, 0xFA3A, 0xFA39, 0xFA58, 0xFA59, 0xFA39, 0xF9D8, 0xF176, 0xE0F2, 0xD08F, 0xD06D, 0xC86C, 0xB88B, 0xB8AB, 0xC0CC, 0xC8EC, 0xD10D, 0xD92E, 0xE14F, 
        0xE14F, 0xE12F, 0xD910, 0xE130, 0xE150, 0xE170, 0xE16F, 0xD92F, 0xD10F, 0xD930, 0xE152, 0xE1B0, 0xE1AF, 0xD14D, 0xC10C, 0xB8EB, 0xB0EA, 0xB90A, 0xC16C, 0xDA0F, 0xEA30, 0xEA0F, 0xE1AE, 0xF20E, 0xF24E, 0xEA4E, 0xE22D, 0xDA0D, 0xD9EC, 0xDA0C, 
        0xD9CC, 0xC969, 0xC128, 0xC128, 0xB928, 0xB086, 0xA845, 0xA864, 0xA064, 0xA064, 0x9864, 0x9064, 0x9043, 0x8822, 0x8801, 0x8822, 0x8863, 0x98C6, 0x98E7, 0x88E6, 0x78C4, 0x60C3, 0x48E1, 0x5143, 0x4963, 0x3962, 0x31A3, 0x4204, 0x5A85, 0x5A23, 
        0x51C2, 0x4181, 0x3941, 0x38E1, 0x4081, 0x4822, 0x4822, 0x4843, 0x60C5, 0x7168, 0xA28D, 0xCBD2, 0xD413, 0xCBB2, 0xC392, 0xCBD3, 0xDCD6, 0xF63C, 0xFEBF, 0xFEBF, 0xFE9F, 0xFE9F, 0xFE9F, 0xFE7D, 0xF65C, 0xF61B, 0xF5DB, 0xF5DB, 0xF5DB, 0xF579, 
        0xF558, 0xF536, 0xED16, 0xED37, 0xED57, 0xF555, 0xE4D2, 0xB38E, 0x92CB, 0x828A, 0x7208, 0x40C3, 0x3061, 0x40C2, 0x5144, 0x5985, 0x61C6, 0x5164, 0x4943, 0x4942, 0x5122, 0x50E2, 0x58A2, 0x5884, 0x5885, 0x58A5, 0x58C4, 0x60C4, 0x68A4, 0x6864, 
        0x6845, 0x68A5, 0x68C5, 0x60E4, 0x6105, 0x7207, 0x7227, 0x5944, 0x48A3, 0x5084, 0x6065, 0x6045, 0x6045, 0x7026, 0x7846, 0x7846, 0x7867, 0x8067, 0x8087, 0x88C7, 0x88C6, 0x88C5, 0x80E6, 0xAA2F, 0xB2B2, 0xAACF, 0xA2AD, 0xA2AD, 0xAA8D,
  0xAB5A, 0xAB5B, 0xA33B, 0xA33B, 0xA33A, 0xA35A, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5C, 0xAB5C, 0xAB5C, 0xB37B, 0xB37B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB9C, 0xABBB, 0xA37A, 0xA359, 0x9B58, 0x9B57, 0x9B77, 0x9B56, 0x8AF3, 
        0x82D1, 0x7ACF, 0x7AAE, 0x72AC, 0x6A8B, 0x7ACD, 0x82EF, 0x8311, 0x8312, 0x82F2, 0x8AF2, 0x82B2, 0x7291, 0x626F, 0x626E, 0x628E, 0x72CF, 0x7AF3, 0x7B15, 0x9376, 0x9BB8, 0xA3B8, 0xAB98, 0xAB56, 0xA334, 0x8B10, 0x7ACD, 0x72AB, 0x72AA, 0x932B, 
        0x9B6C, 0x9B4E, 0x9B31, 0x9B33, 0x9B35, 0x9353, 0x8B51, 0x8B2F, 0x830E, 0x8AED, 0x82EC, 0x72EB, 0x6B0C, 0x6AED, 0x62ED, 0x62ED, 0x6B0C, 0x6B2A, 0x734A, 0x732B, 0x734C, 0x7B6D, 0x7B8D, 0x736C, 0x734C, 0x734C, 0x734C, 0x6B4C, 0x732C, 0x8B4B, 
        0x936B, 0x934B, 0x932C, 0x9B2C, 0x930A, 0x7A87, 0x6A25, 0x69E5, 0x61C5, 0x61A5, 0x5965, 0x5145, 0x5145, 0x4965, 0x4165, 0x3145, 0x2945, 0x2985, 0x29A5, 0x31A4, 0x31C4, 0x39E5, 0x4A27, 0x62CA, 0x6B2C, 0x736D, 0x7B8E, 0x83AE, 0x8C0F, 0xA4B3, 
        0xAD15, 0xAD54, 0xAD74, 0xAD94, 0xB5F5, 0xDEFA, 0xE71B, 0xC5F7, 0x94B2, 0x73AE, 0x526A, 0x5A4D, 0x6AB0, 0x8333, 0x8B75, 0x8374, 0x7334, 0x7B54, 0x7B54, 0x7B13, 0x7AF2, 0x7B13, 0x7B53, 0x7B73, 0x8373, 0x9394, 0x9BB5, 0x9BD5, 0x9BD5, 0x9C15, 
        0x9C35, 0xA476, 0xAC96, 0xAC77, 0xB498, 0xBCD9, 0xBCF9, 0xC519, 0xC53A, 0xC53A, 0xCD7B, 0xDD9C, 0xE59D, 0xE59C, 0xE59D, 0xE59D, 0xE59C, 0xD55B, 0xCD3A, 0xCD3A, 0xCD3A, 0xC51A, 0xBCD9, 0xAC77, 0xAC56, 0xA416, 0xABF6, 0xABD6, 0xABB5, 0x9B74, 
        0x9B74, 0xA394, 0x9BB4, 0x9B92, 0x9372, 0xB354, 0xBB54, 0xAB73, 0x9B92, 0xA373, 0xBB36, 0xE29A, 0xF27C, 0xFA9D, 0xFA9D, 0xFA7B, 0xF218, 0xF174, 0xF153, 0xF172, 0xF992, 0xF192, 0xF193, 0xF1D4, 0xF1F4, 0xF9F5, 0xF9D5, 0xF9D6, 0xF996, 0xF135, 
        0xF114, 0xF114, 0xF134, 0xF955, 0xF996, 0xF997, 0xF997, 0xF9D8, 0xF9F7, 0xF9F7, 0xF9B7, 0xF9F7, 0xF9F6, 0xF9D6, 0xF9B6, 0xF996, 0xF996, 0xF195, 0xF1B4, 0xF1D5, 0xF1D5, 0xF1B5, 0xF195, 0xF1B6, 0xF1B6, 0xF995, 0xF974, 0xF154, 0xF132, 0xE0CF, 
        0xD8AD, 0xD8AE, 0xD8CE, 0xE0EE, 0xD8EF, 0xE0EF, 0xD8EE, 0xD8CE, 0xD8AE, 0xD8AE, 0xE0CF, 0xF193, 0xF9D4, 0xF993, 0xF131, 0xF0F1, 0xF0B1, 0xF154, 0xF9B5, 0xF9D6, 0xF9F7, 0xFA18, 0xFA37, 0xF1D5, 0xE973, 0xD8B0, 0xD04E, 0xD04E, 0xD08F, 0xE0B1, 
        0xE0B2, 0xE0D1, 0xE0F0, 0xE910, 0xE952, 0xF195, 0xF196, 0xF195, 0xF1B5, 0xF1B6, 0xF1B7, 0xF196, 0xF176, 0xF156, 0xE935, 0xE935, 0xE934, 0xF173, 0xF193, 0xE954, 0xE134, 0xE114, 0xE934, 0xF156, 0xF9B7, 0xFA17, 0xFA58, 0xFA58, 0xF9D8, 0xF115, 
        0xE8D4, 0xF135, 0xF1B7, 0xFA39, 0xFABB, 0xFA5A, 0xFA19, 0xFA19, 0xFA19, 0xFA19, 0xFA1A, 0xFA5A, 0xFA7A, 0xFA59, 0xFA39, 0xFA3A, 0xFA3B, 0xFA19, 0xF1D7, 0xE953, 0xD8F0, 0xC8AD, 0xC06C, 0xB88B, 0xC0AB, 0xC0CB, 0xC8EC, 0xD10D, 0xD94E, 0xD12E, 
        0xD12E, 0xD950, 0xE150, 0xE150, 0xE12F, 0xD90F, 0xD10F, 0xD90F, 0xD930, 0xD92F, 0xD94E, 0xC10C, 0xB8CB, 0xB0CA, 0xB0CA, 0xB0EA, 0xB90B, 0xC0C9, 0xC8A9, 0xC8EA, 0xC90B, 0xC94C, 0xD18C, 0xD9EC, 0xDA0C, 0xE20D, 0xD9EC, 0xD9CB, 0xC969, 0xC149, 
        0xC149, 0xC949, 0xC949, 0xC129, 0xB0E7, 0xA885, 0xA084, 0x9864, 0x9843, 0x9043, 0x9043, 0x90A4, 0x90A5, 0x90A5, 0x98C6, 0xA108, 0xB189, 0x99A8, 0x89A7, 0x7986, 0x6165, 0x5163, 0x3942, 0x3142, 0x2942, 0x3162, 0x41A3, 0x49C3, 0x5A24, 0x5A64, 
        0x5A63, 0x59C3, 0x5142, 0x50C2, 0x4862, 0x4843, 0x4843, 0x4043, 0x4042, 0x4843, 0x60C5, 0xA22C, 0xC2EF, 0xCB72, 0xCBF3, 0xD414, 0xD496, 0xE59A, 0xF61C, 0xF65D, 0xFE7E, 0xFE9F, 0xFEBF, 0xFEFE, 0xFEDD, 0xF63B, 0xF5DA, 0xF5BA, 0xF5BA, 0xF5B8, 
        0xF5B7, 0xF576, 0xED56, 0xE556, 0xE556, 0xF556, 0xE4F4, 0xBBEF, 0x930C, 0x8AAB, 0x71E9, 0x5104, 0x48A2, 0x48A2, 0x48C3, 0x50E3, 0x5144, 0x4984, 0x4183, 0x4963, 0x4943, 0x5123, 0x5904, 0x5925, 0x5124, 0x5104, 0x5904, 0x60E4, 0x68C4, 0x60A5, 
        0x60A5, 0x68C6, 0x68E6, 0x6105, 0x5104, 0x40C2, 0x40C2, 0x50E4, 0x60E5, 0x68C5, 0x6885, 0x6845, 0x6845, 0x7046, 0x7046, 0x7046, 0x7047, 0x7067, 0x7066, 0x7065, 0x70A5, 0x7906, 0x91A9, 0xA22D, 0xAA8F, 0xB2F0, 0xB310, 0xAACF, 0x9A4D,
  0xAB5B, 0xAB5B, 0xAB5B, 0xA35B, 0xA35B, 0xA35B, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7D, 0xAB5C, 0xAB7B, 0xAB9B, 0xAB7B, 0xAB9B, 0xAB9B, 0xB39C, 0xAB9C, 0xB39D, 0xB39D, 0xB3BD, 0xB3DD, 0xABDD, 0xAB9B, 0xAB7A, 0xAB7A, 0xA37A, 0xAB9A, 0xA399, 0x9316, 
        0x92F4, 0x8B12, 0x8B10, 0x830F, 0x82EE, 0x72CF, 0x72CF, 0x72ED, 0x7AEC, 0x7AEC, 0x72CB, 0x6269, 0x5A49, 0x5A2A, 0x624B, 0x626C, 0x72AE, 0x7B12, 0x8355, 0x9BB8, 0xABFB, 0xB41B, 0xB3FB, 0xAB99, 0xA357, 0x8B33, 0x7AEF, 0x72CD, 0x6AAA, 0x8B0A, 
        0x932B, 0x930D, 0x930F, 0x9311, 0x8B12, 0x8B50, 0x8B6E, 0x834D, 0x832C, 0x832C, 0x7B2B, 0x7B2A, 0x732A, 0x6B0C, 0x6B2C, 0x6B2D, 0x734D, 0x736C, 0x736C, 0x7B6D, 0x7B6E, 0x7B6E, 0x836E, 0x7B4D, 0x7B4D, 0x736D, 0x738D, 0x7B6D, 0x834C, 0x934C, 
        0x936B, 0x9B6B, 0x9B6B, 0x9B4B, 0x9B2A, 0x9B09, 0x92C8, 0x8268, 0x6A08, 0x61C7, 0x5146, 0x4925, 0x5146, 0x5187, 0x4987, 0x4186, 0x3965, 0x2986, 0x29A6, 0x31C5, 0x39E5, 0x4206, 0x4A48, 0x5ACA, 0x630B, 0x6B2C, 0x734D, 0x7B6D, 0x83AE, 0x9471, 
        0xA4F3, 0xB575, 0xCE17, 0xD678, 0xD678, 0xAD13, 0x83EF, 0x62EC, 0x528B, 0x5AAB, 0x6B2F, 0x8395, 0x83B6, 0x7B95, 0x7B54, 0x7333, 0x7B14, 0x8354, 0x8B74, 0x9395, 0x9395, 0x8B75, 0x8B75, 0x93D5, 0x9C15, 0xA415, 0xA416, 0xA436, 0xA456, 0xAC77, 
        0xAC77, 0xAC97, 0xB496, 0xB496, 0xB497, 0xC53B, 0xD55C, 0xDD7B, 0xDD7B, 0xDD7C, 0xDD9C, 0xE5BD, 0xE5DE, 0xEDFE, 0xEDFE, 0xEDFE, 0xF5FE, 0xEDFE, 0xEDFE, 0xEDFE, 0xE5DE, 0xE5BD, 0xDD7C, 0xD55C, 0xCD5C, 0xC55C, 0xBD1A, 0xB4F9, 0xB497, 0xB415, 
        0xB3F4, 0xABD5, 0xA3B4, 0x9BB3, 0x9372, 0xA394, 0xABB5, 0xABB4, 0xA3B3, 0x9B92, 0xA373, 0xC315, 0xD2F7, 0xEAD9, 0xF2DB, 0xFADC, 0xFABD, 0xFA3B, 0xFA1A, 0xF9F6, 0xF9D4, 0xF9B4, 0xF995, 0xF9B4, 0xF9D4, 0xF195, 0xF175, 0xF975, 0xF934, 0xF0F3, 
        0xF0F3, 0xF975, 0xF9D6, 0xF9F7, 0xF9D8, 0xF976, 0xF955, 0xF997, 0xF9F8, 0xFA19, 0xF23A, 0xFA19, 0xF9F8, 0xF9F8, 0xF9D8, 0xF9B8, 0xF997, 0xF9B6, 0xF9D5, 0xF9F6, 0xF9F6, 0xF9D5, 0xF995, 0xF9B5, 0xF995, 0xE933, 0xE8F3, 0xE8F2, 0xE8F1, 0xE8CF, 
        0xE8EF, 0xE911, 0xE931, 0xE931, 0xE92F, 0xE0F0, 0xE0CF, 0xD8AF, 0xE0AF, 0xE0CF, 0xF131, 0xF993, 0xF9B3, 0xF973, 0xF933, 0xF933, 0xF934, 0xF9D7, 0xF9F9, 0xF9F8, 0xFA18, 0xFA38, 0xF217, 0xE0F2, 0xD870, 0xD870, 0xD88F, 0xD88F, 0xD08F, 0xE0D0, 
        0xE0F0, 0xE0D0, 0xE8D1, 0xE8F2, 0xF113, 0xE932, 0xE952, 0xF173, 0xF194, 0xF1B5, 0xF1B6, 0xF9B6, 0xF995, 0xF175, 0xF155, 0xE954, 0xE934, 0xF133, 0xF153, 0xE954, 0xE954, 0xE955, 0xF176, 0xF9D7, 0xFA38, 0xFA58, 0xFA58, 0xFA17, 0xF1B6, 0xF9B6, 
        0xF9D7, 0xFA39, 0xFA7A, 0xFA9A, 0xFA59, 0xF9B7, 0xF997, 0xF9B8, 0xF9D9, 0xF9F9, 0xFA3A, 0xFA5B, 0xFA5B, 0xFA3B, 0xFA3A, 0xFA3A, 0xFA3B, 0xFA3A, 0xFA19, 0xF1F7, 0xF1B5, 0xE952, 0xE0EF, 0xC86C, 0xB84B, 0xB86A, 0xB88A, 0xB88A, 0xB8AB, 0xD0CE, 
        0xD8F0, 0xD90F, 0xD90F, 0xD90E, 0xD90F, 0xD910, 0xD911, 0xD930, 0xD930, 0xD930, 0xD92F, 0xC0AC, 0xB88B, 0xB8AB, 0xB8CB, 0xB0CA, 0xA8A9, 0xA888, 0xA867, 0xA866, 0xB067, 0xB888, 0xC8C9, 0xC10A, 0xC12B, 0xC16B, 0xC98C, 0xD1AC, 0xD1AB, 0xC96A, 
        0xC149, 0xC149, 0xB928, 0xB908, 0xB8C7, 0xA8A5, 0xA0A5, 0x9885, 0x9885, 0xA0A6, 0xA927, 0xB22A, 0xBAAC, 0xD30E, 0xDB70, 0xDB91, 0xCB70, 0x9A0B, 0x8169, 0x7126, 0x6144, 0x5163, 0x3961, 0x1941, 0x1922, 0x3942, 0x4942, 0x5142, 0x5982, 0x62A5, 
        0x6306, 0x6265, 0x59C4, 0x5963, 0x50C2, 0x4841, 0x4821, 0x4822, 0x4822, 0x4823, 0x5023, 0x6084, 0x78E5, 0x8989, 0x91EB, 0x920C, 0x922C, 0xA28E, 0xB331, 0xDC97, 0xF5DB, 0xFE7D, 0xFF1E, 0xFF3E, 0xFF3E, 0xFEFD, 0xF6DD, 0xF6BD, 0xF69D, 0xF67C, 
        0xFE3B, 0xF5D9, 0xF557, 0xF536, 0xED16, 0xF576, 0xF596, 0xDD14, 0xBC52, 0xA3D0, 0x82CB, 0x5905, 0x5062, 0x4862, 0x48A2, 0x50E3, 0x5124, 0x4943, 0x4963, 0x4984, 0x49A4, 0x51A4, 0x59A5, 0x59A5, 0x59C5, 0x59C4, 0x59A3, 0x5983, 0x5964, 0x5925, 
        0x5905, 0x5925, 0x5945, 0x5945, 0x5964, 0x5103, 0x58E3, 0x6124, 0x7125, 0x70E5, 0x7065, 0x6865, 0x6865, 0x6865, 0x7045, 0x7026, 0x7827, 0x7867, 0x78A7, 0x80C7, 0x7907, 0x7906, 0x7927, 0x91AC, 0x91CD, 0x91EB, 0x922B, 0x9A6C, 0xAAEE,
  0xAB5B, 0xAB5B, 0xA35B, 0xA35A, 0xA35A, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB5C, 0xAB5C, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xB37C, 0xAB9C, 0xAB9D, 0xAB9D, 0xB39C, 0xAB7C, 0xAB7B, 0xA37B, 0xA37A, 0xA379, 0xA378, 0xA377, 0x9B56, 0x9336, 
        0x9335, 0x9353, 0x9372, 0x9370, 0x8B6F, 0x8B6D, 0x8B6C, 0x938B, 0x93AB, 0x8BAA, 0x8B8A, 0x8B48, 0x8B08, 0x8308, 0x7B09, 0x72E8, 0x72C8, 0x7AEB, 0x8B2D, 0x9370, 0xA3B3, 0xA3B4, 0x9B96, 0x9354, 0x8B32, 0x830E, 0x7ACB, 0x6AA9, 0x6289, 0x6B0A, 
        0x732B, 0x732A, 0x7309, 0x7B2A, 0x732B, 0x730E, 0x6B0E, 0x730C, 0x730B, 0x730A, 0x6B0A, 0x6B2A, 0x6B2B, 0x734B, 0x734C, 0x734D, 0x736D, 0x734D, 0x736D, 0x736D, 0x736D, 0x736C, 0x734C, 0x732C, 0x732D, 0x734D, 0x7B6C, 0x7B6D, 0x8B6D, 0x938C, 
        0x9BAC, 0xA3AB, 0xA38B, 0xA38A, 0xA34A, 0x9B49, 0x9B49, 0x9B2B, 0x8ACC, 0x828B, 0x6A29, 0x6229, 0x5A49, 0x5229, 0x5229, 0x4A09, 0x49E8, 0x3986, 0x3185, 0x41E5, 0x4A25, 0x5246, 0x4A67, 0x5ACA, 0x62EB, 0x6B0B, 0x6B4C, 0x736C, 0x840E, 0xAD54, 
        0xB5D5, 0xBDF5, 0xC615, 0xC616, 0xAD54, 0x5AAB, 0x49E9, 0x62CE, 0x7373, 0x7B94, 0x7B95, 0x8394, 0x8394, 0x7354, 0x7B34, 0x8355, 0x8B75, 0x8B74, 0x8374, 0x8B94, 0x8BB5, 0x8BB6, 0x93B6, 0x9BD5, 0x9BD5, 0x9BF5, 0x9C16, 0x9C36, 0xA456, 0xB498, 
        0xBC99, 0xBCB8, 0xBCB7, 0xBCB6, 0xBCD6, 0xBD19, 0xBD3A, 0xCD5B, 0xDD9B, 0xDD9C, 0xE5BC, 0xEDBE, 0xEDDE, 0xE5DE, 0xE5FE, 0xE61E, 0xEE3E, 0xEE5F, 0xEE5F, 0xEE3E, 0xE61E, 0xE5FD, 0xE5BC, 0xDDBB, 0xD5BB, 0xD57B, 0xD55A, 0xD51A, 0xCCB9, 0xB456, 
        0xAC15, 0xABD4, 0xABB4, 0xAB94, 0xA393, 0x9372, 0x9372, 0x9B92, 0x9B92, 0x9B92, 0x9B92, 0xA352, 0xBB52, 0xD335, 0xEB18, 0xF2FA, 0xFABC, 0xFA1E, 0xF9FE, 0xFA3C, 0xFA5A, 0xFA59, 0xF9F7, 0xF995, 0xF954, 0xF955, 0xF955, 0xF955, 0xF155, 0xF197, 
        0xF1B7, 0xFA18, 0xFA17, 0xF9D7, 0xF977, 0xF136, 0xF176, 0xF218, 0xFA5A, 0xFA7A, 0xFA5A, 0xFA7B, 0xFA7B, 0xFA5A, 0xFA19, 0xF9F8, 0xF9D6, 0xF9B6, 0xF996, 0xF196, 0xF195, 0xF1B5, 0xF1D5, 0xF1B4, 0xF174, 0xE112, 0xD8F1, 0xD8F1, 0xE0F1, 0xE111, 
        0xE131, 0xE112, 0xE111, 0xE111, 0xE110, 0xD8CF, 0xD8AE, 0xD8AE, 0xE0AE, 0xE8CF, 0xF131, 0xF994, 0xF9B4, 0xF974, 0xF174, 0xF194, 0xF1D6, 0xFA18, 0xFA18, 0xF1D7, 0xE976, 0xE134, 0xD8D2, 0xD8B1, 0xE0B1, 0xE0B1, 0xE0D1, 0xE0D0, 0xD8AF, 0xD08E, 
        0xD0AE, 0xE0CF, 0xE8F1, 0xE912, 0xE913, 0xE132, 0xE131, 0xE932, 0xF153, 0xF194, 0xF1D5, 0xF1D6, 0xF1D6, 0xF175, 0xE954, 0xE954, 0xE955, 0xE934, 0xE934, 0xF155, 0xF196, 0xF1B6, 0xF1F7, 0xFA58, 0xFA59, 0xFA18, 0xF1D7, 0xF9D7, 0xF9D7, 0xFA37, 
        0xFA37, 0xFA38, 0xF9F7, 0xF9D7, 0xF997, 0xF196, 0xF1D7, 0xF219, 0xFA5A, 0xFA7A, 0xFA7A, 0xFA3C, 0xFA1D, 0xFA1C, 0xFA1C, 0xFA3B, 0xFA5B, 0xFA5B, 0xFA3A, 0xFA18, 0xF1B6, 0xE954, 0xD8B0, 0xC84C, 0xB82A, 0xB86A, 0xB88A, 0xB8AA, 0xC0AB, 0xC8CD, 
        0xC8CE, 0xD0EE, 0xD0EE, 0xD0EE, 0xD10F, 0xE171, 0xE172, 0xD90F, 0xD8CE, 0xD0CE, 0xD0CE, 0xC8CD, 0xC8CD, 0xC0AC, 0xB8AB, 0xB8AB, 0xA8AA, 0xA068, 0xA887, 0xB0C8, 0xB8E9, 0xB8C9, 0xA8A8, 0xA8A7, 0xB0E8, 0xC16A, 0xC9AC, 0xC9AC, 0xB96A, 0xA907, 
        0xA0E6, 0xA8C7, 0xA0A6, 0x90A5, 0x88A4, 0x98C7, 0xA909, 0xB18A, 0xBA2B, 0xBAAD, 0xBB2F, 0xCB70, 0xCB50, 0xBAAD, 0xA1EA, 0x8188, 0x6125, 0x5904, 0x58E3, 0x48E3, 0x4922, 0x4942, 0x4962, 0x4901, 0x40E1, 0x3942, 0x3982, 0x39A2, 0x41E3, 0x5AA5, 
        0x62A5, 0x5A04, 0x5143, 0x50C2, 0x5041, 0x4842, 0x4043, 0x4863, 0x5883, 0x6083, 0x6864, 0x5865, 0x60A6, 0x8189, 0xA26D, 0xB2CF, 0xB310, 0x9ACF, 0x9B70, 0xCD78, 0xF6FD, 0xFF7F, 0xFF5F, 0xFEBE, 0xFE5D, 0xF61C, 0xF5FB, 0xF61B, 0xF63B, 0xF5FB, 
        0xFDDA, 0xFD78, 0xFD36, 0xFD15, 0xF515, 0xED37, 0xD4D5, 0x9B6E, 0x7A69, 0x7228, 0x6A06, 0x5923, 0x50E3, 0x5904, 0x6104, 0x60E5, 0x58C4, 0x4123, 0x3962, 0x39A3, 0x41C4, 0x41C4, 0x49C4, 0x49E2, 0x49E2, 0x51E3, 0x51C3, 0x51C4, 0x51C4, 0x51E5, 
        0x5205, 0x5205, 0x51E4, 0x51C3, 0x5182, 0x51A4, 0x51A4, 0x5163, 0x5122, 0x50E2, 0x50A3, 0x60E5, 0x6906, 0x68A5, 0x6864, 0x7064, 0x7886, 0x704A, 0x706A, 0x70A9, 0x70E7, 0x7107, 0x7968, 0xAA4C, 0xB2AE, 0xA2AC, 0x92AC, 0x926C, 0x9A2D,
  0xAB5B, 0xAB5B, 0xA35A, 0xA35A, 0xA35A, 0xAB5A, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xB37B, 0xB37B, 0xAB5C, 0xAB5C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB9C, 0xB37C, 0xB35C, 0xB33C, 0xAB5C, 0xAB7B, 0xA39A, 0xA399, 0xA379, 0xA359, 0x9338, 
        0x9337, 0x9B76, 0xA395, 0xA3B5, 0xA3D4, 0xB473, 0xB4B2, 0xB4B0, 0xB48E, 0xB48D, 0xAC6B, 0x9C69, 0x9C29, 0x9BCB, 0x9B8C, 0x936C, 0x936C, 0x9B8F, 0x9B90, 0x9B91, 0x9352, 0x8B33, 0x82F4, 0x8313, 0x8310, 0x72EC, 0x6AC9, 0x6288, 0x5A68, 0x62A9, 
        0x62E9, 0x62E9, 0x6B28, 0x6B68, 0x6B68, 0x6B0B, 0x6AEC, 0x6B0C, 0x732B, 0x732B, 0x6B2A, 0x6B2B, 0x6B2B, 0x734C, 0x734C, 0x7B6C, 0x7B8D, 0x736E, 0x734E, 0x736D, 0x734C, 0x734C, 0x734C, 0x734C, 0x734C, 0x734D, 0x7B6D, 0x7B6D, 0x838D, 0x938C, 
        0x938C, 0x9BAC, 0xABAC, 0xABAC, 0xABAB, 0xABAA, 0xABAA, 0xA38C, 0xA36D, 0xA36E, 0xA36F, 0x9B6E, 0x8B4D, 0x72EC, 0x6ACC, 0x62CC, 0x62CC, 0x4228, 0x31C5, 0x41E5, 0x41E5, 0x4206, 0x4227, 0x4AA9, 0x52EA, 0x634C, 0x738D, 0x7BCD, 0x9490, 0xC617, 
        0xC639, 0x94D5, 0x6330, 0x4A6E, 0x524D, 0x7B74, 0x8BD7, 0x8395, 0x8355, 0x8355, 0x8356, 0x7334, 0x7333, 0x8354, 0x9375, 0x9B75, 0x9395, 0x83B4, 0x83B4, 0x8BB5, 0x93B5, 0x93B6, 0x93B6, 0x9BD6, 0x9C16, 0xA437, 0xAC77, 0xAC97, 0xACB7, 0xBCB7, 
        0xBCD7, 0xBCF8, 0xC518, 0xC519, 0xCD3A, 0xC559, 0xC559, 0xCD7A, 0xD57A, 0xDD5A, 0xDD7A, 0xE5BD, 0xEDDE, 0xE5DE, 0xE5DD, 0xE5FD, 0xDE3D, 0xE63E, 0xE63F, 0xEE3F, 0xEE5F, 0xEE5F, 0xE63E, 0xDDFD, 0xDDDD, 0xE5DD, 0xE5DC, 0xE5DC, 0xD57A, 0xC497, 
        0xB435, 0xAC15, 0xABF5, 0xABF5, 0xABB4, 0x9B92, 0x9391, 0x9392, 0x9B93, 0x9B93, 0x9B72, 0xA372, 0xAB52, 0xC315, 0xDB17, 0xE338, 0xF35A, 0xFABD, 0xFA7E, 0xFA9E, 0xF29D, 0xF27B, 0xEA39, 0xF197, 0xF156, 0xF156, 0xF976, 0xF976, 0xF9B7, 0xFA5A, 
        0xFA7A, 0xF1F9, 0xF197, 0xF176, 0xF177, 0xF21A, 0xF23B, 0xFA1A, 0xFA19, 0xFA38, 0xFA79, 0xFA9D, 0xFA7E, 0xFA5C, 0xFA3B, 0xF21A, 0xF1D8, 0xE996, 0xF195, 0xF196, 0xF9B7, 0xF9D7, 0xF1D5, 0xE112, 0xD8D0, 0xE0D1, 0xE0F2, 0xE0F2, 0xE0F2, 0xE131, 
        0xD931, 0xD911, 0xD8D1, 0xD8D1, 0xD8D1, 0xD8AF, 0xD8AF, 0xE0AE, 0xE0CF, 0xE8F0, 0xF152, 0xF153, 0xF154, 0xF195, 0xF9D6, 0xF9F6, 0xF9F7, 0xF195, 0xF154, 0xE0F3, 0xD8B1, 0xD091, 0xD891, 0xE932, 0xE953, 0xE933, 0xE0F2, 0xE0D1, 0xE0B0, 0xD08E, 
        0xD0AE, 0xD8D0, 0xE0F1, 0xE111, 0xE912, 0xE933, 0xE953, 0xE933, 0xE953, 0xE953, 0xF174, 0xF176, 0xF176, 0xF155, 0xF154, 0xF174, 0xF174, 0xF175, 0xF175, 0xF196, 0xF1D7, 0xF1F7, 0xFA18, 0xF1F7, 0xF1D7, 0xF1B7, 0xF9B7, 0xF997, 0xF997, 0xF9D7, 
        0xF9D7, 0xF1B7, 0xF1B7, 0xF1B7, 0xF9F9, 0xFA7A, 0xFA9A, 0xFA5A, 0xFA5A, 0xFA5A, 0xFA5B, 0xFA1B, 0xFA1B, 0xFA3C, 0xFA5C, 0xFA5B, 0xFA7B, 0xFA7B, 0xFA5B, 0xFA39, 0xF1D7, 0xF195, 0xE111, 0xC86C, 0xC049, 0xB869, 0xB06A, 0xB86A, 0xB88A, 0xC0AC, 
        0xC0CC, 0xC8CD, 0xC8CD, 0xD0CD, 0xD0EE, 0xD90F, 0xD92F, 0xD90F, 0xD0EE, 0xD0CE, 0xC8CD, 0xC88D, 0xC88D, 0xC0AC, 0xB8EB, 0xB90B, 0xB0EA, 0xA087, 0xA046, 0xA067, 0xA887, 0xA8C8, 0xB129, 0xA947, 0xA906, 0xA0C5, 0x9885, 0x9865, 0x9065, 0x98A4, 
        0x98A4, 0xA085, 0x9085, 0x7885, 0x5883, 0x5863, 0x6884, 0x8106, 0x8968, 0x7968, 0x6146, 0x5105, 0x48E4, 0x38C3, 0x38C2, 0x4103, 0x4964, 0x41A5, 0x41A4, 0x39A2, 0x39A1, 0x4182, 0x4162, 0x4141, 0x4141, 0x3941, 0x3961, 0x3982, 0x39E3, 0x5284, 
        0x5A84, 0x51C3, 0x5102, 0x50A2, 0x5042, 0x5822, 0x5822, 0x5023, 0x5043, 0x5063, 0x5864, 0x6064, 0x6043, 0x4863, 0x58E5, 0x7188, 0xB2EF, 0xD474, 0xDD36, 0xE5B8, 0xE63A, 0xEE7B, 0xEE9C, 0xF67B, 0xF67B, 0xF69C, 0xF69C, 0xEE7B, 0xE619, 0xF59A, 
        0xFD7A, 0xFD79, 0xF557, 0xF536, 0xE4D4, 0xCBD1, 0xAB0E, 0x8A0A, 0x6967, 0x6146, 0x6165, 0x6905, 0x68C4, 0x60A4, 0x60A3, 0x6083, 0x58A3, 0x5104, 0x4944, 0x4984, 0x41C4, 0x41C3, 0x41C3, 0x41C1, 0x49E1, 0x4A02, 0x5203, 0x51E4, 0x51E4, 0x5245, 
        0x5264, 0x4A02, 0x41E2, 0x49E3, 0x4A04, 0x4A03, 0x4A02, 0x51E2, 0x5203, 0x5A23, 0x5A23, 0x5182, 0x5163, 0x59C4, 0x6205, 0x5A04, 0x5183, 0x5904, 0x60E5, 0x70E6, 0x7908, 0x812A, 0x916C, 0xAA2D, 0xB26D, 0xA28D, 0x9A6C, 0x922C, 0x91EB,
  0xAB7C, 0xAB7B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xB39C, 0xAB7C, 0xAB7C, 0xAB9C, 0xAB9C, 0xAB9C, 0xB3BD, 0xB39C, 0xB39D, 0xB39D, 0xAB9D, 0xABBD, 0xB3BC, 0xABBC, 0xABBC, 0xA39C, 0xA39B, 0xABB9, 
        0xB3D8, 0xB416, 0xB436, 0xB455, 0xBC74, 0xB4B2, 0xB4D1, 0xBCD0, 0xC4EF, 0xC4EF, 0xBCEE, 0xACCD, 0xA4AC, 0xAC8B, 0xB46A, 0xAC4A, 0xA42A, 0xA42C, 0xA42C, 0x9BEC, 0x93AC, 0x938B, 0x8B8C, 0x8B4C, 0x832C, 0x72EA, 0x6AA9, 0x6289, 0x6268, 0x62A9, 
        0x6AC9, 0x6AE9, 0x6AE9, 0x730A, 0x7B2B, 0x734C, 0x734D, 0x736C, 0x736C, 0x736B, 0x736B, 0x732B, 0x732C, 0x734C, 0x7B8C, 0x7B8D, 0x7BAD, 0x736E, 0x736E, 0x736D, 0x7B4D, 0x7B4D, 0x7B4D, 0x734C, 0x734C, 0x736D, 0x7B6D, 0x836D, 0x8B6C, 0x8B8B, 
        0x8B8B, 0x9BAB, 0xABAB, 0xABCB, 0xABCB, 0xABEB, 0xB3EB, 0xABCC, 0xABCD, 0xABCE, 0xABEF, 0xAC11, 0x9BF0, 0x834D, 0x730C, 0x730C, 0x730C, 0x5A69, 0x5207, 0x41C6, 0x41C6, 0x41E8, 0x4A4A, 0x528A, 0x52AA, 0x5AEB, 0x736E, 0x8C10, 0x9C72, 0x736E, 
        0x62EE, 0x62D0, 0x72F2, 0x7B34, 0x8B75, 0x8B56, 0x8B55, 0x8B74, 0x8374, 0x8394, 0x7B95, 0x8374, 0x8B75, 0x9375, 0x9B96, 0x9B96, 0x9396, 0x8C16, 0x8C36, 0x9C56, 0xAC37, 0xAC38, 0xAC38, 0xAC77, 0xAC97, 0xB498, 0xBC99, 0xBCB9, 0xBCD9, 0xBD19, 
        0xC539, 0xC53A, 0xCD3A, 0xCD3A, 0xD55B, 0xCD7B, 0xD57A, 0xD57A, 0xDD5A, 0xDD5A, 0xDD5B, 0xDD9C, 0xDDBD, 0xE5BD, 0xE5BE, 0xE5DD, 0xE5FD, 0xDE1E, 0xE63F, 0xE65F, 0xEE5F, 0xEE5F, 0xE63F, 0xE65F, 0xE65F, 0xE61E, 0xE5FE, 0xE5DE, 0xDDBD, 0xD55A, 
        0xD539, 0xC4D7, 0xBC96, 0xBC56, 0xBC16, 0xA3D4, 0xA3B3, 0xABB3, 0xABB4, 0xABD3, 0xA3B3, 0xA392, 0xAB92, 0xB372, 0xC353, 0xCB35, 0xDB18, 0xEADC, 0xF2DD, 0xF2DE, 0xFABE, 0xFABE, 0xFA7C, 0xF239, 0xF218, 0xF9D8, 0xF9D8, 0xF9F9, 0xFA5A, 0xFA7B, 
        0xFA7B, 0xF25A, 0xF25B, 0xF27B, 0xFABD, 0xFAFD, 0xFABC, 0xF1D9, 0xF177, 0xF196, 0xF9F8, 0xFA7C, 0xFA9E, 0xFA9D, 0xFA9D, 0xFA9D, 0xFA7C, 0xF1D7, 0xF195, 0xF996, 0xF997, 0xF196, 0xF175, 0xE0D2, 0xD8B1, 0xE0D1, 0xE8D1, 0xE8F1, 0xE0F1, 0xE911, 
        0xE912, 0xE912, 0xE912, 0xE911, 0xE8F0, 0xE8CF, 0xE8CF, 0xE8F0, 0xF0F0, 0xF111, 0xF132, 0xF194, 0xF1D5, 0xF1D5, 0xF1B5, 0xF173, 0xE912, 0xE0D1, 0xD8B2, 0xD8D2, 0xE0F2, 0xE113, 0xE112, 0xE0D1, 0xE0D1, 0xE933, 0xF174, 0xF175, 0xF133, 0xD88E, 
        0xD06D, 0xD8AE, 0xE0D0, 0xE0D0, 0xE0D1, 0xE912, 0xE933, 0xE953, 0xE953, 0xF153, 0xF173, 0xF155, 0xF155, 0xF155, 0xF175, 0xF195, 0xF9B5, 0xF9B6, 0xF9D6, 0xF9D7, 0xF9D7, 0xF9B7, 0xF996, 0xF996, 0xF996, 0xF996, 0xF9B7, 0xF1B7, 0xF1D7, 0xF9F7, 
        0xFA17, 0xFA17, 0xFA38, 0xFA59, 0xFA9B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7C, 0xFA5C, 0xFA5C, 0xFA5C, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA5A, 0xF1F8, 0xE132, 0xD8CE, 0xC8AC, 0xC08A, 0xB86A, 0xB86B, 0xB8AB, 
        0xB8CB, 0xC0AC, 0xC8AD, 0xC8AD, 0xC8CD, 0xD8CE, 0xE0EF, 0xD8EF, 0xD90F, 0xD90F, 0xD90F, 0xD8CF, 0xD0AE, 0xC0AD, 0xB8EC, 0xB8EC, 0xB90B, 0xB92B, 0xB90A, 0xB0E9, 0xA8A8, 0xA087, 0x9885, 0x90C4, 0x90C4, 0x90A4, 0x98A5, 0x98C6, 0x90E6, 0x80E6, 
        0x8906, 0x9968, 0xA1C9, 0x91E9, 0x79C9, 0x7108, 0x68E7, 0x5905, 0x4924, 0x4144, 0x4164, 0x5124, 0x5123, 0x4963, 0x4183, 0x49A4, 0x49A5, 0x39C4, 0x39C4, 0x41A3, 0x4983, 0x49A3, 0x49C3, 0x49A2, 0x4181, 0x4161, 0x4162, 0x3962, 0x39A2, 0x5A23, 
        0x6203, 0x6183, 0x6103, 0x58C2, 0x5862, 0x5062, 0x5062, 0x5062, 0x5862, 0x5862, 0x5863, 0x6043, 0x6023, 0x5022, 0x5042, 0x5883, 0x81C7, 0xC3F2, 0xD474, 0xAB6F, 0x930D, 0x9B4E, 0xB473, 0xCD97, 0xDE19, 0xEE9C, 0xF6FD, 0xF6FD, 0xF6BC, 0xF65C, 
        0xF61C, 0xFDDB, 0xFDB9, 0xFD98, 0xED36, 0xCC32, 0xC3B0, 0xBB70, 0xB32F, 0xA2ED, 0x8A4A, 0x7145, 0x6904, 0x6924, 0x6124, 0x6104, 0x58C3, 0x48E3, 0x4902, 0x4163, 0x41A3, 0x41C3, 0x41C3, 0x49E1, 0x49E1, 0x49C2, 0x49E3, 0x4A04, 0x4A24, 0x49E3, 
        0x51E2, 0x5223, 0x5A84, 0x62C5, 0x6B26, 0x6B26, 0x6B27, 0x7B47, 0x8368, 0x8B67, 0x8346, 0x72C4, 0x6AA4, 0x6AE5, 0x6B26, 0x6B26, 0x6AC6, 0x7247, 0x71E7, 0x71E6, 0x79E6, 0x8208, 0x8A4A, 0x8209, 0x79C8, 0x7126, 0x70E6, 0x78C7, 0x8109,
  0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xB37B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7B, 0xAB7B, 0xAB9C, 0xB39C, 0xAB9C, 0xAB9C, 0xAB9C, 0xAB9C, 0xB3BD, 0xB3BD, 0xB39C, 0xB37C, 0xB37C, 0xB37D, 0xB39D, 0xB3BD, 0xB3BC, 0xABBB, 0xABBB, 0xABBA, 0xABDA, 
        0xABFA, 0xB43A, 0xBC5B, 0xBC5A, 0xBC57, 0xBCB4, 0xC4F3, 0xC512, 0xCD32, 0xCD32, 0xCD51, 0xC550, 0xBD0E, 0xC4CC, 0xC48B, 0xBC8B, 0xB46B, 0xAC6C, 0xAC6C, 0x9C0B, 0x9BAA, 0x938A, 0x934A, 0x7B2B, 0x730B, 0x6AC9, 0x62A8, 0x6288, 0x6288, 0x5A88, 
        0x6288, 0x62A9, 0x6ACA, 0x6AEB, 0x6B0B, 0x6B2A, 0x6B4A, 0x6B6A, 0x6B6B, 0x6B6C, 0x734C, 0x736C, 0x736C, 0x736C, 0x738D, 0x7B8D, 0x7BAD, 0x738D, 0x738D, 0x7B6D, 0x7B6D, 0x7B4D, 0x7B4D, 0x734C, 0x734C, 0x734D, 0x734D, 0x734D, 0x834C, 0x936A, 
        0x9B6A, 0xA36A, 0xA36A, 0xA36A, 0xABAA, 0xB40B, 0xB44C, 0xB42D, 0xB40E, 0xB3EF, 0xB432, 0xB4B3, 0xACB3, 0x93F0, 0x838E, 0x836E, 0x7B4D, 0x6A8A, 0x5A28, 0x5207, 0x4A07, 0x4A28, 0x5269, 0x528A, 0x5AAA, 0x6B2D, 0x7BAF, 0x8BF1, 0x93F2, 0x6B30, 
        0x62F1, 0x7334, 0x8B75, 0x8B75, 0x8B74, 0x8335, 0x8336, 0x8355, 0x8B55, 0x8B55, 0x8B75, 0x8BB6, 0x93D7, 0x93B6, 0x9396, 0x9375, 0x93B6, 0x9C97, 0xA4D8, 0xA4B8, 0xAC77, 0xAC77, 0xAC77, 0xB4BA, 0xB4DB, 0xB4DA, 0xB4D9, 0xBCD9, 0xC4F9, 0xC53A, 
        0xCD3B, 0xCD3B, 0xCD1B, 0xCD3A, 0xCD3A, 0xD55A, 0xD55A, 0xD55A, 0xD55A, 0xD55A, 0xD55A, 0xDDBB, 0xDDDC, 0xDDDC, 0xDDBD, 0xDDBD, 0xDDBD, 0xE5BE, 0xE5DE, 0xE61E, 0xE63E, 0xE65E, 0xEE7E, 0xEE5E, 0xEE3E, 0xEE1E, 0xEDDF, 0xEDBF, 0xE5BE, 0xC5DB, 
        0xB5DA, 0xC558, 0xCCD7, 0xCCB6, 0xBC75, 0xA414, 0x9BD3, 0xA3D3, 0xA3D3, 0x9BD2, 0x9BD2, 0x93B3, 0x9B93, 0xB373, 0xBB73, 0xBB74, 0xBB76, 0xC317, 0xD318, 0xEB1A, 0xF31B, 0xFAFC, 0xFABD, 0xF29B, 0xF27B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7B, 
        0xFA7C, 0xFABC, 0xFADD, 0xFAFD, 0xFB1E, 0xFABD, 0xF23B, 0xF198, 0xF136, 0xF156, 0xF9D9, 0xFA5B, 0xFA9C, 0xFABD, 0xFA9E, 0xFA7D, 0xFA3C, 0xF23B, 0xF23A, 0xF1F8, 0xF195, 0xF154, 0xE8F2, 0xD870, 0xE070, 0xE8F1, 0xF152, 0xF152, 0xF153, 0xF933, 
        0xF933, 0xF953, 0xF973, 0xF973, 0xF153, 0xF132, 0xF132, 0xF153, 0xF173, 0xF194, 0xF9D6, 0xF236, 0xE9F5, 0xE132, 0xD8B0, 0xD88F, 0xD0D0, 0xD930, 0xE151, 0xE131, 0xE912, 0xE912, 0xE8F3, 0xE8F3, 0xE913, 0xE933, 0xF154, 0xF174, 0xF173, 0xE0F0, 
        0xD8CF, 0xD8CE, 0xD8AF, 0xD8AF, 0xD8D1, 0xE112, 0xE933, 0xF153, 0xF174, 0xF174, 0xF154, 0xF114, 0xF114, 0xF174, 0xF1B5, 0xF1D5, 0xF1F6, 0xF9F6, 0xF9D6, 0xF9B6, 0xF996, 0xF976, 0xF175, 0xF156, 0xF156, 0xF9B6, 0xF9F7, 0xF9F7, 0xF9F7, 0xFA18, 
        0xFA39, 0xFA39, 0xFA3A, 0xFA3A, 0xFA5B, 0xFA7B, 0xFA7B, 0xFA9B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA5B, 0xFA7B, 0xFA7B, 0xFA3A, 0xFA1A, 0xFA1A, 0xF1F9, 0xE155, 0xE112, 0xD8AF, 0xC88C, 0xC06B, 0xB06A, 0xB0AA, 
        0xB8AB, 0xC0AC, 0xC0AC, 0xC8AD, 0xC88D, 0xC8CD, 0xC8EE, 0xD0EE, 0xD10F, 0xD90F, 0xD930, 0xE0EF, 0xD8CE, 0xC8AD, 0xC0AC, 0xB8AC, 0xB8AB, 0xB8CB, 0xB8EB, 0xC90B, 0xC90B, 0xC10B, 0xC16B, 0xD28E, 0xDAEF, 0xDAEF, 0xD310, 0xD351, 0xCB92, 0xCB30, 
        0xCACE, 0xC26D, 0xA20B, 0x89AA, 0x6108, 0x5085, 0x5084, 0x50E4, 0x5165, 0x51A6, 0x51E6, 0x51C5, 0x51C4, 0x49E4, 0x49E4, 0x51C4, 0x5165, 0x3944, 0x3163, 0x49A4, 0x59A4, 0x59A3, 0x4963, 0x4182, 0x4182, 0x4161, 0x4161, 0x4181, 0x49A2, 0x51C4, 
        0x59C4, 0x5963, 0x6102, 0x60A2, 0x6042, 0x5842, 0x5043, 0x5062, 0x5062, 0x5863, 0x5843, 0x6062, 0x6062, 0x7083, 0x78E6, 0x8168, 0x9A8C, 0xCC51, 0xD4B2, 0xBBB0, 0xAB2E, 0x9B0D, 0x9B8E, 0xB4B3, 0xC556, 0xDDD8, 0xE619, 0xE618, 0xEDD8, 0xF5F9, 
        0xF5FA, 0xF61A, 0xF63A, 0xF63A, 0xED98, 0xCBB0, 0xB2EC, 0xA2AD, 0x9A8C, 0x924B, 0x81E9, 0x71C6, 0x69A5, 0x6164, 0x5923, 0x5903, 0x58E2, 0x50C3, 0x48E3, 0x4924, 0x4965, 0x49A4, 0x41C4, 0x4202, 0x4A22, 0x4A03, 0x49E3, 0x41C3, 0x41A3, 0x41E2, 
        0x4A23, 0x6AE6, 0x8BA9, 0x93E9, 0x9408, 0x7BC6, 0x73A5, 0x7B86, 0x8387, 0x8366, 0x7B45, 0x7B25, 0x7305, 0x72E5, 0x72E5, 0x72C4, 0x6AC5, 0x62E7, 0x6307, 0x6AE5, 0x6AC4, 0x72A4, 0x72A5, 0x7AA7, 0x7A88, 0x7A28, 0x71C7, 0x7187, 0x6947,
  0xAB7B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xB37B, 0xB37B, 0xB37B, 0xB37B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xB37C, 0xB39C, 0xB39C, 0xB39B, 0xB39B, 0xB39C, 0xAB7D, 0xAB7E, 0xAB7E, 0xB3BD, 0xB3BC, 0xB3BC, 0xB3BC, 0xB43A, 
        0xB479, 0xBC77, 0xBC76, 0xBC76, 0xBCB5, 0xCD33, 0xD552, 0xD551, 0xCD50, 0xD54F, 0xD58E, 0xC550, 0xC530, 0xC50D, 0xCD0B, 0xCD0A, 0xC4E9, 0xB48A, 0xAC6A, 0xAC69, 0xAC68, 0xA427, 0x9BA7, 0x8B47, 0x8B07, 0x7AE7, 0x7AC7, 0x72C7, 0x6AA7, 0x6285, 
        0x5A85, 0x62A6, 0x62A8, 0x62A8, 0x62A8, 0x5AC9, 0x5AEA, 0x5B0A, 0x632A, 0x632A, 0x6B4B, 0x738B, 0x738B, 0x736C, 0x6B6C, 0x6B6D, 0x736D, 0x736C, 0x736C, 0x734C, 0x734C, 0x734D, 0x732C, 0x6B0B, 0x6B0B, 0x62EB, 0x6AEB, 0x6B0B, 0x7B2A, 0x832A, 
        0x8B2A, 0x934A, 0x934A, 0x936B, 0xA3AC, 0xBC4C, 0xC48C, 0xBC6D, 0xB46E, 0xB470, 0xB491, 0xAC71, 0xA450, 0x940F, 0x8BAD, 0x7B6C, 0x6AEA, 0x5A29, 0x49E9, 0x49E7, 0x49E7, 0x49E7, 0x4A29, 0x526A, 0x5AAC, 0x6B30, 0x7B93, 0x7393, 0x6B52, 0x7334, 
        0x7B35, 0x8B35, 0x8B35, 0x8B35, 0x8354, 0x8354, 0x8354, 0x8B54, 0x8B55, 0x8B76, 0x9397, 0x9397, 0x93B7, 0x93F7, 0x9416, 0x9435, 0x9C55, 0xA497, 0xACB8, 0xAC78, 0xB478, 0xB477, 0xB4B7, 0xB4D8, 0xB4D9, 0xBCFA, 0xC53A, 0xC53A, 0xCD3A, 0xCD3A, 
        0xCD39, 0xD55A, 0xD55A, 0xD55A, 0xCD5A, 0xD57A, 0xD57A, 0xD57A, 0xD57A, 0xD59A, 0xD59A, 0xD59B, 0xD59B, 0xD5BB, 0xD59B, 0xD57B, 0xD57C, 0xDDBD, 0xDDDE, 0xDDFE, 0xDE1F, 0xE63F, 0xE67F, 0xEE5F, 0xE65F, 0xE65E, 0xE63E, 0xE61F, 0xDDBE, 0xCDBD, 
        0xC59C, 0xCD5B, 0xCD19, 0xCCF8, 0xBC96, 0xA434, 0x9BF4, 0xA3D3, 0xA3B3, 0xA393, 0xA353, 0xA353, 0xA353, 0xA373, 0xA352, 0xAB32, 0xB333, 0xCB35, 0xDB36, 0xF2F8, 0xFADA, 0xFADC, 0xFAFE, 0xFADE, 0xFABE, 0xFABD, 0xFA9D, 0xFA9C, 0xFA9B, 0xFABC, 
        0xFABD, 0xFABD, 0xFADD, 0xFADD, 0xF2BD, 0xE998, 0xE115, 0xE8F5, 0xF155, 0xF1B6, 0xFA39, 0xFA9C, 0xFA9E, 0xFA7E, 0xFA5D, 0xFA3C, 0xFA3C, 0xFA5B, 0xFA5B, 0xF1F9, 0xF197, 0xE976, 0xE934, 0xE8D3, 0xE8F2, 0xF153, 0xF194, 0xF9B5, 0xF9B5, 0xF994, 
        0xF993, 0xF994, 0xF194, 0xF194, 0xF9B5, 0xF1B5, 0xF1B5, 0xF9D6, 0xF9F7, 0xFA17, 0xF1D5, 0xD911, 0xD0AF, 0xD8B0, 0xD8D0, 0xD8F1, 0xD911, 0xE132, 0xE132, 0xE131, 0xE111, 0xE0F1, 0xE0D1, 0xE112, 0xE152, 0xE994, 0xF1B5, 0xF1B6, 0xF175, 0xE0CF, 
        0xD8AE, 0xD8AF, 0xD8B0, 0xD8B1, 0xE0D1, 0xE952, 0xE973, 0xE953, 0xE954, 0xE954, 0xF134, 0xF154, 0xF974, 0xF995, 0xF9D6, 0xF9D6, 0xF9F7, 0xF1B6, 0xF196, 0xF196, 0xF176, 0xF196, 0xF1B6, 0xF9F7, 0xFA18, 0xF9F7, 0xF9F7, 0xF9D7, 0xF9F8, 0xFA18, 
        0xFA38, 0xFA19, 0xFA3A, 0xFA3A, 0xFA5A, 0xFA5A, 0xFA5A, 0xFA39, 0xFA39, 0xFA18, 0xF9F8, 0xF9B8, 0xF9B8, 0xFA18, 0xFA38, 0xFA38, 0xFA18, 0xFA3B, 0xFA3B, 0xFA3B, 0xFA3B, 0xFA1B, 0xF1DA, 0xE134, 0xD0D0, 0xC88D, 0xB84B, 0xB82A, 0xB84A, 0xB8AB, 
        0xC0CB, 0xC0CB, 0xC0CB, 0xC8CC, 0xC8AC, 0xC0CD, 0xC0CD, 0xC8ED, 0xD10E, 0xD12E, 0xD94F, 0xD8F0, 0xD8AF, 0xC88D, 0xC04B, 0xB84B, 0xB06A, 0xB88B, 0xB8CB, 0xB12A, 0xB1CB, 0xB24D, 0xBAF0, 0xC350, 0xC34F, 0xB2CE, 0xA22C, 0x91CA, 0x7988, 0x79A9, 
        0x79A9, 0x7127, 0x58A5, 0x4084, 0x2863, 0x28C5, 0x38E6, 0x4125, 0x3964, 0x39A4, 0x31E3, 0x4143, 0x4943, 0x49E3, 0x4A03, 0x49C4, 0x4144, 0x4164, 0x41A3, 0x51A4, 0x51A4, 0x4983, 0x3941, 0x39A1, 0x39A1, 0x3961, 0x3942, 0x3962, 0x4183, 0x5984, 
        0x5963, 0x6102, 0x58C1, 0x5881, 0x5841, 0x5822, 0x5023, 0x5042, 0x5062, 0x5062, 0x5062, 0x5822, 0x6863, 0x7125, 0x81C7, 0x8A08, 0x89E8, 0x81A7, 0x8A08, 0xAB4E, 0xC472, 0xCCD4, 0xCD56, 0xDE3A, 0xDE9B, 0xEEBB, 0xF69A, 0xF67A, 0xF5F9, 0xFD39, 
        0xFD19, 0xF538, 0xF559, 0xF579, 0xE4F7, 0xA2ED, 0x79E8, 0x69C7, 0x61C7, 0x6207, 0x6227, 0x69E6, 0x69A5, 0x5123, 0x4102, 0x40E2, 0x48E2, 0x50C3, 0x50C4, 0x4944, 0x41A4, 0x41E4, 0x4A03, 0x41E3, 0x41C3, 0x41E3, 0x39A3, 0x3982, 0x39A3, 0x6B27, 
        0x83E9, 0x8C08, 0x83E7, 0x7BA6, 0x6B45, 0x7365, 0x7365, 0x7B85, 0x73A5, 0x73A5, 0x6BA4, 0x6B64, 0x6343, 0x5B23, 0x5302, 0x52E2, 0x52E3, 0x5306, 0x5307, 0x6306, 0x6AE5, 0x6AA5, 0x6A45, 0x7A86, 0x82A6, 0x7AA7, 0x7286, 0x6A45, 0x61E4,
  0xAB7B, 0xAB7B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xB39C, 0xB37B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xB39C, 0xB39C, 0xB39C, 0xB39B, 0xB39C, 0xB39C, 0xAB7E, 0xAB7E, 0xB37E, 0xB3BE, 0xB3BD, 0xB3BD, 0xB3BD, 0xB45B, 
        0xBC9A, 0xBC97, 0xBCB6, 0xBCB5, 0xC4D4, 0xD532, 0xDD51, 0xD551, 0xD550, 0xD54E, 0xD56D, 0xC550, 0xC530, 0xCD2D, 0xD52A, 0xD529, 0xCD29, 0xB48A, 0xAC6A, 0xB488, 0xB487, 0xAC67, 0x9BE6, 0x9365, 0x9325, 0x82E6, 0x7AE7, 0x7AE7, 0x72E6, 0x62A5, 
        0x5AA5, 0x62A7, 0x62A8, 0x62A8, 0x6289, 0x5AA9, 0x5ACA, 0x5B0A, 0x632A, 0x6B2A, 0x6B4B, 0x736B, 0x738B, 0x738C, 0x6B6C, 0x6B6D, 0x734D, 0x734C, 0x734C, 0x734C, 0x6B4D, 0x6B4D, 0x6B2C, 0x6AEB, 0x6AEA, 0x62EB, 0x6AEB, 0x730B, 0x7B4B, 0x834B, 
        0x8B4B, 0x936B, 0x938B, 0x9BAC, 0xA3EC, 0xBC6C, 0xC48D, 0xBC8D, 0xBC8E, 0xBC8F, 0xB490, 0xA44F, 0x9C2E, 0x940E, 0x8BCD, 0x838B, 0x6AC9, 0x5229, 0x49E8, 0x49C7, 0x49C7, 0x49E8, 0x4A49, 0x62CC, 0x6B2E, 0x7B72, 0x7374, 0x6B54, 0x6313, 0x7B35, 
        0x8B36, 0x8B35, 0x8B35, 0x8B55, 0x8B75, 0x8B74, 0x8B74, 0x8B74, 0x8B75, 0x9397, 0x93B8, 0x9BB6, 0x93D6, 0x9417, 0x9457, 0x9C77, 0xA496, 0xACB8, 0xACB9, 0xAC99, 0xB498, 0xB498, 0xBCD8, 0xB4D8, 0xB4F9, 0xC51A, 0xCD5B, 0xCD5B, 0xCD7B, 0xCD5A, 
        0xCD39, 0xD55A, 0xD57A, 0xD57A, 0xD57A, 0xD59A, 0xD59A, 0xDD9A, 0xDD9A, 0xDDBA, 0xDDBA, 0xD59B, 0xD57C, 0xD59B, 0xD59B, 0xCD7B, 0xCD5B, 0xD5BD, 0xDDDE, 0xDDFE, 0xDDFF, 0xE61F, 0xE65F, 0xEE7F, 0xEE7F, 0xE67E, 0xDE5F, 0xDE3F, 0xDDFF, 0xD5BE, 
        0xD57D, 0xD57C, 0xD53B, 0xCD19, 0xBCB7, 0xAC55, 0xA414, 0xABF4, 0xABD3, 0xAB93, 0xAB53, 0xAB52, 0xA352, 0x9B72, 0x9B72, 0xA352, 0xB332, 0xCB54, 0xDB35, 0xE2F6, 0xEAD9, 0xEAFA, 0xF2FC, 0xFAFD, 0xFADD, 0xFABE, 0xFABD, 0xFA9D, 0xFA9C, 0xFABD, 
        0xFABD, 0xFABD, 0xFABD, 0xFABD, 0xFA7C, 0xE936, 0xE8D4, 0xE915, 0xF176, 0xF1D7, 0xFA59, 0xFA9C, 0xFA9E, 0xFA5D, 0xFA5D, 0xFA5D, 0xFA5C, 0xFA7C, 0xFA5B, 0xF21A, 0xF1D9, 0xF1B8, 0xF1B6, 0xF176, 0xF175, 0xF995, 0xF9B5, 0xF9B5, 0xF9B5, 0xF9B4, 
        0xF9B4, 0xF1B4, 0xF1B5, 0xF9B5, 0xF9D6, 0xF9D6, 0xF9F6, 0xF9F7, 0xF9F7, 0xF9D7, 0xF174, 0xD8AF, 0xD08D, 0xD8AF, 0xD911, 0xE112, 0xE112, 0xE112, 0xE112, 0xE112, 0xE0F1, 0xE0F1, 0xE0D1, 0xE112, 0xE152, 0xF194, 0xF9D6, 0xF9D6, 0xF196, 0xE0F0, 
        0xD8AE, 0xD88F, 0xD8B0, 0xD8B0, 0xE0D0, 0xE952, 0xE973, 0xE954, 0xE934, 0xE934, 0xF134, 0xF975, 0xF9B5, 0xF9B6, 0xF9D6, 0xF9D7, 0xF9D7, 0xF197, 0xF196, 0xF196, 0xF1B6, 0xF1B6, 0xF1F7, 0xFA38, 0xFA38, 0xFA18, 0xF9F8, 0xF9F8, 0xF9F8, 0xFA38, 
        0xFA38, 0xFA19, 0xFA1A, 0xFA1A, 0xFA3A, 0xFA18, 0xF1F8, 0xF9F7, 0xF9D7, 0xF9D7, 0xF9B7, 0xF177, 0xF977, 0xF9D7, 0xFA16, 0xFA16, 0xF9F7, 0xF9FA, 0xFA1B, 0xFA1B, 0xFA1B, 0xFA1B, 0xF1FA, 0xE974, 0xD910, 0xC88D, 0xC04B, 0xB82A, 0xB84A, 0xB8AB, 
        0xC0CB, 0xC0CB, 0xC8CB, 0xC8CC, 0xC8CC, 0xC8AD, 0xC0AD, 0xC8CD, 0xD10E, 0xD92E, 0xD94F, 0xD8F0, 0xD8B0, 0xD08D, 0xC04C, 0xB84B, 0xB04A, 0xB8AB, 0xB8CB, 0xA109, 0x9188, 0x920A, 0x9AAD, 0x8AAC, 0x8A6B, 0x81EA, 0x7948, 0x7106, 0x60C4, 0x58E6, 
        0x50C6, 0x4864, 0x3022, 0x2001, 0x1042, 0x28C5, 0x3906, 0x3925, 0x3964, 0x31A3, 0x31C3, 0x4122, 0x5122, 0x51C3, 0x49E3, 0x41A3, 0x3943, 0x4183, 0x49C4, 0x51A4, 0x4983, 0x4142, 0x3141, 0x41E2, 0x49E2, 0x4182, 0x3942, 0x3942, 0x4183, 0x59A4, 
        0x6183, 0x6122, 0x58C1, 0x5881, 0x5861, 0x5822, 0x5802, 0x5022, 0x5062, 0x5062, 0x5062, 0x5822, 0x6863, 0x7146, 0x79C7, 0x81E7, 0x7966, 0x5862, 0x58A3, 0x8A4A, 0xB3AF, 0xBC31, 0xC4D3, 0xD577, 0xDDD8, 0xDE19, 0xE639, 0xEE39, 0xEDF9, 0xF538, 
        0xF4F7, 0xED38, 0xED59, 0xF579, 0xE4F7, 0xA30E, 0x8249, 0x7208, 0x6228, 0x6268, 0x6288, 0x69E5, 0x6164, 0x5103, 0x48A2, 0x48A2, 0x48C2, 0x50C3, 0x50E4, 0x4944, 0x49A4, 0x49E4, 0x4A04, 0x49C4, 0x49C3, 0x41C3, 0x41A2, 0x3982, 0x41C3, 0x83C9, 
        0x9C8B, 0x9448, 0x7BC5, 0x7384, 0x6323, 0x7365, 0x7B86, 0x7B85, 0x73A5, 0x6BC5, 0x63C4, 0x6364, 0x6344, 0x5323, 0x5322, 0x5302, 0x52E3, 0x52C5, 0x5AE7, 0x6B06, 0x6AE6, 0x6AA6, 0x6A66, 0x7AA6, 0x82C6, 0x7B07, 0x7AE7, 0x72C7, 0x7245,
  0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB9B, 0xAB9B, 0xAB7C, 0xAB7C, 0xAB7C, 0xB39C, 0xB37C, 0xAB7C, 0xAB9C, 0xAB9C, 0xB39C, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BD, 0xB39D, 0xB37E, 0xB3BE, 0xB3BE, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3DE, 0xB41D, 
        0xBC5C, 0xBC9A, 0xC4D9, 0xCCD7, 0xD4F5, 0xD512, 0xD510, 0xD530, 0xD530, 0xD52F, 0xCD4E, 0xC54F, 0xC52F, 0xCD2C, 0xD50A, 0xD52B, 0xD52B, 0xBCEB, 0xB4AA, 0xB469, 0xAC48, 0xAC27, 0x9BE7, 0x9365, 0x8B25, 0x7B06, 0x7B06, 0x7B06, 0x7B06, 0x6AE7, 
        0x62C8, 0x6AA9, 0x6AAA, 0x6AAB, 0x6AAC, 0x6B0A, 0x6B2A, 0x6B4B, 0x6B4C, 0x734C, 0x734C, 0x736C, 0x736D, 0x738C, 0x738D, 0x738D, 0x736D, 0x736D, 0x736D, 0x736D, 0x734D, 0x736D, 0x6B4D, 0x6B0B, 0x6B0A, 0x732C, 0x7B6D, 0x83AE, 0x8BEE, 0x9BCD, 
        0x9BCD, 0xA40D, 0xAC4D, 0xAC4D, 0xAC2D, 0xB44C, 0xB44D, 0xB44D, 0xB44E, 0xB44E, 0xAC2E, 0xA40F, 0xA40E, 0x9BED, 0x93CC, 0x8BAB, 0x7B2A, 0x6269, 0x5208, 0x49C8, 0x51E8, 0x5249, 0x6B2C, 0x8BF1, 0x8C13, 0x83B3, 0x7B54, 0x7334, 0x7335, 0x8B35, 
        0x9336, 0x9355, 0x8B76, 0x8B96, 0x8BB6, 0x93B6, 0x93B6, 0x93B6, 0x9BB7, 0x9BB7, 0x9BD8, 0x9C17, 0xA457, 0xA478, 0xAC99, 0xAC99, 0xAC9A, 0xB4FA, 0xB519, 0xB4F9, 0xBCF9, 0xBCF9, 0xBD1A, 0xCD1A, 0xCD3A, 0xCD5B, 0xD57B, 0xD57B, 0xD57B, 0xD57B, 
        0xD55A, 0xD57B, 0xD59B, 0xD59B, 0xDD9B, 0xD59B, 0xDD7B, 0xE59B, 0xE5BB, 0xE5BB, 0xDDBB, 0xDD9C, 0xDD9C, 0xD59B, 0xCD9B, 0xCD7B, 0xCD5B, 0xD57D, 0xD59E, 0xDDBE, 0xDDDF, 0xDDFF, 0xE61F, 0xEE5F, 0xEE7F, 0xE65F, 0xE65F, 0xE67F, 0xE65F, 0xE5DF, 
        0xDD9E, 0xDD7C, 0xDD5B, 0xD53B, 0xC4FA, 0xB476, 0xAC54, 0xB454, 0xAC34, 0xA414, 0x9BF3, 0xA3B2, 0xA3B1, 0x9B92, 0x9BB2, 0x9BB2, 0xABB1, 0xBB72, 0xBB52, 0xC353, 0xC335, 0xCB16, 0xD2F7, 0xEAB9, 0xF2BA, 0xFADC, 0xFADD, 0xFABE, 0xFABD, 0xFABC, 
        0xFABC, 0xFA9C, 0xFA9D, 0xFA7D, 0xFA3C, 0xF199, 0xF178, 0xF998, 0xF9D8, 0xF9F8, 0xFA39, 0xFA7B, 0xFA7C, 0xFA7C, 0xFA7D, 0xFA9D, 0xFA7D, 0xFA5D, 0xFA3D, 0xFA5C, 0xFA5B, 0xFA5B, 0xFA3A, 0xFA59, 0xFA39, 0xF9D7, 0xF9B6, 0xF995, 0xF9B5, 0xF9D5, 
        0xF9B5, 0xF1B5, 0xF9B5, 0xF9B6, 0xF9D7, 0xF9D6, 0xF9D6, 0xF996, 0xF155, 0xF134, 0xE8F2, 0xD911, 0xD930, 0xE111, 0xE8F1, 0xE8F2, 0xE912, 0xE8F2, 0xE0F2, 0xE0F2, 0xE0F2, 0xE0F2, 0xE0F1, 0xE932, 0xE953, 0xF194, 0xF9D5, 0xF9F6, 0xF9F6, 0xE952, 
        0xE0F0, 0xD8AF, 0xD88F, 0xD88F, 0xD8D0, 0xE913, 0xF134, 0xF154, 0xF154, 0xF154, 0xF954, 0xF996, 0xF9B7, 0xF9B6, 0xF9B7, 0xF9B7, 0xF9B7, 0xF9B7, 0xF9B7, 0xF9F7, 0xFA17, 0xFA17, 0xFA18, 0xFA38, 0xFA38, 0xFA38, 0xFA38, 0xFA38, 0xFA38, 0xFA58, 
        0xFA38, 0xF9F8, 0xF1D8, 0xF9D8, 0xF9D8, 0xF176, 0xF155, 0xF175, 0xF975, 0xF995, 0xF996, 0xF196, 0xF197, 0xF9B6, 0xF9B6, 0xF9B6, 0xF9B6, 0xF9D7, 0xF9D8, 0xF9F9, 0xFA1A, 0xFA1A, 0xF9FA, 0xF1F6, 0xF1B4, 0xE111, 0xD0AE, 0xC86D, 0xB04A, 0xB08A, 
        0xB0AA, 0xC0AB, 0xC8AC, 0xD0AD, 0xD0AD, 0xC8AD, 0xC8AD, 0xD0CE, 0xD8EF, 0xD92F, 0xE150, 0xE130, 0xD8EF, 0xD8CE, 0xC88D, 0xC06C, 0xB06C, 0xB8CC, 0xB8EB, 0xA088, 0x8085, 0x7084, 0x5884, 0x3883, 0x3883, 0x5084, 0x68C5, 0x7906, 0x8187, 0x6105, 
        0x50A4, 0x3863, 0x2842, 0x1843, 0x1863, 0x4084, 0x50A4, 0x48C3, 0x4923, 0x4983, 0x49E4, 0x59A4, 0x6184, 0x59C4, 0x49A3, 0x4182, 0x3141, 0x4183, 0x49A4, 0x4163, 0x3142, 0x2921, 0x3162, 0x5A25, 0x6A65, 0x51E3, 0x4181, 0x4161, 0x41A3, 0x5204, 
        0x5204, 0x5983, 0x6122, 0x60E2, 0x6082, 0x5842, 0x5822, 0x6042, 0x6043, 0x5843, 0x5862, 0x6062, 0x6082, 0x68C4, 0x7105, 0x7126, 0x6905, 0x4862, 0x4841, 0x5883, 0x68C5, 0x6905, 0x7166, 0x9269, 0xA30C, 0xAC10, 0xBCD4, 0xC535, 0xCD55, 0xDD55, 
        0xE556, 0xEDD7, 0xF619, 0xF619, 0xED78, 0xDC52, 0xCBD0, 0xB38F, 0xA36E, 0x934D, 0x82EA, 0x61E5, 0x5942, 0x58C2, 0x5862, 0x6062, 0x6083, 0x50C3, 0x48E3, 0x5124, 0x5965, 0x5985, 0x59E4, 0x5203, 0x5203, 0x49E2, 0x49A2, 0x49A2, 0x5A23, 0x7B87, 
        0x8C08, 0x83E6, 0x7BC5, 0x73C4, 0x73C4, 0x73C6, 0x7BC6, 0x7B86, 0x7B85, 0x7B85, 0x73A5, 0x6B45, 0x6B25, 0x6B45, 0x6B45, 0x6B24, 0x62E4, 0x62E6, 0x62E6, 0x6B06, 0x7326, 0x7326, 0x7B27, 0x8347, 0x8B67, 0x8B89, 0x8B8A, 0x8B6A, 0x8B29,
  0xAB7C, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xB37D, 0xB37D, 0xAB7D, 0xAB9C, 0xAB9C, 0xB39D, 0xB39C, 0xB3BC, 0xB3BD, 0xB3BC, 0xB3BC, 0xABBC, 0xB3DD, 0xB3DD, 0xB3BC, 0xB3DC, 0xB3DC, 0xB41B, 0xB437, 
        0xBC56, 0xC496, 0xC4D6, 0xC4D5, 0xCCF3, 0xCD31, 0xCD2F, 0xC50E, 0xC50D, 0xC52D, 0xBD2E, 0xBD2F, 0xBD0E, 0xCD0C, 0xDD0B, 0xDD2B, 0xDD4B, 0xC52A, 0xBD08, 0xB4A6, 0xAC64, 0xAC64, 0xA424, 0x93A3, 0x9363, 0x8B44, 0x9325, 0x9326, 0x9326, 0x7B25, 
        0x6B05, 0x6AE6, 0x6AC7, 0x6AA8, 0x6AA9, 0x62C9, 0x62C9, 0x6B0A, 0x6B2B, 0x6B2B, 0x6B4C, 0x736D, 0x738D, 0x738D, 0x6B8C, 0x738C, 0x738C, 0x7B8D, 0x836D, 0x7B4C, 0x734B, 0x6B4C, 0x6B4C, 0x732C, 0x7B4C, 0x83AE, 0x942F, 0x9C71, 0xA4D2, 0xACF2, 
        0xACF2, 0xB4D1, 0xBCB0, 0xBC8F, 0xB44D, 0xB42C, 0xB42C, 0xB42C, 0xB40D, 0xABEC, 0x9BCC, 0x93CE, 0x93CF, 0x8BAE, 0x836D, 0x834C, 0x72EA, 0x624A, 0x5A2A, 0x6249, 0x6ACA, 0x7B4C, 0x8BF0, 0x8BB3, 0x8374, 0x7353, 0x6B33, 0x7334, 0x7B36, 0x8376, 
        0x8B96, 0x8BB6, 0x8BB5, 0x8BB5, 0x8B95, 0x8B96, 0x93B7, 0x9BD7, 0x9BF7, 0x9BF7, 0x9C38, 0xAC9A, 0xACBA, 0xB4DA, 0xBCDA, 0xBCDA, 0xBCDB, 0xBD3A, 0xB55A, 0xC55A, 0xC55B, 0xCD5B, 0xCD7B, 0xD57B, 0xDD7B, 0xDD9B, 0xDD9B, 0xDD9B, 0xDD7B, 0xDD9C, 
        0xDD9C, 0xD59B, 0xDD9B, 0xDDBB, 0xDDBB, 0xDD9B, 0xDD9B, 0xDD9B, 0xDDBB, 0xDDBB, 0xDD9C, 0xDD7C, 0xD55C, 0xCD5B, 0xCD5B, 0xD55B, 0xD55C, 0xD53C, 0xCD5C, 0xD57E, 0xDDBE, 0xDDFF, 0xE61F, 0xE61F, 0xE63F, 0xEE3F, 0xEE5F, 0xEE5F, 0xE65E, 0xE5FF, 
        0xDDDF, 0xDDBE, 0xD59D, 0xC59D, 0xBD3B, 0xBC95, 0xC433, 0xB434, 0xAC54, 0xAC54, 0xA454, 0xA413, 0xA3D2, 0xA392, 0xA372, 0xA372, 0xA3B1, 0xA3D1, 0xA3B1, 0xAB92, 0xAB53, 0xAB54, 0xB2F4, 0xDA56, 0xEA18, 0xEA59, 0xF27A, 0xF27A, 0xFA7B, 0xFABD, 
        0xFABD, 0xFA7C, 0xFA3B, 0xFA1B, 0xF21B, 0xF9DA, 0xF9DA, 0xF9D9, 0xF9F8, 0xF9F8, 0xFA18, 0xFA5A, 0xFA7B, 0xFA9C, 0xFA9D, 0xFA7C, 0xFA5C, 0xFA1C, 0xFA1D, 0xFA3D, 0xFA5D, 0xFA5D, 0xFA7C, 0xFA7B, 0xFA7A, 0xFA5A, 0xFA3A, 0xFA1A, 0xF9F9, 0xF1B6, 
        0xF195, 0xF196, 0xF9B8, 0xF9D9, 0xF9D9, 0xF996, 0xF955, 0xF155, 0xF134, 0xF133, 0xE8F2, 0xD8F1, 0xD8F1, 0xE0F1, 0xE0F1, 0xE911, 0xE911, 0xE911, 0xE911, 0xE0F2, 0xE0F2, 0xE0F1, 0xE0F1, 0xF132, 0xF173, 0xF9B4, 0xF9F6, 0xF9F6, 0xF1D5, 0xF132, 
        0xE8F1, 0xD8B0, 0xD88F, 0xD8AF, 0xE0F1, 0xF112, 0xF913, 0xF934, 0xF154, 0xF175, 0xF196, 0xF9D7, 0xF9D7, 0xF9D7, 0xF9D7, 0xF9D6, 0xF9B6, 0xF9B7, 0xF9D7, 0xFA17, 0xFA17, 0xFA17, 0xFA17, 0xFA17, 0xFA17, 0xFA37, 0xFA17, 0xF9F7, 0xF1B6, 0xF9B6, 
        0xF996, 0xF975, 0xF154, 0xF153, 0xF154, 0xF154, 0xF175, 0xF175, 0xF195, 0xF195, 0xF1D5, 0xF217, 0xF217, 0xF9D6, 0xF9B6, 0xF9B5, 0xF995, 0xF1B6, 0xF1B6, 0xF9D8, 0xF9F9, 0xF9DA, 0xF9B9, 0xF195, 0xF173, 0xE131, 0xD8CF, 0xD08E, 0xC04C, 0xB08B, 
        0xB0AA, 0xB8CB, 0xC0CB, 0xC0AB, 0xC08B, 0xD0AC, 0xD8AC, 0xD0AD, 0xD0CE, 0xD90F, 0xE130, 0xE92F, 0xE10F, 0xD0CE, 0xC0AD, 0xB8AC, 0xB08C, 0xB06B, 0xB08B, 0xB0CB, 0x98E9, 0x88A8, 0x6025, 0x5805, 0x6025, 0x7086, 0x78C7, 0x78E7, 0x68C5, 0x5062, 
        0x4022, 0x3063, 0x28A5, 0x28C6, 0x28E6, 0x2863, 0x3041, 0x40C2, 0x4963, 0x49C4, 0x5245, 0x7285, 0x7A44, 0x61E3, 0x4982, 0x3962, 0x3161, 0x4962, 0x4962, 0x3902, 0x3922, 0x4183, 0x5244, 0x62A5, 0x5A84, 0x5203, 0x49C3, 0x49A2, 0x49C2, 0x51E3, 
        0x51C3, 0x6183, 0x6923, 0x70E3, 0x7083, 0x6063, 0x5863, 0x6042, 0x6042, 0x6042, 0x6062, 0x6883, 0x6883, 0x7084, 0x6884, 0x6884, 0x60C4, 0x58C3, 0x50A3, 0x5083, 0x5083, 0x58A4, 0x6965, 0x7A87, 0x8B49, 0xA42E, 0xB492, 0xBC93, 0xBC32, 0xD453, 
        0xE494, 0xED16, 0xF556, 0xF557, 0xED16, 0xD472, 0xC410, 0xAB8E, 0xA34D, 0x9B0C, 0x926A, 0x6945, 0x50E3, 0x58E3, 0x5904, 0x6124, 0x6145, 0x58C4, 0x58C4, 0x5945, 0x59C5, 0x5A04, 0x5A43, 0x5A44, 0x5A23, 0x51E2, 0x5201, 0x5A42, 0x6AE3, 0x6B84, 
        0x6BA5, 0x6BA5, 0x73A5, 0x73A5, 0x73A6, 0x73A6, 0x7385, 0x7386, 0x7B86, 0x83A6, 0x7BC6, 0x73A6, 0x7385, 0x7B85, 0x7BA5, 0x7BA5, 0x7BA5, 0x73E4, 0x73E5, 0x73A6, 0x7B87, 0x7B87, 0x83A7, 0x7C08, 0x7C08, 0x7BC8, 0x83A8, 0x83A8, 0x7BA8,
  0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7C, 0xAB7C, 0xAB7C, 0xB37C, 0xB37C, 0xB37C, 0xB37D, 0xAB7D, 0xB37D, 0xB37D, 0xB37C, 0xB39C, 0xB39C, 0xB39D, 0xB39D, 0xB39D, 0xB39C, 0xB37C, 0xB39C, 0xB3BC, 0xB3BD, 0xBBDD, 0xBBFD, 0xC41D, 0xBC1C, 
        0xBC3B, 0xBC79, 0xBCB8, 0xBCB6, 0xB4B4, 0xB4EE, 0xB4EB, 0xACAB, 0xACAB, 0xB4AC, 0xB4CD, 0xB4CE, 0xBCCE, 0xC4CD, 0xD4EC, 0xD4EC, 0xD52C, 0xCD2A, 0xC528, 0xBCE6, 0xB4A5, 0xB484, 0xAC64, 0xA465, 0xA446, 0xA427, 0xAC08, 0xAC09, 0xABEA, 0x9BA9, 
        0x8B88, 0x7B29, 0x6AEA, 0x6ACB, 0x62AA, 0x5285, 0x5284, 0x52A6, 0x5AA8, 0x5AA9, 0x5AC9, 0x6B0A, 0x6B4B, 0x6B6B, 0x6B6C, 0x6B6C, 0x736D, 0x736C, 0x736B, 0x734B, 0x734C, 0x7B6C, 0x8BCE, 0xA4B1, 0xB512, 0xB533, 0xB554, 0xB575, 0xBDB6, 0xC5B6, 
        0xCD95, 0xC554, 0xC512, 0xBCF1, 0xBCCF, 0xBC6D, 0xB40B, 0xABAA, 0xA36A, 0xA36A, 0x9B8B, 0x8B6B, 0x834B, 0x732B, 0x6AEB, 0x62AA, 0x5248, 0x4A06, 0x5A48, 0x836F, 0x9BD3, 0x93B4, 0x7333, 0x7B55, 0x8375, 0x8335, 0x8334, 0x8355, 0x8B76, 0x8B76, 
        0x8B76, 0x8375, 0x8B75, 0x8B74, 0x8B95, 0x9BD9, 0xA3FA, 0xA418, 0xA457, 0xA477, 0xACB9, 0xB4DA, 0xB4DA, 0xB4BA, 0xB4DA, 0xB4DA, 0xB4FA, 0xBD1A, 0xC53B, 0xC53B, 0xCD5B, 0xCD7B, 0xCD9B, 0xD59C, 0xD59C, 0xD5BC, 0xDDDC, 0xDDDB, 0xDDBB, 0xDDBB, 
        0xDDBB, 0xDDBB, 0xD5BB, 0xD59B, 0xD59A, 0xDDBB, 0xDDDB, 0xDDBB, 0xDDBB, 0xD59B, 0xCD5B, 0xCD5A, 0xCD3A, 0xC51A, 0xBCFA, 0xB4DA, 0xB4D9, 0xCD3A, 0xD57B, 0xD57C, 0xD59E, 0xD5BE, 0xDDDF, 0xDDFF, 0xE61F, 0xE63F, 0xE65F, 0xE65F, 0xE63F, 0xE5DF, 
        0xDDBF, 0xDDBE, 0xDDBD, 0xD59D, 0xCD5B, 0xBD19, 0xB4D7, 0xBC76, 0xBC35, 0xB3F4, 0xABB3, 0x9B92, 0x9B92, 0xA373, 0xA394, 0xAB94, 0xABB3, 0xABB2, 0xAB72, 0xA331, 0x9AF0, 0x9AF0, 0x9AF0, 0xA2D2, 0xAAD3, 0xB2D4, 0xC2F5, 0xCAF7, 0xE2D9, 0xEA98, 
        0xEA59, 0xF23B, 0xF23C, 0xF23C, 0xF23B, 0xF23A, 0xF21A, 0xF1B8, 0xF998, 0xF998, 0xF9D8, 0xFA5A, 0xFA9B, 0xFA7C, 0xFA5C, 0xFA3C, 0xFA3B, 0xFA5B, 0xFA5B, 0xFA1C, 0xFA1D, 0xFA3C, 0xFA7B, 0xFA3B, 0xFA1C, 0xF9FC, 0xF9DB, 0xF19A, 0xF199, 0xF9D8, 
        0xF9F8, 0xFA17, 0xF9F7, 0xF1F8, 0xF1D8, 0xF197, 0xF176, 0xE914, 0xE8F2, 0xE0D2, 0xD8F1, 0xE111, 0xE111, 0xE0F1, 0xE0D1, 0xE0F1, 0xE0F1, 0xE0F1, 0xE0D1, 0xE0D1, 0xE0D2, 0xE0F2, 0xE933, 0xF174, 0xF996, 0xF1D7, 0xF1D8, 0xF197, 0xF114, 0xE0F1, 
        0xE0CF, 0xD8AF, 0xD88F, 0xD88F, 0xE0D0, 0xF153, 0xF174, 0xF995, 0xF9B5, 0xF9B6, 0xF9B6, 0xF9F7, 0xF9F7, 0xF9B6, 0xF995, 0xF995, 0xF995, 0xF197, 0xF1B7, 0xF1B7, 0xF1B6, 0xF9B6, 0xF996, 0xF175, 0xF155, 0xF154, 0xF154, 0xF134, 0xF135, 0xF155, 
        0xF175, 0xF195, 0xF1B6, 0xF1B6, 0xF9B6, 0xF9F7, 0xFA17, 0xFA17, 0xFA18, 0xFA18, 0xFA18, 0xFA17, 0xFA17, 0xF9F8, 0xF1D8, 0xF1D7, 0xF1D6, 0xFA16, 0xF1F6, 0xF196, 0xF157, 0xF177, 0xF197, 0xF155, 0xF114, 0xE0F2, 0xD8CE, 0xD0AC, 0xC089, 0xB869, 
        0xB869, 0xB88B, 0xB8AB, 0xB88A, 0xB849, 0xD08B, 0xD0AC, 0xD0CC, 0xD0EC, 0xD90D, 0xD92E, 0xD90F, 0xD0EE, 0xC8CC, 0xC0AC, 0xB8AC, 0xB8AC, 0xB84B, 0xB84B, 0xB0CA, 0xA0E9, 0x88C8, 0x6846, 0x5824, 0x5023, 0x5844, 0x60A4, 0x60E4, 0x6905, 0x5884, 
        0x4824, 0x3824, 0x3044, 0x2885, 0x28C5, 0x4083, 0x5083, 0x5944, 0x51E5, 0x5245, 0x52A5, 0x7AA4, 0x7A44, 0x4982, 0x3142, 0x3162, 0x41A3, 0x4142, 0x4102, 0x4922, 0x51A4, 0x6225, 0x6AA6, 0x4A22, 0x39E1, 0x39C2, 0x41C3, 0x49A3, 0x51A4, 0x51C5, 
        0x51E5, 0x59E5, 0x59A4, 0x5943, 0x50A2, 0x6083, 0x6064, 0x6043, 0x5842, 0x5842, 0x5842, 0x6083, 0x68A3, 0x70C4, 0x70A4, 0x6884, 0x5843, 0x6864, 0x7084, 0x68A4, 0x68E4, 0x7105, 0x8167, 0x9209, 0xA28B, 0xB38E, 0xC471, 0xD4F3, 0xDD75, 0xE5F7, 
        0xE5F7, 0xDDB6, 0xD596, 0xDD76, 0xDCF5, 0xB32E, 0xA24A, 0x89C7, 0x81A6, 0x81A6, 0x81A7, 0x78C6, 0x7086, 0x78E6, 0x7947, 0x7967, 0x7147, 0x58E4, 0x58E3, 0x6185, 0x6A06, 0x6A66, 0x5285, 0x4A62, 0x4A22, 0x5242, 0x6284, 0x6AC5, 0x7B48, 0x83A7, 
        0x83C6, 0x7BE6, 0x7BE6, 0x73C5, 0x7384, 0x7BA6, 0x7BA7, 0x73C7, 0x73C8, 0x6BE8, 0x6BE8, 0x7BE7, 0x7BE6, 0x73A6, 0x6B85, 0x6365, 0x6365, 0x6324, 0x6324, 0x6B05, 0x6AE5, 0x6AE5, 0x7306, 0x6B24, 0x6B44, 0x6B86, 0x73A7, 0x7386, 0x7345,
  0xAB9C, 0xAB7C, 0xAB7C, 0xAB5C, 0xAB7C, 0xAB7D, 0xAB7C, 0xAB7C, 0xAB7D, 0xAB7D, 0xB37D, 0xB37D, 0xAB7D, 0xAB7D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BE, 0xB3BE, 0xB3BE, 0xB39D, 0xB39D, 0xB3BD, 0xBBFD, 0xBBFC, 0xBC3B, 0xB479, 
        0xBC98, 0xBCB6, 0xBCD4, 0xBCD3, 0xB4D0, 0xACEE, 0xA4CC, 0x9C8B, 0x9C6A, 0x9C4A, 0x9C4B, 0xA44D, 0xA46D, 0xB48C, 0xBCCB, 0xBCEB, 0xBD0B, 0xC509, 0xC4E8, 0xC4C7, 0xC4A6, 0xC486, 0xBC65, 0xB444, 0xAC24, 0xAC44, 0xAC24, 0xA404, 0xA3C5, 0x9C06, 
        0x9BE6, 0x9365, 0x9306, 0x8AE6, 0x7AC6, 0x6AA3, 0x6282, 0x5A44, 0x5A45, 0x6246, 0x6267, 0x62C8, 0x62E9, 0x6B0B, 0x6B2C, 0x6B4C, 0x734C, 0x7B4C, 0x834D, 0x8B8D, 0x8BCE, 0x8BEE, 0x9470, 0xB534, 0xC576, 0xBD95, 0xC5B5, 0xC5B6, 0xCDD7, 0xD5F6, 
        0xDDF5, 0xD5B4, 0xCD73, 0xCD51, 0xC4EF, 0xBC4D, 0xB3CB, 0xAB69, 0xA367, 0xAB88, 0xB3E9, 0xB3CB, 0xAB8B, 0x932A, 0x7AC9, 0x7289, 0x6A69, 0x8B0A, 0x936C, 0x93D1, 0x8BF4, 0x83B5, 0x7B54, 0x7B54, 0x7B54, 0x8375, 0x8B76, 0x8B75, 0x8B75, 0x93B6, 
        0x93B6, 0x8BB7, 0x8BB7, 0x8BB6, 0x93D6, 0xAC5A, 0xB49C, 0xB4BA, 0xB4DA, 0xB4DA, 0xB4FA, 0xB4FA, 0xB4FA, 0xB51B, 0xBD1B, 0xBD3B, 0xBD5B, 0xD57C, 0xDD9C, 0xD57C, 0xD57C, 0xD57B, 0xD59B, 0xDDBD, 0xDDDD, 0xDDBC, 0xDDBC, 0xDDBC, 0xDDDC, 0xE5BC, 
        0xE5BC, 0xDDBB, 0xDDBB, 0xDDBB, 0xDD9B, 0xE5BB, 0xE5BB, 0xDD9B, 0xD59B, 0xD57B, 0xD55A, 0xCD3B, 0xCD1B, 0xBCD9, 0xB497, 0xAC96, 0xA476, 0xBCDA, 0xCD1C, 0xD55D, 0xD59E, 0xD5BE, 0xD5DE, 0xDE1E, 0xE63E, 0xE63F, 0xEE7F, 0xEE7F, 0xEE7F, 0xE61F, 
        0xDDFF, 0xE5FE, 0xEDDE, 0xED9E, 0xDD5D, 0xBD5B, 0xAD59, 0xACD8, 0xB497, 0xB477, 0xB436, 0xA3D3, 0xA3B2, 0xA3D2, 0xA3B2, 0x9BB2, 0xA372, 0xB355, 0xB355, 0xA352, 0xA350, 0x9B70, 0x9B71, 0x9B51, 0x9311, 0x9AB1, 0xA291, 0xA250, 0xA1F0, 0xA16F, 
        0xB190, 0xD235, 0xEAB9, 0xF31B, 0xF33C, 0xFABC, 0xFA5C, 0xF9FB, 0xF9BA, 0xF9DA, 0xF9FB, 0xFA1B, 0xFA3C, 0xFA7C, 0xFA9D, 0xFA7D, 0xFA3C, 0xFA1B, 0xFA3B, 0xFA7C, 0xFA9D, 0xFA9C, 0xFA7C, 0xFA7C, 0xFA5C, 0xFA3C, 0xFA1C, 0xF9FC, 0xF9FC, 0xFA38, 
        0xFA57, 0xFA37, 0xFA17, 0xF9F7, 0xF9D7, 0xF176, 0xF135, 0xF114, 0xE8F3, 0xE8F2, 0xE8F1, 0xE0F0, 0xE0F0, 0xE8F1, 0xE8F2, 0xE8F2, 0xE8F1, 0xE911, 0xE8F1, 0xE0D1, 0xE0D1, 0xE0D1, 0xE912, 0xF155, 0xF977, 0xF9B8, 0xF9D8, 0xF9D8, 0xF196, 0xF112, 
        0xE8D0, 0xE08E, 0xD88E, 0xE0AF, 0xE8F2, 0xF153, 0xF994, 0xF9B5, 0xF9D6, 0xF9F6, 0xF9F7, 0xF9B6, 0xF995, 0xF174, 0xF194, 0xF194, 0xF9B5, 0xF9D6, 0xF9D6, 0xF195, 0xF174, 0xF174, 0xF174, 0xF176, 0xF176, 0xF176, 0xF995, 0xF9B6, 0xF9D6, 0xF9D6, 
        0xF9D7, 0xF9F7, 0xFA18, 0xFA17, 0xFA18, 0xFA3A, 0xFA5A, 0xFA7A, 0xFA7A, 0xFA9A, 0xFA7A, 0xFA59, 0xFA39, 0xFA39, 0xFA5A, 0xFA7A, 0xFA99, 0xF9F8, 0xF196, 0xF135, 0xF114, 0xF135, 0xF996, 0xF9D8, 0xF9B8, 0xF176, 0xE933, 0xE0F0, 0xD08B, 0xC068, 
        0xB868, 0xB869, 0xB86A, 0xB86A, 0xB86B, 0xC08B, 0xC8AB, 0xD0CC, 0xD0CD, 0xD0CD, 0xD8EE, 0xE132, 0xE932, 0xE10F, 0xD0ED, 0xC8AC, 0xC06C, 0xB86C, 0xB88C, 0xB08C, 0xA88B, 0xA08A, 0x8868, 0x6043, 0x5842, 0x6043, 0x6843, 0x7044, 0x7844, 0x6885, 
        0x5886, 0x4864, 0x3043, 0x2022, 0x2062, 0x5165, 0x69C6, 0x6A06, 0x7266, 0x72A6, 0x7AE6, 0x6A64, 0x59E3, 0x4962, 0x3942, 0x3163, 0x3183, 0x2901, 0x30C1, 0x4923, 0x61E5, 0x7286, 0x72E6, 0x4182, 0x28E0, 0x3101, 0x4123, 0x5164, 0x69A6, 0x6A06, 
        0x7226, 0x7266, 0x7286, 0x7245, 0x69A4, 0x60A2, 0x6042, 0x6042, 0x6042, 0x6842, 0x6822, 0x6863, 0x6884, 0x6883, 0x6884, 0x6884, 0x7085, 0x78A5, 0x80C5, 0x80A5, 0x8085, 0x8884, 0x88C4, 0x8946, 0x91A8, 0xAA0A, 0xB2AC, 0xB30D, 0xA3CE, 0x9C10, 
        0x9C51, 0xBCD3, 0xDD35, 0xE535, 0xED14, 0xD433, 0xCBB2, 0xC390, 0xCB70, 0xCB90, 0xC30E, 0x8127, 0x7085, 0x80E6, 0x9927, 0x9927, 0x9106, 0x6965, 0x59A5, 0x6205, 0x6A45, 0x6285, 0x5A84, 0x5201, 0x51C1, 0x51C2, 0x61C4, 0x69C5, 0x7207, 0x72A6, 
        0x7326, 0x83C6, 0x8C46, 0x8425, 0x83E4, 0x7BC8, 0x7BCA, 0x7BA8, 0x73C7, 0x73C7, 0x6BA7, 0x7386, 0x7385, 0x7364, 0x6343, 0x5B03, 0x4AE3, 0x4AC2, 0x4AC2, 0x52C3, 0x5AE4, 0x62E4, 0x62E4, 0x5AA2, 0x5AA2, 0x6304, 0x6324, 0x6324, 0x62E3,
  0xAB9C, 0xAB9C, 0xAB9B, 0xAB9B, 0xAB9B, 0xAB9C, 0xB37C, 0xB37D, 0xAB7D, 0xAB7D, 0xB39D, 0xB39D, 0xAB7D, 0xAB7D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB3BE, 0xB3BE, 0xB3BE, 0xB3BE, 0xB3BE, 0xABDE, 0xABBE, 0xB3BE, 0xB3DE, 0xB3DE, 0xB3FE, 0xB43C, 0xBC76, 
        0xBC94, 0xC4B5, 0xC4B5, 0xBC95, 0xB472, 0xAC8E, 0xA48C, 0x944B, 0x8C2A, 0x8C29, 0x8C28, 0x8C0A, 0x940A, 0x9C6A, 0xA4A9, 0xACCA, 0xACEA, 0xBD0B, 0xC50B, 0xC4E9, 0xC4A8, 0xC486, 0xC445, 0xBC25, 0xB425, 0xAC46, 0xA446, 0xA445, 0xA424, 0xAC46, 
        0xAC47, 0xA3C6, 0x9345, 0x8B25, 0x82E6, 0x8307, 0x7AC7, 0x6245, 0x5204, 0x51E4, 0x5205, 0x5248, 0x526A, 0x62CC, 0x730C, 0x730B, 0x7329, 0x738B, 0x7BCE, 0x9430, 0x9C72, 0xA492, 0xA4D2, 0xBD54, 0xCD95, 0xC5B5, 0xCDD6, 0xCDF7, 0xDE18, 0xE5F6, 
        0xE5D4, 0xDDB2, 0xCD70, 0xCD2F, 0xC4AD, 0xBBCC, 0xB36B, 0xAB6B, 0xAB8B, 0xB3CB, 0xCCCD, 0xE656, 0xE677, 0xCCF2, 0xAB8D, 0x92CB, 0x826B, 0x9B50, 0xA3B2, 0x8392, 0x7373, 0x7373, 0x8374, 0x8354, 0x8354, 0x8374, 0x8395, 0x8B95, 0x8B95, 0x8BB6, 
        0x8BD7, 0x9418, 0xA43A, 0xA43A, 0xA43A, 0xA497, 0xACB7, 0xB4D9, 0xBCFB, 0xBD1B, 0xBD3B, 0xBD1B, 0xBD1B, 0xC53B, 0xC55C, 0xCD5C, 0xCD7C, 0xD5BC, 0xD5BC, 0xDD9C, 0xDD9C, 0xDD7C, 0xD57C, 0xDDBD, 0xDDDD, 0xDDBD, 0xDDBC, 0xDD9C, 0xDD9C, 0xDDBC, 
        0xDDBC, 0xDDBC, 0xDDBC, 0xE5BC, 0xE5BC, 0xDDBB, 0xDDBB, 0xD57A, 0xCD3A, 0xC53A, 0xC51A, 0xC4FB, 0xC4DA, 0xBCB9, 0xB498, 0xAC78, 0xAC79, 0xB4DA, 0xC4FA, 0xD53C, 0xDD5D, 0xDD7D, 0xDDBE, 0xE5FF, 0xEE1F, 0xEE1F, 0xEE1F, 0xEE3F, 0xEE7F, 0xE65F, 
        0xE65F, 0xDE3F, 0xDDFE, 0xDDDE, 0xDD9D, 0xD59B, 0xD57A, 0xC519, 0xBCD8, 0xBCB6, 0xB475, 0xAC35, 0xAC15, 0xABF4, 0xA3B2, 0x9BB1, 0x9391, 0x9B74, 0xA374, 0xA392, 0x9B70, 0x9B50, 0x9310, 0x9312, 0x92F2, 0x92D2, 0x8AB1, 0x8A90, 0x8A8F, 0xB2F1, 
        0xC2F2, 0xCA53, 0xD1B4, 0xD195, 0xD996, 0xF198, 0xF9FA, 0xFABC, 0xFAFD, 0xFADC, 0xFA3B, 0xF9FC, 0xFA1C, 0xFA5D, 0xFA9D, 0xFA9D, 0xFA5D, 0xF9DB, 0xF9DA, 0xFA5C, 0xFA9D, 0xFA9D, 0xFA3C, 0xF9FB, 0xFA1B, 0xFA7D, 0xFABE, 0xFABD, 0xFA9C, 0xFA3B, 
        0xFA1A, 0xF218, 0xFA17, 0xF9F7, 0xF1B6, 0xF955, 0xF114, 0xF0F3, 0xE8F3, 0xE8F2, 0xE8F2, 0xE911, 0xE911, 0xF112, 0xF112, 0xF0F2, 0xE8D1, 0xE0D1, 0xE0D1, 0xE8D1, 0xE8F0, 0xE0F0, 0xE111, 0xF153, 0xF974, 0xF9B6, 0xF9D7, 0xF9F8, 0xF9D8, 0xF135, 
        0xE8B2, 0xE090, 0xE08F, 0xE0AF, 0xE931, 0xF173, 0xF9B4, 0xF9D6, 0xF9F6, 0xF9F7, 0xF9B6, 0xF1B5, 0xF1B5, 0xF9D6, 0xF9F6, 0xF9F7, 0xF9F6, 0xF194, 0xF174, 0xF195, 0xF1B6, 0xF1B6, 0xF1B6, 0xF9D7, 0xF9F7, 0xFA17, 0xFA17, 0xFA17, 0xFA17, 0xFA38, 
        0xFA38, 0xFA37, 0xFA17, 0xFA17, 0xFA37, 0xFA9B, 0xFABD, 0xFA9B, 0xFA7B, 0xFA7B, 0xFA7B, 0xFA7C, 0xFA5C, 0xFA7C, 0xFA5B, 0xFA5A, 0xF9F7, 0xF112, 0xE8D0, 0xF112, 0xF195, 0xF1F8, 0xFA7B, 0xF239, 0xF1D6, 0xE912, 0xE0AF, 0xE08F, 0xD08F, 0xC84C, 
        0xC04B, 0xB86A, 0xB889, 0xB889, 0xC06A, 0xB86A, 0xB86B, 0xC88C, 0xD08D, 0xD08D, 0xD8AE, 0xE951, 0xF172, 0xE930, 0xD8CE, 0xD0AD, 0xB86D, 0xB0AC, 0xA8AB, 0xB08C, 0xB06B, 0xA86A, 0x9848, 0x8065, 0x7063, 0x7043, 0x7043, 0x7844, 0x8045, 0x7867, 
        0x7067, 0x5865, 0x4043, 0x2842, 0x2082, 0x6A08, 0x82A9, 0x7AA7, 0x72C5, 0x7AE6, 0x7B06, 0x6224, 0x49A3, 0x3162, 0x2941, 0x3942, 0x4122, 0x20C1, 0x20C1, 0x4963, 0x6A46, 0x7AE8, 0x7349, 0x3143, 0x2061, 0x3881, 0x58C2, 0x60E3, 0x6145, 0x6A48, 
        0x7AAA, 0x8AEB, 0x92EB, 0x8AEA, 0x7A48, 0x50C3, 0x5042, 0x5883, 0x68A4, 0x6883, 0x6822, 0x6843, 0x6863, 0x7062, 0x7082, 0x7082, 0x7083, 0x7064, 0x7864, 0x7084, 0x78A4, 0x78C4, 0x8103, 0x7964, 0x89A5, 0xA9E6, 0xC248, 0xC28A, 0xAB0C, 0x8AED, 
        0x82EC, 0x9AED, 0xB36F, 0xCBF1, 0xE493, 0xDC32, 0xD411, 0xD473, 0xCC32, 0xBB90, 0x9A09, 0x68C4, 0x6062, 0x70A4, 0x88E5, 0x90E5, 0x9126, 0x89A7, 0x79C6, 0x69A4, 0x61E3, 0x6244, 0x6AA5, 0x6202, 0x5981, 0x4921, 0x48E2, 0x50C3, 0x58C4, 0x50E3, 
        0x5984, 0x82A7, 0x9388, 0x93C8, 0x73E6, 0x6BE5, 0x63E4, 0x6BC4, 0x73A5, 0x83A7, 0x8B89, 0x7B68, 0x7367, 0x7B67, 0x7B47, 0x7326, 0x62C5, 0x4A63, 0x4A43, 0x5263, 0x5A83, 0x5AA3, 0x5AA3, 0x5282, 0x5262, 0x5283, 0x5AA4, 0x5AA4, 0x5AA4,
  0xAB7C, 0xAB7C, 0xAB7B, 0xAB5B, 0xAB5B, 0xAB5B, 0xAB7B, 0xAB7C, 0xAB7C, 0xB37C, 0xB39D, 0xB39C, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB3BD, 0xB3BE, 0xB3BE, 0xB3BE, 0xB3DD, 0xB3FC, 0xB419, 0xAC16, 
        0xAC14, 0xA411, 0xA40E, 0x9C0C, 0x93EA, 0x8BE9, 0x83C9, 0x8388, 0x7B68, 0x8367, 0x8387, 0x8BE9, 0x942A, 0xAC8B, 0xB4CB, 0xB4CB, 0xB4CB, 0xBCCA, 0xBCAA, 0xC4AA, 0xC4A9, 0xCCA9, 0xCCC7, 0xC505, 0xC525, 0xC547, 0xC527, 0xC507, 0xBCC6, 0xBCC6, 
        0xB4A6, 0xB485, 0xAC65, 0xAC24, 0xA3E4, 0x9364, 0x8B04, 0x7A84, 0x6A43, 0x6222, 0x5A02, 0x5A23, 0x5A44, 0x6285, 0x62A7, 0x6AC8, 0x6B09, 0x6B8C, 0x73EE, 0x8C50, 0x9CB1, 0xA4D1, 0xACF2, 0xC555, 0xD596, 0xCDD6, 0xCDF5, 0xCDF5, 0xCDF6, 0xD5D5, 
        0xD594, 0xC550, 0xB4CD, 0xAC6A, 0xA3E8, 0xABA9, 0xBBEA, 0xD4CD, 0xE58F, 0xEDF0, 0xF671, 0xF6B3, 0xEE53, 0xC4F0, 0xA3AD, 0x932C, 0x82AD, 0x8B12, 0x8B35, 0x7B35, 0x7355, 0x7B54, 0x7B74, 0x7B54, 0x7B54, 0x8B55, 0x8B55, 0x8B55, 0x8355, 0x8BD6, 
        0x9417, 0x9C38, 0xA458, 0xA458, 0xAC78, 0xA499, 0xA4BA, 0xB4DA, 0xBD1A, 0xBD1A, 0xBD1A, 0xC55C, 0xCD7C, 0xCD7C, 0xCD9C, 0xCD9C, 0xD59D, 0xD59C, 0xD59B, 0xD59C, 0xD5BC, 0xD5BD, 0xDDBD, 0xD5BC, 0xCDBC, 0xD5BC, 0xDDBC, 0xDDBC, 0xDDBB, 0xDDDB, 
        0xDDFB, 0xDDDB, 0xDDBB, 0xDDBB, 0xDDBB, 0xDD9A, 0xD57A, 0xCD39, 0xC4F9, 0xBCF9, 0xBCF9, 0xBCB8, 0xB497, 0xAC77, 0xAC37, 0xA416, 0xAC37, 0xBCF9, 0xC53B, 0xC55B, 0xC57C, 0xC57D, 0xCD9E, 0xDDDF, 0xDDFF, 0xE61F, 0xE63F, 0xE63F, 0xE65F, 0xEE7F, 
        0xEE5F, 0xE63F, 0xDDFF, 0xD5BF, 0xD59E, 0xCD7C, 0xC55B, 0xC4FA, 0xC4B8, 0xBC97, 0xB456, 0xB3F6, 0xBBD6, 0xB374, 0xAB72, 0xAB92, 0xABD2, 0xAB92, 0xAB72, 0xAB71, 0xAB50, 0xA350, 0x9B30, 0x92F0, 0x92D0, 0x92B0, 0x9AF1, 0xA352, 0xAB52, 0xA18D, 
        0x98CB, 0xA88C, 0xB86D, 0xC08F, 0xD152, 0xE338, 0xE39A, 0xEAD9, 0xF259, 0xFA7A, 0xFABC, 0xFABC, 0xFABC, 0xFA9C, 0xFA7C, 0xFA7C, 0xFA3B, 0xF9FB, 0xFA1B, 0xFA5C, 0xFA7C, 0xFA5C, 0xFA3C, 0xFA5B, 0xFA5B, 0xFA5C, 0xFA5C, 0xFA5C, 0xFA3C, 0xFA5C, 
        0xFA5C, 0xFA3B, 0xF219, 0xF1D7, 0xE975, 0xF154, 0xF154, 0xE934, 0xE934, 0xE113, 0xE112, 0xE932, 0xF132, 0xE933, 0xE914, 0xE8F3, 0xE8D2, 0xE8F1, 0xE0F1, 0xE0F0, 0xE0D0, 0xE0D0, 0xE8F0, 0xF195, 0xF1D7, 0xFA18, 0xFA39, 0xFA19, 0xF197, 0xD8B2, 
        0xD84F, 0xD890, 0xE0D1, 0xE912, 0xF153, 0xF195, 0xF1B5, 0xF1B6, 0xF1B6, 0xF1B6, 0xF196, 0xF196, 0xF996, 0xF996, 0xF9B7, 0xF9B7, 0xF9D8, 0xF9D7, 0xF9D7, 0xF9F7, 0xFA17, 0xFA38, 0xFA38, 0xFA17, 0xFA17, 0xFA37, 0xFA38, 0xFA39, 0xFA39, 0xFA39, 
        0xFA19, 0xFA1A, 0xFA3A, 0xFA5A, 0xFA7A, 0xFA9A, 0xFA7A, 0xFA5A, 0xFA5A, 0xFA5B, 0xFA7B, 0xFA5C, 0xFA3B, 0xF1D8, 0xF155, 0xF113, 0xF0F2, 0xF1F6, 0xF298, 0xFB3B, 0xF35B, 0xF31A, 0xE236, 0xD0EF, 0xC86D, 0xD06E, 0xD08F, 0xD08E, 0xC88D, 0xC08B, 
        0xC06A, 0xB849, 0xB849, 0xB869, 0xB889, 0xB868, 0xB848, 0xC089, 0xC8AA, 0xD0CB, 0xD8EC, 0xE14E, 0xE14F, 0xD8EE, 0xD0AD, 0xC88D, 0xC08C, 0xC08D, 0xB88D, 0xB06B, 0xB06A, 0xA869, 0xA068, 0x7844, 0x6043, 0x6063, 0x6083, 0x6083, 0x7085, 0x90A8, 
        0x90A8, 0x7045, 0x5022, 0x4001, 0x48A2, 0x72C7, 0x8389, 0x7B28, 0x6AC7, 0x6AA5, 0x6244, 0x4142, 0x30E1, 0x3102, 0x3122, 0x3122, 0x3101, 0x38A1, 0x48E2, 0x6A66, 0x7307, 0x6AE7, 0x4A04, 0x40E3, 0x40A3, 0x50E2, 0x5943, 0x6163, 0x61C5, 0x6A86, 
        0x7307, 0x834A, 0x8B09, 0x8288, 0x6964, 0x6083, 0x6043, 0x6062, 0x5882, 0x5862, 0x5823, 0x6822, 0x7022, 0x7062, 0x7083, 0x7084, 0x7084, 0x6864, 0x6863, 0x6843, 0x7063, 0x7884, 0x9106, 0x91A8, 0x91C8, 0xA208, 0xB289, 0xBB4C, 0xBCD2, 0xD5D8, 
        0xDDF8, 0xDD35, 0xDC71, 0xD40F, 0xCB8E, 0xB2ED, 0x9A4B, 0x6966, 0x48E4, 0x48C3, 0x6083, 0x70E5, 0x7906, 0x70C5, 0x70A4, 0x70A4, 0x8105, 0x91A8, 0x9A29, 0x9AAA, 0x92EA, 0x82E9, 0x6A86, 0x61C2, 0x5981, 0x4961, 0x3921, 0x38C1, 0x40A2, 0x69E7, 
        0x82C9, 0x8348, 0x7BA7, 0x73A5, 0x73A5, 0x83CA, 0x93CB, 0x8BC9, 0x83A7, 0x7386, 0x6365, 0x7BC6, 0x7BE6, 0x7385, 0x6B45, 0x6305, 0x62C5, 0x5AA4, 0x52A4, 0x4A83, 0x4A62, 0x4A62, 0x4A41, 0x4A42, 0x4A62, 0x5283, 0x5AA3, 0x5AA4, 0x6284,
  0xAB9D, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7C, 0xB37C, 0xB39C, 0xB39D, 0xB37D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB3BD, 0xB39D, 0xB39E, 0xB3BE, 0xB3BE, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BE, 0xB3DE, 0xB3DE, 0xB3BE, 0xB3BD, 0xB3BD, 0xB3DB, 0xB437, 
        0xAC34, 0xAC32, 0xA40F, 0x9BED, 0x9BCA, 0x9409, 0x9409, 0x8BE9, 0x83A8, 0x8388, 0x8388, 0x83C9, 0x8BEA, 0x9C4B, 0xA46B, 0xAC8B, 0xAC8B, 0xB4CC, 0xBCEC, 0xC4EC, 0xC4CB, 0xC4CB, 0xC4C9, 0xCCA8, 0xCCC8, 0xCCE8, 0xCD27, 0xCD26, 0xCD05, 0xBCA6, 
        0xB487, 0xBC66, 0xBC46, 0xBC46, 0xB406, 0x9365, 0x8B04, 0x82C3, 0x82A3, 0x7AA4, 0x72A4, 0x6264, 0x6285, 0x62C7, 0x6B09, 0x6B29, 0x7348, 0x83AB, 0x8BED, 0x9450, 0x9CB2, 0xA4D3, 0xAD13, 0xC594, 0xCDB4, 0xC5B4, 0xBD93, 0xBD94, 0xC574, 0xCD93, 
        0xC572, 0xBCEE, 0xB48B, 0xB449, 0xAC07, 0xBC07, 0xCC6A, 0xDD90, 0xEE75, 0xF6B7, 0xEE57, 0xD533, 0xBC51, 0x9B4F, 0x82AE, 0x7A8F, 0x82D2, 0x9B77, 0x9BB8, 0x8BB6, 0x7B94, 0x7B74, 0x8374, 0x8B94, 0x9395, 0x8B75, 0x8354, 0x8354, 0x8B75, 0x9417, 
        0x9C38, 0x9C58, 0x9C38, 0xA458, 0xA458, 0xB4B8, 0xB4D9, 0xBCFA, 0xBD1B, 0xBD3B, 0xC55C, 0xCD9D, 0xD5BD, 0xDDBD, 0xDDDD, 0xDDDE, 0xDDDE, 0xDDDD, 0xD5DD, 0xDDDD, 0xDDDD, 0xDDDD, 0xDDBD, 0xD5BD, 0xD5BD, 0xDDBC, 0xDDBC, 0xDDBC, 0xDD9C, 0xDDBC, 
        0xE5BC, 0xDDBC, 0xDDBC, 0xE5BC, 0xE5BB, 0xD55A, 0xCD19, 0xC519, 0xBD19, 0xBCF9, 0xBCD8, 0xB477, 0xAC77, 0xB477, 0xB477, 0xB478, 0xB479, 0xBCFA, 0xC53B, 0xCD3B, 0xD53B, 0xD55B, 0xD57C, 0xD5BE, 0xDDDE, 0xDDFF, 0xE61F, 0xE63F, 0xE67F, 0xEE7F, 
        0xEE7F, 0xEE7F, 0xE65F, 0xE63F, 0xDDDF, 0xD5BE, 0xD59D, 0xD55C, 0xCD3B, 0xC4FA, 0xB498, 0xB416, 0xB3F5, 0xB3D4, 0xABD4, 0xABF4, 0xABF4, 0xB3B3, 0xB392, 0xAB51, 0xA351, 0xA350, 0x9B50, 0x92B0, 0x92B0, 0xA2F0, 0xAAEF, 0xAA8F, 0xA9AE, 0xC0CE, 
        0xC88E, 0xD0B0, 0xD8F1, 0xD0F1, 0xC8F0, 0xB90E, 0xC10E, 0xD110, 0xE133, 0xE955, 0xE9F7, 0xE33A, 0xEBBC, 0xF35D, 0xFAFD, 0xFABC, 0xFA3B, 0xFA1C, 0xFA3C, 0xFA9D, 0xFABD, 0xFABC, 0xFA5B, 0xFA1C, 0xFA1C, 0xFA5D, 0xFA7D, 0xFA7C, 0xFA5C, 0xFA5D, 
        0xFA5D, 0xFA1C, 0xF1FA, 0xF1D8, 0xF1B6, 0xF196, 0xF176, 0xF176, 0xF175, 0xF175, 0xF133, 0xE933, 0xE933, 0xF133, 0xF133, 0xE913, 0xE8F2, 0xE8F1, 0xE8F1, 0xE0D1, 0xE0D0, 0xE0B0, 0xE0B0, 0xE8D1, 0xF133, 0xF1D6, 0xFA38, 0xFA59, 0xF219, 0xE116, 
        0xE0B4, 0xE0B2, 0xE911, 0xF152, 0xF9B4, 0xF9F6, 0xF9D6, 0xF1B6, 0xF196, 0xF197, 0xF997, 0xF9B6, 0xF9B6, 0xF9D7, 0xF9D7, 0xF9D7, 0xF9B7, 0xF9B7, 0xF9B7, 0xF9F8, 0xFA18, 0xFA18, 0xF9F8, 0xF9B8, 0xF9B8, 0xF9F7, 0xFA17, 0xFA38, 0xFA38, 0xFA18, 
        0xFA19, 0xFA5A, 0xFA7B, 0xFA7B, 0xFA5A, 0xFA5B, 0xFA3B, 0xFA5B, 0xFA9B, 0xFABC, 0xFADC, 0xF23A, 0xF198, 0xF0F4, 0xF0F3, 0xF134, 0xFA37, 0xFB5B, 0xF39C, 0xEAB9, 0xD1D3, 0xC12E, 0xA888, 0xB84A, 0xC84E, 0xE0D1, 0xE913, 0xE933, 0xD8F1, 0xC88E, 
        0xC04D, 0xB84B, 0xB86A, 0xB86A, 0xB86A, 0xB84B, 0xC04B, 0xC06B, 0xC88B, 0xD0AB, 0xD8AD, 0xE10F, 0xE130, 0xE130, 0xD8EF, 0xD0AE, 0xC08D, 0xB8AD, 0xB8CD, 0xB8AB, 0xB86B, 0xB86B, 0xA86A, 0x88A7, 0x70C5, 0x60E4, 0x60E4, 0x60C4, 0x68A5, 0x88A6, 
        0x9087, 0x8046, 0x7826, 0x7045, 0x68E5, 0x7286, 0x7B27, 0x72E7, 0x6AA6, 0x6265, 0x5203, 0x4983, 0x4163, 0x3942, 0x3122, 0x3122, 0x28E2, 0x30A1, 0x4943, 0x72C6, 0x8388, 0x7B48, 0x6245, 0x4923, 0x48E3, 0x6125, 0x6926, 0x70E6, 0x78E6, 0x7A47, 
        0x8309, 0x8BAA, 0x8BAA, 0x7B68, 0x6265, 0x5902, 0x6082, 0x6862, 0x6862, 0x6862, 0x6062, 0x6863, 0x6863, 0x7063, 0x7084, 0x78A4, 0x78A4, 0x7084, 0x6863, 0x6863, 0x6883, 0x7083, 0x80E4, 0x99A9, 0xA24B, 0x9AC9, 0x82A7, 0x6A26, 0x69A8, 0xA310, 
        0xBB93, 0xBB71, 0xBB6F, 0xBB6E, 0xAAED, 0x8147, 0x6064, 0x5022, 0x5021, 0x5042, 0x5863, 0x6064, 0x6884, 0x68C5, 0x68A4, 0x6084, 0x5842, 0x4862, 0x58C4, 0x79A7, 0x8A4A, 0x8A4A, 0x7229, 0x7226, 0x7A64, 0x72C4, 0x6AA3, 0x6203, 0x5103, 0x50E4, 
        0x6165, 0x7A88, 0x938A, 0x93CB, 0x8BEA, 0x8387, 0x7B66, 0x7BA7, 0x7BE7, 0x7C07, 0x7C06, 0x73C7, 0x73A6, 0x7B85, 0x7364, 0x6B44, 0x5324, 0x4B22, 0x4B02, 0x52C3, 0x5AA4, 0x5A64, 0x5A64, 0x6284, 0x6285, 0x6265, 0x6224, 0x6205, 0x59E5,
  0xAB9D, 0xAB9D, 0xAB9D, 0xAB9D, 0xAB7D, 0xB37D, 0xB39D, 0xB3BE, 0xB39E, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39E, 0xBBBE, 0xBBDE, 0xB3FE, 0xB3FE, 0xBBDE, 0xBBDE, 0xBBBE, 0xBBBE, 0xB3DE, 0xB3BE, 0xB3BE, 0xB3DE, 0xB3FD, 0xB3FD, 0xB3FC, 0xBC58, 
        0xBC75, 0xB471, 0xAC4E, 0xA42B, 0x9408, 0x83E8, 0x83E8, 0x83C7, 0x83A7, 0x8388, 0x8389, 0x83AA, 0x8BCB, 0x940B, 0x9C2B, 0xA42C, 0xAC4C, 0xB4AC, 0xBCEB, 0xC4CB, 0xC4CB, 0xC4CB, 0xBCA9, 0xCCC5, 0xD4E4, 0xD525, 0xDD46, 0xDD67, 0xDD46, 0xCCE5, 
        0xC4A4, 0xBC84, 0xBC84, 0xBC85, 0xB424, 0x8B62, 0x7B01, 0x82E1, 0x8AE1, 0x8AC2, 0x82C2, 0x6AA2, 0x6AA3, 0x6AE3, 0x72E4, 0x6AC4, 0x6AE8, 0x73AF, 0x7C33, 0x8C93, 0xA4D4, 0xACF5, 0xBD35, 0xCDD4, 0xCDF4, 0xBD92, 0xB552, 0xB552, 0xB572, 0xB552, 
        0xB511, 0xBCEF, 0xBCAC, 0xBC8A, 0xB448, 0xBC07, 0xCCA9, 0xE650, 0xF713, 0xF6D2, 0xDD6D, 0x9B89, 0x830A, 0x936F, 0x93B3, 0x93B5, 0x8B76, 0x8B95, 0x83B5, 0x7BB4, 0x7BB4, 0x8393, 0x8B73, 0x93B5, 0x93B6, 0x8BB5, 0x93B5, 0x93B6, 0x9BD7, 0x9416, 
        0x9436, 0x9437, 0x9C37, 0x9C57, 0xA498, 0xBCFB, 0xC51C, 0xC51B, 0xBD3B, 0xBD5B, 0xBD7C, 0xD59E, 0xDD9E, 0xDD9D, 0xDD9D, 0xDDBE, 0xD5DE, 0xDDBC, 0xDDDC, 0xE5DD, 0xE5DE, 0xE5DE, 0xDDBD, 0xD5DD, 0xD5DD, 0xDDDC, 0xDDBD, 0xDD9D, 0xDD7D, 0xE5BC, 
        0xE5BC, 0xE5DC, 0xE5DC, 0xDDBC, 0xD57B, 0xD53A, 0xD519, 0xCD19, 0xC519, 0xBCF9, 0xB4D8, 0xB4B7, 0xB4B7, 0xB496, 0xB497, 0xB498, 0xB4B9, 0xBD3A, 0xBD5A, 0xC55C, 0xCD5D, 0xD55D, 0xDD7E, 0xDDDF, 0xDDFF, 0xDDFF, 0xDDFF, 0xE61F, 0xEE3F, 0xEE7F, 
        0xE69F, 0xE69F, 0xE67F, 0xEE7F, 0xEE3F, 0xDE1F, 0xD5FF, 0xD59E, 0xD53D, 0xCCFC, 0xBCBA, 0xBC75, 0xBC34, 0xB3F4, 0xB3F4, 0xABF4, 0xB3F4, 0xBB71, 0xBB51, 0xAB72, 0x9B72, 0x9331, 0x8AEE, 0x9B4F, 0xA36F, 0xAB0F, 0xAA8E, 0xA9CD, 0xB0CD, 0xC86F, 
        0xD891, 0xD8D1, 0xD8F1, 0xD910, 0xD8EF, 0xD8EE, 0xD8AE, 0xD08E, 0xD0D0, 0xD932, 0xE1D6, 0xA993, 0xA152, 0xD1B7, 0xF25B, 0xFADD, 0xFB3D, 0xFA3B, 0xF9FB, 0xFA3D, 0xFA7E, 0xFA7E, 0xFA5C, 0xFA3C, 0xFA3C, 0xFA7D, 0xFABD, 0xFADD, 0xFA9D, 0xF21B, 
        0xF1DA, 0xF9D9, 0xFA19, 0xFA39, 0xFA5A, 0xF1F9, 0xF9D8, 0xF9D7, 0xF9B6, 0xF996, 0xF155, 0xE914, 0xF113, 0xF153, 0xF153, 0xF152, 0xE912, 0xE8D2, 0xE8B2, 0xE8D1, 0xE8F1, 0xE8F1, 0xE8F1, 0xE0D1, 0xE0F2, 0xE934, 0xF197, 0xF1D9, 0xF23A, 0xE9F6, 
        0xE193, 0xE911, 0xF0D1, 0xF8F2, 0xF955, 0xF9F7, 0xFA37, 0xF218, 0xF9B8, 0xF998, 0xF977, 0xF9F5, 0xFA35, 0xFA37, 0xFA18, 0xF9F8, 0xF9D7, 0xF9B7, 0xF9D7, 0xFA38, 0xFA79, 0xFA79, 0xFA39, 0xF978, 0xF957, 0xF997, 0xF9D7, 0xF9B6, 0xF9B6, 0xFA19, 
        0xFA5A, 0xFA9B, 0xFABB, 0xFABC, 0xFA7C, 0xFA3A, 0xFA3A, 0xFA9C, 0xFAFE, 0xFB3E, 0xFADC, 0xE931, 0xE8AF, 0xF175, 0xFABA, 0xFBDC, 0xFC7C, 0xFA5A, 0xE136, 0xB0CD, 0x9067, 0x8846, 0xA827, 0xD08B, 0xE8EF, 0xF134, 0xF976, 0xF975, 0xF151, 0xE0CE, 
        0xD08D, 0xC06B, 0xB86B, 0xB86A, 0xB88A, 0xC088, 0xC088, 0xC0A9, 0xC0AA, 0xC88B, 0xD08C, 0xD8EE, 0xE12F, 0xE910, 0xE0F0, 0xD0CF, 0xC0AE, 0xB8CD, 0xB8CC, 0xB88B, 0xB86B, 0xB86C, 0xA86B, 0x88E7, 0x7125, 0x6144, 0x5944, 0x5924, 0x60E6, 0x88E8, 
        0x90C8, 0x8866, 0x8085, 0x8107, 0x81C8, 0x7246, 0x6A65, 0x6265, 0x6264, 0x6264, 0x5A23, 0x4183, 0x3943, 0x3902, 0x38E1, 0x38E2, 0x30E2, 0x2861, 0x4123, 0x8B49, 0xA40C, 0x8B49, 0x5144, 0x3883, 0x40A4, 0x6147, 0x7167, 0x7946, 0x8145, 0x82AB, 
        0x838E, 0x8BEE, 0x83EB, 0x7BA8, 0x6A84, 0x80E5, 0x8845, 0x8064, 0x7883, 0x6883, 0x6083, 0x6082, 0x6883, 0x7084, 0x7864, 0x7864, 0x7864, 0x7064, 0x6864, 0x7084, 0x7085, 0x7866, 0x8089, 0x998D, 0xA22C, 0x8287, 0x6223, 0x4982, 0x38A3, 0x7168, 
        0x9A2C, 0xAAEE, 0xC370, 0xCB91, 0xBB0F, 0x50E5, 0x3001, 0x4822, 0x5843, 0x6022, 0x6022, 0x6043, 0x5863, 0x5042, 0x5042, 0x4823, 0x5024, 0x5823, 0x5842, 0x5082, 0x50E4, 0x6145, 0x8227, 0x8309, 0x7B08, 0x5A84, 0x5A65, 0x72C7, 0x92EB, 0x6906, 
        0x5064, 0x6904, 0x79C5, 0x7A65, 0x7B24, 0x5BC2, 0x5C23, 0x6C66, 0x8468, 0x8447, 0x8BE6, 0x83C8, 0x83E9, 0x7C08, 0x73E7, 0x7385, 0x6303, 0x5AC2, 0x5AC3, 0x6B25, 0x7345, 0x7305, 0x6A65, 0x6204, 0x59E3, 0x59C4, 0x59A4, 0x5983, 0x5963,
  0xB37D, 0xB39D, 0xAB9C, 0xAB9C, 0xAB7C, 0xB37D, 0xB39D, 0xB3BD, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB3BE, 0xB3BE, 0xB3DE, 0xB3DE, 0xB3DE, 0xBBBE, 0xBBBE, 0xBBBE, 0xB3DE, 0xB3BE, 0xB3BE, 0xB3FE, 0xB3FD, 0xB3FD, 0xABFB, 0xB437, 
        0xB455, 0xAC31, 0xA40D, 0x9C0B, 0x93E8, 0x83C7, 0x7BA7, 0x83A7, 0x83A8, 0x8BA8, 0x8BAA, 0x8BCB, 0x93EB, 0x9C0B, 0xA42C, 0xA44C, 0xAC4D, 0xB4AC, 0xBCCB, 0xC4CB, 0xC4CB, 0xC4CB, 0xC4EA, 0xD525, 0xDD43, 0xDD65, 0xDD87, 0xE587, 0xDD67, 0xD525, 
        0xCCE4, 0xC4C4, 0xC4C4, 0xBCA4, 0xB464, 0x9BE3, 0x93A3, 0x9362, 0x9B42, 0x9B42, 0x9322, 0x8303, 0x7B03, 0x7B03, 0x7AE3, 0x72C4, 0x6AE6, 0x736E, 0x7BD1, 0x8C51, 0x9CB2, 0xA4D2, 0xB533, 0xCDD5, 0xD5F5, 0xC593, 0xBD72, 0xB571, 0xB571, 0xAD31, 
        0xB511, 0xBCEF, 0xC4CD, 0xBCAB, 0xB468, 0xB3E7, 0xBC49, 0xD5AF, 0xDE31, 0xDDF0, 0xBC6B, 0x7A88, 0x6A49, 0x832F, 0x93D4, 0x93D5, 0x8395, 0x7353, 0x7353, 0x7B73, 0x8394, 0x8B94, 0x8B94, 0x8B95, 0x8B95, 0x8B95, 0x93B6, 0x9BF7, 0xA418, 0x93F6, 
        0x8BF5, 0x9416, 0x9436, 0x9C57, 0xA497, 0xBCFA, 0xC51C, 0xC51B, 0xBD3B, 0xBD5B, 0xC57C, 0xD59D, 0xDDBE, 0xDD9D, 0xD59D, 0xD5BD, 0xD5BD, 0xDDBC, 0xDDBC, 0xDDDD, 0xDDDE, 0xDDDD, 0xDDBD, 0xDDBD, 0xDDBD, 0xDDBC, 0xDDBC, 0xDD9D, 0xDD9D, 0xE5BC, 
        0xE5DC, 0xE5DC, 0xDDBC, 0xDD9C, 0xD55B, 0xD53A, 0xD53A, 0xCD39, 0xC518, 0xBCF8, 0xB4D8, 0xB4D7, 0xB4B7, 0xB4B6, 0xB497, 0xB497, 0xBCD9, 0xBD3A, 0xC55A, 0xC55B, 0xCD5C, 0xD57D, 0xDD9E, 0xDDDE, 0xDDDE, 0xDDDF, 0xDDDF, 0xE5FF, 0xEE3F, 0xEE7F, 
        0xE67F, 0xE67F, 0xE67F, 0xE67F, 0xE65F, 0xDE1F, 0xD5DF, 0xD57E, 0xD53E, 0xCCFD, 0xBCDA, 0xBC95, 0xBC54, 0xB414, 0xB3F4, 0xB3F5, 0xB3D4, 0xB371, 0xB350, 0xAB72, 0x9B72, 0x9331, 0x930F, 0xB3D1, 0xBBD1, 0xB2CF, 0xA9CD, 0xA94C, 0xB8AD, 0xD0B0, 
        0xD8D1, 0xD0D1, 0xD0F0, 0xD0EF, 0xD8EF, 0xE0EF, 0xD8CE, 0xC88D, 0xC8AD, 0xC90F, 0xC992, 0xA931, 0xA111, 0xC975, 0xEA39, 0xFABB, 0xFB1C, 0xFA7B, 0xFA3B, 0xFA7C, 0xFA7D, 0xFA5D, 0xFA3D, 0xFA5C, 0xFA7C, 0xFA9D, 0xFADD, 0xFADE, 0xFABE, 0xF1FB, 
        0xF1B9, 0xF9B8, 0xFA19, 0xFA5A, 0xFA9B, 0xFA5B, 0xFA19, 0xF9D7, 0xF996, 0xF175, 0xF155, 0xE934, 0xF134, 0xF153, 0xF153, 0xF132, 0xE912, 0xE8B3, 0xE0B2, 0xE8F1, 0xE911, 0xE911, 0xF112, 0xE0F1, 0xE0F2, 0xE934, 0xF177, 0xF1D9, 0xF23A, 0xE9F6, 
        0xE994, 0xF133, 0xF913, 0xF914, 0xF976, 0xF9F7, 0xFA17, 0xF9F8, 0xF9D8, 0xF998, 0xF977, 0xFA16, 0xFA56, 0xFA37, 0xF9F8, 0xF9D8, 0xF9D7, 0xF9D7, 0xF9F7, 0xFA18, 0xFA38, 0xFA39, 0xF9F9, 0xF957, 0xF937, 0xF997, 0xF9B7, 0xF9B6, 0xF996, 0xFA39, 
        0xFA7A, 0xFA7A, 0xFA7B, 0xFA7B, 0xFA5C, 0xFA5B, 0xFA7B, 0xFABD, 0xFADC, 0xFABB, 0xF258, 0xE951, 0xE930, 0xF238, 0xFB7C, 0xFC3D, 0xF419, 0xD954, 0xC00F, 0xA009, 0x8826, 0x9026, 0xB849, 0xE0EF, 0xF152, 0xF995, 0xF996, 0xF195, 0xE951, 0xD8CE, 
        0xD06D, 0xC04B, 0xB86B, 0xB86A, 0xB88A, 0xC088, 0xC087, 0xC0A9, 0xC08A, 0xC88B, 0xD08C, 0xD8EE, 0xE12E, 0xE90F, 0xE0EF, 0xD8CF, 0xC0AE, 0xB8AD, 0xB8AC, 0xB88C, 0xB86C, 0xB86C, 0xB06B, 0x88C7, 0x7105, 0x6124, 0x5143, 0x5164, 0x6145, 0x78E7, 
        0x80C6, 0x80A5, 0x78E5, 0x7946, 0x81E8, 0x7287, 0x6AA5, 0x5A44, 0x5203, 0x51E3, 0x49C2, 0x4183, 0x3963, 0x4143, 0x4123, 0x3923, 0x3103, 0x4144, 0x6226, 0x93AA, 0x9BEB, 0x7AC8, 0x48C3, 0x48A5, 0x5907, 0x6988, 0x7188, 0x7167, 0x7966, 0x8AEC, 
        0x93AE, 0x93CD, 0x838A, 0x7347, 0x6A64, 0x7905, 0x8086, 0x7884, 0x7083, 0x6883, 0x6083, 0x6082, 0x68A3, 0x7084, 0x7864, 0x7865, 0x7865, 0x7064, 0x7084, 0x78A5, 0x80A6, 0x8067, 0x8869, 0xA16D, 0xA1EC, 0x71E6, 0x4981, 0x3900, 0x3882, 0x6145, 
        0x79C8, 0x8A6A, 0x9ACD, 0xAACE, 0xA26D, 0x48E5, 0x3042, 0x4843, 0x6043, 0x6043, 0x6043, 0x5043, 0x4842, 0x4021, 0x4022, 0x4864, 0x60A6, 0x6885, 0x6863, 0x5063, 0x4883, 0x58E4, 0x79E7, 0x7AA8, 0x72A8, 0x6266, 0x6AA7, 0x832A, 0x9B6C, 0x6146, 
        0x4863, 0x50A2, 0x6122, 0x69C2, 0x72A2, 0x6383, 0x63E4, 0x7427, 0x8428, 0x8407, 0x7BC6, 0x83C8, 0x8BE9, 0x8C09, 0x83E8, 0x83A6, 0x7304, 0x62A3, 0x5AA3, 0x6AE5, 0x72E5, 0x7285, 0x69E5, 0x5963, 0x5943, 0x6144, 0x6124, 0x6124, 0x6104,
  0xB37C, 0xB37C, 0xAB5C, 0xAB5B, 0xAB7B, 0xAB7B, 0xAB9C, 0xAB9C, 0xB37C, 0xB37C, 0xB37C, 0xB37D, 0xB39E, 0xB39E, 0xB39D, 0xB39D, 0xB37D, 0xB37C, 0xB39D, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3BD, 0xB3DE, 0xB3DE, 0xBBDE, 0xB3DD, 0xB3BD, 0xABBB, 0xABD6, 
        0xABD4, 0xA3B1, 0x938E, 0x938D, 0x938A, 0x8BA8, 0x8BA8, 0x93C9, 0x8C09, 0x8C29, 0x9449, 0x9C0B, 0x9C2C, 0xA46C, 0xA48C, 0xA48C, 0xAC8C, 0xAC8D, 0xACAD, 0xB4CC, 0xC4EC, 0xCD0C, 0xD54B, 0xDDA9, 0xDDC8, 0xE5A7, 0xE587, 0xE587, 0xE567, 0xDD67, 
        0xD567, 0xCD26, 0xC4E5, 0xC4C5, 0xC4A6, 0xBCE7, 0xBCC7, 0xBC86, 0xB446, 0xB426, 0xABE6, 0xA3C6, 0x9BC6, 0x9387, 0x8B66, 0x8B45, 0x8B45, 0x8B26, 0x8B48, 0x8BCA, 0x8C4B, 0x94AB, 0xA52D, 0xD594, 0xE5B6, 0xDDB5, 0xD5B3, 0xD592, 0xCD72, 0xCD51, 
        0xC551, 0xC50F, 0xBCCD, 0xB4AC, 0xAC49, 0xA3C8, 0xA3A9, 0xA3EE, 0xA411, 0xA3F3, 0x9373, 0x6231, 0x59F1, 0x7272, 0x82D2, 0x82F2, 0x72F2, 0x62B3, 0x62B3, 0x7B13, 0x8B54, 0x9375, 0x8B75, 0x8B54, 0x8B53, 0x8B74, 0x93D5, 0x9C16, 0xA457, 0x93D6, 
        0x8B96, 0x93F6, 0x9C36, 0xA436, 0xA476, 0xACD8, 0xACF9, 0xB51A, 0xC53B, 0xC53B, 0xCD7C, 0xD5BC, 0xD5DD, 0xD5DD, 0xD5DE, 0xD5DD, 0xD5DC, 0xDDDC, 0xDDDC, 0xDDBC, 0xD5DC, 0xD5DC, 0xCDDC, 0xDDBD, 0xDD9D, 0xDDBC, 0xDDBC, 0xDDBC, 0xDDDC, 0xE5FC, 
        0xE5DB, 0xDDBB, 0xD57B, 0xD57B, 0xD55B, 0xCD3A, 0xC539, 0xBD18, 0xBCF8, 0xBCD8, 0xBCB8, 0xB497, 0xB497, 0xB497, 0xB497, 0xB4B8, 0xBCF9, 0xCD3A, 0xD55A, 0xCD3A, 0xD55B, 0xD57B, 0xD5BC, 0xD59C, 0xD57D, 0xDD9D, 0xDDDE, 0xDDFE, 0xDE3F, 0xE65F, 
        0xEE7F, 0xE65F, 0xE65F, 0xDE5F, 0xD61E, 0xD5BE, 0xD57E, 0xD55D, 0xCD3C, 0xC51B, 0xB4F9, 0xB4B7, 0xB476, 0xAC35, 0xAC15, 0xABF5, 0xB3B5, 0xA392, 0x9B91, 0x9B51, 0x9B52, 0xA372, 0xB3B3, 0xCBD4, 0xCB33, 0xB9CE, 0xB0CC, 0xB88C, 0xD0CE, 0xD910, 
        0xD111, 0xC8F0, 0xC8D0, 0xC8D0, 0xD0D0, 0xC86D, 0xC86C, 0xC08D, 0xB8AC, 0xB0AA, 0xA8E9, 0xC9F1, 0xDA75, 0xE255, 0xEA15, 0xE9F5, 0xF1F7, 0xF2BB, 0xF31C, 0xFAFC, 0xFABC, 0xFA9C, 0xFA7C, 0xFA9C, 0xFABC, 0xFA9D, 0xFA9D, 0xFABE, 0xFA9D, 0xFA3B, 
        0xF1FA, 0xF1D9, 0xF21A, 0xF25A, 0xFA9B, 0xFA7B, 0xFA39, 0xF1B6, 0xF134, 0xF114, 0xF134, 0xE974, 0xE974, 0xE934, 0xE913, 0xE913, 0xF0F2, 0xE8D2, 0xE0B2, 0xE0F1, 0xE111, 0xE111, 0xE911, 0xE911, 0xE932, 0xF194, 0xF1F6, 0xFA37, 0xF259, 0xF177, 
        0xF137, 0xF176, 0xF1B6, 0xF9F6, 0xFA36, 0xF9B7, 0xF997, 0xF997, 0xF9B6, 0xF9B6, 0xF9D7, 0xFA39, 0xFA3A, 0xF9F9, 0xF9B8, 0xF9B7, 0xF9B7, 0xF9F7, 0xF9D7, 0xF996, 0xF956, 0xF156, 0xF156, 0xF176, 0xF996, 0xF9D6, 0xF9F7, 0xF9F7, 0xF9D8, 0xFA39, 
        0xFA59, 0xFA3A, 0xF9FA, 0xF9FA, 0xFA1B, 0xFADD, 0xFAFD, 0xFA7B, 0xF1B7, 0xF154, 0xF132, 0xF298, 0xFB3C, 0xFB3B, 0xF2DA, 0xF236, 0xD92E, 0x9847, 0x9006, 0xB049, 0xD06D, 0xD86E, 0xD8CF, 0xF176, 0xF9D8, 0xF9F7, 0xF1D6, 0xE995, 0xD8F3, 0xC870, 
        0xC04E, 0xC06C, 0xC06A, 0xB86A, 0xB84A, 0xB86B, 0xB86B, 0xC06B, 0xC86B, 0xC86B, 0xC88C, 0xE10E, 0xE92F, 0xE10F, 0xD8EE, 0xD0EE, 0xC8CD, 0xC06D, 0xB84D, 0xB88C, 0xB88C, 0xB88B, 0xB04A, 0x9847, 0x8866, 0x68C4, 0x5943, 0x5183, 0x59C3, 0x5102, 
        0x58C2, 0x6903, 0x7124, 0x7124, 0x6984, 0x7AC7, 0x7327, 0x5A44, 0x3961, 0x3101, 0x28E1, 0x49C4, 0x5A26, 0x5A47, 0x49E6, 0x3945, 0x3124, 0x836B, 0xA46D, 0x940A, 0x7306, 0x5A04, 0x50C3, 0x8188, 0x89EA, 0x71A8, 0x5927, 0x5907, 0x6928, 0xA2AA, 
        0xB34B, 0x9B29, 0x8308, 0x72C7, 0x6265, 0x51C3, 0x5163, 0x5903, 0x68A3, 0x6883, 0x6863, 0x6883, 0x6883, 0x7084, 0x7084, 0x7085, 0x7085, 0x7085, 0x7885, 0x80C5, 0x88E5, 0x80A5, 0x88A6, 0xA9AC, 0xA1CC, 0x6146, 0x38E3, 0x40C3, 0x58C4, 0x5145, 
        0x4964, 0x4904, 0x48E4, 0x48E4, 0x48E5, 0x60A6, 0x6085, 0x6064, 0x5863, 0x5864, 0x5884, 0x4042, 0x3821, 0x4062, 0x50C5, 0x6947, 0x89EA, 0x7949, 0x70E8, 0x78E8, 0x7908, 0x7128, 0x6927, 0x58C4, 0x6924, 0x8AA9, 0x9B8B, 0x9BAB, 0x7AE7, 0x51A3, 
        0x4122, 0x4122, 0x5143, 0x61A4, 0x7A06, 0x8A28, 0x8A48, 0x82A7, 0x7AE7, 0x6B26, 0x6366, 0x73A7, 0x83C7, 0x93A7, 0x9B87, 0x9388, 0x8347, 0x6AC5, 0x6264, 0x61A3, 0x6123, 0x60E4, 0x60A4, 0x5864, 0x6065, 0x6866, 0x7067, 0x7067, 0x7047,
  0xB39D, 0xB39D, 0xAB7C, 0xAB7C, 0xAB7C, 0xAB7D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39E, 0xB3BE, 0xB39E, 0xB39D, 0xB3BD, 0xB3BD, 0xB3DE, 0xBBDE, 0xBBDE, 0xBBBE, 0xB3BE, 0xB3BE, 0xB3DE, 0xB3DE, 0xB3FE, 0xB3FE, 0xBBFE, 0xBBFD, 0xAC18, 
        0xAC36, 0xAC12, 0xAC0F, 0xA42D, 0x9C4A, 0x9448, 0x9448, 0x9C29, 0x9C2B, 0x9C2B, 0x9C2C, 0x9C0D, 0x9C2D, 0x9C4C, 0x9C6C, 0x9C8C, 0xA48C, 0xB4CB, 0xBCEA, 0xBCEA, 0xC50A, 0xCD29, 0xD548, 0xDD87, 0xE5A7, 0xE586, 0xE5A6, 0xE5A6, 0xE5A6, 0xE566, 
        0xDD46, 0xD525, 0xD505, 0xD505, 0xD4E5, 0xBCE5, 0xB4C5, 0xB4A5, 0xB465, 0xB465, 0xAC44, 0xAC64, 0xAC64, 0xA424, 0xA3E4, 0x9BA4, 0x9385, 0x93C9, 0x940B, 0x944B, 0x948C, 0x9CAE, 0xB510, 0xD5B4, 0xE5F5, 0xE5D4, 0xDDD3, 0xD5B3, 0xCDB2, 0xD592, 
        0xD571, 0xC510, 0xB4CE, 0xAC8D, 0xAC6D, 0xBC92, 0xC494, 0xBC74, 0xB455, 0xB475, 0xAC76, 0x9C38, 0x9418, 0x8BF8, 0x83D8, 0x7B98, 0x7338, 0x62B9, 0x6AB8, 0x8335, 0x9393, 0x9392, 0x8B74, 0x8B94, 0x93B5, 0x93D6, 0x93F6, 0x9416, 0x9C36, 0x9C36, 
        0x9C56, 0xAC57, 0xB498, 0xB498, 0xB4D9, 0xB519, 0xB51A, 0xBD3B, 0xC55B, 0xCD5C, 0xCD7C, 0xD59D, 0xD5BD, 0xD5BD, 0xD5BD, 0xDDDD, 0xDDFD, 0xD5DD, 0xD5DC, 0xDDDD, 0xDDFD, 0xDDFD, 0xDDDD, 0xDDDD, 0xDDBD, 0xDDDD, 0xDDDD, 0xDDDC, 0xDDDC, 0xE5DC, 
        0xE5DC, 0xDD9B, 0xDD7B, 0xDD7B, 0xD55B, 0xCD3A, 0xC519, 0xBCF8, 0xBCF8, 0xBCD8, 0xBCB8, 0xB497, 0xB497, 0xB497, 0xB498, 0xB4B8, 0xBD1A, 0xD57C, 0xDD9C, 0xD55C, 0xD55C, 0xDD7C, 0xDD9D, 0xCD7D, 0xCD7D, 0xD5BE, 0xDDDE, 0xDDDE, 0xDDFE, 0xE65F, 
        0xE67F, 0xEE9F, 0xEEBF, 0xE69F, 0xE67F, 0xDE1F, 0xDDDF, 0xD5BE, 0xCD9E, 0xC57D, 0xBD5C, 0xBCFA, 0xBCB8, 0xB477, 0xB436, 0xB416, 0xB414, 0xAC34, 0xAC14, 0xABF4, 0xB3F4, 0xBBF4, 0xBB72, 0xA1CA, 0xA0E9, 0xC0CC, 0xD8F0, 0xE0F1, 0xD8B1, 0xC86E, 
        0xC06E, 0xC88F, 0xD0B1, 0xD8D2, 0xD8D2, 0xC8CF, 0xC0AD, 0xC88D, 0xC88D, 0xC08C, 0xB8CB, 0xC0AA, 0xC0AA, 0xC0AC, 0xC0AE, 0xC8D0, 0xC933, 0xC9D5, 0xD216, 0xE239, 0xF29B, 0xF2FC, 0xF37C, 0xFB3D, 0xFADD, 0xFA7D, 0xFA3C, 0xFA3C, 0xFA3B, 0xF23B, 
        0xF23B, 0xFA5C, 0xFA9C, 0xFABD, 0xFA9C, 0xF218, 0xF1B6, 0xF196, 0xF176, 0xF156, 0xF156, 0xF996, 0xF196, 0xF174, 0xF134, 0xF134, 0xF114, 0xE8F2, 0xE8F1, 0xF132, 0xF133, 0xF132, 0xF132, 0xE952, 0xE953, 0xE954, 0xF175, 0xF1B7, 0xF9F8, 0xFA19, 
        0xF9F8, 0xF996, 0xF976, 0xF996, 0xF9F8, 0xFA18, 0xF9F8, 0xF9D7, 0xF9D8, 0xF9F8, 0xFA39, 0xFA39, 0xFA19, 0xFA18, 0xF9F7, 0xF9D7, 0xF9B6, 0xF9D7, 0xF9D8, 0xF9B7, 0xF996, 0xF996, 0xF996, 0xF1B6, 0xF1B6, 0xF1B6, 0xF1B7, 0xF997, 0xF9B7, 0xFA18, 
        0xFA59, 0xFA5B, 0xFA7C, 0xFA7C, 0xFA9C, 0xFA9C, 0xFA5B, 0xF198, 0xF136, 0xF136, 0xF9F8, 0xFBDB, 0xF3DA, 0xEA35, 0xD8D0, 0xC86D, 0xB029, 0xA827, 0xB048, 0xD08C, 0xE0F0, 0xE933, 0xF195, 0xF155, 0xF135, 0xF977, 0xF999, 0xF9B9, 0xE977, 0xD8B0, 
        0xC86D, 0xC06C, 0xB88B, 0xB88B, 0xB88A, 0xC06B, 0xC06B, 0xC08A, 0xC06A, 0xC06A, 0xC88B, 0xD8CE, 0xE10F, 0xE130, 0xE130, 0xD90F, 0xC8EE, 0xC0AE, 0xC08E, 0xC0AD, 0xB8AC, 0xB88C, 0xB06B, 0x9848, 0x8866, 0x78C5, 0x6924, 0x6144, 0x5984, 0x5183, 
        0x5982, 0x69C4, 0x71E5, 0x7206, 0x6205, 0x5184, 0x4963, 0x49A2, 0x49E2, 0x49E2, 0x5204, 0x6AC9, 0x72CA, 0x51E6, 0x3903, 0x2882, 0x3903, 0x9BCB, 0xBCAD, 0x9BEA, 0x7AA7, 0x69C5, 0x58A3, 0x7105, 0x6946, 0x4926, 0x3926, 0x3906, 0x4106, 0x71C7, 
        0x8A68, 0x9B69, 0x9BEA, 0x8BC9, 0x7307, 0x7206, 0x7186, 0x8126, 0x78E5, 0x70A4, 0x6063, 0x7083, 0x7084, 0x7084, 0x7885, 0x7885, 0x78A5, 0x78A5, 0x78A5, 0x7885, 0x88A7, 0x90E8, 0xA16B, 0x89EB, 0x822A, 0x7A69, 0x8288, 0x8269, 0x71C8, 0x40E4, 
        0x3082, 0x40A3, 0x58E5, 0x6926, 0x7967, 0x70C5, 0x68A4, 0x60A5, 0x58A5, 0x5884, 0x4862, 0x4882, 0x48C4, 0x6147, 0x81AA, 0x91EB, 0x99ED, 0x918B, 0x896B, 0x916B, 0x894B, 0x814A, 0x6908, 0x4884, 0x40A2, 0x51A4, 0x72E7, 0x93CA, 0xB44D, 0x82A8, 
        0x69A6, 0x6126, 0x58E5, 0x50C5, 0x48E4, 0x4923, 0x5143, 0x5984, 0x69A5, 0x71C6, 0x7A27, 0x82E6, 0x8346, 0x7305, 0x6AC3, 0x62A3, 0x6264, 0x8208, 0x81A9, 0x6925, 0x50A3, 0x5083, 0x5064, 0x6065, 0x6865, 0x6826, 0x6826, 0x7027, 0x7028,
  0xB3BD, 0xB3BD, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB39D, 0xB3BD, 0xB3BD, 0xB3BE, 0xB3BE, 0xB39E, 0xB3BE, 0xB3BE, 0xB3BE, 0xB3BE, 0xB3BE, 0xBBBE, 0xBBDE, 0xBBDE, 0xBBDE, 0xBBDE, 0xB3DE, 0xB3DE, 0xB3DE, 0xBBDF, 0xBBFF, 0xBC1F, 0xBC1F, 0xBC5D, 0xBC77, 
        0xBC95, 0xB474, 0xB472, 0xB472, 0xAC70, 0xAC8D, 0xA48C, 0xA48B, 0xA46B, 0xA46C, 0xA44D, 0xAC2F, 0xAC2E, 0xA46D, 0xA48C, 0xA4AC, 0xA4AE, 0xB4ED, 0xB50C, 0xBD0B, 0xBD0A, 0xC52A, 0xD569, 0xE5A5, 0xE5C5, 0xEDA6, 0xED88, 0xED88, 0xEDA8, 0xE5A6, 
        0xE585, 0xDD66, 0xDD66, 0xDD46, 0xDD26, 0xD526, 0xCD05, 0xC505, 0xC4E5, 0xC4C5, 0xC4C5, 0xBD05, 0xB505, 0xB4A5, 0xB465, 0xB445, 0xB424, 0xA424, 0x9C45, 0xA467, 0xA4A9, 0xACE9, 0xBD4C, 0xD5D2, 0xE5F5, 0xDDD3, 0xDDB2, 0xDDB1, 0xD5B0, 0xD570, 
        0xD550, 0xC510, 0xB4AF, 0xAC4E, 0x9BEF, 0xBC19, 0xC43C, 0xAC18, 0x9BF5, 0x93F3, 0x8C12, 0x9C14, 0xA436, 0xAC97, 0xB4FA, 0xBD1B, 0xBD1D, 0xACDE, 0xAC9D, 0xA459, 0x9C16, 0x9BF4, 0x93B4, 0x8BD5, 0x8BD5, 0x93F5, 0x9BF5, 0x9BF5, 0x9BF5, 0xACB9, 
        0xB4FB, 0xBD1B, 0xBD1B, 0xC53B, 0xC55B, 0xC55B, 0xC57B, 0xCD7B, 0xD59C, 0xD59C, 0xD59D, 0xD59D, 0xD59C, 0xD5BD, 0xD5DD, 0xDDDE, 0xDDDE, 0xDDBC, 0xDDBC, 0xDDDC, 0xDDDD, 0xDDDD, 0xDDDD, 0xE5FE, 0xE5FE, 0xE5FD, 0xE5DD, 0xE5DD, 0xE5DD, 0xDDDC, 
        0xDDBB, 0xDD9B, 0xDD9C, 0xDD7C, 0xD57C, 0xC53B, 0xBD1A, 0xBD19, 0xBCF8, 0xBCF8, 0xBCD7, 0xBCB8, 0xB4B8, 0xB4B8, 0xB4D8, 0xB4D8, 0xBD19, 0xDD7B, 0xE59C, 0xDD7B, 0xD57B, 0xD57B, 0xDD9C, 0xD59C, 0xD59D, 0xD59D, 0xDD9E, 0xDD9E, 0xDDBF, 0xE63F, 
        0xE67F, 0xEE9F, 0xEE9F, 0xEE9F, 0xEE7F, 0xEE5F, 0xE63F, 0xDDFE, 0xD5BE, 0xD59E, 0xD57E, 0xC53B, 0xBCFA, 0xB4D9, 0xB478, 0xAC37, 0xABD5, 0xB415, 0xBC35, 0xCBF5, 0xCB34, 0xC271, 0xB94E, 0xD94F, 0xE950, 0xF0F2, 0xF0D3, 0xF0B4, 0xE8B4, 0xE092, 
        0xD891, 0xD891, 0xD891, 0xD092, 0xC092, 0xB8CD, 0xB8CB, 0xC08C, 0xC06C, 0xC06C, 0xC04C, 0xC02B, 0xB84B, 0xB88A, 0xB08A, 0xB86A, 0xC06B, 0xC0AD, 0xC8CF, 0xC8D0, 0xC8B1, 0xC0B0, 0xC0F1, 0xE996, 0xFA19, 0xFA7B, 0xFABD, 0xFA9C, 0xFA7C, 0xFABE, 
        0xFAFE, 0xFAFE, 0xFADD, 0xFA7C, 0xF9DA, 0xF197, 0xF176, 0xF976, 0xF977, 0xF978, 0xF998, 0xF9D8, 0xF1D7, 0xF1B6, 0xF195, 0xF974, 0xF954, 0xF175, 0xF174, 0xF153, 0xF153, 0xF152, 0xF152, 0xF132, 0xF132, 0xF153, 0xF154, 0xF154, 0xF174, 0xF9D7, 
        0xF9F8, 0xF9D7, 0xF9F7, 0xFA38, 0xFA79, 0xF9D8, 0xF978, 0xF9B8, 0xF9F8, 0xFA38, 0xFA38, 0xFA1A, 0xF9FB, 0xF9F9, 0xF9F8, 0xF9F7, 0xFA16, 0xFA37, 0xFA37, 0xF1F6, 0xF1B6, 0xF195, 0xF195, 0xF996, 0xF9B6, 0xF996, 0xF1B6, 0xF1B7, 0xF9F7, 0xFA3A, 
        0xFA3B, 0xFA5B, 0xFA7B, 0xFABB, 0xFABB, 0xF9B9, 0xF958, 0xF99A, 0xFA3C, 0xFADD, 0xFB5B, 0xE9D2, 0xD8CD, 0xC06B, 0xB02A, 0xB02A, 0xB84A, 0xD88C, 0xE0AE, 0xE8F0, 0xF153, 0xF195, 0xF9B7, 0xF114, 0xF0F4, 0xF978, 0xF9DB, 0xFA1C, 0xF1DA, 0xE0B3, 
        0xD82F, 0xC84E, 0xC86C, 0xC88C, 0xC8AB, 0xC0AB, 0xC08C, 0xC88B, 0xD08B, 0xD08C, 0xD08C, 0xD0AD, 0xD8AE, 0xE0EF, 0xE110, 0xE130, 0xD90F, 0xD90F, 0xD90F, 0xC8CE, 0xC0AD, 0xC08C, 0xB88B, 0xA06A, 0x9069, 0x8866, 0x8064, 0x7884, 0x70C3, 0x6984, 
        0x6A04, 0x7265, 0x6A65, 0x6224, 0x5203, 0x6A86, 0x72C7, 0x6AA6, 0x72C6, 0x72E7, 0x6AA7, 0x3144, 0x1882, 0x1861, 0x2061, 0x30A1, 0x61E4, 0xB4CE, 0xBD2F, 0x8308, 0x5964, 0x50E4, 0x7949, 0xC350, 0xDC34, 0xD496, 0xD497, 0xD456, 0xC372, 0x7249, 
        0x51C5, 0x4983, 0x4982, 0x51E3, 0x5A85, 0x82E7, 0x8AA8, 0x81C6, 0x7904, 0x70A3, 0x6842, 0x6883, 0x68A3, 0x70A2, 0x78A3, 0x7884, 0x7885, 0x7885, 0x78A4, 0x78C6, 0x8908, 0x992B, 0xA98D, 0x91CB, 0x81C9, 0x6968, 0x6167, 0x69A8, 0x7208, 0x61A8, 
        0x5147, 0x50E5, 0x48A3, 0x4882, 0x5062, 0x5883, 0x5883, 0x5864, 0x5884, 0x5884, 0x58C5, 0x5905, 0x5905, 0x58C5, 0x5885, 0x6065, 0x7065, 0x7046, 0x7867, 0x88EA, 0x994C, 0x998D, 0x89AD, 0x71CA, 0x59A7, 0x4985, 0x51E5, 0x7287, 0x9329, 0x69E4, 
        0x5942, 0x61A5, 0x7228, 0x7A69, 0x7A69, 0x5126, 0x4885, 0x5865, 0x6066, 0x6847, 0x7069, 0x7887, 0x70C6, 0x6904, 0x5963, 0x59A3, 0x59C4, 0x68C7, 0x7089, 0x7909, 0x7929, 0x70E8, 0x6868, 0x7069, 0x7889, 0x7049, 0x7028, 0x7029, 0x7049
};

#endif /* __RGB565_480X272_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
