/**
  ******************************************************************************
  * @file    DMA2D/DMA2D_MemToMemWithPFCandRedBlueSwap/Inc/RGB565_32x240.h 
  * @author  MCD Application Team
  * @version V1.0.0
  * @date    22-April-2016
  * @brief   This file contains RGB565 input image to be transferred by DMA2D and displayed on the LCD.     
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; COPYRIGHT(c) 2016 STMicroelectronics</center></h2>
  *
  * Redistribution and use in source and binary forms, with or without modification,
  * are permitted provided that the following conditions are met:
  *   1. Redistributions of source code must retain the above copyright notice,
  *      this list of conditions and the following disclaimer.
  *   2. Redistributions in binary form must reproduce the above copyright notice,
  *      this list of conditions and the following disclaimer in the documentation
  *      and/or other materials provided with the distribution.
  *   3. Neither the name of STMicroelectronics nor the names of its contributors
  *      may be used to endorse or promote products derived from this software
  *      without specific prior written permission.
  *
  * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __RGB565_32x240_H
#define __RGB565_32x240_H

__ALIGN_BEGIN const uint32_t RGB565_320x240[(LAYER_SIZE_X * LAYER_SIZE_Y * RGB565_BYTE_PER_PIXEL) / 4] __ALIGN_END =
{
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0x0,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xFFFFFFFF,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0xF800F800,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x001F001F,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0,
0x07E007E0
};

#endif /* __RGB565_32x240_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
